diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 7697aed..606ae91 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -115956,9 +115956,9 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
 
         null? b      == NULL(b)$Lisp
         atom? b      == ATOM(b)$Lisp
-        pair? b      == PAIRP(b)$Lisp
+        pair? b      == CONSP(b)$Lisp
 
-        list?    b   == PAIRP(b)$Lisp or NULL(b)$Lisp
+        list?    b   == CONSP(b)$Lisp or NULL(b)$Lisp
         string?  b   == STRINGP(b)$Lisp
         symbol?  b   == IDENTP(b)$Lisp
         integer? b   == INTEGERP(b)$Lisp
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 10b7db3..50beb64 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -1711,7 +1711,6 @@ Top-level dispatcher for the interpreter.  It sets local variables
 and then calls processInteractive1 to do most of the work.
 This function receives the output from the parser.
 \calls{processInteractive}{initializeTimedNames}
-\calls{processInteractive}{pairp}
 \calls{processInteractive}{qcar}
 \calls{processInteractive}{processInteractive1}
 \calls{processInteractive}{reportInstantiations}
@@ -1771,7 +1770,7 @@ This function receives the output from the parser.
                    |$ProcessInteractiveValue| |$defaultFortVar|
                    |$interpreterTimedNames| |$interpreterTimedClasses|))
   (|initializeTimedNames| |$interpreterTimedNames| |$interpreterTimedClasses|)
-  (if (pairp form)                        ; compute name of operator
+  (if (consp form)                        ; compute name of operator
    (setq |$op| (qcar form))
    (setq |$op| form))
   (setq |$Coerce| nil)
@@ -1883,7 +1882,6 @@ are compiling. This variable is only defined and used locally.
 \end{chunk}
 
 \defun{interpret}{Type analyzes and evaluates expression x, returns object}
-\calls{interpret}{pairp}
 \calls{interpret}{interpret1}
 \usesdollar{interpret}{env}
 \usesdollar{interpret}{eval}
@@ -1893,7 +1891,7 @@ are compiling. This variable is only defined and used locally.
  (dsetq (x . restargs) arg)
  (let (|$env| |$eval| |$genValue| posnForm)
  (declare (special |$env| |$eval| |$genValue|))
-  (if (pairp restargs)
+  (if (consp restargs)
     (setq posnForm (car restargs))
     (setq posnForm restargs))
   (setq |$env| (list (list nil)))
@@ -1947,7 +1945,6 @@ This is the late interpretCoerce. I removed the call to
 coerceInteractive, so it only does the JENKS cases    ALBI
 \calls{interpret2}{objVal}
 \calls{interpret2}{objMode}
-\calls{interpret2}{pairp}
 \calls{interpret2}{member}
 \calls{interpret2}{objNew}
 \calls{interpret2}{systemErrorHere}
@@ -1968,7 +1965,7 @@ coerceInteractive, so it only does the JENKS cases    ALBI
     (cond
      ((equal m |$EmptyMode|)
       (cond
-        ((and (pairp x) 
+        ((and (consp x) 
               (progn (setq op (qcar x)) t)
               (|member| op '(map stream)))
           (|objNew| x m1))
@@ -2099,7 +2096,6 @@ It is controlled with the {\tt )se me any} command.
 
 \defun{printTypeAndTimeNormal}{printTypeAndTimeNormal}
 \calls{printTypeAndTimeNormal}{qcar}
-\calls{printTypeAndTimeNormal}{pairp}
 \calls{printTypeAndTimeNormal}{retract}
 \calls{printTypeAndTimeNormal}{objNewWrap}
 \calls{printTypeAndTimeNormal}{objMode}
@@ -2122,7 +2118,7 @@ It is controlled with the {\tt )se me any} command.
                    |$printTimeIfTrue| |$outputLines|
                    |$interpreterTimedNames| |$interpreterTimedClasses|))
   (cond
-   ((and (pairp m) (eq (qcar m) '|Union|))
+   ((and (consp m) (eq (qcar m) '|Union|))
     (setq xp (|retract| (|objNewWrap| x m)))
     (setq mp (|objMode| xp))
     (setq m
@@ -2206,14 +2202,14 @@ sameUnionBranch(uArg, m) ==
 (defun |sameUnionBranch| (uArg m)
  (let (t1 t2 t3)
  (cond
-  ((and (pairp uArg) 
+  ((and (consp uArg) 
         (eq (qcar uArg) '|:|)
         (progn
          (setq t1 (qcdr uArg))
-         (and (pairp t1)
+         (and (consp t1)
               (progn
                (setq t2 (qcdr t1))
-               (and (pairp t2)
+               (and (consp t2)
                     (eq (qcdr t2) nil)
                     (progn (setq t3 (qcar t2)) t))))))
    (equal t3 m))
@@ -15962,7 +15958,7 @@ The \verb|$msgdbPrims| variable is set to:
     (list '|   Value of | (|fixObjectForPrinting| (pname |$op|)) ":  (none)"))
    (progn
     (setq expr (|objValUnwrap| u))
-    (if (or (and (pairp expr) (progn (setq op (qcar expr)) t) (eq op 'map))
+    (if (or (and (consp expr) (progn (setq op (qcar expr)) t) (eq op 'map))
             (equal (|objMode| u) |$EmptyMode|))
      (|displayRule| |$op| expr)
      (progn
@@ -16031,7 +16027,6 @@ The \verb|$msgdbPrims| variable is set to:
 \calls{displayProperties}{getInterpMacroNames}
 \calls{displayProperties}{getParserMacroNames}
 \calls{displayProperties}{remdup}
-\calls{displayProperties}{pairp}
 \calls{displayProperties}{qcdr}
 \calls{displayProperties}{qcar}
 \calls{displayProperties}{msort}
@@ -16078,7 +16073,7 @@ The \verb|$msgdbPrims| variable is set to:
   (setq pmacs (|getParserMacroNames|))
   (setq macros (remdup (append imacs pmacs)))
   (when (or 
-         (and (pairp vl) (eq (qcdr vl) nil) (eq (qcar vl) '|all|))
+         (and (consp vl) (eq (qcdr vl) nil) (eq (qcar vl) '|all|))
          (null vl))
     (setq vl (msort (append (|getWorkspaceNames|) macros))))
    (when |$frameMessages|
@@ -16112,10 +16107,10 @@ The \verb|$msgdbPrims| variable is set to:
             (cond
              ((eq v '|--flags--|)
                nil)
-             ((and (pairp pl)
+             ((and (consp pl)
                    (progn
                     (setq tmp2 (qcar pl))
-                    (and (pairp tmp2) (eq (qcar tmp2) '|cacheInfo|))))
+                    (and (consp tmp2) (eq (qcar tmp2) '|cacheInfo|))))
                nil)
              (t
               (setq vone (|fixObjectForPrinting| v))
@@ -16778,7 +16773,6 @@ we return the remainder of the string without the leading prefix.
 \calls{selectOption}{identp}
 \calls{selectOption}{stringPrefix?}
 \calls{selectOption}{pname}
-\calls{selectOption}{pairp}
 \calls{selectOption}{qcdr}
 \calls{selectOption}{qcar}
 \begin{chunk}{defun selectOption}
@@ -16798,7 +16792,7 @@ we return the remainder of the string without the leading prefix.
           (if (|stringPrefix?| (pname x) (pname y))
              (setq t0 (cons y t0))))))
     (cond
-     ((and (pairp u) (eq (qcdr u) nil) (progn (setq y (qcar u)) t)) y)
+     ((and (consp u) (eq (qcdr u) nil) (progn (setq y (qcar u)) t)) y)
      (errorfunction (funcall errorfunction x u))
      (t nil))))))
 
@@ -16901,7 +16895,6 @@ o )compile
 \calls{abbreviationsSpad2Cmd}{opOf}
 \calls{abbreviationsSpad2Cmd}{helpSpad2Cmd}
 \calls{abbreviationsSpad2Cmd}{selectOptionLC}
-\calls{abbreviationsSpad2Cmd}{pairp}
 \calls{abbreviationsSpad2Cmd}{qcar}
 \calls{abbreviationsSpad2Cmd}{qcdr}
 \usesdollar{abbreviationsSpad2Cmd}{options}
@@ -16922,7 +16915,7 @@ o )compile
       (setq opt (|selectOptionLC| opt '(|quiet|) '|optionError|))
       (when (eq opt '|quiet|) (setq quiet t)))
     (when
-     (and (pairp arg) 
+     (and (consp arg) 
            (progn 
             (setq opt (qcar arg))
             (setq al (qcdr arg))
@@ -17614,7 +17607,6 @@ Clear all the options except the argument.
 \calls{clearCmdParts}{assoc}
 \calls{clearCmdParts}{isMap}
 \calls{clearCmdParts}{get}
-\calls{clearCmdParts}{pairp}
 \calls{clearCmdParts}{exit}
 \calls{clearCmdParts}{untraceMapSubNames}
 \calls{clearCmdParts}{seq}
@@ -17677,7 +17669,7 @@ Clear all the options except the argument.
               ((setq lm 
                 (|get| x '|localModemap| |$InteractiveFrame|))
                (cond
-                ((pairp lm)
+                ((consp lm)
                 (exit (|untraceMapSubNames| (cons (cadar lm) nil))))))
               (t nil)))))
           (dolist (p2 (cdr p1))
@@ -18334,7 +18326,7 @@ in the Category, Domain, or Package source code.
      (flatten  (car (getdatabase (fullname cdp) 'documentation)))))))
  (let ((|$e| |$EmptyEnvironment|) (opt (second l)))
   (declare (special |$e| |$EmptyEnvironment| $describeOptions))
-  (if (and (pairp l) (not (eq opt '?)))
+  (if (and (consp l) (not (eq opt '?)))
     (describeInternal (first l) (second l))
    (|sayMessage|
     (append 
@@ -18560,7 +18552,6 @@ and tell the user what options are available.
 \calls{displaySpad2Cmd}{displayMacros}
 \calls{displaySpad2Cmd}{displayWorkspaceNames}
 \calls{displaySpad2Cmd}{displayProperties}
-\calls{displaySpad2Cmd}{PAIRP}
 \calls{displaySpad2Cmd}{selectOptionLC}
 \calls{displaySpad2Cmd}{sayMessage}
 \usesdollar{displaySpad2Cmd}{e}
@@ -18570,7 +18561,7 @@ and tell the user what options are available.
 (defun displaySpad2Cmd (l)
  (let ((|$e| |$EmptyEnvironment|) (opt (car l)) (vl (cdr l)) option)
   (declare (special |$e| |$EmptyEnvironment| |$displayOptions|))
-  (if (and (pairp l) (not (eq opt '?)))
+  (if (and (consp l) (not (eq opt '?)))
    (progn
     (setq option (|selectOptionLC| opt |$displayOptions| '|optionError|))
     (cond
@@ -19671,7 +19662,6 @@ end of the first.
 \calls{frameSpad2Cmd}{throwKeyedMsg}
 \calls{frameSpad2Cmd}{helpSpad2Cmd}
 \calls{frameSpad2Cmd}{selectOptionLC}
-\calls{frameSpad2Cmd}{pairp}
 \calls{frameSpad2Cmd}{qcdr}
 \calls{frameSpad2Cmd}{qcar}
 \calls{frameSpad2Cmd}{object2Identifier}
@@ -19702,14 +19692,14 @@ end of the first.
    (t
      (setq arg (|selectOptionLC| (car args) frameArgs '|optionError|))
      (setq args (cdr args))
-     (when (and (pairp args) 
+     (when (and (consp args) 
             (eq (qcdr args) nil)
             (progn (setq a (qcar args)) t))
         (setq args a))
      (when (atom args) (setq args (|object2Identifier| args)))
      (case arg
       (|drop|
-        (if (and args (pairp args))
+        (if (and args (consp args))
           (|throwKeyedMsg| 'S2IZ0017 ; not a valid frame name
              (cons args nil))
           (|closeInterpreterFrame| args)))
@@ -19717,7 +19707,7 @@ end of the first.
       (|last|   (|previousInterpreterFrame|))
       (|names|  (|displayFrameNames|))
       (|new|
-        (if (and args (pairp args))
+        (if (and args (consp args))
           (|throwKeyedMsg| 'S2IZ0017 ; not a valid frame name
              (cons args nil))
           (|addNewInterpreterFrame| args)))
@@ -20882,7 +20872,6 @@ Also used in the output routines.
 
 \end{chunk}
 \defun{restoreHistory}{restoreHistory}
-\calls{restoreHistory}{pairp}
 \calls{restoreHistory}{qcdr}
 \calls{restoreHistory}{qcar}
 \calls{restoreHistory}{identp}
@@ -20917,7 +20906,7 @@ Also used in the output routines.
      |$useInternalHistoryTable| |$InteractiveFrame| |$oldHistoryFileName|))
  (cond 
    ((null fn) (setq fnq |$oldHistoryFileName|))
-   ((and (pairp fn) 
+   ((and (consp fn) 
          (eq (qcdr fn) nil)
          (progn
           (setq fnq (qcar fn))
@@ -21245,13 +21234,12 @@ RREAD takes erroval to return if key is missing
 \end{chunk}
 
 \defun{unwritable?}{unwritable?}
-\calls{unwritable?}{pairp}
 \calls{unwritable?}{vecp}
 \calls{unwritable?}{placep}
 \begin{chunk}{defun unwritable?}
 (defun |unwritable?| (ob)
  (cond
-  ((or (pairp ob) (vecp ob)) nil)
+  ((or (consp ob) (vecp ob)) nil)
   ((or (compiled-function-p ob) (hash-table-p ob)) t)
   ((or (placep ob) (readtablep ob)) t)
   ((floatp ob) t)
@@ -21286,7 +21274,6 @@ back.
 \calls{writify,writifyInner}{seq}
 \calls{writify,writifyInner}{exit}
 \calls{writify,writifyInner}{hget}
-\calls{writify,writifyInner}{pairp}
 \calls{writify,writifyInner}{qcar}
 \calls{writify,writifyInner}{qcdr}
 \calls{writify,writifyInner}{spadClosure?}
@@ -21317,7 +21304,7 @@ back.
    (seq
     (when (null ob) (exit nil))
     (when (setq e (hget |$seen| ob)) (exit e))
-    (when (pairp ob)
+    (when (consp ob)
      (exit
       (seq
        (setq qcar (qcar ob))
@@ -21335,18 +21322,18 @@ back.
           (exit nob))))
        (when 
         (and 
-         (and (pairp ob)
+         (and (consp ob)
               (eq (qcar ob) 'lambda-closure)
               (progn
                (setq tmp1 (qcdr ob))
-               (and (pairp tmp1)
+               (and (consp tmp1)
                     (progn 
                      (setq tmp2 (qcdr tmp1))
                      (and 
-                      (pairp tmp2)
+                      (consp tmp2)
                       (progn 
                        (setq tmp3 (qcdr tmp2))
-                       (and (pairp tmp3)
+                       (and (consp tmp3)
                             (progn
                              (setq x (qcar tmp3))
                              t)))))))) x)
@@ -21495,7 +21482,6 @@ back.
 \calls{dewritify,dewritifyInner}{seq}
 \calls{dewritify,dewritifyInner}{exit}
 \calls{dewritify,dewritifyInner}{hget}
-\calls{dewritify,dewritifyInner}{pairp}
 \calls{dewritify,dewritifyInner}{intp}
 \calls{dewritify,dewritifyInner}{gensymmer}
 \calls{dewritify,dewritifyInner}{error}
@@ -21528,7 +21514,7 @@ back.
       (exit nil))
     (when (setq e (hget |$seen| ob)) 
       (exit e))
-    (when (and (pairp ob) (eq (car ob) 'writified!!))
+    (when (and (consp ob) (eq (car ob) 'writified!!))
      (exit
       (seq
        (setq type (elt ob 1))
@@ -21620,7 +21606,7 @@ back.
            (exit (spaddifference fval)))
           (exit fval))))
        (exit (|error| "Unknown type to de-writify.")))))
-    (when (pairp ob)
+    (when (consp ob)
      (exit
       (seq
        (setq qcar (qcar ob))
@@ -21669,7 +21655,6 @@ back.
 \defun{ScanOrPairVec,ScanOrInner}{ScanOrPairVec,ScanOrInner}
 \throws{ScanOrPairVec,ScanOrInner}{ScanOrPairVecAnswer}
 \calls{ScanOrPairVec,ScanOrInner}{hget}
-\calls{ScanOrPairVec,ScanOrInner}{pairp}
 \calls{ScanOrPairVec,ScanOrInner}{hput}
 \calls{ScanOrPairVec,ScanOrInner}{ScanOrPairVec,ScanOrInner}
 \calls{ScanOrPairVec,ScanOrInner}{qcar}
@@ -21680,7 +21665,7 @@ back.
 (defun |ScanOrPairVec,ScanOrInner| (f ob)
   (declare (special |$seen|))
   (when (hget |$seen| ob) nil)
-  (when (pairp ob) 
+  (when (consp ob) 
     (hput |$seen| ob t)
     (|ScanOrPairVec,ScanOrInner| f (qcar ob))
     (|ScanOrPairVec,ScanOrInner| f (qcdr ob)))
@@ -22712,7 +22697,6 @@ explanations see the list structure section \ref{Theliststructure}.
 \calls{displaySetVariableSettings}{say}
 \calls{displaySetVariableSettings}{fillerSpaces}
 \calls{displaySetVariableSettings}{specialChar}
-\calls{displaySetVariableSettings}{pairp}
 \calls{displaySetVariableSettings}{concat}
 \calls{displaySetVariableSettings}{satisfiesUserLevel}
 \calls{displaySetVariableSettings}{spaddifference}
@@ -22756,7 +22740,7 @@ explanations see the list structure section \ref{Theliststructure}.
          (funcall (fifth setdata) '|%display%|)
          "unimplemented"))
        (cond
-        ((pairp opt)
+        ((consp opt)
          (setq opt
           (do ((t2 opt (cdr t2)) t1 (o nil))
               ((or (atom t2) (progn (setq o (car t2)) nil)) t1)
@@ -23098,7 +23082,6 @@ The input-libraries and output-library are now truename based.
 \defunsec{setInputLibrary}{The set input library command handler}
 The input-libraries is now maintained as a list of truenames.
 \calls{setInputLibrary}{describeInputLibraryArgs}
-\calls{setInputLibrary}{pairp}
 \calls{setInputLibrary}{qcar}
 \calls{setInputLibrary}{qcdr}
 \calls{setInputLibrary}{selectOptionLC}
@@ -23116,11 +23099,11 @@ The input-libraries is now maintained as a list of truenames.
    ((eq arg '|%display%|) (mapcar #'namestring input-libraries))
    ((or (null arg) (eq arg '|%describe%|) (eq (car arg) '?))
     (|describeInputLibraryArgs|))
-   ((and (pairp arg)
+   ((and (consp arg)
          (progn
           (setq act (qcar arg))
           (setq tmp1 (qcdr arg))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (eq (qcdr tmp1) nil)
                (progn (setq filename (qcar tmp1)) t)))
          (setq act (|selectOptionLC| act '(|add| |drop|) nil)))
@@ -24541,7 +24524,6 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
 \calls{setExpose}{sayKeyedMsg}
 \calls{setExpose}{namestring}
 \calls{setExpose}{pathname}
-\calls{setExpose}{pairp}
 \calls{setExpose}{qcar}
 \calls{setExpose}{qcdr}
 \calls{setExpose}{selectOptionLC}
@@ -24562,7 +24544,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
      (|sayMSG| " ")
      (|displayHiddenConstructors|)
      (|sayMSG| " "))
-    ((and (pairp arg)
+    ((and (consp arg)
           (progn (setq fn (qcar arg)) (setq fnargs (qcdr arg)) t)
           (setq fn (|selectOptionLC| fn '(|add| |drop|) nil)))
      (cond
@@ -24580,7 +24562,6 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
 \calls{setExposeAdd}{sayMSG}
 \calls{setExposeAdd}{displayExposedConstructors}
 \calls{setExposeAdd}{sayKeyedMsg}
-\calls{setExposeAdd}{pairp}
 \calls{setExposeAdd}{qcar}
 \calls{setExposeAdd}{qcdr}
 \calls{setExposeAdd}{selectOptionLC}
@@ -24602,7 +24583,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
      (|displayExposedConstructors|)
      (|sayMSG| " ")
      (|sayKeyedMsg| 's2iz0049e nil))
-    ((and (pairp arg) 
+    ((and (consp arg) 
           (progn (setq fn (qcar arg)) (setq fnargs (qcdr arg)) t)
           (setq fn (|selectOptionLC| fn '(|group| |constructor|) nil)))
      (cond
@@ -24617,7 +24598,6 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
 Note that \verb|$localExposureData| is a vector of lists.
 It consists of [exposed groups,exposed constructors,hidden constructors]
 \calls{setExposeAddGroup}{object2String}
-\calls{setExposeAddGroup}{pairp}
 \calls{setExposeAddGroup}{qcar}
 \calls{setExposeAddGroup}{setelt}
 \calls{setExposeAddGroup}{displayExposedGroups}
@@ -24653,7 +24633,7 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
     (mapcar #'(lambda (x) (|object2String| (first x))) 
       |$globalExposureGroupAlist|)))
   (dolist (x arg)
-    (when (pairp x) (setq x (qcar x)))
+    (when (consp x) (setq x (qcar x)))
     (cond
      ((eq x '|all|)
       (setelt |$localExposureData| 0
@@ -24680,7 +24660,6 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
 
 \defunsec{setExposeAddConstr}{The top level set expose add constructor handler}
 \calls{setExposeAddConstr}{unabbrev}
-\calls{setExposeAddConstr}{pairp}
 \calls{setExposeAddConstr}{qcar}
 \calls{setExposeAddConstr}{getdatabase}
 \calls{setExposeAddConstr}{sayKeyedMsg}
@@ -24706,7 +24685,7 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
     (|displayExposedConstructors|))
    (dolist (x arg)
      (setq x (|unabbrev| x))
-     (when (pairp x) (setq x (qcar x)))
+     (when (consp x) (setq x (qcar x)))
      (cond
       ((null (getdatabase x 'constructorkind))
        (|sayKeyedMsg| 's2iz0049j (list x)))
@@ -24729,7 +24708,6 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
 \calls{setExposeDrop}{displayHiddenConstructors}
 \calls{setExposeDrop}{sayMSG}
 \calls{setExposeDrop}{sayKeyedMsg}
-\calls{setExposeDrop}{pairp}
 \calls{setExposeDrop}{qcar}
 \calls{setExposeDrop}{qcdr}
 \calls{setExposeDrop}{selectOptionLC}
@@ -24749,7 +24727,7 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
      (|displayHiddenConstructors|)
      (|sayMSG| " ")
      (|sayKeyedMsg| 's2iz0049f nil))
-    ((and (pairp arg) 
+    ((and (consp arg) 
           (progn (setq fn (qcar arg)) (setq fnargs (qcdr arg)) t)
           (setq fn (|selectOptionLC| fn '(|group| |constructor|) nil)))
      (cond
@@ -24761,7 +24739,6 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
 \end{chunk}
 
 \defunsec{setExposeDropGroup}{The top level set expose drop group handler}
-\calls{setExposeDropGroup}{pairp}
 \calls{setExposeDropGroup}{qcar}
 \calls{setExposeDropGroup}{setelt}
 \calls{setExposeDropGroup}{displayExposedGroups}
@@ -24792,7 +24769,7 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
    (|sayMSG| " ")
    (|displayExposedGroups|))
   (dolist (x arg)
-    (when (pairp x) (setq x (qcar x)))
+    (when (consp x) (setq x (qcar x)))
     (cond
      ((eq x '|all|)
       (setelt |$localExposureData| 0 nil)
@@ -24817,7 +24794,6 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
 \defunsec{setExposeDropConstr}
 {The top level set expose drop constructor handler}
 \calls{setExposeDropConstr}{unabbrev}
-\calls{setExposeDropConstr}{pairp}
 \calls{setExposeDropConstr}{qcar}
 \calls{setExposeDropConstr}{getdatabase}
 \calls{setExposeDropConstr}{sayKeyedMsg}
@@ -24849,7 +24825,7 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
    (|displayHiddenConstructors|))
   (dolist (x arg)
     (setq x (|unabbrev| x))
-    (when (pairp x) (setq x (qcar x)))
+    (when (consp x) (setq x (qcar x)))
     (cond
      ((null (getdatabase x 'constructorkind))
       (|sayKeyedMsg| 's2iz0049j (list x)))
@@ -25022,7 +24998,6 @@ recurrence   specially compile recurrence relations     on
 \end{chunk}
 
 \defunsec{countCache}{Display a particular cache count}
-\calls{countCache}{pairp}
 \calls{countCache}{qcdr}
 \calls{countCache}{qcar}
 \calls{countCache}{identp}
@@ -25042,11 +25017,11 @@ recurrence   specially compile recurrence relations     on
  (cond 
   (|$options|
    (cond
-    ((and (pairp |$options|)
+    ((and (consp |$options|)
           (eq (qcdr |$options|) nil)
           (progn 
            (setq tmp1 (qcar |$options|))
-           (and (pairp tmp1)
+           (and (consp tmp1)
                 (eq (qcar tmp1) '|vars|)
                 (progn (setq l (qcdr tmp1)) t))))
      (dolist (x l)
@@ -27254,7 +27229,6 @@ The current setting is:  On:CONSOLE
 \calls{setOutputAlgebra}{defiostream}
 \calls{setOutputAlgebra}{concat}
 \calls{setOutputAlgebra}{describeSetOutputAlgebra}
-\calls{setOutputAlgebra}{pairp}
 \calls{setOutputAlgebra}{qcdr}
 \calls{setOutputAlgebra}{qcar}
 \calls{setOutputAlgebra}{member}
@@ -27291,7 +27265,7 @@ The current setting is:  On:CONSOLE
      (|describeSetOutputAlgebra|))
     (t
      (cond
-      ((and (pairp arg)
+      ((and (consp arg)
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t)
             (|member| fn '(y n ye yes no o on of off console 
@@ -27299,7 +27273,7 @@ The current setting is:  On:CONSOLE
        '|ok|)
       (t (setq arg (list fn '|spout|))))
      (cond
-      ((and (pairp arg)
+      ((and (consp arg)
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t))
        (cond
@@ -27313,20 +27287,20 @@ The current setting is:  On:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0))
          (setq |$algebraOutputFile| "CONSOLE"))))
       ((or
-        (and (pairp arg)
+        (and (consp arg)
              (progn
               (setq fn (qcar arg))
               (setq tmp1 (qcdr arg))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (eq (qcdr tmp1) nil)
                    (progn (setq ft (qcar tmp1)) t))))
-        (and (pairp arg)
+        (and (consp arg)
              (progn (setq fn (qcar arg))
                     (setq tmp1 (qcdr arg))
-                    (and (pairp tmp1)
+                    (and (consp tmp1)
                          (progn (setq ft (qcar tmp1))
                                 (setq tmp2 (qcdr tmp1))
-                                (and (pairp tmp2)
+                                (and (consp tmp2)
                                      (eq (qcdr tmp2) nil)
                                      (progn
                                       (setq fm (qcar tmp2))
@@ -27437,7 +27411,6 @@ The current setting is:  On:CONSOLE
 \calls{setOutputCharacters}{pname}
 \calls{setOutputCharacters}{specialChar}
 \calls{setOutputCharacters}{sayAsManyPerLineAsPossible}
-\calls{setOutputCharacters}{pairp}
 \calls{setOutputCharacters}{qcdr}
 \calls{setOutputCharacters}{qcar}
 \calls{setOutputCharacters}{downcase}
@@ -27485,7 +27458,7 @@ The current setting is:  On:CONSOLE
            (pname (|specialChar| char))))
           (setq l (cons s l)))
         (|sayAsManyPerLineAsPossible| (reverse l)))
-       ((and (pairp arg)
+       ((and (consp arg)
              (eq (qcdr arg) NIL)
              (progn (setq fn (qcar arg)) t)
              (setq fn (downcase fn)))
@@ -27570,7 +27543,6 @@ The current setting is:  Off:CONSOLE
 \calls{setOutputFortran}{concat}
 \calls{setOutputFortran}{describeSetOutputFortran}
 \calls{setOutputFortran}{upcase}
-\calls{setOutputFortran}{pairp}
 \calls{setOutputFortran}{qcdr}
 \calls{setOutputFortran}{qcar}
 \calls{setOutputFortran}{member}
@@ -27615,7 +27587,7 @@ The current setting is:  Off:CONSOLE
       (t nil))
      (setq arg (cdr arg)))
     (cond
-     ((and (pairp arg)
+     ((and (consp arg)
            (eq (qcdr arg) nil)
            (progn (setq fn (qcar arg)) t)
            (|member| fn '(Y N YE YES NO O ON OF OFF CONSOLE 
@@ -27623,7 +27595,7 @@ The current setting is:  Off:CONSOLE
        '|ok|)
      (t (setq arg (list fn '|sfort|))))
     (cond
-     ((and (pairp arg) (eq (qcdr arg) nil) (progn (setq fn (qcar arg)) t))
+     ((and (consp arg) (eq (qcdr arg) nil) (progn (setq fn (qcar arg)) t))
       (cond
        ((|member| (upcase fn) '(y n ye o of))
         (|sayKeyedMsg| 's2iv0002 '(fortran |fortran|)))
@@ -27635,22 +27607,22 @@ The current setting is:  Off:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0)) 
          (setq |$fortranOutputFile| "CONSOLE"))))
      ((or 
-       (and (pairp arg) 
+       (and (consp arg) 
             (progn
              (setq fn (qcar arg))
              (setq tmp1 (qcdr arg))
-             (and (pairp tmp1)
+             (and (consp tmp1)
                   (eq (qcdr tmp1) nil)
                   (progn (setq ft (qcar tmp1)) t))))
-       (and (pairp arg)
+       (and (consp arg)
             (progn
              (setq fn (qcar arg))
              (setq tmp1 (qcdr arg))
-             (and (pairp tmp1)
+             (and (consp tmp1)
                   (progn
                    (setq ft (qcar tmp1))
                    (setq tmp2 (qcdr tmp1))
-                   (and (pairp tmp2)
+                   (and (consp tmp2)
                         (eq (qcdr tmp2) nil)
                         (progn (setq fm (qcar tmp2)) t)))))))
       (when (setq ptype (|pathnameType| fn))
@@ -27847,7 +27819,6 @@ The current setting is:  Off:CONSOLE
 \calls{setOutputMathml}{defiostream}
 \calls{setOutputMathml}{concat}
 \calls{setOutputMathml}{describeSetOutputMathml}
-\calls{setOutputMathml}{pairp}
 \calls{setOutputMathml}{qcdr}
 \calls{setOutputMathml}{qcar}
 \calls{setOutputMathml}{member}
@@ -27884,7 +27855,7 @@ The current setting is:  Off:CONSOLE
      (|describeSetOutputMathml|))
     (t
      (cond
-      ((and (pairp arg) 
+      ((and (consp arg) 
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t)
             (|member| fn '(y n ye yes no o on of off console 
@@ -27892,7 +27863,7 @@ The current setting is:  Off:CONSOLE
         '|ok|)
       (t (setq arg (list fn '|smml|))))
      (cond
-      ((and (pairp arg) 
+      ((and (consp arg) 
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t))
        (cond
@@ -27906,21 +27877,21 @@ The current setting is:  Off:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0))
          (setq |$mathmlOutputFile| "CONSOLE"))))
       ((or 
-        (and (pairp arg)
+        (and (consp arg)
              (progn
               (setq fn (qcar arg))
               (setq tmp1 (qcdr arg))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (eq (qcdr tmp1) nil)
                    (progn (setq ft (qcar tmp1)) t))))
-        (and (pairp arg)
+        (and (consp arg)
              (progn (setq fn (qcar arg))
                     (setq tmp1 (qcdr arg))
-                    (and (pairp tmp1)
+                    (and (consp tmp1)
                          (progn
                           (setq ft (qcar tmp1))
                           (setq tmp2 (qcdr tmp1))
-                          (and (pairp tmp2)
+                          (and (consp tmp2)
                                (eq (qcdr tmp2) nil)
                                (progn
                                 (setq fm (qcar tmp2))
@@ -28051,7 +28022,6 @@ The current setting is:  Off:CONSOLE
 \calls{setOutputHtml}{defiostream}
 \calls{setOutputHtml}{concat}
 \calls{setOutputHtml}{describeSetOutputHtml}
-\calls{setOutputHtml}{pairp}
 \calls{setOutputHtml}{qcdr}
 \calls{setOutputHtml}{qcar}
 \calls{setOutputHtml}{member}
@@ -28088,7 +28058,7 @@ The current setting is:  Off:CONSOLE
      (|describeSetOutputHtml|))
     (t
      (cond
-      ((and (pairp arg) 
+      ((and (consp arg) 
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t)
             (|member| fn '(y n ye yes no o on of off console 
@@ -28096,7 +28066,7 @@ The current setting is:  Off:CONSOLE
         '|ok|)
       (t (setq arg (list fn '|smml|))))
      (cond
-      ((and (pairp arg) 
+      ((and (consp arg) 
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t))
        (cond
@@ -28110,21 +28080,21 @@ The current setting is:  Off:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0))
          (setq |$htmlOutputFile| "CONSOLE"))))
       ((or 
-        (and (pairp arg)
+        (and (consp arg)
              (progn
               (setq fn (qcar arg))
               (setq tmp1 (qcdr arg))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (eq (qcdr tmp1) nil)
                    (progn (setq ft (qcar tmp1)) t))))
-        (and (pairp arg)
+        (and (consp arg)
              (progn (setq fn (qcar arg))
                     (setq tmp1 (qcdr arg))
-                    (and (pairp tmp1)
+                    (and (consp tmp1)
                          (progn
                           (setq ft (qcar tmp1))
                           (setq tmp2 (qcdr tmp1))
-                          (and (pairp tmp2)
+                          (and (consp tmp2)
                                (eq (qcdr tmp2) nil)
                                (progn
                                 (setq fm (qcar tmp2))
@@ -28255,7 +28225,6 @@ The current setting is:  Off:CONSOLE
 \calls{setOutputOpenMath}{defiostream}
 \calls{setOutputOpenMath}{concat}
 \calls{setOutputOpenMath}{describeSetOutputOpenMath}
-\calls{setOutputOpenMath}{pairp}
 \calls{setOutputOpenMath}{qcdr}
 \calls{setOutputOpenMath}{qcar}
 \calls{setOutputOpenMath}{member}
@@ -28292,7 +28261,7 @@ The current setting is:  Off:CONSOLE
      (|describeSetOutputOpenMath|))
     (t
      (cond
-      ((and (pairp arg)
+      ((and (consp arg)
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t)
             (|member| fn '(y n ye yes no o on of off console
@@ -28300,7 +28269,7 @@ The current setting is:  Off:CONSOLE
         '|ok|)
       (t (setq arg (list fn '|som|))))
      (cond
-      ((and (pairp arg)
+      ((and (consp arg)
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t))
        (cond
@@ -28314,20 +28283,20 @@ The current setting is:  Off:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0))
          (setq |$openMathOutputFile| "CONSOLE"))))
       ((or
-        (and (pairp arg)
+        (and (consp arg)
              (progn (setq fn (qcar arg))
                     (setq tmp1 (qcdr arg))
-                    (and (pairp tmp1)
+                    (and (consp tmp1)
                          (eq (qcdr tmp1) nil)
                          (progn (setq ft (qcar tmp1)) t))))
-        (and (pairp arg)
+        (and (consp arg)
              (progn
               (setq fn (qcar arg))
               (setq tmp1 (qcdr arg))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (progn (setq ft (qcar tmp1))
                           (setq tmp2 (qcdr tmp1))
-                          (and (pairp tmp2)
+                          (and (consp tmp2)
                                (eq (qcdr tmp2) nil)
                                (progn (setq fm (qcar tmp2)) t)))))))
         (when (setq ptype (|pathnameType| fn))
@@ -28460,7 +28429,6 @@ The current setting is:  Off:CONSOLE
 \calls{setOutputFormula}{defiostream}
 \calls{setOutputFormula}{concat}
 \calls{setOutputFormula}{describeSetOutputFormula}
-\calls{setOutputFormula}{pairp}
 \calls{setOutputFormula}{qcdr}
 \calls{setOutputFormula}{qcar}
 \calls{setOutputFormula}{member}
@@ -28497,7 +28465,7 @@ The current setting is:  Off:CONSOLE
      (|describeSetOutputFormula|))
     (t
      (cond
-      ((and (pairp arg)
+      ((and (consp arg)
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t)
             (|member| fn '(y n ye yes no o on of off console
@@ -28505,7 +28473,7 @@ The current setting is:  Off:CONSOLE
         '|ok|)
       (t (setq arg (list fn '|sform|))))
      (cond
-      ((and (pairp arg)
+      ((and (consp arg)
             (eq (qcdr arg) nil)
             (progn (setq fn (qcar arg)) t))
        (cond
@@ -28519,19 +28487,19 @@ The current setting is:  Off:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0))
          (setq |$formulaOutputFile| "CONSOLE"))))
       ((or
-        (and (pairp arg)
+        (and (consp arg)
              (progn (setq fn (qcar arg))
                     (setq tmp1 (qcdr arg))
-                    (and (pairp tmp1)
+                    (and (consp tmp1)
                          (eq (qcdr tmp1) nil)
                          (progn (setq ft (qcar tmp1)) t))))
-        (and (pairp arg)
+        (and (consp arg)
              (progn (setq fn (qcar arg))
                     (setq tmp1 (qcdr arg))
-                    (and (pairp tmp1)
+                    (and (consp tmp1)
                          (progn (setq ft (qcar tmp1))
                                 (setq tmp2 (qcdr tmp1))
-                                (and (pairp tmp2)
+                                (and (consp tmp2)
                                      (eq (qcdr tmp2) nil)
                                      (progn 
                                       (setq fm (qcar tmp2)) t)))))))
@@ -28723,7 +28691,6 @@ The current setting is:  Off:CONSOLE
 \calls{setOutputTex}{defiostream}
 \calls{setOutputTex}{concat}
 \calls{setOutputTex}{describeSetOutputTex}
-\calls{setOutputTex}{pairp}
 \calls{setOutputTex}{qcdr}
 \calls{setOutputTex}{qcar}
 \calls{setOutputTex}{member}
@@ -28759,7 +28726,7 @@ The current setting is:  Off:CONSOLE
     (|describeSetOutputTex|))
    (t
     (cond
-     ((and (pairp arg)
+     ((and (consp arg)
            (eq (qcdr arg) nil)
            (progn (setq fn (qcar arg)) t)
            (|member| fn '(y n ye yes no o on of off console 
@@ -28767,7 +28734,7 @@ The current setting is:  Off:CONSOLE
        '|ok|)
      (t (setq arg (list fn '|stex| nil))))
     (cond
-     ((and (pairp arg)
+     ((and (consp arg)
            (eq (qcdr arg) nil)
            (progn (setq fn (qcar arg)) t))
       (cond 
@@ -28781,19 +28748,19 @@ The current setting is:  Off:CONSOLE
           (defiostream '((mode . output) (device . console)) 255 0))
         (setq |$texOutputFile| "CONSOLE"))))
      ((or 
-       (and (pairp arg)
+       (and (consp arg)
             (progn (setq fn (qcar arg))
                    (setq tmp1 (qcdr arg))
-                   (and (pairp tmp1)
+                   (and (consp tmp1)
                         (eq (qcdr tmp1) nil)
                         (progn (setq ft (qcar tmp1)) t))))
-      (and (pairp arg)
+      (and (consp arg)
            (progn (setq fn (qcar arg))
                   (setq tmp1 (qcdr arg))
-                  (and (pairp tmp1)
+                  (and (consp tmp1)
                   (progn (setq ft (qcar tmp1))
                          (setq tmp2 (qcdr tmp1))
-                         (and (pairp tmp2)
+                         (and (consp tmp2)
                               (eq (qcdr tmp2) nil)
                               (progn (setq fm (qcar tmp2)) t)))))))
       (when (setq ptype (|pathnameType| fn))
@@ -29436,7 +29403,7 @@ o )what
     (setq |$e| |$InteractiveFrame|)
     (setq |$env| |$InteractiveFrame|)
     (cond
-     ((and (pairp arg) (eq (qcdr arg) nil) (progn (setq constr (qcar arg)) t))
+     ((and (consp arg) (eq (qcdr arg) nil) (progn (setq constr (qcar arg)) t))
       (cond
        ((|member| constr '(|Union| |Record| |Mapping|))
         (cond
@@ -29449,7 +29416,7 @@ o )what
             (list constr ")show Union(a: Integer, b: String)" )))
           (|sayKeyedMsg| 'S2IZ0045U
             (list constr ")show Union(Integer, String)" ))))
-       ((and (pairp constr) (eq (qcar constr) '|Mapping|))
+       ((and (consp constr) (eq (qcar constr) '|Mapping|))
                (|sayKeyedMsg| 'S2IZ0044M nil))
        (t (|reportOperations| constr constr))))
      (t (|reportOperations| arg arg)))))))
@@ -29494,14 +29461,14 @@ o )what
     ((eq u '%)
      (|sayKeyedMsg| 'S2IZ0063 nil)
      (|sayKeyedMsg| 'S2IZ0064 nil))
-    ((and (null (and (pairp u) (eq (qcar u) '|Record|)))
-          (null (and (pairp u) (eq (qcar u) '|Union|)))
+    ((and (null (and (consp u) (eq (qcar u) '|Record|)))
+          (null (and (consp u) (eq (qcar u) '|Union|)))
           (null (|isNameOfType| u))
-          (null (and (pairp u)
+          (null (and (consp u)
                      (eq (qcar u) '|typeOf|)
                      (progn
                       (setq tmp1 (qcdr u))
-                      (and (pairp tmp1) (eq (qcdr tmp1) nil))))))
+                      (and (consp tmp1) (eq (qcdr tmp1) nil))))))
      (when (atom oldArg) (setq oldArg (list oldArg)))
      (|sayKeyedMsg| 'S2IZ0063 nil)
      (dolist (op oldArg)
@@ -29756,7 +29723,7 @@ o )what
  (declare (special |$commentedOps| |$CategoryFrame| $linelength |$options|
                       |$showOptions|))
   (setq isRecordOrUnion
-   (and (pairp unitForm)
+   (and (consp unitForm)
         (progn (setq a (qcar unitForm)) t)
         (|member| a '(|Record| |Union|))))
   (setq unit (|evalDomain| unitForm))
@@ -30497,7 +30464,6 @@ This reports the traced functions
 \end{chunk}
 
 \defun{traceSpad2Cmd}{traceSpad2Cmd}
-\calls{traceSpad2Cmd}{pairp}
 \calls{traceSpad2Cmd}{qcar}
 \calls{traceSpad2Cmd}{qcdr}
 \calls{traceSpad2Cmd}{getMapSubNames}
@@ -30510,11 +30476,11 @@ This reports the traced functions
  (let (tmp1 l1)
  (declare (special |$mapSubNameAlist|))
   (cond
-   ((and (pairp l)
+   ((and (consp l)
          (eq (qcar l) '|Tuple|)
          (progn
           (setq tmp1 (qcdr l))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (eq (qcdr tmp1) nil)
                (progn 
                 (setq l1 (qcar tmp1))
@@ -30544,7 +30510,6 @@ This reports the traced functions
 \calls{trace1}{resetSpacers}
 \calls{trace1}{resetTimers}
 \calls{trace1}{resetCounters}
-\calls{trace1}{pairp}
 \calls{trace1}{qcar}
 \calls{trace1}{qcdr}
 \calls{trace1}{vecp}
@@ -30637,7 +30602,7 @@ This reports the traced functions
           (|trace1| oldl)
           (progn
            (dolist (x arg)
-            (if (and (pairp x)
+            (if (and (consp x)
                      (progn
                       (setq domain (qcar x))
                       (setq oplist (qcdr x))
@@ -30648,7 +30613,7 @@ This reports the traced functions
                (setq |$options| (append newoptions (lassoc x |$optionAlist|)))
                (|trace1| (list x)))))))))
       ((null arg) nil)
-      ((and (pairp arg) (eq (qcdr arg) nil) (eq (qcar arg) '?)) (|?t|))
+      ((and (consp arg) (eq (qcdr arg) nil) (eq (qcar arg) '?)) (|?t|))
       (t
        (setq tracelist
         (or
@@ -30820,7 +30785,6 @@ This reports the traced functions
 \calls{getTraceOption}{concat}
 \calls{getTraceOption}{object2String}
 \calls{getTraceOption}{transOnlyOption}
-\calls{getTraceOption}{pairp}
 \calls{getTraceOption}{qcdr}
 \calls{getTraceOption}{qcar}
 \calls{getTraceOption}{getTraceOption,hn}
@@ -30881,7 +30845,7 @@ This reports the traced functions
       ((eq key '|only|) (cons '|only| (|transOnlyOption| l)))
       ((eq key '|within|)
         (cond
-         ((and (pairp l) 
+         ((and (consp l) 
                (eq (qcdr l) nil)
                (progn (setq a (qcar l)) t)
                (identp a))
@@ -30895,7 +30859,7 @@ This reports the traced functions
           ((eq key '|cond|) '|when|)
           (t key)))
         (cond
-         ((and (pairp l) 
+         ((and (consp l) 
                (eq (qcdr l) nil)
                (progn (setq a (qcar l)) t))
             (cons key l))
@@ -30907,7 +30871,7 @@ This reports the traced functions
               (|object2String| key)) nil) nil))))))
       ((eq key '|depth|)
         (cond 
-         ((and (pairp l) 
+         ((and (consp l) 
                (eq (qcdr l) nil)
                (progn (setq |n| (qcar l)) t)
                (integerp |n|))
@@ -30918,7 +30882,7 @@ This reports the traced functions
       ((eq key '|count|)
         (cond 
          ((or (null l) 
-              (and (pairp l) 
+              (and (consp l) 
                    (eq (qcdr l) nil)
                    (progn (setq |n| (qcar l)) t)
                    (integerp |n|)))
@@ -30939,7 +30903,7 @@ This reports the traced functions
       ((member key '(|local| ops |vars|))
         (cond
          ((or (null l)
-              (and (pairp l) (eq (qcdr l) nil) (eq (qcar l) '|all|)))
+              (and (consp l) (eq (qcdr l) nil) (eq (qcar l) '|all|)))
            (cons key '|all|))
          ((|isListOfIdentifiersOrStrings| l) arg)
          (t
@@ -30950,7 +30914,7 @@ This reports the traced functions
       ((eq key '|varbreak|)
         (cond
          ((or (null l) 
-              (and (pairp l) (eq (qcdr l) nil) (eq (qcar l) '|all|)))
+              (and (consp l) (eq (qcdr l) nil) (eq (qcar l) '|all|)))
            (cons '|varbreak| '|all|))
          ((|isListOfIdentifiers| l) arg)
          (t
@@ -31071,13 +31035,12 @@ This reports the traced functions
 \calls{transOnlyOption}{transOnlyOption}
 \calls{transOnlyOption}{upcase}
 \calls{transOnlyOption}{stackTraceOptionError}
-\calls{transOnlyOption}{pairp}
 \calls{transOnlyOption}{qcar}
 \calls{transOnlyOption}{qcdr}
 \begin{chunk}{defun transOnlyOption}
 (defun |transOnlyOption| (arg)
  (let (y n)
-  (when (and (pairp arg) (progn (setq n (qcar arg)) (setq y (qcdr arg)) t))
+  (when (and (consp arg) (progn (setq n (qcar arg)) (setq y (qcdr arg)) t))
     (cond
      ((integerp n) (cons n (|transOnlyOption| y)))
      ((member (setq n (upcase n)) '(v a c)) (cons n (|transOnlyOption| y)))
@@ -31187,7 +31150,6 @@ This reports the traced functions
 \calls{transTraceItem}{domainToGenvar}
 \calls{transTraceItem}{unabbrev}
 \calls{transTraceItem}{constructor?}
-\calls{transTraceItem}{pairp}
 \calls{transTraceItem}{vecp}
 \calls{transTraceItem}{transTraceItem}
 \calls{transTraceItem}{devaluate}
@@ -31214,7 +31176,7 @@ This reports the traced functions
           (setq y (|unabbrev| x))
           (cond
            ((|constructor?| y) y)
-           ((and (pairp y) (|constructor?| (car y))) (car y))
+           ((and (consp y) (|constructor?| (car y))) (car y))
            ((setq y (|domainToGenvar| x)) y)
            (t x)))
         (t x)))
@@ -31604,7 +31566,6 @@ This reports the traced functions
 \end{chunk}
 
 \defun{funfind,LAM}{funfind,LAM}
-\calls{funfind,LAM}{pairp}
 \calls{funfind,LAM}{qcar}
 \calls{funfind,LAM}{SEQ}
 \calls{funfind,LAM}{isFunctor}
@@ -31624,10 +31585,10 @@ This reports the traced functions
         (seq
          (exit
           (cond
-           ((and (pairp u)
+           ((and (consp u)
                  (progn
                   (setq tmp1 (qcar u))
-                  (and (pairp tmp1) (equal (qcar tmp1) opname))))
+                  (and (consp tmp1) (equal (qcar tmp1) opname))))
              (setq t0 (cons u t0)))))))))))))) 
 
 \end{chunk}
@@ -31699,7 +31660,6 @@ This reports the traced functions
 \end{chunk}
 
 \defun{spadTrace}{spadTrace}
-\calls{spadTrace}{pairp}
 \calls{spadTrace}{refvecp}
 \calls{spadTrace}{aldorTrace}
 \calls{spadTrace}{isDomainOrPackage}
@@ -31743,7 +31703,7 @@ This reports the traced functions
  (setq |$fromSpadTrace| t)
  (setq |$tracedModemap| nil)
  (cond
-  ((and (pairp domain)
+  ((and (consp domain)
         (refvecp (car domain))
         (eql (elt (car domain) 0) 0))
     (|aldorTrace| domain options))
@@ -31965,7 +31925,6 @@ This reports the traced functions
 \defun{untraceDomainConstructor,keepTraced?}{%
 untraceDomainConstructor,keepTraced?}
 \calls{untraceDomainConstructor,keepTraced?}{seq}
-\calls{untraceDomainConstructor,keepTraced?}{pairp}
 \calls{untraceDomainConstructor,keepTraced?}{qcar}
 \calls{untraceDomainConstructor,keepTraced?}{isDomainOrPackage}
 \calls{untraceDomainConstructor,keepTraced?}{boot-equal}
@@ -31980,7 +31939,7 @@ untraceDomainConstructor,keepTraced?}
    (seq
     (if (and 
          (and
-          (and (pairp df) (progn (setq dc (qcar df)) t))
+          (and (consp df) (progn (setq dc (qcar df)) t))
            (|isDomainOrPackage| dc))
          (boot-equal (kar (|devaluate| dc)) domainConstructor))
      (exit (seq (|/UNTRACE,0| (cons dc nil)) (exit nil))))
@@ -32327,7 +32286,6 @@ to convert the data into type "Expression"
 \end{chunk}
 
 \defun{hasPair}{hasPair}
-\calls{hasPair}{pairp}
 \calls{hasPair}{qcar}
 \calls{hasPair}{qcdr}
 \calls{hasPair}{hasPair}
@@ -32337,10 +32295,10 @@ to convert the data into type "Expression"
   (return 
    (cond
     ((atom arg) nil)
-    ((and (pairp arg)
+    ((and (consp arg)
           (progn
            (setq tmp1 (qcar arg))
-           (and (pairp tmp1)
+           (and (consp tmp1)
                 (equal (qcar tmp1) key)
                 (progn (setq a (qcdr tmp1)) t))))
        a)
@@ -32377,7 +32335,6 @@ to convert the data into type "Expression"
 \end{chunk}
 
 \defun{reportSpadTrace}{reportSpadTrace}
-\calls{reportSpadTrace}{pairp}
 \calls{reportSpadTrace}{qcar}
 \calls{reportSpadTrace}{sayBrightly}
 \usesdollar{reportSpadTrace}{traceNoisely}
@@ -32408,7 +32365,7 @@ to convert the data into type "Expression"
       (setq |namePart| nil)
       (setq |tracePart|
        (cond
-        ((and (pairp |t|) (progn (setq y (qcar |t|)) t) (null (null y)))
+        ((and (consp |t|) (progn (setq y (qcar |t|)) t) (null (null y)))
           (cond
            ((eq y '|all|)
              (cons '|%b| (cons '|all| (cons '|%d| (cons '|vars| nil)))))
@@ -32445,7 +32402,6 @@ to convert the data into type "Expression"
 \end{chunk}
 
 \defun{/tracereply}{/tracereply}
-\calls{/tracereply}{pairp}
 \calls{/tracereply}{qcar}
 \calls{/tracereply}{isDomainOrPackage}
 \calls{/tracereply}{devaluate}
@@ -32466,7 +32422,7 @@ to convert the data into type "Expression"
         (seq
          (exit
           (cond
-           ((and (pairp x) 
+           ((and (consp x) 
                  (progn (setq |d| (qcar x)) t)
                  (|isDomainOrPackage| |d|))
               (setq domainlist (cons (|devaluate| |d|) domainlist)))
@@ -32479,7 +32435,6 @@ to convert the data into type "Expression"
 
 \defun{spadReply,printName}{spadReply,printName}
 \calls{spadReply,printName}{seq}
-\calls{spadReply,printName}{pairp}
 \calls{spadReply,printName}{qcar}
 \calls{spadReply,printName}{isDomainOrPackage}
 \calls{spadReply,printName}{exit}
@@ -32489,7 +32444,7 @@ to convert the data into type "Expression"
  (prog (|d|)
   (return
    (seq
-    (if (and (and (pairp x) (progn (setq |d| (qcar x)) t))
+    (if (and (and (consp x) (progn (setq |d| (qcar x)) t))
              (|isDomainOrPackage| |d|))
        (exit (|devaluate| |d|)))
      (exit x))))) 
@@ -32617,7 +32572,7 @@ to convert the data into type "Expression"
 \begin{chunk}{defun remover}
 (defun remover (lst item)
  (cond
-  ((null (pairp lst)) (cond ((equal lst item) nil) (t lst)))
+  ((null (consp lst)) (cond ((equal lst item) nil) (t lst)))
   ((equal (car lst) item) (cdr lst))
   (t (rplnode lst (remover (car lst) item) (remover (cdr lst) item)))))
 
@@ -32625,7 +32580,6 @@ to convert the data into type "Expression"
 
 \defun{prTraceNames,fn}{prTraceNames,fn}
 \calls{prTraceNames,fn}{seq}
-\calls{prTraceNames,fn}{pairp}
 \calls{prTraceNames,fn}{qcar}
 \calls{prTraceNames,fn}{qcdr}
 \calls{prTraceNames,fn}{isDomainOrPackage}
@@ -32636,7 +32590,7 @@ to convert the data into type "Expression"
  (prog (|d| |t|)
   (return
    (seq
-    (if (and (and (pairp x) 
+    (if (and (and (consp x) 
                   (progn (setq |d| (qcar x)) (setq |t| (qcdr x)) t))
               (|isDomainOrPackage| |d|))
       (exit (cons (|devaluate| |d|) |t|)))
@@ -32671,7 +32625,6 @@ to convert the data into type "Expression"
 \defun{traceReply}{traceReply}
 \calls{traceReply}{sayMessage}
 \calls{traceReply}{sayBrightly}
-\calls{traceReply}{pairp}
 \calls{traceReply}{qcar}
 \calls{traceReply}{isDomainOrPackage}
 \calls{traceReply}{addTraceItem}
@@ -32715,7 +32668,7 @@ to convert the data into type "Expression"
          (seq
           (exit
            (cond
-            ((and (pairp x) 
+            ((and (consp x) 
                   (progn (setq |d| (qcar x)) t) (|isDomainOrPackage| |d|))
                (|addTraceItem| |d|))
             ((atom x)
@@ -32835,7 +32788,6 @@ to convert the data into type "Expression"
 \calls{?t}{sayMSG}
 \calls{?t}{bright}
 \calls{?t}{rassocSub}
-\calls{?t}{pairp}
 \calls{?t}{qcar}
 \calls{?t}{qcdr}
 \calls{?t}{isDomainOrPackage}
@@ -32866,7 +32818,7 @@ to convert the data into type "Expression"
            "traced"))))))
     (dolist (x /tracenames)
      (cond
-      ((and (pairp x) 
+      ((and (consp x) 
             (progn (setq d (qcar x)) (setq l (qcdr x)) t)
             (|isDomainOrPackage| d))
        (progn
@@ -33231,7 +33183,6 @@ alternate polynomial types of Symbols.
 \end{chunk}
 
 \defun{mkEvalable}{mkEvalable}
-\calls{mkEvalable}{pairp}
 \calls{mkEvalable}{qcar}
 \calls{mkEvalable}{qcdr}
 \calls{mkEvalable}{mkEvalable}
@@ -33252,7 +33203,7 @@ alternate polynomial types of Symbols.
  (let (op argl kind cosig tmp1 y)
  (declare (special |$Integer| |$EmptyMode|))
   (cond
-   ((pairp form)
+   ((consp form)
      (setq op (qcar form))
      (setq argl (qcdr form))
      (cond
@@ -33278,8 +33229,8 @@ alternate polynomial types of Symbols.
                 (t
                   (|loadIfNecessary| x)
                   (|mkEvalable| x))))
-              ((and (pairp x) (eq (qcar x) 'quote)) x)
-              ((and (pairp x) (eq (qcar x) '|#|) (pairp (qcdr x)) 
+              ((and (consp x) (eq (qcar x) 'quote)) x)
+              ((and (consp x) (eq (qcar x) '|#|) (consp (qcdr x)) 
                     (eq (qcdr (qcdr x)) nil))
                 (list 'size (mkq (qcar (qcdr x)))))
               (t (mkq x))))))
@@ -33341,7 +33292,6 @@ on non-type valued arguemnts to the constructor
 and finally checking to see whether the type satisfies the
 conditions of its modemap
 \calls{evaluateType}{isDomainValuedVariable}
-\calls{evaluateType}{pairp}
 \calls{evaluateType}{qcar}
 \calls{evaluateType}{qcdr}
 \calls{evaluateType}{mkAtree}
@@ -33368,18 +33318,18 @@ conditions of its modemap
     (t
      (setq |$expandSegments| nil)
      (cond
-       ((and (pairp form) (eq (qcar form) '|typeOf|) (pairp (qcdr form)) 
+       ((and (consp form) (eq (qcar form) '|typeOf|) (consp (qcdr form)) 
              (eq (qcdr (qcdr form)) nil))
          (setq formp (|mkAtree| form))
          (|bottomUp| formp)
          (|objVal| (|getValue| formp)))
-       ((pairp form)
+       ((consp form)
          (setq op (qcar form))
          (setq argl (qcdr form))
          (cond
           ((eq op 'category)
             (cond
-             ((pairp argl)
+             ((consp argl)
                (cons op
                 (cons (qcar argl)
                  (loop for s in (qcdr argl)
@@ -33391,8 +33341,8 @@ conditions of its modemap
               collect (|evaluateType| arg))))
           ((eq op '|Union|)
             (cond
-             ((and argl (pairp (car argl)) (pairp (qcdr (car argl)))
-                   (pairp (qcdr (qcdr (car argl))))
+             ((and argl (consp (car argl)) (consp (qcdr (car argl)))
+                   (consp (qcdr (qcdr (car argl))))
                    (eq (qcdr (qcdr (qcdr (car argl)))) nil)
                    (|member| (qcar (car argl)) '(|:| |Declare|)))
                (cons op
@@ -33432,7 +33382,6 @@ Evaluates the arguments passed to a constructor
 \calls{evaluateType1}{mkAtree}
 \calls{evaluateType1}{putTarget}
 \calls{evaluateType1}{bottumUp}
-\calls{evaluateType1}{pairp}
 \calls{evaluateType1}{qcar}
 \calls{evaluateType1}{qcdr}
 \calls{evaluateType1}{getAndEvalConstructorArguments}
@@ -33478,7 +33427,7 @@ Evaluates the arguments passed to a constructor
                       (|putTarget| tree m)
                       (progn
                        (setq tmp1 (|bottomUp| tree))
-                       (and (pairp tmp1)
+                       (and (consp tmp1)
                             (eq (qcdr tmp1) nil))))
                   (setq m1 (qcar tmp1))
                   (setq z1 (|getAndEvalConstructorArgument| tree))
@@ -33531,8 +33480,8 @@ Calls evaluateType on a signature
 \begin{chunk}{defun evaluateSignature}
 (defun |evaluateSignature| (sig)
   (cond
-   ((and (pairp sig) (eq (qcar sig) 'signature) (pairp (qcdr sig))
-         (pairp (qcdr (qcdr sig))) (eq (qcdr (qcdr (qcdr sig))) nil))
+   ((and (consp sig) (eq (qcar sig) 'signature) (consp (qcdr sig))
+         (consp (qcdr (qcdr sig))) (eq (qcdr (qcdr (qcdr sig))) nil))
     (cons 'signature (cons (qcar (qcdr sig))
       (list
        (loop for z in (qcar (qcdr (qcdr sig)))
@@ -33600,7 +33549,6 @@ $previousBindings := nil
 \calls{undo}{pname}
 \calls{undo}{read}
 \calls{undo}{userError}
-\calls{undo}{pairp}
 \calls{undo}{qcdr}
 \calls{undo}{qcar}
 \calls{undo}{spaddifference}
@@ -33615,11 +33563,11 @@ $previousBindings := nil
  (declare (special |$options| |$InteractiveFrame|))
   (setq undoWhen '|after|)
   (when
-    (and (pairp |$options|)
+    (and (consp |$options|)
          (eq (qcdr |$options|) nil)
          (progn
           (setq tmp1 (qcar |$options|))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (eq (qcdr tmp1) nil)
                (progn (setq key (qcar tmp1)) t)))
      (cond
@@ -33977,7 +33925,6 @@ Properties of r ::
 \calls{undoSteps}{recordFrame}
 \calls{undoSteps}{copy}
 \calls{undoSteps}{undoSingleStep}
-\calls{undoSteps}{pairp}
 \calls{undoSteps}{qcdr}
 \calls{undoSteps}{qcar}
 \usesdollar{undoSteps}{IOindex}
@@ -33993,13 +33940,13 @@ Properties of r ::
   (do ((i 0 (1+ i)) (framelist |$frameRecord| (cdr framelist)))
       ((or (> i m) (atom framelist)) nil)
     (setq env (|undoSingleStep| (CAR framelist) env))
-    (if (and (pairp framelist) 
+    (if (and (consp framelist) 
             (progn
              (setq tmp1 (qcdr framelist))
-             (and (pairp tmp1) 
+             (and (consp tmp1) 
                   (progn
                    (setq tmp2 (qcar tmp1))
-                   (and (pairp tmp2)
+                   (and (consp tmp2)
                         (eq (qcar tmp2) '|systemCommand|)
                         (progn 
                          (setq systemDelta (qcdr tmp2))
@@ -34336,13 +34283,12 @@ o )show
 \end{chunk}
 
 \defun{whatSpad2Cmd,fixpat}{whatSpad2Cmd,fixpat}
-\calls{whatSpad2Cmd,fixpat}{pairp}
 \calls{whatSpad2Cmd,fixpat}{qcar}
 \calls{whatSpad2Cmd,fixpat}{downcase}
 \begin{chunk}{defun whatSpad2Cmd,fixpat}
 (defun |whatSpad2Cmd,fixpat| (x)
  (let (xp)
-  (if (and (pairp x) (progn (setq xp (qcar x)) t))
+  (if (and (consp x) (progn (setq xp (qcar x)) t))
    (downcase xp)
    (downcase x))))
 
@@ -34950,10 +34896,10 @@ in the addBinding function.
     (cond
      (|$InteractiveMode| (|addBindingInteractive| var proplist e))
      (t
-      (when (and (pairp curContour)
+      (when (and (consp curContour)
                  (progn
                   (setq tmp1 (qcar curContour))
-                  (and (pairp tmp1) (equal (qcar tmp1) var))))
+                  (and (consp tmp1) (equal (qcar tmp1) var))))
         (setq curContour (cdr curContour)))
       (setq lx (cons var proplist))
       (cons (cons (cons lx curContour) tailContour) tailEnv)))))))
@@ -36520,7 +36466,7 @@ Format of an entry in browse.daase:
                     *browse-stream* *defaultdomain-list* *interp-stream*
                     *category-stream* *hasCategory-hash* *operation-stream*))
   (when (or (symbolp constructor)
-          (and (eq key 'hascategory) (pairp constructor)))
+          (and (eq key 'hascategory) (consp constructor)))
   (case key
 ; note that abbreviation, constructorkind and cosig are heavy hitters
 ; thus they occur first in the list of things to check
@@ -37944,7 +37890,6 @@ filetype and filemode. We also UPCASE everything.
 \end{chunk}
 
 \defun{pathname}{Axiom pathnames}
-\calls{pathname}{pairp}
 \calls{pathname}{pathname}
 \calls{pathname}{make-filename}
 \begin{chunk}{defun pathname}
@@ -37952,7 +37897,7 @@ filetype and filemode. We also UPCASE everything.
  (cond
   ((null p) p)
   ((pathnamep p) p)
-  ((null (pairp p)) (pathname p))
+  ((null (consp p)) (pathname p))
   (t
    (when (> (|#| p) 2) (setq p (cons (elt p 0) (cons (elt p 1) nil))))
    (pathname (apply #'make-filename p)))))
@@ -37981,14 +37926,13 @@ filetype and filemode. We also UPCASE everything.
 \end{chunk}
 
 \defun{wrap}{wrap}
-\calls{wrap}{pairp}
 \calls{wrap}{lotsof}
 \calls{wrap}{wrap}
 \begin{chunk}{defun wrap}
 (defun wrap (list-of-items wrapper)
  (prog nil
   (cond
-   ((or (not (pairp list-of-items)) (not wrapper))
+   ((or (not (consp list-of-items)) (not wrapper))
     (return list-of-items))
    ((not (consp wrapper))
     (setq wrapper (lotsof wrapper))))
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index f878a09..449ee85 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -3751,7 +3751,7 @@ For instance, for the file {\tt EQ.spad}, we get:
   (setq $comblocklist nil)
   (setq $skipme nil)
   (when $preparse-last-line
-   (if (pairp $preparse-last-line)
+   (if (consp $preparse-last-line)
     (setq stack $preparse-last-line)
     (push $preparse-last-line stack))
    (setq $index (- $index (length stack))))
@@ -4443,14 +4443,14 @@ A reduction of a rule is any S-Expression the rule chooses to stack.
   (g (op)
    (let (tmp1 tmp2 x)
     (seq
-     (if (and (pairp op) (eq (qcar op) '|elt|)
+     (if (and (consp op) (eq (qcar op) '|elt|)
          (progn
           (setq tmp1 (qcdr op))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (progn
                 (setq op (qcar tmp1))
                 (setq tmp2 (qcdr tmp1))
-                (and (pairp tmp2)
+                (and (consp tmp2)
                      (eq (qcdr tmp2) nil)
                          (progn (setq x (qcar tmp2)) t))))))
         (exit (g x)))
@@ -4467,7 +4467,7 @@ A reduction of a rule is any S-Expression the rule chooses to stack.
     (cond
      ((eq u '|construct|)
        (setq r (|parseConstruct| argl))
-       (if (and (pairp |$op|) (eq (qcar |$op|) '|elt|))
+       (if (and (consp |$op|) (eq (qcar |$op|) '|elt|))
         (cons (|parseTran| |$op|) (cdr r))
         r))
      ((and (atom u) (setq fn (getl u '|parseTran|)))
@@ -4625,8 +4625,8 @@ of the symbol being parsed. The original list read:
 (defun |parseType| (x)
  (declare (special |$EmptyMode| |$quadSymbol|))
  (setq x (msubst |$EmptyMode| |$quadSymbol| x))
- (if (and (pairp x) (eq (qcar x) '|typeOf|)
-          (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil))
+ (if (and (consp x) (eq (qcar x) '|typeOf|)
+          (consp (qcdr x)) (eq (qcdr (qcdr x)) nil))
     (list '|typeOf| (|parseTran| (qcar (qcdr x))))
     x))
 
@@ -4657,9 +4657,9 @@ of the symbol being parsed. The original list read:
 \begin{chunk}{defun parseDropAssertions}
 (defun |parseDropAssertions| (x)
  (cond
-  ((not (pairp x)) x)
-  ((and (pairp (qcar x)) (eq (qcar (qcar x)) 'if)
-        (pairp (qcdr (qcar x)))
+  ((not (consp x)) x)
+  ((and (consp (qcar x)) (eq (qcar (qcar x)) 'if)
+        (consp (qcdr (qcar x)))
         (eq (qcar (qcdr (qcar x))) '|asserted|))
      (|parseDropAssertions| (qcdr x)))
   (t (cons (qcar x) (|parseDropAssertions| (qcdr x))))))
@@ -4702,9 +4702,9 @@ of the symbol being parsed. The original list read:
 (defun |parseColon| (arg)
  (declare (special |$insideConstructIfTrue|))
  (cond
-  ((and (pairp arg) (eq (qcdr arg) nil))
+  ((and (consp arg) (eq (qcdr arg) nil))
    (list '|:| (|parseTran| (first arg))))
-  ((and (pairp arg) (pairp (qcdr arg)) (eq (qcdr (qcdr arg)) nil))
+  ((and (consp arg) (consp (qcdr arg)) (eq (qcdr (qcdr arg)) nil))
     (if |$InteractiveMode|
       (if |$insideConstructIfTrue|
         (list 'tag (|parseTran| (first arg))
@@ -4776,7 +4776,6 @@ of the symbol being parsed. The original list read:
 \defun{transIs1}{transIs1}
 \calls{transIs1}{qcar}
 \calls{transIs1}{qcdr}
-\calls{transIs1}{pairp}
 \calls{transIs1}{nreverse0}
 \calls{transIs1}{transIs}
 \calls{transIs1}{transIs1}
@@ -4784,27 +4783,27 @@ of the symbol being parsed. The original list read:
 (defun |transIs1| (u)
  (let (x h v tmp3)
   (cond
-   ((and (pairp u) (eq (qcar u) '|construct|))
+   ((and (consp u) (eq (qcar u) '|construct|))
      (dolist (x (qcdr u) (nreverse0 tmp3))
        (push (|transIs| x) tmp3)))
-   ((and (pairp u) (eq (qcar u) '|append|) (pairp (qcdr u))
-         (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
+   ((and (consp u) (eq (qcar u) '|append|) (consp (qcdr u))
+         (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
      (setq x (qcar (qcdr u)))
      (setq h (list '|:| (|transIs| x)))
      (setq v (|transIs1| (qcar (qcdr (qcdr u)))))
      (cond
-      ((and (pairp v) (eq (qcar v) '|:|)
-            (pairp (qcdr v)) (eq (qcdr (qcdr v)) nil))
+      ((and (consp v) (eq (qcar v) '|:|)
+            (consp (qcdr v)) (eq (qcdr (qcdr v)) nil))
          (list h (qcar (qcdr v))))
       ((eq v '|nil|) (car (cdr h)))
       ((atom v) (list h (list '|:| v)))
       (t (cons h v))))
-   ((and (pairp u) (eq (qcar u) '|cons|) (pairp (qcdr u)) 
-         (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
+   ((and (consp u) (eq (qcar u) '|cons|) (consp (qcdr u)) 
+         (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
      (setq h (|transIs| (qcar (qcdr u))))
      (setq v (|transIs1| (qcar (qcdr (qcdr u)))))
      (cond
-      ((and (pairp v) (eq (qcar v) '|:|) (pairp (qcdr v))
+      ((and (consp v) (eq (qcar v) '|:|) (consp (qcdr v))
             (eq (qcdr (qcdr v)) nil))
          (cons h (list (qcar (qcdr v)))))
       ((eq v '|nil|) (cons h nil))
@@ -4818,7 +4817,7 @@ of the symbol being parsed. The original list read:
 \calls{isListConstructor}{member}
 \begin{chunk}{defun isListConstructor}
 (defun |isListConstructor| (u)
- (and (pairp u) (|member| (qcar u) '(|construct| |append| |cons|))))
+ (and (consp u) (|member| (qcar u) '(|construct| |append| |cons|))))
 
 \end{chunk}
 
@@ -5003,18 +5002,18 @@ of the symbol being parsed. The original list read:
    (declare (special |$InteractiveMode|))
     (when |$InteractiveMode| (setq arg (|unabbrevAndLoad| arg)))
     (cond
-     ((and (pairp arg) (eq (qcar arg) '|:|) (pairp (qcdr arg))
-               (pairp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)
-               (pairp (qcar (qcdr (qcdr arg))))
+     ((and (consp arg) (eq (qcar arg) '|:|) (consp (qcdr arg))
+               (consp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)
+               (consp (qcar (qcdr (qcdr arg))))
                (eq (qcar (qcar (qcdr (qcdr arg)))) '|Mapping|))
         (setq map (rest (third arg)))
         (setq op (second arg))
         (setq op (if (stringp op) (intern op) op))
         (list (list 'signature op map)))
-     ((and (pairp arg) (eq (qcar arg) '|Join|))
+     ((and (consp arg) (eq (qcar arg) '|Join|))
         (dolist (z (rest arg) tmp4)
          (setq tmp4 (append tmp4 (fn z)))))
-     ((and (pairp arg) (eq (qcar arg) 'category))
+     ((and (consp arg) (eq (qcar arg) 'category))
         (dolist (z (rest arg) tmp6)
           (setq tmp6 (append tmp6 (fn z)))))
      (t
@@ -5022,9 +5021,9 @@ of the symbol being parsed. The original list read:
       (cond
        ((or (eq kk '|domain|) (eq kk '|category|))
          (list (|makeNonAtomic| arg)))
-       ((and (pairp arg) (eq (qcar arg) 'attribute))
+       ((and (consp arg) (eq (qcar arg) 'attribute))
          (list arg))
-      ((and (pairp arg) (eq (qcar arg) 'signature))
+      ((and (consp arg) (eq (qcar arg) 'signature))
         (list arg))
       (|$InteractiveMode|
         (|parseHasRhs| arg))
@@ -5036,7 +5035,7 @@ of the symbol being parsed. The original list read:
   (setq tmp1 (|get| x '|value| |$CategoryFrame|))
   (when |$InteractiveMode|
    (setq x
-     (if (and (pairp tmp1) (pairp (qcdr tmp1)) (pairp (qcdr (qcdr tmp1)))
+     (if (and (consp tmp1) (consp (qcdr tmp1)) (consp (qcdr (qcdr tmp1)))
             (eq (qcdr (qcdr (qcdr tmp1))) nil)
             (|member| (second tmp1)
              '((|Mode|) (|Domain|) (|SubDomain| (|Domain|)))))
@@ -5045,7 +5044,7 @@ of the symbol being parsed. The original list read:
   (setq tmp2 
    (dolist (u (fn (second arg)) (nreverse0 tmp3))
      (push (list '|has| x u ) tmp3)))
-  (if (and (pairp tmp2) (eq (qcdr tmp2) nil))
+  (if (and (consp tmp2) (eq (qcdr tmp2) nil))
    (qcar tmp2)
    (cons '|and| tmp2)))))
 
@@ -5066,8 +5065,8 @@ of the symbol being parsed. The original list read:
   (declare (special  |$CategoryFrame|))
   (setq tmp1 (|get| u '|value| |$CategoryFrame|))
   (cond
-    ((and (pairp tmp1) (pairp (qcdr tmp1))
-          (pairp (qcdr (qcdr tmp1))) (eq (qcdr (qcdr (qcdr tmp1))) nil)
+    ((and (consp tmp1) (consp (qcdr tmp1))
+          (consp (qcdr (qcdr tmp1))) (eq (qcdr (qcdr (qcdr tmp1))) nil)
           (|member| (second tmp1)
              '((|Mode|) (|Domain|) (|SubDomain| (|Domain|)))))
      (second tmp1))
@@ -5209,8 +5208,8 @@ of the symbol being parsed. The original list read:
 \calls{parseIf}{parseTran}
 \begin{chunk}{defun parseIf}
 (defun |parseIf| (arg)
-  (if (null (and (pairp arg) (pairp (qcdr arg))
-                 (pairp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)))
+  (if (null (and (consp arg) (consp (qcdr arg))
+                 (consp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)))
     arg
     (|parseIf,ifTran|
       (|parseTran| (first arg))
@@ -5235,38 +5234,38 @@ of the symbol being parsed. The original list read:
      a)
     ((and (null |$InteractiveMode|) (eq pred '|false|))
      b)
-    ((and (pairp pred) (eq (qcar pred) '|not|)
-          (pairp (qcdr pred)) (eq (qcdr (qcdr pred)) nil))
+    ((and (consp pred) (eq (qcar pred) '|not|)
+          (consp (qcdr pred)) (eq (qcdr (qcdr pred)) nil))
      (|parseIf,ifTran| (second pred) b a))
-    ((and (pairp pred) (eq (qcar pred) 'if)
+    ((and (consp pred) (eq (qcar pred) 'if)
              (progn
               (setq tmp1 (qcdr pred))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (progn
                     (setq pp (qcar tmp1))
                     (setq tmp2 (qcdr tmp1))
-                    (and (pairp tmp2)
+                    (and (consp tmp2)
                          (progn
                           (setq ap (qcar tmp2))
                           (setq tmp3 (qcdr tmp2))
-                          (and (pairp tmp3)
+                          (and (consp tmp3)
                                (eq (qcdr tmp3) nil)
                                (progn (setq bp (qcar tmp3)) t))))))))
      (|parseIf,ifTran| pp
        (|parseIf,ifTran| ap (copy a) (copy b))
        (|parseIf,ifTran| bp a b)))
-    ((and (pairp pred) (eq (qcar pred) 'seq)
-          (pairp (qcdr pred)) (progn (setq tmp2 (reverse (qcdr pred))) t)
-          (and (pairp tmp2)
-               (pairp (qcar tmp2))
+    ((and (consp pred) (eq (qcar pred) 'seq)
+          (consp (qcdr pred)) (progn (setq tmp2 (reverse (qcdr pred))) t)
+          (and (consp tmp2)
+               (consp (qcar tmp2))
                (eq (qcar (qcar tmp2)) '|exit|)
                (progn
                   (setq tmp4 (qcdr (qcar tmp2)))
-                  (and (pairp tmp4)
+                  (and (consp tmp4)
                        (equal (qcar tmp4) 1)
                        (progn
                         (setq tmp5 (qcdr tmp4))
-                        (and (pairp tmp5)
+                        (and (consp tmp5)
                              (eq (qcdr tmp5) nil)
                              (progn (setq pp (qcar tmp5)) t)))))
                (progn (setq z (qcdr tmp2)) t))
@@ -5277,34 +5276,34 @@ of the symbol being parsed. The original list read:
          (list '|exit| 1 (|parseIf,ifTran| pp
                            (|incExitLevel| a)
                             (|incExitLevel| b)))))))
-    ((and (pairp a) (eq (qcar a) 'if) (pairp (qcdr a))
-          (equal (qcar (qcdr a)) pred) (pairp (qcdr (qcdr a)))
-          (pairp (qcdr (qcdr (qcdr a))))
+    ((and (consp a) (eq (qcar a) 'if) (consp (qcdr a))
+          (equal (qcar (qcdr a)) pred) (consp (qcdr (qcdr a)))
+          (consp (qcdr (qcdr (qcdr a))))
           (eq (qcdr (qcdr (qcdr (qcdr a)))) nil))
      (list 'if pred (third a) b))
-    ((and (pairp b) (eq (qcar b) 'if)
-          (pairp (qcdr b)) (equal (qcar (qcdr b)) pred)
-          (pairp (qcdr (qcdr b)))
-          (pairp (qcdr (qcdr (qcdr b))))
+    ((and (consp b) (eq (qcar b) 'if)
+          (consp (qcdr b)) (equal (qcar (qcdr b)) pred)
+          (consp (qcdr (qcdr b)))
+          (consp (qcdr (qcdr (qcdr b))))
           (eq (qcdr (qcdr (qcdr (qcdr b)))) nil))
      (list 'if pred a (fourth b)))
     ((progn
       (setq tmp1 (|makeSimplePredicateOrNil| pred))
-      (and (pairp tmp1) (eq (qcar tmp1) 'seq)
+      (and (consp tmp1) (eq (qcar tmp1) 'seq)
            (progn
             (setq tmp2 (qcdr tmp1))
-            (and (and (pairp tmp2)
+            (and (and (consp tmp2)
                  (progn (setq tmp3 (reverse tmp2)) t))
-                 (and (pairp tmp3)
+                 (and (consp tmp3)
                       (progn 
                        (setq tmp4 (qcar tmp3))
-                       (and (pairp tmp4) (eq (qcar tmp4) '|exit|)
+                       (and (consp tmp4) (eq (qcar tmp4) '|exit|)
                             (progn
                              (setq tmp5 (qcdr tmp4))
-                             (and (pairp tmp5) (equal (qcar tmp5) 1)
+                             (and (consp tmp5) (equal (qcar tmp5) 1)
                                   (progn
                                    (setq tmp6 (qcdr tmp5))
-                                   (and (pairp tmp6) (eq (qcdr tmp6) nil)
+                                   (and (consp tmp6) (eq (qcdr tmp6) nil)
                                         (progn (setq val (qcar tmp6)) t)))))))
                                   (progn (setq s (qcdr tmp3)) t))))))
      (setq s (nreverse s))
@@ -5348,32 +5347,32 @@ of the symbol being parsed. The original list read:
   (setq i (|parseTran| (first arg)))
   (setq n (|parseTran| (second arg)))
   (cond
-   ((and (pairp n) (eq (qcar n) 'segment)
-         (pairp (qcdr n)) (eq (qcdr (qcdr n)) nil))
+   ((and (consp n) (eq (qcar n) 'segment)
+         (consp (qcdr n)) (eq (qcdr (qcdr n)) nil))
     (list 'step i (second n) 1))
-   ((and (pairp n) (eq (qcar n) '|reverse|)
-         (pairp (qcdr n)) (eq (qcdr (qcdr n)) nil)
-         (pairp (qcar (qcdr n))) (eq (qcar (qcar (qcdr n))) 'segment)
-         (pairp (qcdr (qcar (qcdr n))))
+   ((and (consp n) (eq (qcar n) '|reverse|)
+         (consp (qcdr n)) (eq (qcdr (qcdr n)) nil)
+         (consp (qcar (qcdr n))) (eq (qcar (qcar (qcdr n))) 'segment)
+         (consp (qcdr (qcar (qcdr n))))
          (eq (qcdr (qcdr (qcar (qcdr n)))) nil))
     (|postError| (list "  You cannot reverse an infinite sequence." )))
-   ((and (pairp n) (eq (qcar n) 'segment)
-         (pairp (qcdr n)) (pairp (qcdr (qcdr n)))
+   ((and (consp n) (eq (qcar n) 'segment)
+         (consp (qcdr n)) (consp (qcdr (qcdr n)))
          (eq (qcdr (qcdr (qcdr n))) nil))
     (if (third n)
      (list 'step i (second n) 1 (third n))
      (list 'step i (second n) 1)))
-   ((and (pairp n) (eq (qcar n) '|reverse|)
-         (pairp (qcdr n)) (eq (qcdr (qcdr n)) nil)
-         (pairp (qcar (qcdr n))) (eq (qcar (qcar (qcdr n))) 'segment)
-         (pairp (qcdr (qcar (qcdr n))))
-         (pairp (qcdr (qcdr (qcar (qcdr n)))))
+   ((and (consp n) (eq (qcar n) '|reverse|)
+         (consp (qcdr n)) (eq (qcdr (qcdr n)) nil)
+         (consp (qcar (qcdr n))) (eq (qcar (qcar (qcdr n))) 'segment)
+         (consp (qcdr (qcar (qcdr n))))
+         (consp (qcdr (qcdr (qcar (qcdr n)))))
          (eq (qcdr (qcdr (qcdr (qcar (qcdr n))))) nil))
     (if (third (second n))
      (list 'step i (third (second n)) -1 (second (second n)))
      (|postError| (list "  You cannot reverse an infinite sequence."))))
-   ((and (pairp n) (eq (qcar n) '|tails|)
-         (pairp (qcdr n)) (eq (qcdr (qcdr n)) nil))
+   ((and (consp n) (eq (qcar n) '|tails|)
+         (consp (qcdr n)) (eq (qcdr (qcdr n)) nil))
     (list 'on i (second n)))
    (t
     (list 'in i n)))))
@@ -5400,10 +5399,10 @@ of the symbol being parsed. The original list read:
   (setq inc (third arg))
   (setq u (|parseIn| (list i n)))
   (cond
-   ((null (and (pairp u) (eq (qcar u) 'step)
-               (pairp (qcdr u))
-               (pairp (qcdr (qcdr u)))
-               (pairp (qcdr (qcdr (qcdr u))))))
+   ((null (and (consp u) (eq (qcar u) 'step)
+               (consp (qcdr u))
+               (consp (qcdr (qcdr u)))
+               (consp (qcdr (qcdr (qcdr u))))))
     (|postError|
      (cons '|   You cannot use|
       (append (|bright| "by")
@@ -5467,7 +5466,7 @@ of the symbol being parsed. The original list read:
    (cond
     ((null arg)
       nil)
-    ((and (pairp arg) (pairp (qcar arg)) (eq (qcar (qcar arg)) '|Join|))
+    ((and (consp arg) (consp (qcar arg)) (eq (qcar (qcar arg)) '|Join|))
      (append (cdar arg) (fn (rest arg))))
     (t
      (cons (first arg) (fn (rest arg))))))
@@ -5650,8 +5649,8 @@ of the symbol being parsed. The original list read:
    (|$InteractiveMode| (cons '|or| (|parseTranList| arg)))
    ((null arg) '|false|)
    ((null (cdr arg)) (car arg))
-   ((and (pairp x) (eq (qcar x) '|not|)
-         (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil))
+   ((and (consp x) (eq (qcar x) '|not|)
+         (consp (qcdr x)) (eq (qcdr (qcdr x)) nil))
      (|parseIf| (list (second x) (|parseOr| (cdr arg)) '|true|)))
    (t
      (|parseIf| (list x '|true| (|parseOr| (cdr arg))))))))
@@ -5714,7 +5713,7 @@ of the symbol being parsed. The original list read:
 \calls{parseSegment}{parseTran}
 \begin{chunk}{defun parseSegment}
 (defun |parseSegment| (arg)
-  (if (and (pairp arg) (pairp (qcdr arg)) (eq (qcdr (qcdr arg)) nil))
+  (if (and (consp arg) (consp (qcdr arg)) (eq (qcdr (qcdr arg)) nil))
    (if (second arg)
     (list 'segment (|parseTran| (first arg)) (|parseTran| (second arg)))
     (list 'segment (|parseTran| (first arg))))
@@ -5737,9 +5736,9 @@ of the symbol being parsed. The original list read:
 \begin{chunk}{defun parseSeq}
 (defun |parseSeq| (arg)
  (let (tmp1)
-  (when (pairp arg) (setq tmp1 (reverse arg)))
-  (if (null (and (pairp arg) (pairp tmp1)
-                 (pairp (qcar tmp1)) (eq (qcar (qcar tmp1)) '|exit|)))
+  (when (consp arg) (setq tmp1 (reverse arg)))
+  (if (null (and (consp arg) (consp tmp1)
+                 (consp (qcar tmp1)) (eq (qcar (qcar tmp1)) '|exit|)))
     (|postError| (list "   Invalid ending to block: " (|last| arg)))
     (|transSeq| (|mapInto| arg '|parseTran|)))))
 
@@ -5915,26 +5914,26 @@ $\rightarrow$
 (defun |getTargetFromRhs| (lhs rhs env)
  (declare (special |$EmptyMode|))
   (cond
-   ((and (pairp rhs) (eq (qcar rhs) 'capsule))
+   ((and (consp rhs) (eq (qcar rhs) 'capsule))
      (|stackSemanticError|
       (list "target category of " lhs
             " cannot be determined from definition")
      nil))
-   ((and (pairp rhs) (eq (qcar rhs) '|SubDomain|) (pairp (qcdr rhs)))
+   ((and (consp rhs) (eq (qcar rhs) '|SubDomain|) (consp (qcdr rhs)))
     (|getTargetFromRhs| lhs (second rhs) env))
-   ((and (pairp rhs) (eq (qcar rhs) '|add|)
-         (pairp (qcdr rhs)) (pairp (qcdr (qcdr rhs)))
+   ((and (consp rhs) (eq (qcar rhs) '|add|)
+         (consp (qcdr rhs)) (consp (qcdr (qcdr rhs)))
          (eq (qcdr (qcdr (qcdr rhs))) nil)
-         (pairp (qcar (qcdr (qcdr rhs))))
+         (consp (qcar (qcdr (qcdr rhs))))
          (eq (qcar (qcar (qcdr (qcdr rhs)))) 'capsule))
      (|getTargetFromRhs| lhs (second rhs) env))
-   ((and (pairp rhs) (eq (qcar rhs) '|Record|))
+   ((and (consp rhs) (eq (qcar rhs) '|Record|))
      (cons '|RecordCategory| (rest rhs)))
-   ((and (pairp rhs) (eq (qcar rhs) '|Union|))
+   ((and (consp rhs) (eq (qcar rhs) '|Union|))
      (cons '|UnionCategory| (rest rhs)))
-   ((and (pairp rhs) (eq (qcar rhs) '|List|))
+   ((and (consp rhs) (eq (qcar rhs) '|List|))
      (cons '|ListCategory| (rest rhs)))
-   ((and (pairp rhs) (eq (qcar rhs) '|Vector|))
+   ((and (consp rhs) (eq (qcar rhs) '|Vector|))
      (cons '|VectorCategory| (rest rhs)))
    (t 
      (second (|compOrCroak| rhs |$EmptyMode| env)))))
@@ -5981,11 +5980,11 @@ $\rightarrow$
    (if (setq u (|get| form '|macro| env))
     (|macroExpand| u env)
     form))
-  ((and (pairp form) (eq (qcar form) 'def)
-        (pairp (qcdr form))
-        (pairp (qcdr (qcdr form)))
-        (pairp (qcdr (qcdr (qcdr form))))
-        (pairp (qcdr (qcdr (qcdr (qcdr form)))))
+  ((and (consp form) (eq (qcar form) 'def)
+        (consp (qcdr form))
+        (consp (qcdr (qcdr form)))
+        (consp (qcdr (qcdr (qcdr form))))
+        (consp (qcdr (qcdr (qcdr (qcdr form)))))
         (eq (qcdr (qcdr (qcdr (qcdr (qcdr form))))) nil))
    (list 'def (|macroExpand| (second form) env)
               (|macroExpandList| (third form) env)
@@ -6001,7 +6000,7 @@ $\rightarrow$
 \begin{chunk}{defun macroExpandList}
 (defun |macroExpandList| (lst env)
  (let (tmp)
-  (if (and (pairp lst) (eq (qcdr lst) nil)
+  (if (and (consp lst) (eq (qcdr lst) nil)
            (identp (qcar lst)) (getdatabase (qcar lst) 'niladic)
            (setq tmp (|get| (qcar lst) '|macro| env)))
     (|macroExpand| tmp env)
@@ -6037,8 +6036,8 @@ $\rightarrow$
   (setq sc (fourth df))
   (setq body (fifth df))
   (setq categoryCapsule
-   (when (and (pairp body) (eq (qcar body) '|add|)
-              (pairp (qcdr body)) (pairp (qcdr (qcdr body)))
+   (when (and (consp body) (eq (qcar body) '|add|)
+              (consp (qcdr body)) (consp (qcdr (qcdr body)))
               (eq (qcdr (qcdr (qcdr body))) nil))
      (setq tmp1 (third body))
      (setq body (second body))
@@ -6069,11 +6068,11 @@ $\rightarrow$
   (fn (u pl)
    (declare (special |$tvl| |$mvl|))
    (cond
-    ((and (pairp u) (eq (qcar u) '|Join|) (pairp (qcdr u)))
+    ((and (consp u) (eq (qcar u) '|Join|) (consp (qcdr u)))
       (fn (car (reverse (qcdr u))) pl))
-    ((and (pairp u) (eq (qcar u) '|has|))
+    ((and (consp u) (eq (qcar u) '|has|))
       (|insert| (eqsubstlist |$mvl| |$tvl| u) pl))
-    ((and (pairp u) (member (qcar u) '(signature attribute))) pl)
+    ((and (consp u) (member (qcar u) '(signature attribute))) pl)
     ((atom u) pl)
     (t (fnl u pl))))
   (fnl (u pl)
@@ -6106,14 +6105,14 @@ $\rightarrow$
   (fn (x oplist)
    (cond
     ((atom x) oplist)
-    ((and (pairp x) (eq (qcar x) 'def) (pairp (qcdr x)))
+    ((and (consp x) (eq (qcar x) 'def) (consp (qcdr x)))
       (cons (second x) oplist))
     (t
      (fn (cdr x) (fn (car x) oplist)))))
   (gn (cat)
    (cond 
-    ((and (pairp cat) (eq (qcar cat) 'category)) (cddr cat))
-    ((and (pairp cat) (eq (qcar cat) '|Join|))   (gn (|last| (qcdr cat))))
+    ((and (consp cat) (eq (qcar cat) 'category)) (cddr cat))
+    ((and (consp cat) (eq (qcar cat) '|Join|))   (gn (|last| (qcdr cat))))
     (t nil))))
  (let (|$options| op argl packageName packageAbb nameForDollar packageArgl
        capsuleDefAlist explicitCatPart catvec fullCatOpList op1 sig
@@ -6153,7 +6152,6 @@ $\rightarrow$
 \end{chunk}
 
 \defun{mkEvalableCategoryForm}{mkEvalableCategoryForm}
-\calls{mkEvalableCategoryForm}{pairp}
 \calls{mkEvalableCategoryForm}{qcar}
 \calls{mkEvalableCategoryForm}{qcdr}
 \calls{mkEvalableCategoryForm}{mkEvalableCategoryForm}
@@ -6173,7 +6171,7 @@ $\rightarrow$
  (let (op argl tmp1 x m)
  (declare (special |$Category| |$e| |$EmptyMode| |$CategoryFrame|
                    |$CategoryNames|))
-  (if (pairp c)
+  (if (consp c)
    (progn
     (setq op (qcar c))
     (setq argl (qcdr c))
@@ -6377,7 +6375,6 @@ $\rightarrow$
 \defun{compile}{compile}
 \calls{compile}{member}
 \calls{compile}{getmode}
-\calls{compile}{pairp}
 \calls{compile}{qcar}
 \calls{compile}{qcdr}
 \calls{compile}{get}
@@ -6424,7 +6421,7 @@ $\rightarrow$
     (and (null (|member| op |$formalArgList|))
          (progn
           (setq tmp1 (|getmode| op |$e|))
-          (and (pairp tmp1) (eq (qcar tmp1) '|Mapping|)))))))
+          (and (consp tmp1) (eq (qcar tmp1) '|Mapping|)))))))
  (let (op lamExpr DC sig sel opexport opmodes opp parts s tt unew 
        optimizedBody stuffToCompile result functionStats)
  (declare (special |$functionStats| |$macroIfTrue| |$doNotCompileJustPrint|
@@ -6552,7 +6549,6 @@ Code for encoding function names inside package or domain
 \end{chunk}
 
 \defun{mkRepititionAssoc}{mkRepititionAssoc}
-\calls{mkRepititionAssoc}{pairp}
 \calls{mkRepititionAssoc}{qcar}
 \calls{mkRepititionAssoc}{qcdr}
 \begin{chunk}{defun mkRepititionAssoc}
@@ -6561,8 +6557,8 @@ Code for encoding function names inside package or domain
   (mkRepfun (z n)
     (cond
      ((null z) nil)
-     ((and (pairp z) (eq (qcdr z) nil) (list (cons n (qcar z)))))
-     ((and (pairp z) (pairp (qcdr z)) (equal (qcar (qcdr z)) (qcar z)))
+     ((and (consp z) (eq (qcdr z) nil) (list (cons n (qcar z)))))
+     ((and (consp z) (consp (qcdr z)) (equal (qcar (qcdr z)) (qcar z)))
       (mkRepfun (cdr z) (1+ n)))
      (t (cons (cons n (car z)) (mkRepfun (cdr z) 1))))))
  (mkRepfun z 1)))
@@ -6595,14 +6591,13 @@ Code for encoding function names inside package or domain
 \defun{encodeItem}{encodeItem}
 \calls{encodeItem}{getCaps}
 \calls{encodeItem}{identp}
-\calls{encodeItem}{pairp}
 \calls{encodeItem}{qcar}
 \calls{encodeItem}{pname}
 \calls{encodeItem}{stringimage}
 \begin{chunk}{defun encodeItem}
 (defun |encodeItem| (x)
  (cond
-  ((pairp x) (|getCaps| (qcar x)))
+  ((consp x) (|getCaps| (qcar x)))
   ((identp x) (pname x))
   (t (stringimage x))))
 
@@ -6654,7 +6649,6 @@ constructMacro (form is [nam,[lam,vl,body]])
 \end{chunk}
 
 \defun{spadCompileOrSetq}{spadCompileOrSetq}
-\calls{spadCompileOrSetq}{pairp}
 \calls{spadCompileOrSetq}{qcar}
 \calls{spadCompileOrSetq}{qcdr}
 \calls{spadCompileOrSetq}{contained}
@@ -6674,14 +6668,14 @@ constructMacro (form is [nam,[lam,vl,body]])
   (setq vl (cadadr form))
   (setq body (car (cddadr form)))
   (cond
-   ((and (pairp vl) (progn (setq tmp1 (reverse vl)) t)
-         (pairp tmp1)
+   ((and (consp vl) (progn (setq tmp1 (reverse vl)) t)
+         (consp tmp1)
          (progn
           (setq e (qcar tmp1))
           (setq vlp (qcdr tmp1))
           t)
          (progn (setq vlp (nreverse vlp)) t)
-         (pairp body)
+         (consp body)
          (progn (setq namp (qcar body)) t)
          (equal (qcdr body) vlp))
      (|LAM,EVALANDFILEACTQ|
@@ -6694,9 +6688,9 @@ constructMacro (form is [nam,[lam,vl,body]])
               (loop for x in body
                do (setq result (and result (atom x))))
               result))
-         (pairp vl)
+         (consp vl)
          (progn (setq tmp1 (reverse vl)) t)
-         (pairp tmp1)
+         (consp tmp1)
          (progn
           (setq e (qcar tmp1))
           (setq vlp (qcdr tmp1))
@@ -6846,7 +6840,6 @@ constructMacro (form is [nam,[lam,vl,body]])
 \end{chunk}
 
 \defun{mkAlistOfExplicitCategoryOps}{mkAlistOfExplicitCategoryOps}
-\calls{mkAlistOfExplicitCategoryOps}{pairp}
 \calls{mkAlistOfExplicitCategoryOps}{qcar}
 \calls{mkAlistOfExplicitCategoryOps}{qcdr}
 \calls{mkAlistOfExplicitCategoryOps}{keyedSystemError}
@@ -6864,20 +6857,20 @@ constructMacro (form is [nam,[lam,vl,body]])
   (atomizeOp (op)
    (cond
     ((atom op) op)
-    ((and (pairp op) (eq (qcdr op) nil)) (qcar op))
+    ((and (consp op) (eq (qcdr op) nil)) (qcar op))
     (t (|keyedSystemError| 'S2GE0016
          (list "mkAlistOfExplicitCategoryOps" "bad signature")))))
   (fn (op u)
-   (if (and (pairp u) (pairp (qcar u)))
+   (if (and (consp u) (consp (qcar u)))
     (if (equal (qcar (qcar u)) op)
      (cons (qcdr (qcar u)) (fn op (qcdr u)))
      (fn op (qcdr u))))))
  (let (z tmp1 op sig u opList)
  (declare (special |$e|))
-  (when (and (pairp target) (eq (qcar target) '|add|) (pairp (qcdr target)))
+  (when (and (consp target) (eq (qcar target) '|add|) (consp (qcdr target)))
     (setq target (second target)))
   (cond
-   ((and (pairp target) (eq (qcar target) '|Join|))
+   ((and (consp target) (eq (qcar target) '|Join|))
     (setq z (qcdr target))
     (PROG (tmp1)
      (RETURN
@@ -6885,10 +6878,10 @@ constructMacro (form is [nam,[lam,vl,body]])
            ((OR (ATOM G167566) (PROGN (setq cat (CAR G167566)) nil))
              tmp1)
          (setq tmp1 (|union| tmp1 (|mkAlistOfExplicitCategoryOps| cat)))))))
-   ((and (pairp target) (eq (qcar target) 'category)
+   ((and (consp target) (eq (qcar target) 'category)
          (progn
            (setq tmp1 (qcdr target))
-           (and (pairp tmp1)
+           (and (consp tmp1)
                 (progn (setq z (qcdr tmp1)) t))))
      (setq z (|flattenSignatureList| (cons 'progn z)))
      (setq u
@@ -6898,8 +6891,8 @@ constructMacro (form is [nam,[lam,vl,body]])
             ((or (atom G167583)) (nreverse0 G167577))
           (setq x (car G167583))
           (cond
-            ((and (pairp x) (eq (qcar x) 'signature) (pairp (qcdr x))
-                   (pairp (qcdr (qcdr x))))
+            ((and (consp x) (eq (qcar x) 'signature) (consp (qcdr x))
+                   (consp (qcdr (qcdr x))))
               (setq op (qcar (qcdr x)))
               (setq sig (qcar (qcdr (qcdr x))))
               (setq G167577 (cons (cons (atomizeOp op) sig) G167577))))))))
@@ -6918,7 +6911,6 @@ constructMacro (form is [nam,[lam,vl,body]])
 \end{chunk}
 
 \defun{flattenSignatureList}{flattenSignatureList}
-\calls{flattenSignatureList}{pairp}
 \calls{flattenSignatureList}{qcar}
 \calls{flattenSignatureList}{qcdr}
 \calls{flattenSignatureList}{flattenSignatureList}
@@ -6927,16 +6919,16 @@ constructMacro (form is [nam,[lam,vl,body]])
  (let (zz)
   (cond
    ((atom x) nil)
-   ((and (pairp x) (eq (qcar x) 'signature)) (list x))
-   ((and (pairp x) (eq (qcar x) 'if) (pairp (qcdr x))
-         (pairp (qcdr (qcdr x))) (pairp (qcdr (qcdr (qcdr x))))
+   ((and (consp x) (eq (qcar x) 'signature)) (list x))
+   ((and (consp x) (eq (qcar x) 'if) (consp (qcdr x))
+         (consp (qcdr (qcdr x))) (consp (qcdr (qcdr (qcdr x))))
          (eq (qcdr (qcdr (qcdr (qcdr x)))) nil))
     (append (|flattenSignatureList| (third x))
             (|flattenSignatureList| (fourth x))))
-   ((and (pairp x) (eq (qcar x) 'progn))
+   ((and (consp x) (eq (qcar x) 'progn))
      (loop for x in (qcdr x)
       do
-        (if (and (pairp x) (eq (qcar x) 'signature))
+        (if (and (consp x) (eq (qcar x) 'signature))
           (setq zz (cons x zz))
           (setq zz (append (|flattenSignatureList| x) zz))))
      zz)
@@ -6948,7 +6940,6 @@ constructMacro (form is [nam,[lam,vl,body]])
 Create modemap form for use by the interpreter.  This function
 replaces all specific domains mentioned in the modemap with pattern
 variables, and predicates
-\calls{interactiveModemapForm}{pairp}
 \calls{interactiveModemapForm}{qcar}
 \calls{interactiveModemapForm}{qcdr}
 \calls{interactiveModemapForm}{nequal}
@@ -6962,8 +6953,8 @@ variables, and predicates
 (defun |interactiveModemapForm| (mm)
  (labels (
   (fn (x)
-    (if (and (pairp x) (pairp (qcdr x))
-             (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil)
+    (if (and (consp x) (consp (qcdr x))
+             (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil)
              (nequal (qcar x) '|isFreeFunction|) 
              (atom (qcar (qcdr (qcdr x)))))
      (list (first x) (second x) (list (third x)))
@@ -7012,7 +7003,6 @@ identifier in newvars in the expression x
 \end{chunk}
 
 \defun{fixUpPredicate}{fixUpPredicate}
-\calls{fixUpPredicate}{pairp}
 \calls{fixUpPredicate}{qcar}
 \calls{fixUpPredicate}{qcdr}
 \calls{fixUpPredicate}{length}
@@ -7041,10 +7031,10 @@ identifier in newvars in the expression x
    (t
      (setq pred (|orderPredicateItems| (car predicates) sig skip))
      (setq dependList
-      (when (and (pairp pred) (eq (qcar pred) '|isDomain|)
-                (pairp (qcdr pred)) (pairp (qcdr (qcdr pred)))
+      (when (and (consp pred) (eq (qcar pred) '|isDomain|)
+                (consp (qcdr pred)) (consp (qcdr (qcdr pred)))
                 (eq (qcdr (qcdr (qcdr pred))) nil)
-                (pairp (qcar (qcdr (qcdr pred)))) 
+                (consp (qcar (qcdr (qcdr pred)))) 
                 (eq (qcdr (qcar (qcdr (qcdr pred)))) nil))
        (list (second pred))))))
   (setq pred (|moveORsOutside| pred))
@@ -7054,7 +7044,6 @@ identifier in newvars in the expression x
 \end{chunk}
 
 \defun{orderPredicateItems}{orderPredicateItems}
-\calls{orderPredicateItems}{pairp}
 \calls{orderPredicateItems}{qcar}
 \calls{orderPredicateItems}{qcdr}
 \calls{orderPredicateItems}{signatureTran}
@@ -7063,7 +7052,7 @@ identifier in newvars in the expression x
 (defun |orderPredicateItems| (pred1 sig skip)
  (let (pred)
   (setq pred (|signatureTran| pred1))
-  (if (and (pairp pred) (eq (qcar pred) 'and))
+  (if (and (consp pred) (eq (qcar pred) 'and))
      (|orderPredTran| (qcdr pred) sig skip)
      pred)))
 
@@ -7078,8 +7067,8 @@ identifier in newvars in the expression x
  (declare (special |$e|))
   (cond
    ((atom pred) pred)
-   ((and (pairp pred) (eq (qcar pred) '|has|) (PAIRP (qcdr pred))
-         (pairp (qcdr (qcdr pred)))
+   ((and (consp pred) (eq (qcar pred) '|has|) (CONSP (qcdr pred))
+         (consp (qcdr (qcdr pred)))
          (eq (qcdr (qcdr (qcdr pred))) nil)
          (|isCategoryForm| (third pred) |$e|))
      (list '|ofCategory| (second pred) (third pred)))
@@ -7090,7 +7079,6 @@ identifier in newvars in the expression x
 \end{chunk}
 
 \defun{orderPredTran}{orderPredTran}
-\calls{orderPredTran}{pairp}
 \calls{orderPredTran}{qcar}
 \calls{orderPredTran}{qcdr}
 \calls{orderPredTran}{member}
@@ -7111,14 +7099,14 @@ identifier in newvars in the expression x
   (SEQ 
    (loop for pred in oldList 
     do (cond
-        ((or (and (pairp pred) (pairp (qcdr pred))
-                  (pairp (qcdr (qcdr pred)))
+        ((or (and (consp pred) (consp (qcdr pred))
+                  (consp (qcdr (qcdr pred)))
                   (eq (qcdr (qcdr (qcdr pred))) nil)
                   (member (qcar pred) '(|isDomain| |ofCategory|))
                   (equal (qcar (qcdr pred)) (car sig))
                   (null (|member| (qcar (qcdr pred)) (cdr sig))))
-             (and (null skip) (pairp pred) (eq (qcar pred) '|isDomain|)
-                  (pairp (qcdr pred)) (pairp (qcdr (qcdr pred)))
+             (and (null skip) (consp pred) (eq (qcar pred) '|isDomain|)
+                  (consp (qcdr pred)) (consp (qcdr (qcdr pred)))
                   (eq (qcdr (qcdr (qcdr pred))) nil)
                   (equal (qcar (qcdr pred)) '*1)))
            (setq oldList (|delete| pred oldList))
@@ -7134,9 +7122,9 @@ identifier in newvars in the expression x
     (let (result)
      (loop for x in oldList
       do (when 
-          (and (pairp x) 
+          (and (consp x) 
                (or (eq (qcar x) '|isDomain|) (eq (qcar x) '|ofCategory|))
-               (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
+               (consp (qcdr x)) (consp (qcdr (qcdr x)))
                (eq (qcdr (qcdr (qcdr x))) nil))
            (setq result (unionq result (|listOfPatternIds| (third x))))))
      result))
@@ -7144,9 +7132,9 @@ identifier in newvars in the expression x
    (loop for x in oldList
     do
       (cond
-       ((and (pairp x) 
+       ((and (consp x) 
              (or (eq (qcar x) '|ofCategory|) (eq (qcar x) '|isDomain|))
-             (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
+             (consp (qcdr x)) (consp (qcdr (qcdr x)))
              (eq (qcdr (qcdr (qcdr x))) nil))
         (setq indepvl (|listOfPatternIds| (second x)))
         (setq depvl (|listOfPatternIds| (third x))))
@@ -7163,10 +7151,10 @@ identifier in newvars in the expression x
    (loop while oldList do
     (loop for x in oldList do
      (cond
-      ((and (pairp x) 
+      ((and (consp x) 
             (or (eq (qcar x) '|ofCategory|) (eq (qcar x) '|isDomain|))
-            (pairp (qcdr x))
-            (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+            (consp (qcdr x))
+            (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
        (setq indepvl (|listOfPatternIds| (second x)))
        (setq depvl (|listOfPatternIds| (third x))))
       (t
@@ -7184,10 +7172,10 @@ identifier in newvars in the expression x
        (setq oldList noldList))))
    (loop for pred in newList do 
      (when
-       (and (pairp pred) 
+       (and (consp pred) 
              (or (eq (qcar pred) '|isDomain|) (eq (qcar x) '|ofCategory|))
-             (pairp (qcdr pred))
-             (pairp (qcdr (qcdr pred)))
+             (consp (qcdr pred))
+             (consp (qcdr (qcdr pred)))
              (eq (qcdr (qcdr (qcdr pred))) nil))
          (setq ids (|listOfPatternIds| (third pred)))
          (when 
@@ -7211,10 +7199,10 @@ identifier in newvars in the expression x
   (findSub (x alist)
   (cond
    ((null alist) nil)
-   ((and (pairp alist) (pairp (qcar alist))
+   ((and (consp alist) (consp (qcar alist))
          (eq (qcar (qcar alist)) '|isDomain|)
-         (pairp (qcdr (qcar alist)))
-         (pairp (qcdr (qcdr (qcar alist))))
+         (consp (qcdr (qcar alist)))
+         (consp (qcdr (qcdr (qcar alist))))
          (eq (qcdr (qcdr (qcdr (qcar alist)))) nil)
          (equal x (cadar alist)))
          (caddar alist))
@@ -7233,14 +7221,14 @@ identifier in newvars in the expression x
       (loop for y in (cdr x)
        collect (fn y alist)))))))
  (let (head tail nhead)
-  (if (pairp u)
+  (if (consp u)
    (progn
     (setq head (qcar u))
     (setq tail (qcdr u))
     (setq nhead
      (cond
-      ((and (pairp head) (eq (qcar head) '|isDomain|)
-            (pairp (qcdr head)) (pairp (qcdr (qcdr head)))
+      ((and (consp head) (eq (qcar head) '|isDomain|)
+            (consp (qcdr head)) (consp (qcdr (qcdr head)))
             (eq (qcdr (qcdr (qcdr head))) nil))
         (list '|isDomain| (second head)
            (fn (third head) tail)))
@@ -7256,7 +7244,7 @@ identifier in newvars in the expression x
 (defun |moveORsOutside| (p)
  (let (q x)
   (cond
-   ((and (pairp p) (eq (qcar p) 'and))
+   ((and (consp p) (eq (qcar p) 'and))
     (setq q
      (prog (G167169)
        (return
@@ -7268,7 +7256,7 @@ identifier in newvars in the expression x
      ((setq x
        (let (tmp1)
         (loop for r in q
-         when (and (pairp r) (eq (qcar r) 'or))
+         when (and (consp r) (eq (qcar r) 'or))
          do (setq tmp1 (or tmp1 r)))
         tmp1))
        (|moveORsOutside|
@@ -7283,11 +7271,11 @@ identifier in newvars in the expression x
 ;(defun |moveORsOutside| (p)
 ; (let (q s x tmp1)
 ; (cond
-;  ((and (pairp p) (eq (qcar p) 'and))
+;  ((and (consp p) (eq (qcar p) 'and))
 ;    (setq q (loop for r in (qcdr p) collect (|moveORsOutside| r)))
 ;    (setq tmp1
 ;     (loop for r in q
-;      when (and (pairp r) (eq (qcdr r) 'or))
+;      when (and (consp r) (eq (qcdr r) 'or))
 ;      collect r))
 ;    (setq x (mapcar #'(lambda (a b) (or a b)) tmp1))
 ;    (if x
@@ -7336,7 +7324,6 @@ Make pattern variable substitutions.
 \end{chunk}
 
 \defun{modemapPattern}{modemapPattern}
-\calls{modemapPattern}{pairp}
 \calls{modemapPattern}{qcar}
 \calls{modemapPattern}{qcdr}
 \calls{modemapPattern}{rassoc}
@@ -7352,8 +7339,8 @@ Make pattern variable substitutions.
    (maplist
     #'(lambda (xTails)
       (let ((x (car xTails)))
-       (when  (and (pairp x) (eq (qcar x) '|Union|)
-                  (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
+       (when  (and (consp x) (eq (qcar x) '|Union|)
+                  (consp (qcdr x)) (consp (qcdr (qcdr x)))
                   (eq (qcdr (qcdr (qcdr x))) nil)
                   (equal (third x) "failed")
                   (equal xTails sig))
@@ -7815,13 +7802,13 @@ where item has form
    (setq implementation (caddr item))
    (setq kind
     (cond
-     ((and (pairp implementation) (pairp (qcdr implementation))
-           (pairp (qcdr (qcdr implementation)))
+     ((and (consp implementation) (consp (qcdr implementation))
+           (consp (qcdr (qcdr implementation)))
            (eq (qcdr (qcdr (qcdr implementation))) nil)
            (progn (setq n (qcar (qcdr (qcdr implementation)))) t)
            (|member| (setq eltEtc (qcar implementation)) '(const elt)))
        eltEtc)
-     ((pairp implementation)
+     ((consp implementation)
        (setq impOp (qcar implementation))
        (cond
         ((eq impop 'xlam) implementation)
@@ -7946,7 +7933,6 @@ where item has form
 \calls{compDefineFunctor1}{NRTgenInitialAttributeAlist}
 \calls{compDefineFunctor1}{NRTgetLocalIndex}
 \calls{compDefineFunctor1}{compMakeDeclaration}
-\calls{compDefineFunctor1}{pairp}
 \calls{compDefineFunctor1}{qcar}
 \calls{compDefineFunctor1}{qcdr}
 \calls{compDefineFunctor1}{augModemapsFromCategoryRep}
@@ -8046,9 +8032,9 @@ where item has form
   (FindRep (cb)
    (loop while cb do
      (when (atom cb) (return nil))
-     (when (and (pairp cb) (pairp (qcar cb)) (eq (qcar (qcar cb)) 'let)
-                (pairp (qcdr (qcar cb))) (eq (qcar (qcdr (qcar cb))) '|Rep|)
-                (pairp (qcdr (qcdr (qcar cb)))))
+     (when (and (consp cb) (consp (qcar cb)) (eq (qcar (qcar cb)) 'let)
+                (consp (qcdr (qcar cb))) (eq (qcar (qcdr (qcar cb))) '|Rep|)
+                (consp (qcdr (qcdr (qcar cb)))))
       (return (caddar cb)))
       (pop cb))))
   (let (|$addForm| |$viewNames| |$functionStats| |$functorStats|
@@ -8168,12 +8154,12 @@ where item has form
        (third (|compMakeDeclaration| (list '|:| '$ target) mode |$e|)))
      (unless |$insideCategoryPackageIfTrue|
       (if
-        (and (pairp body) (eq (qcar body) '|add|)
-             (pairp (qcdr body))
-             (pairp (qcar (qcdr body)))
-             (pairp (qcdr (qcdr body)))
+        (and (consp body) (eq (qcar body) '|add|)
+             (consp (qcdr body))
+             (consp (qcar (qcdr body)))
+             (consp (qcdr (qcdr body)))
              (eq (qcdr (qcdr (qcdr body))) nil)
-             (pairp (qcar (qcdr (qcdr body))))
+             (consp (qcar (qcdr (qcdr body))))
              (eq (qcar (qcar (qcdr (qcdr body)))) 'capsule)
              (member (qcar (qcar (qcdr body))) '(|List| |Vector|))
              (equal (FindRep (qcdr (qcar (qcdr (qcdr body))))) (second body)))
@@ -8218,9 +8204,9 @@ where item has form
        (cond
         ($lisplib
          (setq |$lisplibKind|
-          (if (and (pairp |$functorTarget|)
+          (if (and (consp |$functorTarget|)
                    (eq (qcar |$functorTarget|) 'category)
-                   (pairp (qcdr |$functorTarget|))
+                   (consp (qcdr |$functorTarget|))
                    (nequal (qcar (qcdr |$functorTarget|)) '|domain|))
             '|package|
             '|domain|))
@@ -8399,12 +8385,12 @@ where item has form
    (list (|bootStrapError| |$functorForm| /editfile) mode env)
    (progn
     (setq tt (|compOrCroak| form mode env))
-    (if (and (pairp form)  (member (qcar form) '(|add| capsule)))
+    (if (and (consp form)  (member (qcar form) '(|add| capsule)))
      tt
      (progn
       (setq |$NRTaddForm|
-       (if  (and (pairp form) (eq (qcar form) '|SubDomain|)
-                  (pairp (qcdr form)) (pairp (qcdr (qcdr form)))
+       (if  (and (consp form) (eq (qcar form) '|SubDomain|)
+                  (consp (qcdr form)) (consp (qcdr (qcdr form)))
                   (eq (qcdr (qcdr (qcdr form))) nil))
          (qcar (qcdr form))
          form))
@@ -8482,7 +8468,7 @@ where item has form
   (loop for cvl in |$CheckVectorList| do
    (unless (cdr cvl)
     (if (and (null (|member| (caar cvl) |$formalArgList|))
-             (pairp (|getmode| (caar cvl) |$env|))
+             (consp (|getmode| (caar cvl) |$env|))
              (eq (qcar (|getmode| (caar cvl) |$env|)) '|Mapping|))
       (push (list (caar cvl) (cadar cvl)) loc)
       (push (list (caar cvl) (cadar cvl)) exp))))
@@ -8509,7 +8495,6 @@ where item has form
 \calls{makeFunctorArgumentParameters}{assq}
 \calls{makeFunctorArgumentParameters}{msubst}
 \calls{makeFunctorArgumentParameters}{isCategoryForm}
-\calls{makeFunctorArgumentParameters}{pairp}
 \calls{makeFunctorArgumentParameters}{qcar}
 \calls{makeFunctorArgumentParameters}{qcdr}
 \calls{makeFunctorArgumentParameters}{genDomainViewList0}
@@ -8526,7 +8511,7 @@ where item has form
     (if ss
      (progn
       (loop for u in ss do (push (rest u) |$ConditionalOperators|))
-      (if (and (pairp s) (eq (qcar s) '|Join|))
+      (if (and (consp s) (eq (qcar s) '|Join|))
        (progn 
         (if (setq u (assq 'category ss))
          (msubst (append u ss) u s)
@@ -8537,28 +8522,28 @@ where item has form
   (fn (a s)
    (declare (special |$CategoryFrame|))
     (if (|isCategoryForm| s |$CategoryFrame|)
-     (if (and (pairp s) (eq (qcar s) '|Join|))
+     (if (and (consp s) (eq (qcar s) '|Join|))
       (|genDomainViewList0| a (rest s))
       (list (|genDomainView| a s '|getDomainView|)))
      (list a)))
   (findExtras (a target)
    (cond
-    ((and (pairp target) (eq (qcar target) '|Join|))
+    ((and (consp target) (eq (qcar target) '|Join|))
      (reduce #'|union|
       (loop for x in (qcdr target)
         collect (findExtras a x))))
-    ((and (pairp target) (eq (qcar target) 'category))
+    ((and (consp target) (eq (qcar target) 'category))
      (reduce #'|union|
       (loop for x in (qcdr (qcdr target))
        collect (findExtras1 a x))))))
   (findExtras1 (a x)
    (cond 
-    ((and (pairp x) (or (eq (qcar x) 'and)) (eq (qcar x) 'or))
+    ((and (consp x) (or (eq (qcar x) 'and)) (eq (qcar x) 'or))
       (reduce #'|union|
         (loop for y in (rest x) collect (findExtras1 a y))))
-    ((and (pairp x) (eq (qcar x) 'if)
-          (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
-          (pairp (qcdr (qcdr (qcdr x))))
+    ((and (consp x) (eq (qcar x) 'if)
+          (consp (qcdr x)) (consp (qcdr (qcdr x)))
+          (consp (qcdr (qcdr (qcdr x))))
           (eq (qcdr (qcdr (qcdr (qcdr x)))) nil))
       (|union| (findExtrasP a (second x))
                (|union|
@@ -8566,22 +8551,22 @@ where item has form
                 (findExtras1 a (fourth x)))))))
   (findExtrasP (a x)
    (cond 
-    ((and (pairp x) (or (eq (qcar x) 'and)) (eq (qcar x) 'or))
+    ((and (consp x) (or (eq (qcar x) 'and)) (eq (qcar x) 'or))
       (reduce #'|union|
         (loop for y in (rest x) collect (findExtrasP a y))))
-    ((and (pairp x) (eq (qcar x) '|has|)
-          (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
-          (pairp (qcdr (qcdr (qcdr x))))
+    ((and (consp x) (eq (qcar x) '|has|)
+          (consp (qcdr x)) (consp (qcdr (qcdr x)))
+          (consp (qcdr (qcdr (qcdr x))))
           (eq (qcdr (qcdr (qcdr (qcdr x)))) nil))
       (|union| (findExtrasP a (second x))
                (|union|
                 (findExtras1 a (third x))
                 (findExtras1 a (fourth x)))))
-    ((and (pairp x) (eq (qcar x) '|has|)
-          (pairp (qcdr x)) (equal (qcar (qcdr x)) a)
-          (pairp (qcdr (qcdr x)))
+    ((and (consp x) (eq (qcar x) '|has|)
+          (consp (qcdr x)) (equal (qcar (qcdr x)) a)
+          (consp (qcdr (qcdr x)))
           (eq (qcdr (qcdr (qcdr x))) nil)
-          (pairp (qcar (qcdr (qcdr x))))
+          (consp (qcar (qcdr (qcdr x))))
           (eq (qcar (qcar (qcdr (qcdr x)))) 'signature))
       (list (third x)))))
 
@@ -8606,7 +8591,6 @@ where item has form
 \end{chunk}
 
 \defun{genDomainViewList}{genDomainViewList}
-\calls{genDomainViewList}{pairp}
 \calls{genDomainViewList}{qcdr}
 \calls{genDomainViewList}{isCategoryForm}
 \calls{genDomainViewList}{genDomainView}
@@ -8617,7 +8601,7 @@ where item has form
  (declare (special |$EmptyEnvironment|) (ignore firsttime))
   (cond
    ((null catlist) nil)
-   ((and (pairp catlist) (eq (qcdr catlist) nil)
+   ((and (consp catlist) (eq (qcdr catlist) nil)
          (null (|isCategoryForm| (first catlist) |$EmptyEnvironment|)))
       nil)
    (t
@@ -8629,7 +8613,6 @@ where item has form
 
 \defun{genDomainView}{genDomainView}
 \calls{genDomainView}{genDomainOps}
-\calls{genDomainView}{pairp}
 \calls{genDomainView}{qcar}
 \calls{genDomainView}{qcdr}
 \calls{genDomainView}{augModemapsFromCategory}
@@ -8642,12 +8625,12 @@ where item has form
  (let (code cd)
  (declare (special |$getDomainCode| |$e|))
  (cond
-  ((and (pairp c) (eq (qcar c) 'category) (pairp (qcdr c)))
+  ((and (consp c) (eq (qcar c) 'category) (consp (qcdr c)))
     (|genDomainOps| name name c))
    (t
     (setq code
-     (if (and (pairp c) (eq (qcar c) '|SubsetCategory|)
-              (pairp (qcdr c)) (pairp (qcdr (qcdr c)))
+     (if (and (consp c) (eq (qcar c) '|SubsetCategory|)
+              (consp (qcdr c)) (consp (qcdr (qcdr c)))
               (eq (qcdr (qcdr (qcdr c))) nil))
        (second c)
        c))
@@ -8705,7 +8688,6 @@ where item has form
 \calls{mkOpVec}{length}
 \calls{mkOpVec}{assq}
 \calls{mkOpVec}{assoc}
-\calls{mkOpVec}{pairp}
 \calls{mkOpVec}{qcar}
 \calls{mkOpVec}{qcdr}
 \calls{mkOpVec}{sublis}
@@ -8730,8 +8712,8 @@ where item has form
     (setq u (assq (first opSig) oplist))
     (setq tmp1 (|assoc| (second opSig) u))
     (cond
-     ((and (pairp tmp1) (pairp (qcdr tmp1))
-           (pairp (qcdr (qcdr tmp1))) (pairp (qcdr (qcdr (qcdr tmp1))))
+     ((and (consp tmp1) (consp (qcdr tmp1))
+           (consp (qcdr (qcdr tmp1))) (consp (qcdr (qcdr (qcdr tmp1))))
            (eq (qcdr (qcdr (qcdr (qcdr tmp1)))) nil)
            (eq (qcar (qcdr (qcdr (qcdr tmp1)))) 'elt))
       (setelt ops i (elt dom (second tmp1))))
@@ -8740,8 +8722,8 @@ where item has form
       (setq tmp1
         (|AssocBarGensym| (msubst (elt dom 0) '$ (second opSig)) noplist))
       (cond
-       ((and (pairp tmp1) (pairp (qcdr tmp1)) (pairp (qcdr (qcdr tmp1)))
-             (pairp (qcdr (qcdr (qcdr tmp1))))
+       ((and (consp tmp1) (consp (qcdr tmp1)) (consp (qcdr (qcdr tmp1)))
+             (consp (qcdr (qcdr (qcdr tmp1))))
              (eq (qcdr (qcdr (qcdr (qcdr tmp1)))) nil)
              (eq (qcar (qcdr (qcdr (qcdr tmp1)))) 'elt))
          (setelt ops i (elt dom (second tmp1))))
@@ -8756,12 +8738,11 @@ where item has form
 \begin{chunk}{defun AssocBarGensym}
 (defun |AssocBarGensym| (key z)
  (loop for x in z
-  do (when (and (pairp x) (|EqualBarGensym| key (car x))) (return x))))
+  do (when (and (consp x) (|EqualBarGensym| key (car x))) (return x))))
 
 \end{chunk}
 
 \defun{compDefWhereClause}{compDefWhereClause}
-\calls{compDefWhereClause}{pairp}
 \calls{compDefWhereClause}{qcar}
 \calls{compDefWhereClause}{qcdr}
 \calls{compDefWhereClause}{getmode}
@@ -8785,21 +8766,21 @@ where item has form
    (declare (special |$sigAlist|))
    (cond
     ((atom x) x)
-    ((and (pairp x) (eq (qcar x) '|:|) (pairp (qcdr x))
-          (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+    ((and (consp x) (eq (qcar x) '|:|) (consp (qcdr x))
+          (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
      (setq |$sigAlist|
       (cons (cons (second x) (transformType (third x)))
       |$sigAlist|))
      x)
-   ((and (pairp x) (eq (qcar x) '|Record|)) x)
+   ((and (consp x) (eq (qcar x) '|Record|)) x)
    (t
     (cons (first x)
      (loop for y in (rest x) 
       collect (transformType y))))))
   (removeSuchthat (x)
    (declare (special |$predAlist|))
-    (if (and (pairp x) (eq (qcar x) '|\||) (pairp (qcdr x))
-             (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+    (if (and (consp x) (eq (qcar x) '|\||) (consp (qcdr x))
+             (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
      (progn
       (setq |$predAlist| (cons (cons (second x) (third x)) |$predAlist|))
       (second x))
@@ -8914,7 +8895,6 @@ where item has form
 
 \section{Code optimization routines}
 \defun{optimizeFunctionDef}{optimizeFunctionDef}
-\calls{optimizeFunctionDef}{pairp}
 \calls{optimizeFunctionDef}{qcar}
 \calls{optimizeFunctionDef}{qcdr}
 \calls{optimizeFunctionDef}{rplac}
@@ -8928,7 +8908,7 @@ where item has form
  (labels (
   (fn (x g)
     (cond
-     ((and (pairp x) (eq (qcar x) 'throw) (pairp (qcdr x))
+     ((and (consp x) (eq (qcar x) 'throw) (consp (qcdr x))
            (equal (qcar (qcdr x)) g))
        (|rplac| (car x) 'return)
        (|rplac| (cdr x)
@@ -8941,8 +8921,8 @@ where item has form
    (fn x g)
    x)
   (removeTopLevelCatch (body)
-   (if (and (pairp body) (eq (qcar body) 'catch) (pairp (qcdr body))
-            (pairp (qcdr (qcdr body))) (eq (qcdr (qcdr (qcdr body))) nil))
+   (if (and (consp body) (eq (qcar body) 'catch) (consp (qcdr body))
+            (consp (qcdr (qcdr body))) (eq (qcdr (qcdr (qcdr body))) nil))
     (removeTopLevelCatch
       (replaceThrowByReturn 
         (qcar (qcdr (qcdr body))) (qcar (qcdr body))))
@@ -8967,7 +8947,6 @@ where item has form
 \end{chunk}
 
 \defun{optimize}{optimize}
-\calls{optimize}{pairp}
 \calls{optimize}{qcar}
 \calls{optimize}{qcdr}
 \calls{optimize}{optimize}
@@ -8986,8 +8965,8 @@ where item has form
      ((atom x) nil)
      ((eq (setq y (car x)) 'quote) nil)
      ((eq y 'closedfn) nil)
-     ((and (pairp y) (pairp (qcar y)) (eq (qcar (qcar y)) 'xlam)
-           (pairp (qcdr (qcar y))) (pairp (qcdr (qcdr (qcar y))))
+     ((and (consp y) (consp (qcar y)) (eq (qcar (qcar y)) 'xlam)
+           (consp (qcdr (qcar y))) (consp (qcdr (qcdr (qcar y))))
            (eq (qcdr (qcdr (qcdr (qcar y)))) nil))
       (setq argl (qcar (qcdr (qcar y))))
       (setq body (qcar (qcdr (qcdr (qcar y)))))
@@ -9029,15 +9008,14 @@ where item has form
 \calls{optXLAMCond}{optCONDtail}
 \calls{optXLAMCond}{optPredicateIfTrue}
 \calls{optXLAMCond}{optXLAMCond}
-\calls{optXLAMCond}{pairp}
 \calls{optXLAMCond}{qcar}
 \calls{optXLAMCond}{qcdr}
 \calls{optXLAMCond}{rplac}
 \begin{chunk}{defun optXLAMCond}
 (defun |optXLAMCond| (x)
  (cond
-   ((and (pairp x) (eq (qcar x) 'cond) (pairp (qcdr x))
-         (pairp (qcar (qcdr x))) (pairp (qcdr (qcar (qcdr x))))
+   ((and (consp x) (eq (qcar x) 'cond) (consp (qcdr x))
+         (consp (qcar (qcdr x))) (consp (qcdr (qcar (qcdr x))))
          (eq (qcdr (qcdr (qcar (qcdr x)))) nil))
      (if (|optPredicateIfTrue| (qcar (qcar (qcdr x)))) 
        (qcar (qcdr (qcar (qcdr x))))
@@ -9082,8 +9060,8 @@ simple kind of compile-time type evaluation.
 (defun |optPredicateIfTrue| (p)
  (declare (special |$BasicPredicates|))
   (cond
-   ((and (pairp p) (eq (qcar p) 'quote)) T)
-   ((and (pairp p) (pairp (qcdr p)) (eq (qcdr (qcdr p)) nil)
+   ((and (consp p) (eq (qcar p) 'quote)) T)
+   ((and (consp p) (consp (qcdr p)) (eq (qcdr (qcdr p)) nil)
       (member (qcar p) |$BasicPredicates|) (funcall (qcar p) (qcar (qcdr p))))
      t)
    (t nil)))
@@ -9103,9 +9081,9 @@ simple kind of compile-time type evaluation.
   (cond
    ((eq b '|noBranch|) (list 'cond (list (list 'null a ) c)))
    ((eq c '|noBranch|) (list 'cond (list a b)))
-   ((and (pairp c) (eq (qcar c) 'if))
+   ((and (consp c) (eq (qcar c) 'if))
      (cons 'cond (cons (list a b) (cdr (|optIF2COND| c)))))
-   ((and (pairp c) (eq (qcar c) 'cond))
+   ((and (consp c) (eq (qcar c) 'cond))
      (cons 'cond (cons (list a b) (qcdr c))))
    (t
      (list 'cond (list a b) (list |$true| c))))))
@@ -9189,14 +9167,14 @@ optPackageCall.
      (setq a (cdr tmp1))
      (cond
       ((atom fn) (rplac (cdr x) a) (rplac (car x) fn))
-      ((and (pairp fn) (eq (qcar fn) 'pac)) (|optPackageCall| x fn a))
-      ((and (pairp fn) (eq (qcar fn) '|applyFun|)
-            (pairp (qcdr fn)) (eq (qcdr (qcdr fn)) nil))
+      ((and (consp fn) (eq (qcar fn) 'pac)) (|optPackageCall| x fn a))
+      ((and (consp fn) (eq (qcar fn) '|applyFun|)
+            (consp (qcdr fn)) (eq (qcdr (qcdr fn)) nil))
        (setq name (qcar (qcdr fn)))
        (rplac (car x) 'spadcall)
        (rplac (cdr x) (append a (cons name nil)))
        x)
-      ((and (pairp fn) (pairp (qcdr fn)) (pairp (qcdr (qcdr fn)))
+      ((and (consp fn) (consp (qcdr fn)) (consp (qcdr (qcdr fn)))
             (eq (qcdr (qcdr (qcdr fn))) nil)
             (member (qcar fn) '(elt qrefelt const)))
        (setq q (qcar fn))
@@ -9249,8 +9227,8 @@ optPackageCall.
     (when z
      (setq zp (car z))
      (setq z (cdr x))
-     (if (and (pairp zp) (eq (qcar zp) 'let) (pairp (qcdr zp))
-              (equal (qcar (qcdr zp)) a) (pairp (qcdr (qcdr zp))))
+     (if (and (consp zp) (eq (qcar zp) 'let) (consp (qcdr zp))
+              (equal (qcar (qcdr zp)) a) (consp (qcdr (qcdr zp))))
       (qcar (qcdr (qcdr zp)))
       (lookup a z))))))
  (let (tmp1 op y prop yy)
@@ -9305,9 +9283,9 @@ optPackageCall.
    ((setq fn (getl (|compileTimeBindingOf| (car (elt yval n))) '|SPADreplace|))
      (|rplac| (cdr x) (cdar x))
      (|rplac| (car x) fn)
-     (when (and (pairp fn) (eq (qcar fn) 'xlam))
+     (when (and (consp fn) (eq (qcar fn) 'xlam))
       (setq x (car (|optimize| (list x)))))
-     (if (and (pairp x) (eq (qcar x) 'equal) (progn (setq args (qcdr x)) t))
+     (if (and (consp x) (eq (qcar x) 'equal) (progn (setq args (qcdr x)) t))
       (rplacw x (def-equal args))
       x))
    (t
@@ -9338,7 +9316,6 @@ optPackageCall.
 \end{chunk}
 
 \defun{optCallEval}{optCallEval}
-\calls{optCallEval}{pairp}
 \calls{optCallEval}{qcar}
 \calls{optCallEval}{List}
 \calls{optCallEval}{Integer}
@@ -9350,15 +9327,15 @@ optPackageCall.
 \begin{chunk}{defun optCallEval}
 (defun |optCallEval| (u)
   (cond
-    ((and (pairp u) (eq (qcar u) '|List|))
+    ((and (consp u) (eq (qcar u) '|List|))
       (|List| (|Integer|)))
-    ((and (pairp u) (eq (qcar u) '|Vector|))
+    ((and (consp u) (eq (qcar u) '|Vector|))
       (|Vector| (|Integer|)))
-    ((and (pairp u) (eq (qcar u) '|PrimitiveArray|))
+    ((and (consp u) (eq (qcar u) '|PrimitiveArray|))
       (|PrimitiveArray| (|Integer|)))
-    ((and (pairp u) (eq (qcar u) '|FactoredForm|))
+    ((and (consp u) (eq (qcar u) '|FactoredForm|))
      (|FactoredForm| (|Integer|)))
-    ((and (pairp u) (eq (qcar u) '|Matrix|))
+    ((and (consp u) (eq (qcar u) '|Matrix|))
      (|Matrix| (|Integer|)))
     (t
      (|eval| u))))
@@ -9377,9 +9354,9 @@ optPackageCall.
 (defun |optSEQ| (arg)
  (labels (
   (tryToRemoveSEQ (z)
-    (if (and (pairp z) (eq (qcar z) 'seq) (pairp (qcdr z))
-             (eq (qcdr (qcdr z)) nil) (pairp (qcar (qcdr z)))
-             (pairp (qcdr (qcar (qcdr z))))
+    (if (and (consp z) (eq (qcar z) 'seq) (consp (qcdr z))
+             (eq (qcdr (qcdr z)) nil) (consp (qcar (qcdr z)))
+             (consp (qcdr (qcar (qcdr z))))
              (eq (qcdr (qcdr (qcar (qcdr z)))) nil)
              (member (qcar (qcar (qcdr z))) '(exit return throw)))
       (qcar (qcdr (qcar (qcdr z))))
@@ -9389,13 +9366,13 @@ optPackageCall.
     (setq transform
      (loop for x in z
       while
-        (and (pairp x) (eq (qcar x) 'cond) (pairp (qcdr x))
-             (eq (qcdr (qcdr x)) nil) (pairp (qcar (qcdr x)))
-             (pairp (qcdr (qcar (qcdr x))))
+        (and (consp x) (eq (qcar x) 'cond) (consp (qcdr x))
+             (eq (qcdr (qcdr x)) nil) (consp (qcar (qcdr x)))
+             (consp (qcdr (qcar (qcdr x))))
              (eq (qcdr (qcdr (qcar (qcdr x)))) nil)
-             (pairp (qcar (qcdr (qcar (qcdr x)))))
+             (consp (qcar (qcdr (qcar (qcdr x)))))
              (eq (qcar (qcar (qcdr (qcar (qcdr x))))) 'exit)
-             (pairp (qcdr (qcar (qcdr (qcar (qcdr x))))))
+             (consp (qcdr (qcar (qcdr (qcar (qcdr x))))))
              (eq (qcdr (qcdr (qcar (qcdr (qcar (qcdr x)))))) nil))
       collect 
        (list (qcar (qcar (qcdr x)))
@@ -9413,8 +9390,8 @@ optPackageCall.
    (let (g x r)
     (cond
      ((null z) nil)
-     ((and (pairp z) (pairp (qcar z)) (eq (qcar (qcar z)) 'let)
-           (pairp (qcdr (qcar z))) (pairp (qcdr (qcdr (qcar z))))
+     ((and (consp z) (consp (qcar z)) (eq (qcar (qcar z)) 'let)
+           (consp (qcdr (qcar z))) (consp (qcdr (qcdr (qcar z))))
            (gensymp (qcar (qcdr (qcar z))))
            (> 2 (|numOfOccurencesOf| (qcar (qcdr (qcar z))) (qcdr z))))
        (setq g (qcar (qcdr (qcar z))))
@@ -9441,8 +9418,8 @@ optPackageCall.
 (defun |optEQ| (u)
  (let (z r)
   (cond
-   ((and (pairp u) (eq (qcar u) 'eq) (pairp (qcdr u))
-         (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
+   ((and (consp u) (eq (qcar u) 'eq) (consp (qcdr u))
+         (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
      (setq z (qcar (qcdr u)))
      (setq r (qcar (qcdr (qcdr u))))
 ; That undoes some weird work in Boolean to do with the definition of true
@@ -9465,7 +9442,7 @@ optPackageCall.
 (defun |optMINUS| (u)
  (let (v)
   (cond
-    ((and (pairp u) (eq (qcar u) 'minus) (pairp (qcdr u)) 
+    ((and (consp u) (eq (qcar u) 'minus) (consp (qcdr u)) 
           (eq (qcdr (qcdr u)) nil))
       (setq v (qcar (qcdr u)))
       (cond ((numberp v) (- v)) (t u)))
@@ -9485,7 +9462,7 @@ optPackageCall.
 (defun |optQSMINUS| (u)
  (let (v)
   (cond
-   ((and (pairp u) (eq (qcar u) 'qsminus) (pairp (qcdr u))
+   ((and (consp u) (eq (qcar u) 'qsminus) (consp (qcdr u))
          (eq (qcdr (qcdr u)) nil))
      (setq v (qcar (qcdr u)))
      (cond ((numberp v) (- v)) (t u)))
@@ -9505,7 +9482,7 @@ optPackageCall.
 (defun |opt-| (u)
  (let (v)
   (cond
-   ((and (pairp u) (eq (qcar u) '-) (pairp (qcdr u))
+   ((and (consp u) (eq (qcar u) '-) (consp (qcdr u))
          (eq (qcdr (qcdr u)) NIL))
     (setq v (qcar (qcdr u)))
     (cond ((numberp v) (- v)) (t u)))
@@ -9525,8 +9502,8 @@ optPackageCall.
 (defun |optLESSP| (u)
  (let (a b)
   (cond
-   ((and (pairp u) (eq (qcar u) 'lessp) (pairp (qcdr u))
-         (pairp (qcdr (qcdr u)))
+   ((and (consp u) (eq (qcar u) 'lessp) (consp (qcdr u))
+         (consp (qcdr (qcdr u)))
          (eq (qcdr (qcdr (qcdr u))) nil))
      (setq a (qcar (qcdr u)))
      (setq b (qcar (qcdr (qcdr u))))
@@ -9555,20 +9532,20 @@ optPackageCall.
   (cond
    ; last arg is function/env, but may be a form
    ((null |$InteractiveMode|) form)
-   ((and (pairp argl)
+   ((and (consp argl)
          (progn (setq tmp1 (reverse argl)) t)
-         (pairp tmp1))
+         (consp tmp1))
      (setq fun (qcar tmp1))
      (setq argl (qcdr tmp1))
      (setq argl (nreverse argl))
      (cond
-      ((and (pairp fun) 
+      ((and (consp fun) 
             (or (eq (qcar fun) 'elt) (eq (qcar fun) 'lispelt))
             (progn
-              (and (pairp (qcdr fun))
+              (and (consp (qcdr fun))
                    (progn
                     (setq dom (qcar (qcdr fun)))
-                    (and (pairp (qcdr (qcdr fun)))
+                    (and (consp (qcdr (qcdr fun)))
                          (eq (qcdr (qcdr (qcdr fun))) nil)
                          (progn
                            (setq slot (qcar (qcdr (qcdr fun))))
@@ -9601,7 +9578,6 @@ optPackageCall.
 \end{chunk}
 
 \defun{optCatch}{optCatch}
-\calls{optCatch}{pairp}
 \calls{optCatch}{qcar}
 \calls{optCatch}{qcdr}
 \calls{optCatch}{rplac}
@@ -9613,7 +9589,7 @@ optPackageCall.
   (changeThrowToExit (s g)
     (cond
      ((or (atom s) (member (car s) '(quote seq repeat collect))) nil)
-     ((and (pairp s) (eq (qcar s) 'throw) (pairp (qcdr s))
+     ((and (consp s) (eq (qcar s) 'throw) (consp (qcdr s))
            (equal (qcar (qcdr s)) g))
         (|rplac| (car s) 'exit)
         (|rplac| (cdr s) (qcdr (qcdr s))))
@@ -9622,7 +9598,7 @@ optPackageCall.
       (changeThrowToExit (cdr s) g))))
   (hasNoThrows (a g)
     (cond
-     ((and (pairp a) (eq (qcar a) 'throw) (pairp (qcdr a))
+     ((and (consp a) (eq (qcar a) 'throw) (consp (qcdr a))
            (equal (qcar (qcdr a)) g))
             nil)
      ((atom a) t)
@@ -9633,8 +9609,8 @@ optPackageCall.
    (let (u)
     (cond
      ((or (atom s) (eq (car s) 'quote)) nil)
-     ((and (pairp s) (eq (qcar s) 'throw) (pairp (qcdr s))
-           (equal (qcar (qcdr s)) g) (pairp (qcdr (qcdr s)))
+     ((and (consp s) (eq (qcar s) 'throw) (consp (qcdr s))
+           (equal (qcar (qcdr s)) g) (consp (qcdr (qcdr s)))
            (eq (qcdr (qcdr (qcdr s))) nil))
        (setq u (qcar (qcdr (qcdr s))))
        (changeThrowToGo u g)
@@ -9652,12 +9628,12 @@ optPackageCall.
     ((atom a) a)
     (t
      (cond
-      ((and (pairp a) (eq (qcar a) 'seq) (pairp (qcdr a))
+      ((and (consp a) (eq (qcar a) 'seq) (consp (qcdr a))
             (progn (setq tmp2 (reverse (qcdr a))) t)
-            (pairp tmp2) (pairp (qcar tmp2)) (eq (qcar (qcar tmp2)) 'throw)
-            (pairp (qcdr (qcar tmp2)))
+            (consp tmp2) (consp (qcar tmp2)) (eq (qcar (qcar tmp2)) 'throw)
+            (consp (qcdr (qcar tmp2)))
             (equal (qcar (qcdr (qcar tmp2))) g)
-            (pairp (qcdr (qcdr (qcar tmp2))))
+            (consp (qcdr (qcdr (qcar tmp2))))
             (eq (qcdr (qcdr (qcdr (qcar tmp2)))) nil))
       (setq u (qcar (qcdr (qcdr (qcar tmp2)))))
       (setq s (qcdr tmp2))
@@ -9687,7 +9663,6 @@ optPackageCall.
 \end{chunk}
 
 \defun{optCond}{optCond}
-\calls{optCond}{pairp}
 \calls{optCond}{qcar}
 \calls{optCond}{qcdr}
 \calls{optCond}{rplacd}
@@ -9699,41 +9674,41 @@ optPackageCall.
  (let (z p1 p2 c3 c1 c2 a result)
   (setq z (cdr x))
   (when 
-   (and (pairp z) (pairp (qcdr z)) (eq (qcdr (qcdr z)) nil)
-        (pairp (qcar (qcdr z))) (pairp (qcdr (qcar (qcdr z))))
+   (and (consp z) (consp (qcdr z)) (eq (qcdr (qcdr z)) nil)
+        (consp (qcar (qcdr z))) (consp (qcdr (qcar (qcdr z))))
         (eq (qcdr (qcdr (qcar (qcdr z)))) nil)
         (|TruthP| (qcar (qcar (qcdr z)))) 
-        (pairp (qcar (qcdr (qcar (qcdr z))))) 
+        (consp (qcar (qcdr (qcar (qcdr z))))) 
         (eq (qcar (qcar (qcdr (qcar (qcdr z))))) 'cond))
     (rplacd (cdr x) (qcdr (qcar (qcdr (qcar (qcdr z)))))))
    (cond
-    ((and (pairp z) (pairp (qcar z)) (pairp (qcdr z)) (pairp (qcar (qcdr z))))
+    ((and (consp z) (consp (qcar z)) (consp (qcdr z)) (consp (qcar (qcdr z))))
       (setq p1 (qcar (qcar z)))
       (setq c1 (qcdr (qcar z)))
       (setq p2 (qcar (qcar (qcdr z))))
       (setq c2 (qcdr (qcar (qcdr z))))
       (when
-        (or (and (pairp p1) (eq (qcar p1) 'null) (pairp (qcdr p1))
+        (or (and (consp p1) (eq (qcar p1) 'null) (consp (qcdr p1))
                  (eq (qcdr (qcdr p1)) nil)
                  (equal (qcar (qcdr p1)) p2))
-            (and (pairp p2) (eq (qcar p2) 'null) (pairp (qcdr p2))
+            (and (consp p2) (eq (qcar p2) 'null) (consp (qcdr p2))
                  (eq (qcdr (qcdr p2)) nil)
                  (equal (qcar (qcdr p2)) p1)))
          (setq z (list (cons p1 c1) (cons ''t c2)))
          (rplacd x z))
       (when
-       (and (pairp c1) (eq (qcdr c1) nil) (equal (qcar c1) 'nil)
+       (and (consp c1) (eq (qcdr c1) nil) (equal (qcar c1) 'nil)
             (equal p2 ''t) (equal (car c2) ''t))
-        (if (and (pairp p1) (eq (qcar p1) 'null) (pairp (qcdr p1)) 
+        (if (and (consp p1) (eq (qcar p1) 'null) (consp (qcdr p1)) 
                  (eq (qcdr (qcdr p1)) nil))
             (setq result (qcar (qcdr p1)))
             (setq result (list 'null p1))))))
   (if result
    result
    (cond
-    ((and (pairp z) (pairp (qcar z)) (pairp (qcdr z)) (pairp (qcar (qcdr z)))
-          (pairp (qcdr (qcdr z))) (eq (qcdr (qcdr (qcdr z))) nil)
-          (pairp (qcar (qcdr (qcdr z))))
+    ((and (consp z) (consp (qcar z)) (consp (qcdr z)) (consp (qcar (qcdr z)))
+          (consp (qcdr (qcdr z))) (eq (qcdr (qcdr (qcdr z))) nil)
+          (consp (qcar (qcdr (qcdr z))))
           (|TruthP| (qcar (qcar (qcdr (qcdr z))))))
       (setq p1 (qcar (qcar z)))
       (setq c1 (qcdr (qcar z)))
@@ -9751,9 +9726,9 @@ optPackageCall.
      (do ((y z (cdr y)))
          ((atom y) nil)
        (do ()
-           ((null (and (pairp y) (pairp (qcar y)) (pairp (qcdr (qcar y)))
-                       (eq (qcdr (qcdr (qcar y))) nil) (pairp (qcdr y))
-                       (pairp (qcar (qcdr y))) (pairp (qcdr (qcar (qcdr y))))
+           ((null (and (consp y) (consp (qcar y)) (consp (qcdr (qcar y)))
+                       (eq (qcdr (qcdr (qcar y))) nil) (consp (qcdr y))
+                       (consp (qcar (qcdr y))) (consp (qcdr (qcar (qcdr y))))
                        (eq (qcdr (qcdr (qcar (qcdr y)))) nil)
                        (|EqualBarGensym| (qcar (qcdr (qcar y))) 
                                          (qcar (qcdr (qcar (qcdr y)))))))
@@ -9783,8 +9758,8 @@ optPackageCall.
         (progn
          (setq |$GensymAssoc| (cons (cons x y) |$GensymAssoc|))
          t)))
-     ((null x) (and (pairp y) (eq (qcdr y) nil) (gensymp (qcar y))))
-     ((null y) (and (pairp x) (eq (qcdr x) nil) (gensymp (qcar x))))
+     ((null x) (and (consp y) (eq (qcdr y) nil) (gensymp (qcar y))))
+     ((null y) (and (consp x) (eq (qcdr x) nil) (gensymp (qcar x))))
      ((or (atom x) (atom y)) nil)
      (t
       (and (fn (car x) (car y))
@@ -9810,7 +9785,7 @@ optPackageCall.
  (let (u)
   (setq u (cdr arg))
   (cond
-   ((and (pairp u) (eq (qcdr u) nil)) (list 'list (qcar u)))
+   ((and (consp u) (eq (qcdr u) nil)) (list 'list (qcar u)))
    ((eql (|#| u) 2) (cons 'cons u))
    (t (cons 'vector u)))))
 
@@ -9908,7 +9883,6 @@ optPackageCall.
 \calls{addDomain}{isLiteral}
 \calls{addDomain}{addNewDomain}
 \calls{addDomain}{getmode}
-\calls{addDomain}{pairp}
 \calls{addDomain}{isCategoryForm}
 \calls{addDomain}{isFunctor}
 \calls{addDomain}{constructor?}
@@ -9934,8 +9908,8 @@ optPackageCall.
    ((|domainMember| domain (|getDomainsInScope| env)) env)
    ((and (progn
           (setq tmp1 (|getmode| name env))
-          (and (pairp tmp1) (eq (qcar tmp1) '|Mapping|)
-               (pairp (qcdr tmp1))))
+          (and (consp tmp1) (eq (qcar tmp1) '|Mapping|)
+               (consp (qcdr tmp1))))
           (|isCategoryForm| (second tmp1) env))
      (|addNewDomain| domain env))
    ((or (|isFunctor| name) (|constructor?| name))
@@ -9949,14 +9923,13 @@ optPackageCall.
 \end{chunk}
 
 \defun{unknownTypeError}{unknownTypeError}
-\calls{unknownTypeError}{pairp}
 \calls{unknownTypeError}{qcar}
 \calls{unknownTypeError}{stackSemanticError}
 \begin{chunk}{defun unknownTypeError}
 (defun |unknownTypeError| (name)
  (let (op)
   (setq name 
-   (if (and (pairp name) (setq op (qcar name)))
+   (if (and (consp name) (setq op (qcar name)))
     op
     name))
   (|stackSemanticError| (list '|%b| name '|%d| '|is not a known type|) nil)))
@@ -10090,7 +10063,7 @@ The way XLAMs work:
       (setq env (|addNewDomain| (car u) env)))
     (when (setq innerDom (|listOrVectorElementMode| name))
       (setq env (|addDomain| innerDom env)))
-    (when (and (pairp name) (eq (qcar name) '|Union|))
+    (when (and (consp name) (eq (qcar name) '|Union|))
       (dolist (d (|stripUnionTags| (qcdr name)))
         (setq env (|addDomain| d env))))
     (|augModemapsFromDomain1| name functorForm env)))))
@@ -10147,7 +10120,6 @@ The way XLAMs work:
 \calls{addConstructorModemaps}{putDomainsInScope}
 \calls{addConstructorModemaps}{getl}
 \calls{addConstructorModemaps}{msubst}
-\calls{addConstructorModemaps}{pairp}
 \calls{addConstructorModemaps}{qcar}
 \calls{addConstructorModemaps}{qcdr}
 \calls{addConstructorModemaps}{addModemap}
@@ -10167,8 +10139,8 @@ The way XLAMs work:
     (setq op (first item))
     (setq sig (second item))
     (setq opcode (third item))
-    (when (and (pairp opcode) (pairp (qcdr opcode))
-               (pairp (qcdr (qcdr opcode))) 
+    (when (and (consp opcode) (consp (qcdr opcode))
+               (consp (qcdr (qcdr opcode))) 
                (eq (qcdr (qcdr (qcdr opcode))) nil)
                (eq (qcar opcode) 'elt))
        (setq nsig (msubst '$$$ name sig))
@@ -10219,7 +10191,6 @@ The way XLAMs work:
 \end{chunk}
 
 \defun{getModemapList}{getModemapList}
-\calls{getModemapList}{pairp}
 \calls{getModemapList}{qcar}
 \calls{getModemapList}{qcdr}
 \calls{getModemapList}{getModemapListFromDomain}
@@ -10229,8 +10200,8 @@ The way XLAMs work:
 (defun |getModemapList| (op numOfArgs env)
  (let (result)
   (cond
-   ((and (pairp op) (eq (qcar op) '|elt|) (pairp (qcdr op))
-         (pairp (qcdr (qcdr op))) (eq (qcdr (qcdr (qcdr op))) nil))
+   ((and (consp op) (eq (qcar op) '|elt|) (consp (qcdr op))
+         (consp (qcdr (qcdr op))) (eq (qcdr (qcdr (qcdr op))) nil))
      (|getModemapListFromDomain| (third op) numOfArgs (second op) env))
   (t
    (dolist (term (|get| op '|modemap| env) (nreverse0 result))
@@ -10285,7 +10256,6 @@ The way XLAMs work:
 \defun{addEltModemap}{addEltModemap}
 This is a hack to change selectors from strings to identifiers; and to
 add flag identifiers as literals in the environment
-\calls{addEltModemap}{pairp}
 \calls{addEltModemap}{qcar}
 \calls{addEltModemap}{qcdr}
 \calls{addEltModemap}{makeLiteral}
@@ -10298,7 +10268,7 @@ add flag identifiers as literals in the environment
  (let (tmp1 v sel lt id)
  (declare (special |$e| |$insideCapsuleFunctionIfTrue|))
   (cond
-   ((and (eq op '|elt|) (pairp sig))
+   ((and (eq op '|elt|) (consp sig))
      (setq tmp1 (reverse sig))
      (setq sel (qcar tmp1))
      (setq lt (nreverse (qcdr tmp1)))
@@ -10310,7 +10280,7 @@ add flag identifiers as literals in the environment
            (setq env (|makeLiteral| id env)))
          (|addModemap1| op mc (append lt (list id)) pred fn env))
        (t (|addModemap1| op mc sig pred fn env))))
-   ((and (eq op '|setelt|) (pairp sig))
+   ((and (eq op '|setelt|) (consp sig))
      (setq tmp1 (reverse sig))
      (setq v (qcar tmp1))
      (setq sel (qcar (qcdr tmp1)))
@@ -10329,7 +10299,6 @@ add flag identifiers as literals in the environment
 \defun{mkNewModemapList}{mkNewModemapList}
 \calls{mkNewModemapList}{member}
 \calls{mkNewModemapList}{assoc}
-\calls{mkNewModemapList}{pairp}
 \calls{mkNewModemapList}{qcar}
 \calls{mkNewModemapList}{qcdr}
 \calls{mkNewModemapList}{mergeModemap}
@@ -10347,9 +10316,9 @@ add flag identifiers as literals in the environment
    (cond
     ((|member| entry curModemapList) curModemapList)
     ((and (setq oldMap (|assoc| map curModemapList))
-          (pairp oldMap) (pairp (qcdr oldMap))
-          (pairp (qcar (qcdr oldMap)))
-          (pairp (qcdr (qcar (qcdr oldMap))))
+          (consp oldMap) (consp (qcdr oldMap))
+          (consp (qcar (qcdr oldMap)))
+          (consp (qcdr (qcar (qcdr oldMap))))
           (eq (qcdr (qcdr (qcar (qcdr oldMap)))) nil)
           (equal (qcar (qcdr (qcar (qcdr oldMap)))) fn))
       (setq opred (qcar (qcar (qcdr oldMap))))
@@ -10432,13 +10401,12 @@ add flag identifiers as literals in the environment
 
 \defun{TruthP}{TruthP}
 \calls{TruthP}{qcar}
-\calls{TruthP}{pairp}
 \begin{chunk}{defun TruthP}
 (defun |TruthP| (x)
  (cond
    ((null x) nil)
    ((eq x t) t)
-   ((and (pairp x) (eq (qcar x) 'quote)) t)
+   ((and (consp x) (eq (qcar x) 'quote)) t)
    (t nil)))
 
 \end{chunk}
@@ -10561,7 +10529,7 @@ add flag identifiers as literals in the environment
      (setq result (or result (redefined op u))))))
   (redefined (opname u)
    (let (op z result)
-   (when (pairp u)
+   (when (consp u)
     (setq op (qcar u))
     (setq z (qcdr u))
     (cond
@@ -10642,7 +10610,6 @@ add flag identifiers as literals in the environment
 \end{chunk}
 
 \defun{addModemap0}{addModemap0}
-\calls{addModemap0}{pairp}
 \calls{addModemap0}{qcar}
 \calls{addModemap0}{addEltModemap}
 \calls{addModemap0}{addModemap1}
@@ -10651,7 +10618,7 @@ add flag identifiers as literals in the environment
 (defun |addModemap0| (op mc sig pred fn env)
  (declare (special |$functorForm|))
  (cond
-  ((and (pairp |$functorForm|)
+  ((and (consp |$functorForm|)
         (eq (qcar |$functorForm|) '|CategoryDefaults|)
         (eq mc '$))
     env)
@@ -10725,7 +10692,6 @@ in the body of the add.
 \calls{compAdd}{qcdr}
 \calls{compAdd}{qcar}
 \calls{compAdd}{compSubDomain1}
-\calls{compAdd}{pairp}
 \calls{compAdd}{nreverse0}
 \calls{compAdd}{NRTgetLocalIndex}
 \calls{compAdd}{compTuple2Record}
@@ -10748,7 +10714,7 @@ in the body of the add.
   (cond
    ((eq |$bootStrapMode| t)
     (cond
-     ((and (pairp |$addForm|) (eq (qcar |$addForm|) '|@Tuple|))
+     ((and (consp |$addForm|) (eq (qcar |$addForm|) '|@Tuple|))
        (setq code nil))
      (t
        (setq tmp3 (|comp| |$addForm| mode env))
@@ -10767,8 +10733,8 @@ in the body of the add.
    (t
     (setq |$addFormLhs| |$addForm|)
     (cond
-     ((and (pairp |$addForm|) (eq (qcar |$addForm|) '|SubDomain|)
-           (pairp (qcdr |$addForm|)) (pairp (qcdr (qcdr |$addForm|)))
+     ((and (consp |$addForm|) (eq (qcar |$addForm|) '|SubDomain|)
+           (consp (qcdr |$addForm|)) (consp (qcdr (qcdr |$addForm|)))
            (eq (qcdr (qcdr (qcdr |$addForm|))) nil))
        (setq domainForm (second |$addForm|))
        (setq predicate (third |$addForm|))
@@ -10782,13 +10748,13 @@ in the body of the add.
        (setq env (third tmp3)) tmp3)
      (t
       (setq |$packagesUsed|
-       (if (and (pairp |$addForm|) (eq (qcar |$addForm|) '|@Tuple|))
+       (if (and (consp |$addForm|) (eq (qcar |$addForm|) '|@Tuple|))
          (append (qcdr |$addForm|) |$packagesUsed|)
          (cons |$addForm| |$packagesUsed|)))
       (setq |$NRTaddForm| |$addForm|)
       (setq tmp3
        (cond
-        ((and (pairp |$addForm|) (eq (qcar |$addForm|) '|@Tuple|))
+        ((and (consp |$addForm|) (eq (qcar |$addForm|) '|@Tuple|))
          (setq |$NRTaddForm|
           (cons '|@Tuple|
            (dolist (x (cdr |$addForm|) (nreverse0 tmp4))
@@ -10880,7 +10846,7 @@ in the body of the add.
 \begin{chunk}{defun processFunctor}
 (defun |processFunctor| (form signature data localParList e)
   (cond
-    ((and (pairp form) (eq (qcdr form) nil)
+    ((and (consp form) (eq (qcdr form) nil)
           (eq (qcar form) '|CategoryDefaults|))
      (|error| '|CategoryDefaults is a reserved name|))
     (t (|buildFunctor| form signature data localParList e))))
@@ -10937,7 +10903,6 @@ Since we can't be sure we take the least disruptive course of action.
 \end{chunk}
 
 \defun{doIt}{doIt}
-\calls{doIt}{pairp}
 \calls{doIt}{qcar}
 \calls{doIt}{qcdr}
 \calls{doIt}{lastnode}
@@ -10994,13 +10959,13 @@ Since we can't be sure we take the least disruptive course of action.
                    |$functorLocalParameters| |$NonMentionableDomainNames|))
   (setq $genno 0)
   (cond
-   ((and (pairp item) (eq (qcar item) 'seq) (pairp (qcdr item))
+   ((and (consp item) (eq (qcar item) 'seq) (consp (qcdr item))
           (progn (setq tmp6 (reverse (qcdr item))) t)
-          (pairp tmp6) (pairp (qcar tmp6))
+          (consp tmp6) (consp (qcar tmp6))
           (eq (qcar (qcar tmp6)) '|exit|)
-          (pairp (qcdr (qcar tmp6)))
+          (consp (qcdr (qcar tmp6)))
           (equal (qcar (qcdr (qcar tmp6))) 1)
-          (pairp (qcdr (qcdr (qcar tmp6))))
+          (consp (qcdr (qcdr (qcar tmp6))))
           (eq (qcdr (qcdr (qcdr (qcar tmp6)))) nil))
       (setq x (qcar (qcdr (qcdr (qcar tmp6)))))
       (setq z (qcdr tmp6))
@@ -11015,19 +10980,19 @@ Since we can't be sure we take the least disruptive course of action.
     (rplaca item (car u))
     (rplacd item (cdr u))
     (|doIt| item |$predl|))
-   ((and (pairp item) (eq (qcar item) 'let) (pairp (qcdr item))
-         (pairp (qcdr (qcdr item))))
+   ((and (consp item) (eq (qcar item) 'let) (consp (qcdr item))
+         (consp (qcdr (qcdr item))))
     (setq lhs (qcar (qcdr item)))
     (setq rhs (qcar (qcdr (qcdr item))))
     (cond
      ((null (progn
              (setq tmp2 (|compOrCroak| item |$EmptyMode| |$e|))
-             (and (pairp tmp2)
+             (and (consp tmp2)
                   (progn
                    (setq code (qcar tmp2))
-                   (and (pairp (qcdr tmp2))
+                   (and (consp (qcdr tmp2))
                         (progn
-                         (and (pairp (qcdr (qcdr tmp2)))
+                         (and (consp (qcdr (qcdr tmp2)))
                               (eq (qcdr (qcdr (qcdr tmp2))) nil)
                               (PROGN
                                (setq |$e| (qcar (qcdr (qcdr tmp2))))
@@ -11035,15 +11000,15 @@ Since we can't be sure we take the least disruptive course of action.
       (|stackSemanticError|
        (cons '|cannot compile assigned value to| (|bright| lhs))
         nil))
-     ((null (and (pairp code) (eq (qcar code) 'let)
+     ((null (and (consp code) (eq (qcar code) 'let)
                  (progn
-                   (and (pairp (qcdr code))
+                   (and (consp (qcdr code))
                         (progn
                          (setq lhsp (qcar (qcdr code)))
-                         (and (pairp (qcdr (qcdr code)))))))
+                         (and (consp (qcdr (qcdr code)))))))
                               (atom (qcar (qcdr code)))))
       (cond
-       ((and (pairp code) (eq (qcar code) 'progn))
+       ((and (consp code) (eq (qcar code) 'progn))
         (|stackSemanticError|
          (list '|multiple assignment | item '| not allowed|)
          nil))
@@ -11058,13 +11023,13 @@ Since we can't be sure we take the least disruptive course of action.
         (setq |$functorLocalParameters|
          (append |$functorLocalParameters| (list lhs)))))
       (cond
-       ((and (pairp code) (eq (qcar code) 'let)
+       ((and (consp code) (eq (qcar code) 'let)
              (progn
               (setq tmp2 (qcdr code))
-              (and (pairp tmp2)
+              (and (consp tmp2)
                    (progn
                     (setq tmp6 (qcdr tmp2))
-                    (and (pairp tmp6)
+                    (and (consp tmp6)
                          (progn
                           (setq rhsp (qcar tmp6))
                           t)))))
@@ -11086,34 +11051,34 @@ Since we can't be sure we take the least disruptive course of action.
           (sublis |$LocalDomainAlist| (elt (|get| lhs '|value| |$e|) 0)))
            |$LocalDomainAlist|))))
       (cond
-       ((and (pairp code) (eq (qcar code) 'let))
+       ((and (consp code) (eq (qcar code) 'let))
         (rplaca item (if |$QuickCode| 'qsetrefv 'setelt))
         (setq rhsCode rhsp)
         (rplacd item (list '$ (|NRTgetLocalIndexClear| lhs) rhsCode)))
        (t
         (rplaca item (car code))
         (rplacd item (cdr code)))))))
-   ((and (pairp item) (eq (qcar item) '|:|) (pairp (qcdr item))
-         (pairp (qcdr (qcdr item))) (eq (qcdr (qcdr (qcdr item))) nil))
+   ((and (consp item) (eq (qcar item) '|:|) (consp (qcdr item))
+         (consp (qcdr (qcdr item))) (eq (qcdr (qcdr (qcdr item))) nil))
     (setq tmp1 (|compOrCroak| item |$EmptyMode| |$e|))
     (setq |$e| (caddr tmp1))
     tmp1)
-   ((and (pairp item) (eq (qcar item) '|import|))
+   ((and (consp item) (eq (qcar item) '|import|))
     (loop for dom in (qcdr item)
      do (|sayBrightly| (cons "   importing " (|formatUnabbreviated| dom))))
     (setq tmp1 (|compOrCroak| item |$EmptyMode| |$e|))
     (setq |$e| (caddr tmp1))
     (rplaca item 'progn)
     (rplacd item nil))
-   ((and (pairp item) (eq (qcar item) 'if))
+   ((and (consp item) (eq (qcar item) 'if))
     (|doItIf| item |$predl| |$e|))
-   ((and (pairp item) (eq (qcar item) '|where|) (pairp (qcdr item)))
+   ((and (consp item) (eq (qcar item) '|where|) (consp (qcdr item)))
     (|compOrCroak| item |$EmptyMode| |$e|))
-   ((and (pairp item) (eq (qcar item) 'mdef))
+   ((and (consp item) (eq (qcar item) 'mdef))
     (setq tmp1 (|compOrCroak| item |$EmptyMode| |$e|))
     (setq |$e| (caddr tmp1)) tmp1)
-   ((and (pairp item) (eq (qcar item) 'def) (pairp (qcdr item))
-         (pairp (qcar (qcdr item))))
+   ((and (consp item) (eq (qcar item) 'def) (consp (qcdr item))
+         (consp (qcar (qcdr item))))
     (setq op (qcar (qcar (qcdr item))))
     (cond
      ((setq body (|isMacro| item |$e|))
@@ -11173,7 +11138,7 @@ Since we can't be sure we take the least disruptive course of action.
                 (loop for v in |$getDomainCode|
                  do
                  (setq result (or result
-                  (and (pairp v) (pairp (qcdr v))
+                  (and (consp v) (consp (qcdr v))
                        (equal (qcar (qcdr v)) u)))))
                 result))
   ; Now we have to add code to compile all the elements of 
@@ -11211,7 +11176,6 @@ Since we can't be sure we take the least disruptive course of action.
 \end{chunk}
 
 \defun{isMacro}{isMacro}
-\calls{isMacro}{pairp}
 \calls{isMacro}{qcar}
 \calls{isMacro}{qcdr}
 \calls{isMacro}{get}
@@ -11219,10 +11183,10 @@ Since we can't be sure we take the least disruptive course of action.
 (defun |isMacro| (x env)
  (let (op args signature body)
   (when
-   (and (pairp x) (eq (qcar x) 'def) (pairp (qcdr x)) 
-        (pairp (qcar (qcdr x))) (pairp (qcdr (qcdr x)))
-        (pairp (qcdr (qcdr (qcdr x))))
-        (pairp (qcdr (qcdr (qcdr (qcdr x)))))
+   (and (consp x) (eq (qcar x) 'def) (consp (qcdr x)) 
+        (consp (qcar (qcdr x))) (consp (qcdr (qcdr x)))
+        (consp (qcdr (qcdr (qcdr x))))
+        (consp (qcdr (qcdr (qcdr (qcdr x)))))
         (eq (qcdr (qcdr (qcdr (qcdr (qcdr x))))) nil))
      (setq op (qcar (qcar (qcdr x))))
      (setq args (qcdr (qcar (qcdr x))))
@@ -11232,7 +11196,7 @@ Since we can't be sure we take the least disruptive course of action.
       (and (null (|get| op '|modemap| env))
            (null args)
            (null (|get| op '|mode| env))
-           (pairp signature)
+           (consp signature)
            (eq (qcdr signature) nil)
            (null (qcar signature)))
        body))))
@@ -11288,8 +11252,8 @@ An angry JHD - August 15th., 1984
      (dolist (modemap (|getModemapList| '|case| 2 ep) (nreverse0 tmp5))
         (setq map (first modemap))
         (when
-          (and (pairp map) (pairp (qcdr map)) (pairp (qcdr (qcdr map)))
-                (pairp (qcdr (qcdr (qcdr map))))
+          (and (consp map) (consp (qcdr map)) (consp (qcdr (qcdr map)))
+                (consp (qcdr (qcdr (qcdr map))))
                 (eq (qcdr (qcdr (qcdr (qcdr map)))) nil)
                 (|modeEqual| (fourth map) mode)
                 (|modeEqual| (third map) mp))
@@ -11374,9 +11338,9 @@ An angry JHD - August 15th., 1984
    ((and 
       (equal (setq mode (|resolve| mode (list '|Category|)))
              (list '|Category|))
-      (pairp form)
+      (consp form)
       (eq (qcar form) 'category)
-      (pairp (qcdr form)))
+      (consp (qcdr form)))
     (setq domainOrPackage (second form))
     (setq z (qcdr (qcdr form)))
     (setq |$sigList| nil)
@@ -11391,7 +11355,6 @@ An angry JHD - August 15th., 1984
 \end{chunk}
 
 \defun{compCategoryItem}{compCategoryItem}
-\calls{compCategoryItem}{pairp}
 \calls{compCategoryItem}{qcar}
 \calls{compCategoryItem}{qcdr}
 \calls{compCategoryItem}{compCategoryItem}
@@ -11405,21 +11368,21 @@ An angry JHD - August 15th., 1984
  (cond
   ((null x) nil)
 ; 1. if x is a conditional expression, recurse; otherwise, form the predicate
-  ((and (pairp x) (eq (qcar x) 'cond)
-        (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil)
-        (pairp (qcar (qcdr x)))
-        (pairp (qcdr (qcar (qcdr x))))
+  ((and (consp x) (eq (qcar x) 'cond)
+        (consp (qcdr x)) (eq (qcdr (qcdr x)) nil)
+        (consp (qcar (qcdr x)))
+        (consp (qcdr (qcar (qcdr x))))
         (eq (qcdr (qcdr (qcar (qcdr x)))) nil))
      (setq p (qcar (qcar (qcdr x))))
      (setq e (qcar (qcdr (qcar (qcdr x)))))
      (setq predlp (cons p predl))
      (cond
-      ((and (pairp e) (eq (qcar e) 'progn))
+      ((and (consp e) (eq (qcar e) 'progn))
         (setq z (qcdr e))
         (dolist (y z) (|compCategoryItem| y predlp)))
       (t (|compCategoryItem| e predlp))))
-  ((and (pairp x) (eq (qcar x) 'if) (pairp (qcdr x))
-        (pairp (qcdr (qcdr x))) (pairp (qcdr (qcdr (qcdr x))))
+  ((and (consp x) (eq (qcar x) 'if) (consp (qcdr x))
+        (consp (qcdr (qcdr x))) (consp (qcdr (qcdr (qcdr x))))
         (eq (qcdr (qcdr (qcdr (qcdr x)))) nil))
      (setq a (qcar (qcdr x)))
      (setq b (qcar (qcdr (qcdr x))))
@@ -11427,7 +11390,7 @@ An angry JHD - August 15th., 1984
      (setq predlp (cons a predl))
      (unless (eq b '|noBranch|)
       (cond
-       ((and (pairp b) (eq (qcar b) 'progn))
+       ((and (consp b) (eq (qcar b) 'progn))
         (setq z (qcdr b))
         (dolist (y z) (|compCategoryItem| y predlp)))
        (t (|compCategoryItem| b predlp))))
@@ -11436,7 +11399,7 @@ An angry JHD - August 15th., 1984
       (t
        (setq predlp (cons (list '|not| a) predl))
        (cond
-        ((and (pairp c) (eq (qcar c) 'progn))
+        ((and (consp c) (eq (qcar c) 'progn))
          (setq z (qcdr c))
          (dolist (y z) (|compCategoryItem| y predlp)))
         (t (|compCategoryItem| c predlp))))))
@@ -11444,12 +11407,12 @@ An angry JHD - August 15th., 1984
    (setq pred (if predl (mkpf predl 'and) t))
    (cond
 ; 2. if attribute, push it and return
-     ((and (pairp x) (eq (qcar x) 'attribute)
-           (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil))
+     ((and (consp x) (eq (qcar x) 'attribute)
+           (consp (qcdr x)) (eq (qcdr (qcdr x)) nil))
        (setq y (qcar (qcdr x)))
        (push (mkq (list y pred)) |$atList|))
 ; 3. it may be a list, with PROGN as the CAR, and some information as the CDR
-     ((and (pairp x) (eq (qcar x) 'progn))
+     ((and (consp x) (eq (qcar x) 'progn))
        (setq z (qcdr x))
        (dolist (u z) (|compCategoryItem| u predl)))
      (t
@@ -11512,14 +11475,13 @@ An angry JHD - August 15th., 1984
 \end{chunk}
 
 \defun{mustInstantiate}{mustInstantiate}
-\calls{mustInstantiate}{pairp}
 \calls{mustInstantiate}{qcar}
 \calls{mustInstantiate}{getl}
 \refsdollar{mustInstantiate}{DummyFunctorNames}
 \begin{chunk}{defun mustInstantiate}
 (defun |mustInstantiate| (d)
  (declare (special |$DummyFunctorNames|))
-  (and (pairp d) 
+  (and (consp d) 
        (null (or (member (qcar d) |$DummyFunctorNames|)
                  (getl (qcar d) '|makeFunctionList|)))))
 
@@ -11590,10 +11552,10 @@ An angry JHD - August 15th., 1984
             argt)
           ((or (|isDomainForm| argt env) (|isCategoryForm| argt env))
             argt)
-          ((and (pairp argt) (eq (qcar argt) '|Mapping|)
+          ((and (consp argt) (eq (qcar argt) '|Mapping|)
                 (progn
                   (setq tmp2 (qcdr argt))
-                  (and (pairp tmp2)
+                  (and (consp tmp2)
                        (progn
                         (setq mprime (qcar tmp2))
                         (setq r (qcdr tmp2))
@@ -11610,26 +11572,26 @@ An angry JHD - August 15th., 1984
          (t
           (setq env
            (cond
-            ((and (pairp argf)
+            ((and (consp argf)
                   (progn
                    (setq op (qcar argf))
                    (setq argl (qcdr argf))
                    t)
-                  (null (and (pairp argt) (eq (qcar argt) '|Mapping|))))
+                  (null (and (consp argt) (eq (qcar argt) '|Mapping|))))
              (setq newTarget
               (eqsubstlist (take (|#| argl) |$FormalMapVariableList|)
               (dolist (x argl (nreverse0 g2))
                 (setq g2
                  (cons
                   (cond
-                   ((and (pairp x) (eq (qcar x) '|:|)
+                   ((and (consp x) (eq (qcar x) '|:|)
                          (progn
                           (setq tmp2 (qcdr x))
-                          (and (pairp tmp2)
+                          (and (consp tmp2)
                                (progn
                                 (setq a (qcar tmp2))
                                 (setq tmp3 (qcdr tmp2))
-                                (and (pairp tmp3)
+                                (and (consp tmp3)
                                      (eq (qcdr tmp3) nil)
                                      (progn
                                       (setq mode (qcar tmp3))
@@ -11645,14 +11607,14 @@ An angry JHD - August 15th., 1984
                   (setq g5
                    (cons
                     (cond
-                     ((and (pairp x) (eq (qcar x) '|:|)
+                     ((and (consp x) (eq (qcar x) '|:|)
                       (progn
                        (setq tmp2 (qcdr x))
-                       (and (pairp tmp2)
+                       (and (consp tmp2)
                             (progn
                              (setq a (qcar tmp2))
                              (setq tmp3 (qcdr tmp2))
-                             (and (pairp tmp3)
+                             (and (consp tmp3)
                                   (eq (qcdr tmp3) nil)
                                   (progn
                                    (setq mode (qcar tmp3))
@@ -11668,11 +11630,11 @@ An angry JHD - August 15th., 1984
            ((and (null |$bootStrapMode|) |$insideFunctorIfTrue|
                  (progn
                   (setq tmp2 (|makeCategoryForm| argt env))
-                  (and (pairp tmp2)
+                  (and (consp tmp2)
                        (progn
                         (setq catform (qcar tmp2))
                         (setq tmp3 (qcdr tmp2))
-                        (and (pairp tmp3)
+                        (and (consp tmp3)
                              (eq (qcdr tmp3) nil)
                              (progn
                                (setq env (qcar tmp3))
@@ -11717,7 +11679,6 @@ An angry JHD - August 15th., 1984
 \defun{compCons1}{compCons1}
 \calls{compCons1}{comp}
 \calls{compCons1}{convert}
-\calls{compCons1}{pairp}
 \calls{compCons1}{qcar}
 \calls{compCons1}{qcdr}
 \usesdollar{compCons1}{EmptyMode}
@@ -11741,7 +11702,7 @@ An angry JHD - August 15th., 1984
       (setq env (third yt))
       (setq td
        (cond
-        ((and (pairp my) (eq (qcar my) '|List|) (pairp (qcdr my)))
+        ((and (consp my) (eq (qcar my) '|List|) (consp (qcdr my)))
           (setq mp (second my))
           (when (setq mr (list '|List| (|resolve| mp mx)))
            (when (setq ytp (|convert| yt mr))
@@ -11749,7 +11710,7 @@ An angry JHD - August 15th., 1984
              (setq x (first tmp1))
              (setq env (third tmp1))
              (cond
-              ((and (pairp (car ytp)) (eq (qcar (car ytp)) 'list))
+              ((and (consp (car ytp)) (eq (qcar (car ytp)) 'list))
                (list (cons 'list (cons x (cdr (car ytp)))) mr env))
               (t
                (list (list 'cons x (car ytp)) mr env)))))))
@@ -12026,7 +11987,6 @@ An angry JHD - August 15th., 1984
 \defun{getSignatureFromMode}{getSignatureFromMode}
 \calls{getSignatureFromMode}{getmode}
 \calls{getSignatureFromMode}{opOf}
-\calls{getSignatureFromMode}{pairp}
 \calls{getSignatureFromMode}{qcar}
 \calls{getSignatureFromMode}{qcdr}
 \calls{getSignatureFromMode}{nequal}
@@ -12040,7 +12000,7 @@ An angry JHD - August 15th., 1984
  (let (tmp1 signature)
  (declare (special |$FormalMapVariableList|))
   (setq tmp1 (|getmode| (|opOf| form) env))
-  (when (and (pairp tmp1) (eq (qcar tmp1) '|Mapping|))
+  (when (and (consp tmp1) (eq (qcar tmp1) '|Mapping|))
    (setq signature (qcdr tmp1))
    (if (nequal (|#| form) (|#| signature))
      (|stackAndThrow| (list '|Wrong number of arguments: | form))
@@ -12210,7 +12170,7 @@ An angry JHD - August 15th., 1984
      ((and (null (|member| |$op| |$formalArgList|))
            (progn
              (setq tmp2 (|getmode| |$op| e))
-             (and (pairp tmp2) (eq (qcar tmp2) '|Mapping|))))
+             (and (consp tmp2) (eq (qcar tmp2) '|Mapping|))))
        '|local|)
       (t '|exported|)))
 ; 6a skip if compiling only certain items but not this one
@@ -12249,7 +12209,6 @@ An angry JHD - August 15th., 1984
 
 \defun{compileCases}{compileCases}
 \calls{compileCases}{eval}
-\calls{compileCases}{pairp}
 \calls{compileCases}{qcar}
 \calls{compileCases}{qcdr}
 \calls{compileCases}{msubst}
@@ -12270,12 +12229,12 @@ An angry JHD - August 15th., 1984
   (isEltArgumentIn (Rlist x)
     (cond
      ((atom x) nil)
-     ((and (pairp x) (eq (qcar x) 'elt) (pairp (qcdr x))
-           (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+     ((and (consp x) (eq (qcar x) 'elt) (consp (qcdr x))
+           (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
       (or (member (second x) Rlist)
           (isEltArgumentIn Rlist (cdr x))))
-     ((and (pairp x) (eq (qcar x) 'qrefelt) (pairp (qcdr x))
-           (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+     ((and (consp x) (eq (qcar x) 'qrefelt) (consp (qcdr x))
+           (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
       (or (member (second x) Rlist)
           (isEltArgumentIn Rlist (cdr x))))
      (t
@@ -12339,7 +12298,6 @@ An angry JHD - August 15th., 1984
 \end{chunk}
 
 \defun{addArgumentConditions}{addArgumentConditions}
-\calls{addArgumentConditions}{pairp}
 \calls{addArgumentConditions}{qcar}
 \calls{addArgumentConditions}{qcdr}
 \calls{addArgumentConditions}{mkq}
@@ -12356,8 +12314,8 @@ An angry JHD - August 15th., 1984
   (fn (clist)
    (let (n untypedCondition typedCondition)
     (cond
-     ((and (pairp clist) (pairp (qcar clist)) (pairp (qcdr (qcar clist)))
-           (pairp (qcdr (qcdr (qcar clist))))
+     ((and (consp clist) (consp (qcar clist)) (consp (qcdr (qcar clist)))
+           (consp (qcdr (qcdr (qcar clist))))
            (eq (qcdr (qcdr (qcdr (qcar clist)))) nil))
       (setq n (qcar (qcar clist)))
       (setq untypedCondition (qcar (qcdr (qcar clist))))
@@ -12402,7 +12360,6 @@ An angry JHD - August 15th., 1984
 \end{chunk}
 
 \defun{stripOffSubdomainConditions}{stripOffSubdomainConditions}
-\calls{stripOffSubdomainConditions}{pairp}
 \calls{stripOffSubdomainConditions}{qcar}
 \calls{stripOffSubdomainConditions}{qcdr}
 \calls{stripOffSubdomainConditions}{assoc}
@@ -12417,8 +12374,8 @@ An angry JHD - August 15th., 1984
    do (incf i)
    collect 
     (cond
-     ((and (pairp x) (eq (qcar x) '|SubDomain|) (pairp (qcdr x))
-           (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+     ((and (consp x) (eq (qcar x) '|SubDomain|) (consp (qcdr x))
+           (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
        (cond
         ((setq pair (|assoc| i |$argumentConditionList|))
           (rplac (cadr pair) (mkpf (list (third x) (cadr pair)) 'and))
@@ -12432,7 +12389,6 @@ An angry JHD - August 15th., 1984
 \end{chunk}
 
 \defun{stripOffArgumentConditions}{stripOffArgumentConditions}
-\calls{stripOffArgumentConditions}{pairp}
 \calls{stripOffArgumentConditions}{qcar}
 \calls{stripOffArgumentConditions}{qcdr}
 \calls{stripOffArgumentConditions}{msubst}
@@ -12446,8 +12402,8 @@ An angry JHD - August 15th., 1984
    do (incf i)
    collect
     (cond
-     ((and (pairp x) (eq (qcar x) '|\||) (pairp (qcdr x))
-           (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+     ((and (consp x) (eq (qcar x) '|\||) (consp (qcdr x))
+           (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
        (setq condition (msubst '|#1| (second x) (third x)))
        (setq |$argumentConditionList|
         (cons (list i (second x) condition) |$argumentConditionList|))
@@ -12465,7 +12421,6 @@ is still more than one complain else return the only signature.
 \calls{getSignature}{remdup}
 \calls{getSignature}{knownInfo}
 \calls{getSignature}{getmode}
-\calls{getSignature}{pairp}
 \calls{getSignature}{qcar}
 \calls{getSignature}{qcdr}
 \calls{getSignature}{say}
@@ -12493,7 +12448,7 @@ is still more than one complain else return the only signature.
      (cond
       ((progn
         (setq tmp1 (setq u (|getmode| op |$e|)))
-        (and (pairp tmp1) (eq (qcar tmp1) '|Mapping|)))
+        (and (consp tmp1) (eq (qcar tmp1) '|Mapping|)))
        (qcdr tmp1))
       (t
        (say "************* USER ERROR **********")
@@ -12636,8 +12591,8 @@ is still more than one complain else return the only signature.
  (setq anOp (third form))
  (setq aDomain (second form))
  (cond
-  ((null (and (pairp form) (eq (qcar form) '|elt|)
-              (pairp (qcdr form)) (pairp (qcdr (qcdr form)))
+  ((null (and (consp form) (eq (qcar form) '|elt|)
+              (consp (qcdr form)) (consp (qcdr (qcdr form)))
               (eq (qcdr (qcdr (qcdr form))) nil)))
    (|compForm| form mode env))
   ((eq aDomain '|Lisp|)
@@ -12669,7 +12624,7 @@ is still more than one complain else return the only signature.
     (setq pred (caadr modemap))
     (setq val (cadadr modemap))
     (unless (and (nequal (|#| sig) 2)
-                 (null (and (pairp val) (eq (qcar val) '|elt|))))
+                 (null (and (consp val) (eq (qcar val) '|elt|))))
        (setq val (|genDeltaEntry| (cons (|opOf| anOp) modemap)))
        (|convert| (list (list '|call| val) (second sig) env) mode))))
   (t
@@ -12742,7 +12697,6 @@ is still more than one complain else return the only signature.
 \calls{compHasFormat}{length}
 \calls{compHasFormat}{sublislis}
 \calls{compHasFormat}{comp}
-\calls{compHasFormat}{pairp}
 \calls{compHasFormat}{qcar}
 \calls{compHasFormat}{qcdr}
 \calls{compHasFormat}{mkList}
@@ -12769,11 +12723,11 @@ is still more than one complain else return the only signature.
    (setq a (car tmp1))
    (setq a (sublislis formals argl a))
    (cond
-    ((and (pairp b) (eq (qcar b) 'attribute) (pairp (qcdr b))
+    ((and (consp b) (eq (qcar b) 'attribute) (consp (qcdr b))
           (eq (qcdr (qcdr b)) nil))
       (list '|HasAttribute| a (list 'quote (qcar (qcdr b)))))
-    ((and (pairp b) (eq (qcar b) 'signature) (pairp (qcdr b))
-          (pairp (qcdr (qcdr b))) (EQ (QCDR (qcdr (qcdr b))) NIL))
+    ((and (consp b) (eq (qcar b) 'signature) (consp (qcdr b))
+          (consp (qcdr (qcdr b))) (EQ (QCDR (qcdr (qcdr b))) NIL))
        (list '|HasSignature| a
          (|mkList|
           (list (MKQ (qcar (qcdr b)))
@@ -12856,7 +12810,6 @@ is still more than one complain else return the only signature.
 
 \defun{canReturn}{canReturn}
 \calls{canReturn}{say}
-\calls{canReturn}{pairp}
 \calls{canReturn}{qcar}
 \calls{canReturn}{qcdr}
 \calls{canReturn}{canReturn}
@@ -12867,11 +12820,11 @@ is still more than one complain else return the only signature.
   (findThrow (gs expr level exitCount ValueFlag)
    (cond
     ((atom expr) nil)
-    ((and (pairp expr) (eq (qcar expr) 'throw) (pairp (qcdr expr))
-          (equal (qcar (qcdr expr)) gs) (pairp (qcdr (qcdr expr)))
+    ((and (consp expr) (eq (qcar expr) 'throw) (consp (qcdr expr))
+          (equal (qcar (qcdr expr)) gs) (consp (qcdr (qcdr expr)))
           (eq (qcdr (qcdr (qcdr expr))) nil))
       t)
-    ((and (pairp expr) (eq (qcar expr) 'seq))
+    ((and (consp expr) (eq (qcar expr) 'seq))
      (let (result)
        (loop for u in (qcdr expr)
         do (setq result 
@@ -12891,7 +12844,7 @@ is still more than one complain else return the only signature.
    ((eq (setq op (car expr)) 'quote) (and ValueFlag (equal level exitCount)))
    ((eq op '|TAGGEDexit|)
     (cond
-     ((and (pairp expr) (pairp (qcdr expr)) (pairp (qcdr (qcdr expr)))
+     ((and (consp expr) (consp (qcdr expr)) (consp (qcdr (qcdr expr)))
            (eq (qcdr (qcdr (qcdr expr))) nil))
        (|canReturn| (car (third expr)) level (second expr)
                     (equal (second expr) level)))))
@@ -12930,8 +12883,8 @@ is still more than one complain else return the only signature.
                inner))))
           outer))))
      ((eq op 'if)
-       (and (pairp expr) (pairp (qcdr expr)) (pairp (qcdr (qcdr expr)))
-            (pairp (qcdr (qcdr (qcdr expr))))
+       (and (consp expr) (consp (qcdr expr)) (consp (qcdr (qcdr expr)))
+            (consp (qcdr (qcdr (qcdr expr))))
             (eq (qcdr (qcdr (qcdr (qcdr expr)))) nil))
         (cond
          ((null (|canReturn| (second expr) 0 0 t))
@@ -12946,8 +12899,8 @@ is still more than one complain else return the only signature.
         do (setq result
             (and result (|canReturn| u level exitCount ValueFlag))))
        result))
-     ((and (pairp op) (eq (qcar op) 'xlam) (pairp (qcdr op))
-           (pairp (qcdr (qcdr op))) (eq (qcdr (qcdr (qcdr op))) nil))
+     ((and (consp op) (eq (qcar op) 'xlam) (consp (qcdr op))
+           (consp (qcdr (qcdr op))) (eq (qcdr (qcdr (qcdr op))) nil))
        (let ((result t))
         (loop for u in expr
          do (setq result
@@ -12974,7 +12927,6 @@ is still more than one complain else return the only signature.
 \end{chunk}
 
 \defun{getSuccessEnvironment}{getSuccessEnvironment}
-\calls{getSuccessEnvironment}{pairp}
 \calls{getSuccessEnvironment}{qcar}
 \calls{getSuccessEnvironment}{qcdr}
 \calls{getSuccessEnvironment}{isDomainForm}
@@ -12993,14 +12945,14 @@ is still more than one complain else return the only signature.
  (let (id currentProplist tt newProplist x m)
   (declare (special |$EmptyMode| |$EmptyEnvironment|))
    (cond
-    ((and (pairp a) (eq (qcar a) '|has|) (PAIRP (qcdr a))
-          (pairp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil))
+    ((and (consp a) (eq (qcar a) '|has|) (CONSP (qcdr a))
+          (consp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil))
      (if
       (and (identp (second a)) (|isDomainForm| (third a) |$EmptyEnvironment|))
         (|put| (second a) '|specialCase| (third a) env)
         env))
-    ((and (pairp a) (eq (qcar a) '|is|) (pairp (qcdr a))
-          (pairp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil))
+    ((and (consp a) (eq (qcar a) '|is|) (consp (qcdr a))
+          (consp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil))
        (setq id (qcar (qcdr a)))
        (setq m (qcar (qcdr (qcdr a))))
        (cond
@@ -13015,8 +12967,8 @@ is still more than one complain else return the only signature.
                          (cons m (cdr (|removeEnv| tt)))))
              (|addBinding| id newProplist env)))
          (t env)))
-    ((and (pairp a) (eq (qcar a) '|case|) (pairp (qcdr a))
-          (pairp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil)
+    ((and (consp a) (eq (qcar a) '|case|) (consp (qcdr a))
+          (consp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil)
           (identp (qcar (qcdr a))))
       (setq x (qcar (qcdr a)))
       (setq m (qcar (qcdr (qcdr a))))
@@ -13026,7 +12978,6 @@ is still more than one complain else return the only signature.
 \end{chunk}
 
 \defun{getInverseEnvironment}{getInverseEnvironment}
-\calls{getInverseEnvironment}{pairp}
 \calls{getInverseEnvironment}{qcar}
 \calls{getInverseEnvironment}{qcdr}
 \calls{getInverseEnvironment}{identp}
@@ -13055,14 +13006,14 @@ is still more than one complain else return the only signature.
         ((and (identp x) (|isDomainForm| m |$EmptyEnvironment|))
            (|put| x '|specialCase| m env))
         (t env)))
-     ((and (pairp a) (eq (qcar a) '|case|) (pairp (qcdr a))
-           (pairp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil)
+     ((and (consp a) (eq (qcar a) '|case|) (consp (qcdr a))
+           (consp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil)
            (identp (qcar (qcdr a))))
        (setq x (qcar (qcdr a)))
        (setq m (qcar (qcdr (qcdr a))))
        (setq tmp1 (|get| x '|condition| env))
        (cond
-        ((and tmp1 (pairp tmp1) (eq (qcdr tmp1) nil) (pairp (qcar tmp1))
+        ((and tmp1 (consp tmp1) (eq (qcdr tmp1) nil) (consp (qcar tmp1))
               (eq (qcar (qcar tmp1)) 'or) (|member| a (qcdr (qcar tmp1))))
           (setq oldpred (qcdr (qcar tmp1)))
           (|put| x '|condition| (list (mkpf (|delete| a oldpred) 'or)) env))
@@ -13070,8 +13021,8 @@ is still more than one complain else return the only signature.
          (setq tmp1 (|getUnionMode| x env))
          (setq zz (|delete| m (qcdr tmp1)))
          (loop for u in zz
-          when (and (pairp u) (eq (qcar u) '|:|)
-                    (pairp (qcdr u)) (equal (qcar (qcdr u)) m))
+          when (and (consp u) (eq (qcar u) '|:|)
+                    (consp (qcdr u)) (equal (qcar (qcdr u)) m))
           do (setq zz (|delete| u zz)))
          (setq newpred 
           (mkpf (loop for mp in zz collect (list '|case| x mp)) 'or))
@@ -13099,16 +13050,16 @@ is still more than one complain else return the only signature.
 (defun |isUnionMode| (m env)
  (let (mp v tmp1)
   (cond
-   ((and (pairp m) (eq (qcar m) '|Union|)) m)
+   ((and (consp m) (eq (qcar m) '|Union|)) m)
    ((progn
      (setq tmp1 (setq mp (|getmode| m env)))
-     (and (pairp tmp1) (eq (qcar tmp1) '|Mapping|)
-          (pairp (qcdr tmp1)) (eq (qcdr (qcdr tmp1)) nil)
-          (pairp (qcar (qcdr tmp1)))
+     (and (consp tmp1) (eq (qcar tmp1) '|Mapping|)
+          (consp (qcdr tmp1)) (eq (qcdr (qcdr tmp1)) nil)
+          (consp (qcar (qcdr tmp1)))
           (eq (qcar (qcar (qcdr tmp1))) '|UnionCategory|)))
       (second mp))
    ((setq v (|get| (if (eq m '$) '|Rep| m) '|value| env))
-     (when  (and (pairp (car v)) (eq (qcar (car v)) '|Union|)) (car v))))))
+     (when  (and (consp (car v)) (eq (qcar (car v)) '|Union|)) (car v))))))
 
 \end{chunk}
 
@@ -13177,7 +13128,6 @@ is still more than one complain else return the only signature.
 \calls{compJoin}{isCategoryForm}
 \calls{compJoin}{union}
 \calls{compJoin}{compJoin,getParms}
-\calls{compJoin}{pairp}
 \calls{compJoin}{qcar}
 \calls{compJoin}{qcdr}
 \calls{compJoin}{wrapDomainSub}
@@ -13190,8 +13140,8 @@ is still more than one complain else return the only signature.
    (cond
     ((atom y)
      (when (|isDomainForm| y env) (list y)))
-    ((and (pairp y) (eq (qcar y) 'length)
-          (pairp (qcdr y)) (eq (qcdr (qcdr y)) nil))
+    ((and (consp y) (eq (qcar y) 'length)
+          (consp (qcdr y)) (eq (qcdr (qcdr y)) nil))
      (list y (second y)))
     (t (list y)))) )
  (let (argl catList pl tmp3 tmp4 tmp5 body parameters catListp td)
@@ -13217,13 +13167,13 @@ is still more than one complain else return the only signature.
                (setq tmp5 (append tmp5 (getParms y env))))
               parameters))
            x)
-          ((and (pairp x) (eq (qcar x) '|DomainSubstitutionMacro|)
-                (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
+          ((and (consp x) (eq (qcar x) '|DomainSubstitutionMacro|)
+                (consp (qcdr x)) (consp (qcdr (qcdr x)))
                 (eq (qcdr (qcdr (qcdr x))) nil))
            (setq pl (second x))
            (setq body (third x))
            (setq parameters (|union| pl parameters)) body)
-          ((and (pairp x) (eq (qcar x) '|mkCategory|))
+          ((and (consp x) (eq (qcar x) '|mkCategory|))
             x)
           ((and (atom x) (equal (|getmode| x env) |$Category|))
             x)
@@ -13268,19 +13218,19 @@ is still more than one complain else return the only signature.
   (setq vl (second form))
   (setq body (third form))
   (cond
-   ((and (pairp vl) (eq (qcar vl) '|:|)
+   ((and (consp vl) (eq (qcar vl) '|:|)
          (progn
           (setq tmp1 (qcdr vl))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (progn
                 (setq args (qcar tmp1))
                 (setq tmp2 (qcdr tmp1))
-                (and (pairp tmp2)
+                (and (consp tmp2)
                      (eq (qcdr tmp2) nil)
                      (progn
                       (setq target (qcar tmp2))
                       t))))))
-     (when (and (pairp args) (eq (qcar args) '|@Tuple|))
+     (when (and (consp args) (eq (qcar args) '|@Tuple|))
       (setq args (qcdr args)))       
      (cond
       ((listp args)
@@ -13354,13 +13304,13 @@ is still more than one complain else return the only signature.
   (setq rhs (fifth form))
   (setq prhs
    (cond
-    ((and (pairp rhs) (eq (qcar rhs) 'category))
+    ((and (consp rhs) (eq (qcar rhs) 'category))
       (list "-- the constructor category"))
-    ((and (pairp rhs) (eq (qcar rhs) '|Join|))
+    ((and (consp rhs) (eq (qcar rhs) '|Join|))
       (list "-- the constructor category"))
-    ((and (pairp rhs) (eq (qcar rhs) 'capsule))
+    ((and (consp rhs) (eq (qcar rhs) 'capsule))
       (list "-- the constructor capsule"))
-    ((and (pairp rhs) (eq (qcar rhs) '|add|))
+    ((and (consp rhs) (eq (qcar rhs) '|add|))
       (list "-- the constructor capsule"))
     (t (|formatUnabbreviated| rhs))))
   (|sayBrightly|
@@ -13732,7 +13682,6 @@ is still more than one complain else return the only signature.
 \end{chunk}
 
 \defun{replaceExitEtc}{replaceExitEtc}
-\calls{replaceExitEtc}{pairp}
 \calls{replaceExitEtc}{qcar}
 \calls{replaceExitEtc}{qcdr}
 \calls{replaceExitEtc}{rplac}
@@ -13746,9 +13695,9 @@ is still more than one complain else return the only signature.
  (declare (special |$finalEnv|))
   (cond 
    ((atom x) nil)
-   ((and (pairp x) (eq (qcar x) 'quote)) nil)
-   ((and (pairp x) (equal (qcar x) opFlag) (pairp (qcdr x))
-         (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+   ((and (consp x) (eq (qcar x) 'quote)) nil)
+   ((and (consp x) (equal (qcar x) opFlag) (consp (qcdr x))
+         (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
      (|rplac| (caaddr x) (|replaceExitEtc| (caaddr x) tag opFlag opMode))
      (cond
       ((eql (second x) 0)
@@ -13761,7 +13710,7 @@ is still more than one complain else return the only signature.
          (|rplac| (caddr x) (car (|convertOrCroak| (caddr x) opMode))))
       (t
         (|rplac| (cadr x) (1- (cadr x))))))
-   ((and (pairp x) (pairp (qcdr x)) (pairp (qcdr (qcdr x)))
+   ((and (consp x) (consp (qcdr x)) (consp (qcdr (qcdr x)))
          (eq (qcdr (qcdr (qcdr x))) nil)
          (member (qcar x) '(|TAGGEDreturn| |TAGGEDexit|)))
      (|rplac| (car (caddr x))
@@ -13834,13 +13783,13 @@ is still more than one complain else return the only signature.
  (declare (special |$EmptyMode|))
  (cond
   ((identp form) (|setqSingle| form val mode env))
-  ((and (pairp form) (eq (qcar form) '|:|) (pairp (qcdr form))
-        (pairp (qcdr (qcdr form))) (eq (qcdr (qcdr (qcdr form))) nil))
+  ((and (consp form) (eq (qcar form) '|:|) (consp (qcdr form))
+        (consp (qcdr (qcdr form))) (eq (qcdr (qcdr (qcdr form))) nil))
     (setq x (second form))
     (setq y (third form))
     (setq ep (third (|compMakeDeclaration| form |$EmptyMode| env)))
     (|compSetq| (list 'let x val) mode ep))
-  ((pairp form)
+  ((consp form)
     (setq op (qcar form))
     (setq z (qcdr form))
     (cond
@@ -13856,15 +13805,14 @@ is still more than one complain else return the only signature.
 (defun |uncons| (x)
   (cond
    ((atom x) x)
-   ((and (pairp x) (eq (qcar x) 'cons)  (pairp (qcdr x))
-         (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+   ((and (consp x) (eq (qcar x) 'cons)  (consp (qcdr x))
+         (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
       (cons (second x) (|uncons| (third x))))))
 
 \end{chunk}
 
 \defun{setqMultiple}{setqMultiple}
 \calls{setqMultiple}{nreverse0}
-\calls{setqMultiple}{pairp}
 \calls{setqMultiple}{qcar}
 \calls{setqMultiple}{qcdr}
 \calls{setqMultiple}{stackMessage}
@@ -13888,24 +13836,24 @@ is still more than one complain else return the only signature.
    (let (tmp1 z)
    (declare (special |$EmptyMode|))
     (cond
-     ((and (pairp tt) (eq (qcar tt) '|Record|)
+     ((and (consp tt) (eq (qcar tt) '|Record|)
            (progn (setq z (qcdr tt)) t))
       (loop for item in z
        collect (cons (second item) (third item))))
      ((progn
        (setq tmp1 (|comp| tt |$EmptyMode| env))
-       (and (pairp tmp1) (PAIRP (qcdr tmp1)) (PAIRP (qcar (qcdr tmp1)))
+       (and (consp tmp1) (CONSP (qcdr tmp1)) (CONSP (qcar (qcdr tmp1)))
             (eq (qcar (qcar (qcdr tmp1))) '|RecordCategory|)
-            (pairp (qcdr (qcdr tmp1))) (eq (qcdr (qcdr (qcdr tmp1))) nil)))
+            (consp (qcdr (qcdr tmp1))) (eq (qcdr (qcdr (qcdr tmp1))) nil)))
       (loop for item in z
        collect (cons (second item) (third item))))
      (t (|stackMessage| (list '|no multiple assigns to mode: | tt)))))))
  (let (g m1 tt x mp selectorModePairs tmp2 assignList)
  (declare (special |$noEnv| |$EmptyMode| |$NoValueMode|))
   (cond
-   ((and (pairp val) (eq (qcar val) 'cons) (equal m |$NoValueMode|))
+   ((and (consp val) (eq (qcar val) 'cons) (equal m |$NoValueMode|))
      (|setqMultipleExplicit| nameList (|uncons| val) m env))
-   ((and (pairp val) (eq (qcar val) '|@Tuple|) (equal m |$NoValueMode|))
+   ((and (consp val) (eq (qcar val) '|@Tuple|) (equal m |$NoValueMode|))
      (|setqMultipleExplicit| nameList (qcdr val) m env))
    ; 1 create a gensym, %add to local environment, compile and assign rhs
    (t 
@@ -13923,7 +13871,7 @@ is still more than one complain else return the only signature.
        (setq mp (second tmp2))
        (setq env (third tmp2))
        (cond
-        ((and (pairp m1) (eq (qcar m1) '|List|) (pairp (qcdr m1))
+        ((and (consp m1) (eq (qcar m1) '|List|) (consp (qcdr m1))
               (eq (qcdr (qcdr m1)) nil))
          (loop for y in nameList do
           (setq env 
@@ -14081,7 +14029,7 @@ is still more than one complain else return the only signature.
     (setq newProplist
      (|consProplistOf| form currentProplist '|value|
       (|removeEnv| (cons val (cdr td)))))
-    (setq ep (if (pairp form) ep (|addBinding| form newProplist ep)))
+    (setq ep (if (consp form) ep (|addBinding| form newProplist ep)))
     (when (|isDomainForm| val ep)
      (when (|isDomainInScope| form ep)
       (|stackWarning|
@@ -14119,7 +14067,6 @@ is still more than one complain else return the only signature.
 
 \defun{outputComp}{outputComp}
 \calls{outputComp}{comp}
-\calls{outputComp}{pairp}
 \calls{outputComp}{qcar}
 \calls{outputComp}{qcdr}
 \calls{outputComp}{nreverse0}
@@ -14132,7 +14079,7 @@ is still more than one complain else return the only signature.
  (declare (special |$Expression|))
   (cond
    ((|comp| (list '|::| x |$Expression|) |$Expression| env))
-   ((and (pairp x) (eq (qcar x) '|construct|))
+   ((and (consp x) (eq (qcar x) '|construct|))
      (setq argl (qcdr x))
      (list (cons 'list
       (let (result tmp1)
@@ -14147,7 +14094,7 @@ is still more than one complain else return the only signature.
          (nreverse0 result)))
         |$Expression| env))
      ((and (setq v (|get| x '|value| env))
-           (pairp (cadr v)) (eq (qcar (cadr v)) '|Union|))
+           (consp (cadr v)) (eq (qcar (cadr v)) '|Union|))
         (list (list '|coerceUn2E| x (cadr v)) |$Expression| env))
      (t (list x |$Expression| env)))))
 
@@ -14167,7 +14114,6 @@ is still more than one complain else return the only signature.
 
 \defun{isDomainForm}{isDomainForm}
 \calls{isDomainForm}{kar}
-\calls{isDomainForm}{pairp}
 \calls{isDomainForm}{qcar}
 \calls{isDomainForm}{qcdr}
 \calls{isDomainForm}{isFunctor}
@@ -14181,7 +14127,7 @@ is still more than one complain else return the only signature.
   (or (member (kar d) |$SpecialDomainNames|) (|isFunctor| d)
       (and (progn
             (setq tmp1 (|getmode| d env))
-            (and (pairp tmp1) (eq (qcar tmp1) '|Mapping|) (pairp (qcdr tmp1))))
+            (and (consp tmp1) (eq (qcar tmp1) '|Mapping|) (consp (qcdr tmp1))))
            (|isCategoryForm| (qcar (qcdr tmp1)) env))
     (|isCategoryForm| (|getmode| d env) env)
     (|isDomainConstructorForm| d env))))
@@ -14189,7 +14135,6 @@ is still more than one complain else return the only signature.
 \end{chunk}
 
 \defun{isDomainConstructorForm}{isDomainConstructorForm}
-\calls{isDomainConstructorForm}{pairp}
 \calls{isDomainConstructorForm}{qcar}
 \calls{isDomainConstructorForm}{qcdr}
 \calls{isDomainConstructorForm}{isCategoryForm}
@@ -14200,13 +14145,13 @@ is still more than one complain else return the only signature.
  (let (u)
  (declare (special |$FormalMapVariableList|))
   (when
-   (and (pairp d)
+   (and (consp d)
         (setq u (|get| (qcar d) '|value| env))
-        (pairp u)
-        (pairp (qcdr u))
-        (pairp (qcar (qcdr u)))
+        (consp u)
+        (consp (qcdr u))
+        (consp (qcar (qcdr u)))
         (eq (qcar (qcar (qcdr u))) '|Mapping|)
-        (pairp (qcdr (qcar (qcdr u)))))
+        (consp (qcdr (qcar (qcdr u)))))
     (|isCategoryForm| 
      (eqsubstlist (rest d) |$FormalMapVariableList| (cadadr u)) env))))
 
@@ -14536,8 +14481,8 @@ of basic objects may not be the same.
   (cond
    ((or (|isSubset| m mp env) (and (eq m '|Rep|) (eq mp '$)))
      (list x mp env))
-   ((and (pairp m) (eq (qcar m) '|SubDomain|)
-         (pairp (qcdr m)) (equal (qcar (qcdr m)) mp))
+   ((and (consp m) (eq (qcar m) '|SubDomain|)
+         (consp (qcdr m)) (equal (qcar (qcdr m)) mp))
      (list x mp env))
    ((and (setq pred (lassoc (|opOf| mp) (|get| (|opOf| m) '|SubDomain| env)))
           (integerp x) (|eval| (msubst x '|#1| pred)))
@@ -14572,25 +14517,25 @@ of basic objects may not be the same.
    ((or (|modeEqual| mp m)
         (and (or (progn
                   (setq tmp1 (|get| mp '|value| |$e|))
-                  (and (pairp tmp1)
+                  (and (consp tmp1)
                   (progn (setq mpp (qcar tmp1)) t)))
                  (progn
                    (setq tmp1 (|getmode| mp |$e|))
-                   (and (pairp tmp1)
+                   (and (consp tmp1)
                         (eq (qcar tmp1) '|Mapping|)
-                        (and (pairp (qcdr tmp1))
+                        (and (consp (qcdr tmp1))
                              (eq (qcdr (qcdr tmp1)) nil)
                              (progn (setq mpp (qcar (qcdr tmp1))) t)))))
               (|modeEqual| mpp m))
         (and (or (progn
                   (setq tmp1 (|get| m '|value| |$e|))
-                  (and (pairp tmp1)
+                  (and (consp tmp1)
                   (progn (setq mpp (qcar tmp1)) t)))
                  (progn
                   (setq tmp1 (|getmode| m |$e|))
-                  (and (pairp tmp1)
+                  (and (consp tmp1)
                        (eq (qcar tmp1) '|Mapping|)
-                       (and (pairp (qcdr tmp1))
+                       (and (consp (qcdr tmp1))
                             (eq (qcdr (qcdr tmp1)) nil)
                             (progn (setq mpp (qcar (qcdr tmp1))) t)))))
                (|modeEqual| mpp mp)))
@@ -14611,7 +14556,6 @@ of basic objects may not be the same.
 \defun{coerceExtraHard}{coerceExtraHard}
 \calls{coerceExtraHard}{autoCoerceByModemap}
 \calls{coerceExtraHard}{isUnionMode}
-\calls{coerceExtraHard}{pairp}
 \calls{coerceExtraHard}{qcar}
 \calls{coerceExtraHard}{qcdr}
 \calls{coerceExtraHard}{hasType}
@@ -14630,7 +14574,7 @@ of basic objects may not be the same.
    ((setq tp (|autoCoerceByModemap| tt m)) tp)
    ((and (progn
           (setq tmp1 (|isUnionMode| mp e))
-          (and (pairp tmp1) (eq (qcar tmp1) '|Union|)
+          (and (consp tmp1) (eq (qcar tmp1) '|Union|)
           (progn 
            (setq z (qcdr tmp1)) t)))
            (setq ta (|hasType| x e))
@@ -14638,7 +14582,7 @@ of basic objects may not be the same.
            (setq tp (|autoCoerceByModemap| tt ta))
            (setq tpp (|coerce| tp m)))
        tpp)
-   ((and (pairp mp) (eq (qcar mp) '|Record|) (equal m |$Expression|))
+   ((and (consp mp) (eq (qcar mp) '|Record|) (equal m |$Expression|))
      (list (list '|coerceRe2E| x (list 'elt (copy mp) 0)) m e))
    (t nil))))
 
@@ -14652,8 +14596,8 @@ of basic objects may not be the same.
   (fn (x)
    (cond
     ((null x) nil)
-    ((and (pairp x) (pairp (qcar x)) (eq (qcar (qcar x)) '|case|)
-          (pairp (qcdr (qcar x))) (pairp (qcdr (qcdr (qcar x))))
+    ((and (consp x) (consp (qcar x)) (eq (qcar (qcar x)) '|case|)
+          (consp (qcdr (qcar x))) (consp (qcdr (qcdr (qcar x))))
           (eq (qcdr (qcdr (qcdr (qcar x)))) nil))
        (qcar (qcdr (qcdr (qcar x)))))
     (t (fn (cdr x))))))
@@ -14739,9 +14683,9 @@ of basic objects may not be the same.
   (cond
    ((setq td (|compCoerce1| newform newmode env))
     (|coerce| td mode))
-   ((and (pairp tmp1) (eq (qcar tmp1) '|Mapping|)
-         (pairp (qcdr tmp1)) (eq (qcdr (qcdr tmp1)) nil)
-         (pairp (qcar (qcdr tmp1)))
+   ((and (consp tmp1) (eq (qcar tmp1) '|Mapping|)
+         (consp (qcdr tmp1)) (eq (qcdr (qcdr tmp1)) nil)
+         (consp (qcar (qcdr tmp1)))
          (eq (qcar (qcar (qcdr tmp1))) '|UnionCategory|))
     (setq z (qcdr (qcar (qcdr tmp1))))
     (when
@@ -14782,7 +14726,6 @@ of basic objects may not be the same.
 \end{chunk}
 
 \defun{coerceByModemap}{coerceByModemap}
-\calls{coerceByModemap}{pairp}
 \calls{coerceByModemap}{qcar}
 \calls{coerceByModemap}{qcdr}
 \calls{coerceByModemap}{modeEqual}
@@ -14800,8 +14743,8 @@ of basic objects may not be the same.
       (setq map (first modemap))
       (setq cexpr (second modemap))
     when
-      (and (pairp map) (pairp (qcdr map))
-           (pairp (qcdr (qcdr map)))
+      (and (consp map) (consp (qcdr map))
+           (consp (qcdr (qcdr map)))
            (eq (qcdr (qcdr (qcdr map))) nil)
            (or (|modeEqual| (second map) mp) (|isSubset| (second map) mp env))
            (or (|modeEqual| (third map) m) (|isSubset| m (third map) env)))
@@ -14814,7 +14757,6 @@ of basic objects may not be the same.
 \end{chunk}
 
 \defun{autoCoerceByModemap}{autoCoerceByModemap}
-\calls{autoCoerceByModemap}{pairp}
 \calls{autoCoerceByModemap}{qcar}
 \calls{autoCoerceByModemap}{qcdr}
 \calls{autoCoerceByModemap}{getModemapList}
@@ -14836,7 +14778,7 @@ of basic objects may not be the same.
      (setq map (first modemap))
      (setq cexpr (second modemap))
     when
-     (and (pairp map) (pairp (qcdr map)) (pairp (qcdr (qcdr map)))
+     (and (consp map) (consp (qcdr map)) (consp (qcdr (qcdr map)))
                      (eq (qcdr (qcdr (qcdr map))) nil)
                      (|modeEqual| (second map) target)
                      (|modeEqual| (third map) source))
@@ -14850,7 +14792,7 @@ of basic objects may not be the same.
      result))
     (when fn
     (cond
-     ((and (pairp source) (eq (qcar source) '|Union|)
+     ((and (consp source) (eq (qcar source) '|Union|)
            (|member| target (qcdr source)))
        (cond
         ((and (setq y (|get| x '|condition| e))
@@ -14858,8 +14800,8 @@ of basic objects may not be the same.
                (loop for u in y do
                  (setq result
                    (or result
-                    (and (pairp u) (eq (qcar u) '|case|) (pairp (qcdr u))
-                         (pairp (qcdr (qcdr u)))
+                    (and (consp u) (eq (qcar u) '|case|) (consp (qcdr u))
+                         (consp (qcdr (qcdr u)))
                          (eq (qcdr (qcdr (qcdr u))) nil)
                          (equal (qcar (qcdr (qcdr u))) target)))))
                result))
@@ -14897,7 +14839,6 @@ of basic objects may not be the same.
 \end{chunk}
 
 \defun{mkUnion}{mkUnion}
-\calls{mkUnion}{pairp}
 \calls{mkUnion}{qcar}
 \calls{mkUnion}{qcdr}
 \calls{mkUnion}{union}
@@ -14906,14 +14847,14 @@ of basic objects may not be the same.
 (defun |mkUnion| (a b)
  (declare (special |$Rep|))
   (cond
-   ((and (eq b '$) (pairp |$Rep|) (eq (qcar |$Rep|) '|Union|))
+   ((and (eq b '$) (consp |$Rep|) (eq (qcar |$Rep|) '|Union|))
      (qcdr |$Rep|))
-   ((and (pairp a) (eq (qcar a) '|Union|))
+   ((and (consp a) (eq (qcar a) '|Union|))
      (cond
-      ((and (pairp b) (eq (qcar b) '|Union|))
+      ((and (consp b) (eq (qcar b) '|Union|))
         (cons '|Union| (|union| (qcdr a) (qcdr b))))
       (t (cons '|Union| (|union| (list b) (qcdr a))))))
-   ((and (pairp b) (eq (qcar b) '|Union|))
+   ((and (consp b) (eq (qcar b) '|Union|))
      (cons '|Union| (|union| (list a) (qcdr b))))
    (t (list '|Union| a b))))
 
@@ -14927,7 +14868,7 @@ This orders Unions
   (cond
    ((or (atom x) (atom y)) (equal x y))
    ((nequal (|#| x) (|#| y)) nil)
-   ((and (pairp x) (eq (qcar x) '|Union|) (pairp y) (eq (qcar y) '|Union|))
+   ((and (consp x) (eq (qcar x) '|Union|) (consp y) (eq (qcar y) '|Union|))
     (setq xl (qcdr x))
     (setq yl (qcdr y))
     (loop for a in xl do
@@ -14957,7 +14898,7 @@ This orders Unions
    ((atom m1)
     (when (setq mp (car (|get| m1 '|value| env))) 
      (|modeEqual| mp m)))
-   ((and (pairp m1) (pairp m) (equal (qcar m) (qcar m1))
+   ((and (consp m1) (consp m) (equal (qcar m) (qcar m1))
          (equal (|#| (qcdr m1)) (|#| (qcdr m))))
       (setq op (qcar m1))
       (setq z1 (qcdr m1))
@@ -15006,23 +14947,23 @@ This orders Unions
   (setq x y)
   (setq u (|postTran| x))
   (when
-   (and (pairp u) (eq (qcar u) '|@Tuple|)
+   (and (consp u) (eq (qcar u) '|@Tuple|)
         (progn
          (setq tmp1 (qcdr u))
-         (and (pairp tmp1)
+         (and (consp tmp1)
               (progn (setq tmp2 (reverse tmp1)) t)
-              (pairp tmp2)
+              (consp tmp2)
               (progn
                (setq tmp3 (qcar tmp2))
-               (and (pairp tmp3)
+               (and (consp tmp3)
                     (eq (qcar tmp3) '|:|)
                     (progn
                      (setq tmp4 (qcdr tmp3))
-                     (and (pairp tmp4)
+                     (and (consp tmp4)
                           (progn
                            (setq y (qcar tmp4))
                            (setq tmp5 (qcdr tmp4))
-                           (and (pairp tmp5)
+                           (and (consp tmp5)
                                 (eq (qcdr tmp5) nil)
                                 (progn (setq tt (qcar tmp5)) t)))))))
                         (progn (setq l (qcdr tmp2)) t)
@@ -15037,7 +14978,6 @@ This orders Unions
 \defun{postTran}{postTran}
 \calls{postTran}{postAtom}
 \calls{postTran}{postTran}
-\calls{postTran}{pairp}
 \calls{postTran}{qcar}
 \calls{postTran}{qcdr}
 \calls{postTran}{unTuple}
@@ -15055,18 +14995,18 @@ This orders Unions
     (cond
      ((and (atom op) (setq f (getl op '|postTran|)))
       (funcall f x))
-     ((and (pairp op) (eq (qcar op) '|elt|)
+     ((and (consp op) (eq (qcar op) '|elt|)
            (progn
             (setq tmp1 (qcdr op))
-            (and (pairp tmp1)
+            (and (consp tmp1)
                  (progn
                    (setq a (qcar tmp1))
                    (setq tmp2 (qcdr tmp1))
-                   (and (pairp tmp2)
+                   (and (consp tmp2)
                         (eq (qcdr tmp2) nil)
                         (progn (setq b (qcar tmp2)) t))))))
       (cons (|postTran| op) (cdr (|postTran| (cons b (cdr x))))))
-     ((and (pairp op) (eq (qcar op) '|Scripts|))
+     ((and (consp op) (eq (qcar op) '|Scripts|))
       (|postScriptsForm| op
        (dolist (y (rest x) tmp3)
         (setq tmp3 (append tmp3 (|unTuple| (|postTran| y)))))))
@@ -15131,20 +15071,20 @@ This orders Unions
 (defun |postTranScripts| (a)
  (labels (
   (fn (x) 
-   (if (and (pairp x) (eq (qcar x) '|@Tuple|))
+   (if (and (consp x) (eq (qcar x) '|@Tuple|))
     (qcdr x)
     (list x))))
  (let (tmp1 tmp2 tmp3)
   (cond
-   ((and (pairp a) (eq (qcar a) '|PrefixSC|)
+   ((and (consp a) (eq (qcar a) '|PrefixSC|)
          (progn
           (setq tmp1 (qcdr a))
-          (and (pairp tmp1) (eq (qcdr tmp1) nil))))
+          (and (consp tmp1) (eq (qcdr tmp1) nil))))
      (|postTranScripts| (qcar tmp1)))
-   ((and (pairp a) (eq (qcar a) '|;|))
+   ((and (consp a) (eq (qcar a) '|;|))
     (dolist (y (qcdr a) tmp2)
      (setq tmp2 (append tmp2 (|postTranScripts| y)))))
-   ((and (pairp a) (eq (qcar a) '|,|))
+   ((and (consp a) (eq (qcar a) '|,|))
     (dolist (y (qcdr a) tmp3)
      (setq tmp3 (append tmp3 (fn (|postTran| y))))))
    (t (list (|postTran| a)))))))
@@ -15170,10 +15110,10 @@ This orders Unions
 (defun |postcheck| (x)
  (cond
   ((atom x) nil)
-  ((and (pairp x) (eq (qcar x) 'def) (pairp (qcdr x)))
+  ((and (consp x) (eq (qcar x) 'def) (consp (qcdr x)))
    (|setDefOp|  (qcar (qcdr x)))
    (|postcheck| (qcdr (qcdr x))))
-  ((and (pairp x) (eq (qcar x) 'quote)) nil)
+  ((and (consp x) (eq (qcar x) 'quote)) nil)
   (t (|postcheck| (car x)) (|postcheck| (cdr x)))))
 
 \end{chunk}
@@ -15223,18 +15163,18 @@ This orders Unions
           (when (or (getl op '|Led|)  (getl op '|Nud|) (eq op 'in)) (exit op))
           (setq numOfArgs
            (cond
-            ((and (pairp arglp) (eq (qcdr arglp) nil) (pairp (qcar arglp)) 
+            ((and (consp arglp) (eq (qcdr arglp) nil) (consp (qcar arglp)) 
                   (eq (qcar (qcar arglp)) '|@Tuple|))
               (|#| (qcdr (qcar arglp))))
             (t 1)))
           (internl '* (princ-to-string numOfArgs) (pname op))))
        (cons opp arglp))
-     ((and (pairp op) (eq (qcar op) '|Scripts|))
+     ((and (consp op) (eq (qcar op) '|Scripts|))
        (append (|postTran| op) (|postTranList| argl)))
      (t
       (setq u (|postTranList| u))
       (cond
-       ((and (pairp u) (pairp (qcar u)) (eq (qcar (qcar u)) '|@Tuple|))
+       ((and (consp u) (consp (qcar u)) (eq (qcar (qcar u)) '|@Tuple|))
          (|postError|
           (cons "  "
            (append (|bright| u)
@@ -15242,8 +15182,8 @@ This orders Unions
                   "   Did you misuse infix dot?"))))))
        u)))
    (cond
-    ((and (pairp x) (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil)
-          (pairp (qcar (qcdr x))) (eq (qcar (qcar (qcdr x))) '|@Tuple|))
+    ((and (consp x) (consp (qcdr x)) (eq (qcdr (qcdr x)) nil)
+          (consp (qcar (qcdr x))) (eq (qcar (qcar (qcdr x))) '|@Tuple|))
      (cons (car x) (qcdr (qcar (qcdr x)))))
     (t x)))))
 
@@ -15319,7 +15259,7 @@ of the symbol being parsed. The original list read:
 (defun |postCapsule| (x)
  (let (op)
   (cond
-   ((null (and (pairp x) (progn (setq op (qcar x)) t)))
+   ((null (and (consp x) (progn (setq op (qcar x)) t)))
      (|checkWarning| (list "Apparent indentation error following add")))
    ((or (integerp op) (eq op '==))
      (list 'capsule (|postBlockItem| x)))
@@ -15348,18 +15288,18 @@ of the symbol being parsed. The original list read:
  (let ((tmp1 t) tmp2 y tt z)
   (setq x (|postTran| x))
   (if
-   (and (pairp x) (eq (qcar x) '|@Tuple|)
+   (and (consp x) (eq (qcar x) '|@Tuple|)
      (progn
-       (and (pairp (qcdr x))
+       (and (consp (qcdr x))
             (progn (setq tmp2 (reverse (qcdr x))) t)
-            (pairp tmp2)
+            (consp tmp2)
             (progn 
-             (and (pairp (qcar tmp2)) (eq (qcar (qcar tmp2)) '|:|)
+             (and (consp (qcar tmp2)) (eq (qcar (qcar tmp2)) '|:|)
              (progn 
-              (and (pairp (qcdr (qcar tmp2)))
+              (and (consp (qcdr (qcar tmp2)))
                    (progn
                     (setq y (qcar (qcdr (qcar tmp2))))
-                    (and (pairp (qcdr (qcdr (qcar tmp2))))
+                    (and (consp (qcdr (qcdr (qcar tmp2))))
                          (eq (qcdr (qcdr (qcdr (qcar tmp2)))) nil)
                     (progn (setq tt (qcar (qcdr (qcdr (qcar tmp2))))) t)))))))
             (progn (setq z (qcdr tmp2)) t)
@@ -15396,8 +15336,8 @@ of the symbol being parsed. The original list read:
 (defun |postType| (typ)
  (let (source target)
   (cond
-   ((and (pairp typ) (eq (qcar typ) '->) (pairp (qcdr typ))
-         (pairp (qcdr (qcdr typ))) (eq (qcdr (qcdr (qcdr typ))) nil))
+   ((and (consp typ) (eq (qcar typ) '->) (consp (qcdr typ))
+         (consp (qcdr (qcdr typ))) (eq (qcdr (qcdr (qcdr typ))) nil))
      (setq source (qcar (qcdr typ)))
      (setq target (qcar (qcdr (qcdr typ))))
      (cond
@@ -15407,8 +15347,8 @@ of the symbol being parsed. The original list read:
         (list (cons '|Mapping|
                 (cons (|postTran| target)
                       (|unTuple| (|postTran| source))))))))
-   ((and (pairp typ) (eq (qcar typ) '->)
-         (pairp (qcdr typ)) (eq (qcdr (qcdr typ)) nil))
+   ((and (consp typ) (eq (qcar typ) '->)
+         (consp (qcdr typ)) (eq (qcdr (qcdr typ)) nil))
       (list (list '|Mapping| (|postTran| (qcar (qcdr typ))))))
    (t (list (|postTran| typ))))))
 
@@ -15501,19 +15441,19 @@ of the symbol being parsed. The original list read:
 (defun |postCollect,finish| (op itl y)
  (let (tmp2 tmp5 newBody)
   (cond
-   ((and (pairp y) (eq (qcar y) '|:|)
-         (pairp (qcdr y)) (eq (qcdr (qcdr y)) nil))
+   ((and (consp y) (eq (qcar y) '|:|)
+         (consp (qcdr y)) (eq (qcdr (qcdr y)) nil))
     (list 'reduce '|append| 0 (cons op (append itl (list (qcar (qcdr y)))))))
-   ((and (pairp y) (eq (qcar y) '|Tuple|))
+   ((and (consp y) (eq (qcar y) '|Tuple|))
     (setq newBody
      (cond
       ((dolist (x (qcdr y) tmp2)
         (setq tmp2
-         (or tmp2 (and (pairp x) (eq (qcar x) '|:|)
-                       (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil)))))
+         (or tmp2 (and (consp x) (eq (qcar x) '|:|)
+                       (consp (qcdr x)) (eq (qcdr (qcdr x)) nil)))))
        (|postMakeCons| (qcdr y)))
       ((dolist (x (qcdr y) tmp5)
-         (setq tmp5 (or tmp5 (and (pairp x) (eq (qcar x) 'segment)))))
+         (setq tmp5 (or tmp5 (and (consp x) (eq (qcar x) 'segment)))))
         (|tuple2List| (qcdr y)))
       (t (cons '|construct| (|postTranList| (qcdr y))))))
      (list 'reduce '|append| 0 (cons op (append itl (list newBody)))))
@@ -15529,8 +15469,8 @@ of the symbol being parsed. The original list read:
  (let (a b)
   (cond
    ((null args) '|nil|)
-   ((and (pairp args) (pairp (qcar args)) (eq (qcar (qcar args)) '|:|)
-         (pairp (qcdr (qcar args))) (eq (qcdr (qcdr (qcar args))) nil))
+   ((and (consp args) (consp (qcar args)) (eq (qcar (qcar args)) '|:|)
+         (consp (qcdr (qcar args))) (eq (qcdr (qcdr (qcar args))) nil))
      (setq a (qcar (qcdr (qcar args))))
      (setq b (qcdr args))
      (if b 
@@ -15560,8 +15500,8 @@ of the symbol being parsed. The original list read:
   (setq x (car tmp3))
   (setq m (nreverse (cdr tmp3)))
   (cond
-   ((and (pairp x) (pairp (qcar x)) (eq (qcar (qcar x)) '|elt|)
-         (pairp (qcdr (qcar x))) (pairp (qcdr (qcdr (qcar x))))
+   ((and (consp x) (consp (qcar x)) (eq (qcar (qcar x)) '|elt|)
+         (consp (qcdr (qcar x))) (consp (qcdr (qcdr (qcar x))))
          (eq (qcdr (qcdr (qcdr (qcar x)))) nil)
          (eq (qcar (qcdr (qcdr (qcar x)))) '|construct|))
     (|postCollect|
@@ -15570,8 +15510,8 @@ of the symbol being parsed. The original list read:
    (t
     (setq itl (|postIteratorList| m))
     (setq x
-     (if (and (pairp x) (eq (qcar x) '|construct|)
-              (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil))
+     (if (and (consp x) (eq (qcar x) '|construct|)
+              (consp (qcdr x)) (eq (qcdr (qcdr x)) nil))
        (qcar (qcdr x))
        x))
     (|postCollect,finish| constructOp itl (|postTran| x))))))
@@ -15586,17 +15526,17 @@ of the symbol being parsed. The original list read:
 (defun |postIteratorList| (args)
  (let (z p y u a b)
   (cond
-   ((pairp args)
+   ((consp args)
      (setq p (|postTran| (qcar args)))
      (setq z (qcdr args))
      (cond
-       ((and (pairp p) (eq (qcar p) 'in) (pairp (qcdr p))
-             (pairp (qcdr (qcdr p))) (eq (qcdr (qcdr (qcdr p))) nil))
+       ((and (consp p) (eq (qcar p) 'in) (consp (qcdr p))
+             (consp (qcdr (qcdr p))) (eq (qcdr (qcdr (qcdr p))) nil))
         (setq y (qcar (qcdr p)))
         (setq u (qcar (qcdr (qcdr p))))
         (cond
-          ((and (pairp u) (eq (qcar u) '|\||) (pairp (qcdr u))
-                (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
+          ((and (consp u) (eq (qcar u) '|\||) (consp (qcdr u))
+                (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
             (setq a (qcar (qcdr u)))
             (setq b (qcar (qcdr (qcdr u))))
             (cons (list 'in y (|postInSeq| a))
@@ -15621,11 +15561,11 @@ of the symbol being parsed. The original list read:
 \begin{chunk}{defun postColon}
 (defun |postColon| (u)
  (cond
-  ((and (pairp u) (eq (qcar u) '|:|)
-        (pairp (qcdr u)) (eq (qcdr (qcdr u)) nil))
+  ((and (consp u) (eq (qcar u) '|:|)
+        (consp (qcdr u)) (eq (qcdr (qcdr u)) nil))
     (list '|:| (|postTran| (qcar (qcdr u)))))
-  ((and (pairp u) (eq (qcar u) '|:|) (pairp (qcdr u))
-        (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
+  ((and (consp u) (eq (qcar u) '|:|) (consp (qcdr u))
+        (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
    (cons '|:| (cons (|postTran| (second u)) (|postType| (third u)))))))
 
 \end{chunk}
@@ -15642,8 +15582,8 @@ of the symbol being parsed. The original list read:
 \usesdollar{postColonColon}{boot}
 \begin{chunk}{defun postColonColon}
 (defun |postColonColon| (u)
-  (if (and $boot (pairp u) (eq (qcar u) '|::|) (pairp (qcdr u))
-           (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
+  (if (and $boot (consp u) (eq (qcar u) '|::|) (consp (qcdr u))
+           (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil))
    (intern (princ-to-string (third u)) (second u))
    (|postForm| u)))
 
@@ -15679,8 +15619,8 @@ of the symbol being parsed. The original list read:
 (defun |postFlatten| (x op)
  (let (a b)
   (cond
-   ((and (pairp x) (equal (qcar x) op) (pairp (qcdr x))
-         (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+   ((and (consp x) (equal (qcar x) op) (consp (qcdr x))
+         (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
      (setq a (qcar (qcdr x)))
      (setq b (qcar (qcdr (qcdr x))))
      (append (|postFlatten| a op) (|postFlatten| b op)))
@@ -15706,27 +15646,27 @@ of the symbol being parsed. The original list read:
 (defun |postConstruct| (u)
  (let (b a tmp4 tmp7)
   (cond
-   ((and (pairp u) (eq (qcar u) '|construct|)
-         (pairp (qcdr u)) (eq (qcdr (qcdr u)) nil))
+   ((and (consp u) (eq (qcar u) '|construct|)
+         (consp (qcdr u)) (eq (qcdr (qcdr u)) nil))
      (setq b (qcar (qcdr u)))
      (setq a
-      (if (and (pairp b) (eq (qcar b) '|,|)) 
+      (if (and (consp b) (eq (qcar b) '|,|)) 
        (|comma2Tuple| b)
        b))
      (cond
-      ((and (pairp a) (eq (qcar a) 'segment) (pairp (qcdr a))
-            (pairp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil))
+      ((and (consp a) (eq (qcar a) 'segment) (consp (qcdr a))
+            (consp (qcdr (qcdr a))) (eq (qcdr (qcdr (qcdr a))) nil))
        (list '|construct| (|postTranSegment| (second a) (third a))))
-      ((and (pairp a) (eq (qcar a) '|@Tuple|))
+      ((and (consp a) (eq (qcar a) '|@Tuple|))
         (cond
          ((dolist (x (qcdr a) tmp4)
            (setq tmp4
             (or tmp4
-             (and (pairp x) (eq (qcar x) '|:|)
-                  (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil)))))
+             (and (consp x) (eq (qcar x) '|:|)
+                  (consp (qcdr x)) (eq (qcdr (qcdr x)) nil)))))
           (|postMakeCons| (qcdr a)))
          ((dolist (x (qcdr a) tmp7)
-            (setq tmp7 (or tmp7 (and (pairp x) (eq (qcar x) 'segment)))))
+            (setq tmp7 (or tmp7 (and (consp x) (eq (qcar x) 'segment)))))
           (|tuple2List| (qcdr a)))
          (t (cons '|construct| (|postTranList| (qcdr a))))))
       (t (list '|construct| (|postTran| a)))))
@@ -15770,8 +15710,8 @@ of the symbol being parsed. The original list read:
   (setq defOp (first arg))
   (setq lhs (second arg))
   (setq rhs (third arg))
-  (if (and (pairp lhs) (eq (qcar lhs) '|macro|)
-           (pairp (qcdr lhs)) (eq (qcdr (qcdr lhs)) nil))
+  (if (and (consp lhs) (eq (qcar lhs) '|macro|)
+           (consp (qcdr lhs)) (eq (qcdr (qcdr lhs)) nil))
    (|postMDef| (list '==> (second lhs) rhs))
    (progn
     (unless $boot (|recordHeaderDocumentation| nil))
@@ -15781,7 +15721,7 @@ of the symbol being parsed. The original list read:
       (setq |$maxSignatureLineNumber| 0))
     (setq lhs (|postTran| lhs))
     (setq tmp1
-     (if (and (pairp lhs) (eq (qcar lhs) '|:|)) (cdr lhs) (list lhs nil)))
+     (if (and (consp lhs) (eq (qcar lhs) '|:|)) (cdr lhs) (list lhs nil)))
     (setq form (first tmp1))
     (setq targetType (second tmp1))
     (when (and (null |$InteractiveMode|) (atom form)) (setq form (list form)))
@@ -15792,8 +15732,8 @@ of the symbol being parsed. The original list read:
        (setq tmp1
         (dolist (x form (nreverse0 tmp4))
          (push
-           (if (and (pairp x) (eq (qcar x) '|:|) (pairp (qcdr x))
-                    (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+           (if (and (consp x) (eq (qcar x) '|:|) (consp (qcdr x))
+                    (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
             (second x)
             x)
            tmp4)))
@@ -15804,8 +15744,8 @@ of the symbol being parsed. The original list read:
      (unless (atom form)
       (dolist (x (cdr form) (nreverse0 tmp6))
        (push
-         (when (and (pairp x) (eq (qcar x) '|:|) (pairp (qcdr x))
-               (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+         (when (and (consp x) (eq (qcar x) '|:|) (consp (qcdr x))
+               (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
            (third x))
          tmp6))))
     (setq typeList (cons targetType argTypeList))
@@ -15823,14 +15763,14 @@ of the symbol being parsed. The original list read:
  (let (a b)
   (cond
    ((null args) args)
-   ((and (pairp args) (pairp (qcar args)) (eq (qcar (qcar args)) '|:|)
-         (pairp (qcdr (qcar args))) (eq (qcdr (qcdr (qcar args))) nil))
+   ((and (consp args) (consp (qcar args)) (eq (qcar (qcar args)) '|:|)
+         (consp (qcdr (qcar args))) (eq (qcdr (qcdr (qcar args))) nil))
      (setq a (qcar (qcdr (qcar args))))
      (setq b (qcdr args))
      (cond
       (b (|postError|
           (list  "   Argument" a "of indefinite length must be last")))
-      ((or (atom a) (and (pairp a) (eq (qcar a) 'quote)))
+      ((or (atom a) (and (consp a) (eq (qcar a) 'quote)))
         a)
       (t
         (|postError|
@@ -15870,7 +15810,7 @@ of the symbol being parsed. The original list read:
 \begin{chunk}{defun postIf}
 (defun |postIf| (arg)
  (let (tmp1)
-  (if (null (and (pairp arg) (eq (qcar arg) '|if|)))
+  (if (null (and (consp arg) (eq (qcar arg) '|if|)))
    arg
    (cons 'if
     (dolist (x (qcdr arg) (nreverse0 tmp1))
@@ -15893,8 +15833,8 @@ of the symbol being parsed. The original list read:
 \calls{postin}{postInSeq}
 \begin{chunk}{defun postin}
 (defun |postin| (arg)
- (if (null (and (pairp arg) (eq (qcar arg) '|in|) (pairp (qcdr arg))
-                (pairp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)))
+ (if (null (and (consp arg) (eq (qcar arg) '|in|) (consp (qcdr arg))
+                (consp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)))
    (|systemErrorHere| "postin")
    (list '|in| (|postTran| (second arg)) (|postInSeq| (third arg)))))
 
@@ -15907,10 +15847,10 @@ of the symbol being parsed. The original list read:
 \begin{chunk}{defun postInSeq}
 (defun |postInSeq| (seq)
  (cond
-  ((and (pairp seq) (eq (qcar seq) 'segment) (pairp (qcdr seq))
-         (pairp (qcdr (qcdr seq))) (eq (qcdr (qcdr (qcdr seq))) nil))
+  ((and (consp seq) (eq (qcar seq) 'segment) (consp (qcdr seq))
+         (consp (qcdr (qcdr seq))) (eq (qcdr (qcdr (qcdr seq))) nil))
      (|postTranSegment| (second seq) (third seq)))
-  ((and (pairp seq) (eq (qcar seq) '|@Tuple|))
+  ((and (consp seq) (eq (qcar seq) '|@Tuple|))
      (|tuple2List| (qcdr seq)))
   (t (|postTran| seq))))
 
@@ -15929,8 +15869,8 @@ of the symbol being parsed. The original list read:
 \calls{postIn}{postInSeq}
 \begin{chunk}{defun postIn}
 (defun |postIn| (arg)
-  (if (null (and (pairp arg) (eq (qcar arg) 'in) (pairp (qcdr arg))
-                 (pairp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)))
+  (if (null (and (consp arg) (eq (qcar arg) 'in) (consp (qcdr arg))
+                 (consp (qcdr (qcdr arg))) (eq (qcdr (qcdr (qcdr arg))) nil)))
     (|systemErrorHere| "postIn")
     (list 'in (|postTran| (second arg)) (|postInSeq| (third arg)))))
 
@@ -15951,10 +15891,10 @@ of the symbol being parsed. The original list read:
  (let (a l al)
   (setq a (|postTran| (cadr arg)))
   (setq l (|postTranList| (cddr arg)))
-  (when (and (pairp l) (eq (qcdr l) nil) (pairp (qcar l))
+  (when (and (consp l) (eq (qcdr l) nil) (consp (qcar l))
              (member (qcar (qcar l)) '(attribute signature)))
     (setq l (list (list 'category (qcar l)))))
-  (setq al (if (and (pairp a) (eq (qcar a) '|@Tuple|)) (qcdr a) (list a)))
+  (setq al (if (and (consp a) (eq (qcar a) '|@Tuple|)) (qcdr a) (list a)))
   (cons '|Join| (append al l))))
 
 \end{chunk}
@@ -15971,8 +15911,8 @@ of the symbol being parsed. The original list read:
 \calls{postMapping}{unTuple}
 \begin{chunk}{defun postMapping}
 (defun |postMapping| (u)
- (if (null (and (pairp u) (eq (qcar u) '->) (pairp (qcdr u))
-           (pairp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil)))
+ (if (null (and (consp u) (eq (qcar u) '->) (consp (qcdr u))
+           (consp (qcdr (qcdr u))) (eq (qcdr (qcdr (qcdr u))) nil)))
    u
    (cons '|Mapping|
     (cons (|postTran| (third u))
@@ -16008,21 +15948,21 @@ of the symbol being parsed. The original list read:
    (t
     (setq lhs (|postTran| lhs))
     (setq tmp1
-     (if (and (pairp lhs) (eq (qcar lhs) '|:|)) (cdr lhs) (list lhs nil)))
+     (if (and (consp lhs) (eq (qcar lhs) '|:|)) (cdr lhs) (list lhs nil)))
     (setq form (first tmp1))
     (setq targetType (second tmp1))
     (setq form (if (atom form) (list form) form))
     (setq newLhs
      (dolist (x form (nreverse0 tmp4))
       (push
-       (if (and (pairp x) (eq (qcar x) '|:|) (pairp (qcdr x))) (second x) x)
+       (if (and (consp x) (eq (qcar x) '|:|) (consp (qcdr x))) (second x) x)
        tmp4)))
     (setq typeList
      (cons targetType
       (dolist (x (qcdr form) (nreverse0 tmp5))
        (push
-         (when (and (pairp x) (eq (qcar x) '|:|) (pairp (qcdr x))
-                    (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+         (when (and (consp x) (eq (qcar x) '|:|) (consp (qcdr x))
+                    (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
             (third x))
           tmp5))))
     (list 'mdef newLhs typeList 
@@ -16076,7 +16016,7 @@ of the symbol being parsed. The original list read:
  (let (op expr g)
   (setq op (second arg))
   (setq expr (third arg))
-  (if (or |$InteractiveMode| (and (pairp expr) (eq (qcar expr) 'collect)))
+  (if (or |$InteractiveMode| (and (consp expr) (eq (qcar expr) 'collect)))
     (list 'reduce op 0 (|postTran| expr))
     (|postReduce|
      (list '|Reduce| op
@@ -16146,8 +16086,8 @@ of the symbol being parsed. The original list read:
 (defun |postFlattenLeft| (x op)
  (let (a b)
   (cond
-   ((and (pairp x) (equal (qcar x) op) (pairp (qcdr x))
-         (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+   ((and (consp x) (equal (qcar x) op) (consp (qcdr x))
+         (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
      (setq a (qcar (qcdr x)))
      (setq b (qcar (qcdr (qcdr x))))
      (append (|postFlattenLeft| a op) (list b)))
@@ -16163,7 +16103,6 @@ of the symbol being parsed. The original list read:
 \end{chunk}
 
 \defun{postSignature}{postSignature}
-\calls{postSignature}{pairp}
 \calls{postSignature}{postType}
 \calls{postSignature}{removeSuperfluousMapping}
 \calls{postSignature}{killColons}
@@ -16172,7 +16111,7 @@ of the symbol being parsed. The original list read:
  (let (sig sig1 op)
   (setq op (second arg))
   (setq sig (third arg))
-  (when (and (pairp sig) (eq (qcar sig) '->))
+  (when (and (consp sig) (eq (qcar sig) '->))
     (setq sig1 (|postType| sig))
     (setq op (|postAtom| (if (stringp op) (setq op (intern op)) op)))
     (cons 'signature 
@@ -16183,7 +16122,7 @@ of the symbol being parsed. The original list read:
 \defun{removeSuperfluousMapping}{removeSuperfluousMapping}
 \begin{chunk}{defun removeSuperfluousMapping}
 (defun |removeSuperfluousMapping| (sig1)
- (if (and (pairp sig1) (pairp (qcar sig1)) (eq (qcar (qcar sig1)) '|Mapping|))
+ (if (and (consp sig1) (consp (qcar sig1)) (eq (qcar (qcar sig1)) '|Mapping|))
   (cons (cdr (qcar sig1)) (qcdr sig1))
   sig1))
 
@@ -16195,10 +16134,10 @@ of the symbol being parsed. The original list read:
 (defun |killColons| (x)
  (cond
   ((atom x) x)
-  ((and (pairp x) (eq (qcar x) '|Record|)) x)
-  ((and (pairp x) (eq (qcar x) '|Union|)) x)
-  ((and (pairp x) (eq (qcar x) '|:|) (pairp (qcdr x)) 
-        (pairp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
+  ((and (consp x) (eq (qcar x) '|Record|)) x)
+  ((and (consp x) (eq (qcar x) '|Union|)) x)
+  ((and (consp x) (eq (qcar x) '|:|) (consp (qcdr x)) 
+        (consp (qcdr (qcdr x))) (eq (qcdr (qcdr (qcdr x))) nil))
    (|killColons| (third x)))
   (t (cons (|killColons| (car x)) (|killColons| (cdr x))))))
 
@@ -16233,9 +16172,9 @@ of the symbol being parsed. The original list read:
 \begin{chunk}{defun postTuple}
 (defun |postTuple| (arg)
  (cond
-  ((and (pairp arg) (eq (qcdr arg) nil) (eq (qcar arg) '|@Tuple|))
+  ((and (consp arg) (eq (qcdr arg) nil) (eq (qcar arg) '|@Tuple|))
    arg)
-  ((and (pairp arg) (eq (qcar arg) '|@Tuple|) (pairp (qcdr arg)))
+  ((and (consp arg) (eq (qcar arg) '|@Tuple|) (consp (qcdr arg)))
    (cons '|@Tuple| (|postTranList| (cdr arg))))))
 
 \end{chunk}
@@ -16274,7 +16213,7 @@ of the symbol being parsed. The original list read:
 (defun |postWhere| (arg)
  (let (b x)
   (setq b (third arg))
-  (setq x (if (and (pairp b) (eq (qcar b) '|Block|)) (qcdr b) (list b)))
+  (setq x (if (and (consp b) (eq (qcar b) '|Block|)) (qcdr b) (list b)))
   (cons '|where| (cons (|postTran| (second arg)) (|postTranList| x)))))
 
 \end{chunk}
@@ -16296,9 +16235,9 @@ of the symbol being parsed. The original list read:
   (setq |$insidePostCategoryIfTrue| t)
   (setq a (|postTran| (second arg)))
   (cond
-   ((and (pairp a) (member (qcar a) '(signature attribute if)))
+   ((and (consp a) (member (qcar a) '(signature attribute if)))
      (list 'category a))
-   ((and (pairp a) (eq (qcar a) 'progn))
+   ((and (consp a) (eq (qcar a) 'progn))
      (cons 'category (qcdr a)))
    (t a))))
 
@@ -16313,8 +16252,8 @@ of the symbol being parsed. The original list read:
 (defun |setDefOp| (f)
  (let (tmp1)
   (declare (special |$defOp| |$topOp|))
-  (when (and (pairp f) (eq (qcar f) '|:|)
-             (pairp (setq tmp1 (qcdr f))))
+  (when (and (consp f) (eq (qcar f) '|:|)
+             (consp (setq tmp1 (qcdr f))))
     (setq f (qcar tmp1)))
   (unless (atom f) (setq f (car f)))
   (if |$topOp| 
@@ -16363,17 +16302,17 @@ of the symbol being parsed. The original list read:
     (cond
      ((eq op '!)
       (cond
-       ((and (pairp argl)
+       ((and (consp argl)
              (progn
               (setq f (qcar argl))
               (setq tmp1 (qcdr argl))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (eq (qcdr tmp1) nil)
                    (progn
                     (setq y (qcar tmp1))
                     t))))
          (cond
-          ((and (pairp y)
+          ((and (consp y)
                 (progn
                  (setq opprime (qcar y))
                  (setq yprime (qcdr y))
@@ -16390,7 +16329,7 @@ of the symbol being parsed. The original list read:
        (t x)))
      ((progn
        (setq tmp1 (|hasAplExtension| argl))
-       (and (pairp tmp1)
+       (and (consp tmp1)
             (progn
              (setq arglAssoc (qcar tmp1))
              (setq futureArgl (qcdr tmp1))
@@ -16436,12 +16375,12 @@ of the symbol being parsed. The original list read:
  (let (tmp2 tmp3 y z g arglAssoc u)
   (when
    (dolist (x argl tmp2)
-      (setq tmp2 (or tmp2 (and (pairp x) (eq (qcar x) '!)))))
+      (setq tmp2 (or tmp2 (and (consp x) (eq (qcar x) '!)))))
     (setq u
      (dolist (x argl (nreverse0 tmp3))
       (push
-        (if (and (pairp x) (eq (qcar x) '!)
-                 (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil))
+        (if (and (consp x) (eq (qcar x) '!)
+                 (consp (qcdr x)) (eq (qcdr (qcdr x)) nil))
          (progn
            (setq y (qcar (qcdr x)))
            (setq z (|deepestExpression| y))
@@ -16458,8 +16397,8 @@ of the symbol being parsed. The original list read:
 \calls{deepestExpression}{deepestExpression}
 \begin{chunk}{defun deepestExpression}
 (defun |deepestExpression| (x)
- (if (and (pairp x) (eq (qcar x) '!)
-          (pairp (qcdr x)) (eq (qcdr (qcdr x)) nil))
+ (if (and (consp x) (eq (qcar x) '!)
+          (consp (qcdr x)) (eq (qcdr (qcdr x)) nil))
    (|deepestExpression| (qcar (qcdr x)))
    x))
 
@@ -16472,8 +16411,8 @@ of the symbol being parsed. The original list read:
  (let (tmp2)
   (cond
    ((atom u) (eq u '!))
-   ((and (pairp u) (equal (qcar u) 'quote)
-         (pairp (qcdr u)) (eq (qcdr (qcdr u)) nil))
+   ((and (consp u) (equal (qcar u) 'quote)
+         (consp (qcdr u)) (eq (qcdr (qcdr u)) nil))
      nil)
    (t
      (dolist (x u tmp2)
@@ -16506,16 +16445,16 @@ of the symbol being parsed. The original list read:
  (labels (
   (fn (a)
    (let ((tmp1 0))
-    (if (and (pairp a) (eq (qcar a) '|,|))
+    (if (and (consp a) (eq (qcar a) '|,|))
      (dolist (x (qcdr a) tmp1) (setq tmp1 (+ tmp1 (fn x))))
      1))))
   (cond
-   ((and (pairp a) (eq (qcar a) '|PrefixSC|)
-         (pairp (qcdr a)) (eq (qcdr (qcdr a)) nil))
+   ((and (consp a) (eq (qcar a) '|PrefixSC|)
+         (consp (qcdr a)) (eq (qcdr (qcdr a)) nil))
     (strconc (princ-to-string 0) (|decodeScripts| (qcar (qcdr a)))))
-   ((and (pairp a) (eq (qcar a) '|;|))
+   ((and (consp a) (eq (qcar a) '|;|))
     (apply 'strconc (loop for x in (qcdr a) collect (|decodeScripts| x))))
-   ((and (pairp a) (eq (qcar a) '|,|))
+   ((and (consp a) (eq (qcar a) '|,|))
     (princ-to-string (fn a)))
    (t
     (princ-to-string 1)))))
@@ -16588,7 +16527,7 @@ of the symbol being parsed. The original list read:
 \defun{unTuple}{unTuple}
 \begin{chunk}{defun unTuple}
 (defun |unTuple| (x)
- (if (and (pairp x) (eq (qcar x) '|@Tuple|))
+ (if (and (consp x) (eq (qcar x) '|@Tuple|))
   (qcdr x)
   (list x)))
 
@@ -18918,14 +18857,14 @@ Stack of results of reduced productions.
  (let (tmp3)
   (setq x (|parseTran| x))
   (cond
-   ((and (pairp x) (eq (qcar x) '|Record|))
+   ((and (consp x) (eq (qcar x) '|Record|))
      (cond
       ((do ((z nil tmp3) (tmp4 (qcdr x) (cdr tmp4)) (y nil))
            ((or z (atom tmp4)) tmp3)
           (setq y (car tmp4))
           (cond
-           ((null (and (pairp y) (eq (qcar y) '|:|) (pairp (qcdr y))
-                  (pairp (qcdr (qcdr y))) (eq (qcdr (qcdr (qcdr y))) nil)))
+           ((null (and (consp y) (eq (qcar y) '|:|) (consp (qcdr y))
+                  (consp (qcdr (qcdr y))) (eq (qcdr (qcdr (qcdr y))) nil)))
               (setq tmp3 (or tmp3 y)))))
           (|postError| (list "   Constructor" x "has missing label" )))
        (t x)))
@@ -19082,12 +19021,12 @@ Stack of results of reduced productions.
 (defun |tuple2List| (arg)
  (let (u p q)
  (declare (special |$InteractiveMode| $boot))
-  (when (pairp arg)
+  (when (consp arg)
    (setq u (|tuple2List| (qcdr arg)))
    (cond
-    ((and (pairp (qcar arg)) (eq (qcar (qcar arg)) 'segment)
-          (pairp (qcdr (qcar arg)))
-          (pairp (qcdr (qcdr (qcar arg))))
+    ((and (consp (qcar arg)) (eq (qcar (qcar arg)) 'segment)
+          (consp (qcdr (qcar arg)))
+          (consp (qcdr (qcdr (qcar arg))))
           (eq (qcdr (qcdr (qcdr (qcar arg)))) nil))
        (setq p (qcar (qcdr (qcar arg))))
        (setq q (qcar (qcdr (qcdr (qcar arg)))))
@@ -20556,14 +20495,14 @@ And the {\bf s-process} function which returns a parsed version of the input.
     (dolist (v (cdr u))
      (hput |$envHashTable| (cons (car u) (cons (car v) nil)) t)))
    (cond
-    ((or (and (pairp form) (eq (qcar form) 'def))
-         (and (pairp form) (eq (qcar form) '|where|)
+    ((or (and (consp form) (eq (qcar form) 'def))
+         (and (consp form) (eq (qcar form) '|where|)
               (progn
                 (setq t1 (qcdr form))
-                (and (pairp t1)
+                (and (consp t1)
                 (progn
                  (setq t2 (qcar t1))
-                 (and (pairp t2) (eq (qcar t2) 'def)))))))
+                 (and (consp t2) (eq (qcar t2) 'def)))))))
       (setq t3 (|compOrCroak| form mode env))
       (setq val (car t3))
       (setq newmode (second t3))
@@ -20792,12 +20731,12 @@ preferred to the underlying representation -- RDJ 9/12/83
   (setq |$e| (|addDomain| mode |$e|))
   (setq env |$e|)
   (cond
-   ((and (pairp mode) (eq (qcar mode) '|Mapping|))
+   ((and (consp mode) (eq (qcar mode) '|Mapping|))
      (|compWithMappingMode| form mode env))
-   ((and (pairp mode) (eq (qcar mode) 'quote)
+   ((and (consp mode) (eq (qcar mode) 'quote)
          (progn
           (setq tmp1 (qcdr mode))
-          (and (pairp tmp1) (eq (qcdr tmp1) nil)
+          (and (consp tmp1) (eq (qcdr tmp1) nil)
           (progn (setq a (qcar tmp1)) t))))
     (when (equal form a) (list form mode |$e|)))
    ((stringp mode)
@@ -20810,23 +20749,23 @@ preferred to the underlying representation -- RDJ 9/12/83
     (cond
      ((and (progn
             (setq tmp1 (|getmode| op env))
-            (and (pairp tmp1)
+            (and (consp tmp1)
                  (eq (qcar tmp1) '|Mapping|)
                  (progn (setq ml (qcdr tmp1)) t)))
             (setq u (|applyMapping| form mode env ml)))
         u)
-     ((and (pairp op) (eq (qcar op) 'kappa)
+     ((and (consp op) (eq (qcar op) 'kappa)
            (progn
             (setq tmp1 (qcdr op))
-            (and (pairp tmp1)
+            (and (consp tmp1)
                  (progn
                   (setq sig (qcar tmp1))
                    (setq tmp2 (qcdr tmp1))
-                   (and (pairp tmp2)
+                   (and (consp tmp2)
                         (progn
                          (setq varlist (qcar tmp2))
                          (setq tmp3 (qcdr tmp2))
-                         (and (pairp tmp3)
+                         (and (consp tmp3)
                               (eq (qcdr tmp3) nil)
                               (progn
                                 (setq body (qcar tmp3))
@@ -20840,15 +20779,15 @@ preferred to the underlying representation -- RDJ 9/12/83
       (t
        (setq tt (|compExpression| form mode env))
        (cond
-        ((and (pairp tt)
+        ((and (consp tt)
               (progn
                (setq xprime (qcar tt))
                (setq tmp1 (qcdr tt))
-               (and (pairp tmp1)
+               (and (consp tmp1)
                     (progn
                      (setq mprime (qcar tmp1))
                      (setq tmp2 (qcdr tmp1))
-                     (and (pairp tmp2)
+                     (and (consp tmp2)
                           (eq (qcdr tmp2) nil)
                           (progn
                             (setq eprime (qcar tmp2))
@@ -20940,20 +20879,20 @@ preferred to the underlying representation -- RDJ 9/12/83
       (cond
        ((progn
          (setq tmp1 (|modeIsAggregateOf| '|List| mode env))
-         (and (pairp tmp1)
+         (and (consp tmp1)
               (progn
                (setq tmp2 (qcdr tmp1))
-               (and (pairp tmp2)
+               (and (consp tmp2)
                     (eq (qcdr tmp2) nil)
                     (progn
                       (setq r (qcar tmp2)) t)))))
          (|compList| form (list '|List| r) env))
        ((progn
          (setq tmp1 (|modeIsAggregateOf| '|Vector| mode env))
-         (and (pairp tmp1)
+         (and (consp tmp1)
               (progn
                (setq tmp2 (qcdr tmp1))
-               (and (pairp tmp2) (eq (qcdr tmp2) nil)
+               (and (consp tmp2) (eq (qcdr tmp2) nil)
                (progn
                  (setq r (qcar tmp2)) t)))))
          (|compVector| form (list '|Vector| r) env))))
@@ -21148,14 +21087,14 @@ preferred to the underlying representation -- RDJ 9/12/83
           (setq env (third tmp2))
           (push (car tmp2) tmp4)))
        mode env))
-     ((and (pairp op) (eq (qcar op) '|elt|)
+     ((and (consp op) (eq (qcar op) '|elt|)
            (progn
             (setq tmp3 (qcdr op))
-            (and (pairp tmp3)
+            (and (consp tmp3)
                  (progn
                   (setq domain (qcar tmp3))
                   (setq tmp1 (qcdr tmp3))
-                  (and (pairp tmp1)
+                  (and (consp tmp1)
                        (eq (qcdr tmp1) nil)
                        (progn
                         (setq opprime (qcar tmp1))
@@ -21174,15 +21113,15 @@ preferred to the underlying representation -- RDJ 9/12/83
         ((and (eq opprime 'collect) (|coerceable| domain mode env))
           (when (setq td (|comp| (cons opprime argl) domain env))
            (|coerce| td mode)))
-        ((and (pairp domain) (eq (qcar domain) '|Mapping|)
+        ((and (consp domain) (eq (qcar domain) '|Mapping|)
               (setq ans
                (|compForm2| (cons opprime argl) mode
                 (setq env (|augModemapsFromDomain1| domain domain env))
                 (dolist (x (|getFormModemaps| (cons opprime argl) env)
                                           (nreverse0 tmp6))
                  (when
-                  (and (pairp x)
-                       (and (pairp (qcar x)) (equal (qcar (qcar x)) domain)))
+                  (and (consp x)
+                       (and (consp (qcar x)) (equal (qcar (qcar x)) domain)))
                     (push x tmp6))))))
           ans)
         ((setq ans
@@ -21191,8 +21130,8 @@ preferred to the underlying representation -- RDJ 9/12/83
            (dolist (x (|getFormModemaps| (cons opprime argl) env)
                    (nreverse0 tmp5))
              (when
-               (and (pairp x)
-                    (and (pairp (qcar x)) (equal (qcar (qcar x)) domain)))
+               (and (consp x)
+                    (and (consp (qcar x)) (equal (qcar (qcar x)) domain)))
                 (push x tmp5)))))
           ans)
         ((and (eq opprime '|construct|) (|coerceable| domain mode env))
@@ -21211,7 +21150,6 @@ preferred to the underlying representation -- RDJ 9/12/83
 \end{chunk}
 
 \defun{getFormModemaps}{getFormModemaps}
-\calls{getFormModemaps}{pairp}
 \calls{getFormModemaps}{qcar}
 \calls{getFormModemaps}{qcdr}
 \calls{getFormModemaps}{getFormModemaps}
@@ -21230,12 +21168,12 @@ preferred to the underlying representation -- RDJ 9/12/83
   (setq op (car form))
   (setq argl (cdr form))
   (cond
-   ((and (pairp op) (eq (qcar op) '|elt|) (PAIRP (qcdr op))
-         (pairp (qcdr (qcdr op))) (eq (qcdr (qcdr (qcdr op))) nil))
+   ((and (consp op) (eq (qcar op) '|elt|) (CONSP (qcdr op))
+         (consp (qcdr (qcdr op))) (eq (qcdr (qcdr (qcdr op))) nil))
      (setq op1 (third op))
      (setq domain (second op))
      (loop for x in (|getFormModemaps| (cons op1 argl) env)
-      when (and (pairp x) (pairp (qcar x)) (equal (qcar (qcar x)) domain))
+      when (and (consp x) (consp (qcar x)) (equal (qcar (qcar x)) domain))
       collect x))
    ((null (atom op)) nil)
    (t
@@ -21243,7 +21181,7 @@ preferred to the underlying representation -- RDJ 9/12/83
     (when |$insideCategoryPackageIfTrue|
      (setq modemapList
       (loop for x in modemapList
-       when (and (pairp x) (pairp (qcar x)) (nequal (qcar (qcar x)) '$))
+       when (and (consp x) (consp (qcar x)) (nequal (qcar (qcar x)) '$))
        collect x)))))
   (cond
    ((eq op '|elt|)
@@ -21263,7 +21201,6 @@ preferred to the underlying representation -- RDJ 9/12/83
 \end{chunk}
 
 \defun{eltModemapFilter}{eltModemapFilter}
-\calls{eltModemapFilter}{pairp}
 \calls{eltModemapFilter}{qcar}
 \calls{eltModemapFilter}{qcdr}
 \calls{eltModemapFilter}{isConstantId}
@@ -21275,9 +21212,9 @@ preferred to the underlying representation -- RDJ 9/12/83
    (cond
     ((setq z
       (loop for mm in mmList
-       when (and (pairp mm) (pairp (qcar mm)) (pairp (qcdr (qcar mm)))
-                 (pairp (qcdr (qcdr (qcar mm))))
-                 (pairp (qcdr (qcdr (qcdr (qcar mm)))))
+       when (and (consp mm) (consp (qcar mm)) (consp (qcdr (qcar mm)))
+                 (consp (qcdr (qcdr (qcar mm))))
+                 (consp (qcdr (qcdr (qcdr (qcar mm)))))
                  (equal (fourth (first mm)) name))
        collect mm))
       z)
@@ -21373,41 +21310,41 @@ preferred to the underlying representation -- RDJ 9/12/83
   ; the conditions are right (i.e. subsumer true whenever subsumee true)
   (dolist (u modemapList)
    (cond
-    ((and (pairp u)
+    ((and (consp u)
           (progn
            (setq tmp6 (qcar u))
-           (and (pairp tmp6) (progn (setq dc (qcar tmp6)) t)))
+           (and (consp tmp6) (progn (setq dc (qcar tmp6)) t)))
           (progn
            (setq tmp7 (qcdr u))
-           (and (pairp tmp7) (eq (qcdr tmp7) nil)
+           (and (consp tmp7) (eq (qcdr tmp7) nil)
                 (progn
                  (setq tmp1 (qcar tmp7))
-                 (and (pairp tmp1)
+                 (and (consp tmp1)
                       (progn
                        (setq cond (qcar tmp1))
                        (setq tmp2 (qcdr tmp1))
-                       (and (pairp tmp2) (eq (qcdr tmp2) nil)
+                       (and (consp tmp2) (eq (qcdr tmp2) nil)
                             (progn
                              (setq tmp3 (qcar tmp2))
-                             (and (pairp tmp3) (eq (qcar tmp3) '|Subsumed|)
+                             (and (consp tmp3) (eq (qcar tmp3) '|Subsumed|)
                                   (progn
                                    (setq tmp4 (qcdr tmp3))
-                                   (and (pairp tmp4)
+                                   (and (consp tmp4)
                                         (progn
                                          (setq tmp5 (qcdr tmp4))
-                                         (and (pairp tmp5) 
+                                         (and (consp tmp5) 
                                               (eq (qcdr tmp5) nil)
                                               (progn
                                                (setq nsig (qcar tmp5))
                                                t)))))))))))))
           (setq v (|assoc| (cons dc nsig) modemapList))
-          (pairp v)
+          (consp v)
           (progn
            (setq tmp6 (qcdr v))
-           (and (pairp tmp6) (eq (qcdr tmp6) nil)
+           (and (consp tmp6) (eq (qcdr tmp6) nil)
                 (progn
                  (setq tmp7 (qcar tmp6))
-                 (and (pairp tmp7)
+                 (and (consp tmp7)
                       (progn
                        (setq ncond (qcar tmp7))
                        t))))))
@@ -21486,7 +21423,7 @@ preferred to the underlying representation -- RDJ 9/12/83
     ((null b) t)
     ((null (car b)) (|compFormMatch,match| (cdr a) (cdr b)))
     ((and (equal (car a) (car b)) (ismatch (cdr a) (cdr b)))))))
-  (and (pairp mm) (pairp (qcar mm)) (pairp (qcdr (qcar mm)))
+  (and (consp mm) (consp (qcar mm)) (consp (qcdr (qcar mm)))
        (ismatch (qcdr (qcdr (qcar mm))) partialModeList))))
 
 \end{chunk}
@@ -21514,14 +21451,14 @@ preferred to the underlying representation -- RDJ 9/12/83
  (declare (special |$EmptyMode|))
   (setq argl (cdr form))
   (cond
-   ((and (pairp form) (eq (qcar form) '|elt|)
+   ((and (consp form) (eq (qcar form) '|elt|)
          (progn
            (setq tmp1 (qcdr form))
-           (and (pairp tmp1)
+           (and (consp tmp1)
                 (progn
                  (setq a (qcar tmp1))
                  (setq tmp2 (qcdr tmp1))
-                 (and (pairp tmp2) (eq (qcdr tmp2) nil))))))
+                 (and (consp tmp2) (eq (qcdr tmp2) nil))))))
     (when (setq tmp3 (|comp| a |$EmptyMode| env))
       (setq env (third tmp3))
       (|compForm1| form mode env)))
@@ -21591,23 +21528,23 @@ preferred to the underlying representation -- RDJ 9/12/83
         (cond
          ((and (progn
                 (setq tmp1 (|get| form '|modemap| |$CategoryFrame|))
-                (and (pairp tmp1)
+                (and (consp tmp1)
                      (progn
                       (setq tmp2 (qcar tmp1))
-                      (and (pairp tmp2)
+                      (and (consp tmp2)
                            (progn
                             (setq tmp3 (qcar tmp2))
-                            (and (pairp tmp3)
+                            (and (consp tmp3)
                                  (progn
                                   (setq tmp4 (qcdr tmp3))
-                                  (and (pairp tmp4)
+                                  (and (consp tmp4)
                                        (progn 
                                         (setq target (qcar tmp4))
                                         (setq argModeList (qcdr tmp4))
                                         t)))))
                            (progn
                             (setq tmp5 (qcdr tmp2))
-                            (and (pairp tmp5) (eq (qcdr tmp5) nil)))))))
+                            (and (consp tmp5) (eq (qcdr tmp5) nil)))))))
                (prog (t1)
                 (setq t1 t)
                 (return
@@ -21632,26 +21569,26 @@ preferred to the underlying representation -- RDJ 9/12/83
         (setq ress nil) 
         (setq oldstyle t)
         (cond
-         ((and (pairp form) 
+         ((and (consp form) 
                (eq (qcar form) '+->)
                (progn
                 (setq tmp1 (qcdr form))
-                (and (pairp tmp1)
+                (and (consp tmp1)
                      (progn
                       (setq vl (qcar tmp1))
                       (setq tmp2 (qcdr tmp1))
-                      (and (pairp tmp2)
+                      (and (consp tmp2)
                            (eq (qcdr tmp2) nil)
                            (progn (setq nx (qcar tmp2)) t))))))
             (setq oldstyle nil)
             (cond
-             ((and (pairp vl) (eq (qcar vl) '|:|))
+             ((and (consp vl) (eq (qcar vl) '|:|))
                (setq ress (|compLambda| form mode oldE))
                ress)
              (t
               (setq vl
                (cond
-                ((and (pairp vl)
+                ((and (consp vl)
                       (eq (qcar vl) '|@Tuple|)
                       (progn (setq vl1 (qcdr vl)) t))
                   vl1)
@@ -21756,10 +21693,10 @@ preferred to the underlying representation -- RDJ 9/12/83
                (cond
                 (locals
                  (cond
-                  ((and (pairp body)
+                  ((and (consp body)
                         (progn
                          (setq tmp1 (qcar body))
-                         (and (pairp tmp1)
+                         (and (consp tmp1)
                               (eq (qcar tmp1) 'declare))))
                     (setq body
                      (cons (car body)
@@ -21804,16 +21741,16 @@ preferred to the underlying representation -- RDJ 9/12/83
 (defun |extractCodeAndConstructTriple| (form mode oldE)
  (let (tmp1 a fn op env)
   (cond
-   ((and (pairp form) (eq (qcar form) '|call|)
+   ((and (consp form) (eq (qcar form) '|call|)
          (progn
           (setq tmp1 (qcdr form))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (progn (setq fn (qcar tmp1)) t))))
     (cond
-     ((and (pairp fn) (eq (qcar fn) '|applyFun|)
+     ((and (consp fn) (eq (qcar fn) '|applyFun|)
            (progn
             (setq tmp1 (qcdr fn))
-            (and (pairp tmp1) (eq (qcdr tmp1) nil)
+            (and (consp tmp1) (eq (qcdr tmp1) nil)
                  (progn (setq a (qcar tmp1)) t))))
             (setq fn a)))
     (list fn mode oldE))
@@ -21841,14 +21778,14 @@ preferred to the underlying representation -- RDJ 9/12/83
 (defun |argsToSig| (args)
  (let (tmp1 v tmp2 tt sig1 arg1 bad)
   (cond
-   ((and (pairp args) (eq (qcar args) '|:|)
+   ((and (consp args) (eq (qcar args) '|:|)
          (progn
           (setq tmp1 (qcdr args))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (progn
                 (setq v (qcar tmp1))
                 (setq tmp2 (qcdr tmp1))
-                (and (pairp tmp2)
+                (and (consp tmp2)
                      (eq (qcdr tmp2) nil)
                      (progn
                       (setq tt (qcar tmp2))
@@ -21860,14 +21797,14 @@ preferred to the underlying representation -- RDJ 9/12/83
     (setq bad nil)
     (dolist (arg args)
       (cond
-       ((and (pairp arg) (eq (qcar arg) '|:|)
+       ((and (consp arg) (eq (qcar arg) '|:|)
              (progn
               (setq tmp1 (qcdr arg))
-              (and (pairp tmp1)
+              (and (consp tmp1)
                    (progn
                     (setq v (qcar tmp1))
                     (setq tmp2 (qcdr tmp1))
-                    (and (pairp tmp2) (eq (qcdr tmp2) nil)
+                    (and (consp tmp2) (eq (qcdr tmp2) nil)
                          (progn
                           (setq tt (qcar tmp2))
                           t))))))
diff --git a/changelog b/changelog
index 2192798..c755bf5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,61 @@
+20110916 tpd src/axiom-website/patches.html 20110916.01.tpd.patch
+20110916 tpd src/interp/vmlisp.lisp remove pairp
+20110916 tpd src/interp/topics.lisp remove pairp
+20110916 tpd src/interp/template.lisp remove pairp
+20110916 tpd src/interp/sys-pkg.lisp remove pairp
+20110916 tpd src/interp/slam.lisp remove pairp
+20110916 tpd src/interp/simpbool.lisp remove pairp
+20110916 tpd src/interp/record.lisp remove pairp
+20110916 tpd src/interp/posit.lisp remove pairp
+20110916 tpd src/interp/parsing.lisp remove pairp
+20110916 tpd src/interp/nrunopt.lisp remove pairp
+20110916 tpd src/interp/nrungo.lisp remove pairp
+20110916 tpd src/interp/nrunfast.lisp remove pairp
+20110916 tpd src/interp/nruncomp.lisp remove pairp
+20110916 tpd src/interp/newfort.lisp remove pairp
+20110916 tpd src/interp/msgdb.lisp remove pairp
+20110916 tpd src/interp/match.lisp remove pairp
+20110916 tpd src/interp/lisplib.lisp remove pairp
+20110916 tpd src/interp/iterator.lisp remove pairp
+20110916 tpd src/interp/interop.lisp remove pairp
+20110916 tpd src/interp/info.lisp remove pairp
+20110916 tpd src/interp/i-util.lisp remove pairp
+20110916 tpd src/interp/i-spec2.lisp remove pairp
+20110916 tpd src/interp/i-spec1.lisp remove pairp
+20110916 tpd src/interp/i-resolv.lisp remove pairp
+20110916 tpd src/interp/i-output.lisp remove pairp
+20110916 tpd src/interp/i-map.lisp remove pairp
+20110916 tpd src/interp/i-intern.lisp remove pairp
+20110916 tpd src/interp/i-funsel.lisp remove pairp
+20110916 tpd src/interp/i-eval.lisp remove pairp
+20110916 tpd src/interp/i-coerfn.lisp remove pairp
+20110916 tpd src/interp/i-coerce.lisp remove pairp
+20110916 tpd src/interp/i-code.lisp remove pairp
+20110916 tpd src/interp/i-analy.lisp remove pairp
+20110916 tpd src/interp/htcheck.lisp remove pairp
+20110916 tpd src/interp/ht-util.lisp remove pairp
+20110916 tpd src/interp/hashcode.lisp remove pairp
+20110916 tpd src/interp/g-util.lisp remove pairp
+20110916 tpd src/interp/g-timer.lisp remove pairp
+20110916 tpd src/interp/g-error.lisp remove pairp
+20110916 tpd src/interp/g-cndata.lisp remove pairp
+20110916 tpd src/interp/g-boot.lisp remove pairp
+20110916 tpd src/interp/functor.lisp remove pairp
+20110916 tpd src/interp/fortcall.lisp remove pairp
+20110916 tpd src/interp/format.lisp remove pairp
+20110916 tpd src/interp/compress.lisp remove pairp
+20110916 tpd src/interp/clammed.lisp remove pairp
+20110916 tpd src/interp/clam.lisp remove pairp
+20110916 tpd src/interp/cattable.lisp remove pairp
+20110916 tpd src/interp/category.lisp remove pairp
+20110916 tpd src/interp/c-util.lisp remove pairp
+20110916 tpd src/interp/c-doc.lisp remove pairp
+20110916 tpd src/interp/buildom.lisp remove pairp
+20110916 tpd src/interp/br-con.lisp remove pairp
+20110916 tpd src/interp/apply.lisp remove pairp
+20110916 tpd books/bookvol9 remove pairp
+20110916 tpd books/bookvol5 remove pairp
+20110916 tpd books/bookvol10.3 remove pairp
 20110911 mxr src/axiom-website/patches.html 20110911.02.mxr.patch
 20110911 mxr books/bookvol10.3 upgrade GOPT
 20110911 tpd src/axiom-website/patches.html 20110911.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 62572a6..1c0fbea 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3620,5 +3620,7 @@ books/bookvol10.3 add BasicStochasticDifferential domain, Wilfrid Kendall<br/>
 books/bookvol10.3 add StochasticDifferential<br/>
 <a href="patches/20110911.02.mxr.patch">20110911.02.mxr.patch</a>
 books/bookvol10.3 upgrade GOPT<br/>
+<a href="patches/20110916.01.tpd.patch">20110916.01.tpd.patch</a>
+src/interp/vmlisp.lisp remove pairp<br/>
  </body>
 </html>
diff --git a/src/interp/apply.lisp.pamphlet b/src/interp/apply.lisp.pamphlet
index bf39f1d..44559ea 100644
--- a/src/interp/apply.lisp.pamphlet
+++ b/src/interp/apply.lisp.pamphlet
@@ -41,13 +41,13 @@
                                  (PROGN (SETQ |map| (CAR T1)) NIL))
                              (NREVERSE0 T0))
                           (SEQ (EXIT (COND
-                                       ((AND (PAIRP |map|)
+                                       ((AND (CONSP |map|)
                                          (PROGN
                                            (SETQ TMP1 (QCAR |map|))
-                                           (AND (PAIRP TMP1)
+                                           (AND (CONSP TMP1)
                                             (PROGN
                                               (SETQ TMP2 (QCDR TMP1))
-                                              (AND (PAIRP TMP2)
+                                              (AND (CONSP TMP2)
                                                (EQ (QCDR TMP2) NIL)
                                                (PROGN
                                                  (SETQ |target|
@@ -55,15 +55,15 @@
                                                  T)))))
                                          (PROGN
                                            (SETQ TMP3 (QCDR |map|))
-                                           (AND (PAIRP TMP3)
+                                           (AND (CONSP TMP3)
                                             (EQ (QCDR TMP3) NIL)
                                             (PROGN
                                               (SETQ TMP4 (QCAR TMP3))
-                                              (AND (PAIRP TMP4)
+                                              (AND (CONSP TMP4)
                                                (PROGN
                                                  (SETQ TMP5
                                                   (QCDR TMP4))
-                                                 (AND (PAIRP TMP5)
+                                                 (AND (CONSP TMP5)
                                                   (EQ (QCDR TMP5) NIL)
                                                   (PROGN
                                                     (SETQ |fn|
@@ -133,7 +133,7 @@
 (DEFUN |transImplementation| (OP MAP FN)
   (SETQ FN (|genDeltaEntry| (CONS OP MAP)))
   (COND
-    ((AND (PAIRP FN) (EQ (QCAR FN) 'XLAM)) (CONS FN NIL))
+    ((AND (CONSP FN) (EQ (QCAR FN) 'XLAM)) (CONS FN NIL))
     (T (CONS '|call| (CONS FN NIL)))))
 
 ;compApply(sig,varl,body,argl,m,e) ==
@@ -214,10 +214,10 @@
         (COND
           ((PROGN
              (SETQ TMP1 (CAR T$))
-             (AND (PAIRP TMP1) (EQ (QCAR TMP1) 'QUOTE)
+             (AND (CONSP TMP1) (EQ (QCAR TMP1) 'QUOTE)
                   (PROGN
                     (SETQ TMP2 (QCDR TMP1))
-                    (AND (PAIRP TMP2) (EQ (QCDR TMP2) NIL)
+                    (AND (CONSP TMP2) (EQ (QCDR TMP2) NIL)
                          (EQUAL (QCAR TMP2) |m1|)))))
            NIL)
           (T (|compApplication| |op| |argl| |m| (CADDR T$) T$)))))))
@@ -251,10 +251,10 @@
       (SEQ (COND
              ((PROGN
                 (SETQ TMP1 (CADR T$))
-                (AND (PAIRP TMP1) (EQ (QCAR TMP1) '|Mapping|)
+                (AND (CONSP TMP1) (EQ (QCAR TMP1) '|Mapping|)
                      (PROGN
                        (SETQ TMP2 (QCDR TMP1))
-                       (AND (PAIRP TMP2)
+                       (AND (CONSP TMP2)
                             (PROGN
                               (SETQ |retm| (QCAR TMP2))
                               (SETQ |argml| (QCDR TMP2))
@@ -474,37 +474,37 @@
                             ((OR (BOOT-EQUAL |m'| |$Category|)
                                  (|isCategoryForm| |m'| |e|))
                              |form'|)
-                            ((AND (BOOT-EQUAL |op| '|elt|) (PAIRP |f|)
+                            ((AND (BOOT-EQUAL |op| '|elt|) (CONSP |f|)
                                   (EQ (QCAR |f|) 'XLAM)
                                   (IDENTP (SETQ |z| (CAR |argl|)))
                                   (SETQ |c|
                                         (|get| |z| '|condition| |e|))
-                                  (PAIRP |c|) (EQ (QCDR |c|) NIL)
+                                  (CONSP |c|) (EQ (QCDR |c|) NIL)
                                   (PROGN
                                     (SETQ TMP1 (QCAR |c|))
-                                    (AND (PAIRP TMP1)
+                                    (AND (CONSP TMP1)
                                      (EQ (QCAR TMP1) '|case|)
                                      (PROGN
                                        (SETQ TMP2 (QCDR TMP1))
-                                       (AND (PAIRP TMP2)
+                                       (AND (CONSP TMP2)
                                         (EQUAL (QCAR TMP2) |z|)
                                         (PROGN
                                           (SETQ TMP3 (QCDR TMP2))
-                                          (AND (PAIRP TMP3)
+                                          (AND (CONSP TMP3)
                                            (EQ (QCDR TMP3) NIL)
                                            (PROGN
                                              (SETQ |c1| (QCAR TMP3))
                                              T)))))))
-                                  (OR (AND (PAIRP |c1|)
+                                  (OR (AND (CONSP |c1|)
                                        (EQ (QCAR |c1|) '|:|)
                                        (PROGN
                                          (SETQ TMP1 (QCDR |c1|))
-                                         (AND (PAIRP TMP1)
+                                         (AND (CONSP TMP1)
                                           (EQUAL (QCAR TMP1)
                                            (CADR |argl|))
                                           (PROGN
                                             (SETQ TMP2 (QCDR TMP1))
-                                            (AND (PAIRP TMP2)
+                                            (AND (CONSP TMP2)
                                              (EQ (QCDR TMP2) NIL)
                                              (EQUAL (QCAR TMP2) |m|))))))
                                       (EQ |c1| (CADR |argl|))))
@@ -839,15 +839,15 @@
                        (SETQ |f| (CAR TEMP1))
                        (SETQ |$bindings| (CADR TEMP1))
                        (COND
-                         ((AND (PAIRP |f|)
+                         ((AND (CONSP |f|)
                                (PROGN
                                  (SETQ |op1| (QCAR |f|))
                                  (SETQ TMP1 (QCDR |f|))
-                                 (AND (PAIRP TMP1)
+                                 (AND (CONSP TMP1)
                                       (PROGN
                                         (SETQ |d| (QCAR TMP1))
                                         (SETQ TMP2 (QCDR TMP1))
-                                        (AND (PAIRP TMP2)
+                                        (AND (CONSP TMP2)
                                          (EQ (QCDR TMP2) NIL)))))
                                (|member| |op1| '(ELT CONST |Subsumed|)))
                           (CONS (|genDeltaEntry| (CONS |op| |modemap|))
@@ -897,7 +897,7 @@
  (declare (special |$Information| |$e|))
   (cond
    ((boot-equal cexpr t) t)
-   ((and (pairp cexpr) 
+   ((and (consp cexpr) 
          (eq (qcar cexpr) 'and)
          (progn (setq l (qcdr cexpr)) t))
      (prog (t0)
@@ -906,7 +906,7 @@
        (do ((t1 nil (null t0)) (t2 l (cdr t2)) (u nil))
            ((or t1 (atom t2) (progn (setq u (car t2)) nil)) t0)
         (setq t0 (and t0 (|compMapCond''| u dc)))))))
-   ((and (pairp cexpr) 
+   ((and (consp cexpr) 
          (eq (qcar cexpr) 'or)
          (progn (setq l (qcdr cexpr)) t))
     (prog (t3)
@@ -915,22 +915,22 @@
       (do ((t4 nil t3) (t5 l (cdr t5)) (u nil))
           ((or t4 (atom t5) (progn (setq u (car t5)) nil)) t3)
          (setq t3 (or t3 (|compMapCond''| u dc)))))))
-   ((and (pairp cexpr)
+   ((and (consp cexpr)
          (eq (qcar cexpr) '|not|)
          (progn 
           (setq tmp1 (qcdr cexpr))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (eq (qcdr tmp1) nil)
                (progn (setq u (qcar tmp1)) t))))
      (null (|compMapCond''| u dc)))
-   ((and (pairp cexpr)
+   ((and (consp cexpr)
          (eq (qcar cexpr) '|has|)
          (progn
           (setq tmp1 (qcdr cexpr))
-          (and (pairp tmp1)
+          (and (consp tmp1)
                (progn
                 (setq tmp2 (qcdr tmp1))
-                (and (pairp tmp2)
+                (and (consp tmp2)
                      (eq (qcdr tmp2) nil))))))
      (cond
       ((|knownInfo| cexpr) t)
diff --git a/src/interp/br-con.lisp.pamphlet b/src/interp/br-con.lisp.pamphlet
index 4329cb0..9ca91e7 100644
--- a/src/interp/br-con.lisp.pamphlet
+++ b/src/interp/br-con.lisp.pamphlet
@@ -392,7 +392,7 @@
         (COND
           (|conlist| (|htSay| "belong to ")
               (COND
-                ((AND (PAIRP |conlist|) (EQ (QCDR |conlist|) NIL)
+                ((AND (CONSP |conlist|) (EQ (QCDR |conlist|) NIL)
                       (PROGN (SPADLET |u| (QCAR |conlist|)) 'T))
                  (|htSay| "category ")
                  (|bcConform| (CAR |u|)) (|bcPred| (CDR |u|)))
@@ -492,7 +492,7 @@
       (SEQ (COND
              (|domname|
                  (SUBLISLIS (CDR |domname|) (CDR |conform|) |typeForm|))
-             ((AND (PAIRP |typeForm|) (EQ (QCAR |typeForm|) '|Join|)
+             ((AND (CONSP |typeForm|) (EQ (QCAR |typeForm|) '|Join|)
                    (PROGN (SPADLET |r| (QCDR |typeForm|)) 'T))
               (CONS '|Join|
                     (PROG (G165906)
@@ -545,7 +545,7 @@
                ((OR (ATOM G165951)
                     (PROGN (SETQ |x| (CAR G165951)) NIL))
                 NIL)
-             (SEQ (IF (AND (NULL (AND (PAIRP |x|)
+             (SEQ (IF (AND (NULL (AND (CONSP |x|)
                                       (PROGN
                                         (SPADLET |op1| (QCAR |x|))
                                         'T)))
@@ -604,10 +604,10 @@
                            (PROGN (SETQ |x| (CAR G166013)) NIL))
                        NIL)
                     (SEQ (SPADLET |domlist| (IFCDR |domlist|))
-                         (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'CATEGORY)
+                         (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'CATEGORY)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |r| (QCDR |ISTMP#1|))
                                        'T))))
@@ -654,7 +654,7 @@
   (PROG (|op| |r|)
     (RETURN
       (COND
-        ((AND (PAIRP |conform|)
+        ((AND (CONSP |conform|)
               (PROGN
                 (SPADLET |op| (QCAR |conform|))
                 (SPADLET |r| (QCDR |conform|))
@@ -702,7 +702,7 @@
         (SPADLET |domname|
                  (|kDomainName| |htPage| |kind| |name| |nargs|))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T
            (SPADLET |heading|
@@ -776,7 +776,7 @@
              (SPADLET |domname|
                       (|kDomainName| |htPage| |kind| |name| |nargs|))
              (COND
-               ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+               ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
                 (|errorPage| |htPage| |domname|))
                ('T (|htpSetProperty| |htPage| '|domname| |domname|)
                 (SPADLET |$conformsAreDomains| |domname|)
@@ -1032,7 +1032,7 @@
         (SPADLET |domname|
                  (|kDomainName| |htPage| |kind| |name| |nargs|))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T
            (SPADLET |heading|
@@ -1268,7 +1268,7 @@
         (SPADLET |domname|
                  (|kDomainName| |htPage| |kind| |name| |nargs|))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T (SPADLET |conform| (|htpProperty| |htPage| '|conform|))
            (SPADLET |conname| (|opOf| |conform|))
@@ -1542,7 +1542,7 @@
         (SPADLET |domname|
                  (|kDomainName| |htPage| |kind| |name| |nargs|))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T
            (SPADLET |heading|
@@ -1677,7 +1677,7 @@
         (SPADLET |domname|
                  (|kDomainName| |htPage| |kind| |name| |nargs|))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T
            (SPADLET |heading|
@@ -1744,7 +1744,7 @@
         (SPADLET |domname|
                  (|kDomainName| |htPage| |kind| |name| |nargs|))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T
            (SPADLET |heading|
@@ -1813,7 +1813,7 @@
                                         ((PROGN
                                            (SPADLET |ISTMP#1|
                                             (|extractHasArgs| |p|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (SPADLET |a|
                                                (QCAR |ISTMP#1|))
@@ -2040,7 +2040,7 @@
              (SPADLET |domname|
                       (|kDomainName| |htPage| |kind| |name| |nargs|))
              (COND
-               ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+               ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
                 (|errorPage| |htPage| |domname|))
                ('T
                 (SPADLET |heading|
@@ -2390,10 +2390,10 @@
                   (SPADLET |ISTMP#1|
                            (CATCH 'SPAD_READER
                              (|processInteractive| |typeForm| NIL)))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |h| (QCAR |ISTMP#2|))
                                 'T)))
@@ -2719,7 +2719,7 @@
                                     (SPADLET |u|
                                      (|htpProperty| |htPage|
                                       '|domname|)))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQUAL (QCAR |ISTMP#1|) |conname|)))
                          (OR (BOOT-EQUAL
                                  (|htpProperty| |htPage|
@@ -2730,7 +2730,7 @@
                     |u|)
                    ('T (|kDomainName| |htPage| |kind| |name| |nargs|))))
         (COND
-          ((AND (PAIRP |domname|) (EQ (QCAR |domname|) '|error|))
+          ((AND (CONSP |domname|) (EQ (QCAR |domname|) '|error|))
            (|errorPage| |htPage| |domname|))
           ('T (|htpSetProperty| |htPage| '|domname| |domname|)
            (SPADLET |headingString|
@@ -3092,7 +3092,7 @@
              (SPADLET |doc| (CDR G167382))
              G167382
              (SEQ (IF (BOOT-EQUAL |$which| "attribute")
-                      (EXIT (AND (AND (PAIRP |sig|)
+                      (EXIT (AND (AND (CONSP |sig|)
                                       (EQ (QCAR |sig|) '|attribute|)
                                       (EQUAL (QCDR |sig|) |$sig|))
                                  |doc|)))
@@ -3108,7 +3108,7 @@
                                      (EXIT
                                       (SEQ
                                        (IF
-                                        (AND (PAIRP |doc|)
+                                        (AND (CONSP |doc|)
                                          (EQ (QCAR |doc|) '|constant|)
                                          (PROGN
                                            (SPADLET |r| (QCDR |doc|))
@@ -3158,10 +3158,10 @@
                      (DIGITP (ELT (SPADLET |s| (STRINGIMAGE |op|)) 0)))
                 (SPADLET |op| (|string2Integer| |s|))))
              (COND
-               ((AND (PAIRP |aux|)
+               ((AND (CONSP |aux|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |aux|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |packageName| (QCAR |ISTMP#1|))
                               'T)))
@@ -3240,10 +3240,10 @@
                      0)
                  (ELT |args| |n|))
                 ('T |u|)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|local|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|local|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
               (|dbSubConform| |args| |y|))
              ('T
@@ -3313,7 +3313,7 @@
                              (OR (IFCAR |options|)
                                  (|dbGetInputString| |htPage|))))
                 (COND
-                  ((AND (PAIRP |filter|) (EQ (QCAR |filter|) '|error|))
+                  ((AND (CONSP |filter|) (EQ (QCAR |filter|) '|error|))
                    (|bcErrorPage| |filter|))
                   ('T
                    (SPADLET |abbrev?|
@@ -3458,7 +3458,7 @@
                                          (SETQ G167564
                                           (CONS |item| G167564)))))))))))
              (COND
-               ((AND (PAIRP |conlist|) (EQ (QCDR |conlist|) NIL))
+               ((AND (CONSP |conlist|) (EQ (QCDR |conlist|) NIL))
                 (|conPage|
                     (COND
                       ((AND |htPage|
@@ -3497,7 +3497,7 @@
                                        (|dbConstructorKind| |x|)))))))))
                 (SPADLET |kind|
                          (COND
-                           ((AND (PAIRP |kinds|)
+                           ((AND (CONSP |kinds|)
                                  (EQ (QCDR |kinds|) NIL)
                                  (PROGN
                                    (SPADLET |a| (QCAR |kinds|))
@@ -3777,13 +3777,13 @@
                           (LASSOC '|constructor|
                                   (GETDATABASE |conname|
                                       'DOCUMENTATION)))
-                 (AND (PAIRP |ISTMP#1|)
+                 (AND (CONSP |ISTMP#1|)
                       (PROGN
                         (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                        (AND (PAIRP |ISTMP#2|) (NULL (QCAR |ISTMP#2|))
+                        (AND (CONSP |ISTMP#2|) (NULL (QCAR |ISTMP#2|))
                              (PROGN
                                (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                               (AND (PAIRP |ISTMP#3|)
+                               (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |line| (QCAR |ISTMP#3|))
                                       'T)))))))
@@ -4146,17 +4146,17 @@
   (PROG (|ISTMP#1| |ISTMP#2| |ISTMP#3| |r| |op| |u| |sig| |comments|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |opAlist|)
+             ((AND (CONSP |opAlist|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |opAlist|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |op| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |sig| (QCAR |ISTMP#3|))
                                       (SPADLET |r| (QCDR |ISTMP#3|))
@@ -4747,21 +4747,21 @@
                       (SPADLET |ISTMP#1|
                                (GETDATABASE |conname|
                                    'CONSTRUCTORMODEMAP))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (PROGN
                                        (SPADLET |t| (QCAR |ISTMP#3|))
                                        'T)))))))
-                    (PAIRP |t|) (EQ (QCAR |t|) 'CATEGORY)
+                    (CONSP |t|) (EQ (QCAR |t|) 'CATEGORY)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) '|package|))))
                (SPADLET |kind| '|package|)))
             (SPADLET |$kind|
@@ -4776,11 +4776,11 @@
                        ((PROGN
                           (SPADLET |ISTMP#1|
                                    (LASSOC '|constructor| |$doc|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN
                                  (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                                 (AND (PAIRP |ISTMP#2|)
+                                 (AND (CONSP |ISTMP#2|)
                                       (EQUAL (QCAR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |r| (QCDR |ISTMP#2|))
@@ -4871,10 +4871,10 @@
   (PROG (|ISTMP#1| |a| |r|)
     (RETURN
       (SEQ (IF (ATOM |x|) (EXIT |x|))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|Join|)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) '|Join|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |r| (QCDR |ISTMP#1|))
@@ -4882,7 +4882,7 @@
                (EXIT (CONS '|Join|
                            (CONS (|libConstructorSig,fn| |a|)
                                  (CONS '|etc| NIL)))))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'CATEGORY))
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'CATEGORY))
                (EXIT '|etc|))
            (EXIT (PROG (G168260)
                    (SPADLET G168260 NIL)
@@ -4984,7 +4984,7 @@
   (PROG (|head| |tail|)
     (RETURN
       (COND
-        ((AND (PAIRP |r|)
+        ((AND (CONSP |r|)
               (PROGN
                 (SPADLET |head| (QCAR |r|))
                 (SPADLET |tail| (QCDR |r|))
@@ -6025,10 +6025,10 @@
   (PROG (|r|)
     (RETURN
       (SEQ (IF (ATOM |x|) (EXIT NIL))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|Join|)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) '|Join|)
                     (PROGN (SPADLET |r| (QCDR |x|)) 'T))
                (EXIT (|getArgumentConstructors,fn| |r|)))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'CATEGORY)) (EXIT NIL))
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'CATEGORY)) (EXIT NIL))
            (IF (|constructor?| (CAR |x|))
                (EXIT (CONS (CAR |x|)
                            (|getArgumentConstructors,fn| (CDR |x|)))))
@@ -6089,7 +6089,7 @@
 (DEFUN |getImports,import| (|x| |template|)
   (PROG (|op| |args| |ISTMP#1| |x1| |x2|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |x|)
+      (SEQ (IF (AND (CONSP |x|)
                     (PROGN
                       (SPADLET |op| (QCAR |x|))
                       (SPADLET |args| (QCDR |x|))
@@ -6129,11 +6129,11 @@
                           (IF (BOOT-EQUAL |op| '|Union|)
                               (EXIT (SEQ
                                      (IF
-                                      (AND (PAIRP |args|)
+                                      (AND (CONSP |args|)
                                        (PROGN
                                          (SPADLET |ISTMP#1|
                                           (QCAR |args|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCAR |ISTMP#1|) '|:|)
                                           (PROGN
                                             (SPADLET |x1|
@@ -6242,7 +6242,7 @@
                                            (PROGN
                                              (SPADLET |ISTMP#1|
                                               (ELT |template| |i|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (PROGN
                                                 (SPADLET |op|
                                                  (QCAR |ISTMP#1|))
@@ -6409,14 +6409,14 @@
 (DEFUN |explodeIfs,gn| (|p| |a|)
   (PROG (|ISTMP#1| |q| |ISTMP#2| |b|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |a|) (EQ (QCAR |a|) 'IF)
+      (SEQ (IF (AND (CONSP |a|) (EQ (QCAR |a|) 'IF)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |a|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |q| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |b| (QCAR |ISTMP#2|))
                                     'T))))))
@@ -6453,18 +6453,18 @@
   (PROG (|ISTMP#1| |p| |ISTMP#2| |a| |ISTMP#3| |b|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IF)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'IF)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |p| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |a| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |b| (QCAR |ISTMP#3|))
@@ -6479,7 +6479,7 @@
 ;  u is ['SIGNATURE,:.] => nil
 ;  u is ['TYPE,:.] => nil
 ;  u is ['ATTRIBUTE,a] =>
-;    PAIRP a and constructor? opOf a => folks a
+;    CONSP a and constructor? opOf a => folks a
 ;    nil
 ;  u is ['IF,p,q,r] =>
 ;    q1 := folks q
@@ -6494,16 +6494,16 @@
     (RETURN
       (SEQ (COND
              ((ATOM |u|) NIL)
-             ((OR (AND (PAIRP |u|)
+             ((OR (AND (CONSP |u|)
                        (PROGN
                          (SPADLET |op| (QCAR |u|))
                          (SPADLET |v| (QCDR |u|))
                          'T)
                        (member |op| '(|Join| PROGN)))
-                  (AND (PAIRP |u|) (EQ (QCAR |u|) 'CATEGORY)
+                  (AND (CONSP |u|) (EQ (QCAR |u|) 'CATEGORY)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |u|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |a| (QCAR |ISTMP#1|))
                                 (SPADLET |v| (QCDR |ISTMP#1|))
@@ -6517,29 +6517,29 @@
                        G169264)
                     (SEQ (EXIT (SETQ G169264
                                      (APPEND G169264 (|folks| |x|)))))))))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'SIGNATURE)) NIL)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'TYPE)) NIL)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'ATTRIBUTE)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'SIGNATURE)) NIL)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'TYPE)) NIL)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'ATTRIBUTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
               (COND
-                ((AND (PAIRP |a|) (|constructor?| (|opOf| |a|)))
+                ((AND (CONSP |a|) (|constructor?| (|opOf| |a|)))
                  (|folks| |a|))
                 ('T NIL)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'IF)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'IF)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |p| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |q| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |r| (QCAR |ISTMP#3|))
@@ -6918,7 +6918,7 @@
                                      NIL))
                                (NREVERSE0 G169512))
                             (SEQ (EXIT (COND
-                                         ((AND (PAIRP |key|)
+                                         ((AND (CONSP |key|)
                                            (PROGN
                                              (SPADLET |anc|
                                               (QCAR |key|))
@@ -7226,7 +7226,7 @@
   (PROG (|.| |acc| |y| |r| |nd| |j|)
   (declare (special |$formals|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |x|) (PROGN (SPADLET |.| (QCDR |x|)) 'T))
+      (SEQ (IF (AND (CONSP |x|) (PROGN (SPADLET |.| (QCDR |x|)) 'T))
                (EXIT (SEQ (SPADLET |acc| NIL) (SPADLET |y| |x|)
                           (DO () ((NULL (NULL (ATOM |y|))) NIL)
                             (SEQ (SPADLET |acc|
@@ -7786,19 +7786,19 @@
              ((BOOT-EQUAL |u| '$) (|devaluate| |dollar|))
              ((AND (integerp |u|) (VECP (SPADLET |y| (ELT |dollar| |u|))))
               (|devaluate| |y|))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'NRTEVAL)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'NRTEVAL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
               (MKQ (|eval| |y|)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
               |u|)
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |op| (QCAR |u|))
                      (SPADLET |argl| (QCDR |u|))
@@ -7850,7 +7850,7 @@
                                          (SPADLET |ISTMP#1|
                                           (SPADLET |x|
                                            (ELT |catforms| |i|)))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCAR |ISTMP#1|)
                                            '|DomainSubstitutionMacro|)))))
                                  (SETQ G170158
@@ -7952,12 +7952,12 @@
                  ((NULL (AND |u|
                              (PROGN
                                (SPADLET |ISTMP#1| (CAR |u|))
-                               (AND (PAIRP |ISTMP#1|)
+                               (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |op| (QCAR |ISTMP#1|))
                                       (SPADLET |ISTMP#2|
                                        (QCDR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (PROGN
                                          (SPADLET |sig|
                                           (QCAR |ISTMP#2|))
@@ -7972,7 +7972,7 @@
              |u|)))))
 
 ;getDomainRefName(dom,nam) ==
-;  PAIRP nam => [getDomainRefName(dom,x) for x in nam]
+;  CONSP nam => [getDomainRefName(dom,x) for x in nam]
 ;  not FIXP nam => nam
 ;  slot := dom.nam
 ;  VECP slot => slot.0
@@ -7983,7 +7983,7 @@
   (PROG (|slot|)
     (RETURN
       (SEQ (COND
-             ((PAIRP |nam|)
+             ((CONSP |nam|)
               (PROG (G170266)
                 (SPADLET G170266 NIL)
                 (RETURN
@@ -7999,7 +7999,7 @@
              ('T (SPADLET |slot| (ELT |dom| |nam|))
               (COND
                 ((VECP |slot|) (ELT |slot| 0))
-                ((AND (PAIRP |slot|) (EQ (QCAR |slot|) 'SETELT))
+                ((AND (CONSP |slot|) (EQ (QCAR |slot|) 'SETELT))
                  (|getDomainRefName| |dom|
                      (|getDomainSeteltForm| |slot|)))
                 ('T |slot|))))))))
@@ -8015,14 +8015,14 @@
       (PROGN
         (SPADLET |form| (CADDDR G170299))
         (COND
-          ((AND (PAIRP |form|) (EQ (QCAR |form|) '|evalSlotDomain|)
+          ((AND (CONSP |form|) (EQ (QCAR |form|) '|evalSlotDomain|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |form|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |u| (QCAR |ISTMP#1|))
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (SPADLET |d| (QCAR |ISTMP#2|))
@@ -8135,18 +8135,18 @@
                                (SPADLET |ISTMP#1|
                                         (SPADLET |slot|
                                          (ELT |dom| |i|)))
-                               (AND (PAIRP |ISTMP#1|)
+                               (AND (CONSP |ISTMP#1|)
                                     (EQ (QCAR |ISTMP#1|) '|newGoGet|)
                                     (PROGN
                                       (SPADLET |ISTMP#2|
                                        (QCDR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (PROGN
                                          (SPADLET |dol|
                                           (QCAR |ISTMP#2|))
                                          (SPADLET |ISTMP#3|
                                           (QCDR |ISTMP#2|))
-                                         (AND (PAIRP |ISTMP#3|)
+                                         (AND (CONSP |ISTMP#3|)
                                           (PROGN
                                             (SPADLET |index|
                                              (QCAR |ISTMP#3|))
@@ -8203,11 +8203,11 @@
     (RETURN
       (COND
         ((VECP |x|) (|devaluate| |x|))
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |dollar| (QCAR |x|))
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |slotNumber| (QCAR |ISTMP#1|))
                        (SPADLET |form| (QCDR |ISTMP#1|))
@@ -8229,10 +8229,10 @@
              ((EQL |x| 0) (CONS '$ NIL))
              ((integerp |x|) (|formatLazyDomain| |dom| (ELT |dom| |x|)))
              ((ATOM |x|) |x|)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'NRTEVAL)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'NRTEVAL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
               (COND ((ATOM |y|) (CONS |y| NIL)) ('T |y|)))
              ('T
@@ -8390,7 +8390,7 @@
                              (|pmTransFilter|
                                  (|dbGetInputString| |htPage|))))
                 (COND
-                  ((AND (PAIRP |filter|) (EQ (QCAR |filter|) '|error|))
+                  ((AND (CONSP |filter|) (EQ (QCAR |filter|) '|error|))
                    (|bcErrorPage| |filter|))
                   ('T
                    (SPADLET |opAlist|
@@ -8653,11 +8653,11 @@
                 (SPADLET |opAlist|
                          (|dbSelectData| |htPage| |opAlist| |key|))))
              (COND
-               ((AND (INTEGERP |key|) (PAIRP |opAlist|)
+               ((AND (INTEGERP |key|) (CONSP |opAlist|)
                      (EQ (QCDR |opAlist|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |opAlist|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |con| (QCAR |ISTMP#1|))
                               'T)))
@@ -9178,19 +9178,19 @@
                                        (PROGN
                                          (SPADLET |keyword|
                                           (COND
-                                            ((AND (PAIRP |x|)
+                                            ((AND (CONSP |x|)
                                               (EQ (QCAR |x|) '|:|)
                                               (PROGN
                                                 (SPADLET |ISTMP#1|
                                                  (QCDR |x|))
-                                                (AND (PAIRP |ISTMP#1|)
+                                                (AND (CONSP |ISTMP#1|)
                                                  (PROGN
                                                    (SPADLET |y|
                                                     (QCAR |ISTMP#1|))
                                                    (SPADLET |ISTMP#2|
                                                     (QCDR |ISTMP#1|))
                                                    (AND
-                                                    (PAIRP |ISTMP#2|)
+                                                    (CONSP |ISTMP#2|)
                                                     (EQ
                                                      (QCDR |ISTMP#2|)
                                                      NIL)
@@ -9222,13 +9222,13 @@
                                               (|sublisFormal| |args|
                                                |atype|))
                                              (COND
-                                               ((AND (PAIRP |x|)
+                                               ((AND (CONSP |x|)
                                                  (EQ (QCAR |x|) 'QUOTE)
                                                  (PROGN
                                                    (SPADLET |ISTMP#1|
                                                     (QCDR |x|))
                                                    (AND
-                                                    (PAIRP |ISTMP#1|)
+                                                    (CONSP |ISTMP#1|)
                                                     (EQ
                                                      (QCDR |ISTMP#1|)
                                                      NIL)
@@ -9401,13 +9401,13 @@
                                               |atype|))
                                             (SPADLET |arg|
                                              (COND
-                                               ((AND (PAIRP |x|)
+                                               ((AND (CONSP |x|)
                                                  (EQ (QCAR |x|) 'QUOTE)
                                                  (PROGN
                                                    (SPADLET |ISTMP#1|
                                                     (QCDR |x|))
                                                    (AND
-                                                    (PAIRP |ISTMP#1|)
+                                                    (CONSP |ISTMP#1|)
                                                     (EQ
                                                      (QCDR |ISTMP#1|)
                                                      NIL)
@@ -9710,11 +9710,11 @@
                                            ('T (ELT |r| 1))))
                                         (SPADLET |tail|
                                          (COND
-                                           ((AND (PAIRP |item|)
+                                           ((AND (CONSP |item|)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |item|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCAR |ISTMP#1|)
                                                  'ASCONST))))
                                             'ASCONST)
@@ -10061,7 +10061,7 @@
                                                           (EXIT
                                                            (COND
                                                              ((AND
-                                                               (PAIRP
+                                                               (CONSP
                                                                 |x|)
                                                                (PROGN
                                                                  (SPADLET
@@ -10069,7 +10069,7 @@
                                                                   (QCAR
                                                                    |x|))
                                                                  (AND
-                                                                  (PAIRP
+                                                                  (CONSP
                                                                    |ISTMP#1|)
                                                                   (EQUAL
                                                                    (QCAR
@@ -10081,7 +10081,7 @@
                                                                      (QCDR
                                                                     |ISTMP#1|))
                                                                     (AND
-                                                                     (PAIRP
+                                                                     (CONSP
                                                                      |ISTMP#2|)
                                                                      (EQUAL
                                                                       (QCAR
@@ -10124,7 +10124,7 @@
                                       NIL))
                                 (NREVERSE0 G171512))
                              (SEQ (EXIT (COND
-                                          ((AND (PAIRP |x|)
+                                          ((AND (CONSP |x|)
                                             (EQUAL (QCAR |x|) |sig|))
                                            (SETQ G171512
                                             (CONS |x| G171512))))))))))
@@ -10905,14 +10905,14 @@
                        |condata|)))
              (SPADLET |base| (SPADDIFFERENCE 8192))
              (SPADLET |exactlyOneOpSig|
-                      (AND (PAIRP |opAlist|) (EQ (QCDR |opAlist|) NIL)
+                      (AND (CONSP |opAlist|) (EQ (QCDR |opAlist|) NIL)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCAR |opAlist|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (PROGN
                                     (SPADLET |ISTMP#2|
                                      (QCDR |ISTMP#1|))
-                                    (AND (PAIRP |ISTMP#2|)
+                                    (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)))))))
              (|htSaySaturn| "\\begin{description}")
              (DO ((G171988 |opAlist| (CDR G171988))
@@ -11588,7 +11588,7 @@
                                               "operation")
                                              (COND
                                                ((NULL
-                                                 (AND (PAIRP |sig|)
+                                                 (AND (CONSP |sig|)
                                                   (EQ (QCAR |sig|)
                                                    '|Mapping|)))
                                                 (|sayBrightly|
@@ -11690,11 +11690,11 @@
                                          ('T
                                           (SPADLET |u|
                                            (COND
-                                             ((AND (PAIRP |tail|)
+                                             ((AND (CONSP |tail|)
                                                (PROGN
                                                  (SPADLET |ISTMP#1|
                                                   (QCDR |tail|))
-                                                 (AND (PAIRP |ISTMP#1|)
+                                                 (AND (CONSP |ISTMP#1|)
                                                   (PROGN
                                                     (SPADLET |origin|
                                                      (QCAR |ISTMP#1|))
@@ -11769,11 +11769,11 @@
                                   G172408)
                                (SEQ (EXIT
                                      (COND
-                                       ((AND (PAIRP |y|)
+                                       ((AND (CONSP |y|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCAR |y|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQ (QCAR |ISTMP#1|)
                                              '|attribute|)
                                             (EQUAL (QCDR |ISTMP#1|)
@@ -11807,7 +11807,7 @@
 (DEFUN |evalableConstructor2HtString,unquote| (|arg|)
   (PROG (|f| |args|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |arg|)
+      (SEQ (IF (AND (CONSP |arg|)
                     (PROGN
                       (SPADLET |f| (QCAR |arg|))
                       (SPADLET |args| (QCDR |arg|))
@@ -11949,10 +11949,10 @@
                  (SPADLET |$fortInts2Floats| NIL)
                  (SPADLET |form| (|niladicHack| |form|))
                  (COND
-                   ((AND (PAIRP |form|) (EQ (QCAR |form|) 'QUOTE)
+                   ((AND (CONSP |form|) (EQ (QCAR |form|) 'QUOTE)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |form|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |a| (QCAR |ISTMP#1|))
@@ -11974,21 +11974,21 @@
                                     (EXIT
                                      (SETQ G172582
                                       (STRCONC G172582 G172529)))))))))
-                   ((AND (PAIRP |form|) (EQ (QCAR |form|) 'BRACKET)
+                   ((AND (CONSP |form|) (EQ (QCAR |form|) 'BRACKET)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |form|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCAR |ISTMP#2|) 'AGGLST)
                                        (PROGN
                                          (SPADLET |arg|
                                           (QCDR |ISTMP#2|))
                                          'T))))))
                     (COND
-                      ((AND (PAIRP |arg|)
+                      ((AND (CONSP |arg|)
                             (EQ (QCAR |arg|) '|construct|)
                             (PROGN (SPADLET |r| (QCDR |arg|)) 'T))
                        (SPADLET |arg| |r|)))
@@ -12012,13 +12012,13 @@
                                         (COND
                                           ((SPADLET |y|
                                             (COND
-                                              ((AND (PAIRP |x|)
+                                              ((AND (CONSP |x|)
                                                 (EQ (QCAR |x|) 'QUOTE)
                                                 (PROGN
                                                   (SPADLET |ISTMP#1|
                                                    (QCDR |x|))
                                                   (AND
-                                                   (PAIRP |ISTMP#1|)
+                                                   (CONSP |ISTMP#1|)
                                                    (EQ (QCDR |ISTMP#1|)
                                                     NIL)
                                                    (PROGN
@@ -12049,24 +12049,24 @@
                                         (STRINGIMAGE |x|))))))))))
                     (STRCONC "[" (STRINGIMAGE (CAR |arg|))
                              |tailPart| "]"))
-                   ((AND (PAIRP |form|) (EQ (QCAR |form|) 'BRACKET)
+                   ((AND (CONSP |form|) (EQ (QCAR |form|) 'BRACKET)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |form|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCAR |ISTMP#2|) 'AGGLST)
                                        (PROGN
                                          (SPADLET |ISTMP#3|
                                           (QCDR |ISTMP#2|))
-                                         (AND (PAIRP |ISTMP#3|)
+                                         (AND (CONSP |ISTMP#3|)
                                           (EQ (QCAR |ISTMP#3|) 'QUOTE)
                                           (PROGN
                                             (SPADLET |ISTMP#4|
                                              (QCDR |ISTMP#3|))
-                                            (AND (PAIRP |ISTMP#4|)
+                                            (AND (CONSP |ISTMP#4|)
                                              (EQ (QCDR |ISTMP#4|) NIL)
                                              (PROGN
                                                (SPADLET |arg|
@@ -12119,7 +12119,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |form|) |form|)
-             ((AND (PAIRP |form|) (EQ (QCDR |form|) NIL)
+             ((AND (CONSP |form|) (EQ (QCDR |form|) NIL)
                    (PROGN (SPADLET |x| (QCAR |form|)) 'T)
                    (GETL |x| 'NILADIC))
               |x|)
@@ -12361,7 +12361,7 @@
   (PROG (|op| |argl| |k| |arg| |a| |attPredIndex|)
   (declare (special |$predicateList|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |pred|)
+      (SEQ (IF (AND (CONSP |pred|)
                     (PROGN
                       (SPADLET |op| (QCAR |pred|))
                       (SPADLET |argl| (QCDR |pred|))
@@ -12473,7 +12473,7 @@
 (DEFUN |evalDomainOpPred,convert| (|dom| |pred|)
   (PROG (|op| |argl| |arg| |p| |ISTMP#1| |a|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |pred|)
+      (SEQ (IF (AND (CONSP |pred|)
                     (PROGN
                       (SPADLET |op| (QCAR |pred|))
                       (SPADLET |argl| (QCDR |pred|))
@@ -12535,11 +12535,11 @@
                                        (SPADLET |p| (CADR |argl|))
                                        |argl|)
                                      (IF
-                                      (AND (PAIRP |p|)
+                                      (AND (CONSP |p|)
                                        (EQ (QCAR |p|) 'ATTRIBUTE)
                                        (PROGN
                                          (SPADLET |ISTMP#1| (QCDR |p|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |a|
@@ -12613,10 +12613,10 @@
   (PROG (|kind| |ISTMP#2| |middle| |ISTMP#1| |r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'CATEGORY)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'CATEGORY)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |kind| (QCAR |ISTMP#1|))
                             (SPADLET |r| (QCDR |ISTMP#1|))
@@ -12639,14 +12639,14 @@
                              "an element of ")
                             ('T "a domain of ")))))
               (COND
-                ((AND (PAIRP |u|) (EQ (QCAR |u|) '|Join|)
+                ((AND (CONSP |u|) (EQ (QCAR |u|) '|Join|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |u|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                                'T)
-                             (PAIRP |ISTMP#2|)
+                             (CONSP |ISTMP#2|)
                              (PROGN
                                (SPADLET |r| (QCAR |ISTMP#2|))
                                (SPADLET |middle| (QCDR |ISTMP#2|))
@@ -12666,10 +12666,10 @@
                                    (|htSay| ", ")
                                    (|bcConform| |x| 'T)))))
                     (COND
-                      ((AND (PAIRP |r|) (EQ (QCAR |r|) 'CATEGORY)
+                      ((AND (CONSP |r|) (EQ (QCAR |r|) 'CATEGORY)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |r|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |r| (QCDR |ISTMP#1|))
                                      'T))))
@@ -12680,10 +12680,10 @@
                    ('T (|htSay| "category ")
                     (|bcConform| (CAR |middle|) 'T)
                     (COND
-                      ((AND (PAIRP |r|) (EQ (QCAR |r|) 'CATEGORY)
+                      ((AND (CONSP |r|) (EQ (QCAR |r|) 'CATEGORY)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |r|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |r| (QCDR |ISTMP#1|))
                                      'T))))
@@ -12728,17 +12728,17 @@
                   (SEQ (EXIT (PROGN
                                (|htSay| "\\newline ")
                                (COND
-                                 ((AND (PAIRP |x|)
+                                 ((AND (CONSP |x|)
                                        (EQ (QCAR |x|) 'SIGNATURE)
                                        (PROGN
                                          (SPADLET |ISTMP#1| (QCDR |x|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (PROGN
                                             (SPADLET |op|
                                              (QCAR |ISTMP#1|))
                                             (SPADLET |ISTMP#2|
                                              (QCDR |ISTMP#1|))
-                                            (AND (PAIRP |ISTMP#2|)
+                                            (AND (CONSP |ISTMP#2|)
                                              (EQ (QCDR |ISTMP#2|) NIL)
                                              (PROGN
                                                (SPADLET |sig|
@@ -12759,11 +12759,11 @@
                                        NIL))
                                   (|htSay| ": ")
                                   (|bcConform| (CONS '|Mapping| |sig|)))
-                                 ((AND (PAIRP |x|)
+                                 ((AND (CONSP |x|)
                                        (EQ (QCAR |x|) 'ATTRIBUTE)
                                        (PROGN
                                          (SPADLET |ISTMP#1| (QCDR |x|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |a|
@@ -12780,7 +12780,7 @@
                                             (CONS |s| NIL))))
                                          NIL))
                                        NIL)))
-                                 ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IF))
+                                 ((AND (CONSP |x|) (EQ (QCAR |x|) 'IF))
                                   (|htSay| "{\\em if ...}"))
                                  ('T (|systemError|))))))))))))))
 
@@ -12792,7 +12792,7 @@
   (PROG (|op| |u|)
     (RETURN
       (COND
-        ((AND (PAIRP |pred|)
+        ((AND (CONSP |pred|)
               (PROGN
                 (SPADLET |op| (QCAR |pred|))
                 (SPADLET |u| (QCDR |pred|))
@@ -12817,10 +12817,10 @@
   (PROG (|ISTMP#1| |target| |source| |op|)
     (RETURN
       (COND
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Mapping|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Mapping|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |target| (QCAR |ISTMP#1|))
                        (SPADLET |source| (QCDR |ISTMP#1|))
@@ -12830,7 +12830,7 @@
          (|htSayArgument| |target|))
         ((BOOT-EQUAL |t| '(|Category|))
          (|htSay| "a category"))
-        ((OR (AND (PAIRP |t|) (PROGN (SPADLET |op| (QCAR |t|)) 'T)
+        ((OR (AND (CONSP |t|) (PROGN (SPADLET |op| (QCAR |t|)) 'T)
                   (member |op| '(|Join| CATEGORY)))
              (|constructor?| (|opOf| |t|)))
          (|htSayConstructor| NIL |t|))
@@ -12948,7 +12948,7 @@
            (SPADLET |s| (SUBSTRING |doc| |k| (SPADDIFFERENCE |n| |k|)))
            (SPADLET |parse| (|ncParseFromString| |s|))
            (COND
-             ((AND (PAIRP |parse|) (EQUAL (QCAR |parse|) |op|)
+             ((AND (CONSP |parse|) (EQUAL (QCAR |parse|) |op|)
                    (BOOT-EQUAL (|#| |parse|) (|#| |sig|)))
               |parse|)))
           ('T NIL))))))
@@ -13048,7 +13048,7 @@
                     |$ElementList| |$DomainList|)) 
     (RETURN
       (COND
-        ((AND (PAIRP |typ|) (EQ (QCAR |typ|) '|Mapping|))
+        ((AND (CONSP |typ|) (EQ (QCAR |typ|) '|Mapping|))
          (SPADLET |x| (CAR |$FunctionList|))
          (SPADLET |$FunctionList| (CDR |$FunctionList|)) |x|)
         ('T (SPADLET |name| (|opOf| |typ|))
@@ -13133,10 +13133,10 @@
                       (PROGN (SETQ |x| (CAR G173242)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |x|)
+                            ((AND (CONSP |x|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |.| (QCDR |ISTMP#1|))
                                        'T))))
@@ -13165,13 +13165,13 @@
                                                (SEQ
                                                 (EXIT
                                                  (COND
-                                                   ((AND (PAIRP |y|)
+                                                   ((AND (CONSP |y|)
                                                      (PROGN
                                                        (SPADLET
                                                         |ISTMP#1|
                                                         (QCDR |y|))
                                                        (AND
-                                                        (PAIRP
+                                                        (CONSP
                                                          |ISTMP#1|)
                                                         (PROGN
                                                           (SPADLET |.|
@@ -13419,17 +13419,17 @@
                            "constructors use"))
               (SPADLET |suffix|
                        (COND
-                         ((AND (PAIRP |opAlist|)
+                         ((AND (CONSP |opAlist|)
                                (EQ (QCDR |opAlist|) NIL)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCAR |opAlist|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (PROGN
                                         (SPADLET |op1|
                                          (QCAR |ISTMP#1|))
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL))))))
                           (CONS " operation {\\em "
                                 (CONS (|escapeSpecialChars|
@@ -13633,7 +13633,7 @@
                                         (COND
                                           ((OR
                                             (NULL
-                                             (AND (PAIRP |item|)
+                                             (AND (CONSP |item|)
                                               (PROGN
                                                 (SPADLET |n|
                                                  (QCAR |item|))
@@ -13664,7 +13664,7 @@
                                                      (ELT |template|
                                                       |whereNumber|))
                                                     (AND
-                                                     (PAIRP |ISTMP#1|)
+                                                     (CONSP |ISTMP#1|)
                                                      (EQUAL
                                                       (QCAR |ISTMP#1|)
                                                       |$conname|))))
@@ -13762,12 +13762,12 @@
   (declare (special |$conname|))
     (RETURN
       (COND
-        ((AND (PAIRP |signumList|)
+        ((AND (CONSP |signumList|)
               (PROGN
                 (SPADLET |subject| (QCAR |signumList|))
                 (SPADLET |r| (QCDR |signumList|))
                 'T)
-              (PAIRP |sig|)
+              (CONSP |sig|)
               (PROGN
                 (SPADLET |pattern| (QCAR |sig|))
                 (SPADLET |s| (QCDR |sig|))
@@ -13780,7 +13780,7 @@
               ('T NIL)))
            ((BOOT-EQUAL |pattern| '$)
             (COND
-              ((AND (PAIRP |subject|)
+              ((AND (CONSP |subject|)
                     (EQUAL (QCAR |subject|) |$conname|))
                (|whoUsesMatch1?| |r| |s|
                    (CONS (CONS '$ |subject|) |al|)))
@@ -14740,7 +14740,7 @@
         (SPADLET |sig| (CDR |dcSig|))
         (SPADLET |partial?|
                  (COND
-                   ((AND (PAIRP |conds|) (EQ (QCAR |conds|) '|partial|)
+                   ((AND (CONSP |conds|) (EQ (QCAR |conds|) '|partial|)
                          (PROGN (SPADLET |r| (QCDR |conds|)) 'T))
                     (SPADLET |conds| |r|))
                    ('T NIL)))
@@ -14787,10 +14787,10 @@
   (PROG (|r|)
     (RETURN
       (COND
-        ((AND (PAIRP |conds|) (EQ (QCAR |conds|) 'OR)
+        ((AND (CONSP |conds|) (EQ (QCAR |conds|) 'OR)
               (PROGN (SPADLET |r| (QCDR |conds|)) 'T))
          (|modemap2SigConds| (CAR |r|)))
-        ((AND (PAIRP |conds|) (EQ (QCAR |conds|) 'AND)
+        ((AND (CONSP |conds|) (EQ (QCAR |conds|) 'AND)
               (PROGN (SPADLET |r| (QCDR |conds|)) 'T))
          |r|)
         ('T (CONS |conds| NIL))))))
@@ -14848,12 +14848,12 @@
                                    G174389)
                                 (SEQ (EXIT
                                       (COND
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (PROGN
                                             (SPADLET |k| (QCAR |x|))
                                             (SPADLET |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQUAL (QCAR |ISTMP#1|)
                                               |dc|)))
                                           (member |k|
@@ -14895,13 +14895,13 @@
   (PROG (|item| |r| |s| |LETTMP#1| |key| |v| |f|)
     (RETURN
       (COND
-        ((AND (PAIRP |u|)
+        ((AND (CONSP |u|)
               (PROGN
                 (SPADLET |item| (QCAR |u|))
                 (SPADLET |r| (QCDR |u|))
                 'T))
          (COND
-           ((AND (PAIRP |item|) (EQ (QCAR |item|) 'AND)
+           ((AND (CONSP |item|) (EQ (QCAR |item|) 'AND)
                  (PROGN (SPADLET |s| (QCDR |item|)) 'T))
             (SPADLET |LETTMP#1| (|getSigSubst| |s| |pl| |vl| |fl|))
             (SPADLET |pl| (CAR |LETTMP#1|))
@@ -15003,7 +15003,7 @@
                 (SPADLET |key| '|y|)))
              (SPADLET |filter| (|pmTransFilter| (STRINGIMAGE |s|)))
              (COND
-               ((AND (PAIRP |filter|) (EQ (QCAR |filter|) '|error|))
+               ((AND (CONSP |filter|) (EQ (QCAR |filter|) '|error|))
                 |filter|)
                ('T (SPADLET |pattern| (|mkGrepPattern| |filter| |key|))
                 (|grepConstructDo| |pattern| |key|))))))))
@@ -15209,7 +15209,7 @@
   (declare (special |$key|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pattern|)
+             ((AND (CONSP |pattern|)
                    (PROGN
                      (SPADLET |op| (QCAR |pattern|))
                      (SPADLET |argl| (QCDR |pattern|))
@@ -15217,7 +15217,7 @@
               (COND
                 ((BOOT-EQUAL |op| '|and|)
                  (DO ()
-                     ((NULL (AND (PAIRP |argl|)
+                     ((NULL (AND (CONSP |argl|)
                                  (PROGN
                                    (SPADLET |arg| (QCAR |argl|))
                                    (SPADLET |argl| (QCDR |argl|))
@@ -15337,7 +15337,7 @@
 (DEFUN |checkPmParse,fn| (|u|)
   (PROG (|op| |args|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |u|)
+      (SEQ (IF (AND (CONSP |u|)
                     (PROGN
                       (SPADLET |op| (QCAR |u|))
                       (SPADLET |args| (QCDR |u|))
@@ -15385,10 +15385,10 @@
 (DEFUN |dnForm,negate| (|s|)
   (PROG (|ISTMP#1| |argx|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |s|) (EQ (QCAR |s|) '|not|)
+      (SEQ (IF (AND (CONSP |s|) (EQ (QCAR |s|) '|not|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |s|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN
                              (SPADLET |argx| (QCAR |ISTMP#1|))
                              'T))))
@@ -15400,13 +15400,13 @@
     (RETURN
       (SEQ (COND
              ((STRINGP |x|) |x|)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|not|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|not|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |argl| (QCAR |ISTMP#1|)) 'T))))
               (COND
-                ((AND (PAIRP |argl|) (EQ (QCAR |argl|) '|or|)
+                ((AND (CONSP |argl|) (EQ (QCAR |argl|) '|or|)
                       (PROGN (SPADLET |orargs| (QCDR |argl|)) 'T))
                  (CONS '|and|
                        (PROG (G174703)
@@ -15424,7 +15424,7 @@
                                           (|dnForm|
                                            (|dnForm,negate| |u|))
                                           G174703)))))))))
-                ((AND (PAIRP |argl|) (EQ (QCAR |argl|) '|and|)
+                ((AND (CONSP |argl|) (EQ (QCAR |argl|) '|and|)
                       (PROGN (SPADLET |andargs| (QCDR |argl|)) 'T))
                  (CONS '|or|
                        (PROG (G174718)
@@ -15442,17 +15442,17 @@
                                           (|dnForm|
                                            (|dnForm,negate| |u|))
                                           G174718)))))))))
-                ((AND (PAIRP |argl|) (EQ (QCAR |argl|) '|not|)
+                ((AND (CONSP |argl|) (EQ (QCAR |argl|) '|not|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |argl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |notargl| (QCAR |ISTMP#1|))
                                'T))))
                  (|dnForm| |notargl|))
                 ('T |x|)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|or|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|or|)
                    (PROGN (SPADLET |argl1| (QCDR |x|)) 'T))
               (CONS '|or|
                     (PROG (G174733)
@@ -15467,7 +15467,7 @@
                              (NREVERSE0 G174733))
                           (SEQ (EXIT (SETQ G174733
                                       (CONS (|dnForm| |u|) G174733)))))))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|and|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|and|)
                    (PROGN (SPADLET |argl2| (QCDR |x|)) 'T))
               (CONS '|and|
                     (PROG (G174748)
@@ -15495,7 +15495,7 @@
 (DEFUN |pmParseFromString,flatten| (|s|)
   (PROG (|op| |argl|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |s|)
+      (SEQ (IF (AND (CONSP |s|)
                     (PROGN
                       (SPADLET |op| (QCAR |s|))
                       (SPADLET |argl| (QCDR |s|))
@@ -15705,7 +15705,7 @@
                                                                                "/algebra/libdb.text")))))
              (SPADLET CONS (SPADLET |atts| (SPADLET |doms| NIL)))
              (DO ()
-                 ((NULL (AND (PAIRP |lines|)
+                 ((NULL (AND (CONSP |lines|)
                              (PROGN
                                (SPADLET |line| (QCAR |lines|))
                                (SPADLET |lines| (QCDR |lines|))
@@ -15880,7 +15880,7 @@
   (declare (special |$options| |$wild1|))
     (RETURN
       (SEQ (SPADLET |one|
-                    (SEQ (IF (AND (AND (PAIRP |$options|)
+                    (SEQ (IF (AND (AND (CONSP |$options|)
                                        (PROGN
                                          (SPADLET |x|
                                           (QCAR |$options|))
@@ -15973,7 +15973,7 @@
   (PROG (|s| |ISTMP#1| |p| |r|)
   (declare (special |$wild1| |$options|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |sl|)
+      (SEQ (IF (AND (CONSP |sl|)
                     (PROGN
                       (SPADLET |s| (QCAR |sl|))
                       (SPADLET |r| (QCDR |sl|))
@@ -15984,10 +15984,10 @@
            (IF (NULL (member '|w| |$options|))
                (IF (NEQUAL (CAR |res|) "")
                    (SPADLET |res| (CONS "`" |res|))
-                   (IF (AND (AND (PAIRP |res|)
+                   (IF (AND (AND (CONSP |res|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |res|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |p| (QCAR |ISTMP#1|))
                                       (SPADLET |r| (QCDR |ISTMP#1|))
@@ -16104,13 +16104,13 @@
                                              (|sublisFormal| |args|
                                               |atype|))
                                             (COND
-                                              ((AND (PAIRP |x|)
+                                              ((AND (CONSP |x|)
                                                 (EQ (QCAR |x|) 'QUOTE)
                                                 (PROGN
                                                   (SPADLET |ISTMP#1|
                                                    (QCDR |x|))
                                                   (AND
-                                                   (PAIRP |ISTMP#1|)
+                                                   (CONSP |ISTMP#1|)
                                                    (EQ (QCDR |ISTMP#1|)
                                                     NIL)
                                                    (PROGN
@@ -16317,7 +16317,7 @@
                        (|grepConstruct| (STRINGIMAGE |filter|)
                            (INTERN "." "BOOT") 'T))
               (COND
-                ((AND (PAIRP |regSearchAlist|)
+                ((AND (CONSP |regSearchAlist|)
                       (EQ (QCAR |regSearchAlist|) '|error|))
                  (|bcErrorPage| |regSearchAlist|))
                 ('T (SPADLET |key| (|removeSurroundingStars| |filter|))
@@ -16326,7 +16326,7 @@
                        (SPADLET |docSearchAlist|
                                 (|grepConstruct| |key| '|w| 'T))
                        (COND
-                         ((AND (PAIRP |docSearchAlist|)
+                         ((AND (CONSP |docSearchAlist|)
                                (EQ (QCAR |docSearchAlist|) '|error|))
                           (|bcErrorPage| |docSearchAlist|))
                          ('T
@@ -16485,7 +16485,7 @@
                                                 (SETQ G175306
                                                  (CONS |pair|
                                                   G175306))))))))))
-                            (NULL (AND (PAIRP |nonEmpties|)
+                            (NULL (AND (CONSP |nonEmpties|)
                                        (EQ (QCDR |nonEmpties|) NIL)
                                        (PROGN
                                          (SPADLET |pair|
@@ -17003,7 +17003,7 @@
       (PROGN
         (SPADLET |item|
                  (COND
-                   ((AND (PAIRP |options|)
+                   ((AND (CONSP |options|)
                          (PROGN
                            (SPADLET |x| (QCAR |options|))
                            (SPADLET |options| (QCDR |options|))
@@ -17044,7 +17044,7 @@
               (SPADLET |docSearchAlist|
                        (|grepConstruct| |filter| '|w| 'T))
               (COND
-                ((AND (PAIRP |docSearchAlist|)
+                ((AND (CONSP |docSearchAlist|)
                       (EQ (QCAR |docSearchAlist|) '|error|))
                  (|bcErrorPage| |docSearchAlist|))
                 ('T
@@ -17214,25 +17214,25 @@
       (PROGN
         (|htSay| "{\\em ")
         (COND
-          ((AND (PAIRP |message|)
+          ((AND (CONSP |message|)
                 (PROGN
                   (SPADLET |leftEnd| (QCAR |message|))
                   (SPADLET |ISTMP#1| (QCDR |message|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |left| (QCAR |ISTMP#1|))
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |middle| (QCAR |ISTMP#2|))
                                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                (AND (PAIRP |ISTMP#3|)
+                                (AND (CONSP |ISTMP#3|)
                                      (PROGN
                                        (SPADLET |right|
                                         (QCAR |ISTMP#3|))
                                        (SPADLET |ISTMP#4|
                                         (QCDR |ISTMP#3|))
-                                       (AND (PAIRP |ISTMP#4|)
+                                       (AND (CONSP |ISTMP#4|)
                                         (EQ (QCDR |ISTMP#4|) NIL)
                                         (PROGN
                                           (SPADLET |rightEnd|
@@ -17544,7 +17544,7 @@
                                   (PROGN
                                     (SPADLET |ISTMP#1|
                                      (|string2Words| |filter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |s| (QCAR |ISTMP#1|))
@@ -17615,12 +17615,12 @@
                      ((NULL (PROGN
                               (SPADLET |ISTMP#1|
                                        (|dbWordFrom| |l| |i|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |w| (QCAR |ISTMP#1|))
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |i| (QCAR |ISTMP#2|))
@@ -17800,10 +17800,10 @@
   (PROG (|r| |count|)
     (RETURN
       (COND
-        ((AND (PAIRP |lines|) (EQ (QCAR |lines|) '|error|))
+        ((AND (CONSP |lines|) (EQ (QCAR |lines|) '|error|))
          (|bcErrorPage| |lines|))
         ((NULL |filter|) NIL)
-        ((AND (PAIRP |lines|) (EQ (QCAR |lines|) '|Abbreviations|)
+        ((AND (CONSP |lines|) (EQ (QCAR |lines|) '|Abbreviations|)
               (PROGN (SPADLET |r| (QCDR |lines|)) 'T))
          (|dbSearchAbbrev| |lines| |kind| |filter|))
         ('T
@@ -17874,10 +17874,10 @@
                                            (SETQ G176192
                                             (CONS |x| G176192))))))))))))
                 (COND
-                  ((AND (PAIRP |conlist|) (EQ (QCDR |conlist|) NIL)
+                  ((AND (CONSP |conlist|) (EQ (QCDR |conlist|) NIL)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCAR |conlist|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |nam| (QCAR |ISTMP#1|))
                                  'T))))
@@ -18182,7 +18182,7 @@
       (AND (PROGN
              (SPADLET |ISTMP#1|
                       (LASSOC |key| (|htpInputAreaAlist| |htPage|)))
-             (AND (PAIRP |ISTMP#1|)
+             (AND (CONSP |ISTMP#1|)
                   (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T)))
            (BOOT-EQUAL |a| " t")))))
 
@@ -18563,7 +18563,7 @@
              (SPADLET |dash| (|char| '-))
              (SPADLET |acc| NIL)
              (DO ()
-                 ((NULL (AND (PAIRP |lines|)
+                 ((NULL (AND (CONSP |lines|)
                              (PROGN
                                (SPADLET |line| (QCAR |lines|))
                                (SPADLET |lines| (QCDR |lines|))
@@ -18920,11 +18920,11 @@ $dbKindAlist :=
                             (SPADLET |a| (CAR |l|))
                             (SPADLET |b| (CADR |l|))
                             |l|)
-                          (IF (AND (AND (PAIRP |b|)
+                          (IF (AND (AND (CONSP |b|)
                                     (EQ (QCAR |b|) 'ATTRIBUTE)
                                     (PROGN
                                       (SPADLET |ISTMP#1| (QCDR |b|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (SPADLET |c| (QCAR |ISTMP#1|))
@@ -18938,7 +18938,7 @@ $dbKindAlist :=
   (PROG (|op| |l| |ISTMP#1| |iprec| |rename|)
   (declare (special |$precList| |$emList|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |x|)
+      (SEQ (IF (AND (CONSP |x|)
                     (PROGN
                       (SPADLET |op| (QCAR |x|))
                       (SPADLET |l| (QCDR |x|))
@@ -18946,7 +18946,7 @@ $dbKindAlist :=
                (EXIT (SEQ (IF (PROGN
                                 (SPADLET |ISTMP#1|
                                          (LASSOC |op| |$precList|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |iprec|
                                         (QCAR |ISTMP#1|))
@@ -19009,13 +19009,13 @@ $dbKindAlist :=
   (PROG (|ISTMP#1| |a| |r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
               |a|)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'LIST)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'LIST)
                    (PROGN (SPADLET |r| (QCDR |u|)) 'T))
               (PROG (G176584)
                 (SPADLET G176584 NIL)
@@ -19228,20 +19228,20 @@ $dbKindAlist :=
             (STRCONC "\"" (STRINGIMAGE |x|)
                      "\""))
            ('T (STRINGIMAGE |x|))))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
          (STRCONC "'" (|sexpr2LispString| |a|)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|:|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|:|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) 'T))))))
          (STRCONC (|form2LispString| |a|) ":"
                   (|form2LispString| |b|)))
@@ -19322,10 +19322,10 @@ $dbKindAlist :=
                  (CADAR (GETDATABASE |x| 'CONSTRUCTORMODEMAP)))
         (COND
           ((BOOT-EQUAL |target| '(|Category|)) '|category|)
-          ((AND (PAIRP |target|) (EQ (QCAR |target|) 'CATEGORY)
+          ((AND (CONSP |target|) (EQ (QCAR |target|) 'CATEGORY)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |target|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (EQ (QCAR |ISTMP#1|) '|package|))))
            '|package|)
           ((HGET |$defaultPackageNamesHT| |x|) '|default package|)
@@ -19477,7 +19477,7 @@ $dbKindAlist :=
   (PROG (|op| |argl|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |op| (QCAR |form|))
                      (SPADLET |argl| (QCDR |form|))
@@ -19761,11 +19761,11 @@ $dbKindAlist :=
                               (|firstTime| (SPADLET |firstTime| NIL))
                               ('T (|htSaySaturn| "&")))
                             (COND
-                              ((AND (PAIRP |x|)
+                              ((AND (CONSP |x|)
                                     (PROGN
                                       (SPADLET |con| (QCAR |x|))
                                       (SPADLET |ISTMP#1| (QCDR |x|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |abb|
                                           (QCAR |ISTMP#1|))
@@ -19832,7 +19832,7 @@ $dbKindAlist :=
                               ((PROGN
                                  (SPADLET |ISTMP#1|
                                           (|extractHasArgs| |pred|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (PROGN
                                         (SPADLET |arglist|
                                          (QCAR |ISTMP#1|))
@@ -19880,7 +19880,7 @@ $dbKindAlist :=
 (DEFUN |extractHasArgs,find| (|x|)
   (PROG (|op| |argl|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |x|)
+      (SEQ (IF (AND (CONSP |x|)
                     (PROGN
                       (SPADLET |op| (QCAR |x|))
                       (SPADLET |argl| (QCDR |x|))
@@ -19943,7 +19943,7 @@ $dbKindAlist :=
                (SEQ (EXIT (COND
                             ((NULL |pred|) '|skip|)
                             ((OR (BOOT-EQUAL |pred| 'T)
-                                 (AND (PAIRP |pred|)
+                                 (AND (CONSP |pred|)
                                       (EQ (QCAR |pred|) '|hasArgs|)))
                              (SPADLET |uncond| (CONS |pair| |uncond|)))
                             ('T (SPADLET |cond| (CONS |pair| |cond|)))))))
@@ -20078,12 +20078,12 @@ $dbKindAlist :=
              (|bcHt| "\\newline ")
              (SPADLET |count|
                       (COND
-                        ((AND (PAIRP |countOrPrefix|)
+                        ((AND (CONSP |countOrPrefix|)
                               (PROGN
                                 (SPADLET |ISTMP#1|
                                          (REVERSE |countOrPrefix|))
                                 'T)
-                              (PAIRP |ISTMP#1|)
+                              (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |c| (QCAR |ISTMP#1|))
                                 (SPADLET |prefix| (QCDR |ISTMP#1|))
@@ -20248,7 +20248,7 @@ $dbKindAlist :=
   (PROG (|r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|error|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|error|)
                    (PROGN (SPADLET |r| (QCDR |u|)) 'T))
               (|htInitPage| (CAR |r|) NIL) (|bcBlankLine|)
               (DO ((G177274 (CDR |r|) (CDR G177274)) (|x| NIL))
@@ -20618,7 +20618,7 @@ $dbKindAlist :=
                                                         (EXIT
                                                          (COND
                                                            ((AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |x|)
                                                              (PROGN
                                                                (SPADLET
@@ -20709,7 +20709,7 @@ $dbKindAlist :=
                                                           (EXIT
                                                            (COND
                                                              ((AND
-                                                               (PAIRP
+                                                               (CONSP
                                                                 |x|)
                                                                (PROGN
                                                                  (SPADLET
@@ -20982,7 +20982,7 @@ $dbKindAlist :=
                                    G177606)
                                 (SEQ (EXIT
                                       (COND
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (PROGN
                                             (SPADLET |sig1| (QCAR |x|))
                                             'T)
@@ -21044,19 +21044,19 @@ $dbKindAlist :=
                                          (EXIT
                                           (SETQ G177642
                                            (AND G177642
-                                            (AND (PAIRP |fn|)
+                                            (AND (CONSP |fn|)
                                              (EQ (QCAR |fn|) '|origin|)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |fn|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |orig|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)))))
                                              (OR
@@ -21128,16 +21128,16 @@ $dbKindAlist :=
                (SEQ (EXIT (PROGN
                             (SPADLET |LETTMP#1|
                                      (COND
-                                       ((AND (PAIRP |item|)
+                                       ((AND (CONSP |item|)
                                          (EQ (QCAR |item|) '|origin|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |item|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (SPADLET |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQ (QCDR |ISTMP#2|)
                                                 NIL)
                                                (PROGN
@@ -21236,7 +21236,7 @@ $dbKindAlist :=
   (PROG (|r| |sig1|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Join|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Join|)
                    (PROGN (SPADLET |r| (QCDR |t|)) 'T))
               (PROG (G177819)
                 (SPADLET G177819 NIL)
@@ -21249,7 +21249,7 @@ $dbKindAlist :=
                     (SEQ (EXIT (SETQ G177819
                                      (OR G177819
                                       (|dbInfoOrigin| |op| |sig| |x|)))))))))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) 'CATEGORY)) NIL)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) 'CATEGORY)) NIL)
              ((PROG (G177838)
                 (SPADLET G177838 NIL)
                 (RETURN
@@ -21345,14 +21345,14 @@ $dbKindAlist :=
         (SPADLET |item| (ELT |alist| |binkey|))
         (SPADLET |alist|
                  (COND
-                   ((AND (PAIRP |item|) (EQ (QCAR |item|) '|origin|)
+                   ((AND (CONSP |item|) (EQ (QCAR |item|) '|origin|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |item|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |origin| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |s| (QCAR |ISTMP#2|))
@@ -21597,7 +21597,7 @@ $dbKindAlist :=
                                                 (SETQ G178111
                                                  (AND G178111
                                                   (OR
-                                                   (AND (PAIRP |item|)
+                                                   (AND (CONSP |item|)
                                                     (PROGN
                                                       (SPADLET |sig|
                                                        (QCAR |item|))
@@ -21879,12 +21879,12 @@ $dbKindAlist :=
 ;bcHt line ==
 ;  $newPage =>  --this path affects both saturn and old lines
 ;    text :=
-;      PAIRP line => [['text, :line]]
+;      CONSP line => [['text, :line]]
 ;      STRINGP line => line
 ;      [['text, line]]
 ;    if $saturn then htpAddToPageDescription($saturnPage, text)
 ;    if $standard then htpAddToPageDescription($curPage, text)
-;  PAIRP line =>
+;  CONSP line =>
 ;    $htLineList := NCONC(nreverse mapStringize COPY_-LIST line, $htLineList)
 ;  $htLineList := [basicStringize line, :$htLineList]
 
@@ -21897,7 +21897,7 @@ $dbKindAlist :=
         (|$newPage|
             (SPADLET |text|
                      (COND
-                       ((PAIRP |line|)
+                       ((CONSP |line|)
                         (CONS (CONS '|text| |line|) NIL))
                        ((STRINGP |line|) |line|)
                        ('T (CONS (CONS '|text| (CONS |line| NIL)) NIL))))
@@ -21908,7 +21908,7 @@ $dbKindAlist :=
               (|$standard|
                   (|htpAddToPageDescription| |$curPage| |text|))
               ('T NIL)))
-        ((PAIRP |line|)
+        ((CONSP |line|)
          (SPADLET |$htLineList|
                   (NCONC (NREVERSE (|mapStringize| (COPY-LIST |line|)))
                          |$htLineList|)))
@@ -22538,7 +22538,7 @@ $dbKindAlist :=
                                      ((STRINGP |u|) |u|)
                                      ((ATOM |u|) (STRINGIMAGE |u|))
                                      ((STRINGP (CAR |u|)) |u|)
-                                     ((AND (PAIRP |u|)
+                                     ((AND (CONSP |u|)
                                        (EQ (QCAR |u|) '|text|)
                                        (PROGN
                                          (SPADLET |s| (QCDR |u|))
@@ -22603,22 +22603,22 @@ $dbKindAlist :=
                 |text| |fs| |y| |t1| |t2| |t| |ISTMP#1| |r|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCDR |x|) NIL)
+        ((AND (CONSP |x|) (EQ (QCDR |x|) NIL)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |kind| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (PROGN
                                      (SPADLET |s1| (QCAR |ISTMP#3|))
                                      (SPADLET |ISTMP#4|
                                       (QCDR |ISTMP#3|))
-                                     (AND (PAIRP |ISTMP#4|)
+                                     (AND (CONSP |ISTMP#4|)
                                       (PROGN
                                         (SPADLET |s2| (QCAR |ISTMP#4|))
                                         (SPADLET |callTail|
@@ -22640,10 +22640,10 @@ $dbKindAlist :=
                    (CONS |t1| (CONS |t2| (CONS |text| NIL)))))))
            ('T (SPADLET |t| (|mkDocLink| |fs| |s1|))
             (APPEND |t| |text|))))
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|text|)
+                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|text|)
                      (PROGN (SPADLET |r| (QCDR |ISTMP#1|)) 'T))))
          |r|)
         ('T (|error| NIL))))))
@@ -22715,19 +22715,19 @@ $dbKindAlist :=
       (COND
         ((STRINGP |x|) (CONS (|unTab| |x|) NIL))
         ((NULL |x|) NIL)
-        ((AND (PAIRP |r|)
+        ((AND (CONSP |r|)
               (PROGN
                 (SPADLET |s| (QCAR |r|))
                 (SPADLET |ISTMP#1| (QCDR |r|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |fn| (QCAR |ISTMP#1|)) 'T)))
               (BOOT-EQUAL |s| "\\unixcommand{"))
          (CONS "{\\it "
                (CONS |s| (CONS ".spad}" NIL))))
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|text|)
+                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|text|)
                      (PROGN (SPADLET |s| (QCDR |ISTMP#1|)) 'T)))
               (PROGN (SPADLET |r| (QCDR |x|)) 'T))
          (|unTab| (APPEND |s| (|saturnTranText| |r|))))
@@ -22754,7 +22754,7 @@ $dbKindAlist :=
     (RETURN
       (OR (LASSOC |callTail| |$callTailList|)
           (COND
-            ((AND (PAIRP |callTail|) (EQ (QCDR |callTail|) NIL)
+            ((AND (CONSP |callTail|) (EQ (QCDR |callTail|) NIL)
                   (PROGN (SPADLET |fn| (QCAR |callTail|)) 'T))
              |callTail|)
             ('T (|error| NIL)))))))
@@ -24588,7 +24588,7 @@ $dbKindAlist :=
                             (SPADLET |odd| (NULL |odd|))
                             (SPADLET |argstring|
                                      (COND
-                                       ((AND (PAIRP |$conArgstrings|)
+                                       ((AND (CONSP |$conArgstrings|)
                                          (PROGN
                                            (SPADLET |a|
                                             (QCAR |$conArgstrings|))
@@ -24686,16 +24686,16 @@ $dbKindAlist :=
                             (|htSaySaturnAmpersand|)
                             (SPADLET |typeForm|
                                      (COND
-                                       ((AND (PAIRP |t|)
+                                       ((AND (CONSP |t|)
                                          (EQ (QCAR |t|) '|:|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |t|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (SPADLET |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQ (QCDR |ISTMP#2|)
                                                 NIL)
                                                (PROGN
@@ -25010,7 +25010,7 @@ $dbKindAlist :=
                     ('T (|htpProperty| |htPage| '|attrAlist|))))
          (SPADLET |empty?| (NULL |opAlist|))
          (SPADLET |one?|
-                  (AND (PAIRP |opAlist|) (EQ (QCDR |opAlist|) NIL)
+                  (AND (CONSP |opAlist|) (EQ (QCDR |opAlist|) NIL)
                        (PROGN (SPADLET |entry| (QCAR |opAlist|)) 'T)
                        (EQL 2 (|#| |entry|))))
          (SPADLET |one?| (OR |empty?| |one?|)) (|htBeginTable|)
@@ -25285,7 +25285,7 @@ $dbKindAlist :=
                    ('T (|htpProperty| |htPage| '|attrAlist|))))
         (SPADLET |empty?| (NULL |opAlist|))
         (SPADLET |one?|
-                 (AND (PAIRP |opAlist|) (EQ (QCDR |opAlist|) NIL)
+                 (AND (CONSP |opAlist|) (EQ (QCDR |opAlist|) NIL)
                       (PROGN (SPADLET |entry| (QCAR |opAlist|)) 'T)
                       (EQL 2 (|#| |entry|))))
         (SPADLET |one?| (OR |empty?| |one?|))
@@ -26072,7 +26072,7 @@ $dbKindAlist :=
                    (|htSaySaturn| "\\\\")))
              (COND
                ((AND |doc| (NEQUAL |doc| "")
-                     (OR (NULL (AND (PAIRP |doc|) (EQ (QCDR |doc|) NIL)
+                     (OR (NULL (AND (CONSP |doc|) (EQ (QCDR |doc|) NIL)
                                     (PROGN
                                       (SPADLET |d| (QCAR |doc|))
                                       'T)))
@@ -26247,7 +26247,7 @@ $dbKindAlist :=
       (PROGN
         (SPADLET |pageDescription| (ELT |$saturnPage| 7))
         (COND
-          ((AND (PAIRP |pageDescription|)
+          ((AND (CONSP |pageDescription|)
                 (EQUAL (QCAR |pageDescription|) |s|)
                 (PROGN (SPADLET |b| (QCDR |pageDescription|)) 'T))
            (SETELT |$saturnPage| 7 (CDR |pageDescription|)))
@@ -26417,7 +26417,7 @@ $dbKindAlist :=
   (PROG (|n|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |options|) (EQ (QCDR |options|) NIL)
+             ((AND (CONSP |options|) (EQ (QCDR |options|) NIL)
                    (PROGN (SPADLET |n| (QCAR |options|)) 'T))
               (|htSaySaturn|
                   (PROG (G179737)
@@ -26860,7 +26860,7 @@ $dbKindAlist :=
                               (PROGN
                                 (SPADLET |ISTMP#1|
                                          (|getmode| |$op| |e|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|Mapping|))))
                          '|local|)
                         ('T '|exported|)))
@@ -26938,7 +26938,7 @@ $dbKindAlist :=
         (SPADLET |op| (CADR G179951))
         (SPADLET |sig| (CADDR G179951))
         (COND
-          ((AND (PAIRP |sig|) (EQ (QCAR |sig|) '->))
+          ((AND (CONSP |sig|) (EQ (QCAR |sig|) '->))
            (PROGN
              (SPADLET |sig1| (|postType| |sig|))
              (SPADLET |op|
@@ -26963,13 +26963,13 @@ $dbKindAlist :=
   (declare (special |$FormalFunctionParameterList|))
     (RETURN
       (COND
-        ((AND (PAIRP |sig|) (EQ (QCDR |sig|) NIL)
+        ((AND (CONSP |sig|) (EQ (QCDR |sig|) NIL)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |sig|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)
+                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |target| (QCAR |ISTMP#2|))
                               (SPADLET |r| (QCDR |ISTMP#2|))
@@ -27162,10 +27162,10 @@ $dbKindAlist :=
   (PROG (|ISTMP#1| |form1| |pred|)
     (RETURN
       (COND
-        ((AND (PAIRP |form|) (EQ (QCAR |form|) '|ifp|)
+        ((AND (CONSP |form|) (EQ (QCAR |form|) '|ifp|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |form|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |form1| (QCAR |ISTMP#1|))
                        (SPADLET |pred| (QCDR |ISTMP#1|))
diff --git a/src/interp/buildom.lisp.pamphlet b/src/interp/buildom.lisp.pamphlet
index 0261725..026ab71 100644
--- a/src/interp/buildom.lisp.pamphlet
+++ b/src/interp/buildom.lisp.pamphlet
@@ -29,7 +29,7 @@
 ;isRecord type == type is ['Record,:.]
 
 (DEFUN |isRecord| (|type|)
-  (AND (PAIRP |type|) (EQ (QCAR |type|) '|Record|)))
+  (AND (CONSP |type|) (EQ (QCAR |type|) '|Record|)))
 
 ;RecordInner args ==
 ;  -- this is old and should be removed wherever it occurs
@@ -146,7 +146,7 @@
              |dom|)))))
 
 ;RecordEqual(x,y,dom) ==
-;  PAIRP x =>
+;  CONSP x =>
 ;    b:=
 ;       SPADCALL(CAR x, CAR y, CAR(dom.9) or
 ;                           CAR RPLACA(dom.9,findEqualFun(dom.5.0)))
@@ -164,7 +164,7 @@
   (PROG (|b| |equalfuns|)
     (RETURN
       (SEQ (COND
-             ((PAIRP |x|)
+             ((CONSP |x|)
               (SPADLET |b|
                        (SPADCALL (CAR |x|) (CAR |y|)
                            (OR (CAR (ELT |dom| 9))
@@ -344,19 +344,19 @@
                                        (SETQ G166195
                                         (CONS
                                          (COND
-                                           ((AND (PAIRP |a|)
+                                           ((AND (CONSP |a|)
                                              (EQ (QCAR |a|) '|:|)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |a|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |tag|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -446,7 +446,7 @@
                                   (SPADLET |same| (BOOT-EQUAL |x| |y|)))
                                  ('T
                                   (COND
-                                    ((AND (PAIRP |p|)
+                                    ((AND (CONSP |p|)
                                       (EQ (QCAR |p|) 'EQCAR))
                                      (SPADLET |x| (CDR |x|))
                                      (SPADLET |y| (CDR |y|))))
@@ -503,7 +503,7 @@
                                (RETURN
                                  (PROGN
                                    (COND
-                                     ((AND (PAIRP |p|)
+                                     ((AND (CONSP |p|)
                                        (EQ (QCAR |p|) 'EQCAR))
                                       (SPADLET |x| (CDR |x|))))
                                    (COND
@@ -1354,13 +1354,13 @@
              (COND
                ((PROGN
                   (SPADLET |ISTMP#1| (CAR |listOfEntries|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                (AND (PAIRP |ISTMP#3|)
+                                (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)))))))
                 (|mkNewUnionFunList| |op| |form| |e|))
                ('T
@@ -1417,7 +1417,7 @@
                                                    (CONS |t| NIL))
                                                   (CONS
                                                    (COND
-                                                     ((AND (PAIRP |p|)
+                                                     ((AND (CONSP |p|)
                                                        (EQ (QCAR |p|)
                                                         'EQCAR)
                                                        (PROGN
@@ -1425,7 +1425,7 @@
                                                           |ISTMP#1|
                                                           (QCDR |p|))
                                                          (AND
-                                                          (PAIRP
+                                                          (CONSP
                                                            |ISTMP#1|)
                                                           (PROGN
                                                             (SPADLET
@@ -1437,7 +1437,7 @@
                                                              (QCDR
                                                               |ISTMP#1|))
                                                             (AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |ISTMP#2|)
                                                              (EQ
                                                               (QCDR
@@ -1478,7 +1478,7 @@
                                                        (GENSYM))
                                                       (COND
                                                         ((AND
-                                                          (PAIRP |p|)
+                                                          (CONSP |p|)
                                                           (EQ
                                                            (QCAR |p|)
                                                            'EQCAR)
@@ -1487,7 +1487,7 @@
                                                              |ISTMP#1|
                                                              (QCDR |p|))
                                                             (AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |ISTMP#1|)
                                                              (PROGN
                                                                (SPADLET
@@ -1499,7 +1499,7 @@
                                                                 (QCDR
                                                                  |ISTMP#1|))
                                                                (AND
-                                                                (PAIRP
+                                                                (CONSP
                                                                  |ISTMP#2|)
                                                                 (EQ
                                                                  (QCDR
@@ -1559,7 +1559,7 @@
                                                     (CONS
                                                      (COND
                                                        ((AND
-                                                         (PAIRP |p|)
+                                                         (CONSP |p|)
                                                          (EQ (QCAR |p|)
                                                           'EQCAR)
                                                          (PROGN
@@ -1567,7 +1567,7 @@
                                                             |ISTMP#1|
                                                             (QCDR |p|))
                                                            (AND
-                                                            (PAIRP
+                                                            (CONSP
                                                              |ISTMP#1|)
                                                             (PROGN
                                                               (SPADLET
@@ -1579,7 +1579,7 @@
                                                                (QCDR
                                                                 |ISTMP#1|))
                                                               (AND
-                                                               (PAIRP
+                                                               (CONSP
                                                                 |ISTMP#2|)
                                                                (EQ
                                                                 (QCDR
@@ -1611,7 +1611,7 @@
                                                      (CONS
                                                       (COND
                                                         ((AND
-                                                          (PAIRP |p|)
+                                                          (CONSP |p|)
                                                           (EQ
                                                            (QCAR |p|)
                                                            'EQCAR)
@@ -1620,7 +1620,7 @@
                                                              |ISTMP#1|
                                                              (QCDR |p|))
                                                             (AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |ISTMP#1|)
                                                              (PROGN
                                                                (SPADLET
@@ -1632,7 +1632,7 @@
                                                                 (QCDR
                                                                  |ISTMP#1|))
                                                                (AND
-                                                                (PAIRP
+                                                                (CONSP
                                                                  |ISTMP#2|)
                                                                 (EQ
                                                                  (QCDR
diff --git a/src/interp/c-doc.lisp.pamphlet b/src/interp/c-doc.lisp.pamphlet
index eba762d..db8fc1a 100644
--- a/src/interp/c-doc.lisp.pamphlet
+++ b/src/interp/c-doc.lisp.pamphlet
@@ -66,7 +66,7 @@
   (PROG (|fn| |ISTMP#1| |ISTMP#2| |form|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|)
+             ((AND (CONSP |pred|)
                    (PROGN (SPADLET |fn| (QCAR |pred|)) 'T)
                    (member |fn| '(AND OR NOT)))
               (PROG (G166100)
@@ -81,13 +81,13 @@
                     (SEQ (EXIT (SETQ G166100
                                      (OR G166100
                                       (|getOfCategoryArgument| |x|)))))))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|ofCategory|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|ofCategory|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '*1)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '*1)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |form| (QCAR |ISTMP#2|))
@@ -159,7 +159,7 @@
              (SPADLET |$argList| |$FormalMapVariableList|)
              (SPADLET $ '$)
              (COND
-               ((AND (PAIRP |sigPart|) (EQ (QCDR |sigPart|) NIL)
+               ((AND (CONSP |sigPart|) (EQ (QCDR |sigPart|) NIL)
                      (PROGN (SPADLET |sig| (QCAR |sigPart|)) 'T))
                 (PROG (G166163)
                   (SPADLET G166163 NIL)
@@ -301,10 +301,10 @@
   (declare (special $COMBLOCKLIST))
     (RETURN
       (COND
-        ((AND (PAIRP $COMBLOCKLIST)
+        ((AND (CONSP $COMBLOCKLIST)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR $COMBLOCKLIST))
-                (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |x|)
+                (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |x|)
                      (PROGN (SPADLET |val| (QCDR |ISTMP#1|)) 'T))))
          (SPADLET |u| (APPEND |val| (|collectAndDeleteAssoc| |x|)))
          (SPADLET $COMBLOCKLIST (CDR $COMBLOCKLIST)) |u|)
@@ -333,7 +333,7 @@
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (CAR |s|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQUAL (QCAR |ISTMP#1|)
                                              |x|)
                                             (PROGN
@@ -525,17 +525,17 @@
                   (SEQ (EXIT (COND
                                ((BOOT-EQUAL |y| '|constructor|)
                                 (SPADLET |noHeading| 'T))
-                               ((AND (PAIRP |y|)
+                               ((AND (CONSP |y|)
                                      (PROGN
                                        (SPADLET |x| (QCAR |y|))
                                        (SPADLET |ISTMP#1| (QCDR |y|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCDR |ISTMP#1|) NIL)
                                         (PROGN
                                           (SPADLET |b|
                                            (QCAR |ISTMP#1|))
                                           'T)))
-                                     (PAIRP |b|)
+                                     (CONSP |b|)
                                      (EQUAL (QCAR |b|) '|attribute|)
                                      (PROGN
                                        (SPADLET |r| (QCDR |b|))
@@ -713,11 +713,11 @@
                       (PROGN (SETQ |entry| (CAR G166575)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |entry|)
+                            ((AND (CONSP |entry|)
                                   (EQ (QCAR |entry|) '|constructor|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |entry|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |x| (QCAR |ISTMP#1|))
@@ -801,15 +801,15 @@
                   NIL)
                (SEQ (EXIT (PROGN
                             (SPADLET |$attribute?|
-                                     (AND (PAIRP |$x|)
+                                     (AND (CONSP |$x|)
                                       (PROGN
                                         (SPADLET |ISTMP#1| (QCDR |$x|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCDR |ISTMP#2|) NIL)
                                             (PROGN
                                               (SPADLET |key|
@@ -1333,12 +1333,12 @@
                                        (CONS |s| NIL))))
                                     ((OR (ATOM |parse|)
                                       (NULL
-                                       (AND (PAIRP |parse|)
+                                       (AND (CONSP |parse|)
                                         (EQ (QCAR |parse|) '|set|)
                                         (PROGN
                                           (SPADLET |ISTMP#1|
                                            (QCDR |parse|))
-                                          (AND (PAIRP |ISTMP#1|)
+                                          (AND (CONSP |ISTMP#1|)
                                            (EQ (QCDR |ISTMP#1|) NIL)
                                            (PROGN
                                              (SPADLET |arg|
@@ -2003,12 +2003,12 @@
                          ((NULL (PROGN
                                   (SPADLET |ISTMP#1|
                                            (|newWordFrom| |l| |i| |m|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |w| (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET |i|
@@ -3348,7 +3348,7 @@
                                         (|rassoc| |x|
                                          |$checkPrenAlist|))
                                        (COND
-                                         ((AND (PAIRP |stack|)
+                                         ((AND (CONSP |stack|)
                                            (PROGN
                                              (SPADLET |top|
                                               (QCAR |stack|))
@@ -3484,17 +3484,17 @@
                                     ((BOOT-EQUAL |x|
                                       "\\begin")
                                      (COND
-                                       ((AND (PAIRP |u|)
+                                       ((AND (CONSP |u|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |u|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQUAL (QCAR |ISTMP#1|)
                                              |$charLbrace|)
                                             (PROGN
                                               (SPADLET |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (PROGN
                                                  (SPADLET |y|
                                                   (QCAR |ISTMP#2|))
@@ -3543,17 +3543,17 @@
                                     ((BOOT-EQUAL |x|
                                       "\\end")
                                      (COND
-                                       ((AND (PAIRP |u|)
+                                       ((AND (CONSP |u|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |u|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQUAL (QCAR |ISTMP#1|)
                                              |$charLbrace|)
                                             (PROGN
                                               (SPADLET |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (PROGN
                                                  (SPADLET |y|
                                                   (QCAR |ISTMP#2|))
diff --git a/src/interp/c-util.lisp.pamphlet b/src/interp/c-util.lisp.pamphlet
index 88bf0c3..8ba2c0f 100644
--- a/src/interp/c-util.lisp.pamphlet
+++ b/src/interp/c-util.lisp.pamphlet
@@ -53,7 +53,7 @@
     (RETURN
       (COND
         ((NULL |l|) (|same|))
-        ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL)
+        ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
               (PROGN (SPADLET |n| (QCAR |l|)) 'T) (INTEGERP |n|))
          (|displayComp| (SPADLET |$level| |n|)))
         ('T
@@ -277,7 +277,7 @@
   (declare (special |$dim| |$bright|))
     (RETURN
       (SEQ (IF (ATOM |a|) (EXIT |a|))
-           (IF (AND (PAIRP |a|) (EQUAL (QCAR |a|) |b|)
+           (IF (AND (CONSP |a|) (EQUAL (QCAR |a|) |b|)
                     (PROGN (SPADLET |c| (QCDR |a|)) 'T))
                (EXIT (CONS |$bright| (CONS |b| (CONS |$dim| |c|)))))
            (EXIT (CONS (|mkErrorExpr,highlight1| |b| (CAR |a|))
@@ -306,11 +306,11 @@
   (PROG (|a| |ISTMP#1| |b|)
     (RETURN
       (SEQ (IF (QSLESSP (|#| |l|) 2) (EXIT |l|))
-           (IF (AND (PAIRP |l|)
+           (IF (AND (CONSP |l|)
                     (PROGN
                       (SPADLET |a| (QCAR |l|))
                       (SPADLET |ISTMP#1| (QCDR |l|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN (SPADLET |b| (QCAR |ISTMP#1|)) 'T))))
                (EXIT (|mkErrorExpr,highlight| |b| |a|)))
            (EXIT (MSUBST (|mkErrorExpr,bracket| (CDR |l|))
@@ -450,10 +450,10 @@
 (DEFUN |deltaContour,eliminateDuplicatePropertyLists| (|contour|)
   (PROG (|ISTMP#1| |x| |contour'|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |contour|)
+      (SEQ (IF (AND (CONSP |contour|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCAR |contour|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T)))
                     (PROGN (SPADLET |contour'| (QCDR |contour|)) 'T))
                (EXIT (SEQ (IF (LASSOC |x| |contour'|)
@@ -564,11 +564,11 @@
     (RETURN
       (SEQ (IF (BOOT-EQUAL |m1| |m2|) (EXIT |m1|))
            (SPADLET |m|
-                    (SEQ (IF (AND (PAIRP |m1|)
+                    (SEQ (IF (AND (CONSP |m1|)
                                   (EQ (QCAR |m1|) '|Union|))
                              (EXIT (SEQ
                                     (IF
-                                     (AND (PAIRP |m2|)
+                                     (AND (CONSP |m2|)
                                       (EQ (QCAR |m2|) '|Union|))
                                      (EXIT
                                       (CONS '|Union|
@@ -576,7 +576,7 @@
                                     (EXIT
                                      (CONS '|Union|
                                       (S+ (CDR |m1|) (CONS |m2| NIL)))))))
-                         (IF (AND (PAIRP |m2|)
+                         (IF (AND (CONSP |m2|)
                                   (EQ (QCAR |m2|) '|Union|))
                              (EXIT (CONS '|Union|
                                     (S+ (CDR |m2|) (CONS |m1| NIL)))))
@@ -588,7 +588,7 @@
                      ((OR (ATOM G2748)
                           (PROGN (SETQ |u| (CAR G2748)) NIL))
                       NIL)
-                   (SEQ (EXIT (IF (AND (AND (PAIRP |u|)
+                   (SEQ (EXIT (IF (AND (AND (CONSP |u|)
                                         (EQ (QCAR |u|) '|Union|)
                                         (PROGN
                                           (SPADLET |u'| (QCDR |u|))
@@ -1269,7 +1269,7 @@
           (BOOT-EQUAL |x| '|case|)
           (PROGN
             (SPADLET |ISTMP#1| (|getmode| |x| |e|))
-            (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)))))))
+            (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)))))))
 
 ;
 ;isLiteral(x,e) == get(x,"isLiteral",e)
@@ -1372,7 +1372,7 @@
       (SEQ (COND
              ((OR (ATOM |x|) |$InteractiveMode|) 'T)
              ('T
-              (AND (PAIRP |x|)
+              (AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
@@ -1401,13 +1401,13 @@
   (declare (special |$SideEffectFreeFunctionList|))
     (RETURN
       (OR (|member| |op| |$SideEffectFreeFunctionList|)
-          (AND (PAIRP |op|) (EQ (QCAR |op|) '|elt|)
+          (AND (CONSP |op|) (EQ (QCAR |op|) '|elt|)
                (PROGN
                  (SPADLET |ISTMP#1| (QCDR |op|))
-                 (AND (PAIRP |ISTMP#1|)
+                 (AND (CONSP |ISTMP#1|)
                       (PROGN
                         (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                        (AND (PAIRP |ISTMP#2|)
+                        (AND (CONSP |ISTMP#2|)
                              (EQ (QCDR |ISTMP#2|) NIL)
                              (PROGN
                                (SPADLET |op'| (QCAR |ISTMP#2|))
@@ -1521,13 +1521,13 @@
   (PROG (|ISTMP#1| |ISTMP#2| |u|)
     (RETURN
       (SEQ (IF (ATOM |x|) (EXIT |x|))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|exit|)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) '|exit|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) 0)
+                      (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) 0)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |u| (QCAR |ISTMP#2|))
@@ -1559,7 +1559,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |x|) |x|)
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |l| (QCDR |x|))
@@ -1570,14 +1570,14 @@
                        (PROGN (SETQ |u| (CAR G3401)) NIL))
                    NIL)
                 (SEQ (EXIT (|adjExitLevel| |u| (PLUS |seqnum| 1) |inc|)))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|exit|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|exit|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |n| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |u| (QCAR |ISTMP#2|))
@@ -1586,7 +1586,7 @@
               (COND
                 ((> |seqnum| |n|) |x|)
                 ('T (|rplac| (CADR |x|) (PLUS |n| |inc|)))))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |l| (QCDR |x|))
@@ -1679,7 +1679,7 @@
         ((NULL |l|) NIL)
         ((AND (PROGN
                 (SPADLET |ISTMP#1| (CAR |l|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |k| (QCAR |ISTMP#1|))
                        (SPADLET |r| (QCDR |ISTMP#1|))
@@ -1738,7 +1738,7 @@
     (RETURN
       (SEQ (COND
              ((IDENTP |x|) (CONS |x| NIL))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |l| (QCDR |x|))
@@ -2143,7 +2143,7 @@
       (SEQ (COND
              ((BOOT-EQUAL |form| |form'|) 'T)
              ((BOOT-EQUAL |form| |$Category|) NIL)
-             ((AND (PAIRP |form'|) (EQ (QCAR |form'|) '|Join|)
+             ((AND (CONSP |form'|) (EQ (QCAR |form'|) '|Join|)
                    (PROGN (SPADLET |l| (QCDR |form'|)) 'T))
               (PROG (G3729)
                 (SPADLET G3729 'T)
@@ -2157,10 +2157,10 @@
                                      (AND G3729
                                       (|extendsCategoryForm| |domain|
                                        |form| |x|)))))))))
-             ((AND (PAIRP |form'|) (EQ (QCAR |form'|) 'CATEGORY)
+             ((AND (CONSP |form'|) (EQ (QCAR |form'|) 'CATEGORY)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form'|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |l| (QCDR |ISTMP#1|)) 'T))))
               (PROG (G3743)
                 (SPADLET G3743 'T)
@@ -2174,22 +2174,22 @@
                                      (AND G3743
                                       (|extendsCategoryForm| |domain|
                                        |form| |x|)))))))))
-             ((AND (PAIRP |form'|)
+             ((AND (CONSP |form'|)
                    (EQ (QCAR |form'|) '|SubsetCategory|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form'|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |cat| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |dom| (QCAR |ISTMP#2|))
                                    'T))))))
               (AND (|extendsCategoryForm| |domain| |form| |cat|)
                    (|isSubset| |domain| |dom| |$e|)))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|Join|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|Join|)
                    (PROGN (SPADLET |l| (QCDR |form|)) 'T))
               (PROG (G3757)
                 (SPADLET G3757 NIL)
@@ -2203,10 +2203,10 @@
                                      (OR G3757
                                       (|extendsCategoryForm| |domain|
                                        |x| |form'|)))))))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) 'CATEGORY)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) 'CATEGORY)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |l| (QCDR |ISTMP#1|)) 'T))))
               (OR (|member| |form'| |l|)
                   (|stackWarning|
@@ -2219,14 +2219,14 @@
               (SPADLET |formVec|
                        (CAR (|compMakeCategoryObject| |form| |$e|)))
               (COND
-                ((AND (PAIRP |form'|) (EQ (QCAR |form'|) 'SIGNATURE)
+                ((AND (CONSP |form'|) (EQ (QCAR |form'|) 'SIGNATURE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |form'|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |op| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |args| (QCAR |ISTMP#2|))
                                       'T))))))
@@ -2235,10 +2235,10 @@
                      (|assoc| (SUBSTQ |domain| '$
                                       (CONS |op| (CONS |args| NIL)))
                               (SUBSTQ |domain| '$ (ELT |formVec| 1)))))
-                ((AND (PAIRP |form'|) (EQ (QCAR |form'|) 'ATTRIBUTE)
+                ((AND (CONSP |form'|) (EQ (QCAR |form'|) 'ATTRIBUTE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |form'|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |at| (QCAR |ISTMP#1|))
@@ -2246,7 +2246,7 @@
                  (OR (|assoc| |at| (ELT |formVec| 2))
                      (|assoc| (SUBSTQ |domain| '$ |at|)
                               (SUBSTQ |domain| '$ (ELT |formVec| 2)))))
-                ((AND (PAIRP |form'|) (EQ (QCAR |form'|) 'IF)) 'T)
+                ((AND (CONSP |form'|) (EQ (QCAR |form'|) 'IF)) 'T)
                 ((EQL (|#| |formVec|) 1) (|newHasTest| |form| |form'|))
                 ('T (SPADLET |catvlist| (ELT |formVec| 4))
                  (OR (|member| |form'| (CAR |catvlist|))
@@ -2307,19 +2307,19 @@
         ((SPADLET |u| (|getmode| |x| |e|)) |u|)
         ((PROGN
            (SPADLET |ISTMP#1| (SPADLET |u| (|get| |x| '|modemap| |e|)))
-           (AND (PAIRP |ISTMP#1|)
+           (AND (CONSP |ISTMP#1|)
                 (PROGN
                   (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                  (AND (PAIRP |ISTMP#2|)
+                  (AND (CONSP |ISTMP#2|)
                        (PROGN
                          (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                         (AND (PAIRP |ISTMP#3|)
+                         (AND (CONSP |ISTMP#3|)
                               (PROGN
                                 (SPADLET |map| (QCDR |ISTMP#3|))
                                 'T)))
                        (PROGN
                          (SPADLET |ISTMP#4| (QCDR |ISTMP#2|))
-                         (AND (PAIRP |ISTMP#4|)
+                         (AND (CONSP |ISTMP#4|)
                               (EQ (QCDR |ISTMP#4|) NIL)))))))
          (CONS '|Mapping| |map|))
         ('T NIL)))))
@@ -2805,10 +2805,10 @@
 (DEFUN |displayProplist,fn| (|alist|)
   (PROG (|ISTMP#1| |prop| |l| |val|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |alist|)
+      (SEQ (IF (AND (CONSP |alist|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCAR |alist|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |prop| (QCAR |ISTMP#1|))
                              (SPADLET |val| (QCDR |ISTMP#1|))
@@ -3018,7 +3018,7 @@
 ;            nob := FUNCALL(fn, arg, ob)
 ;            HPUT($seen, ob, nob)
 ;            not EQ(nob, ob) => nob
-;            PAIRP ob =>
+;            CONSP ob =>
 ;                ne:=traverseInner(QCAR ob, fn, arg)
 ;                if not EQ(ne,QCAR ob) then QRPLACA(ob, ne)
 ;                ne:=traverseInner(QCDR ob, fn, arg)
@@ -3044,7 +3044,7 @@
 ;            PAPPP ob =>
 ;                for i in 1..PA_-SPEC_-COUNT ob repeat
 ;                    s := PA_-SPEC(ob, i)
-;                    not PAIRP s =>
+;                    not CONSP s =>
 ;                        ns := traverseInner(s,fn,arg)
 ;                        if not EQ(s,ns) then
 ;                            SET_-PA_-SPEC(ob,i,ns)
@@ -3065,7 +3065,7 @@
            (SPADLET |nob| (FUNCALL |fn| |arg| |ob|))
            (HPUT |$seen| |ob| |nob|)
            (IF (NULL (EQ |nob| |ob|)) (EXIT |nob|))
-           (IF (PAIRP |ob|)
+           (IF (CONSP |ob|)
                (EXIT (SEQ (SPADLET |ne|
                                    (|traverse,traverseInner|
                                     (QCAR |ob|) |fn| |arg|))
@@ -3116,7 +3116,7 @@
                                (|i| 1 (QSADD1 |i|)))
                               ((QSGREATERP |i| G4285) NIL)
                             (SEQ (SPADLET |s| (PA-SPEC |ob| |i|))
-                                 (IF (NULL (PAIRP |s|))
+                                 (IF (NULL (CONSP |s|))
                                      (EXIT
                                       (SEQ
                                        (SPADLET |ns|
diff --git a/src/interp/category.lisp.pamphlet b/src/interp/category.lisp.pamphlet
index 23bb7e0..b2e71d1 100644
--- a/src/interp/category.lisp.pamphlet
+++ b/src/interp/category.lisp.pamphlet
@@ -138,7 +138,7 @@ It is set in init.lisp.pamphlet.
       (SEQ (IF (EQ |v| '$) (EXIT |l|)) (IF (STRINGP |v|) (EXIT |l|))
            (IF (ATOM |v|) (EXIT (CONS |v| |l|)))
            (IF (member (CAR |v|) |$PrimitiveDomainNames|) (EXIT |l|))
-           (IF (AND (PAIRP |v|) (EQ (QCAR |v|) '|Union|)
+           (IF (AND (CONSP |v|) (EQ (QCAR |v|) '|Union|)
                     (PROGN (SPADLET |w| (QCDR |v|)) 'T))
                (EXIT (SEQ (DO ((G166101 (|stripUnionTags| |w|)
                                    (CDR G166101))
@@ -151,7 +151,7 @@ It is set in init.lisp.pamphlet.
                             (SEQ (EXIT (SPADLET |l|
                                         (|sigParams,Prepare2| |x| |l|)))))
                           (EXIT |l|))))
-           (IF (AND (PAIRP |v|) (EQ (QCAR |v|) '|Mapping|)
+           (IF (AND (CONSP |v|) (EQ (QCAR |v|) '|Mapping|)
                     (PROGN (SPADLET |w| (QCDR |v|)) 'T))
                (EXIT (SEQ (DO ((G166110 |w| (CDR G166110))
                                (|x| NIL))
@@ -163,10 +163,10 @@ It is set in init.lisp.pamphlet.
                             (SEQ (EXIT (SPADLET |l|
                                         (|sigParams,Prepare2| |x| |l|)))))
                           (EXIT |l|))))
-           (IF (AND (PAIRP |v|) (EQ (QCAR |v|) '|List|)
+           (IF (AND (CONSP |v|) (EQ (QCAR |v|) '|List|)
                     (PROGN (SPADLET |w| (QCDR |v|)) 'T))
                (EXIT (|sigParams,Prepare2| |w| |l|)))
-           (IF (AND (PAIRP |v|) (EQ (QCAR |v|) '|Record|)
+           (IF (AND (CONSP |v|) (EQ (QCAR |v|) '|Record|)
                     (PROGN (SPADLET |w| (QCDR |v|)) 'T))
                (EXIT (SEQ (DO ((G166119 |w| (CDR G166119))
                                (|x| NIL))
@@ -285,13 +285,13 @@ of category object.
                             (SEQ (EXIT (SETQ G166221
                                         (CONS
                                          (COND
-                                           ((AND (PAIRP |s|)
+                                           ((AND (CONSP |s|)
                                              (PROGN
                                                (SPADLET |sig|
                                                 (QCAR |s|))
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |s|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -323,13 +323,13 @@ of category object.
                                                        (SETQ G166245
                                                         (OR G166245
                                                          (AND
-                                                          (PAIRP |x|)
+                                                          (CONSP |x|)
                                                           (PROGN
                                                             (SPADLET
                                                              |ISTMP#1|
                                                              (QCAR |x|))
                                                             (AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |ISTMP#1|)
                                                              (EQUAL
                                                               (QCAR
@@ -341,7 +341,7 @@ of category object.
                                                                 (QCDR
                                                                  |ISTMP#1|))
                                                                (AND
-                                                                (PAIRP
+                                                                (CONSP
                                                                  |ISTMP#2|)
                                                                 (PROGN
                                                                   (SPADLET
@@ -509,10 +509,10 @@ Subsumption code (for operators)
         (SPADLET |pred| (CADR |a|))
         (SPADLET |implem| (CDDR |a|))
         (COND
-          ((AND (PAIRP |implem|) (EQ (QCDR |implem|) NIL)
+          ((AND (CONSP |implem|) (EQ (QCDR |implem|) NIL)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |implem|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN (SPADLET |q| (QCAR |ISTMP#1|)) 'T)))
                 (OR (BOOT-EQUAL |q| 'ELT) (BOOT-EQUAL |q| 'CONST)))
            (COND
@@ -663,11 +663,11 @@ Subsumption code (for operators)
                                            (NEQUAL (CADR |xsig|)
                                             (CADR |esig|)))
                                           (COND
-                                            ((AND (PAIRP |ximplem|)
+                                            ((AND (CONSP |ximplem|)
                                               (PROGN
                                                 (SPADLET |ISTMP#1|
                                                  (QCAR |ximplem|))
-                                                (AND (PAIRP |ISTMP#1|)
+                                                (AND (CONSP |ISTMP#1|)
                                                  (EQ (QCAR |ISTMP#1|)
                                                   '|Subsumed|))))
                                              (SPADLET |original|
@@ -687,11 +687,11 @@ Subsumption code (for operators)
                                            (|mkOr| |epred| |xpred|))))
                                        (COND
                                          ((NULL
-                                           (AND (PAIRP |ximplem|)
+                                           (AND (CONSP |ximplem|)
                                             (PROGN
                                               (SPADLET |ISTMP#1|
                                                (QCAR |ximplem|))
-                                              (AND (PAIRP |ISTMP#1|)
+                                              (AND (CONSP |ISTMP#1|)
                                                (EQ (QCAR |ISTMP#1|)
                                                 '|Subsumed|)))))
                                           (SPADLET |eimplem| |ximplem|)))
@@ -704,23 +704,23 @@ Subsumption code (for operators)
                                         (CONS |esig|
                                          (CONS |epred| |eimplem|)))
                                        (COND
-                                         ((AND (PAIRP |ximplem|)
+                                         ((AND (CONSP |ximplem|)
                                            (EQ (QCDR |ximplem|) NIL)
                                            (PROGN
                                              (SPADLET |ISTMP#1|
                                               (QCAR |ximplem|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (PROGN
                                                 (SPADLET |q|
                                                  (QCAR |ISTMP#1|))
                                                 (SPADLET |ISTMP#2|
                                                  (QCDR |ISTMP#1|))
-                                                (AND (PAIRP |ISTMP#2|)
+                                                (AND (CONSP |ISTMP#2|)
                                                  (PROGN
                                                    (SPADLET |ISTMP#3|
                                                     (QCDR |ISTMP#2|))
                                                    (AND
-                                                    (PAIRP |ISTMP#3|)
+                                                    (CONSP |ISTMP#3|)
                                                     (EQ
                                                      (QCDR |ISTMP#3|)
                                                      NIL)
@@ -771,36 +771,36 @@ Subsumption code (for operators)
         ('T
          (SPADLET |l|
                   (COND
-                    ((AND (PAIRP |a|) (EQ (QCAR |a|) 'OR)
+                    ((AND (CONSP |a|) (EQ (QCAR |a|) 'OR)
                           (PROGN (SPADLET |a'| (QCDR |a|)) 'T))
                      (COND
-                       ((AND (PAIRP |b|) (EQ (QCAR |b|) 'OR)
+                       ((AND (CONSP |b|) (EQ (QCAR |b|) 'OR)
                              (PROGN (SPADLET |b'| (QCDR |b|)) 'T))
                         (|union| |a'| |b'|))
                        ('T (|mkOr2| |b| |a'|))))
-                    ((AND (PAIRP |b|) (EQ (QCAR |b|) 'OR)
+                    ((AND (CONSP |b|) (EQ (QCAR |b|) 'OR)
                           (PROGN (SPADLET |b'| (QCDR |b|)) 'T))
                      (|mkOr2| |a| |b'|))
-                    ((AND (PAIRP |a|) (EQ (QCAR |a|) '|has|)
+                    ((AND (CONSP |a|) (EQ (QCAR |a|) '|has|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |a|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |avar| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |acat| (QCAR |ISTMP#2|))
                                       'T)))))
-                          (PAIRP |b|) (EQ (QCAR |b|) '|has|)
+                          (CONSP |b|) (EQ (QCAR |b|) '|has|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |b|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQUAL (QCAR |ISTMP#1|) |avar|)
                                  (PROGN
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |bcat| (QCAR |ISTMP#2|))
@@ -809,19 +809,19 @@ Subsumption code (for operators)
                        ((|DescendantP| |acat| |bcat|) (LIST |b|))
                        ((|DescendantP| |bcat| |acat|) (LIST |a|))
                        ('T (CONS |a| (CONS |b| NIL)))))
-                    ((AND (PAIRP |a|) (EQ (QCAR |a|) 'AND)
+                    ((AND (CONSP |a|) (EQ (QCAR |a|) 'AND)
                           (PROGN (SPADLET |a'| (QCDR |a|)) 'T)
                           (|member| |b| |a'|))
                      (LIST |b|))
-                    ((AND (PAIRP |b|) (EQ (QCAR |b|) 'AND)
+                    ((AND (CONSP |b|) (EQ (QCAR |b|) 'AND)
                           (PROGN (SPADLET |b'| (QCDR |b|)) 'T)
                           (|member| |a| |b'|))
                      (LIST |a|))
-                    ((AND (PAIRP |a|) (EQ (QCAR |a|) '|and|)
+                    ((AND (CONSP |a|) (EQ (QCAR |a|) '|and|)
                           (PROGN (SPADLET |a'| (QCDR |a|)) 'T)
                           (|member| |b| |a'|))
                      (LIST |b|))
-                    ((AND (PAIRP |b|) (EQ (QCAR |b|) '|and|)
+                    ((AND (CONSP |b|) (EQ (QCAR |b|) '|and|)
                           (PROGN (SPADLET |b'| (QCDR |b|)) 'T)
                           (|member| |a| |b'|))
                      (LIST |a|))
@@ -849,14 +849,14 @@ Subsumption code (for operators)
     (RETURN
       (SEQ (COND
              ((|member| |a| |b|) |b|)
-             ((AND (PAIRP |a|) (EQ (QCAR |a|) '|has|)
+             ((AND (CONSP |a|) (EQ (QCAR |a|) '|has|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |a|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |avar| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |acat| (QCAR |ISTMP#2|))
@@ -867,15 +867,15 @@ Subsumption code (for operators)
                        (PROGN (SETQ |c| (CAR G166606)) NIL))
                    NIL)
                 (SEQ (EXIT (COND
-                             ((AND (PAIRP |c|) (EQ (QCAR |c|) '|has|)
+                             ((AND (CONSP |c|) (EQ (QCAR |c|) '|has|)
                                    (PROGN
                                      (SPADLET |ISTMP#1| (QCDR |c|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQUAL (QCAR |ISTMP#1|) |avar|)
                                       (PROGN
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (SPADLET |ccat|
@@ -920,36 +920,36 @@ Subsumption code (for operators)
         ('T
          (SPADLET |l|
                   (COND
-                    ((AND (PAIRP |a|) (EQ (QCAR |a|) 'AND)
+                    ((AND (CONSP |a|) (EQ (QCAR |a|) 'AND)
                           (PROGN (SPADLET |a'| (QCDR |a|)) 'T))
                      (COND
-                       ((AND (PAIRP |b|) (EQ (QCAR |b|) 'AND)
+                       ((AND (CONSP |b|) (EQ (QCAR |b|) 'AND)
                              (PROGN (SPADLET |b'| (QCDR |b|)) 'T))
                         (|union| |a'| |b'|))
                        ('T (|mkAnd2| |b| |a'|))))
-                    ((AND (PAIRP |b|) (EQ (QCAR |b|) 'AND)
+                    ((AND (CONSP |b|) (EQ (QCAR |b|) 'AND)
                           (PROGN (SPADLET |b'| (QCDR |b|)) 'T))
                      (|mkAnd2| |a| |b'|))
-                    ((AND (PAIRP |a|) (EQ (QCAR |a|) '|has|)
+                    ((AND (CONSP |a|) (EQ (QCAR |a|) '|has|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |a|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |avar| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |acat| (QCAR |ISTMP#2|))
                                       'T)))))
-                          (PAIRP |b|) (EQ (QCAR |b|) '|has|)
+                          (CONSP |b|) (EQ (QCAR |b|) '|has|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |b|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQUAL (QCAR |ISTMP#1|) |avar|)
                                  (PROGN
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |bcat| (QCAR |ISTMP#2|))
@@ -982,14 +982,14 @@ Subsumption code (for operators)
     (RETURN
       (SEQ (COND
              ((|member| |a| |b|) |b|)
-             ((AND (PAIRP |a|) (EQ (QCAR |a|) '|has|)
+             ((AND (CONSP |a|) (EQ (QCAR |a|) '|has|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |a|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |avar| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |acat| (QCAR |ISTMP#2|))
@@ -1000,15 +1000,15 @@ Subsumption code (for operators)
                        (PROGN (SETQ |c| (CAR G166702)) NIL))
                    NIL)
                 (SEQ (EXIT (COND
-                             ((AND (PAIRP |c|) (EQ (QCAR |c|) '|has|)
+                             ((AND (CONSP |c|) (EQ (QCAR |c|) '|has|)
                                    (PROGN
                                      (SPADLET |ISTMP#1| (QCDR |c|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQUAL (QCAR |ISTMP#1|) |avar|)
                                       (PROGN
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (SPADLET |ccat|
@@ -1193,14 +1193,14 @@ Subsumption code (for operators)
       (COND
         ((BOOT-EQUAL |a| |b|) 'T)
         ((BOOT-EQUAL |$noSubsumption| 'T) NIL)
-        ((AND (PAIRP |b|) (EQ (QCAR |b|) '|Union|)
+        ((AND (CONSP |b|) (EQ (QCAR |b|) '|Union|)
               (PROGN (SPADLET |blist| (QCDR |b|)) 'T)
               (|member| |a| |blist|))
          'T)
         ((AND (BOUNDP '|$noSubsets|) |$noSubsets|) NIL)
         ((AND (ATOM |b|) (|assoc| |a| (GETL |b| '|Subsets|))) 'T)
-        ((AND (PAIRP |a|) (EQ (QCDR |a|) NIL)
-              (PROGN (SPADLET |a1| (QCAR |a|)) 'T) (PAIRP |b|)
+        ((AND (CONSP |a|) (EQ (QCDR |a|) NIL)
+              (PROGN (SPADLET |a1| (QCAR |a|)) 'T) (CONSP |b|)
               (EQ (QCDR |b|) NIL) (PROGN (SPADLET |b1| (QCAR |b|)) 'T)
               (|assoc| |a1| (GETL |b1| '|Subsets|)))
          'T)
@@ -1272,7 +1272,7 @@ Subsumption code (for operators)
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |a| |b|) 'T)
-             ((AND (PAIRP |b|) (EQ (QCAR |b|) '|Union|)
+             ((AND (CONSP |b|) (EQ (QCAR |b|) '|Union|)
                    (PROGN (SPADLET |blist| (QCDR |b|)) 'T)
                    (|member| |a| |blist|)
                    (PROG (G166958)
@@ -1290,8 +1290,8 @@ Subsumption code (for operators)
                                         (AND G166958 (STRINGP |x|)))))))))))
               'T)
              ((AND (ATOM |b|) (|assoc| |a| (GETL |b| '|Subsets|))) 'T)
-             ((AND (PAIRP |a|) (EQ (QCDR |a|) NIL)
-                   (PROGN (SPADLET |a1| (QCAR |a|)) 'T) (PAIRP |b|)
+             ((AND (CONSP |a|) (EQ (QCDR |a|) NIL)
+                   (PROGN (SPADLET |a1| (QCAR |a|)) 'T) (CONSP |b|)
                    (EQ (QCDR |b|) NIL)
                    (PROGN (SPADLET |b1| (QCAR |b|)) 'T)
                    (|assoc| |a1| (GETL |b1| '|Subsets|)))
@@ -1512,14 +1512,14 @@ Ancestor chasing code
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |a| |b|) 'T)
-             ((AND (PAIRP |a|) (EQ (QCAR |a|) 'ATTRIBUTE)) NIL)
-             ((AND (PAIRP |a|) (EQ (QCAR |a|) 'SIGNATURE)) NIL)
+             ((AND (CONSP |a|) (EQ (QCAR |a|) 'ATTRIBUTE)) NIL)
+             ((AND (CONSP |a|) (EQ (QCAR |a|) 'SIGNATURE)) NIL)
              ('T (SPADLET |a| (|CatEval| |a|))
               (SEQ (COND
-                     ((AND (PAIRP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
+                     ((AND (CONSP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |b|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |b'| (QCAR |ISTMP#1|))
@@ -1830,7 +1830,7 @@ copy.
                                                   (|CatEval| |at2|)
                                                   NIL))))
                                               ((NULL
-                                                (AND (PAIRP |pred|)
+                                                (AND (CONSP |pred|)
                                                  (EQ (QCAR |pred|)
                                                   '|and|)))
                                                (SPADLET |CondList|
@@ -2371,7 +2371,7 @@ copy.
   (PROG (|name| |u|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|) (PROGN (SPADLET |name| (QCAR |x|)) 'T))
+             ((AND (CONSP |x|) (PROGN (SPADLET |name| (QCAR |x|)) 'T))
               (|categoryForm?| |name|))
              ((ATOM |x|)
               (COND
diff --git a/src/interp/cattable.lisp.pamphlet b/src/interp/cattable.lisp.pamphlet
index bd37e50..483870b 100644
--- a/src/interp/cattable.lisp.pamphlet
+++ b/src/interp/cattable.lisp.pamphlet
@@ -408,22 +408,22 @@
 (DEFUN |simpHasPred,simpHas| (|pred| |a| |b|)
   (PROG (|attr| |ISTMP#1| |op| |ISTMP#2| |sig| |npred|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
+      (SEQ (IF (AND (CONSP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |b|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN
                              (SPADLET |attr| (QCAR |ISTMP#1|))
                              'T))))
                (EXIT (|simpHasAttribute| |pred| |a| |attr|)))
-           (IF (AND (PAIRP |b|) (EQ (QCAR |b|) 'SIGNATURE)
+           (IF (AND (CONSP |b|) (EQ (QCAR |b|) 'SIGNATURE)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |b|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |op| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |sig| (QCAR |ISTMP#2|))
@@ -442,7 +442,7 @@
   (PROG (|r| |LETTMP#1| |op| |sig| |a| |b| |form| |u| |op1|)
   (declare (special |$hasArgs|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |pred|)
+      (SEQ (IF (AND (CONSP |pred|)
                     (PROGN
                       (SPADLET |op| (QCAR |pred|))
                       (SPADLET |r| (QCDR |pred|))
@@ -622,11 +622,11 @@
                                            (OR G166482 |x|)))))))))
                            (RETURN NIL)))
               (|simpHasPred|
-                  (OR (AND (PAIRP |match|)
+                  (OR (AND (CONSP |match|)
                            (PROGN
                              (SPADLET |sig| (QCAR |match|))
                              (SPADLET |ISTMP#1| (QCDR |match|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (PROGN
                                     (SPADLET |p| (QCDR |ISTMP#1|))
                                     'T)))
@@ -723,7 +723,7 @@
   (PROG (|op| |r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|)
+             ((AND (CONSP |pred|)
                    (PROGN
                      (SPADLET |op| (QCAR |pred|))
                      (SPADLET |r| (QCDR |pred|))
@@ -766,19 +766,19 @@
                       (PROGN (SETQ |cat| (CAR G166595)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |cat|)
+                            ((AND (CONSP |cat|)
                                   (EQ (QCAR |cat|) 'CATEGORY))
                              NIL)
-                            ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'IF)
+                            ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'IF)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |cat|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |pred|
                                         (QCAR |ISTMP#1|))
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (PROGN
                                           (SPADLET |cat1|
                                            (QCAR |ISTMP#2|))
@@ -1003,22 +1003,22 @@
     (RETURN
       (COND
         ((OR (BOOT-EQUAL |old| 'T) (BOOT-EQUAL |new| 'T)) 'T)
-        ((AND (PAIRP |old|) (EQ (QCAR |old|) '|has|)
+        ((AND (CONSP |old|) (EQ (QCAR |old|) '|has|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |old|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) 'T)))))
-              (PAIRP |new|) (EQ (QCAR |new|) '|has|)
+              (CONSP |new|) (EQ (QCAR |new|) '|has|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |new|))
-                (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |a|)
+                (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |a|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |c| (QCAR |ISTMP#2|)) 'T))))))
          (COND
            ((|tempExtendsCat| |b| |c|) |new|)
@@ -1034,7 +1034,7 @@
   (PROG (|l|)
     (RETURN
       (COND
-        ((AND (PAIRP |old|) (EQ (QCAR |old|) 'OR)
+        ((AND (CONSP |old|) (EQ (QCAR |old|) 'OR)
               (PROGN (SPADLET |l| (QCDR |old|)) 'T))
          (|simpCategoryOr| |new| |l|))
         ('T (CONS 'OR (CONS |old| (CONS |new| NIL))))))))
@@ -1069,16 +1069,16 @@
                       (PROGN (SETQ |pred| (CAR G166818)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |pred|)
+                            ((AND (CONSP |pred|)
                                   (EQ (QCAR |pred|) '|has|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |pred|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQUAL (QCAR |ISTMP#1|) |a|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |c|
@@ -1100,7 +1100,7 @@
                ((NULL |newExtendsAnOld|)
                 (SPADLET |newList| (CONS |new| |newList|))))
              (COND
-               ((AND (PAIRP |newList|) (EQ (QCDR |newList|) NIL))
+               ((AND (CONSP |newList|) (EQ (QCDR |newList|) NIL))
                 (CAR |newList|))
                ('T (CONS 'OR |newList|))))))))
 
@@ -1410,12 +1410,12 @@
   (PROG (|l| |u| |ISTMP#1|)
     (RETURN
       (COND
-        ((AND (PAIRP |p|) (EQ (QCAR |p|) 'OR)
+        ((AND (CONSP |p|) (EQ (QCAR |p|) 'OR)
               (PROGN (SPADLET |l| (QCDR |p|)) 'T))
          (COND
            ((PROGN
               (SPADLET |ISTMP#1| (SPADLET |u| (|simpOrUnion| |l|)))
-              (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+              (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                    (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T)))
             |p|)
            ('T (CONS 'OR |u|))))
@@ -1454,22 +1454,22 @@
   (PROG (|a| |b| |ISTMP#1| |ISTMP#2| |c|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|has|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|has|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) 'T)))))
-              (PAIRP |y|) (EQ (QCAR |y|) '|has|)
+              (CONSP |y|) (EQ (QCAR |y|) '|has|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |y|))
-                (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |a|)
+                (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |a|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |c| (QCAR |ISTMP#2|)) 'T))))))
          (COND
            ((|testExtend| |b| |c|) |y|)
@@ -1512,7 +1512,7 @@
       (SEQ (PROGN
              (SPADLET |x|
                       (COND
-                        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|Join|)
+                        ((AND (CONSP |x|) (EQ (QCAR |x|) '|Join|)
                               (PROGN (SPADLET |y| (QCDR |x|)) 'T))
                          |y|)
                         ('T (CONS |x| NIL))))
@@ -1522,10 +1522,10 @@
                       (PROGN (SETQ |y| (CAR G167152)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |y|) (EQ (QCAR |y|) 'CATEGORY)
+                            ((AND (CONSP |y|) (EQ (QCAR |y|) 'CATEGORY)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |y|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |z| (QCDR |ISTMP#1|))
                                        'T))))
@@ -1560,23 +1560,23 @@
     (RETURN
       (SEQ (PROGN
              (COND
-               ((AND (PAIRP |zz|) (EQ (QCAR |zz|) 'IF)
+               ((AND (CONSP |zz|) (EQ (QCAR |zz|) 'IF)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |zz|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCAR |ISTMP#2|) '|has|)
                                    (PROGN
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (PROGN
                                         (SPADLET |z1| (QCAR |ISTMP#3|))
                                         (SPADLET |ISTMP#4|
                                          (QCDR |ISTMP#3|))
-                                        (AND (PAIRP |ISTMP#4|)
+                                        (AND (CONSP |ISTMP#4|)
                                          (EQ (QCDR |ISTMP#4|) NIL)
                                          (PROGN
                                            (SPADLET |z2|
@@ -1587,16 +1587,16 @@
                               'T)
                             (PROGN
                               (SPADLET |ISTMP#5| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#5|)
+                              (AND (CONSP |ISTMP#5|)
                                    (PROGN
                                      (SPADLET |ats| (QCAR |ISTMP#5|))
                                      (SPADLET |ISTMP#6|
                                       (QCDR |ISTMP#5|))
-                                     (AND (PAIRP |ISTMP#6|)
+                                     (AND (CONSP |ISTMP#6|)
                                       (EQ (QCDR |ISTMP#6|) NIL))))))))
                 (SPADLET |ats|
                          (COND
-                           ((AND (PAIRP |ats|) (EQ (QCAR |ats|) 'PROGN)
+                           ((AND (CONSP |ats|) (EQ (QCAR |ats|) 'PROGN)
                                  (PROGN
                                    (SPADLET |atl| (QCDR |ats|))
                                    'T))
@@ -1608,12 +1608,12 @@
                      NIL)
                   (SEQ (EXIT (PROGN
                                (COND
-                                 ((AND (PAIRP |at|)
+                                 ((AND (CONSP |at|)
                                        (EQ (QCAR |at|) 'ATTRIBUTE)
                                        (PROGN
                                          (SPADLET |ISTMP#1|
                                           (QCDR |at|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |z3|
@@ -1634,12 +1634,12 @@
                                                (CONS '|noBranch| NIL))))
                                             |cats|))))
                                (COND
-                                 ((AND (PAIRP |at|)
+                                 ((AND (CONSP |at|)
                                        (EQ (QCAR |at|) 'IF)
                                        (PROGN
                                          (SPADLET |ISTMP#1|
                                           (QCDR |at|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (PROGN
                                             (SPADLET |pred|
                                              (QCAR |ISTMP#1|))
@@ -1705,21 +1705,21 @@
   (PROG (|ISTMP#1| |ISTMP#2| |f| |r|)
   (declare (special |$conslist|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |target|) (EQ (QCAR |target|) 'CATEGORY)
+      (SEQ (IF (AND (CONSP |target|) (EQ (QCAR |target|) 'CATEGORY)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |target|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN (SPADLET |r| (QCDR |ISTMP#1|)) 'T))))
                (EXIT |r|))
-           (IF (AND (PAIRP |target|) (EQ (QCAR |target|) '|Join|)
+           (IF (AND (CONSP |target|) (EQ (QCAR |target|) '|Join|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |target|))
-                      (AND (AND (PAIRP |ISTMP#1|)
+                      (AND (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |ISTMP#2|
                                            (REVERSE |ISTMP#1|))
                                   'T))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (PROGN
                                   (SPADLET |f| (QCAR |ISTMP#2|))
                                   (SPADLET |r| (QCDR |ISTMP#2|))
@@ -1744,14 +1744,14 @@
                |ISTMP#3| |s2| |r|)
   (declare (special |$oplist| |$attrlist| |$conslist|))
     (RETURN
-      (SEQ (IF (AND (PAIRP |item|) (EQ (QCAR |item|) 'SIGNATURE)
+      (SEQ (IF (AND (CONSP |item|) (EQ (QCAR |item|) 'SIGNATURE)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |item|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |op| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |sig| (QCAR |ISTMP#2|))
                                     'T))))))
@@ -1759,10 +1759,10 @@
                               (CONS (CONS (|opOf| |op|)
                                      (CONS |sig| |pred|))
                                     |$oplist|))))
-           (IF (AND (PAIRP |item|) (EQ (QCAR |item|) 'ATTRIBUTE)
+           (IF (AND (CONSP |item|) (EQ (QCAR |item|) 'ATTRIBUTE)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |item|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN
                              (SPADLET |attr| (QCAR |ISTMP#1|))
                              'T))))
@@ -1779,14 +1779,14 @@
                                           (CONS (|opOf| |attr|)
                                            (CONS (IFCDR |attr|) |pred|))
                                           |$attrlist|))))))
-           (IF (AND (PAIRP |item|) (EQ (QCAR |item|) 'TYPE)
+           (IF (AND (CONSP |item|) (EQ (QCAR |item|) 'TYPE)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |item|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |op| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |type| (QCAR |ISTMP#2|))
@@ -1795,19 +1795,19 @@
                               (CONS (CONS |op|
                                      (CONS (CONS |type| NIL) |pred|))
                                     |$oplist|))))
-           (IF (AND (PAIRP |item|) (EQ (QCAR |item|) 'IF)
+           (IF (AND (CONSP |item|) (EQ (QCAR |item|) 'IF)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |item|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |pred1| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |s1| (QCAR |ISTMP#2|))
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (SPADLET |s2| (QCAR |ISTMP#3|))
@@ -1819,7 +1819,7 @@
                                      (|categoryParts,build| |s2|
                                       (|quickAnd| |pred|
                                        (CONS 'NOT (CONS |pred1| NIL))))))))))
-           (IF (AND (PAIRP |item|) (EQ (QCAR |item|) 'PROGN)
+           (IF (AND (CONSP |item|) (EQ (QCAR |item|) 'PROGN)
                     (PROGN (SPADLET |r| (QCDR |item|)) 'T))
                (EXIT (DO ((G167406 |r| (CDR G167406)) (|x| NIL))
                          ((OR (ATOM G167406)
diff --git a/src/interp/clam.lisp.pamphlet b/src/interp/clam.lisp.pamphlet
index 1e41121..5b7936b 100644
--- a/src/interp/clam.lisp.pamphlet
+++ b/src/interp/clam.lisp.pamphlet
@@ -171,11 +171,11 @@
           ((NULL (PROGN
                    (SPADLET |ISTMP#1|
                             (SPADLET |u| (LASSQ |op| |$clamList|)))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |kind| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |eqEtc| (QCAR |ISTMP#2|))
                                  (SPADLET |options| (QCDR |ISTMP#2|))
@@ -220,7 +220,7 @@
            (SPADLET |g1| (GENSYM))
            (SPADLET |LETTMP#1|
                     (COND
-                      ((AND (PAIRP |argl|) (EQ (QCDR |argl|) NIL))
+                      ((AND (CONSP |argl|) (EQ (QCDR |argl|) NIL))
                        (CONS (CONS |g1| NIL)
                              (CONS (CONS |auxfn| (CONS |g1| NIL)) NIL)))
                       ('T
@@ -503,7 +503,7 @@
                       ((NULL |argl|)
                        (CONS NIL
                              (CONS NIL (CONS (CONS |auxfn| NIL) NIL))))
-                      ((AND (PAIRP |argl|) (EQ (QCDR |argl|) NIL))
+                      ((AND (CONSP |argl|) (EQ (QCDR |argl|) NIL))
                        (SPADLET |key|
                                 (COND
                                   (|cacheNameOrNil|
@@ -789,7 +789,7 @@
                    (SPADLET |application|
                             (COND
                               ((NULL |argl|) (CONS |auxfn| NIL))
-                              ((AND (PAIRP |argl|)
+                              ((AND (CONSP |argl|)
                                     (EQ (QCDR |argl|) NIL))
                                (CONS |auxfn| (CONS |g1| NIL)))
                               ('T
@@ -1158,7 +1158,7 @@
                                      NIL)
                                    (NULL
                                     (NULL
-                                     (AND (PAIRP |x|)
+                                     (AND (CONSP |x|)
                                       (EQUAL (QCAR |x|) '|$failed|)))))
                                G2595)
                             (SEQ (EXIT (SETQ G2595 (PLUS G2595 1))))))))
@@ -1814,11 +1814,11 @@
                (SPADLET |$instantCoerceCount|
                         (PLUS 1 |$instantCoerceCount|))))
             (COND
-              ((AND (PAIRP |$insideCanCoerceFrom|)
+              ((AND (CONSP |$insideCanCoerceFrom|)
                     (PROGN
                       (SPADLET |m1| (QCAR |$insideCanCoerceFrom|))
                       (SPADLET |ISTMP#1| (QCDR |$insideCanCoerceFrom|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN (SPADLET |m2| (QCAR |ISTMP#1|)) 'T)))
                     (NULL |dropIfTrue|))
                (SPADLET |$instantCanCoerceCount|
diff --git a/src/interp/clammed.lisp.pamphlet b/src/interp/clammed.lisp.pamphlet
index 01320da..4978ba6 100644
--- a/src/interp/clammed.lisp.pamphlet
+++ b/src/interp/clammed.lisp.pamphlet
@@ -82,7 +82,7 @@
     (RETURN
       (COND
         ((SPADLET |val| (|canCoerce1| |t1| |t2|)) |val|)
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Variable|))
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Variable|))
          (SPADLET |newMode| (|getMinimalVarMode| |t1| NIL))
          (AND (|canCoerce1| |t1| |newMode|)
               (|canCoerce1| |newMode| |t2|)))
@@ -145,25 +145,25 @@
                                      NIL))
                                (NREVERSE0 G166113))
                             (SEQ (EXIT (COND
-                                         ((AND (PAIRP |x|)
+                                         ((AND (CONSP |x|)
                                            (PROGN
                                              (SPADLET |sig| (QCAR |x|))
                                              'T)
                                            (|hasCorrectTarget| |m2|
                                             |sig|)
-                                           (PAIRP |sig|)
+                                           (CONSP |sig|)
                                            (PROGN
                                              (SPADLET |dc|
                                               (QCAR |sig|))
                                              (SPADLET |ISTMP#1|
                                               (QCDR |sig|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (PROGN
                                                 (SPADLET |targ|
                                                  (QCAR |ISTMP#1|))
                                                 (SPADLET |ISTMP#2|
                                                  (QCDR |ISTMP#1|))
-                                                (AND (PAIRP |ISTMP#2|)
+                                                (AND (CONSP |ISTMP#2|)
                                                  (EQ (QCDR |ISTMP#2|)
                                                   NIL)
                                                  (PROGN
@@ -286,7 +286,7 @@
              ((|member| |form|
                   '((|Mode|) (|Domain|) (|SubDomain| (|Domain|))))
               'T)
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|Record|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|Record|)
                    (PROGN (SPADLET |selectors| (QCDR |form|)) 'T))
               (PROG (G166262)
                 (SPADLET G166262 'T)
@@ -308,7 +308,7 @@
                     (SEQ (EXIT (SETQ G166262
                                      (AND G166262
                                       (|isValidType| |type|)))))))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|Enumeration|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|Enumeration|)
                    (PROGN (SPADLET |args| (QCDR |form|)) 'T))
               (COND
                 ((NULL (PROG (G166278)
@@ -327,7 +327,7 @@
                  NIL)
                 ((BOOT-EQUAL (|#| |args|) (|#| (REMDUP |args|))) 'T)
                 ('T NIL)))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|Mapping|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|Mapping|)
                    (PROGN (SPADLET |mapargs| (QCDR |form|)) 'T))
               (COND
                 ((NULL |mapargs|) NIL)
@@ -346,13 +346,13 @@
                        (SEQ (EXIT (SETQ G166292
                                         (AND G166292
                                          (|isValidType| |type|)))))))))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|Union|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|Union|)
                    (PROGN (SPADLET |args| (QCDR |form|)) 'T))
               (COND
                 ((AND |args|
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |args|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) '|:|))))
                  (PROG (G166306)
                    (SPADLET G166306 'T)
@@ -398,77 +398,77 @@
                              '(|Gaussian| |Complex| |Polynomial|
                                   |Expression|)))
               (COND
-                ((AND (PAIRP |form|)
+                ((AND (CONSP |form|)
                       (PROGN
                         (SPADLET T1 (QCAR |form|))
                         (SPADLET |ISTMP#1| (QCDR |form|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET T2 (QCAR |ISTMP#2|))
                                       'T)))))
                       (BOOT-EQUAL T1 T2) (|member| T1 |badDoubles|))
                  NIL)
-                ((AND (PAIRP |form|)
+                ((AND (CONSP |form|)
                       (EQUAL (QCAR |form|) |$QuotientField|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |form|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T)))
                       (NULL (|isPartialMode| D))
                       (|ofCategory| D '(|Field|)))
                  NIL)
-                ((AND (PAIRP |form|)
+                ((AND (CONSP |form|)
                       (EQ (QCAR |form|) '|UnivariatePolynomial|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |form|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |x| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#3|
                                        (QCAR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCAR |ISTMP#3|)
                                         '|UnivariatePolynomial|)
                                        (PROGN
                                          (SPADLET |ISTMP#4|
                                           (QCDR |ISTMP#3|))
-                                         (AND (PAIRP |ISTMP#4|)
+                                         (AND (CONSP |ISTMP#4|)
                                           (PROGN
                                             (SPADLET |y|
                                              (QCAR |ISTMP#4|))
                                             (SPADLET |ISTMP#5|
                                              (QCDR |ISTMP#4|))
-                                            (AND (PAIRP |ISTMP#5|)
+                                            (AND (CONSP |ISTMP#5|)
                                              (EQ (QCDR |ISTMP#5|) NIL)))))))))))
                       (BOOT-EQUAL |x| |y|))
                  NIL)
                 ((BOOT-EQUAL |form| '(|Complex| (|AlgebraicNumber|)))
                  NIL)
-                ((AND (PAIRP |form|) (EQ (QCAR |form|) '|Expression|)
+                ((AND (CONSP |form|) (EQ (QCAR |form|) '|Expression|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |form|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCAR |ISTMP#2|) '|Kernel|)
                                     (PROGN
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL))))))))
                  NIL)
-                ((AND (PAIRP |form|)
+                ((AND (CONSP |form|)
                       (PROGN
                         (SPADLET |op| (QCAR |form|))
                         (SPADLET |argl| (QCDR |form|))
@@ -703,24 +703,24 @@
                              '(|Gaussian| |Complex| |Polynomial|
                                   |Expression|)))
               (COND
-                ((AND (PAIRP |t|)
+                ((AND (CONSP |t|)
                       (PROGN
                         (SPADLET T1 (QCAR |t|))
                         (SPADLET |ISTMP#1| (QCDR |t|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET T2 (QCAR |ISTMP#2|))
                                       'T)))))
                       (BOOT-EQUAL T1 T2) (|member| T1 |badDoubles|))
                  NIL)
-                ((AND (PAIRP |t|) (EQUAL (QCAR |t|) |$QuotientField|)
+                ((AND (CONSP |t|) (EQUAL (QCAR |t|) |$QuotientField|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |t|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T)))
                       (NULL (|isPartialMode| D))
@@ -782,7 +782,7 @@
                            ((|isLegitimateMode| (|underDomainOf| |t|)
                                 |hasPolyMode| |polyVarList|)
                             (EXIT |t|))))
-                        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Mapping|)
+                        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Mapping|)
                               (PROGN (SPADLET |ml| (QCDR |t|)) 'T))
                          (COND
                            ((NULL |ml|) NIL)
@@ -806,13 +806,13 @@
                                          NIL))
                                        (RETURN NIL))))))
                             'T)))
-                        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Union|)
+                        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Union|)
                               (PROGN (SPADLET |ml| (QCDR |t|)) 'T))
                          (COND
                            ((AND |ml|
                                  (PROGN
                                    (SPADLET |ISTMP#1| (CAR |ml|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCAR |ISTMP#1|) '|:|))))
                             (|isLegitimateRecordOrTaggedUnion| |ml|))
                            ((NULL (PROG (G166483)
@@ -839,10 +839,10 @@
                            ((BOOT-EQUAL (|#| |ml|) (|#| (REMDUP |ml|)))
                             'T)
                            ('T NIL)))
-                        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Record|)
+                        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Record|)
                               (PROGN (SPADLET |r| (QCDR |t|)) 'T))
                          (|isLegitimateRecordOrTaggedUnion| |r|))
-                        ((AND (PAIRP |t|)
+                        ((AND (CONSP |t|)
                               (EQ (QCAR |t|) '|Enumeration|)
                               (PROGN (SPADLET |r| (QCDR |t|)) 'T))
                          (COND
@@ -878,7 +878,7 @@
 
 ;underDomainOf t ==
 ;  t = $RationalNumber => $Integer
-;  not PAIRP t => NIL
+;  not CONSP t => NIL
 ;  d := deconstructT t
 ;  1 = #d => NIL
 ;  u := getUnderModeOf(t) => u
@@ -902,7 +902,7 @@
     (RETURN
       (COND
         ((BOOT-EQUAL |t| |$RationalNumber|) |$Integer|)
-        ((NULL (PAIRP |t|)) NIL)
+        ((NULL (CONSP |t|)) NIL)
         ('T (SPADLET |d| (|deconstructT| |t|))
          (COND
            ((EQL 1 (|#| |d|)) NIL)
diff --git a/src/interp/compress.lisp.pamphlet b/src/interp/compress.lisp.pamphlet
index 741dc9e..a8ed532 100644
--- a/src/interp/compress.lisp.pamphlet
+++ b/src/interp/compress.lisp.pamphlet
@@ -19,7 +19,7 @@
 ;    min x ==
 ;      y:=HGET($hash,x)
 ;      y => y
-;      PAIRP x =>
+;      CONSP x =>
 ;        x = '(QUOTE T) => '(QUOTE T)
 ;        -- copes with a particular Lucid-ism, God knows why
 ;        -- This circular way of doing things is an attempt to deal with Lucid
@@ -56,7 +56,7 @@
     (DECLARE (SPECIAL |$hash|))
     (RETURN
       (SEQ (SPADLET |y| (HGET |$hash| |x|)) (IF |y| (EXIT |y|))
-           (IF (PAIRP |x|)
+           (IF (CONSP |x|)
                (EXIT (SEQ (IF (BOOT-EQUAL |x| ''T) (EXIT ''T))
                           (SPADLET |z| (|minimalise,min| (CAR |x|)))
                           (IF (NULL (EQ |z| (CAR |x|)))
diff --git a/src/interp/format.lisp.pamphlet b/src/interp/format.lisp.pamphlet
index 07de055..0c76b8b 100644
--- a/src/interp/format.lisp.pamphlet
+++ b/src/interp/format.lisp.pamphlet
@@ -114,7 +114,7 @@
         (SPADLET |y| (CDADR |mm|))
         (SPADLET |z| (CDDR |mm|))
         (COND
-          ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|partial|)
+          ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|partial|)
                 (PROGN (SPADLET |pred'| (QCDR |pred|)) 'T))
            (SPADLET |b| (CAR |sig|)) (SPADLET |c| (CDR |sig|))
            (SPADLET |sig|
@@ -157,9 +157,9 @@
   (PROG (|lp| |op| |ISTMP#1| |a| |ISTMP#2|)
     (RETURN
       (SEQ (COND
-             ((OR (AND (PAIRP |p|) (EQ (QCAR |p|) 'AND)
+             ((OR (AND (CONSP |p|) (EQ (QCAR |p|) 'AND)
                        (PROGN (SPADLET |lp| (QCDR |p|)) 'T))
-                  (AND (PAIRP |p|) (EQ (QCAR |p|) 'OR)
+                  (AND (CONSP |p|) (EQ (QCAR |p|) 'OR)
                        (PROGN (SPADLET |lp| (QCDR |p|)) 'T)))
               (UNIONQ (PROG (G166148)
                         (SPADLET G166148 NIL)
@@ -176,15 +176,15 @@
                                          (|listOfPredOfTypePatternIds|
                                           |p1|))))))))
                       NIL))
-             ((AND (PAIRP |p|)
+             ((AND (CONSP |p|)
                    (PROGN
                      (SPADLET |op| (QCAR |p|))
                      (SPADLET |ISTMP#1| (QCDR |p|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)))))
                    (BOOT-EQUAL |op| '|ofType|))
               (COND ((|isPatternVar| |a|) (CONS |a| NIL)) ('T NIL)))
@@ -200,20 +200,20 @@
   (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |predl|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|isDomain|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|isDomain|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               'T)
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'AND)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
                    (PROGN (SPADLET |predl| (QCDR |pred|)) 'T))
               (MKPF (PROG (G166191)
                       (SPADLET G166191 NIL)
@@ -227,7 +227,7 @@
                              (NREVERSE0 G166191))
                           (SEQ (EXIT (COND
                                        ((NULL
-                                         (AND (PAIRP |x|)
+                                         (AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|isDomain|)))
                                         (SETQ G166191
                                          (CONS |x| G166191)))))))))
@@ -249,23 +249,23 @@
       (SEQ (PROGN
              (SPADLET |alist|
                       (COND
-                        ((AND (PAIRP |pred|)
+                        ((AND (CONSP |pred|)
                               (EQ (QCAR |pred|) '|isDomain|)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR |pred|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |a| (QCAR |ISTMP#1|))
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |b|
                                            (QCAR |ISTMP#2|))
                                           'T))))))
                          (CONS (CONS |a| |b|) |alist|))
-                        ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'AND)
+                        ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
                               (PROGN
                                 (SPADLET |predl| (QCDR |pred|))
                                 'T))
@@ -281,18 +281,18 @@
                                   (NREVERSE0 G166251))
                                (SEQ (EXIT
                                      (COND
-                                       ((AND (PAIRP |pred|)
+                                       ((AND (CONSP |pred|)
                                          (EQ (QCAR |pred|) '|isDomain|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |pred|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (SPADLET |a|
                                                (QCAR |ISTMP#1|))
                                               (SPADLET |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQ (QCDR |ISTMP#2|)
                                                 NIL)
                                                (PROGN
@@ -389,19 +389,19 @@
   (PROG (|preds| |ISTMP#1| |ISTMP#2| D1 D |npreds|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|isDomain|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|isDomain|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'D)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'D)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET D (QCAR |ISTMP#2|))
                                    'T))))))
               (CONS D (CONS NIL NIL)))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'AND)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
                    (PROGN (SPADLET |preds| (QCDR |pred|)) 'T))
               (SPADLET D NIL)
               (SEQ (DO ((G166369 |preds| (CDR G166369)) (|p| NIL))
@@ -410,16 +410,16 @@
                             (NULL (NULL D)))
                         NIL)
                      (SEQ (EXIT (COND
-                                  ((AND (PAIRP |p|)
+                                  ((AND (CONSP |p|)
                                     (EQ (QCAR |p|) '|isDomain|)
                                     (PROGN
                                       (SPADLET |ISTMP#1| (QCDR |p|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCAR |ISTMP#1|) 'D)
                                        (PROGN
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET D1
@@ -506,11 +506,11 @@
            (SPADLET |sl| (|substInOrder| |alist| |sl|)))
           ((PROGN
              (SPADLET |ISTMP#1| (|removeIsDomainD| |pred|))
-             (AND (PAIRP |ISTMP#1|)
+             (AND (CONSP |ISTMP#1|)
                   (PROGN
                     (SPADLET D (QCAR |ISTMP#1|))
                     (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                    (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                    (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                          (PROGN (SPADLET |npred| (QCAR |ISTMP#2|)) 'T)))))
            (SPADLET |pred| (MSUBST D 'D |npred|))
            (SPADLET |target| (MSUBST D 'D |target|))
@@ -567,10 +567,10 @@
   (PROG (|ISTMP#1| |a| |b| |y|)
     (RETURN
       (COND
-        ((AND (PAIRP |alist|)
+        ((AND (CONSP |alist|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |alist|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |b| (QCDR |ISTMP#1|))
@@ -771,7 +771,7 @@
                (SEQ (EXIT (PROGN
                             (SPADLET |pred|
                                      (COND
-                                       ((AND (PAIRP |predtail|)
+                                       ((AND (CONSP |predtail|)
                                          (PROGN
                                            (SPADLET |p|
                                             (QCAR |predtail|))
@@ -912,7 +912,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |x|) (CONS '|  | (CONS |x| NIL)))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
@@ -943,17 +943,17 @@
       (COND
         ((AND (STRINGP |x|) (BOOT-EQUAL |x| "*")) '|"*"|)
         ((ATOM |x|) (|formatOpSymbol| |x| NIL))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|:|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|:|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |op| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCAR |ISTMP#3|) '|Mapping|)
                                    (PROGN
                                      (SPADLET |sig| (QCDR |ISTMP#3|))
@@ -997,7 +997,7 @@
   (PROG (|y| |z| |y1| |z1|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |y| (QCAR |x|))
                 (SPADLET |z| (QCDR |x|))
@@ -1275,7 +1275,7 @@
 ;      null argl => [ '":" ]
 ;      null rest argl => [ '":", form2String1 first argl ]
 ;      formDecl2String(argl.0,argl.1)
-;  op = "#" and PAIRP argl and LISTP CAR argl =>
+;  op = "#" and CONSP argl and LISTP CAR argl =>
 ;    STRINGIMAGE SIZE CAR argl
 ;  op = 'Join => formJoin2String argl
 ;  op = "ATTRIBUTE" => form2String1 first argl
@@ -1431,7 +1431,7 @@
                           (CONS (|form2String1| (CAR |argl|)) NIL)))
                    ('T
                     (|formDecl2String| (ELT |argl| 0) (ELT |argl| 1)))))
-                ((AND (BOOT-EQUAL |op| '|#|) (PAIRP |argl|)
+                ((AND (BOOT-EQUAL |op| '|#|) (CONSP |argl|)
                       (LISTP (CAR |argl|)))
                  (STRINGIMAGE (SIZE (CAR |argl|))))
                 ((BOOT-EQUAL |op| '|Join|) (|formJoin2String| |argl|))
@@ -1525,7 +1525,7 @@
 ;    x=$EmptyMode or x=$quadSymbol => specialChar 'quad
 ;    STRINGP(x) or IDENTP(x) => x
 ;    x is [ ='_:,:.] => form2String1 x
-;    isValidType(m) and PAIRP(m) and
+;    isValidType(m) and CONSP(m) and
 ;      (GETDATABASE(first(m),'CONSTRUCTORKIND) = 'domain) =>
 ;        (x' := coerceInteractive(objNewWrap(x,m),$OutputForm)) =>
 ;          form2String1 objValUnwrap x'
@@ -1540,9 +1540,9 @@
                    (BOOT-EQUAL |x| |$quadSymbol|))
                (EXIT (|specialChar| '|quad|)))
            (IF (OR (STRINGP |x|) (IDENTP |x|)) (EXIT |x|))
-           (IF (AND (PAIRP |x|) (EQUAL (QCAR |x|) '|:|))
+           (IF (AND (CONSP |x|) (EQUAL (QCAR |x|) '|:|))
                (EXIT (|form2String1| |x|)))
-           (IF (AND (AND (|isValidType| |m|) (PAIRP |m|))
+           (IF (AND (AND (|isValidType| |m|) (CONSP |m|))
                     (BOOT-EQUAL
                         (GETDATABASE (CAR |m|) 'CONSTRUCTORKIND)
                         '|domain|))
@@ -1619,11 +1619,11 @@
            (SPADLET |argl| (NREVERSE (CDR |LETTMP#1|))) |u|)
           ('T (SPADLET |argl| NIL) (SPADLET |last| (CONS |op| |u|))))
         (COND
-          ((AND (PAIRP |last|)
+          ((AND (CONSP |last|)
                 (PROGN
                   (SPADLET |id| (QCAR |last|))
                   (SPADLET |ISTMP#1| (QCDR |last|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN (SPADLET |r| (QCDR |ISTMP#1|)) 'T)))
                 (|member| |id| '(|mkCategory| CATEGORY)))
            (COND
@@ -1670,17 +1670,17 @@
       (SEQ (COND
              ((BOOT-EQUAL |key| '|mkCategory|)
               (COND
-                ((AND (PAIRP |r|)
+                ((AND (CONSP |r|)
                       (PROGN
                         (SPADLET |opPart| (QCAR |r|))
                         (SPADLET |ISTMP#1| (QCDR |r|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |catPart| (QCAR |ISTMP#1|))
                                'T))))
                  (SPADLET |opString|
                           (COND
-                            ((AND (PAIRP |opPart|)
+                            ((AND (CONSP |opPart|)
                                   (EQUAL (QCAR |opPart|) 'LIST)
                                   (PROGN
                                     (SPADLET |u| (QCDR |opPart|))
@@ -1721,7 +1721,7 @@
                             ('T NIL)))
                  (SPADLET |catString|
                           (COND
-                            ((AND (PAIRP |catPart|)
+                            ((AND (CONSP |catPart|)
                                   (EQUAL (QCAR |catPart|) 'LIST)
                                   (PROGN
                                     (SPADLET |u| (QCDR |catPart|))
@@ -1770,18 +1770,18 @@
                     (SEQ (EXIT (SETQ G167143
                                      (APPEND G167143
                                       (COND
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) 'SIGNATURE)
                                           (PROGN
                                             (SPADLET |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (PROGN
                                                (SPADLET |op|
                                                 (QCAR |ISTMP#1|))
                                                (SPADLET |ISTMP#2|
                                                 (QCDR |ISTMP#1|))
-                                               (AND (PAIRP |ISTMP#2|)
+                                               (AND (CONSP |ISTMP#2|)
                                                 (EQ (QCDR |ISTMP#2|)
                                                  NIL)
                                                 (PROGN
@@ -1791,12 +1791,12 @@
                                          (|concat| '|%l|
                                           (|formatOpSignature| |op|
                                            |sig|)))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) 'ATTRIBUTE)
                                           (PROGN
                                             (SPADLET |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCDR |ISTMP#1|) NIL)
                                              (PROGN
                                                (SPADLET |a|
@@ -1848,10 +1848,10 @@
         (SPADLET |last| (CAR |LETTMP#1|))
         (SPADLET |argl| (NREVERSE (CDR |LETTMP#1|)))
         (COND
-          ((AND (PAIRP |last|) (EQ (QCAR |last|) 'CATEGORY)
+          ((AND (CONSP |last|) (EQ (QCAR |last|) 'CATEGORY)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |last|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |atsigList| (QCDR |ISTMP#1|))
                          'T))))
@@ -1913,61 +1913,61 @@
   (PROG (|s| |ISTMP#3| |l| |f| |tail| |y| |ISTMP#2| |ISTMP#1| |p|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'STEP)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'STEP)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |y| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |s| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (PROGN
                                      (SPADLET |l| (QCDR |ISTMP#3|))
                                      'T))))))))
          (SPADLET |tail|
                   (COND
-                    ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL)
+                    ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
                           (PROGN (SPADLET |f| (QCAR |l|)) 'T))
                      (|form2StringLocal| |f|))
                     ('T NIL)))
          (|concat| '|for | |y| '| in | |s| ".." |tail|))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|tails|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|tails|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          (|concat| '|tails | (|formatIterator| |y|)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|reverse|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|reverse|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          (|concat| '|reverse | (|formatIterator| |y|)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|\||)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|\||)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |y| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |p| (QCAR |ISTMP#2|)) 'T))))))
          (|concat| (|formatIterator| |y|) '| \| |
              (|form2StringLocal| |p|)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|until|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|until|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T))))
          (|concat| '|until | (|form2StringLocal| |p|)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|while|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|while|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T))))
          (|concat| '|while | (|form2StringLocal| |p|)))
         ('T (|systemErrorHere| '|formatIterator|))))))
@@ -2057,13 +2057,13 @@
 
 ;script2String s ==
 ;  null s => '""   -- just to be safe
-;  if not PAIRP s then s := [s]
+;  if not CONSP s then s := [s]
 ;  linearFormatForm(CAR s, CDR s)
 
 (DEFUN |script2String| (|s|)
   (COND
     ((NULL |s|) "")
-    ('T (COND ((NULL (PAIRP |s|)) (SPADLET |s| (CONS |s| NIL))))
+    ('T (COND ((NULL (CONSP |s|)) (SPADLET |s| (CONS |s| NIL))))
      (|linearFormatForm| (CAR |s|) (CDR |s|)))))
 
 ;linearFormatName x ==
@@ -2087,7 +2087,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |x|) |x|)
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
@@ -2095,7 +2095,7 @@
                    (ATOM |op|))
               (SPADLET |argPart|
                        (COND
-                         ((AND (PAIRP |argl|)
+                         ((AND (CONSP |argl|)
                                (PROGN
                                  (SPADLET |a| (QCAR |argl|))
                                  (SPADLET |l| (QCDR |argl|))
@@ -2386,7 +2386,7 @@
          (COND
            ((PROGN
               (SPADLET |ISTMP#1| (CAR |argl|))
-              (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '<)))
+              (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '<)))
             (|concat| |op| (CAR |argl|)))
            ('T
             (|concat| (|app2StringWrap| (|formWrapId| |op|) |linkInfo|)
@@ -2521,13 +2521,13 @@
   (PROG (|a| |ISTMP#2| |b| |ISTMP#3| |c| |s1| |fun| |ISTMP#1| |sig|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |s|) (EQ (QCAR |s|) 'QUOTE)
+             ((AND (CONSP |s|) (EQ (QCAR |s|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |s1| (QCAR |ISTMP#1|)) 'T))))
               (|formatPredParts| |s1|))
-             ((AND (PAIRP |s|) (EQ (QCAR |s|) 'LIST)
+             ((AND (CONSP |s|) (EQ (QCAR |s|) 'LIST)
                    (PROGN (SPADLET |s1| (QCDR |s|)) 'T))
               (PROG (G167753)
                 (SPADLET G167753 NIL)
@@ -2539,34 +2539,34 @@
                     (SEQ (EXIT (SETQ G167753
                                      (CONS (|formatPredParts| |s2|)
                                       G167753))))))))
-             ((AND (PAIRP |s|) (EQ (QCAR |s|) '|devaluate|)
+             ((AND (CONSP |s|) (EQ (QCAR |s|) '|devaluate|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |s1| (QCAR |ISTMP#1|)) 'T))))
               (|formatPredParts| |s1|))
-             ((AND (PAIRP |s|) (EQ (QCAR |s|) '|getDomainView|)
+             ((AND (CONSP |s|) (EQ (QCAR |s|) '|getDomainView|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |s1| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL))))))
               (|formatPredParts| |s1|))
-             ((AND (PAIRP |s|) (EQ (QCAR |s|) 'SUBST)
+             ((AND (CONSP |s|) (EQ (QCAR |s|) 'SUBST)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#3|))
@@ -2575,11 +2575,11 @@
                        (|formatPredParts|
                            (MSUBST (|formatPredParts| |a|) |b| |c|)))
               (COND
-                ((NULL (AND (PAIRP |s1|)
+                ((NULL (AND (CONSP |s1|)
                             (PROGN
                               (SPADLET |fun| (QCAR |s1|))
                               (SPADLET |ISTMP#1| (QCDR |s1|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL)
                                    (PROGN
                                      (SPADLET |sig| (QCAR |ISTMP#1|))
@@ -2647,19 +2647,19 @@
                 |form|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IF)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'IF)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |cond| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |thenClause|
                                     (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |elseClause|
@@ -2673,7 +2673,7 @@
                        (|concat| " else "
                            (|pred2English| |elseClause|)))
               (|concat| |c| |t| |e|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'AND)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'AND)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (SPADLET |tail|
                        (PROG (G167949)
@@ -2691,7 +2691,7 @@
                                           (|concat| (|bright| "and")
                                            (|pred2English| |x|))))))))))
               (|concat| (|pred2English| (CAR |l|)) |tail|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'OR)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'OR)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (SPADLET |tail|
                        (PROG (G167960)
@@ -2709,21 +2709,21 @@
                                           (|concat| (|bright| "or")
                                            (|pred2English| |x|))))))))))
               (|concat| (|pred2English| (CAR |l|)) |tail|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'NOT)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'NOT)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |l| (QCAR |ISTMP#1|)) 'T))))
               (|concat| "not " (|pred2English| |l|)))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -2731,15 +2731,15 @@
                    (|member| |op| '(|has| |ofCategory|)))
               (|concat| (|pred2English| |a|) '|%b| "has"
                   '|%d| (|form2String| (|abbreviate| |b|))))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -2749,25 +2749,25 @@
               (|concat| (|prefix2String0| (|formatPredParts| |a|))
                   '|%b| "has" '|%d|
                   (|prefix2String0| (|formatPredParts| |b|))))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T)))))
                    (|member| |op| '(|ofType| |getDomainView|)))
               (COND
-                ((AND (PAIRP |b|) (EQ (QCAR |b|) 'QUOTE)
+                ((AND (CONSP |b|) (EQ (QCAR |b|) 'QUOTE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |b|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |b'| (QCAR |ISTMP#1|))
@@ -2775,15 +2775,15 @@
                  (SPADLET |b| |b'|)))
               (|concat| (|pred2English| |a|) ": "
                   (|form2String| (|abbreviate| |b|))))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -2791,7 +2791,7 @@
                    (|member| |op| '(|isDomain| |domainEqual|)))
               (|concat| (|pred2English| |a|) " = "
                   (|form2String| (|abbreviate| |b|))))
-             ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
+             ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
                    (SPADLET |translation|
                             (LASSOC |op|
                                     '((< . " < ") (<= . " <= ")
@@ -2799,10 +2799,10 @@
                                       (= . " = ") (^= . " ^= ")))))
               (|concat| (|pred2English| |a|) |translation|
                   (|pred2English| |b|)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'ATTRIBUTE)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'ATTRIBUTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |form| (QCAR |ISTMP#1|)) 'T))))
               (|concat| '|attribute: | (|form2String| |form|)))
              ('T (|form2String| |x|)))))))
@@ -2811,7 +2811,7 @@
 ;  STRINGP x => x
 ;  IDENTP x  => PNAME x
 ;  NULL x    => '""
-;  PAIRP  x  => STRCONC(object2String first x, object2String rest x)
+;  CONSP  x  => STRCONC(object2String first x, object2String rest x)
 ;  WRITE_-TO_-STRING x
 
 (DEFUN |object2String| (|x|)
@@ -2819,7 +2819,7 @@
     ((STRINGP |x|) |x|)
     ((IDENTP |x|) (PNAME |x|))
     ((NULL |x|) "")
-    ((PAIRP |x|)
+    ((CONSP |x|)
      (STRCONC (|object2String| (CAR |x|)) (|object2String| (CDR |x|))))
     ('T (WRITE-TO-STRING |x|))))
 
@@ -2855,7 +2855,7 @@
 ;--optARgL  ::= [ 0 or more arguments ] | nothing at all
 ;--optDbn   ::= ['dbN , databaseName ] | nothing at all
 ;pkey keyStuff ==
-;    if not PAIRP keyStuff then keyStuff := [keyStuff]
+;    if not CONSP keyStuff then keyStuff := [keyStuff]
 ;    allMsgs := ['" "]
 ;    while not null keyStuff repeat
 ;        dbN := NIL
@@ -2863,7 +2863,7 @@
 ;        key := first keyStuff
 ;        keyStuff := IFCDR keyStuff
 ;        next := IFCAR keyStuff
-;        while PAIRP next repeat
+;        while CONSP next repeat
 ;            if CAR next = 'dbN then dbN := CADR next
 ;            else argL := next
 ;            keyStuff  := IFCDR keyStuff
@@ -2877,7 +2877,7 @@
     (RETURN
       (SEQ (PROGN
              (COND
-               ((NULL (PAIRP |keyStuff|))
+               ((NULL (CONSP |keyStuff|))
                 (SPADLET |keyStuff| (CONS |keyStuff| NIL))))
              (SPADLET |allMsgs| (CONS " " NIL))
              (DO () ((NULL (NULL (NULL |keyStuff|))) NIL)
@@ -2887,7 +2887,7 @@
                             (SPADLET |key| (CAR |keyStuff|))
                             (SPADLET |keyStuff| (IFCDR |keyStuff|))
                             (SPADLET |next| (IFCAR |keyStuff|))
-                            (DO () ((NULL (PAIRP |next|)) NIL)
+                            (DO () ((NULL (CONSP |next|)) NIL)
                               (SEQ (EXIT
                                     (PROGN
                                       (COND
@@ -2924,34 +2924,34 @@
       (PROGN
         (SPADLET |p| (|ncParseFromString| |s|))
         (COND
-          ((NULL (AND (PAIRP |p|)
+          ((NULL (AND (CONSP |p|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCAR |p|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) '|$elt|)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |FloatDomain|
                                        (QCAR |ISTMP#2|))
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL)
                                        (EQ (QCAR |ISTMP#3|) '|float|)))))))
                       (PROGN
                         (SPADLET |ISTMP#4| (QCDR |p|))
-                        (AND (PAIRP |ISTMP#4|)
+                        (AND (CONSP |ISTMP#4|)
                              (PROGN
                                (SPADLET |x| (QCAR |ISTMP#4|))
                                (SPADLET |ISTMP#5| (QCDR |ISTMP#4|))
-                               (AND (PAIRP |ISTMP#5|)
+                               (AND (CONSP |ISTMP#5|)
                                     (PROGN
                                       (SPADLET |y| (QCAR |ISTMP#5|))
                                       (SPADLET |ISTMP#6|
                                        (QCDR |ISTMP#5|))
-                                      (AND (PAIRP |ISTMP#6|)
+                                      (AND (CONSP |ISTMP#6|)
                                        (EQ (QCDR |ISTMP#6|) NIL)
                                        (PROGN
                                          (SPADLET |z| (QCAR |ISTMP#6|))
@@ -2995,7 +2995,7 @@
   (PROG (|op| |argl|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
diff --git a/src/interp/fortcall.lisp.pamphlet b/src/interp/fortcall.lisp.pamphlet
index 58010e3..973756d 100644
--- a/src/interp/fortcall.lisp.pamphlet
+++ b/src/interp/fortcall.lisp.pamphlet
@@ -2703,7 +2703,7 @@
 ;  -- Take an AnonymousFunction, replace the bound variables by references to
 ;  -- elements of a vector, and compile it.
 ;  (first f) ^= "+->" => error "in multiToUnivariate: not an AnonymousFunction"
-;  if PAIRP CADR f then
+;  if CONSP CADR f then
 ;    vars := CDADR f -- throw away 'Tuple at start of variable list
 ;  else
 ;    vars := [CADR f]
@@ -2724,7 +2724,7 @@
               (|error| '|in multiToUnivariate: not an AnonymousFunction|))
              ('T
               (COND
-                ((PAIRP (CADR |f|)) (SPADLET |vars| (CDADR |f|)))
+                ((CONSP (CADR |f|)) (SPADLET |vars| (CDADR |f|)))
                 ('T (SPADLET |vars| (CONS (CADR |f|) NIL))))
               (SPADLET |body| (COPY-TREE (CADDR |f|)))
               (SPADLET |newVariable| (GENSYM))
@@ -2754,7 +2754,7 @@
 ;  -- Take a mapping into n functions of n variables, produce code which will
 ;  -- evaluate function and jacobian values.
 ;  (first f) ^= "+->" => error "in functionAndJacobian: not an AnonymousFunction"
-;  if PAIRP CADR f then
+;  if CONSP CADR f then
 ;    vars := CDADR f -- throw away 'Tuple at start of variable list
 ;  else
 ;    vars := [CADR f]
@@ -2793,7 +2793,7 @@
               (|error| '|in functionAndJacobian: not an AnonymousFunction|))
              ('T
               (COND
-                ((PAIRP (CADR |f|)) (SPADLET |vars| (CDADR |f|)))
+                ((CONSP (CADR |f|)) (SPADLET |vars| (CDADR |f|)))
                 ('T (SPADLET |vars| (CONS (CADR |f|) NIL))))
               (COND
                 ((NEQUAL (|#| |vars|) (|#| (CDADDR |f|)))
@@ -2903,7 +2903,7 @@
 ;  -- Take a mapping into n functions of m variables, produce code which will
 ;  -- evaluate function values.
 ;  (first f) ^= "+->" => error "in vectorOfFunctions: not an AnonymousFunction"
-;  if PAIRP CADR f then
+;  if CONSP CADR f then
 ;    vars := CDADR f -- throw away 'Tuple at start of variable list
 ;  else
 ;    vars := [CADR f]
@@ -2923,7 +2923,7 @@
               (|error| '|in vectorOfFunctions: not an AnonymousFunction|))
              ('T
               (COND
-                ((PAIRP (CADR |f|)) (SPADLET |vars| (CDADR |f|)))
+                ((CONSP (CADR |f|)) (SPADLET |vars| (CDADR |f|)))
                 ('T (SPADLET |vars| (CONS (CADR |f|) NIL))))
               (SPADLET |funBodies| (COPY-TREE (CDADDR |f|)))
               (SPADLET |newVariable| (GENSYM))
diff --git a/src/interp/functor.lisp.pamphlet b/src/interp/functor.lisp.pamphlet
index 75bd567..7ba72d3 100644
--- a/src/interp/functor.lisp.pamphlet
+++ b/src/interp/functor.lisp.pamphlet
@@ -265,7 +265,7 @@
                                             (PROGN
                                               (SPADLET |ISTMP#1|
                                                (ELT |uu| |i|))
-                                              (AND (PAIRP |ISTMP#1|)
+                                              (AND (CONSP |ISTMP#1|)
                                                (PROGN
                                                  (SPADLET |v|
                                                   (QCDR |ISTMP#1|))
@@ -320,7 +320,7 @@
 ;          $Sublis:= [first Sublis,:$Sublis]
 ;          $WhereList:= [[name,:vv.j],:$WhereList]
 ;      vv.j:= name
-;    if PAIRP vv.j and REFVECP(u:=CDR vv.j) then
+;    if CONSP vv.j and REFVECP(u:=CDR vv.j) then
 ;      l:= ASSQ(keyItem u,Sublis)
 ;      if l
 ;         then name:= rest l
@@ -366,7 +366,7 @@
                                             |$WhereList|))))
                                (SETELT |vv| |j| |name|)))
                             (COND
-                              ((AND (PAIRP (ELT |vv| |j|))
+                              ((AND (CONSP (ELT |vv| |j|))
                                     (REFVECP
                                      (SPADLET |u| (CDR (ELT |vv| |j|)))))
                                (SPADLET |l|
@@ -405,7 +405,7 @@
   (PROG (|a| |b| |c1| |c2| |l|)
     (RETURN
       (COND
-        ((AND (PAIRP |item|)
+        ((AND (CONSP |item|)
               (PROGN
                 (SPADLET |a| (QCAR |item|))
                 (SPADLET |b| (QCDR |item|))
@@ -436,16 +436,16 @@
     (RETURN
       (COND
         ((NULL |a|) NIL)
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) 'QUOTE)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |a'| (QCAR |ISTMP#1|)) 'T))))
          (COND (|a'| |a|) ('T NIL)))
         ((BOOT-EQUAL |a| '$) (MKQ '$))
-        ((AND (PAIRP |a|) (EQ (QCDR |a|) NIL) (EQ (QCAR |a|) 'LIST))
+        ((AND (CONSP |a|) (EQ (QCDR |a|) NIL) (EQ (QCAR |a|) 'LIST))
          NIL)
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) 'LIST)) |a|)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) 'LIST)) |a|)
         ('T (CONS '|devaluate| (CONS |a| NIL)))))))
 
 ;getDomainView(domain,catform) ==
@@ -508,18 +508,18 @@
     (RETURN
       (SEQ (COND
              ((ATOM |x|) NIL)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'LIST)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'LIST)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |b| (QCDR |ISTMP#1|))
                             'T)))
-                   (PAIRP |a|) (EQ (QCAR |a|) 'QUOTE)
+                   (CONSP |a|) (EQ (QCAR |a|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |a|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |a'| (QCAR |ISTMP#1|)) 'T))))
               (|union| (LIST (LIST |a'|))
                        (PROG (G166307)
@@ -535,12 +535,12 @@
                              (SEQ (EXIT (SETQ G166307
                                          (|union| G166307
                                           (|CategoriesFromGDC| |u|))))))))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T)))
-                   (PAIRP |a|) (EQ (QCDR |a|) NIL)
+                   (CONSP |a|) (EQ (QCDR |a|) NIL)
                    (PROGN (SPADLET |b| (QCAR |a|)) 'T))
               (CONS |a| NIL)))))))
 
@@ -620,14 +620,14 @@
                                        (|compCategories1| |a|
                                         '(|SetCategory|))
                                        G166361)))))))))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|SubDomain|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|SubDomain|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET D (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL))))))
               (|compCategories| D))
              ('T (SPADLET |v| (|get| (CAR |u|) '|modemap| |$e|))
@@ -705,7 +705,7 @@
 ;NewbFVectorCopy(u,domName) ==
 ;  v:= GETREFV SIZE u
 ;  for i in 0..5 repeat v.i:= u.i
-;  for i in 6..MAXINDEX v | PAIRP u.i repeat v.i:= [Undef,[domName,i],:first u.i]
+;  for i in 6..MAXINDEX v | CONSP u.i repeat v.i:= [Undef,[domName,i],:first u.i]
 ;  v
 
 (DEFUN |NewbFVectorCopy| (|u| |domName|)
@@ -718,7 +718,7 @@
              (DO ((G166429 (MAXINDEX |v|)) (|i| 6 (+ |i| 1)))
                  ((> |i| G166429) NIL)
                (SEQ (EXIT (COND
-                            ((PAIRP (ELT |u| |i|))
+                            ((CONSP (ELT |u| |i|))
                              (SETELT |v| |i|
                                      (CONS |Undef|
                                       (CONS
@@ -779,25 +779,25 @@
     (RETURN
       (SEQ (COND
              ((ATOM |x|) |x|)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               |x|)
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (EQ (QCAR |x|) '|DomainSubstitutionMacro|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |parms| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |body| (QCAR |ISTMP#2|))
                                    'T))))))
               (|optFunctorBody|
                   (|DomainSubstitutionFunction| |parms| |body|)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'LIST)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'LIST)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (COND
                 ((NULL |l|) NIL)
@@ -852,10 +852,10 @@
                                 NIL)))
                    ((BOOT-EQUAL |l| (CDR |x|)) |x|)
                    ('T (CONS 'LIST |l|))))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'PROGN)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'PROGN)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (CONS 'PROGN (|optFunctorPROGN| |l|)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'COND)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'COND)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (SPADLET |l|
                        (PROG (G166526)
@@ -918,7 +918,7 @@
 ;           --For categories, bound and used in compDefineCategory
 ;          MKQ g
 ;        first body="QUOTE" => body
-;        PAIRP $definition and
+;        CONSP $definition and
 ;            isFunctor first body and
 ;              first body ^= first $definition
 ;          =>  ['QUOTE,optimize body]
@@ -947,7 +947,7 @@
                                     |$extraParms|))
                           (EXIT (MKQ |g|)))))
            (IF (BOOT-EQUAL (CAR |body|) 'QUOTE) (EXIT |body|))
-           (IF (AND (AND (PAIRP |$definition|)
+           (IF (AND (AND (CONSP |$definition|)
                          (|isFunctor| (CAR |body|)))
                     (NEQUAL (CAR |body|) (CAR |$definition|)))
                (EXIT (CONS 'QUOTE (CONS (|optimize| |body|) NIL))))
@@ -975,7 +975,7 @@
                        (|DomainSubstitutionFunction,Subst| |parameters|
                            |body|))))
         (COND
-          ((NULL (AND (PAIRP |body|) (EQ (QCAR |body|) '|Join|)))
+          ((NULL (AND (CONSP |body|) (EQ (QCAR |body|) '|Join|)))
            |body|)
           ((ATOM |$definition|) |body|)
           ((NULL (CDR |$definition|)) |body|)
@@ -1007,7 +1007,7 @@
     ((NULL |u|) 'T)
     ((NUMBERP |u|) 'T)
     ((ATOM |u|) NIL)
-    ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)) 'T)
+    ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)) 'T)
     ('T NIL)))
 
 ;optFunctorBodyRequote u ==
@@ -1020,10 +1020,10 @@
     (RETURN
       (COND
         ((ATOM |u|) |u|)
-        ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)
+        ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |u|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |v| (QCAR |ISTMP#1|)) 'T))))
          |v|)
         ('T (|systemErrorHere| "optFunctorBodyRequote"))))))
@@ -1040,7 +1040,7 @@
   (PROG (|x| |l'|)
     (RETURN
       (COND
-        ((AND (PAIRP |l|)
+        ((AND (CONSP |l|)
               (PROGN
                 (SPADLET |x| (QCAR |l|))
                 (SPADLET |l'| (QCDR |l|))
@@ -1065,7 +1065,7 @@
   (PROG (|ISTMP#1| |y| |l| |l'|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'COND)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'COND)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T)
                    (PROG (G166604)
                      (SPADLET G166604 'T)
@@ -1077,10 +1077,10 @@
                             G166604)
                          (SEQ (EXIT (SETQ G166604
                                      (AND G166604
-                                      (AND (PAIRP |x|)
+                                      (AND (CONSP |x|)
                                        (PROGN
                                          (SPADLET |ISTMP#1| (QCDR |x|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |y|
@@ -1088,12 +1088,12 @@
                                             'T)))
                                        (|worthlessCode| |y|))))))))))
               'T)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'PROGN)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'PROGN)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (COND
                 ((NULL (SPADLET |l'| (|optFunctorPROGN| |l|))) 'T)
                 ('T NIL)))
-             ((AND (PAIRP |x|) (EQ (QCDR |x|) NIL)
+             ((AND (CONSP |x|) (EQ (QCDR |x|) NIL)
                    (EQ (QCAR |x|) 'LIST))
               'T)
              ((NULL |x|) 'T)
@@ -1286,7 +1286,7 @@
              (SPADLET |l| (CDDR |cp|))
              |cp|
              (SEQ (IF (BOOT-EQUAL |cond| 'T) (EXIT |cp|))
-                  (IF (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|or|)
+                  (IF (AND (CONSP |cond|) (EQ (QCAR |cond|) '|or|)
                            (PROGN (SPADLET |x| (QCDR |cond|)) 'T))
                       (EXIT (SEQ (IF (PROG (G166762)
                                        (SPADLET G166762 NIL)
@@ -1311,17 +1311,17 @@
                                                 |u| |subst|))))))))
                                      (EXIT (CONS |a| (CONS 'T |l|))))
                                  (EXIT NIL))))
-                  (IF (AND (AND (PAIRP |cond|)
+                  (IF (AND (AND (CONSP |cond|)
                                 (EQ (QCAR |cond|) '|has|)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |cond|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |nam|
                                           (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET |b|
@@ -1331,12 +1331,12 @@
                       (EXIT (SEQ (SPADLET |ev|
                                           (SEQ
                                            (IF
-                                            (AND (PAIRP |b|)
+                                            (AND (CONSP |b|)
                                              (EQ (QCAR |b|) 'ATTRIBUTE)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |b|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -1347,12 +1347,12 @@
                                              (|HasAttribute|
                                               (CDR |val|) |c|)))
                                            (IF
-                                            (AND (PAIRP |b|)
+                                            (AND (CONSP |b|)
                                              (EQ (QCAR |b|) 'SIGNATURE)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |b|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -1404,14 +1404,14 @@
   (declare (special |$QuickCode|))
     (RETURN
       (COND
-        ((AND (PAIRP |instantiator|)
+        ((AND (CONSP |instantiator|)
               (EQ (QCAR |instantiator|) '|DomainSubstitutionMacro|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |instantiator|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |body| (QCAR |ISTMP#2|))
                               'T))))))
@@ -1438,14 +1438,14 @@
     (RETURN
       (PROGN
         (COND
-          ((AND (PAIRP |x|) (EQ (QCAR |x|) '|DomainSubstitutionMacro|)
+          ((AND (CONSP |x|) (EQ (QCAR |x|) '|DomainSubstitutionMacro|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |x|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |parms| (QCAR |ISTMP#1|))
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (SPADLET |body| (QCAR |ISTMP#2|))
@@ -1453,7 +1453,7 @@
            (SPADLET |x| (|DomainSubstitutionFunction| |parms| |body|))
            (SPADLET |x| (SUBLIS |$extraParms| |x|))))
         (COND
-          ((AND (PAIRP |x|) (EQ (QCAR |x|) '|Join|))
+          ((AND (CONSP |x|) (EQ (QCAR |x|) '|Join|))
            (CONS '|eval| (CONS (CONS 'QUOTE (CONS |x| NIL)) NIL)))
           ('T |x|))))))
 
@@ -1480,23 +1480,23 @@
     (RETURN
       (SEQ (COND
              ((ATOM |x|) (|mkDevaluate| |x|))
-             ((AND (PAIRP |x|) (EQ (QCDR |x|) NIL)
+             ((AND (CONSP |x|) (EQ (QCDR |x|) NIL)
                    (EQ (QCAR |x|) '|Join|))
               NIL)
-             ((AND (PAIRP |x|) (EQ (QCDR |x|) NIL)
+             ((AND (CONSP |x|) (EQ (QCDR |x|) NIL)
                    (EQ (QCAR |x|) 'LIST))
               NIL)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'CATEGORY)) (MKQ |x|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|mkCategory|))
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'CATEGORY)) (MKQ |x|))
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|mkCategory|))
               (MKQ |x|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|:|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|:|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |selector| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |dom| (QCAR |ISTMP#2|))
@@ -1506,7 +1506,7 @@
                           (CONS (MKQ |selector|)
                                 (CONS (|mkDomainConstructor| |dom|)
                                       NIL)))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|Record|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|Record|)
                    (PROGN (SPADLET |argl| (QCDR |x|)) 'T))
               (CONS 'LIST
                     (CONS (MKQ '|Record|)
@@ -1525,7 +1525,7 @@
                                        (CONS
                                         (|mkDomainConstructor| |y|)
                                         G166872))))))))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|Join|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|Join|)
                    (PROGN (SPADLET |argl| (QCDR |x|)) 'T))
               (CONS 'LIST
                     (CONS (MKQ '|Join|)
@@ -1544,13 +1544,13 @@
                                        (CONS
                                         (|mkDomainConstructor| |y|)
                                         G166887))))))))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|call|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|call|)
                    (PROGN (SPADLET |argl| (QCDR |x|)) 'T))
               (CONS 'MKQ (CONS (|optCall| |x|) NIL)))
-             ((AND (PAIRP |x|) (EQ (QCDR |x|) NIL)
+             ((AND (CONSP |x|) (EQ (QCDR |x|) NIL)
                    (PROGN (SPADLET |op| (QCAR |x|)) 'T))
               (MKQ |x|))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
@@ -1766,14 +1766,14 @@
   (PROG (|ISTMP#1| |ISTMP#2| |body| |data|)
     (RETURN
       (COND
-        ((AND (PAIRP |instantiator|)
+        ((AND (CONSP |instantiator|)
               (EQ (QCAR |instantiator|) '|DomainSubstitutionMacro|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |instantiator|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |body| (QCAR |ISTMP#2|))
                               'T))))))
@@ -2058,11 +2058,11 @@
               (COND
                 ((PROGN
                    (SPADLET |ISTMP#1| (|getmode| (|opOf| |base|) |$e|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (EQ (QCAR |ISTMP#1|) '|Mapping|)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |target| (QCAR |ISTMP#2|))
                                  (SPADLET |formalArgModes|
@@ -2167,23 +2167,23 @@
                                             (CADDR |code|))
                                            |sofar|))
                           (EXIT 'T))))
-           (EXIT (IF (AND (AND (PAIRP |code|)
+           (EXIT (IF (AND (AND (CONSP |code|)
                                (PROGN
                                  (SPADLET |x| (QCAR |code|))
                                  (SPADLET |ISTMP#1| (QCDR |code|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (PROGN
                                         (SPADLET |name|
                                          (QCAR |ISTMP#1|))
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (PROGN
                                            (SPADLET |number|
                                             (QCAR |ISTMP#2|))
                                            (SPADLET |ISTMP#3|
                                             (QCDR |ISTMP#2|))
-                                           (AND (PAIRP |ISTMP#3|)
+                                           (AND (CONSP |ISTMP#3|)
                                             (EQ (QCDR |ISTMP#3|) NIL)
                                             (PROGN
                                               (SPADLET |u'|
@@ -2465,10 +2465,10 @@
              ((NULL |code|) NIL)
              ((BOOT-EQUAL |code| '|noBranch|) NIL)
              ((|isMacro| |code| |$e|) NIL)
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) '|add|)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) '|add|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |code|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |base| (QCAR |ISTMP#1|))
                             (SPADLET |codelist| (QCDR |ISTMP#1|))
@@ -2495,7 +2495,7 @@
               (CONS 'PROGN
                     (APPEND (|DescendCodeAdd| |base| |flag|)
                             |codelist|)))
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'PROGN)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'PROGN)
                    (PROGN (SPADLET |codelist| (QCDR |code|)) 'T))
               (CONS 'PROGN
                     (NREVERSE
@@ -2519,7 +2519,7 @@
                                         NIL)
                                        (SETQ G167612
                                         (CONS |v| G167612))))))))))))
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'COND)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'COND)
                    (PROGN (SPADLET |condlist| (QCDR |code|)) 'T))
               (SPADLET |c|
                        (PROG (G167637)
@@ -2590,7 +2590,7 @@
                                                                (CAR
                                                                 |u|))
                                                               (AND
-                                                               (PAIRP
+                                                               (CONSP
                                                                 |ISTMP#1|)
                                                                (EQ
                                                                 (QCAR
@@ -2602,7 +2602,7 @@
                                                                   (QCDR
                                                                    |ISTMP#1|))
                                                                  (AND
-                                                                  (PAIRP
+                                                                  (CONSP
                                                                    |ISTMP#2|)
                                                                   (PROGN
                                                                     (SPADLET
@@ -2614,7 +2614,7 @@
                                                                      (QCDR
                                                                       |ISTMP#2|))
                                                                     (AND
-                                                                     (PAIRP
+                                                                     (CONSP
                                                                       |ISTMP#3|)
                                                                      (EQ
                                                                       (QCDR
@@ -2643,7 +2643,7 @@
                      ((NULL (AND |c|
                                  (OR (PROGN
                                        (SPADLET |ISTMP#1| (|last| |c|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCDR |ISTMP#1|) NIL)
                                         (PROGN
                                           (SPADLET |c1|
@@ -2651,35 +2651,35 @@
                                           'T)))
                                      (PROGN
                                        (SPADLET |ISTMP#1| (|last| |c|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (PROGN
                                           (SPADLET |c1|
                                            (QCAR |ISTMP#1|))
                                           (SPADLET |ISTMP#2|
                                            (QCDR |ISTMP#1|))
-                                          (AND (PAIRP |ISTMP#2|)
+                                          (AND (CONSP |ISTMP#2|)
                                            (EQ (QCDR |ISTMP#2|) NIL)
                                            (NULL (QCAR |ISTMP#2|)))))))
                                  (OR (BOOT-EQUAL |c1| ''T)
-                                     (AND (PAIRP |c1|)
+                                     (AND (CONSP |c1|)
                                       (EQ (QCAR |c1|) '|HasAttribute|)))))
                       NIL)
                    (SEQ (EXIT (SPADLET |c|
                                        (NREVERSE (CDR (NREVERSE |c|)))))))
                  (COND ((NULL |c|) '(LIST)) ('T (CONS 'COND |c|))))))
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'LET)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'LET)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |code|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |name| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |body| (QCAR |ISTMP#2|))
                                    'T))))))
               (COND
-                ((AND (PAIRP |body|)
+                ((AND (CONSP |body|)
                       (PROGN (SPADLET |a| (QCAR |body|)) 'T)
                       (|isFunctor| |a|))
                  (SPADLET |$packagesUsed|
@@ -2719,14 +2719,14 @@
                     NIL)
                    ('T |code|)))
                 ('T |code|)))
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) '|CodeDefine|)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) '|CodeDefine|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |code|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |sig| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |implem| (QCAR |ISTMP#2|))
@@ -2758,14 +2758,14 @@
                           (CONS |u| |$ConstantAssignments|))
                  NIL)
                 ('T |u|)))
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) '|:|))
+             ((AND (CONSP |code|) (EQ (QCAR |code|) '|:|))
               (RPLACA |code| 'LIST) (RPLACD |code| NIL))
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'LIST)) NIL)
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) '|devaluate|)) NIL)
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'MDEF)) NIL)
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) '|call|)) |code|)
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'SETELT)) |code|)
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'QSETREFV)) |code|)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'LIST)) NIL)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) '|devaluate|)) NIL)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'MDEF)) NIL)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) '|call|)) |code|)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'SETELT)) |code|)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'QSETREFV)) |code|)
              ('T
               (|stackWarning|
                   (CONS "unknown Functor code "
@@ -2783,24 +2783,24 @@
     (RETURN
       (COND
         ((NULL |u|) NIL)
-        ((AND (PAIRP |u|)
+        ((AND (CONSP |u|)
               (PROGN
                 (SPADLET |q| (QCAR |u|))
                 (SPADLET |ISTMP#1| (QCDR |u|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |u'| (QCAR |ISTMP#3|))
                                      'T)))))))
               (OR (BOOT-EQUAL |q| 'SETELT) (BOOT-EQUAL |q| 'QSETREFV)))
          (|ConstantCreator| |u'|))
-        ((AND (PAIRP |u|) (EQ (QCAR |u|) 'CONS)) NIL)
+        ((AND (CONSP |u|) (EQ (QCAR |u|) 'CONS)) NIL)
         ('T 'T)))))
 
 ;ProcessCond(cond,viewassoc) ==
@@ -2839,7 +2839,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |cond|) |cond|)
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|HasCategory|)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|HasCategory|)
                    (PROGN (SPADLET |l| (QCDR |cond|)) 'T))
               (SPADLET |solved| NIL)
               (DO ((G167813 |$getDomainCode| (CDR G167813))
@@ -2850,16 +2850,16 @@
                 (SEQ (EXIT (COND
                              ((NULL |solved|)
                               (COND
-                                ((AND (PAIRP |u|) (EQ (QCAR |u|) 'LET)
+                                ((AND (CONSP |u|) (EQ (QCAR |u|) 'LET)
                                       (PROGN
                                         (SPADLET |ISTMP#1| (QCDR |u|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (PROGN
                                            (SPADLET |name|
                                             (QCAR |ISTMP#1|))
                                            (SPADLET |ISTMP#2|
                                             (QCDR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCDR |ISTMP#2|) NIL)
                                             (EQUAL (QCAR |ISTMP#2|)
                                              |cond|))))))
@@ -2937,17 +2937,17 @@
                                   NIL)
                                (SEQ (EXIT
                                      (COND
-                                       ((AND (PAIRP |catImplem|)
+                                       ((AND (CONSP |catImplem|)
                                          (PROGN
                                            (SPADLET |q|
                                             (QCAR |catImplem|))
                                            (SPADLET |ISTMP#1|
                                             (QCDR |catImplem|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (SPADLET |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQ (QCDR |ISTMP#2|)
                                                 NIL)
                                                (PROGN
@@ -2958,18 +2958,18 @@
                                           (BOOT-EQUAL |q| 'CONST)))
                                         (COND
                                           ((AND (EQ |q| 'CONST)
-                                            (PAIRP |body|)
+                                            (CONSP |body|)
                                             (EQ (QCAR |body|) 'CONS)
                                             (PROGN
                                               (SPADLET |ISTMP#1|
                                                (QCDR |body|))
-                                              (AND (PAIRP |ISTMP#1|)
+                                              (AND (CONSP |ISTMP#1|)
                                                (PROGN
                                                  (SPADLET |a|
                                                   (QCAR |ISTMP#1|))
                                                  (SPADLET |ISTMP#2|
                                                   (QCDR |ISTMP#1|))
-                                                 (AND (PAIRP |ISTMP#2|)
+                                                 (AND (CONSP |ISTMP#2|)
                                                   (EQ (QCDR |ISTMP#2|)
                                                    NIL)
                                                   (PROGN
@@ -3035,7 +3035,7 @@
                                                        (CONS |flag|
                                                         NIL)))))))))))
                                           ('T NIL)))
-                                       ((AND (PAIRP |catImplem|)
+                                       ((AND (CONSP |catImplem|)
                                          (EQ (QCAR |catImplem|)
                                           '|Subsumed|)
                                          (PROGN
@@ -3046,7 +3046,7 @@
                                           ((BOOT-EQUAL |mode|
                                             '|original|)
                                            (COND
-                                             ((AND (PAIRP |truename|)
+                                             ((AND (CONSP |truename|)
                                                (PROGN
                                                  (SPADLET |fn|
                                                   (QCAR |truename|))
@@ -3061,14 +3061,14 @@
                                                 |mode|)))))
                                           ('T NIL)))
                                        ((NULL
-                                         (AND (PAIRP |catImplem|)
+                                         (AND (CONSP |catImplem|)
                                           (EQ (QCAR |catImplem|) 'PAC)))
                                         (|keyedSystemError| 'S2OR0002
                                          (CONS |catImplem| NIL)))
                                        ('T NIL))))))))))
              (COND
-               ((AND (PAIRP |body|) (EQ (QCAR |body|) 'SETELT)) |body|)
-               ((AND (PAIRP |body|) (EQ (QCAR |body|) 'QSETREFV))
+               ((AND (CONSP |body|) (EQ (QCAR |body|) 'SETELT)) |body|)
+               ((AND (CONSP |body|) (EQ (QCAR |body|) 'QSETREFV))
                 |body|)
                ('T NIL)))))))
 
@@ -3138,7 +3138,7 @@
          (SPADLET |sig'| (SUBSTQ |$definition| '$ (CADR |sig|)))
          (COND
            ((BOOT-EQUAL |sig'| |pat'|) 'T)
-           ((AND (PAIRP |implem|) (EQ (QCAR |implem|) '|Subsumed|))
+           ((AND (CONSP |implem|) (EQ (QCAR |implem|) '|Subsumed|))
             NIL)
            ((|SourceLevelSubsume| |sig'| |pat'|) 'T)
            ('T NIL)))))))
@@ -3260,31 +3260,31 @@
 (DEFUN |makeMissingFunctionEntry,tran| (|x|)
   (PROG (|ISTMP#1| |a| |ISTMP#2| |ISTMP#3| |ISTMP#4| |b| |op| |l|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|HasCategory|)
+      (SEQ (IF (AND (CONSP |x|) (EQ (QCAR |x|) '|HasCategory|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |ISTMP#3|
                                      (QCAR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCAR |ISTMP#3|) 'QUOTE)
                                      (PROGN
                                        (SPADLET |ISTMP#4|
                                         (QCDR |ISTMP#3|))
-                                       (AND (PAIRP |ISTMP#4|)
+                                       (AND (CONSP |ISTMP#4|)
                                         (EQ (QCDR |ISTMP#4|) NIL)
                                         (PROGN
                                           (SPADLET |b|
                                            (QCAR |ISTMP#4|))
                                           'T))))))))))
                (EXIT (CONS '|has| (CONS |a| (CONS |b| NIL)))))
-           (IF (AND (AND (PAIRP |x|)
+           (IF (AND (AND (CONSP |x|)
                          (PROGN
                            (SPADLET |op| (QCAR |x|))
                            (SPADLET |l| (QCDR |x|))
@@ -3431,11 +3431,11 @@
   (declare (special |$Conditions|))
     (RETURN
       (SEQ (IF (ATOM |a|) (EXIT |a|))
-           (IF (AND (PAIRP |a|) (EQ (QCAR |a|) 'SIGNATURE)) (EXIT |a|))
-           (IF (AND (PAIRP |a|) (EQ (QCAR |a|) 'IF)
+           (IF (AND (CONSP |a|) (EQ (QCAR |a|) 'SIGNATURE)) (EXIT |a|))
+           (IF (AND (CONSP |a|) (EQ (QCAR |a|) 'IF)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |a|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |cond| (QCAR |ISTMP#1|))
                              'T))))
@@ -3451,32 +3451,32 @@
   (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |ISTMP#3| |c| |l|)
     (RETURN
       (SEQ (IF (ATOM |code|) (EXIT (CONS |previous| NIL)))
-           (IF (AND (PAIRP |code|)
+           (IF (AND (CONSP |code|)
                     (EQ (QCAR |code|) '|DomainSubstitutionMacro|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |code|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |b| (QCAR |ISTMP#2|))
                                     'T))))))
                (EXIT (|InvestigateConditions,Conds| |b| |previous|)))
-           (IF (AND (PAIRP |code|) (EQ (QCAR |code|) 'IF)
+           (IF (AND (CONSP |code|) (EQ (QCAR |code|) 'IF)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |code|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |b| (QCAR |ISTMP#2|))
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (SPADLET |c| (QCAR |ISTMP#3|))
@@ -3485,7 +3485,7 @@
                                   (CONS |a| |previous|))
                               (|InvestigateConditions,Conds| |c|
                                   |previous|))))
-           (IF (AND (PAIRP |code|) (EQ (QCAR |code|) 'PROGN)
+           (IF (AND (CONSP |code|) (EQ (QCAR |code|) 'PROGN)
                     (PROGN (SPADLET |l| (QCDR |code|)) 'T))
                (EXIT (PROG (G168178)
                        (SPADLET G168178 NIL)
@@ -3501,7 +3501,7 @@
                                        (|union| G168178
                                         (|InvestigateConditions,Conds|
                                          |u| |previous|))))))))))
-           (IF (AND (PAIRP |code|) (EQ (QCAR |code|) 'CATEGORY)
+           (IF (AND (CONSP |code|) (EQ (QCAR |code|) 'CATEGORY)
                     (PROGN (SPADLET |l| (QCDR |code|)) 'T))
                (EXIT (PROG (G168189)
                        (SPADLET G168189 NIL)
@@ -3517,7 +3517,7 @@
                                        (|union| G168189
                                         (|InvestigateConditions,Conds|
                                          |u| |previous|))))))))))
-           (IF (AND (PAIRP |code|) (EQ (QCAR |code|) '|Join|)
+           (IF (AND (CONSP |code|) (EQ (QCAR |code|) '|Join|)
                     (PROGN (SPADLET |l| (QCDR |code|)) 'T))
                (EXIT (PROG (G168200)
                        (SPADLET G168200 NIL)
@@ -3626,7 +3626,7 @@
                ((NULL |secondaries|) '(T))
                ('T
                 (COND
-                  ((AND (PAIRP |$principal|)
+                  ((AND (CONSP |$principal|)
                         (PROGN (SPADLET |op| (QCAR |$principal|)) 'T))
                    (SPADLET |LETTMP#1|
                             (|compMakeCategoryObject| |$principal|
@@ -3655,7 +3655,7 @@
                                        NIL))))
                                    (SEQ
                                     (COND
-                                      ((AND (PAIRP |$principal|)
+                                      ((AND (CONSP |$principal|)
                                         (EQ (QCAR |$principal|)
                                          '|Join|)
                                         (PROGN
@@ -4092,8 +4092,8 @@
                     (PROGN (SETQ |u| (CAR G168627)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((OR (AND (PAIRP |u|) (EQ (QCAR |u|) 'AND))
-                               (AND (PAIRP |u|) (EQ (QCAR |u|) '|and|)))
+                          ((OR (AND (CONSP |u|) (EQ (QCAR |u|) 'AND))
+                               (AND (CONSP |u|) (EQ (QCAR |u|) '|and|)))
                            (DO ((G168637 |l| (CDR G168637))
                                 (|v| NIL))
                                ((OR (ATOM G168637)
@@ -4141,28 +4141,28 @@
                     (PROGN (SETQ |u| (CAR G168774)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((AND (AND (PAIRP |u|)
+                          ((AND (AND (CONSP |u|)
                                      (EQ (QCAR |u|) '|HasCategory|)
                                      (PROGN
                                        (SPADLET |ISTMP#1| (QCDR |u|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (PROGN
                                           (SPADLET |name|
                                            (QCAR |ISTMP#1|))
                                           (SPADLET |ISTMP#2|
                                            (QCDR |ISTMP#1|))
-                                          (AND (PAIRP |ISTMP#2|)
+                                          (AND (CONSP |ISTMP#2|)
                                            (EQ (QCDR |ISTMP#2|) NIL)
                                            (PROGN
                                              (SPADLET |cond|
                                               (QCAR |ISTMP#2|))
                                              'T))))))
-                                (AND (PAIRP |cond|)
+                                (AND (CONSP |cond|)
                                      (EQ (QCAR |cond|) 'QUOTE)
                                      (PROGN
                                        (SPADLET |ISTMP#1|
                                         (QCDR |cond|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCDR |ISTMP#1|) NIL)
                                         (PROGN
                                           (SPADLET |cond|
@@ -4178,27 +4178,27 @@
                              (SEQ (EXIT (COND
                                           ((AND
                                             (NULL (BOOT-EQUAL |v| |u|))
-                                            (AND (PAIRP |v|)
+                                            (AND (CONSP |v|)
                                              (EQ (QCAR |v|)
                                               '|HasCategory|)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |v|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQUAL (QCAR |ISTMP#1|)
                                                  |name|)
                                                 (PROGN
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
                                                      (SPADLET |ISTMP#3|
                                                       (QCAR |ISTMP#2|))
                                                      (AND
-                                                      (PAIRP |ISTMP#3|)
+                                                      (CONSP |ISTMP#3|)
                                                       (EQ
                                                        (QCAR |ISTMP#3|)
                                                        'QUOTE)
@@ -4208,7 +4208,7 @@
                                                          (QCDR
                                                           |ISTMP#3|))
                                                         (AND
-                                                         (PAIRP
+                                                         (CONSP
                                                           |ISTMP#4|)
                                                          (EQ
                                                           (QCDR
@@ -4231,11 +4231,11 @@
                     (PROGN (SETQ |u| (CAR G168815)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((OR (AND (PAIRP |u|) (EQ (QCAR |u|) 'AND)
+                          ((OR (AND (CONSP |u|) (EQ (QCAR |u|) 'AND)
                                     (PROGN
                                       (SPADLET |l'| (QCDR |u|))
                                       'T))
-                               (AND (PAIRP |u|) (EQ (QCAR |u|) '|and|)
+                               (AND (CONSP |u|) (EQ (QCAR |u|) '|and|)
                                     (PROGN
                                       (SPADLET |l'| (QCDR |u|))
                                       'T)))
@@ -4248,32 +4248,32 @@
                                 NIL)
                              (SEQ (EXIT (COND
                                           ((AND
-                                            (AND (PAIRP |u'|)
+                                            (AND (CONSP |u'|)
                                              (EQ (QCAR |u'|)
                                               '|HasCategory|)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |u'|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |name|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
                                                      (SPADLET |cond|
                                                       (QCAR |ISTMP#2|))
                                                      'T))))))
-                                            (AND (PAIRP |cond|)
+                                            (AND (CONSP |cond|)
                                              (EQ (QCAR |cond|) 'QUOTE)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |cond|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -4293,14 +4293,14 @@
                                              (SEQ
                                               (EXIT
                                                (COND
-                                                 ((AND (PAIRP |v|)
+                                                 ((AND (CONSP |v|)
                                                    (EQ (QCAR |v|)
                                                     '|HasCategory|)
                                                    (PROGN
                                                      (SPADLET |ISTMP#1|
                                                       (QCDR |v|))
                                                      (AND
-                                                      (PAIRP |ISTMP#1|)
+                                                      (CONSP |ISTMP#1|)
                                                       (EQUAL
                                                        (QCAR |ISTMP#1|)
                                                        |name|)
@@ -4310,7 +4310,7 @@
                                                          (QCDR
                                                           |ISTMP#1|))
                                                         (AND
-                                                         (PAIRP
+                                                         (CONSP
                                                           |ISTMP#2|)
                                                          (EQ
                                                           (QCDR
@@ -4322,7 +4322,7 @@
                                                             (QCAR
                                                              |ISTMP#2|))
                                                            (AND
-                                                            (PAIRP
+                                                            (CONSP
                                                              |ISTMP#3|)
                                                             (EQ
                                                              (QCAR
@@ -4334,7 +4334,7 @@
                                                                (QCDR
                                                                 |ISTMP#3|))
                                                               (AND
-                                                               (PAIRP
+                                                               (CONSP
                                                                 |ISTMP#4|)
                                                                (EQ
                                                                 (QCDR
@@ -4359,11 +4359,11 @@
     (RETURN
       (SEQ (COND
              ((ATOM |u|) |u|)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|has|))
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|has|))
               (|compHasFormat| |u|))
-             ((OR (AND (PAIRP |u|) (EQ (QCAR |u|) 'AND)
+             ((OR (AND (CONSP |u|) (EQ (QCAR |u|) 'AND)
                        (PROGN (SPADLET |l| (QCDR |u|)) 'T))
-                  (AND (PAIRP |u|) (EQ (QCAR |u|) '|and|)
+                  (AND (CONSP |u|) (EQ (QCAR |u|) '|and|)
                        (PROGN (SPADLET |l| (QCDR |u|)) 'T)))
               (SPADLET |l|
                        (REMDUP (PROG (G168889)
@@ -4396,7 +4396,7 @@
                       NIL)
                    (SEQ (EXIT (SPADLET |l1| (|mkAnd| |u| |l1|)))))
                  |l1|)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'OR)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'OR)
                    (PROGN (SPADLET |l| (QCDR |u|)) 'T))
               (SPADLET |l| (|ICformat,ORreduce| |l|))
               (COND
@@ -4439,11 +4439,11 @@
     (RETURN
       (COND
         ((ATOM |a|) |a|)
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) 'SIGNATURE)) |a|)
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) 'IF)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) 'SIGNATURE)) |a|)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) 'IF)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |cond| (QCAR |ISTMP#1|)) 'T))))
          (COND ((|member| |cond| |trueconds|) |a|) ('T NIL)))
         ('T
@@ -4564,17 +4564,17 @@
                                 ((AND (PROGN
                                         (SPADLET |ISTMP#1|
                                          (ELT |princview| |i|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (PROGN
                                               (SPADLET |op|
                                                (QCAR |ISTMP#2|))
                                               (SPADLET |ISTMP#3|
                                                (QCDR |ISTMP#2|))
-                                              (AND (PAIRP |ISTMP#3|)
+                                              (AND (CONSP |ISTMP#3|)
                                                (EQ (QCDR |ISTMP#3|)
                                                 NIL)
                                                (PROGN
@@ -4591,18 +4591,18 @@
                                           (CONS |base|
                                            (MSUBST |base| '$ |types|))
                                           (|get| |op| '|modemap| |$e|)))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (PROGN
                                               (SPADLET |pred|
                                                (QCAR |ISTMP#2|))
                                               (SPADLET |ISTMP#3|
                                                (QCDR |ISTMP#2|))
-                                              (AND (PAIRP |ISTMP#3|)
+                                              (AND (CONSP |ISTMP#3|)
                                                (EQ (QCDR |ISTMP#3|)
                                                 NIL)
                                                (PROGN
diff --git a/src/interp/g-boot.lisp.pamphlet b/src/interp/g-boot.lisp.pamphlet
index 990eea3..87cbf41 100644
--- a/src/interp/g-boot.lisp.pamphlet
+++ b/src/interp/g-boot.lisp.pamphlet
@@ -58,7 +58,7 @@
 ;  ok := true
 ;  while (cls and ok) repeat
 ;    [[p,:r],:cls] := cls
-;    PAIRP QCDR r => ok := NIL
+;    CONSP QCDR r => ok := NIL
 ;    CAR(r) isnt ['EXIT,.] => ok := NIL
 ;    NULL(cls) and ATOM(p) => ok := NIL
 ;    NULL(cls) and (p = ''T) => ok := NIL
@@ -71,7 +71,7 @@
     (RETURN
       (SEQ (COND
              ((OR (ATOM |x|)
-                  (NULL (AND (PAIRP |x|) (EQ (QCAR |x|) 'COND)
+                  (NULL (AND (CONSP |x|) (EQ (QCAR |x|) 'COND)
                              (PROGN (SPADLET |cls| (QCDR |x|)) 'T))))
               NIL)
              ('T (SPADLET |ok| 'T)
@@ -82,15 +82,15 @@
                              (SPADLET |r| (CDAR |LETTMP#1|))
                              (SPADLET |cls| (CDR |LETTMP#1|))
                              (COND
-                               ((PAIRP (QCDR |r|)) (SPADLET |ok| NIL))
+                               ((CONSP (QCDR |r|)) (SPADLET |ok| NIL))
                                ((NULL (PROGN
                                         (SPADLET |ISTMP#1| (CAR |r|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCAR |ISTMP#1|) 'EXIT)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCDR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCDR |ISTMP#2|) NIL))))))
                                 (SPADLET |ok| NIL))
                                ((AND (NULL |cls|) (ATOM |p|))
@@ -106,7 +106,7 @@
 ;  -- into one COND
 ;  NULL l => NIL
 ;  ATOM l => l
-;  NULL PAIRP QCDR l => l
+;  NULL CONSP QCDR l => l
 ;  a := QCAR l
 ;  if a is ['COND,:.] then a := flattenCOND a
 ;  am := mergeableCOND a
@@ -126,16 +126,16 @@
       (COND
         ((NULL |l|) NIL)
         ((ATOM |l|) |l|)
-        ((NULL (PAIRP (QCDR |l|))) |l|)
+        ((NULL (CONSP (QCDR |l|))) |l|)
         ('T (SPADLET |a| (QCAR |l|))
          (COND
-           ((AND (PAIRP |a|) (EQ (QCAR |a|) 'COND))
+           ((AND (CONSP |a|) (EQ (QCAR |a|) 'COND))
             (SPADLET |a| (|flattenCOND| |a|))))
          (SPADLET |am| (|mergeableCOND| |a|))
          (COND
            ((AND (PROGN
                    (SPADLET |ISTMP#1| (CDR |l|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |b| (QCAR |ISTMP#1|))
                           (SPADLET |k| (QCDR |ISTMP#1|))
@@ -146,7 +146,7 @@
             (|mergeCONDsWithEXITs| (CONS (|flattenCOND| |c|) |k|)))
            ((AND (PROGN
                    (SPADLET |ISTMP#1| (CDR |l|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |b| (QCAR |ISTMP#1|)) 'T)))
                  |am|)
             (CONS (|removeEXITFromCOND|
@@ -195,12 +195,12 @@
                                (COND
                                  ((|nakedEXIT?| |f|)
                                   (SPADLET |ok| NIL))
-                                 ((NULL (AND (PAIRP |r1|)
+                                 ((NULL (AND (CONSP |r1|)
                                          (EQ (QCAR |r1|) 'EXIT)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |r1|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQ (QCDR |ISTMP#1|) NIL)
                                             (PROGN
                                               (SPADLET |r2|
@@ -218,7 +218,7 @@
 ;    ATOM cl => z := CONS(cl,z)
 ;    cond := QCAR cl
 ;    length1? cl =>
-;      PAIRP(cond) and EQCAR(cond,'EXIT) =>
+;      CONSP(cond) and EQCAR(cond,'EXIT) =>
 ;        z := CONS(QCDR cond,z)
 ;      z := CONS(cl,z)
 ;    cl' := REVERSE cl
@@ -246,7 +246,7 @@
                              (COND
                                ((|length1?| |cl|)
                                 (COND
-                                  ((AND (PAIRP |cond|)
+                                  ((AND (CONSP |cond|)
                                     (EQCAR |cond| 'EXIT))
                                    (SPADLET |z|
                                     (CONS (QCDR |cond|) |z|)))
@@ -275,7 +275,7 @@
 
 (DEFUN |flattenCOND| (|body|)
   (COND
-    ((NULL (AND (PAIRP |body|) (EQ (QCAR |body|) 'COND))) |body|)
+    ((NULL (AND (CONSP |body|) (EQ (QCAR |body|) 'COND))) |body|)
     ('T (CONS 'COND (|extractCONDClauses| |body|)))))
 
 ;extractCONDClauses clauses ==
@@ -294,13 +294,13 @@
                  |restCond|)
     (RETURN
       (COND
-        ((AND (PAIRP |clauses|) (EQ (QCAR |clauses|) 'COND)
+        ((AND (CONSP |clauses|) (EQ (QCAR |clauses|) 'COND)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |clauses|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |pred1| (QCAR |ISTMP#2|))
                               (SPADLET |act1| (QCDR |ISTMP#2|))
@@ -309,20 +309,20 @@
                        (SPADLET |restClauses| (QCDR |ISTMP#1|))
                        'T))))
          (COND
-           ((AND (PAIRP |act1|) (EQ (QCDR |act1|) NIL)
+           ((AND (CONSP |act1|) (EQ (QCDR |act1|) NIL)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCAR |act1|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'PROGN)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'PROGN)
                         (PROGN (SPADLET |acts| (QCDR |ISTMP#1|)) 'T))))
             (SPADLET |act1| |acts|)))
          (COND
-           ((AND (PAIRP |restClauses|) (EQ (QCDR |restClauses|) NIL)
+           ((AND (CONSP |restClauses|) (EQ (QCDR |restClauses|) NIL)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCAR |restClauses|))
-                   (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) ''T)
+                   (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) ''T)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN
                                  (SPADLET |restCond| (QCAR |ISTMP#2|))
@@ -346,14 +346,14 @@
   (PROG (|ISTMP#1| |ISTMP#2| |p| |t| |e|)
     (RETURN
       (COND
-        ((AND (PAIRP |c|)
+        ((AND (CONSP |c|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |c|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |p| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |t| (QCAR |ISTMP#2|)) 'T))))))
          (|bootCOND| (CONS 'COND (CONS (CONS |p| (CONS |t| NIL)) NIL))))
         ('T (SPADLET |p| (CADR |c|)) (SPADLET |t| (CADDR |c|))
@@ -394,14 +394,14 @@
              (SPADLET |cls| (CDR |c|))
              (COND
                ((NULL |cls|) NIL)
-               ((AND (PAIRP |cls|)
+               ((AND (CONSP |cls|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |cls|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQUAL (QCAR |ISTMP#1|) ''T)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |r| (QCAR |ISTMP#2|))
@@ -420,12 +420,12 @@
                                (SPADLET |r| (CDR |cl|))
                                (SPADLET |ncls|
                                         (COND
-                                          ((AND (PAIRP |r|)
+                                          ((AND (CONSP |r|)
                                             (EQ (QCDR |r|) NIL)
                                             (PROGN
                                               (SPADLET |ISTMP#1|
                                                (QCAR |r|))
-                                              (AND (PAIRP |ISTMP#1|)
+                                              (AND (CONSP |ISTMP#1|)
                                                (EQ (QCAR |ISTMP#1|)
                                                 'PROGN)
                                                (PROGN
@@ -438,32 +438,32 @@
                 (SPADLET |fcls| (|bootPushEXITintoCONDclause| |fcls|))
                 (SPADLET |ncls|
                          (COND
-                           ((AND (PAIRP |fcls|)
+                           ((AND (CONSP |fcls|)
                                  (EQUAL (QCAR |fcls|) ''T)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |fcls|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#2|
                                        (QCAR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (EQ (QCAR |ISTMP#2|) 'COND)
                                        (PROGN
                                          (SPADLET |mcls|
                                           (QCDR |ISTMP#2|))
                                          'T))))))
                             (APPEND (REVERSE |mcls|) |ncls|))
-                           ((AND (PAIRP |fcls|)
+                           ((AND (CONSP |fcls|)
                                  (EQUAL (QCAR |fcls|) ''T)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |fcls|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#2|
                                        (QCAR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (EQ (QCAR |ISTMP#2|) 'PROGN)
                                        (PROGN
                                          (SPADLET |mcls|
@@ -491,24 +491,24 @@
             |ncls|)
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |e|) (EQUAL (QCAR |e|) ''T)
+             ((NULL (AND (CONSP |e|) (EQUAL (QCAR |e|) ''T)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |e|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCAR |ISTMP#2|) 'EXIT)
                                        (PROGN
                                          (SPADLET |ISTMP#3|
                                           (QCDR |ISTMP#2|))
-                                         (AND (PAIRP |ISTMP#3|)
+                                         (AND (CONSP |ISTMP#3|)
                                           (EQ (QCDR |ISTMP#3|) NIL)
                                           (PROGN
                                             (SPADLET |ISTMP#4|
                                              (QCAR |ISTMP#3|))
-                                            (AND (PAIRP |ISTMP#4|)
+                                            (AND (CONSP |ISTMP#4|)
                                              (EQ (QCAR |ISTMP#4|)
                                               'COND)
                                              (PROGN
@@ -526,16 +526,16 @@
                              (SPADLET |r| (CDR |cl|))
                              (SPADLET |ncls|
                                       (COND
-                                        ((AND (PAIRP |r|)
+                                        ((AND (CONSP |r|)
                                           (EQ (QCDR |r|) NIL)
                                           (PROGN
                                             (SPADLET |ISTMP#1|
                                              (QCAR |r|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCAR |ISTMP#1|)
                                               'EXIT))))
                                          (CONS |cl| |ncls|))
-                                        ((AND (PAIRP |r|)
+                                        ((AND (CONSP |r|)
                                           (EQ (QCDR |r|) NIL)
                                           (PROGN
                                             (SPADLET |r1| (QCAR |r|))
@@ -584,10 +584,10 @@
               |ISTMP#5| |r| |ccls|)
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |e|) (EQ (QCAR |e|) 'SEQ)
+             ((NULL (AND (CONSP |e|) (EQ (QCAR |e|) 'SEQ)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |e|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |cl| (QCAR |ISTMP#1|))
                                   (SPADLET |cls| (QCDR |ISTMP#1|))
@@ -595,28 +595,28 @@
               NIL)
              ((|nakedEXIT?| |cl|)
               (COND
-                ((AND (PAIRP |cl|) (EQ (QCAR |cl|) 'COND)
+                ((AND (CONSP |cl|) (EQ (QCAR |cl|) 'COND)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |cl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |p| (QCAR |ISTMP#2|))
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL)
                                        (PROGN
                                          (SPADLET |ISTMP#4|
                                           (QCAR |ISTMP#3|))
-                                         (AND (PAIRP |ISTMP#4|)
+                                         (AND (CONSP |ISTMP#4|)
                                           (EQ (QCAR |ISTMP#4|) 'EXIT)
                                           (PROGN
                                             (SPADLET |ISTMP#5|
                                              (QCDR |ISTMP#4|))
-                                            (AND (PAIRP |ISTMP#5|)
+                                            (AND (CONSP |ISTMP#5|)
                                              (EQ (QCDR |ISTMP#5|) NIL)
                                              (PROGN
                                                (SPADLET |r|
@@ -694,15 +694,15 @@
                               (EXIT (CONS |x| NIL)))
                           (EXIT NIL))))
            (IF (ATOM |x|) (EXIT NIL))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'PROGN)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'PROGN)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (AND (PAIRP |ISTMP#1|)
+                      (AND (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |ISTMP#2|
                                            (REVERSE |ISTMP#1|))
                                   'T))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (PROGN
                                   (SPADLET |lpcl| (QCAR |ISTMP#2|))
                                   (SPADLET |pcls| (QCDR |ISTMP#2|))
@@ -712,24 +712,24 @@
                              'T))))
                (EXIT (SEQ (IF (ATOM |lpcl|) (EXIT |pcls|))
                           (EXIT (CDR |x|)))))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'COND)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'COND)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |y| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |ISTMP#3|
                                      (QCAR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQUAL (QCAR |ISTMP#3|) ''T)
                                      (PROGN
                                        (SPADLET |ISTMP#4|
                                         (QCDR |ISTMP#3|))
-                                       (AND (PAIRP |ISTMP#4|)
+                                       (AND (CONSP |ISTMP#4|)
                                         (EQ (QCDR |ISTMP#4|) NIL)
                                         (EQUAL (QCAR |ISTMP#4|) 'NIL))))))))))
                (EXIT (CONS (CONS 'COND (CONS |y| NIL)) NIL)))
@@ -762,10 +762,10 @@
                                           (|bootAbsorbSEQsAndPROGNs,flatten|
                                            |f|)))))))))
               (DO ()
-                  ((NULL (AND (PAIRP |lcl|) (EQ (QCAR |lcl|) 'EXIT)
+                  ((NULL (AND (CONSP |lcl|) (EQ (QCAR |lcl|) 'EXIT)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR |lcl|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |f| (QCAR |ISTMP#1|))
@@ -773,45 +773,45 @@
                    NIL)
                 (SEQ (EXIT (SPADLET |lcl| |f|))))
               (COND
-                ((AND (PAIRP |lcl|) (EQ (QCAR |lcl|) 'PROGN)
+                ((AND (CONSP |lcl|) (EQ (QCAR |lcl|) 'PROGN)
                       (PROGN (SPADLET |pcls| (QCDR |lcl|)) 'T))
                  (APPEND |g| |pcls|))
-                ((AND (PAIRP |lcl|) (EQ (QCAR |lcl|) 'COND)
+                ((AND (CONSP |lcl|) (EQ (QCAR |lcl|) 'COND)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |lcl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQUAL (QCAR |ISTMP#2|) ''T)
                                     (PROGN
                                       (SPADLET |pcls| (QCDR |ISTMP#2|))
                                       'T))))))
                  (APPEND |g| |pcls|))
-                ((AND (PAIRP |lcl|) (EQ (QCAR |lcl|) 'COND)
+                ((AND (CONSP |lcl|) (EQ (QCAR |lcl|) 'COND)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |lcl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |pred| (QCAR |ISTMP#2|))
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL)
                                        (PROGN
                                          (SPADLET |ISTMP#4|
                                           (QCAR |ISTMP#3|))
-                                         (AND (PAIRP |ISTMP#4|)
+                                         (AND (CONSP |ISTMP#4|)
                                           (EQ (QCAR |ISTMP#4|) 'EXIT)
                                           (PROGN
                                             (SPADLET |ISTMP#5|
                                              (QCDR |ISTMP#4|))
-                                            (AND (PAIRP |ISTMP#5|)
+                                            (AND (CONSP |ISTMP#5|)
                                              (EQ (QCDR |ISTMP#5|) NIL)
                                              (PROGN
                                                (SPADLET |h|
@@ -854,14 +854,14 @@
                             (|mergeCONDsWithEXITs|
                                 (|bootAbsorbSEQsAndPROGNs| (CDR |e|)))))
              (COND
-               ((AND (PAIRP |e|)
+               ((AND (CONSP |e|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |e|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                               'T)
-                            (PAIRP |ISTMP#2|)
+                            (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |lcl| (QCAR |ISTMP#2|))
                               (SPADLET |cls| (QCDR |ISTMP#2|))
@@ -878,20 +878,20 @@
                                         NIL))))))
              (SPADLET |cls| (QCDR |e|))
              (COND
-               ((AND (PAIRP |cls|) (EQ (QCDR |cls|) NIL)
+               ((AND (CONSP |cls|) (EQ (QCDR |cls|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |cls|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQ (QCAR |ISTMP#1|) 'SEQ))))
                 (|tryToRemoveSEQ| (QCAR |cls|)))
-               ((AND (PAIRP |cls|) (EQ (QCDR |cls|) NIL)
+               ((AND (CONSP |cls|) (EQ (QCDR |cls|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |cls|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQ (QCAR |ISTMP#1|) 'EXIT)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |body| (QCAR |ISTMP#2|))
@@ -917,40 +917,40 @@
                                        (OR G2596
                                         (member |g| |$labelsForGO|))))))))))
                 (|bootTran| (CONS 'PROGN |cls|)))
-               ((AND (PAIRP |e|) (EQ (QCAR |e|) 'SEQ)
+               ((AND (CONSP |e|) (EQ (QCAR |e|) 'SEQ)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |e|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCAR |ISTMP#2|) 'COND)
                                    (PROGN
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |ISTMP#4|
                                          (QCAR |ISTMP#3|))
-                                        (AND (PAIRP |ISTMP#4|)
+                                        (AND (CONSP |ISTMP#4|)
                                          (PROGN
                                            (SPADLET |pred|
                                             (QCAR |ISTMP#4|))
                                            (SPADLET |ISTMP#5|
                                             (QCDR |ISTMP#4|))
-                                           (AND (PAIRP |ISTMP#5|)
+                                           (AND (CONSP |ISTMP#5|)
                                             (EQ (QCDR |ISTMP#5|) NIL)
                                             (PROGN
                                               (SPADLET |ISTMP#6|
                                                (QCAR |ISTMP#5|))
-                                              (AND (PAIRP |ISTMP#6|)
+                                              (AND (CONSP |ISTMP#6|)
                                                (EQ (QCAR |ISTMP#6|)
                                                 'EXIT)
                                                (PROGN
                                                  (SPADLET |ISTMP#7|
                                                   (QCDR |ISTMP#6|))
-                                                 (AND (PAIRP |ISTMP#7|)
+                                                 (AND (CONSP |ISTMP#7|)
                                                   (EQ (QCDR |ISTMP#7|)
                                                    NIL)
                                                   (PROGN
@@ -987,7 +987,7 @@
         (SPADLET |cls| (CDR |e|))
         (COND
           ((NULL |cls|) NIL)
-          ((AND (PAIRP |cls|) (EQ (QCDR |cls|) NIL)
+          ((AND (CONSP |cls|) (EQ (QCDR |cls|) NIL)
                 (PROGN (SPADLET |body| (QCAR |cls|)) 'T))
            |body|)
           ('T |e|))))))
@@ -1008,7 +1008,7 @@
 ;;;     ***       |bootOR,flatten| REDEFINED
 
 (DEFUN |bootOR,flatten| (|x|)
-  (SEQ (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'OR)) (EXIT (QCDR |x|)))
+  (SEQ (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'OR)) (EXIT (QCDR |x|)))
        (EXIT (CONS |x| NIL))))
 
 ;;;     ***       |bootOR| REDEFINED
@@ -1053,7 +1053,7 @@
 ;;;     ***       |bootAND,flatten| REDEFINED
 
 (DEFUN |bootAND,flatten| (|x|)
-  (SEQ (IF (AND (PAIRP |x|) (EQ (QCAR |x|) 'AND)) (EXIT (QCDR |x|)))
+  (SEQ (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'AND)) (EXIT (QCDR |x|)))
        (EXIT (CONS |x| NIL))))
 
 ;;;     ***       |bootAND| REDEFINED
diff --git a/src/interp/g-cndata.lisp.pamphlet b/src/interp/g-cndata.lisp.pamphlet
index 930af69..5bd72bc 100644
--- a/src/interp/g-cndata.lisp.pamphlet
+++ b/src/interp/g-cndata.lisp.pamphlet
@@ -313,7 +313,7 @@
   (PROG (|op| |arglist| |abb|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|Union|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|Union|)
                    (PROGN (SPADLET |arglist| (QCDR |u|)) 'T))
               (CONS '|Union|
                     (PROG (G166167)
@@ -329,7 +329,7 @@
                           (SEQ (EXIT (SETQ G166167
                                       (CONS (|abbreviate| |a|)
                                        G166167)))))))))
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |op| (QCAR |u|))
                      (SPADLET |arglist| (QCDR |u|))
@@ -555,26 +555,26 @@
   (PROG (|ISTMP#1| |b| |ISTMP#2| T$)
     (RETURN
       (COND
-        ((OR (AND (PAIRP |a|) (EQ (QCAR |a|) '|Declare|)
+        ((OR (AND (CONSP |a|) (EQ (QCAR |a|) '|Declare|)
                   (PROGN
                     (SPADLET |ISTMP#1| (QCDR |a|))
-                    (AND (PAIRP |ISTMP#1|)
+                    (AND (CONSP |ISTMP#1|)
                          (PROGN
                            (SPADLET |b| (QCAR |ISTMP#1|))
                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (EQ (QCDR |ISTMP#2|) NIL)
                                 (PROGN
                                   (SPADLET T$ (QCAR |ISTMP#2|))
                                   'T))))))
-             (AND (PAIRP |a|) (EQ (QCAR |a|) '|:|)
+             (AND (CONSP |a|) (EQ (QCAR |a|) '|:|)
                   (PROGN
                     (SPADLET |ISTMP#1| (QCDR |a|))
-                    (AND (PAIRP |ISTMP#1|)
+                    (AND (CONSP |ISTMP#1|)
                          (PROGN
                            (SPADLET |b| (QCAR |ISTMP#1|))
                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (EQ (QCDR |ISTMP#2|) NIL)
                                 (PROGN
                                   (SPADLET T$ (QCAR |ISTMP#2|))
@@ -592,26 +592,26 @@
   (PROG (|ISTMP#1| |b| |ISTMP#2| T$)
     (RETURN
       (COND
-        ((OR (AND (PAIRP |a|) (EQ (QCAR |a|) '|Declare|)
+        ((OR (AND (CONSP |a|) (EQ (QCAR |a|) '|Declare|)
                   (PROGN
                     (SPADLET |ISTMP#1| (QCDR |a|))
-                    (AND (PAIRP |ISTMP#1|)
+                    (AND (CONSP |ISTMP#1|)
                          (PROGN
                            (SPADLET |b| (QCAR |ISTMP#1|))
                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (EQ (QCDR |ISTMP#2|) NIL)
                                 (PROGN
                                   (SPADLET T$ (QCAR |ISTMP#2|))
                                   'T))))))
-             (AND (PAIRP |a|) (EQ (QCAR |a|) '|:|)
+             (AND (CONSP |a|) (EQ (QCAR |a|) '|:|)
                   (PROGN
                     (SPADLET |ISTMP#1| (QCDR |a|))
-                    (AND (PAIRP |ISTMP#1|)
+                    (AND (CONSP |ISTMP#1|)
                          (PROGN
                            (SPADLET |b| (QCAR |ISTMP#1|))
                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (EQ (QCDR |ISTMP#2|) NIL)
                                 (PROGN
                                   (SPADLET T$ (QCAR |ISTMP#2|))
diff --git a/src/interp/g-error.lisp.pamphlet b/src/interp/g-error.lisp.pamphlet
index 9d08dd7..319f853 100644
--- a/src/interp/g-error.lisp.pamphlet
+++ b/src/interp/g-error.lisp.pamphlet
@@ -80,7 +80,7 @@
 ;      '"Error with unknown classification"
 ;  msg :=
 ;    errorMsg is ['mathprint, :.] => errorMsg
-;    not PAIRP errorMsg => ['"   ", errorMsg]
+;    not CONSP errorMsg => ['"   ", errorMsg]
 ;    splitmsg := true
 ;    if MEMBER('%b,errorMsg) then splitmsg := nil
 ;      else if MEMBER('%d,errorMsg) then splitmsg := nil
@@ -109,10 +109,10 @@
                          ('T "Error with unknown classification")))
               (setq |msg|
                        (COND
-                         ((AND (PAIRP |errorMsg|)
+                         ((AND (CONSP |errorMsg|)
                                (EQ (QCAR |errorMsg|) '|mathprint|))
                           |errorMsg|)
-                         ((NULL (PAIRP |errorMsg|))
+                         ((NULL (CONSP |errorMsg|))
                           (CONS "   "
                                 (CONS |errorMsg| NIL)))
                          ('T (setq |splitmsg| 'T)
@@ -320,10 +320,10 @@
             (CONS "   >> " (CONS |errorLabel| (CONS ":" NIL))))
         (setq |m| |msg|)
         (COND
-          ((AND (PAIRP |msg|) (EQ (QCAR |msg|) '|mathprint|)
+          ((AND (CONSP |msg|) (EQ (QCAR |msg|) '|mathprint|)
                 (PROGN
                   (setq |ISTMP#1| (QCDR |msg|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN
                          (setq |mathexpr| (QCAR |ISTMP#1|))
                          'T))))
diff --git a/src/interp/g-timer.lisp.pamphlet b/src/interp/g-timer.lisp.pamphlet
index ac6314b..ad0cba9 100644
--- a/src/interp/g-timer.lisp.pamphlet
+++ b/src/interp/g-timer.lisp.pamphlet
@@ -617,7 +617,7 @@
   (PROG (|a|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |code|) (EQ (QCAR |code|) 'LIST)
+             ((AND (CONSP |code|) (EQ (QCAR |code|) 'LIST)
                    (PROGN (SPADLET |a| (QCDR |code|)) 'T)
                    (> (|#| |a|) 200))
               (PROG (G166311)
diff --git a/src/interp/g-util.lisp.pamphlet b/src/interp/g-util.lisp.pamphlet
index c9019be..3502bd8 100644
--- a/src/interp/g-util.lisp.pamphlet
+++ b/src/interp/g-util.lisp.pamphlet
@@ -41,14 +41,14 @@
 
 (DEFUN |Identity| (|x|) |x|) 
 
-;length1? l == PAIRP l and not PAIRP QCDR l
+;length1? l == CONSP l and not CONSP QCDR l
 
-(DEFUN |length1?| (|l|) (AND (PAIRP |l|) (NULL (PAIRP (QCDR |l|))))) 
+(DEFUN |length1?| (|l|) (AND (CONSP |l|) (NULL (CONSP (QCDR |l|))))) 
 
-;length2? l == PAIRP l and PAIRP (l := QCDR l) and not PAIRP QCDR l
+;length2? l == CONSP l and CONSP (l := QCDR l) and not CONSP QCDR l
 
 (DEFUN |length2?| (|l|)
- (AND (PAIRP |l|) (PAIRP (SPADLET |l| (QCDR |l|))) (NULL (PAIRP (QCDR |l|))))) 
+ (AND (CONSP |l|) (CONSP (SPADLET |l| (QCDR |l|))) (NULL (CONSP (QCDR |l|))))) 
 
 ;pairList(u,v) == [[x,:y] for x in u for y in v]
 
@@ -117,10 +117,10 @@
     (RETURN
       (SEQ (COND
              ((NULL |alist|) |alist|)
-             ((AND (PAIRP |alist|)
+             ((AND (CONSP |alist|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |alist|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQUAL (QCAR |ISTMP#1|) |prop|)))
                    (PROGN (SPADLET |r| (QCDR |alist|)) 'T))
               (COND
@@ -152,10 +152,10 @@
   (PROG (|ISTMP#1| |a| |y'|)
     (RETURN
       (COND
-        ((AND (PAIRP |y|)
+        ((AND (CONSP |y|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |y|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T)))
               (PROGN (SPADLET |y'| (QCDR |y|)) 'T))
          (COND
@@ -173,10 +173,10 @@
   (PROG (|ISTMP#1| |a| |y'|)
     (RETURN
       (COND
-        ((AND (PAIRP |y|)
+        ((AND (CONSP |y|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |y|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T)))
               (PROGN (SPADLET |y'| (QCDR |y|)) 'T))
          (COND
@@ -201,10 +201,10 @@
              (SPADLET |h| (CAR |y|))
              (SPADLET |t| (CDR |y|))
              |y|
-             (SEQ (IF (AND (PAIRP |t|)
+             (SEQ (IF (AND (CONSP |t|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCAR |t|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (PROGN
                                     (SPADLET |a| (QCAR |ISTMP#1|))
                                     'T)))
@@ -447,7 +447,7 @@
   (COND
     ((|isPatternVar| |x|) (CONS |x| NIL))
     ((ATOM |x|) NIL)
-    ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)) NIL)
+    ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)) NIL)
     ('T
      (UNIONQ (|listOfPatternIds| (CAR |x|))
              (|listOfPatternIds| (CDR |x|))))))
@@ -784,48 +784,48 @@
       (COND
         ((ATOM |t|) (CONS |t| NIL))
         ((NULL |t|) (CONS "()" NIL))
-        ((AND (PAIRP |t|)
+        ((AND (CONSP |t|)
               (PROGN
                 (SPADLET |p| (QCAR |t|))
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |sel| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |arg| (QCAR |ISTMP#2|))
                               'T)))))
               (|member| |p| '(|:| ":")))
          (CONS |sel|
                (CONS ": " (|formatUnabbreviated| |arg|))))
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Union|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Union|)
               (PROGN (SPADLET |args| (QCDR |t|)) 'T))
          (CONS '|Union|
                (CONS "("
                      (APPEND (|formatUnabbreviatedTuple| |args|)
                              (CONS ")" NIL)))))
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Mapping|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Mapping|)
               (PROGN (SPADLET |args| (QCDR |t|)) 'T))
          (|formatUnabbreviatedSig| |args|))
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Record|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Record|)
               (PROGN (SPADLET |args| (QCDR |t|)) 'T))
          (CONS '|Record|
                (CONS "("
                      (APPEND (|formatUnabbreviatedTuple| |args|)
                              (CONS ")" NIL)))))
-        ((AND (PAIRP |t|) (EQ (QCDR |t|) NIL)
+        ((AND (CONSP |t|) (EQ (QCDR |t|) NIL)
               (PROGN (SPADLET |arg| (QCAR |t|)) 'T))
          |t|)
-        ((AND (PAIRP |t|)
+        ((AND (CONSP |t|)
               (PROGN
                 (SPADLET |arg| (QCAR |t|))
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |arg1| (QCAR |ISTMP#1|)) 'T))))
          (CONS |arg|
                (CONS " " (|formatUnabbreviated| |arg1|))))
-        ((AND (PAIRP |t|)
+        ((AND (CONSP |t|)
               (PROGN
                 (SPADLET |arg| (QCAR |t|))
                 (SPADLET |args| (QCDR |t|))
@@ -899,7 +899,7 @@
   (PROG (|op| |argl| |nargl| |ISTMP#1| BRACKET |r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
@@ -939,11 +939,11 @@
                                             (CONS (|parse2Outform| |y|)
                                              G1415))))))))
                              NIL)))
-                ((AND (BOOT-EQUAL |op| '|brace|) (PAIRP |nargl|)
+                ((AND (BOOT-EQUAL |op| '|brace|) (CONSP |nargl|)
                       (EQ (QCDR |nargl|) NIL)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCAR |nargl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET BRACKET (QCAR |ISTMP#1|))
                                (SPADLET |r| (QCDR |ISTMP#1|))
@@ -994,10 +994,10 @@
                  (|augProplistInteractive| |proplist| |prop| |val|))
              ('T
               (DO ()
-                  ((NULL (AND (PAIRP |proplist|)
+                  ((NULL (AND (CONSP |proplist|)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCAR |proplist|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQUAL (QCAR |ISTMP#1|) |prop|)))
                               (PROGN
                                 (SPADLET |proplist'| (QCDR |proplist|))
@@ -1207,12 +1207,12 @@
     ('T |x|)))
 
 ;isDomain a ==
-;  PAIRP a and VECP(CAR a) and
+;  CONSP a and VECP(CAR a) and
 ;    MEMBER(CAR(a).0, $domainTypeTokens)
 
 (DEFUN |isDomain| (|a|)
   (DECLARE (SPECIAL |$domainTypeTokens|))
-  (AND (PAIRP |a|) (VECP (CAR |a|))
+  (AND (CONSP |a|) (VECP (CAR |a|))
        (|member| (ELT (CAR |a|) 0) |$domainTypeTokens|)))
 
 ;$htHash      := MAKE_-HASH_-TABLE()
diff --git a/src/interp/hashcode.lisp.pamphlet b/src/interp/hashcode.lisp.pamphlet
index e7f5757..43d713f 100644
--- a/src/interp/hashcode.lisp.pamphlet
+++ b/src/interp/hashcode.lisp.pamphlet
@@ -75,22 +75,22 @@
              ((STRINGP |type|)
               (|hashCombine| (|hashString| |type|)
                   (|hashString| "Enumeration")))
-             ((AND (PAIRP |type|) (EQ (QCAR |type|) 'QUOTE)
+             ((AND (CONSP |type|) (EQ (QCAR |type|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |type|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |val| (QCAR |ISTMP#1|)) 'T))))
               (|hashType| |val| |percentHash|))
-             ((AND (PAIRP |type|) (EQ (QCDR |type|) NIL)
+             ((AND (CONSP |type|) (EQ (QCDR |type|) NIL)
                    (PROGN (SPADLET |dom| (QCAR |type|)) 'T))
               (|hashString| (SYMBOL-NAME |dom|)))
-             ((AND (PAIRP |type|) (EQ (QCAR |type|) '|:|)
+             ((AND (CONSP |type|) (EQ (QCAR |type|) '|:|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |type|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |type2| (QCAR |ISTMP#2|))
diff --git a/src/interp/ht-util.lisp.pamphlet b/src/interp/ht-util.lisp.pamphlet
index 6ef0a96..f17e800 100644
--- a/src/interp/ht-util.lisp.pamphlet
+++ b/src/interp/ht-util.lisp.pamphlet
@@ -408,7 +408,7 @@
 ;iht line ==
 ;-- issue a single hyperteTeX line, or a group of lines
 ;  $newPage => nil
-;  PAIRP line =>
+;  CONSP line =>
 ;    $htLineList := NCONC(nreverse mapStringize COPY_-LIST line, $htLineList)
 ;  $htLineList := [basicStringize line, :$htLineList]
 
@@ -416,7 +416,7 @@
   (declare (special |$htLineList| |$newPage|))
   (COND
     (|$newPage| NIL)
-    ((PAIRP |line|)
+    ((CONSP |line|)
      (SPADLET |$htLineList|
               (NCONC (NREVERSE (|mapStringize| (COPY-LIST |line|)))
                      |$htLineList|)))
@@ -427,7 +427,7 @@
 ;bcHt line ==
 ;--line = '"\##1" => harharhar()
 ;  iht line
-;  PAIRP line =>
+;  CONSP line =>
 ;    if $newPage then htpAddToPageDescription($curPage, [['text, :line]])
 ;  if $newPage then htpAddToPageDescription($curPage, [['text, line]])
 
@@ -436,7 +436,7 @@
   (PROGN
     (|iht| |line|)
     (COND
-      ((PAIRP |line|)
+      ((CONSP |line|)
        (COND
          (|$newPage|
              (|htpAddToPageDescription| |$curPage|
@@ -448,11 +448,11 @@
       ('T NIL))))
 
 ;bcIssueHt line ==
-;  PAIRP line => htMakePage1 line
+;  CONSP line => htMakePage1 line
 ;  iht line
 
 (DEFUN |bcIssueHt| (|line|)
-  (COND ((PAIRP |line|) (|htMakePage1| |line|)) ('T (|iht| |line|))))
+  (COND ((CONSP |line|) (|htMakePage1| |line|)) ('T (|iht| |line|))))
 
 ;mapStringize l ==
 ;  ATOM l => l
@@ -1322,40 +1322,40 @@
         ('T (SPADLET |cond| (CAR |condList|))
          (SPADLET |restConds| (CDR |condList|))
          (COND
-           ((OR (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|isDomain|)
+           ((OR (AND (CONSP |cond|) (EQ (QCAR |cond|) '|isDomain|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |cond|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |pv| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |pattern|
                                       (QCAR |ISTMP#2|))
                                      'T))))))
-                (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|ofCategory|)
+                (AND (CONSP |cond|) (EQ (QCAR |cond|) '|ofCategory|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |cond|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |pv| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |pattern|
                                       (QCAR |ISTMP#2|))
                                      'T))))))
-                (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|Satisfies|)
+                (AND (CONSP |cond|) (EQ (QCAR |cond|) '|Satisfies|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |cond|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |pv| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |cond| (QCAR |ISTMP#2|))
@@ -1445,14 +1445,14 @@
         ('T (SPADLET |cond| (CAR |condList|))
          (SPADLET |restConds| (CDR |condList|))
          (COND
-           ((AND (PAIRP |cond|)
+           ((AND (CONSP |cond|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |cond|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |pv| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN
                                  (SPADLET |pattern| (QCAR |ISTMP#2|))
@@ -1492,12 +1492,12 @@
 ;  templateList := [templateParts template for template in templateList]
 ;  [[substLabel(i, template) for template in templateList]
 ;    for i in 1..numLabels] where substLabel(i, template) ==
-;      PAIRP template =>
+;      CONSP template =>
 ;        INTERN CONCAT(first template, PRINC_-TO_-STRING i, rest template)
 ;      template
 
 (DEFUN |htMakeTemplates,substLabel| (|i| |template|)
-  (SEQ (IF (PAIRP |template|)
+  (SEQ (IF (CONSP |template|)
            (EXIT (INTERN (CONCAT (CAR |template|) (PRINC-TO-STRING |i|)
                                  (CDR |template|)))))
        (EXIT |template|)))
@@ -1887,35 +1887,35 @@
                       (PROGN (SETQ |entry| (CAR G167160)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |entry|)
+                            ((AND (CONSP |entry|)
                                   (PROGN
                                     (SPADLET |stringName|
                                      (QCAR |entry|))
                                     (SPADLET |ISTMP#1| (QCDR |entry|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (PROGN
                                           (SPADLET |ISTMP#3|
                                            (QCDR |ISTMP#2|))
-                                          (AND (PAIRP |ISTMP#3|)
+                                          (AND (CONSP |ISTMP#3|)
                                            (PROGN
                                              (SPADLET |ISTMP#4|
                                               (QCDR |ISTMP#3|))
-                                             (AND (PAIRP |ISTMP#4|)
+                                             (AND (CONSP |ISTMP#4|)
                                               (EQ (QCAR |ISTMP#4|)
                                                '|string|)
                                               (PROGN
                                                 (SPADLET |ISTMP#5|
                                                  (QCDR |ISTMP#4|))
-                                                (AND (PAIRP |ISTMP#5|)
+                                                (AND (CONSP |ISTMP#5|)
                                                  (PROGN
                                                    (SPADLET |ISTMP#6|
                                                     (QCDR |ISTMP#5|))
                                                    (AND
-                                                    (PAIRP |ISTMP#6|)
+                                                    (CONSP |ISTMP#6|)
                                                     (PROGN
                                                       (SPADLET
                                                        |spadType|
@@ -1924,7 +1924,7 @@
                                                        |ISTMP#7|
                                                        (QCDR |ISTMP#6|))
                                                       (AND
-                                                       (PAIRP
+                                                       (CONSP
                                                         |ISTMP#7|)
                                                        (EQ
                                                         (QCDR
@@ -1995,18 +1995,18 @@
                 |type| |data| |newType|)
     (RETURN
       (COND
-        ((AND (PAIRP |condList|) (EQ (QCDR |condList|) NIL)
+        ((AND (CONSP |condList|) (EQ (QCDR |condList|) NIL)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |condList|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (EQ (QCAR |ISTMP#1|) '|Satisfies|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |pvar| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |pred| (QCAR |ISTMP#3|))
@@ -2015,19 +2015,19 @@
          (COND
            ((STRINGP |val|) |val|)
            ('T (CONS '(|String|) (|wrap| |s1|)))))
-        ((NULL (AND (PAIRP |condList|) (EQ (QCDR |condList|) NIL)
+        ((NULL (AND (CONSP |condList|) (EQ (QCDR |condList|) NIL)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCAR |condList|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) '|isDomain|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |pvar| (QCAR |ISTMP#2|))
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (SPADLET |pattern|
@@ -2055,7 +2055,7 @@
 
 ;condErrorMsg type ==
 ;  typeString := form2String type
-;  if PAIRP typeString then typeString := APPLY(function CONCAT, typeString)
+;  if CONSP typeString then typeString := APPLY(function CONCAT, typeString)
 ;  CONCAT('"Error: Could not make your input into a ", typeString)
 
 (DEFUN |condErrorMsg| (|type|)
@@ -2064,7 +2064,7 @@
       (PROGN
         (SPADLET |typeString| (|form2String| |type|))
         (COND
-          ((PAIRP |typeString|)
+          ((CONSP |typeString|)
            (SPADLET |typeString|
                     (APPLY (|function| CONCAT) |typeString|))))
         (CONCAT "Error: Could not make your input into a "
@@ -2846,14 +2846,14 @@
         (SPADLET |continue|
                  (COND
                    ((NULL |parts|) NIL)
-                   ((AND (PAIRP |parts|)
+                   ((AND (CONSP |parts|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCAR |parts|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCAR |ISTMP#1|) '|break|)
                                 (PROGN
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |predicate|
@@ -2949,12 +2949,12 @@
  NIL) 
 
 ;htCheck(checker,value) ==
-;  PAIRP checker => htCheckList(checker,parseWord value)
+;  CONSP checker => htCheckList(checker,parseWord value)
 ;  FUNCALL(checker,value)
 
 (DEFUN |htCheck| (|checker| |value|)
   (COND
-    ((PAIRP |checker|) (|htCheckList| |checker| (|parseWord| |value|)))
+    ((CONSP |checker|) (|htCheckList| |checker| (|parseWord| |value|)))
     ('T (FUNCALL |checker| |value|))))
 
 ;parseWord x ==
@@ -3010,11 +3010,11 @@
         (COND
           ((|member| |value| '(|n| |no| N NO)) (SPADLET |value| '|no|)))
         (COND
-          ((AND (PAIRP |checker|)
+          ((AND (CONSP |checker|)
                 (PROGN
                   (SPADLET |n| (QCAR |checker|))
                   (SPADLET |ISTMP#1| (QCDR |checker|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET |m| (QCAR |ISTMP#1|)) 'T)))
                 (INTEGERP |n|))
            (COND
@@ -3584,7 +3584,7 @@
              (SPADLET |u| (|dbReadLines| |fn|))
              (SPADLET |lines| "")
              (DO ()
-                 ((NULL (AND (PAIRP |u|)
+                 ((NULL (AND (CONSP |u|)
                              (PROGN
                                (SPADLET |line| (QCAR |u|))
                                (SPADLET |u| (QCDR |u|))
@@ -3884,7 +3884,7 @@
                                      (SEQ
                                       (EXIT
                                        (COND
-                                         ((AND (PAIRP |option|)
+                                         ((AND (CONSP |option|)
                                            (EQ (QCAR |option|)
                                             '|break|))
                                           '|skip|)
@@ -4242,7 +4242,7 @@
              (SPADLET |ss| (|dbNonEmptyPattern| |filter|))
              (SPADLET |s| (|pmTransFilter| |ss|))
              (COND
-               ((AND (PAIRP |s|) (EQ (QCAR |s|) '|error|))
+               ((AND (CONSP |s|) (EQ (QCAR |s|) '|error|))
                 (|bcErrorPage| |s|))
                ((NULL |s|)
                 (|errorPage| NIL
@@ -4361,7 +4361,7 @@
              (SPADLET |s|
                       (|pmTransFilter| (|dbNonEmptyPattern| |filter|)))
              (COND
-               ((AND (PAIRP |s|) (EQ (QCAR |s|) '|error|))
+               ((AND (CONSP |s|) (EQ (QCAR |s|) '|error|))
                 (|bcErrorPage| |s|))
                ((NULL |s|)
                 (|errorPage| NIL
diff --git a/src/interp/htcheck.lisp.pamphlet b/src/interp/htcheck.lisp.pamphlet
index 87487c3..6dfaafd 100644
--- a/src/interp/htcheck.lisp.pamphlet
+++ b/src/interp/htcheck.lisp.pamphlet
@@ -111,7 +111,7 @@
                                  ((PROGN
                                     (SPADLET |ISTMP#1|
                                      (|getHtMacroItem| |line|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |string|
                                         (QCAR |ISTMP#1|))
@@ -228,11 +228,11 @@
         ('T
          (SPADLET |lookupOn|
                   (COND
-                    ((AND (PAIRP |form|)
+                    ((AND (CONSP |form|)
                           (PROGN
                             (SPADLET |key| (QCAR |form|))
                             (SPADLET |ISTMP#1| (QCDR |form|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQ (QCDR |ISTMP#1|) NIL)
                                  (PROGN
                                    (SPADLET |arg| (QCAR |ISTMP#1|))
diff --git a/src/interp/i-analy.lisp.pamphlet b/src/interp/i-analy.lisp.pamphlet
index 58109d0..ce42c7c 100644
--- a/src/interp/i-analy.lisp.pamphlet
+++ b/src/interp/i-analy.lisp.pamphlet
@@ -119,64 +119,64 @@
       (COND
         ((OR (STRINGP |t|) (IDENTP |t|)) NIL)
         ((BOOT-EQUAL |t| |$Symbol|) |t|)
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Variable|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Variable|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) 'T))))
          (COND ((BOOT-EQUAL |u| |var|) |t|) ('T NIL)))
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Polynomial|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|Polynomial|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
          |t|)
-        ((AND (PAIRP |t|) (EQ (QCAR |t|) '|RationalFunction|)
+        ((AND (CONSP |t|) (EQ (QCAR |t|) '|RationalFunction|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T))))
          (CONS '|Polynomial| (CONS D NIL)))
-        ((AND (PAIRP |t|)
+        ((AND (CONSP |t|)
               (PROGN
                 (SPADLET |up| (QCAR |t|))
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |t'| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |u| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)))))))
               (member |up| |$univariateDomains|))
          (COND
            ((BOOT-EQUAL |u| |var|) |t|)
            ('T (|getMinimalVariableTower| |var| |t'|))))
-        ((AND (PAIRP |t|)
+        ((AND (CONSP |t|)
               (PROGN
                 (SPADLET |up| (QCAR |t|))
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |u| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |t'| (QCAR |ISTMP#2|)) 'T)))))
               (member |up| |$univariateDomains|))
          (COND
            ((BOOT-EQUAL |u| |var|) |t|)
            ('T (|getMinimalVariableTower| |var| |t'|))))
-        ((AND (PAIRP |t|)
+        ((AND (CONSP |t|)
               (PROGN
                 (SPADLET |mp| (QCAR |t|))
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |u| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |t'| (QCAR |ISTMP#2|)) 'T)))))
               (member |mp| |$multivariateDomains|))
          (COND
@@ -206,7 +206,7 @@
     (DECLARE (SPECIAL |$EmptyMode| |$Symbol|))
     (RETURN
       (COND
-        ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Mapping|)) |m|)
+        ((AND (CONSP |m|) (EQ (QCAR |m|) '|Mapping|)) |m|)
         ('T (SPADLET |defaultMode| |$Symbol|)
          (COND
            ((NULL |m|) |defaultMode|)
@@ -242,17 +242,17 @@
     (DECLARE (SPECIAL |$multivariateDomains| |$QuotientField|))
     (RETURN
       (COND
-        ((AND (PAIRP |m|) (EQUAL (QCAR |m|) |$QuotientField|)
+        ((AND (CONSP |m|) (EQUAL (QCAR |m|) |$QuotientField|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |m|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |op| (QCAR |ISTMP#1|)) 'T))))
          (|polyVarlist| |op|))
-        ((AND (PAIRP |m|)
+        ((AND (CONSP |m|)
               (PROGN
                 (SPADLET |op| (QCAR |m|))
                 (SPADLET |ISTMP#1| (QCDR |m|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
          (COND
            ((|member| |op|
@@ -340,12 +340,12 @@
                         ((EQL 1 |nargs|)
                          (COND
                            ((AND (BOOT-EQUAL |op| 'SEGMENT)
-                                 (PAIRP |target|)
+                                 (CONSP |target|)
                                  (EQ (QCAR |target|)
                                      '|UniversalSegment|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |target|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET S (QCAR |ISTMP#1|))
@@ -385,11 +385,11 @@
                                (|putTarget| (CAR |arglist|) |target|))
                               ('T NIL)))
                            ((AND (BOOT-EQUAL |op| '|equation|)
-                                 (PAIRP |target|)
+                                 (CONSP |target|)
                                  (EQ (QCAR |target|) '|Equation|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |target|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET S (QCAR |ISTMP#1|))
@@ -407,11 +407,11 @@
                                        (|putTarget| |x| S))
                                       ('T NIL))))))
                            ((AND (BOOT-EQUAL |op| '|gauss|)
-                                 (PAIRP |target|)
+                                 (CONSP |target|)
                                  (EQ (QCAR |target|) '|Gaussian|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |target|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET S (QCAR |ISTMP#1|))
@@ -431,13 +431,13 @@
                            ((BOOT-EQUAL |op| '/)
                             (SPADLET |targ|
                                      (COND
-                                       ((AND (PAIRP |target|)
+                                       ((AND (CONSP |target|)
                                          (EQ (QCAR |target|)
                                           '|Fraction|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCDR |target|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQ (QCDR |ISTMP#1|) NIL)
                                             (PROGN
                                               (SPADLET S
@@ -458,11 +458,11 @@
                                        (|putTarget| |x| |targ|))
                                       ('T NIL))))))
                            ((AND (BOOT-EQUAL |op| 'SEGMENT)
-                                 (PAIRP |target|)
+                                 (CONSP |target|)
                                  (EQ (QCAR |target|) '|Segment|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |target|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET S (QCAR |ISTMP#1|))
@@ -480,12 +480,12 @@
                                        (|putTarget| |x| S))
                                       ('T NIL))))))
                            ((AND (BOOT-EQUAL |op| 'SEGMENT)
-                                 (PAIRP |target|)
+                                 (CONSP |target|)
                                  (EQ (QCAR |target|)
                                      '|UniversalSegment|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |target|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET S (QCAR |ISTMP#1|))
@@ -508,7 +508,7 @@
 ;pushDownOnArithmeticVariables(op,target,arglist) ==
 ;  -- tries to push appropriate target information onto variable
 ;  -- occurring in arithmetic expressions
-;  PAIRP(target) and CAR(target) = 'Variable => NIL
+;  CONSP(target) and CAR(target) = 'Variable => NIL
 ;  not MEMQ(op,'(_+ _- _* _*_* _/)) => NIL
 ;  not containsPolynomial(target)   => NIL
 ;  for x in arglist for i in 1.. repeat
@@ -517,7 +517,7 @@
 ;      getValue(x) or (xn = $immediateDataSymbol) => NIL
 ;      t := getMinimalVariableTower(xn,target) or target
 ;      if not getTarget(x) then putTarget(x,t)
-;    PAIRP(x) =>  -- node
+;    CONSP(x) =>  -- node
 ;      [op',:arglist'] := x
 ;      pushDownOnArithmeticVariables(getUnname op',target,arglist')
 ;  arglist
@@ -527,7 +527,7 @@
     (DECLARE (SPECIAL |$immediateDataSymbol|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |target|)
+             ((AND (CONSP |target|)
                    (BOOT-EQUAL (CAR |target|) '|Variable|))
               NIL)
              ((NULL (member |op| '(+ - * ** /))) NIL)
@@ -557,7 +557,7 @@
                                    ((NULL (|getTarget| |x|))
                                     (|putTarget| |x| |t|))
                                    ('T NIL)))))
-                             ((PAIRP |x|) (SPADLET |op'| (CAR |x|))
+                             ((CONSP |x|) (SPADLET |op'| (CAR |x|))
                               (SPADLET |arglist'| (CDR |x|))
                               (|pushDownOnArithmeticVariables|
                                   (|getUnname| |op'|) |target|
@@ -793,7 +793,7 @@
                       |$immediateDataSymbol|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |t|)
+             ((AND (CONSP |t|)
                    (PROGN
                      (SPADLET |op| (QCAR |t|))
                      (SPADLET |argl| (QCDR |t|))
@@ -851,11 +851,11 @@
                       ((AND |opVal|
                             (PROGN
                               (SPADLET |ISTMP#1| (|objVal| |opVal|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCAR |ISTMP#1|) 'MAP)))
                             (PROGN
                               (SPADLET |ISTMP#1| (|getMode| |op|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCAR |ISTMP#1|) '|Mapping|)
                                    (PROGN
                                      (SPADLET |ms| (QCDR |ISTMP#1|))
@@ -1088,11 +1088,11 @@
             (SPADLET |om| (|objMode| |u|))
             (COND
               ((AND (NEQUAL |om| |$EmptyMode|)
-                    (NULL (AND (PAIRP |om|)
+                    (NULL (AND (CONSP |om|)
                                (EQ (QCAR |om|) '|RuleCalled|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCDR |om|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL))))))
                (COND
                  ((OR |$genValue| (GENSYMP |id|))
@@ -1184,7 +1184,7 @@
       (COND
         ((SPADLET |m| (|getMode| |t|))
          (COND
-           ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Mapping|))
+           ((AND (CONSP |m|) (EQ (QCAR |m|) '|Mapping|))
             (|throwKeyedMsg| "S2IB0003"
                 (CONS (|getUnname| |t|) NIL)))
            ('T
@@ -1219,15 +1219,15 @@
               ((|isPartialMode| |target|)
                (COND
                  ((AND (BOOT-EQUAL |defaultMode| |$Symbol|)
-                       (PAIRP |target|)
+                       (CONSP |target|)
                        (PROGN
                          (SPADLET D (QCAR |target|))
                          (SPADLET |ISTMP#1| (QCDR |target|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |x| (QCAR |ISTMP#1|))
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL))))))
                   (COND
                     ((OR (AND (|member| D |$univariateDomains|)
@@ -1302,7 +1302,7 @@
                          (SPADLET |envMode|
                                   (OR |tmode| (|objMode| |tval|)))
                          (COND
-                           ((AND (PAIRP |envMode|)
+                           ((AND (CONSP |envMode|)
                                  (EQ (QCAR |envMode|) '|Variable|))
                             (|objVal| |tval|))
                            ((BOOT-EQUAL |id| |$immediateDataSymbol|)
@@ -1427,11 +1427,11 @@
          (COND
            ((AND |$genValue|
                  (NULL (AND (BOOT-EQUAL |opName| '=)
-                            (PAIRP |argModeSetList|)
+                            (CONSP |argModeSetList|)
                             (PROGN
                               (SPADLET |ISTMP#1|
                                        (QCAR |argModeSetList|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL)
                                    (PROGN
                                      (SPADLET |m| (QCAR |ISTMP#1|))
@@ -1439,15 +1439,15 @@
                             (PROGN
                               (SPADLET |ISTMP#2|
                                        (QCDR |argModeSetList|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |ISTMP#3|
                                       (QCAR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (EQUAL (QCAR |ISTMP#3|) |m|)))))
-                            (PAIRP |m|) (EQ (QCAR |m|) '|Union|)))
+                            (CONSP |m|) (EQ (QCAR |m|) '|Union|)))
                  (SPADLET |u|
                           (|bottomUpFormUntaggedUnionRetract| |t| |op|
                               |opName| |argl| |argModeSetList|)))
@@ -1503,12 +1503,12 @@
                              ((PROGN
                                 (SPADLET |ISTMP#1|
                                          (|getFirstArgTypeFromMm| |mm|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|Tuple|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)))))
                               (SPADLET |haveTuple| 'T))
                              ('T NIL)))))
@@ -1522,25 +1522,25 @@
                     NIL)
                    ((AND (EQL |nargs| 1)
                          (SPADLET |ms| (|bottomUp| (CAR |args|)))
-                         (OR (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                         (OR (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCAR |ms|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|Tuple|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL))))))
-                             (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                             (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCAR |ms|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|List|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL))))))))
                     NIL)
                    ('T
@@ -1576,24 +1576,24 @@
                ((NULL |args|) NIL)
                ('T (SPADLET |arg1| (CAR |args|))
                 (COND
-                  ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|partial|)
+                  ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|partial|)
                         (PROGN (SPADLET |c| (QCDR |cond|)) 'T))
                    (SPADLET |cond| |c|)))
                 (SPADLET |condList|
                          (COND
-                           ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'AND)
+                           ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'AND)
                                  (PROGN
                                    (SPADLET |cl| (QCDR |cond|))
                                    'T))
                             |cl|)
-                           ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'OR)
+                           ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'OR)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |cond|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |ISTMP#2|
                                        (QCAR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (EQ (QCAR |ISTMP#2|) 'AND)
                                        (PROGN
                                          (SPADLET |cl|
@@ -1611,19 +1611,19 @@
                          (NULL (NULL |type|)))
                      NIL)
                   (SEQ (EXIT (COND
-                               ((AND (PAIRP |condition|)
+                               ((AND (CONSP |condition|)
                                      (EQ (QCAR |condition|)
                                       '|isDomain|)
                                      (PROGN
                                        (SPADLET |ISTMP#1|
                                         (QCDR |condition|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (PROGN
                                           (SPADLET |a1|
                                            (QCAR |ISTMP#1|))
                                           (SPADLET |ISTMP#2|
                                            (QCDR |ISTMP#1|))
-                                          (AND (PAIRP |ISTMP#2|)
+                                          (AND (CONSP |ISTMP#2|)
                                            (EQ (QCDR |ISTMP#2|) NIL)
                                            (PROGN
                                              (SPADLET |dom|
@@ -1668,7 +1668,7 @@
                               NIL)
                              ('T (SPADLET |m| (|objMode| |v|))
                               (COND
-                                ((NULL (AND (PAIRP |m|)
+                                ((NULL (AND (CONSP |m|)
                                         (EQ (QCAR |m|) '|Union|)))
                                  NIL)
                                 ('T (SPADLET |val| (|objVal| |v|))
@@ -1789,14 +1789,14 @@
         (SPADLET |opName0| |opName|)
         (COND
           ((SPADLET |m| (|isType| |t|)) (|bottomUpType| |t| |m|))
-          ((AND (BOOT-EQUAL |opName| '|copy|) (PAIRP |argModeSetList|)
+          ((AND (BOOT-EQUAL |opName| '|copy|) (CONSP |argModeSetList|)
                 (EQ (QCDR |argModeSetList|) NIL)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |argModeSetList|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCAR |ISTMP#2|) '|Record|)
                               (PROGN
                                 (SPADLET |rargs| (QCDR |ISTMP#2|))
@@ -1816,19 +1816,19 @@
            (|putModeSet| |t| (CONS |rtype| NIL)))
           ('T (SPADLET |m| (|getModeOrFirstModeSetIfThere| |op|))
            (COND
-             ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Record|)
-                   (PAIRP |argModeSetList|)
+             ((AND (CONSP |m|) (EQ (QCAR |m|) '|Record|)
+                   (CONSP |argModeSetList|)
                    (EQ (QCDR |argModeSetList|) NIL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |argModeSetList|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCAR |ISTMP#2|) '|Variable|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |x| (QCAR |ISTMP#3|))
@@ -1836,19 +1836,19 @@
                    (|member| |x| (|getUnionOrRecordTags| |m|))
                    (SPADLET |u| (|bottomUpElt| |t|)))
               |u|)
-             ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Union|)
-                   (PAIRP |argModeSetList|)
+             ((AND (CONSP |m|) (EQ (QCAR |m|) '|Union|)
+                   (CONSP |argModeSetList|)
                    (EQ (QCDR |argModeSetList|) NIL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |argModeSetList|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCAR |ISTMP#2|) '|Variable|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |x| (QCAR |ISTMP#3|))
@@ -1882,11 +1882,11 @@
                    (EQL (|#| |argl|) 1)
                    (PROGN
                      (SPADLET |ISTMP#1| (CAR (CAR |argModeSetList|)))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) '|Variable|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |var| (QCAR |ISTMP#2|))
@@ -2104,7 +2104,7 @@
            (SPADLET |val| (|fetchOutput| (SPADDIFFERENCE 1)))
            (|putValue| |op| |val|)
            (|putModeSet| |op| (CONS (|objMode| |val|) NIL)))
-          ((AND (PAIRP |argl|) (EQ (QCDR |argl|) NIL)
+          ((AND (CONSP |argl|) (EQ (QCDR |argl|) NIL)
                 (PROGN (SPADLET |t| (QCAR |argl|)) 'T))
            (COND
              ((SPADLET |i| (|getArgValue| |t| |$Integer|))
@@ -2134,7 +2134,7 @@
 ;    (i = 1) and (opName = "set!") =>
 ;        a := [x,:a]
 ;        ms := [m,:ms]
-;    if PAIRP(m) and CAR(m) = $EmptyMode then return NIL
+;    if CONSP(m) and CAR(m) = $EmptyMode then return NIL
 ;    object:= retract getValue x
 ;    a:= [x,:a]
 ;    EQ(object,'failed) =>
@@ -2190,7 +2190,7 @@
                                 (SPADLET |ms| (CONS |m| |ms|)))
                                ('T
                                 (COND
-                                  ((AND (PAIRP |m|)
+                                  ((AND (CONSP |m|)
                                     (BOOT-EQUAL (CAR |m|) |$EmptyMode|))
                                    (RETURN NIL)))
                                 (SPADLET |object|
@@ -2347,7 +2347,7 @@
                (SEQ (EXIT (PROGN
                             (COND ((ATOM |m|) (RETURN NIL)))
                             (COND
-                              ((AND (PAIRP |m|)
+                              ((AND (CONSP |m|)
                                     (EQ (QCAR |m|) '|Union|)
                                     (NULL (|getUnionOrRecordTags| |m|)))
                                (SPADLET |ok| 'T))
@@ -2366,7 +2366,7 @@
                   (SEQ (EXIT (PROGN
                                (SPADLET |m0| (CAR |m|))
                                (COND
-                                 ((AND (PAIRP |m0|)
+                                 ((AND (CONSP |m0|)
                                        (EQ (QCAR |m0|) '|Union|)
                                        (NULL
                                         (|getUnionOrRecordTags| |m0|))
@@ -2418,15 +2418,15 @@
              (SPADLET |ms| (|bottomUp| |op|))
              (COND
                ((AND |ms|
-                     (OR (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                     (OR (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCAR |ms|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|Union|))))
-                         (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                         (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCAR |ms|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|Record|))))))
                 (RPLAC (CDR |form|) (CONS |op| |argl|))
                 (RPLAC (CAR |form|) (|mkAtreeNode| '|elt|))
@@ -2523,10 +2523,10 @@
          (COND
            ((ZEROP |numArgs|) 'T)
            ((NULL (SPADLET |m| (|objMode| |v|))) NIL)
-           ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Mapping|)) NIL)
+           ((AND (CONSP |m|) (EQ (QCAR |m|) '|Mapping|)) NIL)
            ((AND (PROGN
                    (SPADLET |ISTMP#1| (|objVal| |v|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'MAP)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'MAP)
                         (PROGN (SPADLET |mapDef| (QCDR |ISTMP#1|)) 'T)))
                  (> (|numMapArgs| |mapDef|) 0))
             NIL)
@@ -2534,7 +2534,7 @@
         ((SPADLET |m| (|getMode| |op|))
          (COND
            ((ZEROP |numArgs|) 'T)
-           ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Mapping|)) NIL)
+           ((AND (CONSP |m|) (EQ (QCAR |m|) '|Mapping|)) NIL)
            ('T 'T)))
         ((NEQUAL |numArgs| 1) NIL)
         ('T (SPADLET |name| (|getUnname| |op|))
diff --git a/src/interp/i-code.lisp.pamphlet b/src/interp/i-code.lisp.pamphlet
index 123825b..8f2a86f 100755
--- a/src/interp/i-code.lisp.pamphlet
+++ b/src/interp/i-code.lisp.pamphlet
@@ -96,21 +96,21 @@
                ((BOOT-EQUAL |t1| |t2|) |triple|)
                ('T (SPADLET |val| (|objVal| |triple|))
                 (COND
-                  ((AND (PAIRP |val|)
+                  ((AND (CONSP |val|)
                         (EQ (QCAR |val|) '|coerceOrCroak|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |val|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |trip| (QCAR |ISTMP#1|))
                                  (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                 (AND (PAIRP |ISTMP#2|)
+                                 (AND (CONSP |ISTMP#2|)
                                       (PROGN
                                         (SPADLET |t1'|
                                          (QCAR |ISTMP#2|))
                                         (SPADLET |ISTMP#3|
                                          (QCDR |ISTMP#2|))
-                                        (AND (PAIRP |ISTMP#3|)
+                                        (AND (CONSP |ISTMP#3|)
                                          (EQ (QCDR |ISTMP#3|) NIL)))))))
                         (SPADLET |t0| (|objCodeMode| |trip|))
                         (PROGN
@@ -121,24 +121,24 @@
                             (|canCoerceFrom| (|removeQuote| |t0|) |t2|)))
                    (|intCodeGenCOERCE|
                        (|objNew| |val0| (|removeQuote| |t0|)) |t2|))
-                  ((AND (PAIRP |val|) (EQ (QCAR |val|) 'THROW)
+                  ((AND (CONSP |val|) (EQ (QCAR |val|) 'THROW)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |val|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |label| (QCAR |ISTMP#1|))
                                  (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                 (AND (PAIRP |ISTMP#2|)
+                                 (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |code|
                                          (QCAR |ISTMP#2|))
                                         'T))))))
                    (COND
-                     ((AND (PAIRP |label|) (EQ (QCAR |label|) 'QUOTE)
+                     ((AND (CONSP |label|) (EQ (QCAR |label|) 'QUOTE)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |label|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |l| (QCAR |ISTMP#1|))
@@ -158,15 +158,15 @@
                                        NIL)))
                           |t2|))
                      ('T (|objNew| |val| |t2|))))
-                  ((AND (PAIRP |val|) (EQ (QCAR |val|) 'PROGN)
+                  ((AND (CONSP |val|) (EQ (QCAR |val|) 'PROGN)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |val|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |ISTMP#2|
                                           (REVERSE |ISTMP#1|))
                                  'T)
-                               (PAIRP |ISTMP#2|)
+                               (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |lastCode| (QCAR |ISTMP#2|))
                                  (SPADLET |code| (QCDR |ISTMP#2|))
@@ -185,7 +185,7 @@
                                          |t2|)))
                                       NIL)))
                        |t2|))
-                  ((AND (PAIRP |val|) (EQ (QCAR |val|) 'COND)
+                  ((AND (CONSP |val|) (EQ (QCAR |val|) 'COND)
                         (PROGN (SPADLET |conds| (QCDR |val|)) 'T))
                    (|objNew|
                        (CONS 'COND
@@ -228,15 +228,15 @@
                    (|objNew|
                        (CONS 'CONS (CONS (MKQ |t1|) (CONS |val| NIL)))
                        |t2|))
-                  ((AND (BOOT-EQUAL |t1| '(|Any|)) (PAIRP |val|)
+                  ((AND (BOOT-EQUAL |t1| '(|Any|)) (CONSP |val|)
                         (EQUAL (QCAR |val|) 'CONS)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |val|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |t1'| (QCAR |ISTMP#1|))
                                  (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                 (AND (PAIRP |ISTMP#2|)
+                                 (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |val'|
@@ -244,14 +244,14 @@
                                         'T))))))
                    (|intCodeGenCOERCE|
                        (|objNew| |val'| (|removeQuote| |t1'|)) |t2|))
-                  ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Equation|)
+                  ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Equation|)
                         (BOOT-EQUAL |t2| |$Boolean|))
                    (|coerceByFunction| |triple| |t2|))
-                  ((AND (BOOT-EQUAL |t1| '|$NoValueMode|) (PAIRP |val|)
+                  ((AND (BOOT-EQUAL |t1| '|$NoValueMode|) (CONSP |val|)
                         (EQ (QCAR |val|) 'COND)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |val|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN
                                  (SPADLET |pred| (QCAR |ISTMP#1|))
@@ -321,46 +321,46 @@
     (RETURN
       (COND
         ((EQL |$mapThrowCount| 0) |body|)
-        ((AND (PAIRP |body|) (EQ (QCAR |body|) '|failCheck|)
+        ((AND (CONSP |body|) (EQ (QCAR |body|) '|failCheck|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |body|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (EQ (QCAR |ISTMP#2|) '|coerceOrFail|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (PROGN
                                      (SPADLET |trip| (QCAR |ISTMP#3|))
                                      (SPADLET |ISTMP#4|
                                       (QCDR |ISTMP#3|))
-                                     (AND (PAIRP |ISTMP#4|)
+                                     (AND (CONSP |ISTMP#4|)
                                       (PROGN
                                         (SPADLET |targ|
                                          (QCAR |ISTMP#4|))
                                         (SPADLET |ISTMP#5|
                                          (QCDR |ISTMP#4|))
-                                        (AND (PAIRP |ISTMP#5|)
+                                        (AND (CONSP |ISTMP#5|)
                                          (EQ (QCDR |ISTMP#5|) NIL)
                                          (PROGN
                                            (SPADLET |mapn|
                                             (QCAR |ISTMP#5|))
                                            'T))))))))))))
          (COND
-           ((AND (PAIRP |trip|) (EQ (QCAR |trip|) 'LIST)
+           ((AND (CONSP |trip|) (EQ (QCAR |trip|) 'LIST)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |trip|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |v| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |m| (QCAR |ISTMP#2|))
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |e| (QCAR |ISTMP#3|))
diff --git a/src/interp/i-coerce.lisp.pamphlet b/src/interp/i-coerce.lisp.pamphlet
index 7ee1b95..8d1f5ef 100644
--- a/src/interp/i-coerce.lisp.pamphlet
+++ b/src/interp/i-coerce.lisp.pamphlet
@@ -185,7 +185,7 @@ The special routines that  do the coercions typically  involve a "2"
           ('T (SPADLET |val| (|objVal| |object|))
            (COND
              ((AND (NULL (|isWrapped| |val|))
-                   (NULL (AND (PAIRP |val|) (EQ (QCAR |val|) 'MAP))))
+                   (NULL (AND (CONSP |val|) (EQ (QCAR |val|) 'MAP))))
               '|failed|)
              ('T (SPADLET |type'| (|equiType| |type|))
               (COND
@@ -253,23 +253,23 @@ The special routines that  do the coercions typically  involve a "2"
                  (SPADLET |object| (|objNew| |val| |type'|))))
               (COND
                 ((OR (EQL 1 (|#| |type'|))
-                     (AND (PAIRP |type'|) (EQ (QCAR |type'|) '|Union|))
-                     (AND (PAIRP |type'|)
+                     (AND (CONSP |type'|) (EQ (QCAR |type'|) '|Union|))
+                     (AND (CONSP |type'|)
                           (EQ (QCAR |type'|) '|FunctionCalled|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |type'|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQ (QCDR |ISTMP#1|) NIL))))
-                     (AND (PAIRP |type'|)
+                     (AND (CONSP |type'|)
                           (EQ (QCAR |type'|) '|OrderedVariableList|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |type'|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQ (QCDR |ISTMP#1|) NIL))))
-                     (AND (PAIRP |type|) (EQ (QCAR |type|) '|Variable|)
+                     (AND (CONSP |type|) (EQ (QCAR |type|) '|Variable|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |type|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQ (QCDR |ISTMP#1|) NIL)))))
                  (COND
                    ((SPADLET |object'|
@@ -435,18 +435,18 @@ The special routines that  do the coercions typically  involve a "2"
                ((BOOT-EQUAL |type| |$Any|) (SPADLET |dom| (CAR |val'|))
                 (SPADLET |obj| (CDR |val'|))
                 (|objNewWrap| |obj| |dom|))
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|Union|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|Union|)
                      (PROGN (SPADLET |unionDoms| (QCDR |type|)) 'T))
                 (|coerceUnion2Branch| |object|))
                ((BOOT-EQUAL |type| |$Symbol|)
                 (|objNewWrap| 1
                     (CONS '|OrderedVariableList|
                           (CONS (CONS |val'| NIL) NIL))))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (EQ (QCAR |type|) '|OrderedVariableList|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |var| (QCAR |ISTMP#1|))
                               'T))))
@@ -454,16 +454,16 @@ The special routines that  do the coercions typically  involve a "2"
                     (|objNewWrap| (ELT |var| (SPADDIFFERENCE |val'| 1))
                         |$Symbol|)
                     '(|Polynomial| (|Integer|))))
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|Polynomial|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|Polynomial|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T))))
                 (COND
-                  ((AND (PAIRP |val'|) (EQUAL (QCAR |val'|) 1)
+                  ((AND (CONSP |val'|) (EQUAL (QCAR |val'|) 1)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |val'|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |x| (QCAR |ISTMP#1|))
                                  'T))))
@@ -475,13 +475,13 @@ The special routines that  do the coercions typically  involve a "2"
                           (CONS '|UnivariatePolynomial|
                                 (CONS |x| (CONS D NIL)))))
                      ('T NIL)))
-                  ((AND (PAIRP |val'|) (EQUAL (QCAR |val'|) 0))
+                  ((AND (CONSP |val'|) (EQUAL (QCAR |val'|) 0))
                    (|coerceInt| |object| D))
                   ('T NIL)))
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|Matrix|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|Matrix|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T))))
                 (SPADLET |n| (|#| |val'|))
                 (SPADLET |m| (|#| (ELT |val'| 0)))
@@ -493,20 +493,20 @@ The special routines that  do the coercions typically  involve a "2"
                    (|objNew| |val|
                        (CONS '|RectangularMatrix|
                              (CONS |n| (CONS |m| (CONS D NIL))))))))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (EQ (QCAR |type|) '|RectangularMatrix|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |n| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (PROGN
                                      (SPADLET |m| (QCAR |ISTMP#2|))
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET D (QCAR |ISTMP#3|))
@@ -516,11 +516,11 @@ The special routines that  do the coercions typically  involve a "2"
                    (|objNew| |val|
                        (CONS '|SquareMatrix| (CONS |n| (CONS D NIL)))))
                   ('T NIL)))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (PROGN
                        (SPADLET |agg| (QCAR |type|))
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T)))
                      (|member| |agg|
                          '(|Vector| |Segment| |UniversalSegment|)))
@@ -531,14 +531,14 @@ The special routines that  do the coercions typically  involve a "2"
                   ((BOOT-EQUAL D |$NonNegativeInteger|)
                    (|objNew| |val| (CONS |agg| (CONS |$Integer| NIL))))
                   ('T NIL)))
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|Array|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|Array|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |bds| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET D (QCAR |ISTMP#2|))
@@ -554,16 +554,16 @@ The special routines that  do the coercions typically  involve a "2"
                        (CONS '|Array|
                              (CONS |bds| (CONS |$Integer| NIL)))))
                   ('T NIL)))
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|List|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|List|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T))))
                 (COND
-                  ((NULL (AND (PAIRP D) (EQ (QCAR D) '|List|)
+                  ((NULL (AND (CONSP D) (EQ (QCAR D) '|List|)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR D))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |D'| (QCAR |ISTMP#1|))
@@ -647,16 +647,16 @@ The special routines that  do the coercions typically  involve a "2"
                        (CONS '|List|
                              (CONS (CONS '|List| (CONS |$Integer| NIL))
                                    NIL))))
-                  ((OR (AND (PAIRP |D'|) (EQ (QCAR |D'|) '|Variable|)
+                  ((OR (AND (CONSP |D'|) (EQ (QCAR |D'|) '|Variable|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |D'|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL))))
-                       (AND (PAIRP |D'|)
+                       (AND (CONSP |D'|)
                             (EQ (QCAR |D'|) '|OrderedVariableList|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |D'|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL)))))
                    (|coerceInt| |object|
                        (CONS '|List|
@@ -669,37 +669,37 @@ The special routines that  do the coercions typically  involve a "2"
                      ('T
                       (|coerceInt| |object|
                           (CONS '|Matrix| (CONS |D'| NIL))))))))
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|Expression|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|Expression|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET D (QCAR |ISTMP#1|)) 'T))))
                 (SPADLET |num| (CAR |val'|))
                 (SPADLET |den| (CDR |val'|))
                 (COND
-                  ((NULL (AND (PAIRP |num|) (EQUAL (QCAR |num|) 0)
+                  ((NULL (AND (CONSP |num|) (EQUAL (QCAR |num|) 0)
                               (PROGN (SPADLET |num| (QCDR |num|)) 'T)))
                    NIL)
-                  ((NULL (AND (PAIRP |den|) (EQUAL (QCAR |den|) 0)
+                  ((NULL (AND (CONSP |den|) (EQUAL (QCAR |den|) 0)
                               (PROGN (SPADLET |den| (QCDR |den|)) 'T)))
                    NIL)
                   ('T
                    (|objNewWrap| (CONS |num| |den|)
                        (CONS |$QuotientField| (CONS D NIL))))))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (EQ (QCAR |type|) '|SimpleAlgebraicExtension|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |k| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (PROGN
                                      (SPADLET |rep| (QCAR |ISTMP#2|))
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL))))))))
                 (SPADLET |val'| (|retract| (|objNew| |val| |rep|)))
                 (DO ()
@@ -709,20 +709,20 @@ The special routines that  do the coercions typically  involve a "2"
                      NIL)
                   (SEQ (EXIT (SPADLET |val'| (|retract| |val'|)))))
                 (COND ((BOOT-EQUAL |val'| '|failed|) NIL) ('T |val'|)))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (EQ (QCAR |type|) '|UnivariatePuiseuxSeries|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |coef| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (PROGN
                                      (SPADLET |var| (QCAR |ISTMP#2|))
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |cen|
@@ -731,20 +731,20 @@ The special routines that  do the coercions typically  involve a "2"
                 (|coerceInt| |object|
                     (CONS '|UnivariateLaurentSeries|
                           (CONS |coef| (CONS |var| (CONS |cen| NIL))))))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (EQ (QCAR |type|) '|UnivariateLaurentSeries|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |coef| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (PROGN
                                      (SPADLET |var| (QCAR |ISTMP#2|))
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |cen|
@@ -753,11 +753,11 @@ The special routines that  do the coercions typically  involve a "2"
                 (|coerceInt| |object|
                     (CONS '|UnivariateTaylorSeries|
                           (CONS |coef| (CONS |var| (CONS |cen| NIL))))))
-               ((AND (PAIRP |type|)
+               ((AND (CONSP |type|)
                      (EQ (QCAR |type|) '|FunctionCalled|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |name| (QCAR |ISTMP#1|))
                               'T))))
@@ -850,7 +850,7 @@ The special routines that  do the coercions typically  involve a "2"
            ((BOOT-EQUAL |t1| |$Symbol|) NIL)
            ((BOOT-EQUAL |t1| |$OutputForm|) NIL)
            ((SPADLET |c| (|retractByFunction| |object| |t2|)) |c|)
-           ((AND (PAIRP |t1|) (PROGN (SPADLET D (QCAR |t1|)) 'T))
+           ((AND (CONSP |t1|) (PROGN (SPADLET D (QCAR |t1|)) 'T))
             (SPADLET |fun|
                      (OR (GETL D '|retract|)
                          (INTERN (STRCONC "retract"
@@ -978,20 +978,20 @@ The special routines that  do the coercions typically  involve a "2"
         (SPADLET |key| (|opOf| |form|))
         (SPADLET |entryList| (LASSOC |key| |opAlist|))
         (COND
-          ((AND (PAIRP |entryList|) (EQ (QCDR |entryList|) NIL)
+          ((AND (CONSP |entryList|) (EQ (QCDR |entryList|) NIL)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |entryList|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                (AND (PAIRP |ISTMP#3|)
+                                (AND (CONSP |ISTMP#3|)
                                      (PROGN
                                        (SPADLET |ISTMP#4|
                                         (QCDR |ISTMP#3|))
-                                       (AND (PAIRP |ISTMP#4|)
+                                       (AND (CONSP |ISTMP#4|)
                                         (EQ (QCDR |ISTMP#4|) NIL)
                                         (PROGN
                                           (SPADLET |type|
@@ -1041,22 +1041,22 @@ that the domain is not fully formed. In this case we return [[NIL]].
          (SPADLET |key| (|opOf| |form|))
          (SPADLET |entryList| (LASSOC |key| |opAlist|))
          (COND
-           ((NULL (AND (PAIRP |entryList|) (EQ (QCDR |entryList|) NIL)
+           ((NULL (AND (CONSP |entryList|) (EQ (QCDR |entryList|) NIL)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCAR |entryList|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |sig| (QCAR |ISTMP#1|))
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (PROGN
                                        (SPADLET |ISTMP#3|
                                         (QCDR |ISTMP#2|))
-                                       (AND (PAIRP |ISTMP#3|)
+                                       (AND (CONSP |ISTMP#3|)
                                         (PROGN
                                           (SPADLET |ISTMP#4|
                                            (QCDR |ISTMP#3|))
-                                          (AND (PAIRP |ISTMP#4|)
+                                          (AND (CONSP |ISTMP#4|)
                                            (EQ (QCDR |ISTMP#4|) NIL)))))))))))
             (COND
               ((BOOT-EQUAL |key| '|One|)
@@ -1218,16 +1218,16 @@ Interpreter Coercion Query Functions
                ((|member| |t1|
                     '((|Mode|) (|Domain|) (|SubDomain| (|Domain|))))
                 (COND ((BOOT-EQUAL |t2| |$OutputForm|) 'T) ('T NIL)))
-               ((OR (AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Variable|)
+               ((OR (AND (CONSP |t1|) (EQ (QCAR |t1|) '|Variable|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |t1|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (EQUAL (QCAR |ISTMP#1|) |t2|))))
-                    (AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Variable|)
+                    (AND (CONSP |t2|) (EQ (QCAR |t2|) '|Variable|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |t2|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (EQUAL (QCAR |ISTMP#1|) |t1|)))))
                 'T)
@@ -1235,12 +1235,12 @@ Interpreter Coercion Query Functions
                 (COND
                   ((BOOT-EQUAL |t2| |$String|) 'T)
                   ((BOOT-EQUAL |t2| |$OutputForm|) 'T)
-                  ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Union|))
+                  ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Union|))
                    (|canCoerceUnion| |t1| |t2|))
-                  ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Variable|)
+                  ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Variable|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |t2|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN
                                  (SPADLET |v| (QCAR |ISTMP#1|))
@@ -1250,10 +1250,10 @@ Interpreter Coercion Query Functions
                   ('T NIL)))
                ((STRINGP |t2|)
                 (COND
-                  ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Variable|)
+                  ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Variable|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |t1|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN
                                  (SPADLET |v| (QCAR |ISTMP#1|))
@@ -1276,19 +1276,19 @@ Interpreter Coercion Query Functions
                      ('T NIL)))
                   ((OR (EQ |nt1| '|Union|) (EQ |nt2| '|Union|))
                    (|canCoerceUnion| |t1| |t2|))
-                  ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Segment|)
+                  ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Segment|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |t1|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN
                                  (SPADLET |s1| (QCAR |ISTMP#1|))
                                  'T)))
-                        (PAIRP |t2|)
+                        (CONSP |t2|)
                         (EQ (QCAR |t2|) '|UniversalSegment|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |t2|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN
                                  (SPADLET |s2| (QCAR |ISTMP#1|))
@@ -1296,10 +1296,10 @@ Interpreter Coercion Query Functions
                         (OR (|isEqualOrSubDomain| |s1| |s2|)
                             (|canCoerce| |s1| |s2|)))
                    'T)
-                  ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Tuple|)
+                  ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Tuple|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |t1|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (PROGN (SPADLET S (QCAR |ISTMP#1|)) 'T)))
                         (NEQUAL |t2| '(|OutputForm|)))
@@ -1478,10 +1478,10 @@ Interpreter Coercion Query Functions
              (SPADLET |argl| (CDDR |t|))
              (SPADLET |$useCoerceOrCroak| NIL)
              (COND
-               ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Variable|)
+               ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Variable|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |t1|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |var| (QCAR |ISTMP#1|))
                               'T))))
@@ -1509,10 +1509,10 @@ Interpreter Coercion Query Functions
                    NIL)
                   ('T (SPADLET |mm| (CAAR |mms|))
                    (COND
-                     ((AND (PAIRP |mm|)
+                     ((AND (CONSP |mm|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |mm|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (PROGN
                                     (SPADLET |targ| (QCAR |ISTMP#1|))
                                     'T))))
@@ -1520,10 +1520,10 @@ Interpreter Coercion Query Functions
                         ((BOOT-EQUAL |targ| |target|) 'T)
                         ('T NIL)))
                      ('T NIL)))))
-               ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|FunctionCalled|)
+               ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|FunctionCalled|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |t1|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |fun| (QCAR |ISTMP#1|))
                               'T))))
@@ -1536,23 +1536,23 @@ Interpreter Coercion Query Functions
                 (COND
                   ((CONSP |mms|)
                    (COND
-                     ((AND (PAIRP |mms|) (EQ (QCDR |mms|) NIL)
+                     ((AND (CONSP |mms|) (EQ (QCDR |mms|) NIL)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCAR |mms|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (PROGN
                                     (SPADLET |ISTMP#2|
                                      (QCAR |ISTMP#1|))
-                                    (AND (PAIRP |ISTMP#2|)
+                                    (AND (CONSP |ISTMP#2|)
                                      (EQ (QCAR |ISTMP#2|)
                                       '|interpOnly|))))))
                       NIL)
                      ('T (SPADLET |mm| (CAAR |mms|))
                       (COND
-                        ((AND (PAIRP |mm|)
+                        ((AND (CONSP |mm|)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR |mm|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |targ|
                                         (QCAR |ISTMP#1|))
@@ -1596,14 +1596,14 @@ Interpreter Coercion Query Functions
       (SEQ (PROGN
              (COND
                ((SPADLET |isUnion1|
-                         (AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Union|)
+                         (AND (CONSP |t1|) (EQ (QCAR |t1|) '|Union|)
                               (PROGN (SPADLET |uds1| (QCDR |t1|)) 'T)))
                 (SPADLET |unionDoms1|
                          (COND
                            ((AND |uds1|
                                  (PROGN
                                    (SPADLET |ISTMP#1| (CAR |uds1|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCAR |ISTMP#1|) '|:|))))
                             (PROG (G166818)
                               (SPADLET G166818 NIL)
@@ -1628,14 +1628,14 @@ Interpreter Coercion Query Functions
                            ('T |uds1|)))))
              (COND
                ((SPADLET |isUnion2|
-                         (AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Union|)
+                         (AND (CONSP |t2|) (EQ (QCAR |t2|) '|Union|)
                               (PROGN (SPADLET |uds2| (QCDR |t2|)) 'T)))
                 (SPADLET |unionDoms2|
                          (COND
                            ((AND |uds2|
                                  (PROGN
                                    (SPADLET |ISTMP#1| (CAR |uds2|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCAR |ISTMP#1|) '|:|))))
                             (PROG (G166836)
                               (SPADLET G166836 NIL)
@@ -1714,14 +1714,14 @@ Interpreter Coercion Query Functions
                             (SEQ (EXIT (SETQ G166877
                                         (OR G166877
                                          (|canCoerce| |t1| |ud|)))))))))))
-               ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Union|)
+               ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Union|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |t1|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |d1| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (EQUAL (QCAR |ISTMP#2|) '"failed")))))
                      (BOOT-EQUAL |t2| |d1|))
@@ -1920,14 +1920,14 @@ Interpreter Coercion Query Functions
           ((AND |p|
                 (PROGN
                   (SPADLET |ISTMP#1| (ASSQ (CAR |t2|) (CDR |p|)))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |tag| (QCAR |ISTMP#2|))
                                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                (AND (PAIRP |ISTMP#3|)
+                                (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (SPADLET |fun| (QCAR |ISTMP#3|))
@@ -1969,14 +1969,14 @@ Interpreter Coercion Query Functions
          (AND |p|
               (PROGN
                 (SPADLET |ISTMP#1| (ASSQ (CAR |t2|) (CDR |p|)))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (EQ (QCAR |ISTMP#2|) '|commute|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)))))))))))))
 
 ;newCanCoerceCommute(t1,t2) ==
@@ -2110,7 +2110,7 @@ Interpreter Coercion Query Functions
                                                  (SEQ
                                                   (EXIT
                                                    (COND
-                                                     ((AND (PAIRP |x|)
+                                                     ((AND (CONSP |x|)
                                                        (PROGN
                                                          (SPADLET |sig|
                                                           (QCAR |x|))
@@ -2127,7 +2127,7 @@ Interpreter Coercion Query Functions
                                                            |ISTMP#1|
                                                            (CAR |sig|))
                                                           (AND
-                                                           (PAIRP
+                                                           (CONSP
                                                             |ISTMP#1|)
                                                            (EQ
                                                             (QCAR
@@ -2379,14 +2379,14 @@ Interpreter Coercion Query Functions
           ((BOOT-EQUAL |t2| '|$NoValueMode|) (|objNew| |val| |t2|))
           ('T
            (COND
-             ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|SubDomain|)
+             ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|SubDomain|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t2|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |x| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL))))))
               (SPADLET |t2| |x|)))
            (COND
@@ -2410,11 +2410,11 @@ Interpreter Coercion Query Functions
                        (COND
                          ((AND |expr2| (BOOT-EQUAL |t1| |val|))
                           (|objNew| |val| |$OutputForm|))
-                         ((AND |expr2| (PAIRP |t1|)
+                         ((AND |expr2| (CONSP |t1|)
                                (EQ (QCAR |t1|) '|Variable|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCDR |t1|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |var|
@@ -2478,7 +2478,7 @@ Interpreter Coercion Query Functions
                 ((BOOT-EQUAL |s1| |s2|) (RETURN (|objNew| |val| |t2|))))))
            (COND
              ((AND (NULL (|isWrapped| |val|))
-                   (OR (NULL (AND (PAIRP |t1|)
+                   (OR (NULL (AND (CONSP |t1|)
                                   (EQ (QCAR |t1|) '|FunctionCalled|)))
                        (NULL |$genValue|)))
               (|intCodeGenCOERCE| |triple| |t2|))
@@ -2519,7 +2519,7 @@ Interpreter Coercion Query Functions
         ((SPADLET |val| (|coerceInt1| |triple| |t2|)) |val|)
         ('T (SPADLET |t1| (|objMode| |triple|))
          (COND
-           ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Variable|))
+           ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Variable|))
             (SPADLET |newMode|
                      (|getMinimalVarMode|
                          (|unwrap| (|objVal| |triple|)) NIL))
@@ -2616,7 +2616,7 @@ Interpreter Coercion Query Functions
 ;      (triple' := coerceInt(triple,t3)) => coerceInt(triple',t2)
 ;      NIL
 ;    NIL
-;  EQ(CAR(t1),'Variable) and PAIRP(t2) and
+;  EQ(CAR(t1),'Variable) and CONSP(t2) and
 ;    (isEqualOrSubDomain(t2,$Integer) or
 ;      (t2 = [$QuotientField, $Integer]) or MEMQ(CAR(t2),
 ;        '(RationalNumber BigFloat NewFloat Float DoubleFloat))) => NIL
@@ -2698,28 +2698,28 @@ Interpreter Coercion Query Functions
                                         (|objNewWrap| |val'| |t1'|)
                                         |t2|)))
                          |ans|)
-                        ((OR (AND (PAIRP |t1|)
+                        ((OR (AND (CONSP |t1|)
                                   (EQ (QCAR |t1|) '|Variable|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |t1|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (EQUAL (QCAR |ISTMP#1|) |t2|))))
-                             (AND (PAIRP |t2|)
+                             (AND (CONSP |t2|)
                                   (EQ (QCAR |t2|) '|Variable|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |t2|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (EQUAL (QCAR |ISTMP#1|) |t1|)))))
                          (|objNew| |val| |t2|))
                         ((STRINGP |t2|)
                          (COND
-                           ((AND (PAIRP |t1|)
+                           ((AND (CONSP |t1|)
                                  (EQ (QCAR |t1|) '|Variable|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t1|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |v| (QCAR |ISTMP#1|))
@@ -2733,10 +2733,10 @@ Interpreter Coercion Query Functions
                                      (BOOT-EQUAL |t1| |$String|)))
                                (|objNew| |val| |t2|))
                               ('T NIL)))))
-                        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Tuple|)
+                        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Tuple|)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET S (QCAR |ISTMP#1|))
@@ -2746,18 +2746,18 @@ Interpreter Coercion Query Functions
                                  (|asTupleAsList| (|unwrap| |val|))
                                  (CONS '|List| (CONS S NIL)))
                              |t2|))
-                        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Union|))
+                        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Union|))
                          (|coerceIntFromUnion| |triple| |t2|))
-                        ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Union|))
+                        ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Union|))
                          (|coerceInt2Union| |triple| |t2|))
                         ((AND (STRINGP |t1|)
                               (BOOT-EQUAL |t2| |$String|))
                          (|objNew| |val| |$String|))
-                        ((AND (STRINGP |t1|) (PAIRP |t2|)
+                        ((AND (STRINGP |t1|) (CONSP |t2|)
                               (EQ (QCAR |t2|) '|Variable|)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR |t2|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |v| (QCAR |ISTMP#1|))
@@ -2776,11 +2776,11 @@ Interpreter Coercion Query Functions
                         ('T
                          (COND
                            ((AND (BOOT-EQUAL |t1| |$AnonymousFunction|)
-                                 (PAIRP |t2|)
+                                 (CONSP |t2|)
                                  (EQ (QCAR |t2|) '|Mapping|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |target|
                                        (QCAR |ISTMP#1|))
@@ -2795,7 +2795,7 @@ Interpreter Coercion Query Functions
                                      (COND
                                        ((ATOM |vars|)
                                         (CONS |vars| NIL))
-                                       ((AND (PAIRP |vars|)
+                                       ((AND (CONSP |vars|)
                                          (EQ (QCAR |vars|) '|Tuple|))
                                         (CDR |vars|))
                                        ('T |vars|)))
@@ -2840,11 +2840,11 @@ Interpreter Coercion Query Functions
                                  ('T (RETURN (|getValue| |tree|))))))))
                          (COND
                            ((AND (BOOT-EQUAL |t1| |$Symbol|)
-                                 (PAIRP |t2|)
+                                 (CONSP |t2|)
                                  (EQ (QCAR |t2|) '|Mapping|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |target|
                                        (QCAR |ISTMP#1|))
@@ -2874,20 +2874,20 @@ Interpreter Coercion Query Functions
                                             (CDR (CAAR |mms|))
                                             (|evalDomain| |dc|)))
                                   (|objNew| |val| |t2|))))))
-                           ((AND (PAIRP |t1|)
+                           ((AND (CONSP |t1|)
                                  (EQ (QCAR |t1|) '|Variable|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t1|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |sym| (QCAR |ISTMP#1|))
                                       'T)))
-                                 (PAIRP |t2|)
+                                 (CONSP |t2|)
                                  (EQ (QCAR |t2|) '|Mapping|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |target|
                                        (QCAR |ISTMP#1|))
@@ -2913,7 +2913,7 @@ Interpreter Coercion Query Functions
                                  (COND
                                    ((NEQUAL |targ| |target|)
                                     (EXIT NIL))
-                                   ((AND (PAIRP |dc|)
+                                   ((AND (CONSP |dc|)
                                      (EQ (QCAR |dc|) '|_FreeFunction_|)
                                      (PROGN
                                        (SPADLET |freeFun| (QCDR |dc|))
@@ -2931,20 +2931,20 @@ Interpreter Coercion Query Functions
                                            (CDR (CAAR |mms|))
                                            (|evalDomain| |dc|)))
                                  (|objNew| |val| |t2|)))
-                           ((AND (PAIRP |t1|)
+                           ((AND (CONSP |t1|)
                                  (EQ (QCAR |t1|) '|FunctionCalled|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t1|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |sym| (QCAR |ISTMP#1|))
                                       'T)))
-                                 (PAIRP |t2|)
+                                 (CONSP |t2|)
                                  (EQ (QCAR |t2|) '|Mapping|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (PROGN
                                       (SPADLET |target|
                                        (QCAR |ISTMP#1|))
@@ -2989,14 +2989,14 @@ Interpreter Coercion Query Functions
                                                      (EXIT
                                                       (COND
                                                         ((AND
-                                                          (PAIRP |mm|)
+                                                          (CONSP |mm|)
                                                           (PROGN
                                                             (SPADLET
                                                              |ISTMP#1|
                                                              (QCAR
                                                               |mm|))
                                                             (AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |ISTMP#1|)
                                                              (PROGN
                                                                (SPADLET
@@ -3010,7 +3010,7 @@ Interpreter Coercion Query Functions
                                                              (QCDR
                                                               |mm|))
                                                             (AND
-                                                             (PAIRP
+                                                             (CONSP
                                                               |ISTMP#2|)
                                                              (PROGN
                                                                (SPADLET
@@ -3029,11 +3029,11 @@ Interpreter Coercion Query Functions
                                   (COND
                                     ((NULL |intName|) NIL)
                                     ('T (|objNewWrap| |intName| |t2|))))))))
-                           ((AND (PAIRP |t1|)
+                           ((AND (CONSP |t1|)
                                  (EQ (QCAR |t1|) '|FunctionCalled|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |t1|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |sym| (QCAR |ISTMP#1|))
@@ -3041,7 +3041,7 @@ Interpreter Coercion Query Functions
                             (COND
                               ((AND (SPADLET |t3|
                                      (|get| |sym| '|mode| |$e|))
-                                    (PAIRP |t3|)
+                                    (CONSP |t3|)
                                     (EQ (QCAR |t3|) '|Mapping|))
                                (COND
                                  ((SPADLET |triple'|
@@ -3050,7 +3050,7 @@ Interpreter Coercion Query Functions
                                  ('T NIL)))
                               ('T NIL)))
                            ((AND (EQ (CAR |t1|) '|Variable|)
-                                 (PAIRP |t2|)
+                                 (CONSP |t2|)
                                  (OR (|isEqualOrSubDomain| |t2|
                                       |$Integer|)
                                      (BOOT-EQUAL |t2|
@@ -3276,16 +3276,16 @@ Interpreter Coercion Query Functions
                     (NREVERSE0 G167639))
                  (SEQ (EXIT (SETQ G167639
                                   (CONS (COND
-                                          ((AND (PAIRP |dom|)
+                                          ((AND (CONSP |dom|)
                                             (EQ (QCAR |dom|) '|:|)
                                             (PROGN
                                               (SPADLET |ISTMP#1|
                                                (QCDR |dom|))
-                                              (AND (PAIRP |ISTMP#1|)
+                                              (AND (CONSP |ISTMP#1|)
                                                (PROGN
                                                  (SPADLET |ISTMP#2|
                                                   (QCDR |ISTMP#1|))
-                                                 (AND (PAIRP |ISTMP#2|)
+                                                 (AND (CONSP |ISTMP#2|)
                                                   (EQ (QCDR |ISTMP#2|)
                                                    NIL)
                                                   (PROGN
@@ -3302,17 +3302,17 @@ Interpreter Coercion Query Functions
 (DEFUN |isTaggedUnion| (|u|)
   (PROG (|tl| |ISTMP#1| |ISTMP#2| |ISTMP#3|)
     (RETURN
-      (AND (PAIRP |u|) (EQ (QCAR |u|) '|Union|)
+      (AND (CONSP |u|) (EQ (QCAR |u|) '|Union|)
            (PROGN (SPADLET |tl| (QCDR |u|)) 'T) |tl|
            (PROGN
              (SPADLET |ISTMP#1| (CAR |tl|))
-             (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
+             (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
                   (PROGN
                     (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                    (AND (PAIRP |ISTMP#2|)
+                    (AND (CONSP |ISTMP#2|)
                          (PROGN
                            (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                           (AND (PAIRP |ISTMP#3|)
+                           (AND (CONSP |ISTMP#3|)
                                 (EQ (QCDR |ISTMP#3|) NIL)))))))
            'T))))
 
@@ -3329,25 +3329,25 @@ Interpreter Coercion Query Functions
       (SEQ (PROGN
              (SPADLET |tags| NIL)
              (COND
-               ((OR (AND (PAIRP |u|) (EQ (QCAR |u|) '|Union|)
+               ((OR (AND (CONSP |u|) (EQ (QCAR |u|) '|Union|)
                          (PROGN (SPADLET |tl| (QCDR |u|)) 'T))
-                    (AND (PAIRP |u|) (EQ (QCAR |u|) '|Record|)
+                    (AND (CONSP |u|) (EQ (QCAR |u|) '|Record|)
                          (PROGN (SPADLET |tl| (QCDR |u|)) 'T)))
                 (DO ((G167701 |tl| (CDR G167701)) (|t| NIL))
                     ((OR (ATOM G167701)
                          (PROGN (SETQ |t| (CAR G167701)) NIL))
                      NIL)
                   (SEQ (EXIT (COND
-                               ((AND (PAIRP |t|) (EQ (QCAR |t|) '|:|)
+                               ((AND (CONSP |t|) (EQ (QCAR |t|) '|:|)
                                      (PROGN
                                        (SPADLET |ISTMP#1| (QCDR |t|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (PROGN
                                           (SPADLET |tag|
                                            (QCAR |ISTMP#1|))
                                           (SPADLET |ISTMP#2|
                                            (QCDR |ISTMP#1|))
-                                          (AND (PAIRP |ISTMP#2|)
+                                          (AND (CONSP |ISTMP#2|)
                                            (EQ (QCDR |ISTMP#2|) NIL))))))
                                 (SPADLET |tags| (CONS |tag| |tags|)))
                                ('T NIL)))))))
@@ -3403,14 +3403,14 @@ Interpreter Coercion Query Functions
                   (COND
                     ((NULL |targetType|)
                      (|keyedSystemError| 'S2IC0013 NIL))
-                    ((AND (PAIRP |predicate|)
+                    ((AND (CONSP |predicate|)
                           (EQ (QCAR |predicate|) 'EQCAR)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |predicate|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |p| (QCAR |ISTMP#2|))
@@ -3449,13 +3449,13 @@ Interpreter Coercion Query Functions
            (COND
              ((PROGN
                 (SPADLET |ISTMP#1| (ELT |predList| |p|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'EQCAR)
+                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'EQCAR)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |tag| (QCAR |ISTMP#3|))
@@ -3876,19 +3876,19 @@ Interpreter Coercion Query Functions
       (PROGN
         (SPADLET |t1| (|objMode| |triple|))
         (COND
-          ((AND (PAIRP |t2|)
+          ((AND (CONSP |t2|)
                 (EQ (QCAR |t2|) '|SimpleAlgebraicExtension|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |t2|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET R (QCAR |ISTMP#1|))
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET U (QCAR |ISTMP#2|))
                                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                (AND (PAIRP |ISTMP#3|)
+                                (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)))))))
                 (BOOT-EQUAL |t1| R))
            (COND
@@ -3924,14 +3924,14 @@ Interpreter Coercion Query Functions
            ((AND |p|
                  (PROGN
                    (SPADLET |ISTMP#1| (ASSQ (CAR |t2|) (CDR |p|)))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |tag| (QCAR |ISTMP#2|))
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |fun|
@@ -4007,7 +4007,7 @@ Interpreter Coercion Query Functions
            (SPADLET T$ (|underDomainOf| |target|))
            (COND
              ((BOOT-EQUAL |source| T$) NIL)
-             ((AND (PAIRP |source|)
+             ((AND (CONSP |source|)
                    (PROGN (SPADLET D (QCAR |source|)) 'T))
               (SPADLET |fun|
                        (OR (GETL D '|coerceCommute|)
@@ -4458,14 +4458,14 @@ Interpreter Coercion Query Functions
         (SPADLET |x| (|objVal| T$))
         (COND
           ((BOOT-EQUAL |x| '|$fromCoerceable$|) NIL)
-          ((AND (PAIRP |m2|) (EQ (QCAR |m2|) '|Union|)) NIL)
+          ((AND (CONSP |m2|) (EQ (QCAR |m2|) '|Union|)) NIL)
           ('T (SPADLET |m1| (|objMode| T$))
            (COND
-             ((AND (PAIRP |m2|) (EQ (QCAR |m2|) '|Boolean|)
-                   (PAIRP |m1|) (EQ (QCAR |m1|) '|Equation|)
+             ((AND (CONSP |m2|) (EQ (QCAR |m2|) '|Boolean|)
+                   (CONSP |m1|) (EQ (QCAR |m1|) '|Equation|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |m1|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |ud| (QCAR |ISTMP#1|)) 'T))))
               (SPADLET |dcVector| (|evalDomain| |ud|))
               (SPADLET |fun|
@@ -4483,15 +4483,15 @@ Interpreter Coercion Query Functions
                 ((|isWrapped| |x|) (SPADLET |x| (|unwrap| |x|))
                  (|mkObjWrap| (SPADCALL (CAR |x|) (CDR |x|) |fun|)
                      |m2|))
-                ((NULL (AND (PAIRP |x|) (EQ (QCAR |x|) 'SPADCALL)
+                ((NULL (AND (CONSP |x|) (EQ (QCAR |x|) 'SPADCALL)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |x|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |a| (QCAR |ISTMP#1|))
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (PROGN
                                         (SPADLET |b| (QCAR |ISTMP#2|))
                                         'T)))))))
@@ -4566,28 +4566,28 @@ Interpreter Coercion Query Functions
         (SPADLET |dc| (CAR |sig|))
         (SPADLET |tar| (CADR |sig|))
         (COND
-          ((AND (PAIRP |dc|) (EQ (QCAR |dc|) '|TypeEquivalence|)) NIL)
+          ((AND (CONSP |dc|) (EQ (QCAR |dc|) '|TypeEquivalence|)) NIL)
           ((BOOT-EQUAL |m| |tar|) 'T)
-          ((AND (PAIRP |tar|) (EQ (QCAR |tar|) '|Union|)
+          ((AND (CONSP |tar|) (EQ (QCAR |tar|) '|Union|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |tar|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |t| (QCAR |ISTMP#1|))
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (EQ (QCAR |ISTMP#2|) '|failed|))))))
            (BOOT-EQUAL |t| |m|))
           ('T
-           (AND (PAIRP |tar|) (EQ (QCAR |tar|) '|Union|)
+           (AND (CONSP |tar|) (EQ (QCAR |tar|) '|Union|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |tar|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (EQ (QCAR |ISTMP#1|) '|failed|)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (SPADLET |t| (QCAR |ISTMP#2|))
diff --git a/src/interp/i-coerfn.lisp.pamphlet b/src/interp/i-coerfn.lisp.pamphlet
index 86299e4..0682435 100755
--- a/src/interp/i-coerfn.lisp.pamphlet
+++ b/src/interp/i-coerfn.lisp.pamphlet
@@ -161,10 +161,10 @@ all these coercion functions have the following result:
                                   ('T T$)))
                        (|canCoerce| |t1| |t2|))))
                ((NULL |u|) (|domainZero| |target|))
-               ((AND (PAIRP |u|) (EQ (QCDR |u|) NIL)
+               ((AND (CONSP |u|) (EQ (QCDR |u|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |e| (QCAR |ISTMP#1|))
                               (SPADLET |c| (QCDR |ISTMP#1|))
@@ -909,10 +909,10 @@ all these coercion functions have the following result:
                ((BOOT-EQUAL |u| '|$fromCoerceable$|)
                 (SPADLET |t| (|canCoerce| S T$))
                 (COND ((NULL |t|) (|canCoerce| S |target|)) ('T |t|)))
-               ((AND (PAIRP S) (EQ (QCAR S) '|Polynomial|)
+               ((AND (CONSP S) (EQ (QCAR S) '|Polynomial|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR S))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQ (QCDR |ISTMP#1|) NIL))))
                 (SPADLET |mp|
                          (OR (|coerceInt| (|objNewWrap| |u| |source|)
@@ -1010,10 +1010,10 @@ all these coercion functions have the following result:
   (PROG (|ISTMP#1| |v| |termlist| |e| |c|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 1)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 1)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |v| (QCAR |ISTMP#1|))
                             (SPADLET |termlist| (QCDR |ISTMP#1|))
@@ -1123,7 +1123,7 @@ all these coercion functions have the following result:
                ((AND (NULL (CDR |u|))
                      (PROGN
                        (SPADLET |ISTMP#1| (CAR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |e| (QCAR |ISTMP#1|))
                               (SPADLET |c| (QCDR |ISTMP#1|))
@@ -1970,10 +1970,10 @@ all these coercion functions have the following result:
         (SPADLET S (CADR |source|))
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|)
-           (OR (AND (PAIRP T$) (EQ (QCAR T$) '|Complex|)
+           (OR (AND (CONSP T$) (EQ (QCAR T$) '|Complex|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR T$))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN (SPADLET T1 (QCAR |ISTMP#1|)) 'T)))
                     (|canCoerceFrom| S T1))
                (|coercionFailure|)))
@@ -2215,10 +2215,10 @@ all these coercion functions have the following result:
              (SPADLET D (CADR G167711))
              (COND
                ((BOOT-EQUAL |u| '|$fromCoerceable$|) NIL)
-               ((AND (PAIRP D) (EQ (QCAR D) '|List|)
+               ((AND (CONSP D) (EQ (QCAR D) '|List|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR D))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET E (QCAR |ISTMP#1|)) 'T)))
                      (|isRectangularList| |u| (|#| |u|)
                          (|#| (CAR |u|))))
@@ -2329,10 +2329,10 @@ all these coercion functions have the following result:
         (SPADLET D (CADR |source|))
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|) NIL)
-          ((AND (PAIRP D) (EQ (QCAR D) '|List|)
+          ((AND (CONSP D) (EQ (QCAR D) '|List|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR D))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET E (QCAR |ISTMP#1|)) 'T)))
                 (|isRectangularList| |u| |n| |m|))
            (L2M |u| |source| (CONS '|Matrix| (CONS R NIL))))
@@ -2353,10 +2353,10 @@ all these coercion functions have the following result:
         (SPADLET D (CADR |source|))
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|) NIL)
-          ((AND (PAIRP D) (EQ (QCAR D) '|List|)
+          ((AND (CONSP D) (EQ (QCAR D) '|List|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR D))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET E (QCAR |ISTMP#1|)) 'T)))
                 (|isRectangularList| |u| |n| |n|))
            (L2M |u| |source| (CONS '|Matrix| (CONS R NIL))))
@@ -2678,7 +2678,7 @@ all these coercion functions have the following result:
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|)
            (|canCoerce| |target'| |target|))
-          ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+          ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                 (PROGN (SPADLET |c| (QCDR |u|)) 'T))
            (COND
              ((NULL (SPADLET |u'|
@@ -2723,15 +2723,15 @@ all these coercion functions have the following result:
   (PROG (|ISTMP#1| |x| |terms| |e| |c| |e'| |t| |u'|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (COND
                 ((BOOT-EQUAL |c| |zero|) NIL)
                 ('T (CONS (CONS (LIST2VEC (|LZeros| |n|)) |c|) NIL))))
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 1)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 1)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |x| (QCAR |ISTMP#1|))
                             (SPADLET |terms| (QCDR |ISTMP#1|))
@@ -2833,10 +2833,10 @@ all these coercion functions have the following result:
                                     (CONS '|IndexedExponents|
                                      (CONS |ovl| NIL))
                                     (CONS R (CONS S NIL))))))
-                      ((AND (PAIRP R) (EQ (QCAR R) '|Fraction|)
+                      ((AND (CONSP R) (EQ (QCAR R) '|Fraction|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR R))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL)
                                    (PROGN
                                      (SPADLET D (QCAR |ISTMP#1|))
@@ -2923,7 +2923,7 @@ all these coercion functions have the following result:
              ('T
               (|canCoerce| (CONS |mp| (CONS |x'| (CONS S NIL)))
                   (CONS |mp| (CONS |y'| (CONS T$ NIL)))))))
-          ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+          ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                 (PROGN (SPADLET |c| (QCDR |u|)) 'T))
            (OR (SPADLET |u'|
                         (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -3010,7 +3010,7 @@ all these coercion functions have the following result:
     (DECLARE (SPECIAL |$Integer|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (OR (SPADLET |u'|
                            (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -3076,7 +3076,7 @@ all these coercion functions have the following result:
   (PROG (|u'| |var| |terms| |e| |c| |mon| |sum|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (OR (SPADLET |u'|
                            (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -3149,7 +3149,7 @@ all these coercion functions have the following result:
              (COND
                (|common|
                    (COND
-                     ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+                     ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                            (PROGN (SPADLET |c| (QCDR |u|)) 'T))
                       (OR (SPADLET |u'|
                                    (|coerceInt| (|objNewWrap| |c| S)
@@ -3207,7 +3207,7 @@ all these coercion functions have the following result:
                 (CONS 0
                       (|Mp2MpAux2| |u| |x| |oldcomm| |oldrest| |common|
                           |restvars| |univariate| S 'T)))
-               ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+               ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                      (PROGN (SPADLET |c| (QCDR |u|)) 'T))
                 |u|)
                ('T (SPADLET |LETTMP#1| |restvars|)
@@ -3315,10 +3315,10 @@ all these coercion functions have the following result:
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|)
            (|canCoerce| S |target|))
-          ((AND (PAIRP S) (EQ (QCAR S) '|Polynomial|)
+          ((AND (CONSP S) (EQ (QCAR S) '|Polynomial|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR S))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
            (|MpP2P| |u| |vl| S R))
           ('T (SPADLET |vl'| (REVERSE (MSORT |vl|)))
            (SPADLET |u'|
@@ -3352,7 +3352,7 @@ all these coercion functions have the following result:
       (SEQ (PROGN
              (SPADLET PR (CONS '|Polynomial| (CONS R NIL)))
              (COND
-               ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+               ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                      (PROGN (SPADLET |c| (QCDR |u|)) 'T))
                 (OR (SPADLET |u'|
                              (|coerceInt| (|objNewWrap| |c| PS) PR))
@@ -3445,7 +3445,7 @@ all these coercion functions have the following result:
                                 (CONS (|delete| |x| |vl|) (CONS S NIL)))
                           T$))))
                   ('T (|canCoerce| |source| T$))))
-               ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+               ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                      (PROGN (SPADLET |c| (QCDR |u|)) 'T))
                 (OR (SPADLET |u'|
                              (|coerceInt| (|objNewWrap| |c| S)
@@ -3655,10 +3655,10 @@ all these coercion functions have the following result:
   (PROG (|ISTMP#1| |v| |termlist| |e| |c|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 1)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 1)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |v| (QCAR |ISTMP#1|))
                             (SPADLET |termlist| (QCDR |ISTMP#1|))
@@ -3724,10 +3724,10 @@ all these coercion functions have the following result:
                                     (CONS '|IndexedExponents|
                                      (CONS |$Symbol| NIL))
                                     (CONS R (CONS S NIL))))))
-                      ((AND (PAIRP R) (EQ (QCAR R) '|Fraction|)
+                      ((AND (CONSP R) (EQ (QCAR R) '|Fraction|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR R))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL)
                                    (PROGN
                                      (SPADLET D (QCAR |ISTMP#1|))
@@ -3770,7 +3770,7 @@ all these coercion functions have the following result:
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|)
            (|canCoerce| |source| T$))
-          ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+          ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                 (PROGN (SPADLET |c| (QCDR |u|)) 'T))
            (OR (SPADLET |u'|
                         (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -3856,7 +3856,7 @@ all these coercion functions have the following result:
   (PROG (|LETTMP#1| |x| |sup| |ISTMP#1| |var| |e| |c| |u''| |u'|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (OR (SPADLET |u'|
                            (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -3878,7 +3878,7 @@ all these coercion functions have the following result:
                 ((AND (NULL (CDR |sup|))
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |sup|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQUAL (QCAR |ISTMP#1|) 0)
                              (PROGN (SPADLET |c| (QCDR |ISTMP#1|)) 'T))))
                  (|P2DmpAux| |c| |source| S |target| |varlist| |vars|
@@ -3963,7 +3963,7 @@ all these coercion functions have the following result:
   (PROG (|u'| |LETTMP#1| |x| |sup| |ISTMP#1| |e| |c| |terms|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (OR (SPADLET |u'|
                            (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -3983,7 +3983,7 @@ all these coercion functions have the following result:
                 ((AND (NULL (CDR |sup|))
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |sup|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQUAL (QCAR |ISTMP#1|) 0)
                              (PROGN (SPADLET |c| (QCDR |ISTMP#1|)) 'T))))
                  (|P2MpAux| |c| |source| S |target| |varlist| |vars| T$
@@ -4026,10 +4026,10 @@ all these coercion functions have the following result:
   (PROG (|ISTMP#1| |v| |termlist| |e| |c|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 1)
+             ((AND (CONSP |u|) (EQUAL (QCAR |u|) 1)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |v| (QCAR |ISTMP#1|))
                             (SPADLET |termlist| (QCDR |ISTMP#1|))
@@ -4090,7 +4090,7 @@ all these coercion functions have the following result:
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|)
            (|canCoerce| |source| T$))
-          ((AND (PAIRP |u|) (EQUAL (QCAR |u|) 0)
+          ((AND (CONSP |u|) (EQUAL (QCAR |u|) 0)
                 (PROGN (SPADLET |c| (QCDR |u|)) 'T))
            (OR (SPADLET |u'|
                         (|coerceInt| (|objNewWrap| |c| S) |target|))
@@ -4259,42 +4259,42 @@ all these coercion functions have the following result:
            (SPADLET |num'| (|objValUnwrap| |num'|))
            (COND
              ((|equalOne| |den| D) |num'|)
-             ((OR (AND (PAIRP |target|)
+             ((OR (AND (CONSP |target|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |target|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCDR |ISTMP#1|) NIL)
                               (PROGN
                                 (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQUAL (QCAR |ISTMP#2|)
                                       |$QuotientField|)
                                      (PROGN
                                        (SPADLET |ISTMP#3|
                                         (QCDR |ISTMP#2|))
-                                       (AND (PAIRP |ISTMP#3|)
+                                       (AND (CONSP |ISTMP#3|)
                                         (EQ (QCDR |ISTMP#3|) NIL)
                                         (PROGN
                                           (SPADLET T$ (QCAR |ISTMP#3|))
                                           'T))))))))
-                  (AND (PAIRP |target|)
+                  (AND (CONSP |target|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |target|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)
                                      (PROGN
                                        (SPADLET |ISTMP#3|
                                         (QCAR |ISTMP#2|))
-                                       (AND (PAIRP |ISTMP#3|)
+                                       (AND (CONSP |ISTMP#3|)
                                         (EQUAL (QCAR |ISTMP#3|)
                                          |$QuotientField|)
                                         (PROGN
                                           (SPADLET |ISTMP#4|
                                            (QCDR |ISTMP#3|))
-                                          (AND (PAIRP |ISTMP#4|)
+                                          (AND (CONSP |ISTMP#4|)
                                            (EQ (QCDR |ISTMP#4|) NIL)
                                            (PROGN
                                              (SPADLET T$
@@ -4608,10 +4608,10 @@ all these coercion functions have the following result:
              (COND
                ((BOOT-EQUAL |u| '|$fromCoerceable$|)
                 (|canCoerce| |source| T$))
-               ((AND (PAIRP S) (EQ (QCAR S) '|Polynomial|)
+               ((AND (CONSP S) (EQ (QCAR S) '|Polynomial|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR S))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET |S'| (QCAR |ISTMP#1|)) 'T))))
                 (COND
                   ((ATOM |vl|) (SPADLET |vl'| (CONS |vl| NIL)))
@@ -4979,10 +4979,10 @@ all these coercion functions have the following result:
                ((BOOT-EQUAL |u| '|$fromCoerceable$|)
                 (AND (|member| |var| |vl|) (|canCoerce| S |target|)))
                ((NULL |u|) (|domainZero| |target|))
-               ((AND (PAIRP |u|) (EQ (QCDR |u|) NIL)
+               ((AND (CONSP |u|) (EQ (QCDR |u|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |e| (QCAR |ISTMP#1|))
                               (SPADLET |c| (QCDR |ISTMP#1|))
@@ -5111,10 +5111,10 @@ all these coercion functions have the following result:
                ((BOOT-EQUAL |u| '|$fromCoerceable$|)
                 (|canCoerce| S |target|))
                ((NULL |u|) (|domainZero| |target|))
-               ((AND (PAIRP |u|) (EQ (QCDR |u|) NIL)
+               ((AND (CONSP |u|) (EQ (QCDR |u|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |e| (QCAR |ISTMP#1|))
                               (SPADLET |c| (QCDR |ISTMP#1|))
@@ -5280,7 +5280,7 @@ all these coercion functions have the following result:
                ((AND (NULL (CDR |u|))
                      (PROGN
                        (SPADLET |ISTMP#1| (CAR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |e| (QCAR |ISTMP#1|))
                               (SPADLET |c| (QCDR |ISTMP#1|))
@@ -5362,10 +5362,10 @@ all these coercion functions have the following result:
                ((BOOT-EQUAL |u| '|$fromCoerceable$|)
                 (|canCoerce| S |target|))
                ((NULL |u|) (|domainZero| |target|))
-               ((AND (PAIRP |u|) (EQ (QCDR |u|) NIL)
+               ((AND (CONSP |u|) (EQ (QCDR |u|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCAR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |e| (QCAR |ISTMP#1|))
                               (SPADLET |c| (QCDR |ISTMP#1|))
@@ -5500,10 +5500,10 @@ all these coercion functions have the following result:
              ((BOOT-EQUAL |v1| |v2|) (|canCoerce| S T$))
              ('T (|canCoerce| |source| T$))))
           ((NULL |u|) |u|)
-          ((AND (PAIRP |u|) (EQ (QCDR |u|) NIL)
+          ((AND (CONSP |u|) (EQ (QCDR |u|) NIL)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |u|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |e| (QCAR |ISTMP#1|))
                          (SPADLET |c| (QCDR |ISTMP#1|))
@@ -6010,12 +6010,12 @@ all these coercion functions have the following result:
              (COND
                ((BOOT-EQUAL |u| '|$fromCoerceable$|)
                 (COND
-                  ((AND (PAIRP D) (EQ (QCAR D) '|Vector|)) NIL)
+                  ((AND (CONSP D) (EQ (QCAR D) '|Vector|)) NIL)
                   ('T (|canCoerce| D R))))
-               ((AND (PAIRP D) (EQ (QCAR D) '|Vector|)
+               ((AND (CONSP D) (EQ (QCAR D) '|Vector|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR D))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET E (QCAR |ISTMP#1|)) 'T)))
                      (|isRectangularVector| |u| (MAXINDEX |u|)
                          (MAXINDEX (ELT |u| 0))))
@@ -6075,10 +6075,10 @@ all these coercion functions have the following result:
              (SPADLET D (CADR G170831))
              (COND
                ((BOOT-EQUAL |u| '|$fromCoerceable$|) NIL)
-               ((AND (PAIRP D)
+               ((AND (CONSP D)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR D))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN (SPADLET E (QCAR |ISTMP#1|)) 'T)))
                      (|isRectangularVector| |u| (SPADDIFFERENCE |n| 1)
                          (SPADDIFFERENCE |m| 1)))
@@ -6135,10 +6135,10 @@ all these coercion functions have the following result:
              (SPADLET D (CADR G170903))
              (COND
                ((BOOT-EQUAL |u| '|$fromCoerceable$|) NIL)
-               ((AND (PAIRP D)
+               ((AND (CONSP D)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR D))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN (SPADLET E (QCAR |ISTMP#1|)) 'T)))
                      (|isRectangularVector| |u| (SPADDIFFERENCE |n| 1)
                          (SPADDIFFERENCE |n| 1)))
@@ -6258,7 +6258,7 @@ all these coercion functions have the following result:
         (SPADLET S (CADR |source|))
         (COND
           ((BOOT-EQUAL |u| '|$fromCoerceable$|) (|canCoerce| S T$))
-          ((NULL (AND (PAIRP T$) (EQ (QCAR T$) '|Expression|)))
+          ((NULL (AND (CONSP T$) (EQ (QCAR T$) '|Expression|)))
            (|coercionFailure|))
           ('T (COND ((NEQUAL S '(|Float|)) (SPADLET S |$Integer|)))
            (SPADLET |obj| (|objNewWrap| |u| |source|))
@@ -6579,7 +6579,7 @@ all these coercion functions have the following result:
       (SEQ (COND
              ((BOOT-EQUAL |u| '|$fromCoerceable$|)
               (AND (|canCoerce| S |target|) (|canCoerce| T$ |target|)))
-             ((AND (PAIRP S) (EQ (QCAR S) '|SquareMatrix|))
+             ((AND (CONSP S) (EQ (QCAR S) '|SquareMatrix|))
               (COND
                 ((BOOT-EQUAL |source| |target|) |u|)
                 ('T (|coercionFailure|))))
diff --git a/src/interp/i-eval.lisp.pamphlet b/src/interp/i-eval.lisp.pamphlet
index 0e6e219..b58a92c 100644
--- a/src/interp/i-eval.lisp.pamphlet
+++ b/src/interp/i-eval.lisp.pamphlet
@@ -64,15 +64,15 @@
      ((QUOTE T)
       (SPADLET |$expandSegments| NIL)
       (COND
-       ((AND (PAIRP |form|)
+       ((AND (CONSP |form|)
              (EQ (QCAR |form|) (QUOTE |typeOf|))
              (PROGN
               (SPADLET |ISTMP#1| (QCDR |form|))
-              (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+              (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
         (SPADLET |form'| (|mkAtree| |form|))
         (|bottomUp| |form'|)
         (|objVal| (|getValue| |form'|)))
-       ((AND (PAIRP |form|)
+       ((AND (CONSP |form|)
              (PROGN
               (SPADLET |op| (QCAR |form|))
               (SPADLET |argl| (QCDR |form|))
@@ -80,7 +80,7 @@
         (COND
          ((BOOT-EQUAL |op| (QUOTE CATEGORY))
           (COND
-           ((AND (PAIRP |argl|)
+           ((AND (CONSP |argl|)
                  (PROGN
                   (SPADLET |x| (QCAR |argl|))
                   (SPADLET |sigs| (QCDR |argl|))
@@ -112,15 +112,15 @@
              (PROGN
               (SPADLET |ISTMP#1| (CAR |argl|))
               (AND
-               (PAIRP |ISTMP#1|)
+               (CONSP |ISTMP#1|)
                (PROGN
                 (SPADLET |x| (QCAR |ISTMP#1|))
                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                 (AND
-                 (PAIRP |ISTMP#2|)
+                 (CONSP |ISTMP#2|)
                  (PROGN
                   (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                  (AND (PAIRP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL)))))))
+                  (AND (CONSP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL)))))))
              (|member| |x| (QUOTE (|:| |Declare|))))
             (CONS |op|
              (PROG (#4=#:G166300)
@@ -354,42 +354,42 @@
                      (CONS |fun| (APPEND |form| (CONS NIL NIL))))))
                   ((QUOTE T)
                    (CONS (QUOTE SPADCALL) (APPEND |form| (CONS |fun| NIL))))))
-                ((AND (PAIRP |dc|)
+                ((AND (CONSP |dc|)
                       (EQ (QCAR |dc|) (QUOTE |_FreeFunction_|))
                       (PROGN (SPADLET |freeFun| (QCDR |dc|)) (QUOTE T)))
                  (CONS (QUOTE SPADCALL) (APPEND |form| (CONS |freeFun| NIL))))
-                ((AND (PAIRP |fun|)
+                ((AND (CONSP |fun|)
                       (EQ (QCAR |fun|) (QUOTE XLAM))
                       (PROGN
                        (SPADLET |ISTMP#1| (QCDR |fun|))
                        (AND
-                        (PAIRP |ISTMP#1|)
+                        (CONSP |ISTMP#1|)
                         (PROGN
                          (SPADLET |xargs| (QCAR |ISTMP#1|))
                          (SPADLET |xbody| (QCDR |ISTMP#1|))
                          (QUOTE T)))))
                  (SPADLET |rec| (CAR |form|))
                  (COND 
-                  ((AND (PAIRP |xbody|)
+                  ((AND (CONSP |xbody|)
                         (EQ (QCDR |xbody|) NIL)
                         (PROGN
                          (SPADLET |ISTMP#1| (QCAR |xbody|))
                          (AND
-                          (PAIRP |ISTMP#1|)
+                          (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) (QUOTE RECORDELT))
                           (PROGN
                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                            (AND
-                            (PAIRP |ISTMP#2|)
+                            (CONSP |ISTMP#2|)
                             (PROGN
                              (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                              (AND
-                              (PAIRP |ISTMP#3|)
+                              (CONSP |ISTMP#3|)
                               (PROGN
                                (SPADLET |ind| (QCAR |ISTMP#3|))
                                (SPADLET |ISTMP#4| (QCDR |ISTMP#3|))
                                (AND
-                                (PAIRP |ISTMP#4|)
+                                (CONSP |ISTMP#4|)
                                 (EQ (QCDR |ISTMP#4|) NIL)
                                 (PROGN
                                  (SPADLET |len| (QCAR |ISTMP#4|))
@@ -398,31 +398,31 @@
                     (CONS
                      (CAAR |xbody|)
                      (CONS |rec| (CONS |ind| (CONS |len| NIL))))))
-                  ((AND (PAIRP |xbody|)
+                  ((AND (CONSP |xbody|)
                         (EQ (QCDR |xbody|) NIL)
                         (PROGN
                          (SPADLET |ISTMP#1| (QCAR |xbody|))
                          (AND
-                          (PAIRP |ISTMP#1|)
+                          (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) (QUOTE SETRECORDELT))
                           (PROGN
                            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                            (AND
-                            (PAIRP |ISTMP#2|)
+                            (CONSP |ISTMP#2|)
                             (PROGN
                              (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                              (AND
-                              (PAIRP |ISTMP#3|)
+                              (CONSP |ISTMP#3|)
                               (PROGN
                                (SPADLET |ind| (QCAR |ISTMP#3|))
                                (SPADLET |ISTMP#4| (QCDR |ISTMP#3|))
                                (AND
-                                (PAIRP |ISTMP#4|)
+                                (CONSP |ISTMP#4|)
                                 (PROGN
                                  (SPADLET |len| (QCAR |ISTMP#4|))
                                  (SPADLET |ISTMP#5| (QCDR |ISTMP#4|))
                                  (AND
-                                  (PAIRP |ISTMP#5|)
+                                  (CONSP |ISTMP#5|)
                                   (EQ (QCDR |ISTMP#5|) NIL))))))))))))
                    (|optSETRECORDELT|
                     (CONS
@@ -430,21 +430,21 @@
                      (CONS |rec|
                       (CONS |ind| (CONS |len| (CONS (CADDR |form|) NIL)))))))
                   ((AND
-                    (PAIRP |xbody|)
+                    (CONSP |xbody|)
                     (EQ (QCDR |xbody|) NIL)
                     (PROGN
                      (SPADLET |ISTMP#1| (QCAR |xbody|))
                      (AND
-                      (PAIRP |ISTMP#1|)
+                      (CONSP |ISTMP#1|)
                       (EQ (QCAR |ISTMP#1|) (QUOTE RECORDCOPY))
                       (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                        (AND
-                        (PAIRP |ISTMP#2|)
+                        (CONSP |ISTMP#2|)
                         (PROGN
                          (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                          (AND
-                          (PAIRP |ISTMP#3|)
+                          (CONSP |ISTMP#3|)
                           (EQ (QCDR |ISTMP#3|) NIL)
                           (PROGN
                            (SPADLET |len| (QCAR |ISTMP#3|))
@@ -579,13 +579,13 @@
      (COND
       ((AND
         (SPADLET |m| (|getMode| |a|))
-        (PAIRP |m|)
+        (CONSP |m|)
         (EQ (QCAR |m|) (QUOTE |Mapping|))
         (PROGN (SPADLET |ml| (QCDR |m|)) (QUOTE T))
         (BOOT-EQUAL |m| |t|)
         (PROGN
          (SPADLET |ISTMP#1| (|objValUnwrap| |t'|))
-         (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE MAP)))))
+         (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE MAP)))))
        (|getMappingArgValue| |a| |t| |m|))
       ((QUOTE T)
        (SPADLET |t'| (|coerceOrRetract| |t'| |t|))
@@ -654,15 +654,15 @@
                (EXIT
                 (COND
                  ((AND
-                   (PAIRP |mm|)
+                   (CONSP |mm|)
                    (PROGN
                     (SPADLET |ISTMP#1| (QCAR |mm|))
                     (AND
-                     (PAIRP |ISTMP#1|)
+                     (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |ml1| (QCDR |ISTMP#1|)) (QUOTE T))))
                    (PROGN
                     (SPADLET |ISTMP#2| (QCDR |mm|))
-                    (AND (PAIRP |ISTMP#2|)
+                    (AND (CONSP |ISTMP#2|)
                          (PROGN
                           (SPADLET |oldName| (QCAR |ISTMP#2|))
                           (QUOTE T))))
@@ -684,16 +684,16 @@
            (SEQ
             (EXIT
              (COND
-              ((AND (PAIRP |mm|)
+              ((AND (CONSP |mm|)
                     (PROGN
                      (SPADLET |ISTMP#1| (QCAR |mm|))
                      (AND
-                      (PAIRP |ISTMP#1|)
+                      (CONSP |ISTMP#1|)
                       (PROGN (SPADLET |ml1| (QCDR |ISTMP#1|)) (QUOTE T))))
                     (PROGN
                      (SPADLET |ISTMP#2| (QCDR |mm|))
                      (AND
-                      (PAIRP |ISTMP#2|)
+                      (CONSP |ISTMP#2|)
                       (PROGN (SPADLET |oldName| (QCAR |ISTMP#2|)) (QUOTE T))))
                     (BOOT-EQUAL |ml| |ml1|))
                (SETQ #3# (OR #3# |mm|)))))))))
@@ -736,7 +736,7 @@
     (COND
      ((NULL |v|) NIL)
      ((NULL |cond|) |v|)
-     ((OR (AND (PAIRP |v|) (EQ (QCAR |v|) (QUOTE QUOTE))) (|getBasicMode| |v|))
+     ((OR (AND (CONSP |v|) (EQ (QCAR |v|) (QUOTE QUOTE))) (|getBasicMode| |v|))
       |v|)
      ((QUOTE T)
       (SPADLET |n| (|getUnnameIfCan| |arg|))
diff --git a/src/interp/i-funsel.lisp.pamphlet b/src/interp/i-funsel.lisp.pamphlet
index 6a7f8e3..2c8fc2c 100644
--- a/src/interp/i-funsel.lisp.pamphlet
+++ b/src/interp/i-funsel.lisp.pamphlet
@@ -217,7 +217,7 @@ isPartialMode m ==
              (COND
                ((AND (OR (AND (|isSharpVarWithNum| |n|) |opMode|)
                          (AND |val| |opMode|))
-                     (PAIRP |opMode|) (EQ (QCAR |opMode|) '|Mapping|)
+                     (CONSP |opMode|) (EQ (QCAR |opMode|) '|Mapping|)
                      (PROGN (setq |ta| (QCDR |opMode|)) t))
                 (setq |imp|
                          (COND
@@ -228,18 +228,18 @@ isPartialMode m ==
                       NIL))
                ((AND (OR (AND (|isSharpVarWithNum| |n|) |opMode|)
                          (AND |val| |opMode|))
-                     (PAIRP |opMode|) (EQ (QCAR |opMode|) '|Variable|)
+                     (CONSP |opMode|) (EQ (QCAR |opMode|) '|Variable|)
                      (PROGN
                        (setq |ISTMP#1| (QCDR |opMode|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (setq |f| (QCAR |ISTMP#1|)) t))))
                 (|emptyAtree| |op|) (SETELT |op| 0 |f|)
                 (|selectMms| |op| |args| |$declaredMode|))
-               ((AND (|isSharpVarWithNum| |n|) (PAIRP |opMode|)
+               ((AND (|isSharpVarWithNum| |n|) (CONSP |opMode|)
                      (EQ (QCAR |opMode|) '|FunctionCalled|)
                      (PROGN
                        (setq |ISTMP#1| (QCDR |opMode|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (setq |f| (QCAR |ISTMP#1|)) t))))
                 (SETELT |op| 0 |f|)
                 (|selectMms| |op| |args| |$declaredMode|))
@@ -451,7 +451,7 @@ isPartialMode m ==
 ;    if tar and not isPartialMode tar then
 ;      if xx := underDomainOf(tar) then a := cons(xx,a)
 ;    for x in args1 repeat
-;      PAIRP(x) and CAR(x) in '(List Vector Stream FiniteSet Array) =>
+;      CONSP(x) and CAR(x) in '(List Vector Stream FiniteSet Array) =>
 ;        xx := underDomainOf(x) => a := cons(xx,a)
 ;    -- now extend this list with those from the arguments to
 ;    -- any Unions, Mapping or Records
@@ -473,7 +473,7 @@ isPartialMode m ==
 ;        (xm := get(name,'mode,$e)) and not isPartialMode xm =>
 ;          a' := cons(xm,a')
 ;    a := append(a,REMDUP a')
-;    a := [x for x in a | PAIRP(x)]
+;    a := [x for x in a | CONSP(x)]
 ;    -- step 1. see if we have one without coercing
 ;    a' := a
 ;    while a repeat
@@ -523,12 +523,12 @@ isPartialMode m ==
                                (EQL 2 |nargs|)
                                (PROGN
                                  (setq |ISTMP#1| (CAR |args1|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCAR |ISTMP#1|) '|Variable|)
                                       (PROGN
                                         (setq |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (setq |fun|
@@ -560,13 +560,13 @@ isPartialMode m ==
                                (EQL 2 |nargs|)
                                (PROGN
                                  (setq |ISTMP#1| (CAR |args1|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCAR |ISTMP#1|)
                                        '|FunctionCalled|)
                                       (PROGN
                                         (setq |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (setq |fun|
@@ -643,7 +643,7 @@ isPartialMode m ==
                                     NIL)
                                  (SEQ (EXIT
                                        (COND
-                                         ((AND (PAIRP |x|)
+                                         ((AND (CONSP |x|)
                                            (|member| (CAR |x|)
                                             '(|List| |Vector| |Stream|
                                               |FiniteSet| |Array|)))
@@ -669,7 +669,7 @@ isPartialMode m ==
                                           '(|RationalRadicals|))
                                          (setq |a'|
                                           (CONS |$RationalNumber| |a'|)))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|Union|)
                                           (PROGN
                                             (setq |l| (QCDR |x|))
@@ -679,7 +679,7 @@ isPartialMode m ==
                                              (PROGN
                                                (setq |ISTMP#1|
                                                 (CAR |l|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCAR |ISTMP#1|)
                                                  '|:|))))
                                             (DO
@@ -706,14 +706,14 @@ isPartialMode m ==
                                             (setq |a'|
                                              (APPEND (REVERSE |l|)
                                               |a'|)))))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|Mapping|)
                                           (PROGN
                                             (setq |l| (QCDR |x|))
                                             t))
                                          (setq |a'|
                                           (APPEND (REVERSE |l|) |a'|)))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|Record|)
                                           (PROGN
                                             (setq |l| (QCDR |x|))
@@ -740,13 +740,13 @@ isPartialMode m ==
                                                      (CONS (CADDR |s|)
                                                       G166292))))))))
                                            |a'|)))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|)
                                            '|FunctionCalled|)
                                           (PROGN
                                             (setq |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCDR |ISTMP#1|) NIL)
                                              (PROGN
                                                (setq |name|
@@ -780,7 +780,7 @@ isPartialMode m ==
                                               (SEQ
                                                (EXIT
                                                 (COND
-                                                  ((PAIRP |x|)
+                                                  ((CONSP |x|)
                                                    (SETQ G166308
                                                     (CONS |x|
                                                      G166308))))))))))
@@ -827,17 +827,17 @@ isPartialMode m ==
  (let (tmp1)
  (declare (special |$Symbol|))
   (or 
-   (and (pairp arg)
+   (and (consp arg)
         (eq (qcar arg) '|Variable|)
         (progn
          (setq tmp1 (qcdr arg))
-         (and (pairp tmp1) (eq (qcdr tmp1) nil))))
+         (and (consp tmp1) (eq (qcdr tmp1) nil))))
    (boot-equal arg |$Symbol|)
-   (and (pairp arg)
+   (and (consp arg)
         (eq (qcar arg) '|OrderedVariableList|)
         (progn
           (setq tmp1 (qcdr arg))
-          (and (pairp tmp1) (eq (qcdr tmp1) nil)))))))
+          (and (consp tmp1) (eq (qcdr tmp1) nil)))))))
 
 ;defaultTarget(opNode,op,nargs,args) ==
 ;  -- this is for efficiency. Chooses standard targets for operations
@@ -1076,19 +1076,19 @@ isPartialMode m ==
                      (t (setq |a2| (CADR |args|))
                       (COND
                         ((AND (>= |nargs| 2) (BOOT-EQUAL |op| '|draw|)
-                              (PAIRP |a1|)
+                              (CONSP |a1|)
                               (EQ (QCAR |a1|) '|FunctionCalled|)
                               (PROGN
                                 (setq |ISTMP#1| (QCDR |a1|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (setq |sym| (QCAR |ISTMP#1|))
                                        t)))
-                              (PAIRP |a2|) (EQ (QCAR |a2|) '|Segment|)
+                              (CONSP |a2|) (EQ (QCAR |a2|) '|Segment|)
                               (PROGN
                                 (setq |ISTMP#1| (QCDR |a2|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL))))
                          (setq |symNode| (|mkAtreeNode| |sym|))
                          (|transferPropsToNode| |sym| |symNode|)
@@ -1096,12 +1096,12 @@ isPartialMode m ==
                            ((AND (>= |nargs| 3)
                                  (PROGN
                                    (setq |ISTMP#1| (CADDR |args|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCAR |ISTMP#1|) '|Segment|)
                                     (PROGN
                                       (setq |ISTMP#2|
                                        (QCDR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL))))))
                             (|selectLocalMms| |symNode| |sym|
                                 (CONS |$DoubleFloat|
@@ -1133,19 +1133,19 @@ isPartialMode m ==
                            (t |target|)))
                         ((AND (>= |nargs| 2)
                               (BOOT-EQUAL |op| '|makeObject|)
-                              (PAIRP |a1|)
+                              (CONSP |a1|)
                               (EQ (QCAR |a1|) '|FunctionCalled|)
                               (PROGN
                                 (setq |ISTMP#1| (QCDR |a1|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (setq |sym| (QCAR |ISTMP#1|))
                                        t)))
-                              (PAIRP |a2|) (EQ (QCAR |a2|) '|Segment|)
+                              (CONSP |a2|) (EQ (QCAR |a2|) '|Segment|)
                               (PROGN
                                 (setq |ISTMP#1| (QCDR |a2|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL))))
                          (setq |symNode| (|mkAtreeNode| |sym|))
                          (|transferPropsToNode| |sym| |symNode|)
@@ -1153,12 +1153,12 @@ isPartialMode m ==
                            ((AND (>= |nargs| 3)
                                  (PROGN
                                    (setq |ISTMP#1| (CADDR |args|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCAR |ISTMP#1|) '|Segment|)
                                     (PROGN
                                       (setq |ISTMP#2|
                                        (QCDR |ISTMP#1|))
-                                      (AND (PAIRP |ISTMP#2|)
+                                      (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL))))))
                             (|selectLocalMms| |symNode| |sym|
                                 (CONS |$DoubleFloat|
@@ -1175,54 +1175,54 @@ isPartialMode m ==
                             (COND
                               ((AND (BOOT-EQUAL |a1|
                                      '(|BasicOperator|))
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|List|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |ISTMP#2|
                                           (QCAR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCAR |ISTMP#2|)
                                            '|OrderedVariableList|)
                                           (PROGN
                                             (setq |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQ (QCDR |ISTMP#3|) NIL))))))))
                                (CONS '|Expression|
                                      (CONS |$Integer| NIL)))
                               (t |target|)))
                            ((BOOT-EQUAL |op| '|eval|)
                             (COND
-                              ((AND (PAIRP |a1|)
+                              ((AND (CONSP |a1|)
                                     (EQ (QCAR |a1|) '|Expression|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a1|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |b1|
                                           (QCAR |ISTMP#1|))
                                          t)))
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Equation|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |ISTMP#2|
                                           (QCAR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCAR |ISTMP#2|)
                                            '|Polynomial|)
                                           (PROGN
                                             (setq |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQ (QCDR |ISTMP#3|) NIL)
                                              (PROGN
                                                (setq |b2|
@@ -1245,17 +1245,17 @@ isPartialMode m ==
                                  (|target|
                                      (|putTarget| |opNode| |target|)))
                                |target|)
-                              ((AND (PAIRP |a1|)
+                              ((AND (CONSP |a1|)
                                     (EQ (QCAR |a1|) '|Equation|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a1|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)))
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Equation|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL))))
                                (setq |target|
                                         (|resolveTT| |a1| |a2|))
@@ -1266,27 +1266,27 @@ isPartialMode m ==
                                   (|putTarget| |opNode| |target|))
                                  (t (setq |target| NIL)))
                                |target|)
-                              ((AND (PAIRP |a1|)
+                              ((AND (CONSP |a1|)
                                     (EQ (QCAR |a1|) '|Equation|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a1|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)))
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|List|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |a2e|
                                           (QCAR |ISTMP#1|))
                                          t)))
-                                    (PAIRP |a2e|)
+                                    (CONSP |a2e|)
                                     (EQ (QCAR |a2e|) '|Equation|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2e|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL))))
                                (setq |target|
                                         (|resolveTT| |a1| |a2e|))
@@ -1297,32 +1297,32 @@ isPartialMode m ==
                                   (|putTarget| |opNode| |target|))
                                  (t (setq |target| NIL)))
                                |target|)
-                              ((OR (AND (PAIRP |a2|)
+                              ((OR (AND (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Equation|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |a2e|
                                           (QCAR |ISTMP#1|))
                                          t))))
-                                   (AND (PAIRP |a2|)
+                                   (AND (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|List|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |ISTMP#2|
                                           (QCAR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCAR |ISTMP#2|)
                                            '|Equation|)
                                           (PROGN
                                             (setq |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQ (QCDR |ISTMP#3|) NIL)
                                              (PROGN
                                                (setq |a2e|
@@ -1359,11 +1359,11 @@ isPartialMode m ==
                                |target|)
                               ((AND (BOOT-EQUAL |a1|
                                      '(|AlgebraicNumber|))
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Complex|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |a3|
@@ -1386,18 +1386,18 @@ isPartialMode m ==
                                |target|)
                               ((AND (BOOT-EQUAL |a2| |$RationalNumber|)
                                     (OR (|isAVariableType| |a1|)
-                                     (AND (PAIRP |a1|)
+                                     (AND (CONSP |a1|)
                                       (EQ (QCAR |a1|) '|Polynomial|)
                                       (PROGN
                                         (setq |ISTMP#1| (QCDR |a1|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL))))
-                                     (AND (PAIRP |a1|)
+                                     (AND (CONSP |a1|)
                                       (EQ (QCAR |a1|)
                                        '|RationalFunction|)
                                       (PROGN
                                         (setq |ISTMP#1| (QCDR |a1|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL))))))
                                (|putTarget| |opNode|
                                    (setq |target|
@@ -1418,11 +1418,11 @@ isPartialMode m ==
                                    (setq |target|
                                     (|defaultTargetFE| |a1|)))
                                |target|)
-                              ((AND (PAIRP |a2|)
+                              ((AND (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Polynomial|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq D (QCAR |ISTMP#1|))
@@ -1430,13 +1430,13 @@ isPartialMode m ==
                                (COND
                                  ((OR (BOOT-EQUAL |a1| |a2|)
                                       (|isAVariableType| |a1|)
-                                      (AND (PAIRP |a1|)
+                                      (AND (CONSP |a1|)
                                        (EQ (QCAR |a1|)
                                         '|RationalFunction|)
                                        (PROGN
                                          (setq |ISTMP#1|
                                           (QCDR |a1|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (setq D1
@@ -1444,13 +1444,13 @@ isPartialMode m ==
                                             t)))
                                        (BOOT-EQUAL D1 D))
                                       (BOOT-EQUAL |a1| D)
-                                      (AND (PAIRP |a1|)
+                                      (AND (CONSP |a1|)
                                        (EQUAL (QCAR |a1|)
                                         |$QuotientField|)
                                        (PROGN
                                          (setq |ISTMP#1|
                                           (QCDR |a1|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (setq D1
@@ -1462,12 +1462,12 @@ isPartialMode m ==
                                        (|defaultTargetFE| |a2|)))
                                   |target|)
                                  (t |target|)))
-                              ((AND (PAIRP |a2|)
+                              ((AND (CONSP |a2|)
                                     (EQ (QCAR |a2|)
                                      '|RationalFunction|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq D (QCAR |ISTMP#1|))
@@ -1475,13 +1475,13 @@ isPartialMode m ==
                                (COND
                                  ((OR (BOOT-EQUAL |a1| |a2|)
                                       (|isAVariableType| |a1|)
-                                      (AND (PAIRP |a1|)
+                                      (AND (CONSP |a1|)
                                        (EQ (QCAR |a1|)
                                         '|RationalFunction|)
                                        (PROGN
                                          (setq |ISTMP#1|
                                           (QCDR |a1|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (setq D1
@@ -1489,13 +1489,13 @@ isPartialMode m ==
                                             t)))
                                        (BOOT-EQUAL D1 D))
                                       (BOOT-EQUAL |a1| D)
-                                      (AND (PAIRP |a1|)
+                                      (AND (CONSP |a1|)
                                        (EQUAL (QCAR |a1|)
                                         |$QuotientField|)
                                        (PROGN
                                          (setq |ISTMP#1|
                                           (QCDR |a1|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (setq D1
@@ -1524,17 +1524,17 @@ isPartialMode m ==
                                             '(|Field|)))
                                   (|putTarget| |opNode| |target|)))
                                |target|)
-                              ((AND (PAIRP |a1|)
+                              ((AND (CONSP |a1|)
                                     (EQ (QCAR |a1|) '|Variable|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a1|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)))
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Variable|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL))))
                                (|putTarget| |opNode|
                                    (setq |target|
@@ -1542,30 +1542,30 @@ isPartialMode m ==
                                |target|)
                               ((AND (|isEqualOrSubDomain| |a1|
                                      |$Integer|)
-                                    (PAIRP |a2|)
+                                    (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Variable|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL))))
                                (|putTarget| |opNode|
                                    (setq |target|
                                     (|mkRationalFunction| '(|Integer|))))
                                |target|)
                               (t
-                               (AND (PAIRP |a1|)
+                               (AND (CONSP |a1|)
                                     (EQ (QCAR |a1|) '|Variable|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a1|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)))
                                     (COND
-                                      ((AND (PAIRP |a2|)
+                                      ((AND (CONSP |a2|)
                                         (EQ (QCAR |a2|) '|Polynomial|)
                                         (PROGN
                                           (setq |ISTMP#1|
                                            (QCDR |a2|))
-                                          (AND (PAIRP |ISTMP#1|)
+                                          (AND (CONSP |ISTMP#1|)
                                            (EQ (QCDR |ISTMP#1|) NIL)
                                            (PROGN
                                              (setq D
@@ -1576,19 +1576,19 @@ isPartialMode m ==
                                          (|mkRationalFunction| D)))
                                        |target|)
                                       (t |target|)))
-                               (AND (PAIRP |a2|)
+                               (AND (CONSP |a2|)
                                     (EQ (QCAR |a2|) '|Variable|)
                                     (PROGN
                                       (setq |ISTMP#1| (QCDR |a2|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)))
                                     (COND
-                                      ((AND (PAIRP |a1|)
+                                      ((AND (CONSP |a1|)
                                         (EQ (QCAR |a1|) '|Polynomial|)
                                         (PROGN
                                           (setq |ISTMP#1|
                                            (QCDR |a1|))
-                                          (AND (PAIRP |ISTMP#1|)
+                                          (AND (CONSP |ISTMP#1|)
                                            (EQ (QCDR |ISTMP#1|) NIL)
                                            (PROGN
                                              (setq D
@@ -1600,12 +1600,12 @@ isPartialMode m ==
                                        |target|)
                                       (t |target|)))
                                (COND
-                                 ((AND (PAIRP |a2|)
+                                 ((AND (CONSP |a2|)
                                        (EQ (QCAR |a2|) '|Polynomial|)
                                        (PROGN
                                          (setq |ISTMP#1|
                                           (QCDR |a2|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (setq D
@@ -1624,12 +1624,12 @@ isPartialMode m ==
                                    ((BOOT-EQUAL |op| '|eval|)
                                     (EXIT
                                      (COND
-                                       ((AND (PAIRP |a3|)
+                                       ((AND (CONSP |a3|)
                                          (EQ (QCAR |a3|) '|List|)
                                          (PROGN
                                            (setq |ISTMP#1|
                                             (QCDR |a3|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQ (QCDR |ISTMP#1|) NIL)
                                             (PROGN
                                               (setq |a3e|
@@ -1684,10 +1684,10 @@ isPartialMode m ==
                     |$RationalNumber|))
     (RETURN
       (COND
-        ((OR (AND (PAIRP |a|) (EQ (QCAR |a|) '|Variable|)
+        ((OR (AND (CONSP |a|) (EQ (QCAR |a|) '|Variable|)
                   (PROGN
                     (setq |ISTMP#1| (QCDR |a|))
-                    (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                    (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
              (BOOT-EQUAL |a| |$RationalNumber|)
              (member (QCAR |a|)
                    (CONS (QCAR |$Symbol|)
@@ -1700,24 +1700,24 @@ isPartialMode m ==
             (CONS |$FunctionalExpression|
                   (CONS (CONS '|Complex| (CONS |$Integer| NIL)) NIL)))
            (t (CONS |$FunctionalExpression| (CONS |$Integer| NIL)))))
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) '|Complex|)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) '|Complex|)
               (PROGN
                 (setq |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (setq |uD| (QCAR |ISTMP#1|)) t))))
          (|defaultTargetFE| |uD| t))
-        ((AND (PAIRP |a|)
+        ((AND (CONSP |a|)
               (PROGN
                 (setq D (QCAR |a|))
                 (setq |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (setq |uD| (QCAR |ISTMP#1|)) t)))
               (member D '(|Polynomial| |RationalFunction| |Fraction|)))
          (|defaultTargetFE| |uD| (IFCAR |options|)))
-        ((AND (PAIRP |a|) (EQUAL (QCAR |a|) |$FunctionalExpression|)
+        ((AND (CONSP |a|) (EQUAL (QCAR |a|) |$FunctionalExpression|)
               (PROGN
                 (setq |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
          |a|)
         ((IFCAR |options|)
          (CONS |$FunctionalExpression|
@@ -1749,11 +1749,11 @@ isPartialMode m ==
                            |$declaredMode|)))
      a)
    ((and 
-     (pairp type) 
+     (consp type) 
      (eq (qcar type) '|OrderedVariableList|)
      (progn
       (setq tmp1 (qcdr type))
-      (and (pairp tmp1) 
+      (and (consp tmp1) 
            (eq (qcdr tmp1) nil)
            (progn (setq vl (qcar tmp1)) t)))
      (integerp (setq val1 (|objValUnwrap| (|getValue| val))))
@@ -1821,31 +1821,31 @@ isPartialMode m ==
     (RETURN
       (SEQ (COND
              ((NULL |args|) NIL)
-             ((AND (BOOT-EQUAL |opname| '|coef|) (PAIRP |args|)
+             ((AND (BOOT-EQUAL |opname| '|coef|) (CONSP |args|)
                    (PROGN
                      (setq |b| (QCAR |args|))
                      (setq |ISTMP#1| (QCDR |args|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (setq |n| (QCAR |ISTMP#1|)) t))))
               (CONS (CAR (|getModeSet| |b|))
                     (CONS (CAR (|getModeSetUseSubdomain| |n|)) NIL)))
-             ((AND (BOOT-EQUAL |opname| '|monom|) (PAIRP |args|)
+             ((AND (BOOT-EQUAL |opname| '|monom|) (CONSP |args|)
                    (PROGN
                      (setq |d| (QCAR |args|))
                      (setq |ISTMP#1| (QCDR |args|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (setq |c| (QCAR |ISTMP#1|)) t))))
               (CONS (CAR (|getModeSetUseSubdomain| |d|))
                     (CONS (CAR (|getModeSet| |c|)) NIL)))
-             ((AND (BOOT-EQUAL |opname| '|monom|) (PAIRP |args|)
+             ((AND (BOOT-EQUAL |opname| '|monom|) (CONSP |args|)
                    (PROGN
                      (setq |v| (QCAR |args|))
                      (setq |ISTMP#1| (QCDR |args|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |d| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |c| (QCAR |ISTMP#2|))
@@ -1971,7 +1971,7 @@ isPartialMode m ==
 ;   MEMQ(QCAR cond,'(AND OR and or)) =>
 ;       or/[CONTAINEDisDomain(symbol, u) for u in QCDR cond]
 ;   EQ(QCAR cond,'isDomain) =>
-;       EQ(symbol,CADR cond) and PAIRP(dom:=CADDR cond) and
+;       EQ(symbol,CADR cond) and CONSP(dom:=CADDR cond) and
 ;         MEMQ(dom,'(PositiveInteger NonNegativeInteger))
 ;   false
 
@@ -1996,7 +1996,7 @@ isPartialMode m ==
                                        |u|)))))))))
              ((EQ (QCAR |cond|) '|isDomain|)
               (AND (EQ |symbol| (CADR |cond|))
-                   (PAIRP (setq |dom| (CADDR |cond|)))
+                   (CONSP (setq |dom| (CADDR |cond|)))
                    (member |dom|
                          '(|PositiveInteger| |NonNegativeInteger|))))
              (t NIL))))))
@@ -2040,7 +2040,7 @@ isPartialMode m ==
       (and obj
        (progn
         (setq tmp1 (|objVal| obj))
-                (and (pairp tmp1) 
+                (and (consp tmp1) 
                      (eq (qcar tmp1) 'map)
                      (progn (setq mapDef (qcdr tmp1)) t)))
        (|analyzeMap| op types mapDef tar)
@@ -2107,12 +2107,12 @@ isPartialMode m ==
                         NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((NULL (AND (PAIRP |dcSig|)
+                            ((NULL (AND (CONSP |dcSig|)
                                     (PROGN
                                       (setq |dc| (QCAR |dcSig|))
                                       (setq |ISTMP#1|
                                        (QCDR |dcSig|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (setq |result|
                                           (QCAR |ISTMP#1|))
@@ -2615,7 +2615,7 @@ the types A and B themselves are not sorted by preference.
 ;      $genValue =>
 ;         compiledLookupCheck(opName,sig,evalDomain dom)
 ;      NRTcompileEvalForm(opName, sig, evalDomain dom)
-;  NULL(fun) or NULL(PAIRP(fun)) => NIL
+;  NULL(fun) or NULL(CONSP(fun)) => NIL
 ;  CAR fun = function(Undef) => throwKeyedMsg("S2IS0023",[opName,dom])
 ;  binVal :=
 ;    $genValue => wrap fun
@@ -2655,7 +2655,7 @@ the types A and B themselves are not sorted by preference.
                        (|NRTcompileEvalForm| |opName| |sig|
                            (|evalDomain| |dom|)))))
            (COND
-             ((OR (NULL |fun|) (NULL (PAIRP |fun|))) NIL)
+             ((OR (NULL |fun|) (NULL (CONSP |fun|))) NIL)
              ((BOOT-EQUAL (CAR |fun|) (|function| |Undef|))
               (|throwKeyedMsg| 'S2IS0023
                   (CONS |opName| (CONS |dom| NIL))))
@@ -3065,9 +3065,9 @@ the types A and B themselves are not sorted by preference.
                                    (NULL
                                     (PROGN
                                       (setq |ISTMP#1| (CAR |sig|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCAR |ISTMP#1|) '|Union|))))
-                                   (PAIRP |slot|)
+                                   (CONSP |slot|)
                                    (PROGN
                                      (setq |tar| (QCAR |slot|))
                                      (setq |args| (QCDR |slot|))
@@ -3092,7 +3092,7 @@ the types A and B themselves are not sorted by preference.
                                    (CONS |osig|
                                     (CONS (NREVERSE $RTC) NIL)))
                              NIL))
-                      ((AND (PAIRP |y|) (EQ (QCAR |y|) 'XLAM))
+                      ((AND (CONSP |y|) (EQ (QCAR |y|) 'XLAM))
                        (CONS (CONS (CONS |dc| |sig|)
                                    (CONS |y|
                                     (CONS (NREVERSE $RTC) NIL)))
@@ -3116,7 +3116,7 @@ the types A and B themselves are not sorted by preference.
 ;  for [a,b,d] in funlist repeat
 ;    not EQ(a,op) => nil
 ;    d is ['XLAM,xargs,:.] =>
-;      if PAIRP(xargs) then maxargs := MAX(maxargs,#xargs)
+;      if CONSP(xargs) then maxargs := MAX(maxargs,#xargs)
 ;      else maxargs := MAX(maxargs,1)
 ;      impls := cons([b,nil,true,d],impls)
 ;    impls := cons([b,d,true,d],impls)
@@ -3171,16 +3171,16 @@ the types A and B themselves are not sorted by preference.
                      NIL)
                   (SEQ (EXIT (COND
                                ((NULL (EQ |a| |op|)) NIL)
-                               ((AND (PAIRP |d|) (EQ (QCAR |d|) 'XLAM)
+                               ((AND (CONSP |d|) (EQ (QCAR |d|) 'XLAM)
                                      (PROGN
                                        (setq |ISTMP#1| (QCDR |d|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (PROGN
                                           (setq |xargs|
                                            (QCAR |ISTMP#1|))
                                           t))))
                                 (COND
-                                  ((PAIRP |xargs|)
+                                  ((CONSP |xargs|)
                                    (setq |maxargs|
                                     (MAX |maxargs| (|#| |xargs|))))
                                   (t
@@ -3258,11 +3258,11 @@ the types A and B themselves are not sorted by preference.
              (setq |$domPvar| NIL)
              (OR (ATOM |cond|)
                  (COND
-                   ((OR (AND (PAIRP |cond|) (EQ (QCAR |cond|) 'AND)
+                   ((OR (AND (CONSP |cond|) (EQ (QCAR |cond|) 'AND)
                              (PROGN
                                (setq |conds| (QCDR |cond|))
                                t))
-                        (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|and|)
+                        (AND (CONSP |cond|) (EQ (QCAR |cond|) '|and|)
                              (PROGN
                                (setq |conds| (QCDR |cond|))
                                t)))
@@ -3280,11 +3280,11 @@ the types A and B themselves are not sorted by preference.
                           (SEQ (EXIT (SETQ G167622
                                       (AND G167622
                                        (|matchMmCond| |c|)))))))))
-                   ((OR (AND (PAIRP |cond|) (EQ (QCAR |cond|) 'OR)
+                   ((OR (AND (CONSP |cond|) (EQ (QCAR |cond|) 'OR)
                              (PROGN
                                (setq |conds| (QCDR |cond|))
                                t))
-                        (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|or|)
+                        (AND (CONSP |cond|) (EQ (QCAR |cond|) '|or|)
                              (PROGN
                                (setq |conds| (QCDR |cond|))
                                t)))
@@ -3302,23 +3302,23 @@ the types A and B themselves are not sorted by preference.
                           (SEQ (EXIT (SETQ G167636
                                       (OR G167636
                                        (|matchMmCond| |c|)))))))))
-                   ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|has|)
+                   ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|has|)
                          (PROGN
                            (setq |ISTMP#1| (QCDR |cond|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (setq |dom| (QCAR |ISTMP#1|))
                                   (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (setq |x| (QCAR |ISTMP#2|))
                                          t))))))
                     (NEQUAL (|hasCaty| |dom| |x| NIL) '|failed|))
-                   ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|not|)
+                   ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|not|)
                          (PROGN
                            (setq |ISTMP#1| (QCDR |cond|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (setq |cond1| (QCAR |ISTMP#1|))
@@ -3396,11 +3396,11 @@ the types A and B themselves are not sorted by preference.
                                (setq |a| (CDR |a|))
                                (setq |rtc| NIL)
                                (COND
-                                 ((AND (PAIRP |x|)
+                                 ((AND (CONSP |x|)
                                        (EQ (QCAR |x|) '|SubDomain|)
                                        (PROGN
                                          (setq |ISTMP#1| (QCDR |x|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (PROGN
                                             (setq |y|
                                              (QCAR |ISTMP#1|))
@@ -3411,12 +3411,12 @@ the types A and B themselves are not sorted by preference.
                                          (|isEqualOrSubDomain| |x1|
                                           |x|)
                                          (AND (STRINGP |x|)
-                                          (PAIRP |x1|)
+                                          (CONSP |x1|)
                                           (EQ (QCAR |x1|) '|Variable|)
                                           (PROGN
                                             (setq |ISTMP#1|
                                              (QCDR |x1|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCDR |ISTMP#1|) NIL)
                                              (PROGN
                                                (setq |v|
@@ -3431,7 +3431,7 @@ the types A and B themselves are not sorted by preference.
                                             (OR (BOOT-EQUAL |x2| |x|)
                                              (|canCoerceFrom| |x1| |x|)))
                                            (t
-                                            (AND (PAIRP |x1|)
+                                            (AND (CONSP |x1|)
                                              (EQ (QCAR |x1|)
                                               '|Variable|)
                                              (BOOT-EQUAL |x|
@@ -3463,14 +3463,14 @@ the types A and B themselves are not sorted by preference.
             ((|isEqualOrSubDomain| |t2| |t1|) t)
             (t
              (COND
-               ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Union|)
+               ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Union|)
                      (PROGN
                        (setq |ISTMP#1| (QCDR |t2|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (setq |a| (QCAR |ISTMP#1|))
                               (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (setq |b| (QCAR |ISTMP#2|))
@@ -3522,7 +3522,7 @@ the types A and B themselves are not sorted by preference.
 ;    isFreeFunctionFromMm(mm) => bad := cons(mm, bad)
 ;    type := getDomainFromMm mm
 ;    null type => bad := cons(mm,bad)
-;    if PAIRP type then type := first type
+;    if CONSP type then type := first type
 ;    GETDATABASE(type,'CONSTRUCTORKIND) = 'category => bad := cons(mm,bad)
 ;    name := object2String type
 ;    found := nil
@@ -3561,7 +3561,7 @@ the types A and B themselves are not sorted by preference.
                                 (setq |bad| (CONS |mm| |bad|)))
                                (t
                                 (COND
-                                  ((PAIRP |type|)
+                                  ((CONSP |type|)
                                    (setq |type| (CAR |type|))))
                                 (COND
                                   ((BOOT-EQUAL
@@ -3632,22 +3632,22 @@ the types A and B themselves are not sorted by preference.
     (RETURN
       (SEQ (PROGN
              (COND
-               ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|partial|)
+               ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|partial|)
                      (PROGN (SPADLET |c| (QCDR |cond|)) 'T))
                 (SPADLET |cond| |c|)))
              (SPADLET |condList|
                       (COND
-                        ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'AND)
+                        ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'AND)
                               (PROGN (SPADLET |cl| (QCDR |cond|)) 'T))
                          |cl|)
-                        ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'OR)
+                        ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'OR)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCDR |cond|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCAR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCAR |ISTMP#2|) 'AND)
                                         (PROGN
                                           (SPADLET |cl|
@@ -3663,7 +3663,7 @@ the types A and B themselves are not sorted by preference.
                       (NULL (NULL |iff|)))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |condition|)
+                            ((AND (CONSP |condition|)
                                   (EQ (QCAR |condition|)
                                       '|isFreeFunction|))
                              (SPADLET |iff| 'T))
@@ -3673,26 +3673,26 @@ the types A and B themselves are not sorted by preference.
 (defun |getDomainFromMm| (mm)
  (let (c cond condList val)
   (setq cond (cadr mm))
-  (when (and (pairp cond) (eq (qcar cond) '|partial|))
+  (when (and (consp cond) (eq (qcar cond) '|partial|))
     (setq cond (qcdr cond)))
   (setq condList
    (cond
-    ((and (pairp cond) (eq (qcar cond) 'and))
+    ((and (consp cond) (eq (qcar cond) 'and))
       (qcdr cond))
-    ((and (pairp cond) (eq (qcar cond) 'or)
-          (pairp (qcdr cond)) (pairp (qcar (qcdr cond)))
+    ((and (consp cond) (eq (qcar cond) 'or)
+          (consp (qcdr cond)) (consp (qcar (qcdr cond)))
           (eq (qcar (qcar (qcdr cond))) 'and))
       (qcdr (qcar (qcdr cond))))
     (t (list cond))))
   (setq val
    (dolist (condition condList)
     (when
-      (and (pairp condition) 
+      (and (consp condition) 
            (or (eq (qcar condition) '|isDomain|)
                (eq (qcar condition) '|ofCategory|))
-           (pairp (qcdr condition))
+           (consp (qcdr condition))
            (eq (qcar (qcdr condition)) '*1)
-           (pairp (qcdr (qcdr condition)))
+           (consp (qcdr (qcdr condition)))
            (eq (qcdr (qcdr (qcdr condition))) nil))
       (return (|opOf| (caddr condition))))))
    (cond
@@ -3702,7 +3702,7 @@ the types A and B themselves are not sorted by preference.
     (t val))))
 
 ;isTowerWithSubdomain(towerType,elem) ==
-;  not PAIRP towerType => NIL
+;  not CONSP towerType => NIL
 ;  dt := deconstructT towerType
 ;  2 ^= #dt => NIL
 ;  s := underDomainOf(towerType)
@@ -3710,7 +3710,7 @@ the types A and B themselves are not sorted by preference.
 
 (defun |isTowerWithSubdomain| (towerType elem)
  (let (dt s)
-  (when (pairp towerType)
+  (when (consp towerType)
     (setq dt (|deconstructT| towerType))
     (when (= (|#| dt) 2)
       (setq s (|underDomainOf| towerType))
@@ -3910,15 +3910,15 @@ the types A and B themselves are not sorted by preference.
                   ((AND (BOOT-EQUAL |op| '|map|) (EQL 2 (|#| |args1|))
                         (PROGN
                           (setq |ISTMP#1| (CAR |args1|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCAR |ISTMP#1|) '|Mapping|)
                                (PROGN
                                  (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                                 (AND (PAIRP |ISTMP#2|)
+                                 (AND (CONSP |ISTMP#2|)
                                       (PROGN
                                         (setq |ISTMP#3|
                                          (QCDR |ISTMP#2|))
-                                        (AND (PAIRP |ISTMP#3|)
+                                        (AND (CONSP |ISTMP#3|)
                                          (EQ (QCDR |ISTMP#3|) NIL)
                                          (PROGN
                                            (setq |elem|
@@ -4302,7 +4302,7 @@ the types A and B themselves are not sorted by preference.
   (PROG (|a| |mmD| |pvar| |cat| |args| |ISTMP#1| |pat| |ISTMP#2| |x|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) 'AND)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) 'AND)
                    (PROGN (setq |a| (QCDR |mmC|)) t))
               (CONS (PROG (G168213)
                       (setq G168213 NIL)
@@ -4318,7 +4318,7 @@ the types A and B themselves are not sorted by preference.
                                       (NCONC G168213
                                        (|evalMmStackInner| |cond|))))))))
                     NIL))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) 'OR)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) 'OR)
                    (PROGN (setq |args| (QCDR |mmC|)) t))
               (PROG (G168224)
                 (setq G168224 NIL)
@@ -4330,22 +4330,22 @@ the types A and B themselves are not sorted by preference.
                     (SEQ (EXIT (SETQ G168224
                                      (APPEND G168224
                                       (|evalMmStack| |a|)))))))))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|partial|)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|partial|)
                    (PROGN (setq |mmD| (QCDR |mmC|)) t))
               (|evalMmStack| |mmD|))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|ofCategory|)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|ofCategory|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |mmC|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |pvar| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |cat| (QCAR |ISTMP#2|))
                                    t)))))
-                   (PAIRP |cat|) (EQ (QCAR |cat|) '|Join|)
+                   (CONSP |cat|) (EQ (QCAR |cat|) '|Join|)
                    (PROGN (setq |args| (QCDR |cat|)) t))
               (|evalMmStack|
                   (CONS 'AND
@@ -4365,16 +4365,16 @@ the types A and B themselves are not sorted by preference.
                                       (CONS '|ofCategory|
                                        (CONS |pvar| (CONS |c| NIL)))
                                       G168239))))))))))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|ofType|))
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|ofType|))
               (CONS NIL NIL))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|has|)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|has|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |mmC|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |pat| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |x| (QCAR |ISTMP#2|))
@@ -4413,28 +4413,28 @@ the types A and B themselves are not sorted by preference.
   (PROG (|mmD| |pvar| |cat| |args| |ISTMP#1| |pat| |ISTMP#2| |x|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) 'OR)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) 'OR)
                    (PROGN (setq |args| (QCDR |mmC|)) t))
               (|keyedSystemError| 'S2GE0016
                   (CONS  "evalMmStackInner"
                         (CONS  "OR condition nested inside an AND"
                               NIL))))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|partial|)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|partial|)
                    (PROGN (setq |mmD| (QCDR |mmC|)) t))
               (|evalMmStackInner| |mmD|))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|ofCategory|)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|ofCategory|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |mmC|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |pvar| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |cat| (QCAR |ISTMP#2|))
                                    t)))))
-                   (PAIRP |cat|) (EQ (QCAR |cat|) '|Join|)
+                   (CONSP |cat|) (EQ (QCAR |cat|) '|Join|)
                    (PROGN (setq |args| (QCDR |cat|)) t))
               (PROG (G168306)
                 (setq G168306 NIL)
@@ -4448,18 +4448,18 @@ the types A and B themselves are not sorted by preference.
                                       (CONS '|ofCategory|
                                        (CONS |pvar| (CONS |c| NIL)))
                                       G168306))))))))
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|ofType|)) NIL)
-             ((AND (PAIRP |mmC|) (EQ (QCDR |mmC|) NIL)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|ofType|)) NIL)
+             ((AND (CONSP |mmC|) (EQ (QCDR |mmC|) NIL)
                    (EQ (QCAR |mmC|) '|isAsConstant|))
               NIL)
-             ((AND (PAIRP |mmC|) (EQ (QCAR |mmC|) '|has|)
+             ((AND (CONSP |mmC|) (EQ (QCAR |mmC|) '|has|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |mmC|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |pat| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |x| (QCAR |ISTMP#2|))
@@ -4554,7 +4554,7 @@ the types A and B themselves are not sorted by preference.
                                                   ((AND
                                                     (BOOT-EQUAL |t1|
                                                      |$AnonymousFunction|)
-                                                    (PAIRP |t|)
+                                                    (CONSP |t|)
                                                     (EQ (QCAR |t|)
                                                      '|Mapping|))
                                                    |t|)
@@ -4640,13 +4640,13 @@ the types A and B themselves are not sorted by preference.
     (RETURN
       (SEQ (COND
              ((ATOM |t|) |t|)
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|#|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|#|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (setq |l| (QCAR |ISTMP#1|)) t))))
               (|#| |l|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|construct|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|construct|)
                    (PROGN (setq |l| (QCDR |t|)) t))
               (EVAL (CONS 'LIST |l|)))
              (t
@@ -4674,7 +4674,7 @@ the types A and B themselves are not sorted by preference.
   (PROG (|con| |args|)
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (setq |con| (QCAR |t|))
                            (setq |args| (QCDR |t|))
@@ -4716,12 +4716,12 @@ the types A and B themselves are not sorted by preference.
                 |cs2|)
     (RETURN
       (SEQ (COND
-             ((OR (NULL (AND (PAIRP |t1|)
+             ((OR (NULL (AND (CONSP |t1|)
                              (PROGN
                                (setq |con1| (QCAR |t1|))
                                (setq |args1| (QCDR |t1|))
                                t)))
-                  (NULL (AND (PAIRP |t2|)
+                  (NULL (AND (CONSP |t2|)
                              (PROGN
                                (setq |con2| (QCAR |t2|))
                                (setq |args2| (QCDR |t2|))
@@ -4832,17 +4832,17 @@ the types A and B themselves are not sorted by preference.
     (RETURN
       (PROGN
         (COND
-          ((AND (PAIRP |arg1|) (EQ (QCAR |arg1|) '|#|)
+          ((AND (CONSP |arg1|) (EQ (QCAR |arg1|) '|#|)
                 (PROGN
                   (setq |ISTMP#1| (QCDR |arg1|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (setq |l| (QCAR |ISTMP#1|)) t))))
            (setq |arg1| (|#| |l|))))
         (COND
-          ((AND (PAIRP |arg2|) (EQ (QCAR |arg2|) '|#|)
+          ((AND (CONSP |arg2|) (EQ (QCAR |arg2|) '|#|)
                 (PROGN
                   (setq |ISTMP#1| (QCDR |arg2|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (setq |l| (QCAR |ISTMP#1|)) t))))
            (setq |arg2| (|#| |l|))))
         (COND
@@ -4882,16 +4882,16 @@ the types A and B themselves are not sorted by preference.
                       G168609)
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |mmC|)
+                            ((AND (CONSP |mmC|)
                                   (EQ (QCAR |mmC|) '|isDomain|)
                                   (PROGN
                                     (setq |ISTMP#1| (QCDR |mmC|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (setq |v| (QCAR |ISTMP#1|))
                                        (setq |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (setq |d|
@@ -4911,16 +4911,16 @@ the types A and B themselves are not sorted by preference.
                                   (t
                                    (setq SL
                                     (|augmentSub| |v| |d1| SL)))))))
-                            ((AND (PAIRP |mmC|)
+                            ((AND (CONSP |mmC|)
                                   (EQ (QCAR |mmC|) '|isFreeFunction|)
                                   (PROGN
                                     (setq |ISTMP#1| (QCDR |mmC|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (setq |v| (QCAR |ISTMP#1|))
                                        (setq |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (setq |fun|
@@ -5275,10 +5275,10 @@ the types A and B themselves are not sorted by preference.
   (declare (special |$Integer| |$QuotientField|))
     (RETURN
       (COND
-        ((AND (PAIRP |dom|) (EQ (QCAR |dom|) '|FactoredForm|)
+        ((AND (CONSP |dom|) (EQ (QCAR |dom|) '|FactoredForm|)
               (PROGN
                 (setq |ISTMP#1| (QCDR |dom|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (setq |arg| (QCAR |ISTMP#1|)) t))))
          (COND
            ((|isSubDomain| |arg| |$Integer|)
@@ -5297,10 +5297,10 @@ the types A and B themselves are not sorted by preference.
                   (|eqType| (CONS |$QuotientField| (CONS |dom| NIL))))
          (|hasCaty| |dom| '(|IntegralDomain|)
              (|augmentSub| |v| |d| SL)))
-        ((AND (PAIRP |cat|) (EQ (QCAR |cat|) '|PolynomialCategory|)
+        ((AND (CONSP |cat|) (EQ (QCAR |cat|) '|PolynomialCategory|)
               (PROGN
                 (setq |ISTMP#1| (QCDR |cat|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (setq |d| (QCAR |ISTMP#1|)) t))))
          (setq |dom'| (CONS '|Polynomial| (CONS |d| NIL)))
          (AND (OR (|containsVars| |d|) (|canCoerceFrom| |dom| |dom'|))
@@ -5474,31 +5474,31 @@ the types A and B themselves are not sorted by preference.
   (declare (special |$domPvar|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'CATEGORY)
+             ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'CATEGORY)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |cat|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (setq |y| (QCDR |ISTMP#1|)) t))))
               (|hasAttSig| |d| (|subCopy| |y| (|constructSubst| |d|))
                   SL))
-             ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'SIGNATURE)
+             ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'SIGNATURE)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |cat|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |foo| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |sig| (QCAR |ISTMP#2|))
                                    t))))))
               (|hasSig| |d| |foo|
                   (|subCopy| |sig| (|constructSubst| |d|)) SL))
-             ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'ATTRIBUTE)
+             ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'ATTRIBUTE)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |cat|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (setq |a| (QCAR |ISTMP#1|)) t))))
               (|hasAtt| |d| (|subCopy| |a| (|constructSubst| |d|)) SL))
              ((setq |x| (|hasCat| (|opOf| |d|) (|opOf| |cat|)))
@@ -5609,18 +5609,18 @@ the types A and B themselves are not sorted by preference.
                                        (setq |ncond|
                                         (|subCopy| |cond| S))
                                        (COND
-                                         ((AND (PAIRP |ncond|)
+                                         ((AND (CONSP |ncond|)
                                            (EQ (QCAR |ncond|) '|has|)
                                            (PROGN
                                              (setq |ISTMP#1|
                                               (QCDR |ncond|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (EQUAL (QCAR |ISTMP#1|)
                                                |d|)
                                               (PROGN
                                                 (setq |ISTMP#2|
                                                  (QCDR |ISTMP#1|))
-                                                (AND (PAIRP |ISTMP#2|)
+                                                (AND (CONSP |ISTMP#2|)
                                                  (EQ (QCDR |ISTMP#2|)
                                                   NIL)
                                                  (EQUAL
@@ -5635,14 +5635,14 @@ the types A and B themselves are not sorted by preference.
                  (setq |ncond|
                           (|subCopy| |x| (|constructSubst| |d|)))
                  (COND
-                   ((AND (PAIRP |ncond|) (EQ (QCAR |ncond|) '|has|)
+                   ((AND (CONSP |ncond|) (EQ (QCAR |ncond|) '|has|)
                          (PROGN
                            (setq |ISTMP#1| (QCDR |ncond|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQUAL (QCAR |ISTMP#1|) |d|)
                                 (PROGN
                                   (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (EQUAL (QCAR |ISTMP#2|) |cat|))))))
                     '|failed|)
@@ -5716,20 +5716,20 @@ the types A and B themselves are not sorted by preference.
       (SEQ (PROGN
              (setq |$domPvar| NIL)
              (COND
-               ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|has|)
+               ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|has|)
                      (PROGN
                        (setq |ISTMP#1| (QCDR |cond|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (setq |a| (QCAR |ISTMP#1|))
                               (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (setq |b| (QCAR |ISTMP#2|))
                                      t))))))
                 (|hasCate| |a| |b| SL))
-               ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'AND)
+               ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'AND)
                      (PROGN (setq |args| (QCDR |cond|)) t))
                 (DO ((G169191 |args| (CDR G169191)) (|x| NIL))
                     ((OR (ATOM G169191)
@@ -5738,18 +5738,18 @@ the types A and B themselves are not sorted by preference.
                      NIL)
                   (SEQ (EXIT (setq S
                                       (COND
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|has|)
                                           (PROGN
                                             (setq |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (PROGN
                                                (setq |a|
                                                 (QCAR |ISTMP#1|))
                                                (setq |ISTMP#2|
                                                 (QCDR |ISTMP#1|))
-                                               (AND (PAIRP |ISTMP#2|)
+                                               (AND (CONSP |ISTMP#2|)
                                                 (EQ (QCDR |ISTMP#2|)
                                                  NIL)
                                                 (PROGN
@@ -5757,25 +5757,25 @@ the types A and B themselves are not sorted by preference.
                                                    (QCAR |ISTMP#2|))
                                                   t))))))
                                          (|hasCate| |a| |b| SL))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCDR |x|) NIL)
                                           (PROGN
                                             (setq |ISTMP#1|
                                              (QCAR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCAR |ISTMP#1|)
                                               '|has|)
                                              (PROGN
                                                (setq |ISTMP#2|
                                                 (QCDR |ISTMP#1|))
-                                               (AND (PAIRP |ISTMP#2|)
+                                               (AND (CONSP |ISTMP#2|)
                                                 (PROGN
                                                   (setq |a|
                                                    (QCAR |ISTMP#2|))
                                                   (setq |ISTMP#3|
                                                    (QCDR |ISTMP#2|))
                                                   (AND
-                                                   (PAIRP |ISTMP#3|)
+                                                   (CONSP |ISTMP#3|)
                                                    (EQ (QCDR |ISTMP#3|)
                                                     NIL)
                                                    (PROGN
@@ -5785,7 +5785,7 @@ the types A and B themselves are not sorted by preference.
                                          (|hasCate| |a| |b| SL))
                                         (t (|hasCaty1| |x| SL)))))))
                 S)
-               ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'OR)
+               ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'OR)
                      (PROGN (setq |args| (QCDR |cond|)) t))
                 (DO ((G169218 |args| (CDR G169218)) (|x| NIL)
                      (G169219 NIL (NULL (BOOT-EQUAL S '|failed|))))
@@ -5795,18 +5795,18 @@ the types A and B themselves are not sorted by preference.
                      NIL)
                   (SEQ (EXIT (setq S
                                       (COND
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|has|)
                                           (PROGN
                                             (setq |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (PROGN
                                                (setq |a|
                                                 (QCAR |ISTMP#1|))
                                                (setq |ISTMP#2|
                                                 (QCDR |ISTMP#1|))
-                                               (AND (PAIRP |ISTMP#2|)
+                                               (AND (CONSP |ISTMP#2|)
                                                 (EQ (QCDR |ISTMP#2|)
                                                  NIL)
                                                 (PROGN
@@ -5814,25 +5814,25 @@ the types A and B themselves are not sorted by preference.
                                                    (QCAR |ISTMP#2|))
                                                   t))))))
                                          (|hasCate| |a| |b| (COPY SL)))
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCDR |x|) NIL)
                                           (PROGN
                                             (setq |ISTMP#1|
                                              (QCAR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCAR |ISTMP#1|)
                                               '|has|)
                                              (PROGN
                                                (setq |ISTMP#2|
                                                 (QCDR |ISTMP#1|))
-                                               (AND (PAIRP |ISTMP#2|)
+                                               (AND (CONSP |ISTMP#2|)
                                                 (PROGN
                                                   (setq |a|
                                                    (QCAR |ISTMP#2|))
                                                   (setq |ISTMP#3|
                                                    (QCDR |ISTMP#2|))
                                                   (AND
-                                                   (PAIRP |ISTMP#3|)
+                                                   (CONSP |ISTMP#3|)
                                                    (EQ (QCDR |ISTMP#3|)
                                                     NIL)
                                                    (PROGN
@@ -5869,28 +5869,28 @@ the types A and B themselves are not sorted by preference.
                   NIL)
                (SEQ (EXIT (setq SL
                                    (COND
-                                     ((AND (PAIRP |y|)
+                                     ((AND (CONSP |y|)
                                        (EQ (QCAR |y|) 'ATTRIBUTE)
                                        (PROGN
                                          (setq |ISTMP#1| (QCDR |y|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (setq |a|
                                              (QCAR |ISTMP#1|))
                                             t))))
                                       (|hasAtt| |d| |a| SL))
-                                     ((AND (PAIRP |y|)
+                                     ((AND (CONSP |y|)
                                        (EQ (QCAR |y|) 'SIGNATURE)
                                        (PROGN
                                          (setq |ISTMP#1| (QCDR |y|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (PROGN
                                             (setq |foo|
                                              (QCAR |ISTMP#1|))
                                             (setq |ISTMP#2|
                                              (QCDR |ISTMP#1|))
-                                            (AND (PAIRP |ISTMP#2|)
+                                            (AND (CONSP |ISTMP#2|)
                                              (EQ (QCDR |ISTMP#2|) NIL)
                                              (PROGN
                                                (setq |s|
@@ -5933,18 +5933,18 @@ the types A and B themselves are not sorted by preference.
                             (setq SA
                                      (COND
                                        ((ATOM |cls|) (COPY SL))
-                                       ((AND (PAIRP |cls|)
+                                       ((AND (CONSP |cls|)
                                          (EQ (QCAR |cls|) '|has|)
                                          (PROGN
                                            (setq |ISTMP#1|
                                             (QCDR |cls|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (setq |a|
                                                (QCAR |ISTMP#1|))
                                               (setq |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQ (QCDR |ISTMP#2|)
                                                 NIL)
                                                (PROGN
@@ -5996,18 +5996,18 @@ the types A and B themselves are not sorted by preference.
                             (setq SA
                                      (COND
                                        ((ATOM |cls|) (COPY SL))
-                                       ((AND (PAIRP |cls|)
+                                       ((AND (CONSP |cls|)
                                          (EQ (QCAR |cls|) '|has|)
                                          (PROGN
                                            (setq |ISTMP#1|
                                             (QCDR |cls|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (setq |a|
                                                (QCAR |ISTMP#1|))
                                               (setq |ISTMP#2|
                                                (QCDR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQ (QCDR |ISTMP#2|)
                                                 NIL)
                                                (PROGN
@@ -6017,13 +6017,13 @@ the types A and B themselves are not sorted by preference.
                                         (|hasCate| (|subCopy| |a| S0)
                                          (|subCopy| |b| S0) (COPY SL)))
                                        ((OR
-                                         (AND (PAIRP |cls|)
+                                         (AND (CONSP |cls|)
                                           (EQ (QCAR |cls|) 'AND)
                                           (PROGN
                                             (setq |andCls|
                                              (QCDR |cls|))
                                             t))
-                                         (AND (PAIRP |cls|)
+                                         (AND (CONSP |cls|)
                                           (EQ (QCAR |cls|) '|and|)
                                           (PROGN
                                             (setq |andCls|
@@ -6099,20 +6099,20 @@ the types A and B themselves are not sorted by preference.
                                   (setq S
                                            (COND
                                              ((ATOM |cond|) (COPY SL))
-                                             ((AND (PAIRP |cond|)
+                                             ((AND (CONSP |cond|)
                                                (EQ (QCAR |cond|)
                                                 '|has|)
                                                (PROGN
                                                  (setq |ISTMP#1|
                                                   (QCDR |cond|))
-                                                 (AND (PAIRP |ISTMP#1|)
+                                                 (AND (CONSP |ISTMP#1|)
                                                   (PROGN
                                                     (setq |a|
                                                      (QCAR |ISTMP#1|))
                                                     (setq |ISTMP#2|
                                                      (QCDR |ISTMP#1|))
                                                     (AND
-                                                     (PAIRP |ISTMP#2|)
+                                                     (CONSP |ISTMP#2|)
                                                      (EQ
                                                       (QCDR |ISTMP#2|)
                                                       NIL)
@@ -6126,13 +6126,13 @@ the types A and B themselves are not sorted by preference.
                                                (|subCopy| |b| S0)
                                                (COPY SL)))
                                              ((OR
-                                               (AND (PAIRP |cond|)
+                                               (AND (CONSP |cond|)
                                                 (EQ (QCAR |cond|) 'AND)
                                                 (PROGN
                                                   (setq |andCls|
                                                    (QCDR |cond|))
                                                   t))
-                                               (AND (PAIRP |cond|)
+                                               (AND (CONSP |cond|)
                                                 (EQ (QCAR |cond|)
                                                  '|and|)
                                                 (PROGN
@@ -6142,13 +6142,13 @@ the types A and B themselves are not sorted by preference.
                                               (|hasSigAnd| |andCls| S0
                                                SL))
                                              ((OR
-                                               (AND (PAIRP |cond|)
+                                               (AND (CONSP |cond|)
                                                 (EQ (QCAR |cond|) 'OR)
                                                 (PROGN
                                                   (setq |orCls|
                                                    (QCDR |cond|))
                                                   t))
-                                               (AND (PAIRP |cond|)
+                                               (AND (CONSP |cond|)
                                                 (EQ (QCAR |cond|)
                                                  '|or|)
                                                 (PROGN
@@ -6180,7 +6180,7 @@ the types A and B themselves are not sorted by preference.
 ;  $domPvar: local := nil
 ;  fun:= CAR dom =>
 ;    atts:= subCopy(GETDATABASE(fun,'ATTRIBUTES),constructSubst dom) =>
-;      PAIRP (u := getInfovec CAR dom) =>
+;      CONSP (u := getInfovec CAR dom) =>
 ;        --UGH! New world has attributes stored as pairs not as lists!!
 ;        for [x,:cond] in atts until not (S='failed) repeat
 ;          S:= unifyStruct(x,att,copy SL)
@@ -6206,7 +6206,7 @@ the types A and B themselves are not sorted by preference.
                             (|subCopy| (GETDATABASE |fun| 'ATTRIBUTES)
                                 (|constructSubst| |dom|)))
                    (COND
-                     ((PAIRP (setq |u| (|getInfovec| (CAR |dom|))))
+                     ((CONSP (setq |u| (|getInfovec| (CAR |dom|))))
                       (DO ((G169518 |atts| (CDR G169518))
                            (G169498 NIL)
                            (G169519 NIL
@@ -6278,7 +6278,7 @@ the types A and B themselves are not sorted by preference.
   (PROG (|y| |l| |ISTMP#1| |a| |ISTMP#2| |b|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'OR)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'OR)
                    (PROGN (setq |l| (QCDR |cond|)) t))
               (COND
                 ((PROG (G169577)
@@ -6296,7 +6296,7 @@ the types A and B themselves are not sorted by preference.
                                            (|hasCatExpression| |x| SL))
                                           '|failed|))))))))
                  (EXIT |y|))))
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'AND)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'AND)
                    (PROGN (setq |l| (QCDR |cond|)) t))
               (COND
                 ((PROG (G169591)
@@ -6314,14 +6314,14 @@ the types A and B themselves are not sorted by preference.
                                            (|hasCatExpression| |x| SL))
                                           '|failed|))))))))
                  (EXIT SL))))
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|has|)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|has|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |cond|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |a| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (setq |b| (QCAR |ISTMP#2|))
@@ -6360,25 +6360,25 @@ the types A and B themselves are not sorted by preference.
              ((BOOT-EQUAL |s1| |s2|) SL)
              (t
               (COND
-                ((AND (PAIRP |s1|) (EQ (QCAR |s1|) '|:|)
+                ((AND (CONSP |s1|) (EQ (QCAR |s1|) '|:|)
                       (PROGN
                         (setq |ISTMP#1| (QCDR |s1|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (setq |x| (QCAR |ISTMP#1|))
                                (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL))))))
                  (setq |s1| |x|)))
               (COND
-                ((AND (PAIRP |s2|) (EQ (QCAR |s2|) '|:|)
+                ((AND (CONSP |s2|) (EQ (QCAR |s2|) '|:|)
                       (PROGN
                         (setq |ISTMP#1| (QCDR |s2|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (setq |x| (QCAR |ISTMP#1|))
                                (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL))))))
                  (setq |s2| |x|)))
               (COND
@@ -6578,7 +6578,7 @@ the types A and B themselves are not sorted by preference.
                                    (CONS
                                      "      implemented: local function "
                                     (CONS |imp| NIL))))
-                              ((AND (PAIRP |imp|)
+                              ((AND (CONSP |imp|)
                                     (EQ (QCAR |imp|) 'XLAM))
                                (|sayMSG|
                                    (|concat|
@@ -6656,22 +6656,22 @@ the types A and B themselves are not sorted by preference.
     (RETURN
       (OR (BOOT-EQUAL |d1| |d2|) (|isSubDomain| |d1| |d2|)
           (AND (ATOM |d1|)
-               (OR (AND (PAIRP |d2|) (EQ (QCAR |d2|) '|Variable|)
+               (OR (AND (CONSP |d2|) (EQ (QCAR |d2|) '|Variable|)
                         (PROGN
                           (setq |ISTMP#1| (QCDR |d2|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (EQUAL (QCAR |ISTMP#1|) |d1|))))
-                   (AND (PAIRP |d2|) (EQ (QCDR |d2|) NIL)
+                   (AND (CONSP |d2|) (EQ (QCDR |d2|) NIL)
                         (EQUAL (QCAR |d2|) |d1|))))
           (AND (ATOM |d2|)
-               (OR (AND (PAIRP |d1|) (EQ (QCAR |d1|) '|Variable|)
+               (OR (AND (CONSP |d1|) (EQ (QCAR |d1|) '|Variable|)
                         (PROGN
                           (setq |ISTMP#1| (QCDR |d1|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCDR |ISTMP#1|) NIL)
                                (EQUAL (QCAR |ISTMP#1|) |d2|))))
-                   (AND (PAIRP |d1|) (EQ (QCDR |d1|) NIL)
+                   (AND (CONSP |d1|) (EQ (QCDR |d1|) NIL)
                         (EQUAL (QCAR |d1|) |d2|))))))))
 
 ;defaultTypeForCategory(cat, SL) ==
@@ -6715,7 +6715,7 @@ the types A and B themselves are not sorted by preference.
         (setq |d| (GETDATABASE |c| 'DEFAULTDOMAIN))
         (COND
           (|d| (CONS |d| (CDR |cat|)))
-          ((AND (PAIRP |cat|) (EQ (QCDR |cat|) NIL)
+          ((AND (CONSP |cat|) (EQ (QCDR |cat|) NIL)
                 (PROGN (setq |c| (QCAR |cat|)) t))
            (COND
              ((BOOT-EQUAL |c| '|Field|) |$RationalNumber|)
@@ -6727,11 +6727,11 @@ the types A and B themselves are not sorted by preference.
              ((BOOT-EQUAL |c| '|OrderedSet|) |$Symbol|)
              ((BOOT-EQUAL |c| '|FloatingPointSystem|) '(|Float|))
              (t NIL)))
-          ((AND (PAIRP |cat|)
+          ((AND (CONSP |cat|)
                 (PROGN
                   (setq |c| (QCAR |cat|))
                   (setq |ISTMP#1| (QCDR |cat|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (setq |p1| (QCAR |ISTMP#1|)) t))))
            (COND
              ((BOOT-EQUAL |c| '|FiniteLinearAggregate|)
@@ -6743,69 +6743,69 @@ the types A and B themselves are not sorted by preference.
              ((BOOT-EQUAL |c| '|SegmentCategory|)
               (CONS '|Segment| (CONS |p1| NIL)))
              (t NIL)))
-          ((AND (PAIRP |cat|)
+          ((AND (CONSP |cat|)
                 (PROGN
                   (setq |c| (QCAR |cat|))
                   (setq |ISTMP#1| (QCDR |cat|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (setq |p1| (QCAR |ISTMP#1|))
                          (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (setq |p2| (QCAR |ISTMP#2|))
                                 t))))))
            NIL)
-          ((AND (PAIRP |cat|)
+          ((AND (CONSP |cat|)
                 (PROGN
                   (setq |c| (QCAR |cat|))
                   (setq |ISTMP#1| (QCDR |cat|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (setq |p1| (QCAR |ISTMP#1|))
                          (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (PROGN
                                 (setq |p2| (QCAR |ISTMP#2|))
                                 (setq |ISTMP#3| (QCDR |ISTMP#2|))
-                                (AND (PAIRP |ISTMP#3|)
+                                (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (setq |p3| (QCAR |ISTMP#3|))
                                        t))))))))
            (COND
-             ((AND (PAIRP |cat|) (EQ (QCAR |cat|) '|MatrixCategory|)
+             ((AND (CONSP |cat|) (EQ (QCAR |cat|) '|MatrixCategory|)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |cat|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (setq |d| (QCAR |ISTMP#1|))
                             (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (setq |ISTMP#3| (QCAR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCAR |ISTMP#3|) '|Vector|)
                                     (PROGN
                                       (setq |ISTMP#4|
                                        (QCDR |ISTMP#3|))
-                                      (AND (PAIRP |ISTMP#4|)
+                                      (AND (CONSP |ISTMP#4|)
                                        (EQ (QCDR |ISTMP#4|) NIL)
                                        (EQUAL (QCAR |ISTMP#4|) |d|)))))
                                  (PROGN
                                    (setq |ISTMP#5| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#5|)
+                                   (AND (CONSP |ISTMP#5|)
                                     (EQ (QCDR |ISTMP#5|) NIL)
                                     (PROGN
                                       (setq |ISTMP#6|
                                        (QCAR |ISTMP#5|))
-                                      (AND (PAIRP |ISTMP#6|)
+                                      (AND (CONSP |ISTMP#6|)
                                        (EQ (QCAR |ISTMP#6|) '|Vector|)
                                        (PROGN
                                          (setq |ISTMP#7|
                                           (QCDR |ISTMP#6|))
-                                         (AND (PAIRP |ISTMP#7|)
+                                         (AND (CONSP |ISTMP#7|)
                                           (EQ (QCDR |ISTMP#7|) NIL)
                                         (EQUAL (QCAR |ISTMP#7|) |d|))))))))))))
               (CONS '|Matrix| (CONS |d| NIL)))
diff --git a/src/interp/i-intern.lisp.pamphlet b/src/interp/i-intern.lisp.pamphlet
index c276f4c..b854f66 100644
--- a/src/interp/i-intern.lisp.pamphlet
+++ b/src/interp/i-intern.lisp.pamphlet
@@ -171,25 +171,25 @@ we match the correct number of args
     (PROGN
      (COND
       ((AND
-        (NULL (AND (PAIRP |x|) (EQ (QCAR |x|) (QUOTE MDEF))))
+        (NULL (AND (CONSP |x|) (EQ (QCAR |x|) (QUOTE MDEF))))
         (NULL 
-         (AND (PAIRP |x|)
+         (AND (CONSP |x|)
               (EQ (QCAR |x|) (QUOTE DEF))
               (PROGN
                (SPADLET |ISTMP#1| (QCDR |x|))
                (AND
-                (PAIRP |ISTMP#1|)
+                (CONSP |ISTMP#1|)
                 (PROGN
                  (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
                  (AND
-                  (PAIRP |ISTMP#2|)
+                  (CONSP |ISTMP#2|)
                   (EQ (QCAR |ISTMP#2|) (QUOTE |macro|)))))))))
        (COND
         ((AND (ATOM |x|) (SPADLET |m| (|isInterpMacro| |x|)))
          (SPADLET |args| (CAR |m|))
          (SPADLET |body| (CDR |m|))
          (COND (|args| (QUOTE |doNothing|)) ((QUOTE T) (SPADLET |x| |body|))))
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                (SPADLET |op| (QCAR |x|))
                (SPADLET |argl| (QCDR |x|))
@@ -197,12 +197,12 @@ we match the correct number of args
          (COND
           ((BOOT-EQUAL |op| (QUOTE QUOTE)) (QUOTE |doNothing|))
           ((AND (BOOT-EQUAL |op| (QUOTE |where|))
-                (PAIRP |argl|)
+                (CONSP |argl|)
                 (PROGN
                  (SPADLET |before| (QCAR |argl|))
                  (SPADLET |ISTMP#1| (QCDR |argl|))
                  (AND
-                  (PAIRP |ISTMP#1|)
+                  (CONSP |ISTMP#1|)
                   (EQ (QCDR |ISTMP#1|) NIL)
                   (PROGN (SPADLET |after| (QCAR |ISTMP#1|)) (QUOTE T)))))
            (SPADLET |x|
@@ -294,7 +294,7 @@ we match the correct number of args
        (|putValue| |v| (|getBasicObject| |x|)) |v|)
       ((IDENTP |x|) (|mkAtreeNode| |x|))
       ((QUOTE T) (|keyedSystemError| (QUOTE S2II0002) (CONS |x| NIL)))))
-    ((AND (PAIRP |x|)
+    ((AND (CONSP |x|)
           (PROGN
            (SPADLET |op| (QCAR |x|))
            (SPADLET |argl| (QCDR |x|))
@@ -389,12 +389,12 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
             (INTEGERP (CAR |argl|)))
        (|mkAtree1| (MINUS (CAR |argl|))))
       ((AND (BOOT-EQUAL |op| (QUOTE |:|))
-            (PAIRP |argl|)
+            (CONSP |argl|)
             (PROGN
              (SPADLET |y| (QCAR |argl|))
              (SPADLET |ISTMP#1| (QCDR |argl|))
              (AND
-              (PAIRP |ISTMP#1|)
+              (CONSP |ISTMP#1|)
               (EQ (QCDR |ISTMP#1|) NIL)
               (PROGN (SPADLET |z| (QCAR |ISTMP#1|)) (QUOTE T)))))
        (CONS (|mkAtreeNode| (QUOTE |Declare|)) |argl|))
@@ -402,11 +402,11 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
        (CONS (|mkAtreeNode| |op|) (|transformCollect| |argl|)))
       ((BOOT-EQUAL |op| (QUOTE |break|))
        (COND
-        ((AND (PAIRP |argl|)
+        ((AND (CONSP |argl|)
               (PROGN
                (SPADLET |ISTMP#1| (QCDR |argl|))
                (AND
-                (PAIRP |ISTMP#1|)
+                (CONSP |ISTMP#1|)
                 (EQ (QCDR |ISTMP#1|) NIL)
                 (PROGN (SPADLET |val| (QCAR |ISTMP#1|)) (QUOTE T)))))
          (COND
@@ -419,7 +419,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
           (CONS (|mkAtree1| (QUOTE (|void|))) NIL)))))
       ((BOOT-EQUAL |op| (QUOTE |return|))
        (COND
-        ((AND (PAIRP |argl|)
+        ((AND (CONSP |argl|)
               (EQ (QCDR |argl|) NIL)
               (PROGN (SPADLET |val| (QCAR |argl|)) (QUOTE T)))
          (COND
@@ -434,7 +434,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
       ((BOOT-EQUAL |op| (QUOTE QUOTE)) (CONS (|mkAtreeNode| |op|) |argl|))
       ((BOOT-EQUAL |op| (QUOTE SEGMENT))
        (COND
-        ((AND (PAIRP |argl|)
+        ((AND (CONSP |argl|)
               (EQ (QCDR |argl|) NIL)
               (PROGN (SPADLET |a| (QCAR |argl|)) (QUOTE T)))
          (CONS (|mkAtreeNode| |op|) (CONS (|mkAtree1| |a|) NIL)))
@@ -454,38 +454,38 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
        (CONS
         (|mkAtreeNode| (QUOTE COERCE))
         (CONS (|mkAtree1| (CAR |argl|)) (CONS (CADR |argl|) NIL))))
-      ((AND (PAIRP |x|)
+      ((AND (CONSP |x|)
             (EQ (QCAR |x|) (QUOTE @))
             (PROGN
              (SPADLET |ISTMP#1| (QCDR |x|))
              (AND
-              (PAIRP |ISTMP#1|)
+              (CONSP |ISTMP#1|)
               (PROGN
                (SPADLET |expr| (QCAR |ISTMP#1|))
                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                (AND
-                (PAIRP |ISTMP#2|)
+                (CONSP |ISTMP#2|)
                 (EQ (QCDR |ISTMP#2|) NIL)
                 (PROGN (SPADLET |type| (QCAR |ISTMP#2|)) (QUOTE T)))))))
        (SPADLET |t| (|evaluateType| (|unabbrev| |type|)))
        (COND
         ((AND
           (BOOT-EQUAL |t| (QUOTE (|DoubleFloat|)))
-          (PAIRP |expr|)
+          (CONSP |expr|)
           (PROGN
            (SPADLET |ISTMP#1| (QCAR |expr|))
            (AND
-            (PAIRP |ISTMP#1|)
+            (CONSP |ISTMP#1|)
             (EQ (QCAR |ISTMP#1|) (QUOTE |$elt|))
             (PROGN
              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
              (AND
-              (PAIRP |ISTMP#2|)
+              (CONSP |ISTMP#2|)
               (EQUAL (QCAR |ISTMP#2|) (QUOTE (|Float|)))
               (PROGN
                (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                (AND
-                (PAIRP |ISTMP#3|)
+                (CONSP |ISTMP#3|)
                 (EQ (QCDR |ISTMP#3|) NIL)
                 (EQ (QCAR |ISTMP#3|) (QUOTE |float|))))))))
           (PROGN (SPADLET |args| (QCDR |expr|)) (QUOTE T)))
@@ -517,13 +517,13 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
        (CONS (|mkAtreeNode| |op|) (|transformREPEAT| |argl|)))
       ((AND
         (BOOT-EQUAL |op| (QUOTE LET))
-        (PAIRP |argl|)
+        (CONSP |argl|)
         (PROGN
          (SPADLET |ISTMP#1| (QCAR |argl|))
-         (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE |construct|))))
+         (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE |construct|))))
         (PROGN
          (SPADLET |ISTMP#2| (QCDR |argl|))
-         (AND (PAIRP |ISTMP#2|)
+         (AND (CONSP |ISTMP#2|)
               (EQ (QCDR |ISTMP#2|) NIL)
               (PROGN (SPADLET |rhs| (QCAR |ISTMP#2|)) (QUOTE T)))))
        (CONS
@@ -531,24 +531,24 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
         (CONS (CAR |argl|) (CONS (|mkAtree1| |rhs|) NIL))))
       ((AND
         (BOOT-EQUAL |op| (QUOTE LET))
-        (PAIRP |argl|)
+        (CONSP |argl|)
         (PROGN
          (SPADLET |ISTMP#1| (QCAR |argl|))
          (AND
-          (PAIRP |ISTMP#1|)
+          (CONSP |ISTMP#1|)
           (EQ (QCAR |ISTMP#1|) (QUOTE |:|))
           (PROGN
            (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
            (AND
-            (PAIRP |ISTMP#2|)
+            (CONSP |ISTMP#2|)
             (PROGN
              (SPADLET |a| (QCAR |ISTMP#2|))
              (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-             (AND (PAIRP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL)))))))
+             (AND (CONSP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL)))))))
         (PROGN
          (SPADLET |ISTMP#4| (QCDR |argl|))
          (AND
-          (PAIRP |ISTMP#4|)
+          (CONSP |ISTMP#4|)
           (EQ (QCDR |ISTMP#4|) NIL)
           (PROGN (SPADLET |rhs| (QCAR |ISTMP#4|)) (QUOTE T)))))
         (|mkAtree1|
@@ -557,17 +557,17 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
           (CONS
            (CAR |argl|)
            (CONS (CONS (QUOTE LET) (CONS |a| (CONS |rhs| NIL))) NIL)))))
-      ((AND (PAIRP |op|)
+      ((AND (CONSP |op|)
             (EQ (QCAR |op|) (QUOTE |$elt|))
             (PROGN
              (SPADLET |ISTMP#1| (QCDR |op|))
              (AND
-              (PAIRP |ISTMP#1|)
+              (CONSP |ISTMP#1|)
               (PROGN
                (SPADLET D (QCAR |ISTMP#1|))
                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                (AND
-                (PAIRP |ISTMP#2|)
+                (CONSP |ISTMP#2|)
                 (EQ (QCDR |ISTMP#2|) NIL)
                 (PROGN (SPADLET |op1| (QCAR |ISTMP#2|)) (QUOTE T)))))))
        (COND
@@ -589,12 +589,12 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
           (CONS D (CONS (|mkAtree1| (CONS |op1| |argl|)) NIL))))))
       ((BOOT-EQUAL |op| (QUOTE |$elt|))
        (COND
-        ((AND (PAIRP |argl|)
+        ((AND (CONSP |argl|)
               (PROGN
                (SPADLET D (QCAR |argl|))
                (SPADLET |ISTMP#1| (QCDR |argl|))
                (AND
-                (PAIRP |ISTMP#1|)
+                (CONSP |ISTMP#1|)
                 (EQ (QCDR |ISTMP#1|) NIL)
                 (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (QUOTE T)))))
          (COND
@@ -676,7 +676,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
 ;    r := mkAtreeValueOf r
 ;    v :=
 ;      null arg => VECTOR(NIL,NIL,NIL)
-;      PAIRP arg and rest arg and first arg^= "|" =>
+;      CONSP arg and rest arg and first arg^= "|" =>
 ;        collectDefTypesAndPreds ['Tuple,:arg]
 ;      null rest arg => collectDefTypesAndPreds first arg
 ;      collectDefTypesAndPreds arg
@@ -698,7 +698,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
 ;    a is [op,:arg] =>
 ;      v :=
 ;        null arg => VECTOR(NIL,NIL,NIL)
-;        PAIRP arg and rest arg and first arg^= "|" =>
+;        CONSP arg and rest arg and first arg^= "|" =>
 ;          collectDefTypesAndPreds ['Tuple,:arg]
 ;        null rest arg => collectDefTypesAndPreds first arg
 ;        collectDefTypesAndPreds arg
@@ -745,17 +745,17 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
    (SEQ
     (COND
      ((AND (BOOT-EQUAL |op| (QUOTE REDUCE))
-           (PAIRP |argl|)
+           (CONSP |argl|)
            (PROGN
             (SPADLET |op1| (QCAR |argl|))
             (SPADLET |ISTMP#1| (QCDR |argl|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |axis| (QCAR |ISTMP#1|))
               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (EQ (QCDR |ISTMP#2|) NIL)
                (PROGN (SPADLET |body| (QCAR |ISTMP#2|)) (QUOTE T)))))))
       (CONS
@@ -783,22 +783,22 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
                (NREVERSE0 #2#))
           (SEQ (EXIT (SETQ #2# (CONS (|mkAtree1| |arg|) #2#)))))))))
      ((AND (BOOT-EQUAL |op| (QUOTE |not|))
-           (PAIRP |argl|)
+           (CONSP |argl|)
            (EQ (QCDR |argl|) NIL)
            (PROGN
             (SPADLET |ISTMP#1| (QCAR |argl|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (EQ (QCAR |ISTMP#1|) (QUOTE =))
              (PROGN
               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (PROGN
                 (SPADLET |lhs| (QCAR |ISTMP#2|))
                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                 (AND
-                 (PAIRP |ISTMP#3|)
+                 (CONSP |ISTMP#3|)
                  (EQ (QCDR |ISTMP#3|) NIL)
                  (PROGN (SPADLET |rhs| (QCAR |ISTMP#3|)) (QUOTE T)))))))))
       (CONS
@@ -809,27 +809,27 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
          (CONS (|mkAtree1| |lhs|) (CONS (|mkAtree1| |rhs|) NIL)))
         NIL)))
      ((AND (BOOT-EQUAL |op| (QUOTE |in|))
-           (PAIRP |argl|)
+           (CONSP |argl|)
            (PROGN
             (SPADLET |var| (QCAR |argl|))
             (SPADLET |ISTMP#1| (QCDR |argl|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (EQ (QCDR |ISTMP#1|) NIL)
              (PROGN
               (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (EQ (QCAR |ISTMP#2|) (QUOTE SEGMENT))
                (PROGN
                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                 (AND
-                 (PAIRP |ISTMP#3|)
+                 (CONSP |ISTMP#3|)
                  (PROGN
                   (SPADLET |lb| (QCAR |ISTMP#3|))
                   (SPADLET |ISTMP#4| (QCDR |ISTMP#3|))
                   (AND
-                   (PAIRP |ISTMP#4|)
+                   (CONSP |ISTMP#4|)
                    (EQ (QCDR |ISTMP#4|) NIL)
                    (PROGN (SPADLET |ul| (QCAR |ISTMP#4|)) (QUOTE T)))))))))))
        (SPADLET |upTest|
@@ -842,22 +842,22 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
          (|ul| (CONS (QUOTE |and|) (CONS |lowTest| (CONS |upTest| NIL))))
          ((QUOTE T) |lowTest|)))
        (|mkAtree1| |z|))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE IF))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |p| (QCAR |ISTMP#1|))
               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (EQ (QCAR |ISTMP#2|) (QUOTE |noBranch|))
                (PROGN
                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                 (AND
-                 (PAIRP |ISTMP#3|)
+                 (CONSP |ISTMP#3|)
                  (EQ (QCDR |ISTMP#3|) NIL)
                  (PROGN (SPADLET |a| (QCAR |ISTMP#3|)) (QUOTE T)))))))))
       (|mkAtree1|
@@ -865,29 +865,29 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
         (CONS
          (CONS (QUOTE |not|) (CONS |p| NIL))
          (CONS |a| (CONS (QUOTE |noBranch|) NIL))))))
-     ((AND (PAIRP |x|) (EQ (QCAR |x|) (QUOTE RULEDEF)))
+     ((AND (CONSP |x|) (EQ (QCAR |x|) (QUOTE RULEDEF)))
       (CONS (|mkAtreeNode| (QUOTE RULEDEF)) (CDR |x|)))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE MDEF))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |sym| (QCAR |ISTMP#1|))
               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (PROGN
                 (SPADLET |junk1| (QCAR |ISTMP#2|))
                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                 (AND
-                 (PAIRP |ISTMP#3|)
+                 (CONSP |ISTMP#3|)
                  (PROGN
                   (SPADLET |junk2| (QCAR |ISTMP#3|))
                   (SPADLET |ISTMP#4| (QCDR |ISTMP#3|))
                   (AND
-                   (PAIRP |ISTMP#4|)
+                   (CONSP |ISTMP#4|)
                    (EQ (QCDR |ISTMP#4|) NIL)
                    (PROGN (SPADLET |val| (QCAR |ISTMP#4|)) (QUOTE T)))))))))))
       (|mkAtree1|
@@ -895,45 +895,45 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
         (CONS
          (CONS (QUOTE |macro|) (CONS |sym| NIL))
          (CONS |junk1| (CONS |junk2| (CONS |val| NIL)))))))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE ~=))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |a| (QCAR |ISTMP#1|))
               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (EQ (QCDR |ISTMP#2|) NIL)
                (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) (QUOTE T)))))))
       (|mkAtree1|
        (CONS (QUOTE |not|)
         (CONS (CONS (QUOTE =) (CONS |a| (CONS |b| NIL))) NIL))))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE +->))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
-            (AND (PAIRP |ISTMP#1|)
+            (AND (CONSP |ISTMP#1|)
                  (PROGN
                   (SPADLET |funargs| (QCAR |ISTMP#1|))
                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                   (AND
-                   (PAIRP |ISTMP#2|)
+                   (CONSP |ISTMP#2|)
                    (EQ (QCDR |ISTMP#2|) NIL)
                    (PROGN (SPADLET |funbody| (QCAR |ISTMP#2|)) (QUOTE T)))))))
        (COND
-        ((AND (PAIRP |funbody|)
+        ((AND (CONSP |funbody|)
               (EQ (QCAR |funbody|) (QUOTE |:|))
               (PROGN
                (SPADLET |ISTMP#1| (QCDR |funbody|))
-               (AND (PAIRP |ISTMP#1|)
+               (AND (CONSP |ISTMP#1|)
                     (PROGN
                      (SPADLET |body| (QCAR |ISTMP#1|))
                      (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                      (AND
-                      (PAIRP |ISTMP#2|)
+                      (CONSP |ISTMP#2|)
                       (EQ (QCDR |ISTMP#2|) NIL)
                       (PROGN (SPADLET |type| (QCAR |ISTMP#2|)) (QUOTE T)))))))
          (SPADLET |types| (CONS |type| NIL)) (SPADLET |funbody| |body|))
@@ -958,11 +958,11 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
          (CONS
           (COND ((ELT |v| 2) (ELT |v| 2)) ((QUOTE T) (QUOTE T)))
           (CONS NIL NIL)))))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE ADEF))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
-            (AND (PAIRP |ISTMP#1|)
+            (AND (CONSP |ISTMP#1|)
                  (PROGN
                   (SPADLET |arg| (QCAR |ISTMP#1|))
                   (SPADLET |r| (QCDR |ISTMP#1|))
@@ -971,7 +971,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
       (SPADLET |v|
        (COND
         ((NULL |arg|) (VECTOR NIL NIL NIL))
-        ((AND (PAIRP |arg|) (CDR |arg|) (NEQUAL (CAR |arg|) (QUOTE |\||)))
+        ((AND (CONSP |arg|) (CDR |arg|) (NEQUAL (CAR |arg|) (QUOTE |\||)))
          (|collectDefTypesAndPreds| (CONS (QUOTE |Tuple|) |arg|)))
         ((NULL (CDR |arg|)) (|collectDefTypesAndPreds| (CAR |arg|)))
         ((QUOTE T) (|collectDefTypesAndPreds| |arg|))))
@@ -999,67 +999,67 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
         (CONS
          (COND ((ELT |v| 2) (ELT |v| 2)) ((QUOTE T) (QUOTE T)))
          (CONS NIL NIL)))))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE |where|))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |before| (QCAR |ISTMP#1|))
               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (EQ (QCDR |ISTMP#2|) NIL)
                (PROGN (SPADLET |after| (QCAR |ISTMP#2|)) (QUOTE T)))))))
       (CONS
        (|mkAtreeNode| (QUOTE |where|))
        (CONS |before| (CONS (|mkAtree1| |after|) NIL))))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE DEF))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#2|)
+               (CONSP |ISTMP#2|)
                (EQ (QCAR |ISTMP#2|) (QUOTE |macro|))
                (PROGN
                 (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
                 (AND
-                 (PAIRP |ISTMP#3|)
+                 (CONSP |ISTMP#3|)
                  (EQ (QCDR |ISTMP#3|) NIL)
                  (PROGN (SPADLET |form| (QCAR |ISTMP#3|)) (QUOTE T))))))
              (PROGN
               (SPADLET |ISTMP#4| (QCDR |ISTMP#1|))
               (AND
-               (PAIRP |ISTMP#4|)
+               (CONSP |ISTMP#4|)
                (PROGN
                 (SPADLET |ISTMP#5| (QCDR |ISTMP#4|))
                 (AND
-                 (PAIRP |ISTMP#5|)
+                 (CONSP |ISTMP#5|)
                  (PROGN
                   (SPADLET |ISTMP#6| (QCDR |ISTMP#5|))
                   (AND
-                   (PAIRP |ISTMP#6|)
+                   (CONSP |ISTMP#6|)
                    (EQ (QCDR |ISTMP#6|) NIL)
                    (PROGN (SPADLET |body| (QCAR |ISTMP#6|)) (QUOTE T)))))))))))
       (CONS (|mkAtreeNode| (QUOTE MDEF)) (CONS |form| (CONS |body| NIL))))
-     ((AND (PAIRP |x|)
+     ((AND (CONSP |x|)
            (EQ (QCAR |x|) (QUOTE DEF))
            (PROGN
             (SPADLET |ISTMP#1| (QCDR |x|))
             (AND
-             (PAIRP |ISTMP#1|)
+             (CONSP |ISTMP#1|)
              (PROGN
               (SPADLET |a| (QCAR |ISTMP#1|))
               (SPADLET |r| (QCDR |ISTMP#1|))
               (QUOTE T)))))
       (SPADLET |r| (|mkAtreeValueOf| |r|))
       (COND
-       ((AND (PAIRP |a|)
+       ((AND (CONSP |a|)
              (PROGN
               (SPADLET |op| (QCAR |a|))
               (SPADLET |arg| (QCDR |a|))
@@ -1067,7 +1067,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
         (SPADLET |v|
          (COND
           ((NULL |arg|) (VECTOR NIL NIL NIL))
-          ((AND (PAIRP |arg|) (CDR |arg|) (NEQUAL (CAR |arg|) (QUOTE |\||)))
+          ((AND (CONSP |arg|) (CDR |arg|) (NEQUAL (CAR |arg|) (QUOTE |\||)))
            (|collectDefTypesAndPreds| (CONS (QUOTE |Tuple|) |arg|)))
           ((NULL (CDR |arg|)) (|collectDefTypesAndPreds| (CAR |arg|)))
           ((QUOTE T) (|collectDefTypesAndPreds| |arg|))))
@@ -1181,69 +1181,69 @@ a vector of three things:
        ((IDENTP |args|)
         (SPADLET |types| (CONS NIL NIL))
         (SPADLET |vars| (CONS |args| NIL)))
-       ((AND (PAIRP |args|)
+       ((AND (CONSP |args|)
              (EQ (QCAR |args|) (QUOTE |:|))
              (PROGN
               (SPADLET |ISTMP#1| (QCDR |args|))
               (AND
-               (PAIRP |ISTMP#1|)
+               (CONSP |ISTMP#1|)
                (PROGN
                 (SPADLET |var| (QCAR |ISTMP#1|))
                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                 (AND
-                 (PAIRP |ISTMP#2|)
+                 (CONSP |ISTMP#2|)
                  (EQ (QCDR |ISTMP#2|) NIL)
                  (PROGN (SPADLET |type| (QCAR |ISTMP#2|)) (QUOTE T)))))))
         (SPADLET |types| (CONS |type| NIL))
         (COND
-         ((AND (PAIRP |var|)
+         ((AND (CONSP |var|)
                (EQ (QCAR |var|) (QUOTE |\||))
                (PROGN
                 (SPADLET |ISTMP#1| (QCDR |var|))
                 (AND
-                 (PAIRP |ISTMP#1|)
+                 (CONSP |ISTMP#1|)
                  (PROGN
                   (SPADLET |var'| (QCAR |ISTMP#1|))
                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                   (AND
-                   (PAIRP |ISTMP#2|)
+                   (CONSP |ISTMP#2|)
                    (EQ (QCDR |ISTMP#2|) NIL)
                    (PROGN (SPADLET |p| (QCAR |ISTMP#2|)) (QUOTE T)))))))
           (SPADLET |vars| (CONS |var'| NIL))
           (SPADLET |pred| (|collectDefTypesAndPreds,addPred| |pred| |p|)))
          ((QUOTE T) (SPADLET |vars| (CONS |var| NIL)))))
-       ((AND (PAIRP |args|)
+       ((AND (CONSP |args|)
              (EQ (QCAR |args|) (QUOTE |\||))
              (PROGN
               (SPADLET |ISTMP#1| (QCDR |args|))
               (AND
-               (PAIRP |ISTMP#1|)
+               (CONSP |ISTMP#1|)
                (PROGN
                 (SPADLET |var| (QCAR |ISTMP#1|))
                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                 (AND
-                 (PAIRP |ISTMP#2|)
+                 (CONSP |ISTMP#2|)
                  (EQ (QCDR |ISTMP#2|) NIL)
                  (PROGN (SPADLET |p| (QCAR |ISTMP#2|)) (QUOTE T)))))))
         (SPADLET |pred| (|collectDefTypesAndPreds,addPred| |pred| |p|))
         (COND
-         ((AND (PAIRP |var|)
+         ((AND (CONSP |var|)
                (EQ (QCAR |var|) (QUOTE |:|))
                (PROGN
                 (SPADLET |ISTMP#1| (QCDR |var|))
                 (AND
-                 (PAIRP |ISTMP#1|)
+                 (CONSP |ISTMP#1|)
                  (PROGN
                   (SPADLET |var'| (QCAR |ISTMP#1|))
                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
                   (AND
-                   (PAIRP |ISTMP#2|)
+                   (CONSP |ISTMP#2|)
                    (EQ (QCDR |ISTMP#2|) NIL)
                    (PROGN (SPADLET |type| (QCAR |ISTMP#2|)) (QUOTE T)))))))
           (SPADLET |types| (CONS |type| NIL))
           (SPADLET |vars| (CONS |var'| NIL)))
-         ((OR (AND (PAIRP |var|) (EQ (QCAR |var|) (QUOTE |Tuple|)))
-              (AND (PAIRP |var|) (EQ (QCAR |var|) (QUOTE |\||))))
+         ((OR (AND (CONSP |var|) (EQ (QCAR |var|) (QUOTE |Tuple|)))
+              (AND (CONSP |var|) (EQ (QCAR |var|) (QUOTE |\||))))
           (SPADLET |v| (|collectDefTypesAndPreds| |var|))
           (SPADLET |vars| (APPEND |vars| (ELT |v| 0)))
           (SPADLET |types| (APPEND |types| (ELT |v| 1)))
@@ -1252,7 +1252,7 @@ a vector of three things:
          ((QUOTE T)
           (SPADLET |vars| (CONS |var| NIL))
           (SPADLET |types| (CONS NIL NIL)))))
-       ((AND (PAIRP |args|)
+       ((AND (CONSP |args|)
              (EQ (QCAR |args|) (QUOTE |Tuple|))
              (PROGN (SPADLET |args'| (QCDR |args|)) (QUOTE T)))
         (DO ((#0=#:G166967 |args'| (CDR #0#)) (|a| NIL))
@@ -1303,12 +1303,12 @@ a vector of three things:
     (COND
      ((OR (NULL |l|) (ATOM |l|) (NULL (CDR |l|))) |l|)
      ((AND
-       (PAIRP |l|)
+       (CONSP |l|)
        (EQ (QCAR |l|) (QUOTE |valueOf|))
        (PROGN
         (SPADLET |ISTMP#1| (QCDR |l|))
         (AND
-         (PAIRP |ISTMP#1|)
+         (CONSP |ISTMP#1|)
          (EQ (QCDR |ISTMP#1|) NIL)
          (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) (QUOTE T))))
        (IDENTP |u|))
@@ -1394,7 +1394,7 @@ Transforms from an atree back into a tree
       ((QUOTE T) (|objValUnwrap| (|getValue| |body|)))))
     ((ATOM |body|) |body|)
     ((AND
-      (PAIRP |body|)
+      (CONSP |body|)
       (PROGN
        (SPADLET |op| (QCAR |body|))
        (SPADLET |argl| (QCDR |body|))
@@ -1432,7 +1432,7 @@ Transforms from an atree back into a tree
  (PROG (|op| |n|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (COND ((VECP |op|) (|putAtree| |op| |prop| |val|))) |x|)
     ((NULL (VECP |x|)) |x|)
     ((SPADLET |n|
@@ -1459,7 +1459,7 @@ Transforms from an atree back into a tree
  (PROG (|op| |n|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (COND ((VECP |op|) (|getAtree| |op| |prop|)) ((QUOTE T) NIL)))
     ((NULL (VECP |x|)) NIL)
     ((SPADLET |n|
@@ -1582,7 +1582,7 @@ May be a number or a vector
  (PROG (|op| |m|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|getMode| |op|))
     ((VECP |x|) (ELT |x| 1))
     ((SPADLET |m| (|getBasicMode| |x|)) |m|)
@@ -1600,7 +1600,7 @@ May be a number or a vector
  (PROG (|op|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|putMode| |op| |y|))
     ((NULL (VECP |x|)) (|keyedSystemError| (QUOTE S2II0001) (CONS |x| NIL)))
     ((QUOTE T) (SETELT |x| 1 |y|)))))) 
@@ -1638,7 +1638,7 @@ May be a number or a vector
  (PROG (|op|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|putValue| |op| |y|))
     ((NULL (VECP |x|)) (|keyedSystemError| (QUOTE S2II0001) (CONS |x| NIL)))
     ((QUOTE T) (SETELT |x| 2 |y|)))))) 
@@ -1666,7 +1666,7 @@ May be a number or a vector
   (RETURN
    (COND
     ((VECP |x|) (ELT |x| 0))
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|getUnnameIfCan| |op|))
     ((ATOM |x|) |x|) ((QUOTE T) NIL))))) 
 
@@ -1681,7 +1681,7 @@ May be a number or a vector
  (PROG (|op|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|getUnname| |op|))
     ((QUOTE T) (|getUnname1| |x|)))))) 
 
@@ -1713,7 +1713,7 @@ May be a number or a vector
     ((PROGN
       (SPADLET |ISTMP#1| (|getModeSet| |t|))
       (AND
-       (PAIRP |ISTMP#1|)
+       (CONSP |ISTMP#1|)
        (EQ (QCDR |ISTMP#1|) NIL)
        (PROGN (SPADLET |m| (QCAR |ISTMP#1|)) (QUOTE T))))
      |m|)
@@ -1734,7 +1734,7 @@ May be a number or a vector
  (PROG (|op|)
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|putModeSet| |op| |y|))
     ((NULL (VECP |x|)) (|keyedSystemError| (QUOTE S2II0001) (CONS |x| NIL)))
     ((QUOTE T) (SETELT |x| 3 |y|) |y|))))) 
@@ -1759,7 +1759,7 @@ May be a number or a vector
  (declare (special |$EmptyMode|))
   (RETURN
    (COND
-    ((AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
+    ((AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))
      (|getModeOrFirstModeSetIfThere| |op|))
     ((VECP |x|)
      (COND
@@ -1770,7 +1770,7 @@ May be a number or a vector
         ((AND (BOOT-EQUAL |y| (CONS |$EmptyMode| NIL))
               (PROGN
                (SPADLET |ISTMP#1| (SPADLET |m| (|getMode| |x|)))
-               (AND (PAIRP |ISTMP#1|)
+               (AND (CONSP |ISTMP#1|)
                     (EQ (QCAR |ISTMP#1|) (QUOTE |Mapping|)))))
          |m|)
         ((QUOTE T) (CAR |y|))))
@@ -1781,7 +1781,7 @@ May be a number or a vector
 \subsection{getModeSet}
 \begin{chunk}{*}
 ;getModeSet x ==
-;  x and PAIRP x => getModeSet first x
+;  x and CONSP x => getModeSet first x
 ;  VECP x =>
 ;    y:= x.aModeSet =>
 ;      (y = [$EmptyMode]) and ((m := getMode x) is ['Mapping,:.]) =>
@@ -1798,7 +1798,7 @@ May be a number or a vector
  (declare (special |$EmptyMode|))
   (RETURN
    (COND
-    ((AND |x| (PAIRP |x|)) (|getModeSet| (CAR |x|)))
+    ((AND |x| (CONSP |x|)) (|getModeSet| (CAR |x|)))
     ((VECP |x|)
      (COND
       ((SPADLET |y| (ELT |x| 3))
@@ -1807,7 +1807,7 @@ May be a number or a vector
               (PROGN
                (SPADLET |ISTMP#1| (SPADLET |m| (|getMode| |x|)))
                (AND
-                (PAIRP |ISTMP#1|)
+                (CONSP |ISTMP#1|)
                 (EQ (QCAR |ISTMP#1|) (QUOTE |Mapping|)))))
          (CONS |m| NIL))
         ((QUOTE T) |y|)))
@@ -1824,7 +1824,7 @@ May be a number or a vector
 \subsection{getModeSetUseSubdomain}
 \begin{chunk}{*}
 ;getModeSetUseSubdomain x ==
-;  x and PAIRP x => getModeSetUseSubdomain first x
+;  x and CONSP x => getModeSetUseSubdomain first x
 ;  VECP(x) =>
 ;    -- don't play subdomain games with retracted args
 ;    getAtree(x,'retracted) => getModeSet x
@@ -1855,7 +1855,7 @@ May be a number or a vector
  (declare (special |$Integer| |$immediateDataSymbol| |$EmptyMode|))
   (RETURN
    (COND
-    ((AND |x| (PAIRP |x|)) (|getModeSetUseSubdomain| (CAR |x|)))
+    ((AND |x| (CONSP |x|)) (|getModeSetUseSubdomain| (CAR |x|)))
     ((VECP |x|)
      (COND
       ((|getAtree| |x| (QUOTE |retracted|)) (|getModeSet| |x|))
@@ -1865,7 +1865,7 @@ May be a number or a vector
           (BOOT-EQUAL |y| (CONS |$EmptyMode| NIL))
           (PROGN
            (SPADLET |ISTMP#1| (SPADLET |m| (|getMode| |x|)))
-           (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE |Mapping|)))))
+           (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE |Mapping|)))))
          (CONS |m| NIL))
         ((QUOTE T)
          (SPADLET |val| (|getValue| |x|))
@@ -1964,7 +1964,7 @@ May be a number or a vector
 \subsection{getValueFromSpecificEnvironment}
 \begin{chunk}{*}
 ;getValueFromSpecificEnvironment(id,mode,e) ==
-;  PAIRP e =>
+;  CONSP e =>
 ;    u := get(id,'value,e) =>
 ;      objMode(u) = $EmptyMode =>
 ;        systemErrorHere '"getValueFromSpecificEnvironment"
@@ -1993,7 +1993,7 @@ May be a number or a vector
  (declare (special |$failure| |$EmptyMode|))
   (RETURN
    (COND
-    ((PAIRP |e|)
+    ((CONSP |e|)
      (COND
       ((SPADLET |u| (|get| |id| (QUOTE |value|) |e|))
        (COND
@@ -2004,11 +2004,11 @@ May be a number or a vector
          (COND
           ((NULL
             (AND
-             (PAIRP |mode|)
+             (CONSP |mode|)
              (EQ (QCAR |mode|) (QUOTE |Mapping|))
              (PROGN (SPADLET |mapSig| (QCDR |mode|)) (QUOTE T))))
            |v|)
-          ((NULL (AND (PAIRP |v|) (EQ (QCAR |v|) (QUOTE MAP)))) |v|)
+          ((NULL (AND (CONSP |v|) (EQ (QCAR |v|) (QUOTE MAP)))) |v|)
           ((QUOTE T)
            (SPADLET |v'| (|coerceInt| |u| |mode|)) 
            (COND
diff --git a/src/interp/i-map.lisp.pamphlet b/src/interp/i-map.lisp.pamphlet
index 39644b7..5567165 100644
--- a/src/interp/i-map.lisp.pamphlet
+++ b/src/interp/i-map.lisp.pamphlet
@@ -120,7 +120,7 @@
 ;--% Adding a function definition
 ;isMapExpr x == x is ['MAP,:.]
 
-(DEFUN |isMapExpr| (|x|) (AND (PAIRP |x|) (EQ (QCAR |x|) 'MAP)))
+(DEFUN |isMapExpr| (|x|) (AND (CONSP |x|) (EQ (QCAR |x|) 'MAP)))
 
 ;isMap x ==
 ;  y := get(x,'value,$InteractiveFrame) =>
@@ -135,7 +135,7 @@
               (EXIT (COND
                       ((PROGN
                          (SPADLET |ISTMP#1| (|objVal| |y|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) 'MAP)))
                        (EXIT |x|))))))))))
 
@@ -144,7 +144,7 @@
 ;  --   compute the dependencies for a map
 ;  -- next check is for bad forms on the lhs of the ==, such as
 ;  -- numbers, constants.
-;  if not PAIRP lhs then
+;  if not CONSP lhs then
 ;    op := lhs
 ;    putHist(op,'isInterpreterRule,true,$e)
 ;    putHist(op,'isInterpreterFunction,false,$e)
@@ -223,14 +223,14 @@
              (SPADLET |mapsig| (CADDR G166106))
              (SPADLET |rhs| (CAR (CDDDDR G166106)))
              (COND
-               ((NULL (PAIRP |lhs|)) (SPADLET |op| |lhs|)
+               ((NULL (CONSP |lhs|)) (SPADLET |op| |lhs|)
                 (|putHist| |op| '|isInterpreterRule| 'T |$e|)
                 (|putHist| |op| '|isInterpreterFunction| NIL |$e|)
                 (SPADLET |lhs| (CONS |lhs| NIL)))
                ('T (SPADLET |op| (CAR |lhs|))
                 (COND
                   ((AND (SPADLET |oldMode| (|get| |op| '|mode| |$e|))
-                        (NULL (AND (PAIRP |oldMode|)
+                        (NULL (AND (CONSP |oldMode|)
                                    (EQ (QCAR |oldMode|) '|Mapping|))))
                    (|throwKeyedMsg| 'S2IM0001
                        (CONS |op| (CONS |oldMode| NIL))))
@@ -293,11 +293,11 @@
                 (COND
                   ((PROGN
                      (SPADLET |ISTMP#1| (|get| |op| '|mode| |$e|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) '|Mapping|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |mapargs| (QCDR |ISTMP#2|))
                                    'T)))))
@@ -418,20 +418,20 @@
                                         (CONS
                                          (PROGN
                                            (COND
-                                             ((AND (PAIRP |x|)
+                                             ((AND (CONSP |x|)
                                                (EQ (QCAR |x|)
                                                 'SUCHTHAT)
                                                (PROGN
                                                  (SPADLET |ISTMP#1|
                                                   (QCDR |x|))
-                                                 (AND (PAIRP |ISTMP#1|)
+                                                 (AND (CONSP |ISTMP#1|)
                                                   (PROGN
                                                     (SPADLET |s|
                                                      (QCAR |ISTMP#1|))
                                                     (SPADLET |ISTMP#2|
                                                      (QCDR |ISTMP#1|))
                                                     (AND
-                                                     (PAIRP |ISTMP#2|)
+                                                     (CONSP |ISTMP#2|)
                                                      (EQ
                                                       (QCDR |ISTMP#2|)
                                                       NIL)
@@ -516,7 +516,7 @@
           ('T (SPADLET |entry| (CONS |pattern| |body|))
            (SPADLET |resultMap|
                     (COND
-                      ((AND (PAIRP |newMap|) (EQ (QCAR |newMap|) 'MAP)
+                      ((AND (CONSP |newMap|) (EQ (QCAR |newMap|) 'MAP)
                             (PROGN
                               (SPADLET |tail| (QCDR |newMap|))
                               'T))
@@ -537,7 +537,7 @@
   (PROG (|tail| |replacement| |newMap|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |map|) (EQ (QCAR |map|) 'MAP)
+             ((AND (CONSP |map|) (EQ (QCAR |map|) 'MAP)
                    (PROGN (SPADLET |tail| (QCDR |map|)) 'T))
               (SPADLET |newMap|
                        (CONS 'MAP
@@ -556,7 +556,7 @@
                                     (EXIT
                                      (COND
                                        ((COND
-                                          ((AND (PAIRP |x|)
+                                          ((AND (CONSP |x|)
                                             (EQUAL (QCAR |x|)
                                              |pattern|)
                                             (PROGN
@@ -601,15 +601,15 @@
                 ((|isSharpVarWithNum| |body|) NIL)
                 ((BOOT-EQUAL |body| (INTERN "" "BOOT")) NIL)
                 ('T (CONS |body| NIL))))
-             ((AND (PAIRP |body|) (EQ (QCAR |body|) 'WRAPPED)) NIL)
-             ((OR (AND (PAIRP |body|) (EQ (QCAR |body|) 'COLLECT)
+             ((AND (CONSP |body|) (EQ (QCAR |body|) 'WRAPPED)) NIL)
+             ((OR (AND (CONSP |body|) (EQ (QCAR |body|) 'COLLECT)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |body|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                                 'T)
-                              (PAIRP |ISTMP#2|)
+                              (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |body1| (QCAR |ISTMP#2|))
                                 (SPADLET |itl| (QCDR |ISTMP#2|))
@@ -617,14 +617,14 @@
                               (PROGN
                                 (SPADLET |itl| (NREVERSE |itl|))
                                 'T))))
-                  (AND (PAIRP |body|) (EQ (QCAR |body|) 'REPEAT)
+                  (AND (CONSP |body|) (EQ (QCAR |body|) 'REPEAT)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |body|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                                 'T)
-                              (PAIRP |ISTMP#2|)
+                              (CONSP |ISTMP#2|)
                               (PROGN
                                 (SPADLET |body1| (QCAR |ISTMP#2|))
                                 (SPADLET |itl| (QCDR |ISTMP#2|))
@@ -636,7 +636,7 @@
                        (S+ (|getUserIdentifiersInIterators| |itl|)
                            (|getUserIdentifiersIn| |body1|)))
               (S- |userIds| (|getIteratorIds| |itl|)))
-             ((AND (PAIRP |body|)
+             ((AND (CONSP |body|)
                    (PROGN
                      (SPADLET |op| (QCAR |body|))
                      (SPADLET |l| (QCDR |body|))
@@ -688,10 +688,10 @@
                       (PROGN (SETQ |x| (CAR G166485)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |x|) (EQ (QCAR |x|) 'STEP)
+                            ((AND (CONSP |x|) (EQ (QCAR |x|) 'STEP)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |i| (QCAR |ISTMP#1|))
                                        (SPADLET |l| (QCDR |ISTMP#1|))
@@ -718,14 +718,14 @@
                                                  (|getUserIdentifiersIn|
                                                   |y|))))))))
                                        |varList|)))
-                            ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IN)
+                            ((AND (CONSP |x|) (EQ (QCAR |x|) 'IN)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |y|
@@ -735,14 +735,14 @@
                                       (APPEND
                                        (|getUserIdentifiersIn| |y|)
                                        |varList|)))
-                            ((AND (PAIRP |x|) (EQ (QCAR |x|) 'ON)
+                            ((AND (CONSP |x|) (EQ (QCAR |x|) 'ON)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |y|
@@ -752,11 +752,11 @@
                                       (APPEND
                                        (|getUserIdentifiersIn| |y|)
                                        |varList|)))
-                            ((AND (PAIRP |x|)
+                            ((AND (CONSP |x|)
                                   (PROGN
                                     (SPADLET |op| (QCAR |x|))
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |a| (QCAR |ISTMP#1|))
@@ -791,26 +791,26 @@
                       (PROGN (SETQ |x| (CAR G166551)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |x|) (EQ (QCAR |x|) 'STEP)
+                            ((AND (CONSP |x|) (EQ (QCAR |x|) 'STEP)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |i| (QCAR |ISTMP#1|))
                                        'T))))
                              (SPADLET |varList| (CONS |i| |varList|)))
-                            ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IN)
+                            ((AND (CONSP |x|) (EQ (QCAR |x|) 'IN)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |y| (QCAR |ISTMP#1|))
                                        'T))))
                              (SPADLET |varList| (CONS |y| |varList|)))
-                            ((AND (PAIRP |x|) (EQ (QCAR |x|) 'ON)
+                            ((AND (CONSP |x|) (EQ (QCAR |x|) 'ON)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |y| (QCAR |ISTMP#1|))
                                        'T))))
@@ -833,10 +833,10 @@
         ((BOOT-EQUAL |x| |$Zero|) 0)
         ((BOOT-EQUAL |x| |$One|) 1)
         ((ATOM |x|) |x|)
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '-)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '-)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |n| (QCAR |ISTMP#1|)) 'T)))
               (NUMBERP |n|))
          (SPADDIFFERENCE |n|))
@@ -906,7 +906,7 @@
   (PROG (CAR CDR)
     (RETURN
       (COND
-        ((AND (PAIRP |args|)
+        ((AND (CONSP |args|)
               (PROGN
                 (SPADLET CAR (QCAR |args|))
                 (SPADLET CDR (QCDR |args|))
@@ -931,13 +931,13 @@
         (COND
           ((EQL |nargs| 1)
            (COND
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '=)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '=)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|#1|)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |n| (QCAR |ISTMP#2|))
@@ -970,7 +970,7 @@
     (DECLARE (SPECIAL |$FormalMapVariableList|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|and|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|and|)
                    (PROGN (SPADLET |l| (QCDR |pred|)) 'T)
                    (BOOT-EQUAL |nargs| (|#| |l|))
                    (SPADLET |u|
@@ -997,19 +997,19 @@
                                         (SETQ G166675
                                          (CONS
                                           (COND
-                                            ((AND (PAIRP |x|)
+                                            ((AND (CONSP |x|)
                                               (EQ (QCAR |x|) '=)
                                               (PROGN
                                                 (SPADLET |ISTMP#1|
                                                  (QCDR |x|))
-                                                (AND (PAIRP |ISTMP#1|)
+                                                (AND (CONSP |ISTMP#1|)
                                                  (EQUAL
                                                   (QCAR |ISTMP#1|) |y|)
                                                  (PROGN
                                                    (SPADLET |ISTMP#2|
                                                     (QCDR |ISTMP#1|))
                                                    (AND
-                                                    (PAIRP |ISTMP#2|)
+                                                    (CONSP |ISTMP#2|)
                                                     (EQ
                                                      (QCDR |ISTMP#2|)
                                                      NIL)
@@ -1094,7 +1094,7 @@
   (PROG (|l|)
     (RETURN
       (COND
-        ((AND (PAIRP |pattern|) (EQ (QCAR |pattern|) '|Tuple|)
+        ((AND (CONSP |pattern|) (EQ (QCAR |pattern|) '|Tuple|)
               (PROGN (SPADLET |l| (QCDR |pattern|)) 'T))
          (CONS |op| |l|))
         ('T (CONS |op| |pattern|))))))
@@ -1142,16 +1142,16 @@
     (RETURN
       (COND
         ((NUMBERP |x|) |x|)
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
          |x|)))))
 
 ;isPatternArgument x == x is ["construct",:.]
 
 (DEFUN |isPatternArgument| (|x|)
-  (AND (PAIRP |x|) (EQ (QCAR |x|) '|construct|)))
+  (AND (CONSP |x|) (EQ (QCAR |x|) '|construct|)))
 
 ;--% Map dependencies
 ;makeNewDependencies (op, userVariables) ==
@@ -1252,7 +1252,7 @@
                                         (SETDIFFERENCE (CDR |a|)
                                          |doneList|))))))))))
               (COND
-                ((AND (PAIRP |toDoList|)
+                ((AND (CONSP |toDoList|)
                       (PROGN
                         (SPADLET |a| (QCAR |toDoList|))
                         (SPADLET |res| (QCDR |toDoList|))
@@ -1301,7 +1301,7 @@
         ((|isMapExpr| |x|) |x|)
         ((|containsVars| |x|) |x|)
         ((AND (ATOM |x|) (BOOT-EQUAL (CAR |m|) '|List|)) |x|)
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|construct|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|construct|)
               (BOOT-EQUAL |m| '(|List| (|Expression|))))
          |x|)
         ('T
@@ -1359,7 +1359,7 @@
 (DEFUN |simplifyMapPattern,unTrivialize| (|x|)
   (PROG (|l| |op| |ISTMP#1| |a| |ISTMP#2|)
     (RETURN
-      (SEQ (IF (AND (AND (PAIRP |x|)
+      (SEQ (IF (AND (AND (CONSP |x|)
                          (PROGN
                            (SPADLET |op| (QCAR |x|))
                            (SPADLET |l| (QCDR |x|))
@@ -1382,15 +1382,15 @@
                                           |y|)
                                          G166866)))))))
                            |op|)))
-           (IF (AND (AND (PAIRP |x|)
+           (IF (AND (AND (CONSP |x|)
                          (PROGN
                            (SPADLET |op| (QCAR |x|))
                            (SPADLET |ISTMP#1| (QCDR |x|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |a| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (EQUAL (QCAR |ISTMP#2|) |a|))))))
                     (|member| |op| '(= |is|)))
@@ -1418,14 +1418,14 @@
              (SPADLET |rhs| (|simplifyMapConstructorRefs| |rhs|))
              (SPADLET |x| (CONS |lhs| |rhs|))
              (COND
-               ((AND (PAIRP |lhs|) (EQ (QCAR |lhs|) '|\||)
+               ((AND (CONSP |lhs|) (EQ (QCAR |lhs|) '|\||)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |lhs|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |y| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |pred| (QCAR |ISTMP#2|))
@@ -1525,11 +1525,11 @@
                                        G166958))))))))))
                 ((|member| |op| '(|:| |::| @))
                  (COND
-                   ((AND (PAIRP |args|)
+                   ((AND (CONSP |args|)
                          (PROGN
                            (SPADLET |obj| (QCAR |args|))
                            (SPADLET |ISTMP#1| (QCDR |args|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |dom| (QCAR |ISTMP#1|))
@@ -1556,18 +1556,18 @@
   (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |ISTMP#3| |c|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IF)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'IF)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |b| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |c| (QCAR |ISTMP#3|))
@@ -1601,7 +1601,7 @@
       (SEQ (IF (AND (PROGN
                       (SPADLET |ISTMP#1|
                                (SPADLET |x| (SUBLIS |sl| |x|)))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |op| (QCAR |ISTMP#1|))
                              (SPADLET |l| (QCDR |ISTMP#1|))
@@ -1617,27 +1617,27 @@
                             (SEQ (EXIT (SPADLET |sl|
                                         (|getEqualSublis,fn| |y| |sl|)))))
                           (EXIT |sl|))))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|is|)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) '|is|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |b| (QCAR |ISTMP#2|))
                                     'T))))))
                (EXIT (CONS (CONS |a| |b|) |sl|)))
-           (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '=)
+           (IF (AND (CONSP |x|) (EQ (QCAR |x|) '=)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |b| (QCAR |ISTMP#2|))
@@ -1748,11 +1748,11 @@
                 (COND
                   ((PROGN
                      (SPADLET |ISTMP#1| (|getMode| |op|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) '|Mapping|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |target| (QCAR |ISTMP#2|))
                                    'T)))))
@@ -1807,7 +1807,7 @@
                       (COND
                         ((NULL (PROGN
                                  (SPADLET |ISTMP#1| (|getMode| |op|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCAR |ISTMP#1|) '|Mapping|)
                                       (PROGN
                                         (SPADLET |sig|
@@ -1861,7 +1861,7 @@
           ((NEQUAL (|numMapArgs| |mapDef|) (|#| |argTypes|)) NIL)
           ((OR (PROGN
                  (SPADLET |ISTMP#1| (SPADLET |m| (|getMode| |op|)))
-                 (AND (PAIRP |ISTMP#1|)
+                 (AND (CONSP |ISTMP#1|)
                       (EQ (QCAR |ISTMP#1|) '|Mapping|)
                       (PROGN (SPADLET |sig| (QCDR |ISTMP#1|)) 'T)))
                (AND |m| (SPADLET |sig| (CONS |m| NIL))))
@@ -1918,7 +1918,7 @@
       (SEQ (COND
              ((NULL (PROGN
                       (SPADLET |ISTMP#1| (|getMode| |op|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) '|Mapping|)
                            (PROGN (SPADLET |sig| (QCDR |ISTMP#1|)) 'T))))
               NIL)
@@ -2017,7 +2017,7 @@
                 ((NULL (PROGN
                          (SPADLET |ISTMP#1|
                                   (|get| |opName| '|mode| |$e|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) '|Mapping|)
                               (PROGN
                                 (SPADLET |sig| (QCDR |ISTMP#1|))
@@ -2092,10 +2092,10 @@
       (PROGN
         (SPADLET |val| (|get| |opName| '|value| |$e|))
         (COND
-          ((AND (PAIRP |val|)
+          ((AND (CONSP |val|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |val|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'MAP)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) 'MAP)
                        (PROGN (SPADLET |bod| (QCDR |ISTMP#1|)) 'T))))
            (SPADLET |$e|
                     (|putHist| |opName| '|mapBody|
@@ -2155,10 +2155,10 @@
                 (SPADLET |argTypes| (CDDR |s|)))
                ('T (SPADLET |tar| NIL) (SPADLET |argTypes| NIL)))
              (SPADLET |ISTMP#1| (|get| |opName| '|mode| |$e|))
-             (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)
+             (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)
                   (PROGN
                     (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                    (AND (PAIRP |ISTMP#2|)
+                    (AND (CONSP |ISTMP#2|)
                          (PROGN
                            (SPADLET |tar| (QCAR |ISTMP#2|))
                            (SPADLET |argTypes| (QCDR |ISTMP#2|))
@@ -2179,7 +2179,7 @@
                                   (SPADLET |argTypes| (CDR |argTypes|))
                                   (SPADLET |val|
                                            (COND
-                                             ((AND (PAIRP |t|)
+                                             ((AND (CONSP |t|)
                                                (EQ (QCAR |t|)
                                                 '|Mapping|))
                                               (|getValue| |arg|))
@@ -2282,7 +2282,7 @@
                                   (SPADLET |argTypes| (CDR |argTypes|))
                                   (SPADLET |val|
                                            (COND
-                                             ((AND (PAIRP |t|)
+                                             ((AND (CONSP |t|)
                                                (EQ (QCAR |t|)
                                                 '|Mapping|))
                                               |evArg|)
@@ -2560,7 +2560,7 @@
 ;    ( n := isSharpVarWithNum op ) => STRCONC('"<argument ",object2String n,'">")
 ;    op
 ;  if get(op,'isInterpreterRule,$e) then
-;    sayKeyedMsg("S2IM0014",[op0,(PAIRP sig =>prefix2String CAR sig;'"?")])
+;    sayKeyedMsg("S2IM0014",[op0,(CONSP sig =>prefix2String CAR sig;'"?")])
 ;  else sayKeyedMsg("S2IM0015",[op0,formatSignature sig])
 ;  $whereCacheList := [op,:$whereCacheList]
 ;  -- RSS: 6-21-94
@@ -2597,7 +2597,7 @@
                 (|sayKeyedMsg| 'S2IM0014
                     (CONS |op0|
                           (CONS (COND
-                                  ((PAIRP |sig|)
+                                  ((CONSP |sig|)
                                    (|prefix2String| (CAR |sig|)))
                                   ('T "?"))
                                 NIL))))
@@ -2815,7 +2815,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |body|) 0)
-             ((AND (PAIRP |body|)
+             ((AND (CONSP |body|)
                    (PROGN
                      (SPADLET |op| (QCAR |body|))
                      (SPADLET |argl| (QCDR |body|))
@@ -2848,7 +2848,7 @@
                 ((AND (SPADLET |obj| (|get| |op| '|value| |$e|))
                       (PROGN
                         (SPADLET |ISTMP#1| (|objVal| |obj|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) 'MAP)
                              (PROGN
                                (SPADLET |mapDef| (QCDR |ISTMP#1|))
@@ -3268,7 +3268,7 @@
                 ((AND (SPADLET |obj| (|get| |body| '|value| |$e|))
                       (PROGN
                         (SPADLET |ISTMP#1| (|objVal| |obj|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) 'MAP)
                              (PROGN
                                (SPADLET |mapDef| (QCDR |ISTMP#1|))
@@ -3276,7 +3276,7 @@
                       (EQL (|numMapArgs| |mapDef|) 0))
                  (|getMapBody| |body| |mapDef|))
                 ('T |body|)))
-             ((AND (PAIRP |body|)
+             ((AND (CONSP |body|)
                    (PROGN
                      (SPADLET |op| (QCAR |body|))
                      (SPADLET |argl| (QCDR |body|))
@@ -3287,7 +3287,7 @@
                    ((AND (SPADLET |obj| (|get| |op| '|value| |$e|))
                          (PROGN
                            (SPADLET |ISTMP#1| (|objVal| |obj|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCAR |ISTMP#1|) 'MAP)
                                 (PROGN
                                   (SPADLET |mapDef| (QCDR |ISTMP#1|))
@@ -3373,18 +3373,18 @@
             |op| |argl| |args|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |funBody|) (EQ (QCAR |funBody|) 'IF)
+             ((AND (CONSP |funBody|) (EQ (QCAR |funBody|) 'IF)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |funBody|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#3|))
@@ -3407,7 +3407,7 @@
               (COND
                 ((|notCalled| |opName| |funBody|) |funBody|)
                 ('T '|noMapVal|)))
-             ((AND (PAIRP |funBody|)
+             ((AND (CONSP |funBody|)
                    (PROGN
                      (SPADLET |op| (QCAR |funBody|))
                      (SPADLET |argl| (QCDR |funBody|))
@@ -3447,8 +3447,8 @@
   (PROG (|argl|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |body|) (EQUAL (QCAR |body|) |op|)) 'T)
-             ((AND (PAIRP |body|)
+             ((AND (CONSP |body|) (EQUAL (QCAR |body|) |op|)) 'T)
+             ((AND (CONSP |body|)
                    (PROGN (SPADLET |argl| (QCDR |body|)) 'T))
               (PROG (G168221)
                 (SPADLET G168221 NIL)
@@ -3477,7 +3477,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |form|) 'T)
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |op| (QCAR |form|))
                      (SPADLET |argl| (QCDR |form|))
@@ -3537,13 +3537,13 @@
   (PROG (|ISTMP#1| |a| |argl|)
     (RETURN
       (COND
-        ((AND (PAIRP |args|) (EQ (QCAR |args|) '|\||)
+        ((AND (CONSP |args|) (EQ (QCAR |args|) '|\||)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |args|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
          (|numArgs| |a|))
-        ((AND (PAIRP |args|) (EQ (QCAR |args|) '|Tuple|)
+        ((AND (CONSP |args|) (EQ (QCAR |args|) '|Tuple|)
               (PROGN (SPADLET |argl| (QCDR |args|)) 'T))
          (|#| |argl|))
         ((NULL |args|) 0)
@@ -3565,10 +3565,10 @@
     (RETURN
       (SEQ (COND
              ((NULL |mapTail|) '|noMapVal|)
-             ((AND (PAIRP |mapTail|)
+             ((AND (CONSP |mapTail|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |mapTail|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |cond| (QCAR |ISTMP#1|))
                             (SPADLET |part| (QCDR |ISTMP#1|))
@@ -3576,7 +3576,7 @@
                    (PROGN (SPADLET |restMap| (QCDR |mapTail|)) 'T))
               (COND
                 ((OR (|isSharpVarWithNum| |cond|)
-                     (AND (PAIRP |cond|) (EQ (QCAR |cond|) '|Tuple|)
+                     (AND (CONSP |cond|) (EQ (QCAR |cond|) '|Tuple|)
                           (PROGN (SPADLET |args| (QCDR |cond|)) 'T)
                           (PROG (G168317)
                             (SPADLET G168317 'T)
@@ -3617,19 +3617,19 @@
   (PROG (|ISTMP#1| |args| |ISTMP#2| |pred| |vals|)
     (RETURN
       (COND
-        ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|\||)
+        ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|\||)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |cond|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |args| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |pred| (QCAR |ISTMP#2|))
                               'T))))))
          (|mapPredTran| |pred|))
-        ((AND (PAIRP |cond|) (EQ (QCAR |cond|) '|Tuple|)
+        ((AND (CONSP |cond|) (EQ (QCAR |cond|) '|Tuple|)
               (PROGN (SPADLET |vals| (QCDR |cond|)) 'T))
          (|mkValueCheck| |vals| 1))
         ('T (|mkValCheck| |cond| 1))))))
@@ -3643,7 +3643,7 @@
   (PROG (|val|)
     (RETURN
       (COND
-        ((AND (PAIRP |vals|) (EQ (QCDR |vals|) NIL)
+        ((AND (CONSP |vals|) (EQ (QCDR |vals|) NIL)
               (PROGN (SPADLET |val| (QCAR |vals|)) 'T))
          (|mkValCheck| |val| |i|))
         ('T
@@ -3682,48 +3682,48 @@
             |ub|)
     (RETURN
       (COND
-        ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|in|)
+        ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|in|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |pred|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |var| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCAR |ISTMP#3|) 'SEGMENT)
                                    (PROGN
                                      (SPADLET |ISTMP#4|
                                       (QCDR |ISTMP#3|))
-                                     (AND (PAIRP |ISTMP#4|)
+                                     (AND (CONSP |ISTMP#4|)
                                       (EQ (QCDR |ISTMP#4|) NIL)
                                       (PROGN
                                         (SPADLET |lb| (QCAR |ISTMP#4|))
                                         'T))))))))))
          (|mkLessOrEqual| |lb| |var|))
-        ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|in|)
+        ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|in|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |pred|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |var| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCAR |ISTMP#3|) 'SEGMENT)
                                    (PROGN
                                      (SPADLET |ISTMP#4|
                                       (QCDR |ISTMP#3|))
-                                     (AND (PAIRP |ISTMP#4|)
+                                     (AND (CONSP |ISTMP#4|)
                                       (PROGN
                                         (SPADLET |lb| (QCAR |ISTMP#4|))
                                         (SPADLET |ISTMP#5|
                                          (QCDR |ISTMP#4|))
-                                        (AND (PAIRP |ISTMP#5|)
+                                        (AND (CONSP |ISTMP#5|)
                                          (EQ (QCDR |ISTMP#5|) NIL)
                                          (PROGN
                                            (SPADLET |ub|
@@ -3796,7 +3796,7 @@
                  NIL)
                 ((OR (|isLocalVar| |form|) (|isFreeVar| |form|)) NIL)
                 ('T (|mkFreeVar| |$mapName| |form|))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|local|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|local|)
                    (PROGN (SPADLET |vars| (QCDR |form|)) 'T))
               (DO ((G168587 |vars| (CDR G168587)) (|x| NIL))
                   ((OR (ATOM G168587)
@@ -3805,7 +3805,7 @@
                 (SEQ (EXIT (COND
                              ((ATOM |x|)
                               (EXIT (|mkLocalVar| |op| |x|))))))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|free|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|free|)
                    (PROGN (SPADLET |vars| (QCDR |form|)) 'T))
               (DO ((G168596 |vars| (CDR G168596)) (|x| NIL))
                   ((OR (ATOM G168596)
@@ -3813,22 +3813,22 @@
                    NIL)
                 (SEQ (EXIT (COND
                              ((ATOM |x|) (EXIT (|mkFreeVar| |op| |x|))))))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) 'LET)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) 'LET)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (COND
-                ((AND (PAIRP |a|) (EQ (QCAR |a|) '|Tuple|)
+                ((AND (CONSP |a|) (EQ (QCAR |a|) '|Tuple|)
                       (PROGN (SPADLET |vars| (QCDR |a|)) 'T)
-                      (PAIRP |b|) (EQ (QCAR |b|) '|Tuple|)
+                      (CONSP |b|) (EQ (QCAR |b|) '|Tuple|)
                       (PROGN (SPADLET |vals| (QCDR |b|)) 'T))
                  (DO ((G168606 |vars| (CDR G168606)) (|var| NIL)
                       (G168607 |vals| (CDR G168607)) (|val| NIL))
@@ -3840,7 +3840,7 @@
                    (SEQ (EXIT (|findLocalVars1| |op|
                                   (CONS 'LET
                                         (CONS |var| (CONS |val| NIL))))))))
-                ((AND (PAIRP |a|) (EQ (QCAR |a|) '|construct|)
+                ((AND (CONSP |a|) (EQ (QCAR |a|) '|construct|)
                       (PROGN (SPADLET |pat| (QCDR |a|)) 'T))
                  (DO ((G168619 (|listOfVariables| |pat|)
                           (CDR G168619))
@@ -3851,14 +3851,14 @@
                    (SEQ (EXIT (|mkLocalVar| |op| |var|))))
                  (|findLocalVars1| |op| |b|))
                 ((OR (ATOM |a|)
-                     (AND (PAIRP |a|) (EQ (QCAR |a|) '|:|)
+                     (AND (CONSP |a|) (EQ (QCAR |a|) '|:|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |a|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |a| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)))))))
                  (|mkLocalVar| |op| |a|) (|findLocalVars1| |op| |b|))
                 ('T (|findLocalVars| |op| |b|)
@@ -3867,24 +3867,24 @@
                           (PROGN (SETQ |x| (CAR G168628)) NIL))
                       NIL)
                    (SEQ (EXIT (|findLocalVars1| |op| |x|)))))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|:|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|:|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL))))))
               (|mkLocalVar| |op| |a|))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) '|is|)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) '|is|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |l| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |pattern| (QCAR |ISTMP#2|))
@@ -3898,15 +3898,15 @@
                          (PROGN (SETQ |var| (CAR G168637)) NIL))
                      NIL)
                   (SEQ (EXIT (|mkLocalVar| |op| |var|))))))
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |oper| (QCAR |form|))
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                             'T)
-                          (PAIRP |ISTMP#2|)
+                          (CONSP |ISTMP#2|)
                           (PROGN
                             (SPADLET |body| (QCAR |ISTMP#2|))
                             (SPADLET |itrl| (QCDR |ISTMP#2|))
@@ -3916,7 +3916,7 @@
                             'T)))
                    (member |oper| '(REPEAT COLLECT)))
               (|findLocalsInLoop| |op| |itrl| |body|))
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |y| (QCAR |form|))
                      (SPADLET |argl| (QCDR |form|))
@@ -3958,22 +3958,22 @@
                       (PROGN (SETQ |it| (CAR G168789)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |it|) (EQ (QCAR |it|) 'STEP)
+                            ((AND (CONSP |it|) (EQ (QCAR |it|) 'STEP)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |it|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |index|
                                         (QCAR |ISTMP#1|))
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (PROGN
                                           (SPADLET |lower|
                                            (QCAR |ISTMP#2|))
                                           (SPADLET |ISTMP#3|
                                            (QCDR |ISTMP#2|))
-                                          (AND (PAIRP |ISTMP#3|)
+                                          (AND (CONSP |ISTMP#3|)
                                            (PROGN
                                              (SPADLET |step|
                                               (QCAR |ISTMP#3|))
@@ -3991,16 +3991,16 @@
                                         NIL))
                                   NIL)
                                (SEQ (EXIT (|findLocalVars1| |op| |up|)))))
-                            ((AND (PAIRP |it|) (EQ (QCAR |it|) 'IN)
+                            ((AND (CONSP |it|) (EQ (QCAR |it|) 'IN)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |it|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |index|
                                         (QCAR |ISTMP#1|))
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |s|
@@ -4009,22 +4009,22 @@
                              (|mkLocalVar| |op| |index|))
                             ('T (|findLocalVars1| |op| |s|)
                              (COND
-                               ((AND (PAIRP |it|)
+                               ((AND (CONSP |it|)
                                      (EQ (QCAR |it|) 'WHILE)
                                      (PROGN
                                        (SPADLET |ISTMP#1| (QCDR |it|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCDR |ISTMP#1|) NIL)
                                         (PROGN
                                           (SPADLET |b|
                                            (QCAR |ISTMP#1|))
                                           'T))))
                                 (|findLocalVars1| |op| |b|))
-                               ((AND (PAIRP |it|)
+                               ((AND (CONSP |it|)
                                      (EQ (QCAR |it|) '|\||)
                                      (PROGN
                                        (SPADLET |ISTMP#1| (QCDR |it|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCDR |ISTMP#1|) NIL)
                                         (PROGN
                                           (SPADLET |pred|
@@ -4037,12 +4037,12 @@
                            (PROGN (SETQ |it| (CAR G168812)) NIL))
                        NIL)
                     (SEQ (EXIT (COND
-                                 ((AND (PAIRP |it|)
+                                 ((AND (CONSP |it|)
                                        (PROGN
                                          (SPADLET |op| (QCAR |it|))
                                          (SPADLET |ISTMP#1|
                                           (QCDR |it|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |b|
@@ -4087,7 +4087,7 @@
 ;  IDENTP pat => (pat='_. => nil ; [pat])
 ;  pat is ['_:,var] or pat is ['_=,var] =>
 ;    (var='_. => NIL ; [var])
-;  PAIRP pat => REMDUP [:listOfVariables p for p in pat]
+;  CONSP pat => REMDUP [:listOfVariables p for p in pat]
 ;  nil
 
 (DEFUN |listOfVariables| (|pat|)
@@ -4098,18 +4098,18 @@
               (COND
                 ((BOOT-EQUAL |pat| (INTERN "." "BOOT")) NIL)
                 ('T (CONS |pat| NIL))))
-             ((OR (AND (PAIRP |pat|) (EQ (QCAR |pat|) '|:|)
+             ((OR (AND (CONSP |pat|) (EQ (QCAR |pat|) '|:|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |pat|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCDR |ISTMP#1|) NIL)
                               (PROGN
                                 (SPADLET |var| (QCAR |ISTMP#1|))
                                 'T))))
-                  (AND (PAIRP |pat|) (EQ (QCAR |pat|) '=)
+                  (AND (CONSP |pat|) (EQ (QCAR |pat|) '=)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |pat|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCDR |ISTMP#1|) NIL)
                               (PROGN
                                 (SPADLET |var| (QCAR |ISTMP#1|))
@@ -4117,7 +4117,7 @@
               (COND
                 ((BOOT-EQUAL |var| (INTERN "." "BOOT")) NIL)
                 ('T (CONS |var| NIL))))
-             ((PAIRP |pat|)
+             ((CONSP |pat|)
               (REMDUP (PROG (G168865)
                         (SPADLET G168865 NIL)
                         (RETURN
diff --git a/src/interp/i-output.lisp.pamphlet b/src/interp/i-output.lisp.pamphlet
index 9f5dbef..8b6e340 100644
--- a/src/interp/i-output.lisp.pamphlet
+++ b/src/interp/i-output.lisp.pamphlet
@@ -59,10 +59,10 @@
   (PROG (|ISTMP#1|)
     (RETURN
       (PROGN
-        (OR (AND (PAIRP |u|)
+        (OR (AND (CONSP |u|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |u|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) 'T))))
             (THROW '|outputFailure| '|outputFailure|))
         (PLUS 2 (|#| |u|))))))
@@ -119,14 +119,14 @@
     (RETURN
       (COND
         ((ATOM |u|) (|appChar| (|atom2String| |u|) |x| |y| |d|))
-        ((AND (PAIRP |u|)
+        ((AND (CONSP |u|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |u|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |op| (QCAR |ISTMP#1|)) 'T)))
               (PROGN
                 (SPADLET |ISTMP#2| (QCDR |u|))
-                (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                      (PROGN (SPADLET |a| (QCAR |ISTMP#2|)) 'T)))
               (SPADLET |s| (GETL |op| 'PREFIXOP)))
          (COND
@@ -136,10 +136,10 @@
            ('T
             (APP |a| (PLUS |x| (|#| |s|)) |y|
                  (|appChar| |s| |x| |y| |d|)))))
-        ((AND (PAIRP |u|)
+        ((AND (CONSP |u|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |u|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |id| (QCAR |ISTMP#1|)) 'T))))
          (COND
            ((SPADLET |fn| (GETL |id| 'APP))
@@ -309,7 +309,7 @@ these functions return an updated ``layout so far'' in general
 ;    x
 ;  x is [c,var,mode] and c in '(_pretend _: _:_: _@) =>
 ;    var := outputTran var
-;    if PAIRP var then var := ['PAREN,var]
+;    if CONSP var then var := ['PAREN,var]
 ;    ['CONCATB,var,c,obj2String prefix2String mode]
 ;  x is ['ADEF,vars,.,.,body] =>
 ;    vars :=
@@ -460,15 +460,15 @@ these functions return an updated ``layout so far'' in general
               (COND
                 ((BOOT-EQUAL |x| |$EmptyMode|) (|specialChar| '|quad|))
                 ('T |x|)))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |c| (QCAR |x|))
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |var| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |mode| (QCAR |ISTMP#2|))
@@ -476,7 +476,7 @@ these functions return an updated ``layout so far'' in general
                    (|member| |c| '(|pretend| |:| |::| @)))
               (SPADLET |var| (|outputTran| |var|))
               (COND
-                ((PAIRP |var|)
+                ((CONSP |var|)
                  (SPADLET |var| (CONS 'PAREN (CONS |var| NIL)))))
               (CONS 'CONCATB
                     (CONS |var|
@@ -484,21 +484,21 @@ these functions return an updated ``layout so far'' in general
                                 (CONS (|obj2String|
                                        (|prefix2String| |mode|))
                                       NIL)))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'ADEF)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'ADEF)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |vars| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |ISTMP#4|
                                        (QCDR |ISTMP#3|))
-                                      (AND (PAIRP |ISTMP#4|)
+                                      (AND (CONSP |ISTMP#4|)
                                        (EQ (QCDR |ISTMP#4|) NIL)
                                        (PROGN
                                          (SPADLET |body|
@@ -506,59 +506,59 @@ these functions return an updated ``layout so far'' in general
                                          'T))))))))))
               (SPADLET |vars|
                        (COND
-                         ((AND (PAIRP |vars|) (EQ (QCDR |vars|) NIL)
+                         ((AND (CONSP |vars|) (EQ (QCDR |vars|) NIL)
                                (PROGN (SPADLET |x| (QCAR |vars|)) 'T))
                           |x|)
                          ('T (CONS '|Tuple| |vars|))))
               (|outputTran|
                   (CONS '+-> (CONS |vars| (CONS |body| NIL)))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'MATRIX)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'MATRIX)
                    (PROGN (SPADLET |m| (QCDR |x|)) 'T))
               (|outputTranMatrix| |m|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|matrix|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|matrix|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCAR |ISTMP#2|) '|construct|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#3|))
                                       'T)))))))
-                   (PAIRP |c|) (EQ (QCAR |c|) 'COLLECT)
+                   (CONSP |c|) (EQ (QCAR |c|) 'COLLECT)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |c|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                             'T)
-                          (PAIRP |ISTMP#2|)
+                          (CONSP |ISTMP#2|)
                           (PROGN
                             (SPADLET |d| (QCAR |ISTMP#2|))
                             (SPADLET |m| (QCDR |ISTMP#2|))
                             'T)
                           (PROGN (SPADLET |m| (NREVERSE |m|)) 'T)))
-                   (PAIRP |d|) (EQ (QCAR |d|) '|construct|)
+                   (CONSP |d|) (EQ (QCAR |d|) '|construct|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |d|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |e| (QCAR |ISTMP#1|)) 'T)))
-                   (PAIRP |e|) (EQ (QCAR |e|) 'COLLECT))
+                   (CONSP |e|) (EQ (QCAR |e|) 'COLLECT))
               (|outputTran|
                   (CONS 'COLLECT (APPEND |m| (CONS |e| NIL)))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'LIST)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'LIST)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (|outputTran|
                   (CONS 'BRACKET (CONS (CONS 'AGGLST |l|) NIL))))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'MAP)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'MAP)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (|outputMapTran| |l|))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|brace|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|brace|)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (CONS 'BRACE
                     (CONS (CONS 'AGGLST
@@ -579,19 +579,19 @@ these functions return an updated ``layout so far'' in general
                                          (CONS (|outputTran| |y|)
                                           G166621))))))))
                           NIL)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|return|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|return|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |l| (QCAR |ISTMP#1|)) 'T))))
               (CONS '|return| (CONS (|outputTran| |l|) NIL)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|return|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|return|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |l| (QCDR |ISTMP#1|)) 'T))))
               (CONS '|return| (|outputTran| |l|)))
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) '|construct|)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) '|construct|)
                    (PROGN (SPADLET |l| (QCDR |x|)) 'T))
               (CONS 'BRACKET
                     (CONS (CONS 'AGGLST
@@ -612,37 +612,37 @@ these functions return an updated ``layout so far'' in general
                                          (CONS (|outputTran| |y|)
                                           G166636))))))))
                           NIL)))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) '|$elt|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |domain| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (EQ (QCAR |ISTMP#3|) '|float|)))))))
                    (PROGN
                      (SPADLET |ISTMP#4| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#4|)
+                     (AND (CONSP |ISTMP#4|)
                           (PROGN
                             (SPADLET |x| (QCAR |ISTMP#4|))
                             (SPADLET |ISTMP#5| (QCDR |ISTMP#4|))
-                            (AND (PAIRP |ISTMP#5|)
+                            (AND (CONSP |ISTMP#5|)
                                  (PROGN
                                    (SPADLET |y| (QCAR |ISTMP#5|))
                                    (SPADLET |ISTMP#6| (QCDR |ISTMP#5|))
-                                   (AND (PAIRP |ISTMP#6|)
+                                   (AND (CONSP |ISTMP#6|)
                                     (EQ (QCDR |ISTMP#6|) NIL)
                                     (PROGN
                                       (SPADLET |z| (QCAR |ISTMP#6|))
                                       'T)))))))
                    (OR (BOOT-EQUAL |domain| |$DoubleFloat|)
-                       (AND (PAIRP |domain|) (EQ (QCDR |domain|) NIL)
+                       (AND (CONSP |domain|) (EQ (QCDR |domain|) NIL)
                             (EQ (QCAR |domain|) '|Float|)))
                    (INTEGERP |x|) (INTEGERP |y|) (INTEGERP |z|)
                    (> |z| 0)
@@ -664,11 +664,11 @@ these functions return an updated ``layout so far'' in general
                  (SPADLET |x| (CONS |op| |l|))))
               (COND
                 ((BOOT-EQUAL |op| 'LAMBDA-CLOSURE) '|Closure|)
-                ((AND (PAIRP |x|) (EQ (QCAR |x|) '|break|)) '|break|)
-                ((AND (PAIRP |x|) (EQ (QCAR |x|) 'SEGMENT)
+                ((AND (CONSP |x|) (EQ (QCAR |x|) '|break|)) '|break|)
+                ((AND (CONSP |x|) (EQ (QCAR |x|) 'SEGMENT)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |x|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
                  (SPADLET |a'| (|outputTran| |a|))
@@ -676,14 +676,14 @@ these functions return an updated ``layout so far'' in general
                    ((LISTP |a'|)
                     (SPADLET |a'| (CONS 'PAREN (CONS |a'| NIL)))))
                  (CONS 'SEGMENT (CONS |a'| NIL)))
-                ((AND (PAIRP |x|) (EQ (QCAR |x|) 'SEGMENT)
+                ((AND (CONSP |x|) (EQ (QCAR |x|) 'SEGMENT)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |x|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |a| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |b| (QCAR |ISTMP#2|))
@@ -697,27 +697,27 @@ these functions return an updated ``layout so far'' in general
                    ((LISTP |b'|)
                     (SPADLET |b'| (CONS 'PAREN (CONS |b'| NIL)))))
                  (CONS 'SEGMENT (CONS |a'| (CONS |b'| NIL))))
-                ((OR (AND (PAIRP |op|) (EQ (QCAR |op|) '|$elt|)
+                ((OR (AND (CONSP |op|) (EQ (QCAR |op|) '|$elt|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |op|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |targ| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |fun| (QCAR |ISTMP#2|))
                                       'T))))))
-                     (AND (NULL |$InteractiveMode|) (PAIRP |op|)
+                     (AND (NULL |$InteractiveMode|) (CONSP |op|)
                           (EQ (QCAR |op|) '|elt|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |op|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |targ| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |fun| (QCAR |ISTMP#2|))
@@ -730,27 +730,27 @@ these functions return an updated ``layout so far'' in general
                  (CONS 'CONCAT
                        (CONS (|outputTran| (CONS |fun| |l|))
                              (CONS "$" (CONS |targ'| NIL)))))
-                ((OR (AND (PAIRP |x|) (EQ (QCAR |x|) '|$elt|)
+                ((OR (AND (CONSP |x|) (EQ (QCAR |x|) '|$elt|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |x|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |targ| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#2|))
                                       'T))))))
-                     (AND (NULL |$InteractiveMode|) (PAIRP |x|)
+                     (AND (NULL |$InteractiveMode|) (CONSP |x|)
                           (EQ (QCAR |x|) '|elt|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |x|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |targ| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#2|))
@@ -763,14 +763,14 @@ these functions return an updated ``layout so far'' in general
                  (CONS 'CONCAT
                        (CONS (|outputTran| |c|)
                              (CONS "$" (CONS |targ'| NIL)))))
-                ((AND (PAIRP |x|) (EQ (QCAR |x|) '-)
+                ((AND (CONSP |x|) (EQ (QCAR |x|) '-)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |x|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |a| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |b| (QCAR |ISTMP#2|))
@@ -787,10 +787,10 @@ these functions return an updated ``layout so far'' in general
                        (CONS '+
                              (CONS |a|
                                    (CONS (CONS '- (CONS |b| NIL)) NIL))))))
-                   ((AND (PAIRP |b|) (EQ (QCAR |b|) '-)
+                   ((AND (CONSP |b|) (EQ (QCAR |b|) '-)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |b|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |c| (QCAR |ISTMP#1|))
@@ -800,35 +800,35 @@ these functions return an updated ``layout so far'' in general
                     (CONS '+
                           (CONS |a|
                                 (CONS (CONS '- (CONS |b| NIL)) NIL))))))
-                ((AND (PAIRP |x|) (EQ (QCAR |x|) '**)
+                ((AND (CONSP |x|) (EQ (QCAR |x|) '**)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |x|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQUAL (QCAR |ISTMP#1|) '"%e")
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |foo1| (QCAR |ISTMP#2|))
                                       'T)))))
-                      (PAIRP |foo1|) (EQUAL (QCAR |foo1|) '"/")
+                      (CONSP |foo1|) (EQUAL (QCAR |foo1|) '"/")
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |foo1|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |foo2| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |foo3| (QCAR |ISTMP#2|))
                                       'T)))))
-                      (INTEGERP |foo3|) (PAIRP |foo2|)
+                      (INTEGERP |foo3|) (CONSP |foo2|)
                       (EQ (QCAR |foo2|) '|log|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |foo2|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |foo4| (QCAR |ISTMP#1|))
@@ -840,55 +840,55 @@ these functions return an updated ``layout so far'' in general
                     (CONS 'ROOT
                           (CONS (|outputTran| |foo4|)
                                 (CONS (|outputTran| |foo3|) NIL))))))
-                ((AND (PAIRP |x|) (EQ (QCAR |x|) '**)
+                ((AND (CONSP |x|) (EQ (QCAR |x|) '**)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |x|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQUAL (QCAR |ISTMP#1|) '"%e")
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |foo1| (QCAR |ISTMP#2|))
                                       'T)))))
-                      (PAIRP |foo1|)
+                      (CONSP |foo1|)
                       (PROGN
                         (SPADLET |op'| (QCAR |foo1|))
                         (SPADLET |ISTMP#1| (QCDR |foo1|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |foo2| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |foo3| (QCAR |ISTMP#2|))
                                       'T)))))
                       (BOOT-EQUAL |op'| "*")
-                      (OR (AND (PAIRP |foo3|) (EQ (QCAR |foo3|) '|log|)
+                      (OR (AND (CONSP |foo3|) (EQ (QCAR |foo3|) '|log|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCDR |foo3|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |foo4|
                                          (QCAR |ISTMP#1|))
                                         'T))))
-                          (AND (PAIRP |foo2|) (EQ (QCAR |foo2|) '|log|)
+                          (AND (CONSP |foo2|) (EQ (QCAR |foo2|) '|log|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCDR |foo2|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |foo4|
                                          (QCAR |ISTMP#1|))
                                         'T))))))
                  (COND
-                   ((AND (PAIRP |foo3|) (EQ (QCAR |foo3|) '|log|)
+                   ((AND (CONSP |foo3|) (EQ (QCAR |foo3|) '|log|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |foo3|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |foo4| (QCAR |ISTMP#1|))
@@ -926,18 +926,18 @@ these functions return an updated ``layout so far'' in general
                  (COND
                    ((BOOT-EQUAL |op| '*)
                     (COND
-                      ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL)
+                      ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
                             (PROGN (SPADLET |a| (QCAR |l|)) 'T))
                        (|outputTran| |a|))
-                      ((AND (PAIRP |l|)
+                      ((AND (CONSP |l|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCAR |l|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCAR |ISTMP#1|) '-)
                                    (PROGN
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |a| (QCAR |ISTMP#2|))
@@ -969,7 +969,7 @@ these functions return an updated ``layout so far'' in general
                                      (SETQ G166662
                                       (APPEND G166662
                                        (COND
-                                         ((AND (PAIRP |ss|)
+                                         ((AND (CONSP |ss|)
                                            (EQ (QCAR |ss|) '*)
                                            (PROGN
                                              (SPADLET |ll| (QCDR |ss|))
@@ -978,7 +978,7 @@ these functions return an updated ``layout so far'' in general
                                          ('T (CONS |ss| NIL))))))))))))))
                    ((BOOT-EQUAL |op| '+)
                     (COND
-                      ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL)
+                      ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
                             (PROGN (SPADLET |a| (QCAR |l|)) 'T))
                        (|outputTran| |a|))
                       ('T
@@ -998,7 +998,7 @@ these functions return an updated ``layout so far'' in general
                                      (SETQ G166675
                                       (APPEND G166675
                                        (COND
-                                         ((AND (PAIRP |ss|)
+                                         ((AND (CONSP |ss|)
                                            (EQ (QCAR |ss|) '+)
                                            (PROGN
                                              (SPADLET |ll| (QCDR |ss|))
@@ -1011,11 +1011,11 @@ these functions return an updated ``layout so far'' in general
                            '|horizontal|)
                        (SPADLET |op| 'SLASH)
                        (COND
-                         ((AND (PAIRP |l|)
+                         ((AND (CONSP |l|)
                                (PROGN
                                  (SPADLET |a| (QCAR |l|))
                                  (SPADLET |ISTMP#1| (QCDR |l|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |b| (QCAR |ISTMP#1|))
@@ -1033,15 +1033,15 @@ these functions return an updated ``layout so far'' in general
                          ('T (BREAK))))
                       ('T (SPADLET |op| 'OVER)
                        (COND
-                         ((AND (PAIRP |l|)
+                         ((AND (CONSP |l|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCAR |l|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCAR |ISTMP#1|) '-)
                                       (PROGN
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (SPADLET |a|
@@ -1053,17 +1053,17 @@ these functions return an updated ``layout so far'' in general
                                     (CONS (CONS |op| (CONS |a| |b|))
                                      NIL))))
                          ('T (CONS (|outputTran| |op|) |l|))))))
-                   ((AND (BOOT-EQUAL |op| '|\||) (PAIRP |l|)
+                   ((AND (BOOT-EQUAL |op| '|\||) (CONSP |l|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCAR |l|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCAR |ISTMP#1|) '|Tuple|)
                                 (PROGN
                                   (SPADLET |u| (QCDR |ISTMP#1|))
                                   'T)))
                          (PROGN
                            (SPADLET |ISTMP#2| (QCDR |l|))
-                           (AND (PAIRP |ISTMP#2|)
+                           (AND (CONSP |ISTMP#2|)
                                 (EQ (QCDR |ISTMP#2|) NIL)
                                 (PROGN
                                   (SPADLET |pred| (QCAR |ISTMP#2|))
@@ -1164,13 +1164,13 @@ NIL
              (SPADLET |exitform| (CAR |LETTMP#1|))
              (SPADLET |l| (NREVERSE (CDR |LETTMP#1|)))
              (COND
-               ((AND (PAIRP |exitform|) (EQ (QCAR |exitform|) '|exit|)
+               ((AND (CONSP |exitform|) (EQ (QCAR |exitform|) '|exit|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |exitform|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |a| (QCAR |ISTMP#2|))
@@ -1393,18 +1393,18 @@ NIL
                 |s| |ISTMP#1| |p| |op|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'STEP)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'STEP)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |n| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |init| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (PROGN
                                      (SPADLET |step| (QCAR |ISTMP#3|))
                                      (SPADLET |final| (QCDR |ISTMP#3|))
@@ -1429,22 +1429,22 @@ NIL
                (CONS (|outputTran| |n|)
                      (CONS |init'|
                            (CONS (|outputTran| |step|) |final'|)))))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'IN)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'IN)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |n| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |s| (QCAR |ISTMP#2|)) 'T))))))
          (CONS 'IN
                (CONS (|outputTran| |n|) (CONS (|outputTran| |s|) NIL))))
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |op| (QCAR |x|))
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T)))
               (|member| |op| '(|\|| UNTIL WHILE)))
          (SPADLET |op| (DOWNCASE |op|))
@@ -1475,22 +1475,22 @@ NIL
   (PROG (|op| |ISTMP#2| |a| |b| |ISTMP#1| |c| |aPart| |l|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |op| (QCAR |x|))
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) 'T))))))
          (SPADLET |a| (|outputTran| |a|))
          (SPADLET |b| (|outputTran| |b|))
          (COND
            ((BOOT-EQUAL |op| '|cons|)
             (COND
-              ((AND (PAIRP |b|) (EQ (QCAR |b|) '|construct|)
+              ((AND (CONSP |b|) (EQ (QCAR |b|) '|construct|)
                     (PROGN (SPADLET |l| (QCDR |b|)) 'T))
                (CONS '|construct| (CONS |a| |l|)))
               ('T
@@ -1503,19 +1503,19 @@ NIL
            ((BOOT-EQUAL |op| '|nconc|)
             (SPADLET |aPart|
                      (COND
-                       ((AND (PAIRP |a|) (EQ (QCAR |a|) '|construct|)
+                       ((AND (CONSP |a|) (EQ (QCAR |a|) '|construct|)
                              (PROGN
                                (SPADLET |ISTMP#1| (QCDR |a|))
-                               (AND (PAIRP |ISTMP#1|)
+                               (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#1|))
                                       'T)))
-                             (PAIRP |c|) (EQ (QCAR |c|) 'SEGMENT))
+                             (CONSP |c|) (EQ (QCAR |c|) 'SEGMENT))
                         |c|)
                        ('T (CONS '|:| (CONS |a| NIL)))))
             (COND
-              ((AND (PAIRP |b|) (EQ (QCAR |b|) '|construct|)
+              ((AND (CONSP |b|) (EQ (QCAR |b|) '|construct|)
                     (PROGN (SPADLET |l| (QCDR |b|)) 'T))
                (CONS '|construct| (CONS |aPart| |l|)))
               ('T
@@ -2384,25 +2384,25 @@ NIL
   (PROG (|argl| |a| |op| |n| |m|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'REDUCE))
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'REDUCE))
          (COND
            ((BOOT-EQUAL |key| '|left|) 130)
            ((BOOT-EQUAL |key| '|right|) 0)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'REPEAT))
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'REPEAT))
          (COND
            ((BOOT-EQUAL |key| '|left|) 130)
            ((BOOT-EQUAL |key| '|right|) 0)))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'COND))
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'COND))
          (COND
            ((BOOT-EQUAL |key| '|left|) 130)
            ((BOOT-EQUAL |key| '|right|) 0)))
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |op| (QCAR |x|))
                 (SPADLET |argl| (QCDR |x|))
                 'T))
          (COND
-           ((AND (PAIRP |op|) (PROGN (SPADLET |a| (QCAR |op|)) 'T))
+           ((AND (CONSP |op|) (PROGN (SPADLET |a| (QCAR |op|)) 'T))
             (SPADLET |op| |a|)))
          (COND
            ((BOOT-EQUAL |op| 'SLASH)
@@ -2474,10 +2474,10 @@ NIL
   (PROG (|ISTMP#1|)
     (RETURN
       (PROGN
-        (OR (AND (PAIRP |u|)
+        (OR (AND (CONSP |u|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |u|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) 'T))))
             (THROW '|outputFailure| '|outputFailure|))
         (SPADLET |d| (|appChar| (|specialChar| '|lbrk|) |x| |y| |d|))
@@ -2496,10 +2496,10 @@ NIL
   (PROG (|ISTMP#1|)
     (RETURN
       (PROGN
-        (OR (AND (PAIRP |u|)
+        (OR (AND (CONSP |u|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |u|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) 'T))))
             (THROW '|outputFailure| '|outputFailure|))
         (SPADLET |d| (|appChar| (|specialChar| '|lbrc|) |x| |y| |d|))
@@ -2518,7 +2518,7 @@ NIL
       (SEQ (COND
              ((PROGN
                 (SPADLET |ISTMP#1| (CDR |u|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |l| (QCDR |ISTMP#1|))
@@ -2564,7 +2564,7 @@ NIL
     (RETURN
       (SEQ (PROGN
              (COND
-               ((AND (PAIRP |u|)
+               ((AND (CONSP |u|)
                      (PROGN
                        (SPADLET |a| (QCAR |u|))
                        (SPADLET |l| (QCDR |u|))
@@ -2697,10 +2697,10 @@ NIL
         ((ATOM |u|) (|#| (|atom2String| |u|)))
         ((PROGN
            (SPADLET |ISTMP#1| (|putWidth| |u|))
-           (AND (PAIRP |ISTMP#1|)
+           (AND (CONSP |ISTMP#1|)
                 (PROGN
                   (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                  (AND (PAIRP |ISTMP#2|)
+                  (AND (CONSP |ISTMP#2|)
                        (PROGN (SPADLET |n| (QCDR |ISTMP#2|)) 'T)))))
          |n|)
         ('T (THROW '|outputFailure| '|outputFailure|))))))
@@ -2745,10 +2745,10 @@ NIL
     (RETURN
       (SEQ (COND
              ((OR (ATOM |u|)
-                  (AND (PAIRP |u|)
+                  (AND (CONSP |u|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCAR |u|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |n| (QCDR |ISTMP#1|))
                                 'T)))
@@ -2762,7 +2762,7 @@ NIL
                        (COND ((GETL |firstEl| 'INFIXOP) 0) ('T 1)))
               (SPADLET |argsWidth|
                        (COND
-                         ((AND (PAIRP |l|)
+                         ((AND (CONSP |l|)
                                (PROGN
                                  (SPADLET |firstArg| (QCAR |l|))
                                  (SPADLET |restArg| (QCDR |l|))
@@ -2983,14 +2983,14 @@ NIL
         ((AND (ATOM |x|) (SPADLET |u| (|assoc| |x| |$MatrixList|)))
          (SPADLET |$MatrixList| (|delete| |u| |$MatrixList|))
          (|maPrin| (|deMatrix| (CDR |u|))))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '=)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '=)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |arg| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) 'T))))))
          (COND
            ((SPADLET |u| (|assoc| |y| |$MatrixList|))
@@ -2999,20 +2999,20 @@ NIL
                 (CONS '=
                       (CONS |arg| (CONS (|deMatrix| (CDR |u|)) NIL)))))
            ('T (|maPrin| |x|))))
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'EQUATNUM)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'EQUATNUM)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |n| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) 'T))))))
          (COND
-           ((AND (PAIRP |$MatrixList|) (EQ (QCDR |$MatrixList|) NIL)
+           ((AND (CONSP |$MatrixList|) (EQ (QCDR |$MatrixList|) NIL)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCAR |$MatrixList|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |name| (QCAR |ISTMP#1|))
                           (SPADLET |value| (QCDR |ISTMP#1|))
@@ -3270,13 +3270,13 @@ NIL
   (PROG (|op| |r|)
     (RETURN
       (COND
-        ((AND (PAIRP |u|)
+        ((AND (CONSP |u|)
               (PROGN
                 (SPADLET |op| (QCAR |u|))
                 (SPADLET |r| (QCDR |u|))
                 'T))
          (COND
-           ((AND (PAIRP |op|) (EQ (QCAR |op|) 'MATRIX))
+           ((AND (CONSP |op|) (EQ (QCAR |op|) 'MATRIX))
             (|deMatrix| |u|))
            ('T (OR (|largeMatrixAlist| |op|) (|largeMatrixAlist| |r|)))))
         ('T NIL)))))
@@ -3404,7 +3404,7 @@ NIL
   (PROG (|a| |b| |res| |tail|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |a| (QCAR |u|))
                      (SPADLET |b| (QCDR |u|))
@@ -3453,14 +3453,14 @@ NIL
   (PROG (|ISTMP#1| |bot| |ISTMP#2| |arg|)
     (RETURN
       (PROGN
-        (OR (AND (PAIRP |u|)
+        (OR (AND (CONSP |u|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |u|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |bot| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN
                                  (SPADLET |arg| (QCAR |ISTMP#2|))
@@ -3682,14 +3682,14 @@ NIL
   (PROG (|ISTMP#1| |bot| |ISTMP#2| |arg|)
     (RETURN
       (PROGN
-        (OR (AND (PAIRP |u|)
+        (OR (AND (CONSP |u|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |u|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |bot| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN
                                  (SPADLET |arg| (QCAR |ISTMP#2|))
@@ -4314,10 +4314,10 @@ NIL
                        (CONS "output:   " NIL)))
            (SPADCALL (SPADCALL |textwrit|) |expr| |printfun|)
            (|sayMSGNT| '|%l|))
-          ((AND (PAIRP |domain|) (EQ (QCAR |domain|) '|Tuple|)
+          ((AND (CONSP |domain|) (EQ (QCAR |domain|) '|Tuple|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |domain|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET S (QCAR |ISTMP#1|)) 'T))))
            (|output| (|asTupleAsList| |expr|)
                (CONS '|List| (CONS S NIL))))
@@ -4509,7 +4509,7 @@ NIL
     (DECLARE (SPECIAL |$OutputForm|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |op| (QCAR |form|))
                      (SPADLET |argl| (QCDR |form|))
@@ -4575,7 +4575,7 @@ NIL
   (PROG (|op| |args| |n| |newop|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |args| (QCDR |x|))
@@ -4615,16 +4615,16 @@ NIL
              (|printBasic| (|specialChar| '|lbrk|))
              (SPADLET |initialFlag| (|isInitialMap| |u|))
              (COND
-               ((AND (PAIRP |u|)
+               ((AND (CONSP |u|)
                      (PROGN
                        (SPADLET |x| (QCAR |u|))
                        (SPADLET |l| (QCDR |u|))
                        'T))
                 (|printMap1| |x|
-                    (AND |initialFlag| (PAIRP |x|)
+                    (AND |initialFlag| (CONSP |x|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCAR |x|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |n| (QCAR |ISTMP#1|))
@@ -4650,20 +4650,20 @@ NIL
 (DEFUN |isInitialMap| (|u|)
   (PROG (|n| |ISTMP#3| |l| |ISTMP#1| |ISTMP#2|)
     (RETURN
-      (SEQ (AND (PAIRP |u|)
+      (SEQ (AND (CONSP |u|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |u|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (SPADLET |n| (QCAR |ISTMP#2|))
                                 'T)))
                        (PROGN
                          (SPADLET |ISTMP#3| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#3|)
+                         (AND (CONSP |ISTMP#3|)
                               (EQ (QCDR |ISTMP#3|) NIL)))))
                 (PROGN (SPADLET |l| (QCDR |u|)) 'T) (INTEGERP |n|)
                 (PROG (G169051)
@@ -4677,18 +4677,18 @@ NIL
                          G169051)
                       (SEQ (EXIT (SETQ G169051
                                        (AND G169051
-                                        (AND (PAIRP |x|)
+                                        (AND (CONSP |x|)
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (QCAR |x|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (EQ (QCDR |ISTMP#1|) NIL)
                                             (EQUAL (QCAR |ISTMP#1|)
                                              |i|)))
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCDR |x|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL))))))))))))))))
 
 ;printMap1(x,initialFlag) ==
@@ -4766,12 +4766,12 @@ NIL
     (DECLARE (SPECIAL |$testOutputLineList| |$testOutputLineFlag|))
     (RETURN
       (SEQ (COND
-             ((OR (AND (PAIRP |u|) (EQ (QCAR |u|) 'SC)
+             ((OR (AND (CONSP |u|) (EQ (QCAR |u|) 'SC)
                        (PROGN (SPADLET |l| (QCDR |u|)) 'T))
-                  (AND (PAIRP |u|)
+                  (AND (CONSP |u|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCAR |u|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) 'SC)))
                        (PROGN (SPADLET |l| (QCDR |u|)) 'T)))
               (DO ((G169131 |l| (CDR G169131)) (|a| NIL))
@@ -4780,24 +4780,24 @@ NIL
                    NIL)
                 (SEQ (EXIT (|charyTop| |a| |start| |linelength|))))
               " ")
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) 'CONCATB)))
                    (PROGN
                      (SPADLET |ISTMP#2| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#2|)
+                     (AND (CONSP |ISTMP#2|)
                           (PROGN
                             (SPADLET |ISTMP#3| (REVERSE |ISTMP#2|))
                             'T)
-                          (PAIRP |ISTMP#3|)
+                          (CONSP |ISTMP#3|)
                           (PROGN
                             (SPADLET |ISTMP#4| (QCAR |ISTMP#3|))
-                            (AND (PAIRP |ISTMP#4|)
+                            (AND (CONSP |ISTMP#4|)
                                  (PROGN
                                    (SPADLET |ISTMP#5| (QCAR |ISTMP#4|))
-                                   (AND (PAIRP |ISTMP#5|)
+                                   (AND (CONSP |ISTMP#5|)
                                     (EQ (QCAR |ISTMP#5|) 'SC)))
                                  (PROGN
                                    (SPADLET |l| (QCDR |ISTMP#4|))
@@ -4807,10 +4807,10 @@ NIL
               (|charyTop| (CONS 'CONCATB |m|) |start| |linelength|)
               (|charyTop| (CONS 'SC |l|) (PLUS |start| 2)
                           (SPADDIFFERENCE |linelength| 2)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'CENTER)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'CENTER)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T))))
               (SPADLET |b| (|charyTopWidth| |a|))
               (COND
@@ -4893,13 +4893,13 @@ NIL
   (PROG (|op| |r| |op1| |r1|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |op| (QCAR |u|))
                      (SPADLET |r| (QCDR |u|))
                      'T))
               (COND
-                ((AND (PAIRP |op|) (EQ (QCAR |op|) 'MATRIX)
+                ((AND (CONSP |op|) (EQ (QCAR |op|) 'MATRIX)
                       (BOOT-EQUAL |u| |m|))
                  |m1|)
                 ('T (SPADLET |op1| (|sublisMatAlist| |m| |m1| |op|))
@@ -4998,15 +4998,15 @@ NIL
          (COND
            ((PROGN
               (SPADLET |ISTMP#1| (CDR |v|))
-              (AND (PAIRP |ISTMP#1|)
+              (AND (CONSP |ISTMP#1|)
                    (PROGN
                      (SPADLET |loop| (QCAR |ISTMP#1|))
                      (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                     (AND (PAIRP |ISTMP#2|)
+                     (AND (CONSP |ISTMP#2|)
                           (EQ (QCAR |ISTMP#2|) '|repeat|)
                           (PROGN
                             (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                            (AND (PAIRP |ISTMP#3|)
+                            (AND (CONSP |ISTMP#3|)
                                  (EQ (QCDR |ISTMP#3|) NIL)
                                  (PROGN
                                    (SPADLET |body| (QCAR |ISTMP#3|))
@@ -5018,20 +5018,20 @@ NIL
                 (SPADDIFFERENCE |linelength| 2)))
            ((AND (PROGN
                    (SPADLET |ISTMP#1| (CDR |v|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |wu| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |loop| (QCAR |ISTMP#2|))
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCAR |ISTMP#3|) '|repeat|)
                                       (PROGN
                                         (SPADLET |ISTMP#4|
                                          (QCDR |ISTMP#3|))
-                                        (AND (PAIRP |ISTMP#4|)
+                                        (AND (CONSP |ISTMP#4|)
                                          (EQ (QCDR |ISTMP#4|) NIL)
                                          (PROGN
                                            (SPADLET |body|
@@ -5039,15 +5039,15 @@ NIL
                                            'T)))))))))
                  (PROGN
                    (SPADLET |ISTMP#1| (|keyp| |wu|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (EQ (QCAR |ISTMP#1|) 'CONCATB)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |wu'| (QCAR |ISTMP#2|))
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)))))))
                  (|member| |wu'| '(|while| |until|)))
             (|charyTop|
@@ -5851,18 +5851,18 @@ NIL
         (SPADLET |numw| (WIDTH (SPADLET |num| (CADR |u|))))
         (SPADLET |denw| (WIDTH (SPADLET |den| (CADDR |u|))))
         (COND
-          ((AND (PAIRP |num|)
+          ((AND (CONSP |num|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |num|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN (SPADLET |op| (QCAR |ISTMP#1|)) 'T)))
                 (BOOT-EQUAL |op| 'OVER))
            (SPADLET |numw| (PLUS |numw| 2))))
         (COND
-          ((AND (PAIRP |den|)
+          ((AND (CONSP |den|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCAR |den|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN (SPADLET |op| (QCAR |ISTMP#1|)) 'T)))
                 (BOOT-EQUAL |op| 'OVER))
            (SPADLET |denw| (PLUS |denw| 2))))
@@ -7485,31 +7485,31 @@ NIL
            ((NEQUAL |c| '|outputFailure|) |c|)
            ('T (|sayKeyedMsg| 'S2IX0009 NIL)
             (COND
-              ((OR (AND (PAIRP |u|) (EQ (QCAR |u|) 'EQUATNUM)
+              ((OR (AND (CONSP |u|) (EQ (QCAR |u|) 'EQUATNUM)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCDR |u|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (SPADLET |num| (QCAR |ISTMP#1|))
                                  (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                 (AND (PAIRP |ISTMP#2|)
+                                 (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |form|
                                          (QCAR |ISTMP#2|))
                                         'T))))))
-                   (AND (PAIRP |u|)
+                   (AND (CONSP |u|)
                         (PROGN
                           (SPADLET |ISTMP#1| (QCAR |u|))
-                          (AND (PAIRP |ISTMP#1|)
+                          (AND (CONSP |ISTMP#1|)
                                (EQ (QCAR |ISTMP#1|) 'EQUATNUM)))
                         (PROGN
                           (SPADLET |ISTMP#2| (QCDR |u|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |num| (QCAR |ISTMP#2|))
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |form|
diff --git a/src/interp/i-resolv.lisp.pamphlet b/src/interp/i-resolv.lisp.pamphlet
index f836cec..441a101 100644
--- a/src/interp/i-resolv.lisp.pamphlet
+++ b/src/interp/i-resolv.lisp.pamphlet
@@ -74,17 +74,17 @@ this symmetric resolution is done the following way:
   (PROG (|tail| |ISTMP#1| |v| |allVars| |a|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |a| (QCAR |u|))
                      (SPADLET |tail| (QCDR |u|))
                      'T))
               (SPADLET |allVars|
                        (COND
-                         ((AND (PAIRP |a|) (EQ (QCAR |a|) '|Variable|)
+                         ((AND (CONSP |a|) (EQ (QCAR |a|) '|Variable|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCDR |a|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |v| (QCAR |ISTMP#1|))
@@ -97,12 +97,12 @@ this symmetric resolution is done the following way:
                    NIL)
                 (SEQ (EXIT (SPADLET |allVars|
                                     (COND
-                                      ((AND (PAIRP |b|)
+                                      ((AND (CONSP |b|)
                                         (EQ (QCAR |b|) '|Variable|)
                                         (PROGN
                                           (SPADLET |ISTMP#1|
                                            (QCDR |b|))
-                                          (AND (PAIRP |ISTMP#1|)
+                                          (AND (CONSP |ISTMP#1|)
                                            (EQ (QCDR |ISTMP#1|) NIL)
                                            (PROGN
                                              (SPADLET |v|
@@ -206,9 +206,9 @@ this symmetric resolution is done the following way:
         ((OR (BOOT-EQUAL |t1| |$Any|) (BOOT-EQUAL |t2| |$Any|)) |$Any|)
         ((BOOT-EQUAL |t1| '(|Exit|)) |t2|)
         ((BOOT-EQUAL |t2| '(|Exit|)) |t1|)
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Union|))
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Union|))
          (|resolveTTUnion| |t1| |t2|))
-        ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Union|))
+        ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Union|))
          (|resolveTTUnion| |t2| |t1|))
         ((STRINGP |t1|)
          (COND ((BOOT-EQUAL |t2| |$String|) |t2|) ('T NIL)))
@@ -349,7 +349,7 @@ this symmetric resolution is done the following way:
                         ((AND |doms|
                               (PROGN
                                 (SPADLET |ISTMP#1| (CAR |doms|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) '|:|))))
                          (SPADLET |tagged| 'T)
                          (PROG (G166204)
@@ -376,7 +376,7 @@ this symmetric resolution is done the following way:
              (COND
                ((|member| |t2| |unionDoms1|) |t1|)
                (|tagged| NIL)
-               ((NULL (AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Union|)
+               ((NULL (AND (CONSP |t2|) (EQ (QCAR |t2|) '|Union|)
                            (PROGN (SPADLET |doms2| (QCDR |t2|)) 'T)))
                 (SPADLET |ud| NIL) (SPADLET |bad| NIL)
                 (DO ((G166221 |doms| (CDR G166221)) (|d| NIL))
@@ -416,7 +416,7 @@ this symmetric resolution is done the following way:
 ;  -- rest of the resolve world. I'll leave it for Albi to fix those
 ;  -- things. (RSS 1/-86)
 ;  -- following is just an efficiency hack
-;  (t1 = '(Symbol) or t1 is ['OrderedVariableList,.]) and PAIRP(t2) and
+;  (t1 = '(Symbol) or t1 is ['OrderedVariableList,.]) and CONSP(t2) and
 ;    CAR(t2) in '(Polynomial RationalFunction) => t2
 ;  (t1 = '(Symbol)) and ofCategory(t2, '(IntegerNumberSystem)) =>
 ;    resolveTT1(['Polynomial, t2], t2)
@@ -504,13 +504,13 @@ this symmetric resolution is done the following way:
     (RETURN
       (COND
         ((AND (OR (BOOT-EQUAL |t1| '(|Symbol|))
-                  (AND (PAIRP |t1|)
+                  (AND (CONSP |t1|)
                        (EQ (QCAR |t1|) '|OrderedVariableList|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |t1|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCDR |ISTMP#1|) NIL)))))
-              (PAIRP |t2|)
+              (CONSP |t2|)
               (|member| (CAR |t2|) '(|Polynomial| |RationalFunction|)))
          |t2|)
         ((AND (BOOT-EQUAL |t1| '(|Symbol|))
@@ -526,53 +526,53 @@ this symmetric resolution is done the following way:
                   (BOOT-EQUAL |t2|
                       (CONS '|Complex| (CONS |$DoubleFloat| NIL)))))
          (CONS '|Expression| (CONS (CADR |t2|) NIL)))
-        ((AND (BOOT-EQUAL |t1| '(|AlgebraicNumber|)) (PAIRP |t2|)
+        ((AND (BOOT-EQUAL |t1| '(|AlgebraicNumber|)) (CONSP |t2|)
               (EQ (QCAR |t2|) '|Complex|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t2|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
          (|resolveTT1| '(|Expression| (|Integer|)) |t2|))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|SimpleAlgebraicExtension|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|SimpleAlgebraicExtension|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET F (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |Rep| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |poly| (QCAR |ISTMP#3|))
                                      'T))))))))
          (COND
            ((BOOT-EQUAL |t2| |Rep|) |t1|)
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|UnivariatePolynomial|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|UnivariatePolynomial|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |x| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN (SPADLET R (QCAR |ISTMP#2|)) 'T)))))
                  (SPADLET |t3| (|resolveTT| |t1| R)))
             (CONS '|UnivariatePolynomial| (CONS |x| (CONS |t3| NIL))))
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Variable|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Variable|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T)))
                  (SPADLET |t3| (|resolveTT| |t1| F)))
             (CONS '|UnivariatePolynomial| (CONS |x| (CONS |t3| NIL))))
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Polynomial|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Polynomial|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET R (QCAR |ISTMP#1|)) 'T)))
                  (SPADLET |R'| (|resolveTT| |Rep| |t2|)))
             (COND
@@ -586,41 +586,41 @@ this symmetric resolution is done the following way:
         ((AND (BOOT-EQUAL |t1| |$NonNegativeInteger|)
               (|ofCategory| |t2| '(|Ring|)))
          (|resolveTT1| |$Integer| |t2|))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|OrderedVariableList|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|OrderedVariableList|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |x| (QCAR |ISTMP#2|)) 'T))))))
          (|resolveTTSpecial| (CONS '|Variable| (CONS |x| NIL)) |t2|))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|OrderedVariableList|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|OrderedVariableList|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |vl| (QCAR |ISTMP#1|)) 'T))))
          (COND
            ((|ofCategory| |t2| '(|Ring|))
             (|resolveTT| (CONS '|Polynomial| (CONS '(|Integer|) NIL))
                 |t2|))
            ('T (|resolveTT| |$Symbol| |t2|))))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Variable|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Variable|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T))))
          (COND
            ((EQCAR |t2| '|SimpleAlgebraicExtension|)
             (|resolveTTSpecial| |t2| |t1|))
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|UnivariatePolynomial|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|UnivariatePolynomial|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |y| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN (SPADLET S (QCAR |ISTMP#2|)) 'T))))))
             (COND
@@ -630,22 +630,22 @@ this symmetric resolution is done the following way:
                    (CONS '|UnivariatePolynomial|
                          (CONS |x| (CONS '(|Integer|) NIL)))
                    |t2|))))
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Variable|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Variable|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
             (COND ((BOOT-EQUAL |x| |y|) |t1|) ('T |$Symbol|)))
            ((BOOT-EQUAL |t2| '(|Symbol|)) |t2|)
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Polynomial|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Polynomial|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
             |t2|)
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|OrderedVariableList|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|OrderedVariableList|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |vl| (QCAR |ISTMP#1|)) 'T)))
                  (|member| |x| |vl|))
             |t2|)
@@ -655,42 +655,42 @@ this symmetric resolution is done the following way:
            ('T
             (|resolveTT| (CONS '|Polynomial| (CONS '(|Integer|) NIL))
                 |t2|))))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|FunctionCalled|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|FunctionCalled|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |f| (QCAR |ISTMP#1|)) 'T)))
-              (PAIRP |t2|) (EQ (QCAR |t2|) '|FunctionCalled|)
+              (CONSP |t2|) (EQ (QCAR |t2|) '|FunctionCalled|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t2|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |g| (QCAR |ISTMP#1|)) 'T))))
          (COND
            ((NULL (SPADLET |mf| (|get| |f| '|mode| |$e|))) NIL)
            ((NULL (SPADLET |mg| (|get| |g| '|mode| |$e|))) NIL)
            ((NEQUAL |mf| |mg|) NIL)
            ('T |mf|)))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|UnivariatePolynomial|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|UnivariatePolynomial|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |x| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET S (QCAR |ISTMP#2|)) 'T))))))
          (COND
            ((EQCAR |t2| '|Variable|) (|resolveTTSpecial| |t2| |t1|))
            ((EQCAR |t2| '|SimpleAlgebraicExtension|)
             (|resolveTTSpecial| |t2| |t1|))
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|UnivariatePolynomial|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|UnivariatePolynomial|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |y| (QCAR |ISTMP#1|))
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQ (QCDR |ISTMP#2|) NIL)
                                (PROGN
                                  (SPADLET T$ (QCAR |ISTMP#2|))
@@ -700,67 +700,67 @@ this symmetric resolution is done the following way:
            ('T NIL)))
         ((BOOT-EQUAL |t1| '(|Pi|))
          (COND
-           ((AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Complex|)
+           ((AND (CONSP |t2|) (EQ (QCAR |t2|) '|Complex|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t2|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |d| (QCAR |ISTMP#1|)) 'T))))
             (|defaultTargetFE| |t2|))
-           ((AND (PAIRP |t2|) (EQ (QCDR |t2|) NIL)
+           ((AND (CONSP |t2|) (EQ (QCDR |t2|) NIL)
                  (EQ (QCAR |t2|) '|AlgebraicNumber|))
             (|defaultTargetFE| |t2|))
            ((OR (EQCAR |t2| '|Variable|) (BOOT-EQUAL |t2| |$Symbol|))
             (|defaultTargetFE| |$Symbol|))
-           ((OR (AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Polynomial|)
+           ((OR (AND (CONSP |t2|) (EQ (QCAR |t2|) '|Polynomial|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |t2|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQ (QCDR |ISTMP#1|) NIL))))
-                (AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Fraction|)
+                (AND (CONSP |t2|) (EQ (QCAR |t2|) '|Fraction|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |t2|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCAR |ISTMP#2|) '|Polynomial|)
                                    (PROGN
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)))))))))
             (|defaultTargetFE| |t2|))
            ('T NIL)))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Polynomial|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Polynomial|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (EQ (QCAR |ISTMP#2|) '|Complex|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (SPADLET |u1| (QCAR |ISTMP#3|))
                                      'T)))))))
-              (PAIRP |t2|) (EQ (QCAR |t2|) '|Complex|)
+              (CONSP |t2|) (EQ (QCAR |t2|) '|Complex|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t2|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |u2| (QCAR |ISTMP#1|)) 'T))))
          (|resolveTT1| |t1| |u2|))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Polynomial|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Polynomial|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET R (QCAR |ISTMP#1|)) 'T)))
-              (PAIRP |t2|) (EQ (QCAR |t2|) '|Complex|)
+              (CONSP |t2|) (EQ (QCAR |t2|) '|Complex|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t2|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET S (QCAR |ISTMP#1|)) 'T))))
          (COND
            ((|containsPolynomial| S)
@@ -772,29 +772,29 @@ this symmetric resolution is done the following way:
             (CONS '|Polynomial|
                   (CONS (CONS '|Complex| (CONS (|resolveTT1| R S) NIL))
                         NIL)))))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Expression|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Expression|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET R (QCAR |ISTMP#1|)) 'T)))
-              (PAIRP |t2|) (EQ (QCAR |t2|) '|Complex|)
+              (CONSP |t2|) (EQ (QCAR |t2|) '|Complex|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t2|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET S (QCAR |ISTMP#1|)) 'T))))
          (SPADLET |dom'| (|resolveTT| R |t2|))
          (COND
            ((NULL |dom'|) NIL)
            ('T (CONS '|Expression| (CONS |dom'| NIL)))))
-        ((AND (PAIRP |t1|) (EQ (QCAR |t1|) '|Segment|)
+        ((AND (CONSP |t1|) (EQ (QCAR |t1|) '|Segment|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t1|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |dom| (QCAR |ISTMP#1|)) 'T)))
-              (NULL (AND (PAIRP |t2|) (EQ (QCAR |t2|) '|Segment|)
+              (NULL (AND (CONSP |t2|) (EQ (QCAR |t2|) '|Segment|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |t2|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL))))))
          (SPADLET |dom'| (|resolveTT| |dom| |t2|))
          (COND
@@ -1090,14 +1090,14 @@ this symmetric resolution is done the following way:
     (RETURN
       (SEQ (COND
              ((ATOM |t|) |t|)
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Resolve|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Resolve|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -1105,40 +1105,40 @@ this symmetric resolution is done the following way:
               (AND (SPADLET |t1| (|resolveTTRed3| |a|))
                    (SPADLET |t2| (|resolveTTRed3| |b|))
                    (|resolveTT1| |t1| |t2|)))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Incl|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Incl|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (AND (|member| |a| |b|) |b|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetDiff|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetDiff|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (AND (|intersection| |a| |b|) (SETDIFFERENCE |a| |b|)))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetComp|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetComp|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -1154,53 +1154,53 @@ this symmetric resolution is done the following way:
                          (SEQ (EXIT (SETQ G166903
                                      (AND G166903 (|member| |x| |a|))))))))
                    (SETDIFFERENCE |a| |b|)))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetInter|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetInter|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (|intersection| |a| |b|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetUnion|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetUnion|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (|union| |a| |b|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|VarEqual|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|VarEqual|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (AND (BOOT-EQUAL |a| |b|) |a|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetEqual|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetEqual|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -1249,11 +1249,11 @@ this symmetric resolution is done the following way:
                                       G166950)))))))))))))
 
 ;interpOp?(op) ==
-;  PAIRP(op) and
+;  CONSP(op) and
 ;    CAR(op) in '(Incl SetDiff SetComp SetInter SetUnion VarEqual SetEqual)
 
 (DEFUN |interpOp?| (|op|)
-  (AND (PAIRP |op|)
+  (AND (CONSP |op|)
        (|member| (CAR |op|)
            '(|Incl| |SetDiff| |SetComp| |SetInter| |SetUnion|
                     |VarEqual| |SetEqual|))))
@@ -1297,14 +1297,14 @@ this symmetric resolution is done the following way:
          (|eqType| (CONS |$QuotientField| (CONS |t| NIL))))
         ((AND (BOOT-EQUAL |c| '(|Field|)) (BOOT-EQUAL |t| |$Symbol|))
          (CONS '|RationalFunction| (CONS |$Integer| NIL)))
-        ((AND (BOOT-EQUAL |c| '(|Ring|)) (PAIRP |t|)
+        ((AND (BOOT-EQUAL |c| '(|Ring|)) (CONSP |t|)
               (EQ (QCAR |t|) '|FactoredForm|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |t|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |t0| (QCAR |ISTMP#1|)) 'T))))
          (CONS '|FactoredRing| (CONS |t0| NIL)))
-        ((AND (PAIRP |t|) (EQ (QCDR |t|) NIL)
+        ((AND (CONSP |t|) (EQ (QCDR |t|) NIL)
               (PROGN (SPADLET |t0| (QCAR |t|)) 'T)
               (SPADLET |sd| (|getImmediateSuperDomain| |t0|))
               (NEQUAL |sd| |t0|))
@@ -1349,25 +1349,25 @@ this symmetric resolution is done the following way:
               NIL)
              ('T (SPADLET |cond| (CAR |conds|))
               (COND
-                ((NULL (AND (PAIRP |cond|)
+                ((NULL (AND (CONSP |cond|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |cond|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |ISTMP#2|
                                       (QCAR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCAR |ISTMP#2|) '|has|)
                                       (PROGN
                                         (SPADLET |ISTMP#3|
                                          (QCDR |ISTMP#2|))
-                                        (AND (PAIRP |ISTMP#3|)
+                                        (AND (CONSP |ISTMP#3|)
                                          (PROGN
                                            (SPADLET |pat|
                                             (QCAR |ISTMP#3|))
                                            (SPADLET |ISTMP#4|
                                             (QCDR |ISTMP#3|))
-                                           (AND (PAIRP |ISTMP#4|)
+                                           (AND (CONSP |ISTMP#4|)
                                             (EQ (QCDR |ISTMP#4|) NIL)
                                             (PROGN
                                               (SPADLET |c1|
@@ -1406,7 +1406,7 @@ this symmetric resolution is done the following way:
       (CONS 'ATTRIBUTE (CONS |cat| NIL))))
 
 ;getConditionalCategoryOfType(t,conditions,match) ==
-;  if PAIRP t then t := first t
+;  if CONSP t then t := first t
 ;  t in '(Union Mapping Record) => NIL
 ;  conCat := GETDATABASE(t,'CONSTRUCTORCATEGORY)
 ;  REMDUP CDR getConditionalCategoryOfType1(conCat,conditions,match,[NIL])
@@ -1415,7 +1415,7 @@ this symmetric resolution is done the following way:
   (PROG (|conCat|)
     (RETURN
       (PROGN
-        (COND ((PAIRP |t|) (SPADLET |t| (CAR |t|))))
+        (COND ((CONSP |t|) (SPADLET |t| (CAR |t|))))
         (COND
           ((|member| |t| '(|Union| |Mapping| |Record|)) NIL)
           ('T (SPADLET |conCat| (GETDATABASE |t| 'CONSTRUCTORCATEGORY))
@@ -1449,9 +1449,9 @@ this symmetric resolution is done the following way:
   (declare (special |$TriangleVariableList|))
     (RETURN
       (SEQ (COND
-             ((OR (AND (PAIRP |cat|) (EQ (QCAR |cat|) '|Join|)
+             ((OR (AND (CONSP |cat|) (EQ (QCAR |cat|) '|Join|)
                        (PROGN (SPADLET |cs| (QCDR |cat|)) 'T))
-                  (AND (PAIRP |cat|) (EQ (QCAR |cat|) 'CATEGORY)
+                  (AND (CONSP |cat|) (EQ (QCAR |cat|) 'CATEGORY)
                        (PROGN (SPADLET |cs| (QCDR |cat|)) 'T)))
               (COND
                 ((NULL |cs|) |conditions|)
@@ -1461,24 +1461,24 @@ this symmetric resolution is done the following way:
                      (|getConditionalCategoryOfType1| (CAR |cs|)
                          |conditions| |match| |seen|)
                      |match| |seen|))))
-             ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'IF)
+             ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'IF)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |cat|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |cond| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL))))))))
               (COND
                 ((|matchUpToPatternVars| |cond| |match| NIL)
                  (RPLACD |conditions| (CONS |cat| (CDR |conditions|)))
                  |conditions|)
                 ('T |conditions|)))
-             ((AND (PAIRP |cat|)
+             ((AND (CONSP |cat|)
                    (PROGN (SPADLET |catName| (QCAR |cat|)) 'T)
                    (BOOT-EQUAL (GETDATABASE |catName| 'CONSTRUCTORKIND)
                        '|category|))
@@ -1513,8 +1513,8 @@ this symmetric resolution is done the following way:
 ;    (p := ASSOC(pat,patAlist)) => EQUAL(form,CDR p)
 ;    patAlist := [[pat,:form],:patAlist]
 ;    true
-;  PAIRP(pat) =>
-;    not (PAIRP form) => NIL
+;  CONSP(pat) =>
+;    not (CONSP form) => NIL
 ;    matchUpToPatternVars(CAR pat, CAR form,patAlist) and
 ;      matchUpToPatternVars(CDR pat, CDR form,patAlist)
 ;  NIL
@@ -1531,9 +1531,9 @@ this symmetric resolution is done the following way:
            ('T
             (SPADLET |patAlist| (CONS (CONS |pat| |form|) |patAlist|))
             'T)))
-        ((PAIRP |pat|)
+        ((CONSP |pat|)
          (COND
-           ((NULL (PAIRP |form|)) NIL)
+           ((NULL (CONSP |form|)) NIL)
            ('T
             (AND (|matchUpToPatternVars| (CAR |pat|) (CAR |form|)
                      |patAlist|)
@@ -1617,7 +1617,7 @@ this symmetric resolution is done the following way:
     (RETURN
       (COND
         ((BOOT-EQUAL |t| |m|) |t|)
-        ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Union|))
+        ((AND (CONSP |m|) (EQ (QCAR |m|) '|Union|))
          (|resolveTMUnion| |t| |m|))
         ((BOOT-EQUAL |m| '(|Void|)) |m|)
         ((BOOT-EQUAL |m| '(|Any|)) |m|)
@@ -1637,26 +1637,26 @@ this symmetric resolution is done the following way:
               ('T (SPADLET |$Subst| (CONS (CONS |m| |t|) |$Subst|))
                |t|)))
            ((OR (ATOM |t|) (ATOM |m|)) NIL)
-           ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Record|)
-                 (PROGN (SPADLET |tr| (QCDR |t|)) 'T) (PAIRP |m|)
+           ((AND (CONSP |t|) (EQ (QCAR |t|) '|Record|)
+                 (PROGN (SPADLET |tr| (QCDR |t|)) 'T) (CONSP |m|)
                  (EQ (QCAR |m|) '|Record|)
                  (PROGN (SPADLET |mr| (QCDR |m|)) 'T)
                  (SPADLET |tt| (|resolveTMRecord| |tr| |mr|)))
             |tt|)
-           ((OR (AND (PAIRP |t|) (EQ (QCAR |t|) '|Record|))
-                (AND (PAIRP |m|) (EQ (QCAR |m|) '|Record|)))
+           ((OR (AND (CONSP |t|) (EQ (QCAR |t|) '|Record|))
+                (AND (CONSP |m|) (EQ (QCAR |m|) '|Record|)))
             NIL)
-           ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Variable|)
+           ((AND (CONSP |t|) (EQ (QCAR |t|) '|Variable|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)))
-                 (PAIRP |m|) (EQ (QCAR |m|) '|Mapping|))
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)))
+                 (CONSP |m|) (EQ (QCAR |m|) '|Mapping|))
             |m|)
-           ((AND (PAIRP |t|) (EQ (QCAR |t|) '|FunctionCalled|)
+           ((AND (CONSP |t|) (EQ (QCAR |t|) '|FunctionCalled|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |t|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)))
-                 (PAIRP |m|) (EQ (QCAR |m|) '|Mapping|))
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)))
+                 (CONSP |m|) (EQ (QCAR |m|) '|Mapping|))
             |m|)
            ('T
             (COND
@@ -1757,7 +1757,7 @@ this symmetric resolution is done the following way:
              (SPADLET |ums| (CDR |m|))
              (COND
                ((|isTaggedUnion| |m|) (|resolveTMTaggedUnion| |t| |m|))
-               ((NULL (AND (PAIRP |t|) (EQ (QCAR |t|) '|Union|)
+               ((NULL (AND (CONSP |t|) (EQ (QCAR |t|) '|Union|)
                            (PROGN (SPADLET |uts| (QCDR |t|)) 'T)))
                 (SPADLET |ums|
                          (REMDUP (|spliceTypeListForEmptyMode|
@@ -1825,7 +1825,7 @@ this symmetric resolution is done the following way:
     (RETURN
       (COND
         ((NULL |ml|) NIL)
-        ((AND (PAIRP |ml|)
+        ((AND (CONSP |ml|)
               (PROGN
                 (SPADLET |m| (QCAR |ml|))
                 (SPADLET |ml'| (QCDR |ml|))
@@ -1936,7 +1936,7 @@ this symmetric resolution is done the following way:
 ;  t = $AnonymousFunction and m is ['Mapping,:.] => m
 ;  t is ['Variable,x] and m is ['OrderedVariableList,le] =>
 ;    isPatternVar le => ['OrderedVariableList,[x]]
-;    PAIRP(le) and MEMBER(x,le) => le
+;    CONSP(le) and MEMBER(x,le) => le
 ;    NIL
 ;  t is ['Fraction, ['Complex, t1]] and m is ['Complex, m1] =>
 ;    resolveTM1(['Complex, ['Fraction, t1]], m)
@@ -1959,79 +1959,79 @@ this symmetric resolution is done the following way:
   (declare (special |$AnonymousFunction|))
     (RETURN
       (SEQ (COND
-             ((AND (BOOT-EQUAL |t| |$AnonymousFunction|) (PAIRP |m|)
+             ((AND (BOOT-EQUAL |t| |$AnonymousFunction|) (CONSP |m|)
                    (EQ (QCAR |m|) '|Mapping|))
               |m|)
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Variable|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Variable|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T)))
-                   (PAIRP |m|) (EQ (QCAR |m|) '|OrderedVariableList|)
+                   (CONSP |m|) (EQ (QCAR |m|) '|OrderedVariableList|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |m|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |le| (QCAR |ISTMP#1|)) 'T))))
               (COND
                 ((|isPatternVar| |le|)
                  (CONS '|OrderedVariableList|
                        (CONS (CONS |x| NIL) NIL)))
-                ((AND (PAIRP |le|) (|member| |x| |le|)) |le|)
+                ((AND (CONSP |le|) (|member| |x| |le|)) |le|)
                 ('T NIL)))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Fraction|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Fraction|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCAR |ISTMP#2|) '|Complex|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |t1| (QCAR |ISTMP#3|))
                                       'T)))))))
-                   (PAIRP |m|) (EQ (QCAR |m|) '|Complex|)
+                   (CONSP |m|) (EQ (QCAR |m|) '|Complex|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |m|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |m1| (QCAR |ISTMP#1|)) 'T))))
               (|resolveTM1|
                   (CONS '|Complex|
                         (CONS (CONS '|Fraction| (CONS |t1| NIL)) NIL))
                   |m|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Fraction|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Fraction|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCAR |ISTMP#2|) '|Polynomial|)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#4|
                                        (QCAR |ISTMP#3|))
-                                      (AND (PAIRP |ISTMP#4|)
+                                      (AND (CONSP |ISTMP#4|)
                                        (EQ (QCAR |ISTMP#4|) '|Complex|)
                                        (PROGN
                                          (SPADLET |ISTMP#5|
                                           (QCDR |ISTMP#4|))
-                                         (AND (PAIRP |ISTMP#5|)
+                                         (AND (CONSP |ISTMP#5|)
                                           (EQ (QCDR |ISTMP#5|) NIL)
                                           (PROGN
                                             (SPADLET |t1|
                                              (QCAR |ISTMP#5|))
                                             'T)))))))))))
-                   (PAIRP |m|) (EQ (QCAR |m|) '|Complex|)
+                   (CONSP |m|) (EQ (QCAR |m|) '|Complex|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |m|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |m1| (QCAR |ISTMP#1|)) 'T))))
               (|resolveTM1|
                   (CONS '|Complex|
@@ -2042,8 +2042,8 @@ this symmetric resolution is done the following way:
                                      NIL))
                               NIL))
                   |m|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Mapping|)
-                   (PROGN (SPADLET |lt| (QCDR |t|)) 'T) (PAIRP |m|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Mapping|)
+                   (PROGN (SPADLET |lt| (QCDR |t|)) 'T) (CONSP |m|)
                    (EQ (QCAR |m|) '|Mapping|)
                    (PROGN (SPADLET |lm| (QCDR |m|)) 'T))
               (COND
@@ -2063,15 +2063,15 @@ this symmetric resolution is done the following way:
                                       (EXIT
                                        (SPADLET |l| (CONS |ok| |l|))))))))
                       (AND |ok| (CONS '|Mapping| (REVERSE |l|)))))))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Segment|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Segment|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) 'T)))
-                   (PAIRP |m|) (EQ (QCAR |m|) '|UniversalSegment|)
+                   (CONSP |m|) (EQ (QCAR |m|) '|UniversalSegment|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |m|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
               (|resolveTM1| (CONS '|UniversalSegment| (CONS |u| NIL))
                   |m|))
              ('T NIL))))))
@@ -2281,13 +2281,13 @@ this symmetric resolution is done the following way:
 ;  t is ['Resolve,a,b] =>
 ;    ( a := resolveTMRed1 a ) and ( b := resolveTMRed1 b ) and
 ;      resolveTM1(a,b)
-;  t is ['Incl,a,b] => PAIRP b and MEMBER(a,b) and b
-;  t is ['Diff,a,b] => PAIRP a and MEMBER(b,a) and SETDIFFERENCE(a,[b])
-;  t is ['SetIncl,a,b] => PAIRP b and and/[MEMBER(x,b) for x in a] and b
-;  t is ['SetDiff,a,b] => PAIRP b and PAIRP b and
+;  t is ['Incl,a,b] => CONSP b and MEMBER(a,b) and b
+;  t is ['Diff,a,b] => CONSP a and MEMBER(b,a) and SETDIFFERENCE(a,[b])
+;  t is ['SetIncl,a,b] => CONSP b and and/[MEMBER(x,b) for x in a] and b
+;  t is ['SetDiff,a,b] => CONSP b and CONSP b and
 ;                         INTERSECTION(a,b) and SETDIFFERENCE(a,b)
 ;  t is ['VarEqual,a,b] => (a = b) and b
-;  t is ['SetComp,a,b] => PAIRP a and PAIRP b and
+;  t is ['SetComp,a,b] => CONSP a and CONSP b and
 ;    and/[MEMBER(x,a) for x in b] and SETDIFFERENCE(a,b)
 ;  t is ['SimpleAlgebraicExtension,a,b,p] =>  -- this is a hack. RSS
 ;    ['SimpleAlgebraicExtension, resolveTMRed1 a, resolveTMRed1 b,p]
@@ -2298,14 +2298,14 @@ this symmetric resolution is done the following way:
     (RETURN
       (SEQ (COND
              ((ATOM |t|) |t|)
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Resolve|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Resolve|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -2313,46 +2313,46 @@ this symmetric resolution is done the following way:
               (AND (SPADLET |a| (|resolveTMRed1| |a|))
                    (SPADLET |b| (|resolveTMRed1| |b|))
                    (|resolveTM1| |a| |b|)))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Incl|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Incl|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
-              (AND (PAIRP |b|) (|member| |a| |b|) |b|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|Diff|)
+              (AND (CONSP |b|) (|member| |a| |b|) |b|))
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|Diff|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
-              (AND (PAIRP |a|) (|member| |b| |a|)
+              (AND (CONSP |a|) (|member| |b| |a|)
                    (SETDIFFERENCE |a| (CONS |b| NIL))))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetIncl|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetIncl|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
-              (AND (PAIRP |b|)
+              (AND (CONSP |b|)
                    (PROG (G167809)
                      (SPADLET G167809 'T)
                      (RETURN
@@ -2364,46 +2364,46 @@ this symmetric resolution is done the following way:
                          (SEQ (EXIT (SETQ G167809
                                      (AND G167809 (|member| |x| |b|))))))))
                    |b|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetDiff|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetDiff|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
-              (AND (PAIRP |b|) (PAIRP |b|) (|intersection| |a| |b|)
+              (AND (CONSP |b|) (CONSP |b|) (|intersection| |a| |b|)
                    (SETDIFFERENCE |a| |b|)))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|VarEqual|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|VarEqual|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
               (AND (BOOT-EQUAL |a| |b|) |b|))
-             ((AND (PAIRP |t|) (EQ (QCAR |t|) '|SetComp|)
+             ((AND (CONSP |t|) (EQ (QCAR |t|) '|SetComp|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    'T))))))
-              (AND (PAIRP |a|) (PAIRP |b|)
+              (AND (CONSP |a|) (CONSP |b|)
                    (PROG (G167823)
                      (SPADLET G167823 'T)
                      (RETURN
@@ -2415,19 +2415,19 @@ this symmetric resolution is done the following way:
                          (SEQ (EXIT (SETQ G167823
                                      (AND G167823 (|member| |x| |a|))))))))
                    (SETDIFFERENCE |a| |b|)))
-             ((AND (PAIRP |t|)
+             ((AND (CONSP |t|)
                    (EQ (QCAR |t|) '|SimpleAlgebraicExtension|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |t|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |p| (QCAR |ISTMP#3|))
@@ -2470,7 +2470,7 @@ this symmetric resolution is done the following way:
 (DEFUN |equiType| (|t|) |t|) 
 
 ;getUnderModeOf d ==
-;  not PAIRP d => NIL
+;  not CONSP d => NIL
 ;--  n := LASSOC(first d,$underDomainAlist) => d.n ----> $underDomainAlist NOW always NIL
 ;  for a in rest d for m in rest destructT d repeat
 ;    if m then return a
@@ -2479,7 +2479,7 @@ this symmetric resolution is done the following way:
   (PROG ()
     (RETURN
       (SEQ (COND
-             ((NULL (PAIRP |d|)) NIL)
+             ((NULL (CONSP |d|)) NIL)
              ('T
               (DO ((G167905 (CDR |d|) (CDR G167905)) (|a| NIL)
                    (G167906 (CDR (|destructT| |d|)) (CDR G167906))
diff --git a/src/interp/i-spec1.lisp.pamphlet b/src/interp/i-spec1.lisp.pamphlet
index 3e9d322..0b1c064 100644
--- a/src/interp/i-spec1.lisp.pamphlet
+++ b/src/interp/i-spec1.lisp.pamphlet
@@ -126,29 +126,29 @@ There are several special modes used in these functions:
     (DECLARE (SPECIAL |$compilingMap|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (PROGN
                                          (SPADLET |vars|
                                           (QCAR |ISTMP#2|))
                                          (SPADLET |ISTMP#3|
                                           (QCDR |ISTMP#2|))
-                                         (AND (PAIRP |ISTMP#3|)
+                                         (AND (CONSP |ISTMP#3|)
                                           (PROGN
                                             (SPADLET |types|
                                              (QCAR |ISTMP#3|))
                                             (SPADLET |ISTMP#4|
                                              (QCDR |ISTMP#3|))
-                                            (AND (PAIRP |ISTMP#4|)
+                                            (AND (CONSP |ISTMP#4|)
                                              (PROGN
                                                (SPADLET |ISTMP#5|
                                                 (QCDR |ISTMP#4|))
-                                               (AND (PAIRP |ISTMP#5|)
+                                               (AND (CONSP |ISTMP#5|)
                                                 (EQ (QCDR |ISTMP#5|)
                                                  NIL)
                                                 (PROGN
@@ -157,13 +157,13 @@ There are several special modes used in these functions:
                                                   'T)))))))))
                                 (PROGN
                                   (SPADLET |ISTMP#6| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#6|)
+                                  (AND (CONSP |ISTMP#6|)
                                        (PROGN
                                          (SPADLET |pred|
                                           (QCAR |ISTMP#6|))
                                          (SPADLET |ISTMP#7|
                                           (QCDR |ISTMP#6|))
-                                         (AND (PAIRP |ISTMP#7|)
+                                         (AND (CONSP |ISTMP#7|)
                                           (EQ (QCDR |ISTMP#7|) NIL)))))))))
               NIL)
              ('T
@@ -227,11 +227,11 @@ There are several special modes used in these functions:
                                        (CONS '|noMapVal| NIL)))))))
               (SPADLET |tar| (|getTarget| |t|))
               (COND
-                ((AND (NULL |m|) (PAIRP |tar|)
+                ((AND (NULL |m|) (CONSP |tar|)
                       (EQ (QCAR |tar|) '|Mapping|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |tar|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |argTypes| (QCDR |ISTMP#1|))
                                'T)))
@@ -260,7 +260,7 @@ There are several special modes used in these functions:
     (RETURN
       (PROGN
         (COND
-          ((AND (PAIRP |vars|) (EQ (QCDR |vars|) NIL)
+          ((AND (CONSP |vars|) (EQ (QCDR |vars|) NIL)
                 (PROGN (SPADLET |var| (QCAR |vars|)) 'T))
            (SPADLET |vars| |var|))
           ('T (SPADLET |vars| (CONS '|Tuple| |vars|))))
@@ -607,15 +607,15 @@ There are several special modes used in these functions:
                       |$genValue|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |var| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |eq| (QCAR |ISTMP#2|))
@@ -704,7 +704,7 @@ There are several special modes used in these functions:
   (PROG (|op| |l|)
     (RETURN
       (COND
-        ((AND (PAIRP |eq|)
+        ((AND (CONSP |eq|)
               (PROGN
                 (SPADLET |op| (QCAR |eq|))
                 (SPADLET |l| (QCDR |eq|))
@@ -748,15 +748,15 @@ There are several special modes used in these functions:
   (declare (special |$Boolean| |$genValue|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |x|)
+        ((NULL (AND (CONSP |x|)
                     (PROGN
                       (SPADLET |op| (QCAR |x|))
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |term1| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |term2| (QCAR |ISTMP#2|))
@@ -766,7 +766,7 @@ There are several special modes used in these functions:
          (|putTarget| |term2| |$Boolean|)
          (SPADLET |ms| (|bottomUp| |term1|))
          (COND
-           ((NULL (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+           ((NULL (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                        (EQUAL (QCAR |ms|) |$Boolean|)))
             (|throwKeyedMsgSP| 'S2IS0054
                 (CONS 1 (CONS "\"and\"" NIL)) |term1|))
@@ -779,7 +779,7 @@ There are several special modes used in these functions:
                   (|putModeSet| |x| |ms|))
                  ('T (SPADLET |ms| (|bottomUp| |term2|))
                   (COND
-                    ((NULL (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                    ((NULL (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                                 (EQUAL (QCAR |ms|) |$Boolean|)))
                      (|throwKeyedMsgSP| 'S2IS0054
                          (CONS 2 (CONS "\"and\"" NIL))
@@ -788,7 +788,7 @@ There are several special modes used in these functions:
                      (|putModeSet| |x| |ms|))))))
            ('T (SPADLET |ms| (|bottomUp| |term2|))
             (COND
-              ((NULL (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+              ((NULL (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                           (EQUAL (QCAR |ms|) |$Boolean|)))
                (|throwKeyedMsgSP| 'S2IS0054
                    (CONS 2 (CONS "\"and\"" NIL)) |term2|))
@@ -841,15 +841,15 @@ There are several special modes used in these functions:
   (declare (special |$Boolean| |$genValue|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |x|)
+        ((NULL (AND (CONSP |x|)
                     (PROGN
                       (SPADLET |op| (QCAR |x|))
                       (SPADLET |ISTMP#1| (QCDR |x|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |term1| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |term2| (QCAR |ISTMP#2|))
@@ -859,7 +859,7 @@ There are several special modes used in these functions:
          (|putTarget| |term2| |$Boolean|)
          (SPADLET |ms| (|bottomUp| |term1|))
          (COND
-           ((NULL (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+           ((NULL (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                        (EQUAL (QCAR |ms|) |$Boolean|)))
             (|throwKeyedMsgSP| 'S2IS0054
                 (CONS 1 (CONS "\"or\"" NIL)) |term1|))
@@ -872,7 +872,7 @@ There are several special modes used in these functions:
                   (|putModeSet| |x| |ms|))
                  ('T (SPADLET |ms| (|bottomUp| |term2|))
                   (COND
-                    ((NULL (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                    ((NULL (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                                 (EQUAL (QCAR |ms|) |$Boolean|)))
                      (|throwKeyedMsgSP| 'S2IS0054
                          (CONS 2 (CONS "\"or\"" NIL))
@@ -881,7 +881,7 @@ There are several special modes used in these functions:
                      (|putModeSet| |x| |ms|))))))
            ('T (SPADLET |ms| (|bottomUp| |term2|))
             (COND
-              ((NULL (AND (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+              ((NULL (AND (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                           (EQUAL (QCAR |ms|) |$Boolean|)))
                (|throwKeyedMsgSP| 'S2IS0054
                    (CONS 2 (CONS "\"or\"" NIL)) |term2|))
@@ -940,15 +940,15 @@ There are several special modes used in these functions:
   (declare (special |$Boolean| |$genValue|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |lhs| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |rhs|
@@ -960,7 +960,7 @@ There are several special modes used in these functions:
               (COND
                 ((NULL (PROGN
                          (SPADLET |ISTMP#1| (|objMode| |triple|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) '|Union|)
                               (PROGN
                                 (SPADLET |unionDoms| (QCDR |ISTMP#1|))
@@ -973,14 +973,14 @@ There are several special modes used in these functions:
                  (COND
                    ((PROGN
                       (SPADLET |ISTMP#1| (CAR |unionDoms|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)))))))
                     (DO ((|i| 0 (QSADD1 |i|))
                          (G166560 |unionDoms| (CDR G166560))
@@ -989,16 +989,16 @@ There are several special modes used in these functions:
                              (PROGN (SETQ |d| (CAR G166560)) NIL))
                          NIL)
                       (SEQ (EXIT (COND
-                                   ((AND (PAIRP |d|)
+                                   ((AND (CONSP |d|)
                                      (EQ (QCAR |d|) '|:|)
                                      (PROGN
                                        (SPADLET |ISTMP#1| (QCDR |d|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQUAL (QCAR |ISTMP#1|) |rhs|)
                                         (PROGN
                                           (SPADLET |ISTMP#2|
                                            (QCDR |ISTMP#1|))
-                                          (AND (PAIRP |ISTMP#2|)
+                                          (AND (CONSP |ISTMP#2|)
                                            (EQ (QCDR |ISTMP#2|) NIL))))))
                                     (SPADLET |rhstag| |i|))
                                    ('T NIL)))))
@@ -1086,15 +1086,15 @@ There are several special modes used in these functions:
     (DECLARE (SPECIAL |$declaredMode| |$localVars| |$genValue|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |lhs| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |rhs|
@@ -1164,15 +1164,15 @@ There are several special modes used in these functions:
                       |$genValue|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |lhs| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |rhs|
@@ -1241,7 +1241,7 @@ There are several special modes used in these functions:
         (SPADLET |v| (|getValue| |tree|))
         (SPADLET |t1| (|objMode| |v|))
         (COND
-          ((AND |$genValue| (PAIRP |t1|) (EQ (QCAR |t1|) '|Union|))
+          ((AND |$genValue| (CONSP |t1|) (EQ (QCAR |t1|) '|Union|))
            (SPADLET |v| (|coerceUnion2Branch| |v|))
            (SPADLET |t1| (|objMode| |v|))))
         (SPADLET |e| (|objVal| |v|))
@@ -1329,26 +1329,26 @@ There are several special modes used in these functions:
                             (SEQ (EXIT (SETQ G166918
                                         (APPEND G166918
                                          (COND
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'STEP)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |index|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (PROGN
                                                      (SPADLET |lower|
                                                       (QCAR |ISTMP#2|))
                                                      (SPADLET |ISTMP#3|
                                                       (QCDR |ISTMP#2|))
                                                      (AND
-                                                      (PAIRP |ISTMP#3|)
+                                                      (CONSP |ISTMP#3|)
                                                       (PROGN
                                                         (SPADLET |step|
                                                          (QCAR
@@ -1393,19 +1393,19 @@ There are several special modes used in these functions:
                                                             |upper|)
                                                            G166968)))))))))))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'IN)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |index|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -1418,19 +1418,19 @@ There are several special modes used in these functions:
                                                (CONS (|mkAtree1| |s|)
                                                 NIL)))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'ON)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |index|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -1446,12 +1446,12 @@ There are several special modes used in these functions:
                                                   (CONS |s| NIL)))
                                                 NIL)))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'WHILE)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -1463,12 +1463,12 @@ There are several special modes used in these functions:
                                               (CONS (|mkAtree1| |b|)
                                                NIL))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) '|\||)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -1480,7 +1480,7 @@ There are several special modes used in these functions:
                                               (CONS (|mkAtree1| |pred|)
                                                NIL))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (PROGN
                                                (SPADLET |op|
                                                 (QCAR |it|))
@@ -1507,24 +1507,24 @@ There are several special modes used in these functions:
                                      (SETQ G166979
                                       (APPEND G166979
                                        (COND
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'STEP))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'IN))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'ON))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'WHILE))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (PROGN
                                              (SPADLET |op| (QCAR |it|))
                                              (SPADLET |ISTMP#1|
                                               (QCDR |it|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (EQ (QCDR |ISTMP#1|) NIL)
                                               (PROGN
                                                 (SPADLET |b|
@@ -1535,12 +1535,12 @@ There are several special modes used in these functions:
                                            (CONS |op|
                                             (CONS (|mkAtree1| |b|) NIL))
                                            NIL))
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) '|\||)
                                            (PROGN
                                              (SPADLET |ISTMP#1|
                                               (QCDR |it|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (EQ (QCDR |ISTMP#1|) NIL)
                                               (PROGN
                                                 (SPADLET |pred|
@@ -1608,16 +1608,16 @@ There are several special modes used in these functions:
   (declare (special |$interpOnly|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |ISTMP#2|
                                            (REVERSE |ISTMP#1|))
                                   'T)
-                                (PAIRP |ISTMP#2|)
+                                (CONSP |ISTMP#2|)
                                 (PROGN
                                   (SPADLET |body| (QCAR |ISTMP#2|))
                                   (SPADLET |itrl| (QCDR |ISTMP#2|))
@@ -1631,11 +1631,11 @@ There are several special modes used in these functions:
                 ((AND (SPADLET |target| (|getTarget| |t|))
                       (NULL (|getTarget| |body|)))
                  (COND
-                   ((AND (PAIRP |target|)
+                   ((AND (CONSP |target|)
                          (PROGN
                            (SPADLET |agg| (QCAR |target|))
                            (SPADLET |ISTMP#1| (QCDR |target|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET S (QCAR |ISTMP#1|))
@@ -1660,12 +1660,12 @@ There are several special modes used in these functions:
                                  NIL))
                            NIL)
                         (SEQ (EXIT (COND
-                                     ((AND (PAIRP |itr|)
+                                     ((AND (CONSP |itr|)
                                        (EQ (QCAR |itr|) 'UNTIL)
                                        (PROGN
                                          (SPADLET |ISTMP#1|
                                           (QCDR |itr|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |pred|
@@ -1706,11 +1706,11 @@ There are several special modes used in these functions:
                     (PROGN (SETQ |iter| (CAR G167214)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((AND (PAIRP |iter|)
+                          ((AND (CONSP |iter|)
                                 (EQ (QCAR |iter|) 'WHILE)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |iter|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (SPADLET |pred|
@@ -1718,11 +1718,11 @@ There are several special modes used in these functions:
                                          'T))))
                            (|bottomUpCompilePredicate| |pred|
                                "while"))
-                          ((AND (PAIRP |iter|)
+                          ((AND (CONSP |iter|)
                                 (EQ (QCAR |iter|) 'SUCHTHAT)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |iter|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (SPADLET |pred|
@@ -1730,41 +1730,41 @@ There are several special modes used in these functions:
                                          'T))))
                            (|bottomUpCompilePredicate| |pred|
                                "|"))
-                          ((AND (PAIRP |iter|)
+                          ((AND (CONSP |iter|)
                                 (EQ (QCAR |iter|) 'UNTIL))
                            NIL)
-                          ((AND (PAIRP |iter|) (EQ (QCAR |iter|) 'IN)
+                          ((AND (CONSP |iter|) (EQ (QCAR |iter|) 'IN)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |iter|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |index|
                                           (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET |s|
                                              (QCAR |ISTMP#2|))
                                             'T))))))
                            (|upLoopIterIN| |iter| |index| |s|))
-                          ((AND (PAIRP |iter|) (EQ (QCAR |iter|) 'STEP)
+                          ((AND (CONSP |iter|) (EQ (QCAR |iter|) 'STEP)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |iter|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |index|
                                           (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (PROGN
                                             (SPADLET |lower|
                                              (QCAR |ISTMP#2|))
                                             (SPADLET |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (PROGN
                                                (SPADLET |step|
                                                 (QCAR |ISTMP#3|))
@@ -1819,30 +1819,30 @@ There are several special modes used in these functions:
              ((AND |$genValue|
                    (PROGN
                      (SPADLET |ISTMP#1| (CAR |iterMs|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) '|Union|))))
               (SPADLET |v| (|coerceUnion2Branch| (|getValue| |s|)))
               (SPADLET |m| (|objMode| |v|)) (|putValue| |s| |v|)
               (|putMode| |s| |m|) (SPADLET |iterMs| (CONS |m| NIL))
               (|putModeSet| |s| |iterMs|)))
            (COND
-             ((OR (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+             ((OR (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) '|Segment|)
                               (PROGN
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL))))))
-                  (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+                  (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) '|UniversalSegment|)
                               (PROGN
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)))))))
               (SPADLET |lower|
                        (CONS (|mkAtreeNode| '|lo|) (CONS |s| NIL)))
@@ -1863,14 +1863,14 @@ There are several special modes used in these functions:
                                     (CONS |step| |upperList|)))))
               (RPLACA |iter| (CAR |newIter|))
               (RPLACD |iter| (CDR |newIter|)))
-             ((NULL (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+             ((NULL (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCAR |ISTMP#1|) '|List|)
                                 (PROGN
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |ud|
@@ -1986,7 +1986,7 @@ There are several special modes used in these functions:
              (SPADLET |bod|
                       (|getArgValue| |body| (|computedMode| |body|)))
              (COND
-               ((NULL (AND (PAIRP |bod|) (EQ (QCAR |bod|) 'SPADCALL)))
+               ((NULL (AND (CONSP |bod|) (EQ (QCAR |bod|) 'SPADCALL)))
                 (SPADLET |bode| (CONS '|unwrap| (CONS |bod| NIL)))))
              (SPADLET |code|
                       (|timedOptimization|
@@ -2025,18 +2025,18 @@ There are several special modes used in these functions:
   (declare (special |$Boolean| |$env| |$SmallInteger| |$Integer|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'STEP)
+             ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'STEP)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |index| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |lower| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |step| (QCAR |ISTMP#3|))
                                       (SPADLET |upperList|
@@ -2066,18 +2066,18 @@ There are several special modes used in these functions:
                                                 (|getArgValue| |upper|
                                                  |$Integer|)
                                                 G167465))))))))))))
-             ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'ISTEP)
+             ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'ISTEP)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |index| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |lower| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |step| (QCAR |ISTMP#3|))
                                       (SPADLET |upperList|
@@ -2108,14 +2108,14 @@ There are several special modes used in these functions:
                                                 (|getArgValue| |upper|
                                                  |$SmallInteger|)
                                                 G167480))))))))))))
-             ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'IN)
+             ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'IN)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |index| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |s| (QCAR |ISTMP#2|))
@@ -2128,11 +2128,11 @@ There are several special modes used in these functions:
                                       (|get| |index| '|mode| |$env|)
                                       NIL)))
                                 NIL))))
-             ((AND (PAIRP |itr|)
+             ((AND (CONSP |itr|)
                    (PROGN
                      (SPADLET |x| (QCAR |itr|))
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |pred| (QCAR |ISTMP#1|)) 'T)))
                    (|member| |x| '(WHILE UNTIL SUCHTHAT)))
               (CONS |x| (CONS (|getArgValue| |pred| |$Boolean|) NIL))))))))
@@ -2262,18 +2262,18 @@ There are several special modes used in these functions:
                     |$Integer|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'STEP)
+             ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'STEP)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |index| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |lower| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |step| (QCAR |ISTMP#3|))
                                       (SPADLET |upperList|
@@ -2313,18 +2313,18 @@ There are several special modes used in these functions:
                                                 (|getArgValue| |upper|
                                                  |$Integer|)
                                                 G167719))))))))))))
-             ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'ISTEP)
+             ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'ISTEP)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |index| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |lower| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |step| (QCAR |ISTMP#3|))
                                       (SPADLET |upperList|
@@ -2365,14 +2365,14 @@ There are several special modes used in these functions:
                                                 (|getArgValue| |upper|
                                                  |$SmallInteger|)
                                                 G167743))))))))))))
-             ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'IN)
+             ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'IN)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |index| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |s| (QCAR |ISTMP#2|))
@@ -2382,10 +2382,10 @@ There are several special modes used in these functions:
               (SPADLET |LETTMP#1| (|bottomUp| |s|))
               (SPADLET |m| (CAR |LETTMP#1|))
               (COND
-                ((NULL (AND (PAIRP |m|) (EQ (QCAR |m|) '|List|)
+                ((NULL (AND (CONSP |m|) (EQ (QCAR |m|) '|List|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |m|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCDR |ISTMP#1|) NIL)
                                    (PROGN
                                      (SPADLET |um| (QCAR |ISTMP#1|))
@@ -2395,11 +2395,11 @@ There are several special modes used in these functions:
                  (CONS 'IN
                        (CONS (|getUnname| |index|)
                              (CONS (|getArgValue| |s| |m|) NIL))))))
-             ((AND (PAIRP |itr|)
+             ((AND (CONSP |itr|)
                    (PROGN
                      (SPADLET |x| (QCAR |itr|))
                      (SPADLET |ISTMP#1| (QCDR |itr|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |pred| (QCAR |ISTMP#1|)) 'T)))
                    (|member| |x| '(WHILE UNTIL SUCHTHAT)))
               (CONS |x|
@@ -2519,14 +2519,14 @@ There are several special modes used in these functions:
                       G167897)
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'IN)
+                            ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'IN)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |itr|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |s|
@@ -2534,44 +2534,44 @@ There are several special modes used in these functions:
                                           'T))))))
                              (SPADLET |iterMs| (|bottomUp| |s|))
                              (COND
-                               ((AND (PAIRP |iterMs|)
+                               ((AND (CONSP |iterMs|)
                                      (EQ (QCDR |iterMs|) NIL)
                                      (PROGN
                                        (SPADLET |ISTMP#1|
                                         (QCAR |iterMs|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCAR |ISTMP#1|) '|Stream|))))
                                 (SPADLET |isStream| 'T))
-                               ((AND (PAIRP |iterMs|)
+                               ((AND (CONSP |iterMs|)
                                      (EQ (QCDR |iterMs|) NIL)
                                      (PROGN
                                        (SPADLET |ISTMP#1|
                                         (QCAR |iterMs|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCAR |ISTMP#1|)
                                          '|InfiniteTuple|))))
                                 (SPADLET |isStream| 'T))
-                               ((AND (PAIRP |iterMs|)
+                               ((AND (CONSP |iterMs|)
                                      (EQ (QCDR |iterMs|) NIL)
                                      (PROGN
                                        (SPADLET |ISTMP#1|
                                         (QCAR |iterMs|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCAR |ISTMP#1|)
                                          '|UniversalSegment|))))
                                 (SPADLET |isStream| 'T))))
-                            ((AND (PAIRP |itr|) (EQ (QCAR |itr|) 'STEP)
+                            ((AND (CONSP |itr|) (EQ (QCAR |itr|) 'STEP)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |itr|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (PROGN
                                           (SPADLET |ISTMP#3|
                                            (QCDR |ISTMP#2|))
-                                          (AND (PAIRP |ISTMP#3|)
+                                          (AND (CONSP |ISTMP#3|)
                                            (EQ (QCDR |ISTMP#3|) NIL))))))))
                              (SPADLET |isStream| 'T))))))
              |isStream|)))))
@@ -2632,38 +2632,38 @@ There are several special modes used in these functions:
                     (PROGN (SETQ |iter| (CAR G168016)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((AND (PAIRP |iter|) (EQ (QCAR |iter|) 'IN)
+                          ((AND (CONSP |iter|) (EQ (QCAR |iter|) 'IN)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |iter|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |index|
                                           (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET |s|
                                              (QCAR |ISTMP#2|))
                                             'T))))))
                            (|upStreamIterIN| |iter| |index| |s|))
-                          ((AND (PAIRP |iter|) (EQ (QCAR |iter|) 'STEP)
+                          ((AND (CONSP |iter|) (EQ (QCAR |iter|) 'STEP)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |iter|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |index|
                                           (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (PROGN
                                             (SPADLET |lower|
                                              (QCAR |ISTMP#2|))
                                             (SPADLET |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (PROGN
                                                (SPADLET |step|
                                                 (QCAR |ISTMP#3|))
@@ -2708,23 +2708,23 @@ There are several special modes used in these functions:
       (PROGN
         (SPADLET |iterMs| (|bottomUp| |s|))
         (COND
-          ((OR (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+          ((OR (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) '|Segment|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL))))))
-               (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+               (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) '|UniversalSegment|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)))))))
            (SPADLET |lower|
                     (CONS (|mkAtreeNode| '|lo|) (CONS |s| NIL)))
@@ -2745,41 +2745,41 @@ There are several special modes used in these functions:
                                       (CONS |step| |upperList|)))))
            (RPLACA |iter| (CAR |newIter|))
            (RPLACD |iter| (CDR |newIter|)))
-          ((AND (NULL (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+          ((AND (NULL (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCAR |ISTMP#1|) '|List|)
                                   (PROGN
                                     (SPADLET |ISTMP#2|
                                      (QCDR |ISTMP#1|))
-                                    (AND (PAIRP |ISTMP#2|)
+                                    (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)
                                      (PROGN
                                        (SPADLET |ud| (QCAR |ISTMP#2|))
                                        'T)))))))
-                (NULL (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+                (NULL (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCAR |ISTMP#1|) '|Stream|)
                                   (PROGN
                                     (SPADLET |ISTMP#2|
                                      (QCDR |ISTMP#1|))
-                                    (AND (PAIRP |ISTMP#2|)
+                                    (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)
                                      (PROGN
                                        (SPADLET |ud| (QCAR |ISTMP#2|))
                                        'T)))))))
-                (NULL (AND (PAIRP |iterMs|) (EQ (QCDR |iterMs|) NIL)
+                (NULL (AND (CONSP |iterMs|) (EQ (QCDR |iterMs|) NIL)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCAR |ISTMP#1|) '|InfinitTuple|)
                                   (PROGN
                                     (SPADLET |ISTMP#2|
                                      (QCDR |ISTMP#1|))
-                                    (AND (PAIRP |ISTMP#2|)
+                                    (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)
                                      (PROGN
                                        (SPADLET |ud| (QCAR |ISTMP#2|))
@@ -2790,15 +2790,15 @@ There are several special modes used in these functions:
                |index|)
            (SPADLET |s|
                     (COND
-                      ((AND (PAIRP |iterMs|)
+                      ((AND (CONSP |iterMs|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCAR |iterMs|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCAR |ISTMP#1|) '|List|)
                                    (PROGN
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |ud| (QCAR |ISTMP#2|))
@@ -2985,18 +2985,18 @@ There are several special modes used in these functions:
         (SPADLET |val| (|getValue| |form|))
         (SPADLET |m| (|objMode| |val|))
         (COND
-          ((AND (NULL (AND (PAIRP |m|) (EQ (QCAR |m|) '|Stream|)
+          ((AND (NULL (AND (CONSP |m|) (EQ (QCAR |m|) '|Stream|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |m|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |ud| (QCAR |ISTMP#1|))
                                     'T)))))
-                (NULL (AND (PAIRP |m|) (EQ (QCAR |m|) '|InfiniteTuple|)
+                (NULL (AND (CONSP |m|) (EQ (QCAR |m|) '|InfiniteTuple|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |m|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |ud| (QCAR |ISTMP#1|))
@@ -3040,11 +3040,11 @@ There are several special modes used in these functions:
                       (PROGN (SETQ |iter| (CAR G168208)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |iter|)
+                            ((AND (CONSP |iter|)
                                   (EQ (QCAR |iter|) 'WHILE)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |iter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |pred|
@@ -3057,11 +3057,11 @@ There are several special modes used in these functions:
                              (SPADLET |s|
                                       (CONS (|mkAtreeNode| |fun|)
                                        (CONS |predVec| (CONS |s| NIL)))))
-                            ((AND (PAIRP |iter|)
+                            ((AND (CONSP |iter|)
                                   (EQ (QCAR |iter|) 'UNTIL)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |iter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |pred|
@@ -3074,11 +3074,11 @@ There are several special modes used in these functions:
                              (SPADLET |s|
                                       (CONS (|mkAtreeNode| |fun|)
                                        (CONS |predVec| (CONS |s| NIL)))))
-                            ((AND (PAIRP |iter|)
+                            ((AND (CONSP |iter|)
                                   (EQ (QCAR |iter|) 'SUCHTHAT)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |iter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |pred|
@@ -3126,20 +3126,20 @@ There are several special modes used in these functions:
         (SPADLET |s| (CDR G168248))
         (SPADLET |mode| (|objMode| (|getValue| |s|)))
         (COND
-          ((AND (NULL (AND (PAIRP |mode|) (EQ (QCAR |mode|) '|Stream|)
+          ((AND (NULL (AND (CONSP |mode|) (EQ (QCAR |mode|) '|Stream|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |mode|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |indMode|
                                      (QCAR |ISTMP#1|))
                                     'T)))))
-                (NULL (AND (PAIRP |mode|)
+                (NULL (AND (CONSP |mode|)
                            (EQ (QCAR |mode|) '|InfiniteTuple|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |mode|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |indMode|
@@ -3305,11 +3305,11 @@ There are several special modes used in these functions:
                     (COND
                       ((PROGN
                          (SPADLET |ISTMP#1| (CAR |args|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) 'STEP)
                               (PROGN
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (PROGN
                                        (SPADLET |var| (QCAR |ISTMP#2|))
                                        'T)))))
@@ -3364,11 +3364,11 @@ There are several special modes used in these functions:
                     (COND
                       ((PROGN
                          (SPADLET |ISTMP#1| (CAR |args|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCAR |ISTMP#1|) 'STEP)
                               (PROGN
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (PROGN
                                        (SPADLET |var| (QCAR |ISTMP#2|))
                                        'T)))))
@@ -3421,16 +3421,16 @@ There are several special modes used in these functions:
                                        G168424)))))))))))
                    ((BOOT-EQUAL |op| 'LET)
                     (COND
-                      ((AND (PAIRP |args|)
+                      ((AND (CONSP |args|)
                             (PROGN
                               (SPADLET |var| (QCAR |args|))
                               (SPADLET |ISTMP#1| (QCDR |args|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |form| (QCAR |ISTMP#1|))
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |name|
@@ -3534,18 +3534,18 @@ There are several special modes used in these functions:
         (SPADLET |val| (|getValue| |form|))
         (SPADLET |m| (|objMode| |val|))
         (COND
-          ((AND (NULL (AND (PAIRP |m|) (EQ (QCAR |m|) '|Stream|)
+          ((AND (NULL (AND (CONSP |m|) (EQ (QCAR |m|) '|Stream|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |m|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |ud| (QCAR |ISTMP#1|))
                                     'T)))))
-                (NULL (AND (PAIRP |m|) (EQ (QCAR |m|) '|InfiniteTuple|)
+                (NULL (AND (CONSP |m|) (EQ (QCAR |m|) '|InfiniteTuple|)
                            (PROGN
                              (SPADLET |ISTMP#1| (QCDR |m|))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (EQ (QCDR |ISTMP#1|) NIL)
                                   (PROGN
                                     (SPADLET |ud| (QCAR |ISTMP#1|))
@@ -3656,11 +3656,11 @@ There are several special modes used in these functions:
                       (PROGN (SETQ |iter| (CAR G168589)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (PAIRP |iter|)
+                            ((AND (CONSP |iter|)
                                   (EQ (QCAR |iter|) 'WHILE)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |iter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |pred|
@@ -3672,11 +3672,11 @@ There are several special modes used in these functions:
                              (SPADLET |s|
                                       (CONS (|mkAtreeNode| '|swhile|)
                                        (CONS |predVec| (CONS |s| NIL)))))
-                            ((AND (PAIRP |iter|)
+                            ((AND (CONSP |iter|)
                                   (EQ (QCAR |iter|) 'UNTIL)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |iter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |pred|
@@ -3688,11 +3688,11 @@ There are several special modes used in these functions:
                              (SPADLET |s|
                                       (CONS (|mkAtreeNode| '|suntil|)
                                        (CONS |predVec| (CONS |s| NIL)))))
-                            ((AND (PAIRP |iter|)
+                            ((AND (CONSP |iter|)
                                   (EQ (QCAR |iter|) 'SUCHTHAT)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |iter|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |pred|
@@ -3885,7 +3885,7 @@ There are several special modes used in these functions:
 ;  tar is ['Record,:types] => upRecordConstruct(op,l,tar)
 ;  isTaggedUnion tar => upTaggedUnionConstruct(op,l,tar)
 ;  aggs := '(List)
-;  if tar and PAIRP(tar) and ^isPartialMode(tar) then
+;  if tar and CONSP(tar) and ^isPartialMode(tar) then
 ;    CAR(tar) in aggs =>
 ;      ud :=
 ;        (l is [[realOp, :.]]) and (getUnname(realOp) = 'COLLECT) => tar
@@ -3922,7 +3922,7 @@ There are several special modes used in these functions:
               |ud| |mode| |tar|)
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |l| (QCDR |t|))
@@ -3932,23 +3932,23 @@ There are several special modes used in these functions:
               (SPADLET |tar| (OR (|getTarget| |op|) |dol|))
               (COND
                 ((NULL |l|) (|upNullList| |op| |l| |tar|))
-                ((AND (PAIRP |tar|) (EQ (QCAR |tar|) '|Record|)
+                ((AND (CONSP |tar|) (EQ (QCAR |tar|) '|Record|)
                       (PROGN (SPADLET |types| (QCDR |tar|)) 'T))
                  (|upRecordConstruct| |op| |l| |tar|))
                 ((|isTaggedUnion| |tar|)
                  (|upTaggedUnionConstruct| |op| |l| |tar|))
                 ('T (SPADLET |aggs| '(|List|))
                  (COND
-                   ((AND |tar| (PAIRP |tar|)
+                   ((AND |tar| (CONSP |tar|)
                          (NULL (|isPartialMode| |tar|)))
                     (COND
                       ((|member| (CAR |tar|) |aggs|)
                        (SPADLET |ud|
                                 (COND
-                                  ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL)
+                                  ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#1| (QCAR |l|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |realOp|
                                           (QCAR |ISTMP#1|))
@@ -3996,7 +3996,7 @@ There are several special modes used in these functions:
                                        (CONS (|bottomUp| |x|)
                                         G168756))))))))
                  (COND
-                   ((AND |dol| (PAIRP |dol|)
+                   ((AND |dol| (CONSP |dol|)
                          (PROGN (SPADLET |topType| (QCAR |dol|)) 'T)
                          (NULL (|member| |topType| |aggs|)))
                     (COND
@@ -4007,7 +4007,7 @@ There are several special modes used in these functions:
                                       (|getUnname| |op|) |l| |mmS|)))
                        (|putModeSet| |op| |mS|))
                       ('T NIL)))
-                   ((AND |tar| (PAIRP |tar|)
+                   ((AND |tar| (CONSP |tar|)
                          (PROGN (SPADLET |topType| (QCAR |tar|)) 'T)
                          (NULL (|member| |topType| |aggs|))
                          (SPADLET |mmS|
@@ -4039,33 +4039,33 @@ There are several special modes used in these functions:
                                           (CONS (CAR |x|) G168771)))))))
                                  |l|))
                     (COND
-                      ((AND (PAIRP |eltTypes|)
+                      ((AND (CONSP |eltTypes|)
                             (EQ (QCDR |eltTypes|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCAR |eltTypes|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCAR |ISTMP#1|) '|Tuple|)
                                    (PROGN
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |td| (QCAR |ISTMP#2|))
                                         'T))))))
                        (SPADLET |mode| (CONS '|List| (CONS |td| NIL)))
                        (|evalTupleConstruct| |op| |l| |mode| |tar|))
-                      ((AND (PAIRP |eltTypes|)
+                      ((AND (CONSP |eltTypes|)
                             (EQ (QCDR |eltTypes|) NIL)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCAR |eltTypes|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (EQ (QCAR |ISTMP#1|)
                                     '|InfiniteTuple|)
                                    (PROGN
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |td| (QCAR |ISTMP#2|))
@@ -4077,10 +4077,10 @@ There are several special modes used in these functions:
                       ('T
                        (COND
                          ((AND (NULL (|isPartialMode| |tar|))
-                               (PAIRP |tar|) (EQ (QCAR |tar|) '|List|)
+                               (CONSP |tar|) (EQ (QCAR |tar|) '|List|)
                                (PROGN
                                  (SPADLET |ISTMP#1| (QCDR |tar|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |ud| (QCAR |ISTMP#1|))
@@ -4315,7 +4315,7 @@ There are several special modes used in these functions:
     (RETURN
       (SEQ (COND
              ((NULL (|member| |$Symbol| |modeList|)) |modeList|)
-             ((AND (PAIRP |modeList|)
+             ((AND (CONSP |modeList|)
                    (PROGN
                      (SPADLET |a| (QCAR |modeList|))
                      (SPADLET |b| (QCDR |modeList|))
@@ -4376,11 +4376,11 @@ There are several special modes used in these functions:
       (PROGN
         (SPADLET |defMode|
                  (COND
-                   ((AND |tar| (PAIRP |tar|)
+                   ((AND |tar| (CONSP |tar|)
                          (PROGN
                            (SPADLET |a| (QCAR |tar|))
                            (SPADLET |ISTMP#1| (QCDR |tar|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |b| (QCAR |ISTMP#1|))
@@ -4415,7 +4415,7 @@ There are several special modes used in these functions:
   (PROG (|types| |obj| |code|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |tar|)
+        ((NULL (AND (CONSP |tar|)
                     (PROGN (SPADLET |types| (QCDR |tar|)) 'T)))
          NIL)
         ((NEQUAL (|#| |l|) 1)
@@ -4452,7 +4452,7 @@ There are several special modes used in these functions:
   (declare (special |$genValue|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |tar|)
+             ((NULL (AND (CONSP |tar|)
                          (PROGN (SPADLET |types| (QCDR |tar|)) 'T)))
               NIL)
              ('T (SPADLET |argModes| NIL)
@@ -4537,15 +4537,15 @@ There are several special modes used in these functions:
   (declare (special |$Void| |$localVars| |$genValue|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |lhs| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |rhs|
@@ -4583,41 +4583,41 @@ There are several special modes used in these functions:
                 ('T
                  (SPADLET |junk|
                           (COND
-                            ((OR (AND (PAIRP |lhs|)
+                            ((OR (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|free|)
                                       (PROGN
                                         (SPADLET |ISTMP#1|
                                          (QCDR |lhs|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCAR |ISTMP#2|)
                                              '|Tuple|)
                                             (PROGN
                                               (SPADLET |vars|
                                                (QCDR |ISTMP#2|))
                                               'T))))))
-                                 (AND (PAIRP |lhs|)
+                                 (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|free|)
                                       (PROGN
                                         (SPADLET |ISTMP#1|
                                          (QCDR |lhs|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCAR |ISTMP#2|)
                                              'LISTOF)
                                             (PROGN
                                               (SPADLET |vars|
                                                (QCDR |ISTMP#2|))
                                               'T))))))
-                                 (AND (PAIRP |lhs|)
+                                 (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|free|)
                                       (PROGN
                                         (SPADLET |vars| (QCDR |lhs|))
@@ -4633,41 +4633,41 @@ There are several special modes used in these functions:
                                      (|declare|
                                       (CONS '|free| (CONS |var| NIL))
                                       |mode|)))))
-                            ((OR (AND (PAIRP |lhs|)
+                            ((OR (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|local|)
                                       (PROGN
                                         (SPADLET |ISTMP#1|
                                          (QCDR |lhs|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCAR |ISTMP#2|)
                                              '|Tuple|)
                                             (PROGN
                                               (SPADLET |vars|
                                                (QCDR |ISTMP#2|))
                                               'T))))))
-                                 (AND (PAIRP |lhs|)
+                                 (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|local|)
                                       (PROGN
                                         (SPADLET |ISTMP#1|
                                          (QCDR |lhs|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (EQ (QCDR |ISTMP#1|) NIL)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCAR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCAR |ISTMP#2|)
                                              'LISTOF)
                                             (PROGN
                                               (SPADLET |vars|
                                                (QCDR |ISTMP#2|))
                                               'T))))))
-                                 (AND (PAIRP |lhs|)
+                                 (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|local|)
                                       (PROGN
                                         (SPADLET |vars| (QCDR |lhs|))
@@ -4683,12 +4683,12 @@ There are several special modes used in these functions:
                                      (|declare|
                                       (CONS '|local| (CONS |var| NIL))
                                       |mode|)))))
-                            ((OR (AND (PAIRP |lhs|)
+                            ((OR (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) '|Tuple|)
                                       (PROGN
                                         (SPADLET |vars| (QCDR |lhs|))
                                         'T))
-                                 (AND (PAIRP |lhs|)
+                                 (AND (CONSP |lhs|)
                                       (EQ (QCAR |lhs|) 'LISTOF)
                                       (PROGN
                                         (SPADLET |vars| (QCDR |lhs|))
@@ -4728,7 +4728,7 @@ There are several special modes used in these functions:
 ;    -- otherwise it looks like (Tuple #1 #2 ...)
 ;    nargs :=
 ;      null margs => 0
-;      PAIRP margs => -1 + #margs
+;      CONSP margs => -1 + #margs
 ;      1
 ;    nargs ^= #args => throwKeyedMsg("S2IM0008",[var])
 ;  if $compilingMap then mkLocalVar($mapName,var)
@@ -4750,17 +4750,17 @@ There are several special modes used in these functions:
     (RETURN
       (PROGN
         (COND
-          ((AND (PAIRP |var|) (EQ (QCAR |var|) '|local|)
+          ((AND (CONSP |var|) (EQ (QCAR |var|) '|local|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |var|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET |v| (QCAR |ISTMP#1|)) 'T))))
            (|uplocalWithType| |v| |mode|) (SPADLET |var| |v|)))
         (COND
-          ((AND (PAIRP |var|) (EQ (QCAR |var|) '|free|)
+          ((AND (CONSP |var|) (EQ (QCAR |var|) '|free|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |var|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET |v| (QCAR |ISTMP#1|)) 'T))))
            (|upfreeWithType| |v| |mode|) (SPADLET |var| |v|)))
         (COND
@@ -4772,11 +4772,11 @@ There are several special modes used in these functions:
            (COND
              ((|get| |var| '|isInterpreterFunction| |$e|)
               (COND
-                ((NULL (AND (PAIRP |mode|)
+                ((NULL (AND (CONSP |mode|)
                             (EQ (QCAR |mode|) '|Mapping|)
                             (PROGN
                               (SPADLET |ISTMP#1| (QCDR |mode|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |args| (QCDR |ISTMP#1|))
                                      'T)))))
@@ -4789,7 +4789,7 @@ There are several special modes used in these functions:
                  (SPADLET |nargs|
                           (COND
                             ((NULL |margs|) 0)
-                            ((PAIRP |margs|)
+                            ((CONSP |margs|)
                              (PLUS (SPADDIFFERENCE 1) (|#| |margs|)))
                             ('T 1)))
                  (COND
@@ -4800,7 +4800,7 @@ There are several special modes used in these functions:
              ('T (|clearDependencies| |var| 'T)))
            (COND
              ((|isLocalVar| |var|) (|put| |var| '|mode| |mode| |$env|))
-             ((AND (PAIRP |mode|) (EQ (QCAR |mode|) '|Mapping|))
+             ((AND (CONSP |mode|) (EQ (QCAR |mode|) '|Mapping|))
               (|declareMap| |var| |mode|))
              ((SPADLET |v| (|get| |var| '|value| |$e|))
               (COND
@@ -4827,7 +4827,7 @@ There are several special modes used in these functions:
         ((AND (SPADLET |v| (|get| |var| '|value| |$e|))
               (NULL (PROGN
                       (SPADLET |ISTMP#1| (|objVal| |v|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) 'MAP)))))
          (|throwKeyedMsg| 'S2IS0019 (CONS |var| NIL)))
         ((|isPartialMode| |mode|) (|throwKeyedMsg| 'S2IM0004 NIL))
@@ -4899,8 +4899,8 @@ There are several special modes used in these functions:
 ;  -- returns the value of form if form is a variable with a type value
 ;  IDENTP form and (val := (
 ;    get(form,'value,$InteractiveFrame) or _
-;    (PAIRP($env) and get(form,'value,$env)) or _
-;    (PAIRP($e) and get(form,'value,$e)))) and
+;    (CONSP($env) and get(form,'value,$env)) or _
+;    (CONSP($e) and get(form,'value,$e)))) and
 ;      objMode(val) in '((Domain) (SubDomain (Domain))) =>
 ;        objValUnwrap(val)
 ;  nil
@@ -4913,9 +4913,9 @@ There are several special modes used in these functions:
         ((AND (IDENTP |form|)
               (SPADLET |val|
                        (OR (|get| |form| '|value| |$InteractiveFrame|)
-                           (AND (PAIRP |$env|)
+                           (AND (CONSP |$env|)
                                 (|get| |form| '|value| |$env|))
-                           (AND (PAIRP |$e|)
+                           (AND (CONSP |$e|)
                                 (|get| |form| '|value| |$e|))))
               (|member| (|objMode| |val|)
                   '((|Domain|) (|SubDomain| (|Domain|)))))
@@ -4954,16 +4954,16 @@ There are several special modes used in these functions:
                     G169295)
                  (SEQ (EXIT (SETQ G169295
                                   (AND G169295
-                                       (AND (PAIRP |x|)
+                                       (AND (CONSP |x|)
                                         (EQ (QCAR |x|) '|:|)
                                         (PROGN
                                           (SPADLET |ISTMP#1|
                                            (QCDR |x|))
-                                          (AND (PAIRP |ISTMP#1|)
+                                          (AND (CONSP |ISTMP#1|)
                                            (PROGN
                                              (SPADLET |ISTMP#2|
                                               (QCDR |ISTMP#1|))
-                                             (AND (PAIRP |ISTMP#2|)
+                                             (AND (CONSP |ISTMP#2|)
                                               (EQ (QCDR |ISTMP#2|) NIL)
                                               (PROGN
                                                 (SPADLET |d|
@@ -4991,11 +4991,11 @@ There are several special modes used in these functions:
   (PROG (|op| |ISTMP#1| |rargs| |a|)
     (RETURN
       (COND
-        ((AND (PAIRP |m|)
+        ((AND (CONSP |m|)
               (PROGN
                 (SPADLET |op| (QCAR |m|))
                 (SPADLET |ISTMP#1| (QCDR |m|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |a| (QCAR |ISTMP#1|))
                        (SPADLET |rargs| (QCDR |ISTMP#1|))
@@ -5019,7 +5019,7 @@ There are several special modes used in these functions:
         ('T NIL)))))
 
 ;containsPolynomial m ==
-;  not PAIRP(m) => NIL
+;  not CONSP(m) => NIL
 ;  [d,:.] := m
 ;  d in $univariateDomains or d in $multivariateDomains or
 ;    d in '(Polynomial RationalFunction) => true
@@ -5030,7 +5030,7 @@ There are several special modes used in these functions:
   (declare (special |$multivariateDomains| |$univariateDomains|))
     (RETURN
       (COND
-        ((NULL (PAIRP |m|)) NIL)
+        ((NULL (CONSP |m|)) NIL)
         ('T (SPADLET |d| (CAR |m|))
          (COND
            ((OR (|member| |d| |$univariateDomains|)
@@ -5042,7 +5042,7 @@ There are several special modes used in these functions:
                  (|containsPolynomial| |m'|)))))))))
 
 ;containsVariables m ==
-;  not PAIRP(m) => NIL
+;  not CONSP(m) => NIL
 ;  [d,:.] := m
 ;  d in $univariateDomains or d in $multivariateDomains => true
 ;  (m' := underDomainOf m) and containsVariables m'
@@ -5052,7 +5052,7 @@ There are several special modes used in these functions:
   (declare (special |$multivariateDomains| |$univariateDomains|))
     (RETURN
       (COND
-        ((NULL (PAIRP |m|)) NIL)
+        ((NULL (CONSP |m|)) NIL)
         ('T (SPADLET |d| (CAR |m|))
          (COND
            ((OR (|member| |d| |$univariateDomains|)
@@ -5071,7 +5071,7 @@ There are several special modes used in these functions:
   (PROG (|x| |l'|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |l|)
+             ((AND (CONSP |l|)
                    (PROGN
                      (SPADLET |x| (QCAR |l|))
                      (SPADLET |l'| (QCDR |l|))
diff --git a/src/interp/i-spec2.lisp.pamphlet b/src/interp/i-spec2.lisp.pamphlet
index 7c470ca..e3fede7 100644
--- a/src/interp/i-spec2.lisp.pamphlet
+++ b/src/interp/i-spec2.lisp.pamphlet
@@ -78,20 +78,20 @@ There are several special modes used in these functions:
   (declare (special |$Void| |$e|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |def| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |pred| (QCAR |ISTMP#2|))
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)))))))))
          NIL)
         ('T (SPADLET |v| (|addDefMap| (CONS 'DEF |def|) |pred|))
@@ -148,7 +148,7 @@ There are several special modes used in these functions:
 ;      if x then putTarget(y,x)
 ;  putAtree(first form,'dollar,t)
 ;  ms := bottomUp form
-;  f in '(One Zero) and PAIRP(ms) and CAR(ms) = $OutputForm =>
+;  f in '(One Zero) and CONSP(ms) and CAR(ms) = $OutputForm =>
 ;    throwKeyedMsg("S2IS0021",[f,t])
 ;  putValue(op,getValue first form)
 ;  putModeSet(op,ms)
@@ -160,15 +160,15 @@ There are several special modes used in these functions:
                     |$localVars|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET D (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |form|
@@ -278,7 +278,7 @@ There are several special modes used in these functions:
                           (SPADLET |ms| (|bottomUp| |form|))
                           (COND
                             ((AND (|member| |f| '(|One| |Zero|))
-                                  (PAIRP |ms|)
+                                  (CONSP |ms|)
                                   (BOOT-EQUAL (CAR |ms|) |$OutputForm|))
                              (|throwKeyedMsg| 'S2IS0021
                                  (CONS |f| (CONS |t| NIL))))
@@ -317,14 +317,14 @@ There are several special modes used in these functions:
               NIL)
              ((AND (EQL |nargs| 1)
                    (SPADLET |ms| (|bottomUp| (CAR |args|)))
-                   (PAIRP |ms|) (EQ (QCDR |ms|) NIL)
+                   (CONSP |ms|) (EQ (QCDR |ms|) NIL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |ms|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (EQ (QCAR |ISTMP#1|) '|Tuple|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL))))))
               NIL)
              ((NULL (SPADLET |singles| (|isOpInDomain| |f| |t| 1)))
@@ -342,11 +342,11 @@ There are several special modes used in these functions:
                        (NULL (NULL |tuple|)))
                    NIL)
                 (SEQ (EXIT (COND
-                             ((AND (PAIRP |arg|)
+                             ((AND (CONSP |arg|)
                                    (EQ (QCAR |arg|) '|Tuple|)
                                    (PROGN
                                      (SPADLET |ISTMP#1| (QCDR |arg|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL))))
                               (SPADLET |tuple| |arg|))
                              ('T NIL)))))
@@ -448,15 +448,15 @@ There are several special modes used in these functions:
   (declare (special |$Boolean|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |tree|)
+        ((NULL (AND (CONSP |tree|)
                     (PROGN
                       (SPADLET |op| (QCAR |tree|))
                       (SPADLET |ISTMP#1| (QCDR |tree|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |lhs| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |rhs| (QCAR |ISTMP#2|))
@@ -483,16 +483,16 @@ There are several special modes used in these functions:
     (RETURN
       (COND
         ((NULL |$compilingMap|) NIL)
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN (SPADLET |msg| (QCAR |ISTMP#1|)) 'T)))))
          NIL)
         ('T (SPADLET |msgMs| (|bottomUp| |msg|))
          (COND
-           ((NULL (AND (PAIRP |msgMs|) (EQ (QCDR |msgMs|) NIL)
+           ((NULL (AND (CONSP |msgMs|) (EQ (QCDR |msgMs|) NIL)
                        (EQUAL (QCAR |msgMs|) |$String|)))
             NIL)
            ('T
@@ -565,15 +565,15 @@ There are several special modes used in these functions:
   (declare (special |$Boolean| |$genValue|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |type| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |prop| (QCAR |ISTMP#2|))
@@ -616,20 +616,20 @@ There are several special modes used in these functions:
   (declare (special |$genValue|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |cond| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |a| (QCAR |ISTMP#2|))
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (SPADLET |b| (QCAR |ISTMP#3|))
@@ -818,38 +818,38 @@ There are several special modes used in these functions:
     (RETURN
       (COND
         ((NULL |code|) |code|)
-        ((AND (PAIRP |code|) (EQ (QCAR |code|) '|spadThrowBrightly|))
+        ((AND (CONSP |code|) (EQ (QCAR |code|) '|spadThrowBrightly|))
          |code|)
         ((BOOT-EQUAL |m1| |$Exit|) |code|)
-        ((NULL (AND (PAIRP |code|) (EQ (QCAR |code|) 'COND)
+        ((NULL (AND (CONSP |code|) (EQ (QCAR |code|) 'COND)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |code|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (SPADLET |p1| (QCAR |ISTMP#2|))
                                     (SPADLET |ISTMP#3|
                                      (QCDR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCDR |ISTMP#3|) NIL)
                                      (PROGN
                                        (SPADLET |a1| (QCAR |ISTMP#3|))
                                        'T)))))
                            (PROGN
                              (SPADLET |ISTMP#4| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#4|)
+                             (AND (CONSP |ISTMP#4|)
                                   (EQ (QCDR |ISTMP#4|) NIL)
                                   (PROGN
                                     (SPADLET |ISTMP#5|
                                      (QCAR |ISTMP#4|))
-                                    (AND (PAIRP |ISTMP#5|)
+                                    (AND (CONSP |ISTMP#5|)
                                      (EQUAL (QCAR |ISTMP#5|) ''T)
                                      (PROGN
                                        (SPADLET |ISTMP#6|
                                         (QCDR |ISTMP#5|))
-                                       (AND (PAIRP |ISTMP#6|)
+                                       (AND (CONSP |ISTMP#6|)
                                         (EQ (QCDR |ISTMP#6|) NIL)
                                         (PROGN
                                           (SPADLET |a2|
@@ -925,15 +925,15 @@ There are several special modes used in these functions:
     (DECLARE (SPECIAL |$opIsIs|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |pattern|
@@ -952,15 +952,15 @@ There are several special modes used in these functions:
     (DECLARE (SPECIAL |$opIsIs|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |a| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |pattern|
@@ -988,7 +988,7 @@ There are several special modes used in these functions:
         (SPADLET |pattern| (CADDR |t|))
         (SPADLET |mS| (|bottomUp| |a|))
         (COND
-          ((NULL (AND (PAIRP |mS|) (EQ (QCDR |mS|) NIL)
+          ((NULL (AND (CONSP |mS|) (EQ (QCDR |mS|) NIL)
                       (PROGN (SPADLET |m| (QCAR |mS|)) 'T)))
            (|keyedSystemError| 'S2GE0016
                (CONS "upisAndIsnt"
@@ -1013,10 +1013,10 @@ There are several special modes used in these functions:
   (declare (special |$env| |$quadSymbol|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |m|) (EQ (QCAR |m|) '|List|)
+             ((NULL (AND (CONSP |m|) (EQ (QCAR |m|) '|List|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |m|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |um| (QCAR |ISTMP#1|))
@@ -1032,11 +1032,11 @@ There are several special modes used in these functions:
                               (AND (NULL
                                     (BOOT-EQUAL |pvar| |$quadSymbol|))
                                    (|put| |pvar| '|mode| |um| |$env|)))
-                             ((AND (PAIRP |pvar|)
+                             ((AND (CONSP |pvar|)
                                    (EQ (QCAR |pvar|) '|:|)
                                    (PROGN
                                      (SPADLET |ISTMP#1| (QCDR |pvar|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |var|
@@ -1045,10 +1045,10 @@ There are several special modes used in these functions:
                               (AND (NULL
                                     (BOOT-EQUAL |var| |$quadSymbol|))
                                    (|put| |var| '|mode| |m| |$env|)))
-                             ((AND (PAIRP |pvar|) (EQ (QCAR |pvar|) '=)
+                             ((AND (CONSP |pvar|) (EQ (QCAR |pvar|) '=)
                                    (PROGN
                                      (SPADLET |ISTMP#1| (QCDR |pvar|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |var|
@@ -1117,10 +1117,10 @@ There are several special modes used in these functions:
              (SEQ (EXIT (COND
                           ((AND (IDENTP |pat|) (|isLocalVar| |pat|))
                            (RETURN 'T))
-                          ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '|:|)
+                          ((AND (CONSP |pat|) (EQ (QCAR |pat|) '|:|)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |pat|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (SPADLET |var|
@@ -1128,10 +1128,10 @@ There are several special modes used in these functions:
                                          'T)))
                                 (|isLocalVar| |var|))
                            (RETURN 'T))
-                          ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '=)
+                          ((AND (CONSP |pat|) (EQ (QCAR |pat|) '=)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCDR |pat|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (SPADLET |var|
@@ -1170,19 +1170,19 @@ There are several special modes used in these functions:
                (SEQ (EXIT (COND
                             ((AND (IDENTP |pat|) (|isLocalVar| |pat|))
                              (SPADLET |vars| (CONS |pat| |vars|)))
-                            ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '|:|)
+                            ((AND (CONSP |pat|) (EQ (QCAR |pat|) '|:|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |pat|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |var| (QCAR |ISTMP#1|))
                                        'T))))
                              (SPADLET |vars| (CONS |var| |vars|)))
-                            ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '=)
+                            ((AND (CONSP |pat|) (EQ (QCAR |pat|) '=)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |pat|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (EQ (QCDR |ISTMP#1|) NIL)
                                      (PROGN
                                        (SPADLET |var| (QCAR |ISTMP#1|))
@@ -1306,18 +1306,18 @@ There are several special modes used in these functions:
     (RETURN
       (PROGN
         (COND
-          ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '|construct|)
+          ((AND (CONSP |pat|) (EQ (QCAR |pat|) '|construct|)
                 (PROGN (SPADLET |p| (QCDR |pat|)) 'T))
            (SPADLET |pat| |p|)))
         (COND
-          ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '|cons|)
+          ((AND (CONSP |pat|) (EQ (QCAR |pat|) '|cons|)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |pat|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN
                          (SPADLET |a| (QCAR |ISTMP#1|))
                          (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                         (AND (PAIRP |ISTMP#2|)
+                         (AND (CONSP |ISTMP#2|)
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (SPADLET |b| (QCAR |ISTMP#2|))
@@ -1383,21 +1383,21 @@ There are several special modes used in these functions:
              ((NULL |l|)
               (COND
                 ((NULL |pats|) |$subs|)
-                ((AND (PAIRP |pats|) (EQ (QCDR |pats|) NIL)
+                ((AND (CONSP |pats|) (EQ (QCDR |pats|) NIL)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCAR |pats|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) '|:|)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |var| (QCAR |ISTMP#2|))
                                       'T))))))
                  (SPADLET |$subs| (CONS (CONS |var| NIL) |$subs|)))
                 ('T (SPADLET |$subs| '|failed|))))
-             ((AND (PAIRP |pats|)
+             ((AND (CONSP |pats|)
                    (PROGN
                      (SPADLET |pat| (QCAR |pats|))
                      (SPADLET |restPats| (QCDR |pats|))
@@ -1407,10 +1407,10 @@ There are several special modes used in these functions:
                  (SPADLET |$subs|
                           (CONS (CONS |pat| (CAR |l|)) |$subs|))
                  (|isPatMatch| (CDR |l|) |restPats|))
-                ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '=)
+                ((AND (CONSP |pat|) (EQ (QCAR |pat|) '=)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |pat|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |var| (QCAR |ISTMP#1|))
@@ -1422,10 +1422,10 @@ There are several special modes used in these functions:
                        (|isPatMatch| (CDR |l|) |restPats|))
                       ('T (SPADLET |$subs| '|failed|))))
                    ('T (SPADLET |$subs| '|failed|))))
-                ((AND (PAIRP |pat|) (EQ (QCAR |pat|) '|:|)
+                ((AND (CONSP |pat|) (EQ (QCAR |pat|) '|:|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |pat|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |var| (QCAR |ISTMP#1|))
@@ -1510,11 +1510,11 @@ There are several special modes used in these functions:
   (declare (special |$Void| |$repeatLabel| |$genValue| |$breakCount|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)))))
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)))))
          NIL)
         ((NULL |$repeatLabel|)
          (|throwKeyedMsg| 'S2IS0029 (CONS "break" NIL)))
@@ -1533,7 +1533,7 @@ There are several special modes used in these functions:
 ;  -- binding
 ;  t isnt [op,lhs,rhs] => nil
 ;  $declaredMode: local := NIL
-;  PAIRP lhs =>
+;  CONSP lhs =>
 ;    var:= getUnname first lhs
 ;    var = 'construct => upLETWithPatternOnLhs t
 ;    var = 'QUOTE => throwKeyedMsg("S2IS0027",['"A quoted form"])
@@ -1576,15 +1576,15 @@ There are several special modes used in these functions:
                       |$immediateDataSymbol|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |lhs| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |rhs| (QCAR |ISTMP#2|))
@@ -1592,7 +1592,7 @@ There are several special modes used in these functions:
          NIL)
         ('T (SPADLET |$declaredMode| NIL)
          (COND
-           ((PAIRP |lhs|) (SPADLET |var| (|getUnname| (CAR |lhs|)))
+           ((CONSP |lhs|) (SPADLET |var| (|getUnname| (CAR |lhs|)))
             (COND
               ((BOOT-EQUAL |var| '|construct|)
                (|upLETWithPatternOnLhs| |t|))
@@ -1671,7 +1671,7 @@ There are several special modes used in these functions:
     (RETURN
       (COND
         ((NEQUAL (|getUnname| |f|) '|Tuple|) NIL)
-        ((AND (PAIRP |f|)
+        ((AND (CONSP |f|)
               (PROGN
                 (SPADLET |op| (QCAR |f|))
                 (SPADLET |args| (QCDR |f|))
@@ -1729,7 +1729,7 @@ There are several special modes used in these functions:
           ((OR (AND (NULL (|getMode| |lhs|))
                     (PROGN
                       (SPADLET |ISTMP#1| (|getModeSet| |rhs|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL))))
                (|get| (|getUnname| |lhs|) '|autoDeclare| |$env|))
            (SPADLET |v|
                     (COND
@@ -1955,7 +1955,7 @@ There are several special modes used in these functions:
 ;evalLETchangeValue(name,value) ==
 ;  -- write the value of name into the environment, clearing dependent
 ;  --  maps if its type changes from its last value
-;  localEnv := PAIRP $env
+;  localEnv := CONSP $env
 ;  clearCompilationsFlag :=
 ;    val:= (localEnv and get(name,'value,$env)) or get(name,'value,$e)
 ;    null val =>
@@ -1973,7 +1973,7 @@ There are several special modes used in these functions:
   (declare (special |$e| |$env|))
     (RETURN
       (PROGN
-        (SPADLET |localEnv| (PAIRP |$env|))
+        (SPADLET |localEnv| (CONSP |$env|))
         (SPADLET |clearCompilationsFlag|
                  (PROGN
                    (SPADLET |val|
@@ -2146,7 +2146,7 @@ There are several special modes used in these functions:
            (|altSeteltable| (APPEND |argl| (CONS |rhs| NIL))))
           ((AND (PROGN
                   (SPADLET |ISTMP#1| (|get| |g| '|value| |$e|))
-                  (AND (PAIRP |ISTMP#1|)
+                  (AND (CONSP |ISTMP#1|)
                        (PROGN (SPADLET |expr| (QCAR |ISTMP#1|)) 'T)))
                 (|isMapExpr| |expr|))
            NIL)
@@ -2154,7 +2154,7 @@ There are several special modes used in these functions:
            (COND
              ((OR (|getValue| |lhs|) (|getMode| |lhs|))
               (COND
-                ((AND (PAIRP |f|)
+                ((AND (CONSP |f|)
                       (PROGN
                         (SPADLET |f'| (QCAR |f|))
                         (SPADLET |argl'| (QCDR |f|))
@@ -2613,11 +2613,11 @@ There are several special modes used in these functions:
   (declare (special |$OutputForm|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN
                              (SPADLET |expr| (QCAR |ISTMP#1|))
                              'T)))))
@@ -2664,15 +2664,15 @@ There are several special modes used in these functions:
   (PROG (|op| |ISTMP#1| |expr| |ISTMP#2| |type| |mode|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |expr| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |type| (QCAR |ISTMP#2|))
@@ -2723,10 +2723,10 @@ There are several special modes used in these functions:
     (RETURN
       (SEQ (PROGN
              (COND
-               ((AND (PAIRP |type|) (EQ (QCAR |type|) '|Variable|)
+               ((AND (CONSP |type|) (EQ (QCAR |type|) '|Variable|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |type|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |var| (QCAR |ISTMP#1|))
                               'T))))
@@ -2880,26 +2880,26 @@ There are several special modes used in these functions:
                             (SEQ (EXIT (SETQ G167816
                                         (APPEND G167816
                                          (COND
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'STEP)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |index|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (PROGN
                                                      (SPADLET |lower|
                                                       (QCAR |ISTMP#2|))
                                                      (SPADLET |ISTMP#3|
                                                       (QCDR |ISTMP#2|))
                                                      (AND
-                                                      (PAIRP |ISTMP#3|)
+                                                      (CONSP |ISTMP#3|)
                                                       (PROGN
                                                         (SPADLET |step|
                                                          (QCAR
@@ -2944,19 +2944,19 @@ There are several special modes used in these functions:
                                                             |upper|)
                                                            G167866)))))))))))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'IN)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |index|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -2969,19 +2969,19 @@ There are several special modes used in these functions:
                                                (CONS (|mkAtree1| |s|)
                                                 NIL)))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'ON)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |index|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -2997,12 +2997,12 @@ There are several special modes used in these functions:
                                                   (CONS |s| NIL)))
                                                 NIL)))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) 'WHILE)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -3014,12 +3014,12 @@ There are several special modes used in these functions:
                                               (CONS (|mkAtree1| |b|)
                                                NIL))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (EQ (QCAR |it|) '|\||)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |it|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (EQ (QCDR |ISTMP#1|)
                                                  NIL)
                                                 (PROGN
@@ -3031,7 +3031,7 @@ There are several special modes used in these functions:
                                               (CONS (|mkAtree1| |pred|)
                                                NIL))
                                              NIL))
-                                           ((AND (PAIRP |it|)
+                                           ((AND (CONSP |it|)
                                              (PROGN
                                                (SPADLET |op|
                                                 (QCAR |it|))
@@ -3058,24 +3058,24 @@ There are several special modes used in these functions:
                                      (SETQ G167877
                                       (APPEND G167877
                                        (COND
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'STEP))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'IN))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'ON))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) 'WHILE))
                                           NIL)
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (PROGN
                                              (SPADLET |op| (QCAR |it|))
                                              (SPADLET |ISTMP#1|
                                               (QCDR |it|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (EQ (QCDR |ISTMP#1|) NIL)
                                               (PROGN
                                                 (SPADLET |b|
@@ -3087,12 +3087,12 @@ There are several special modes used in these functions:
                                            (CONS |op|
                                             (CONS (|mkAtree1| |b|) NIL))
                                            NIL))
-                                         ((AND (PAIRP |it|)
+                                         ((AND (CONSP |it|)
                                            (EQ (QCAR |it|) '|\||)
                                            (PROGN
                                              (SPADLET |ISTMP#1|
                                               (QCDR |it|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (EQ (QCDR |ISTMP#1|) NIL)
                                               (PROGN
                                                 (SPADLET |pred|
@@ -3177,16 +3177,16 @@ There are several special modes used in these functions:
   (declare (special |$interpOnly| |$Void| |$breakCount|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |ISTMP#2|
                                            (REVERSE |ISTMP#1|))
                                   'T)
-                                (PAIRP |ISTMP#2|)
+                                (CONSP |ISTMP#2|)
                                 (PROGN
                                   (SPADLET |body| (QCAR |ISTMP#2|))
                                   (SPADLET |itrl| (QCDR |ISTMP#2|))
@@ -3213,12 +3213,12 @@ There are several special modes used in these functions:
                                  NIL))
                            NIL)
                         (SEQ (EXIT (COND
-                                     ((AND (PAIRP |itr|)
+                                     ((AND (CONSP |itr|)
                                        (EQ (QCAR |itr|) 'UNTIL)
                                        (PROGN
                                          (SPADLET |ISTMP#1|
                                           (QCDR |itr|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (EQ (QCDR |ISTMP#1|) NIL)
                                           (PROGN
                                             (SPADLET |pred|
@@ -3466,11 +3466,11 @@ There are several special modes used in these functions:
                     |$mapName| |$mapTarget| |$interpOnly| |$compilingMap|))
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |t|)
+        ((NULL (AND (CONSP |t|)
                     (PROGN
                       (SPADLET |op| (QCAR |t|))
                       (SPADLET |ISTMP#1| (QCDR |t|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN (SPADLET |val| (QCAR |ISTMP#1|)) 'T)))))
          NIL)
         ((AND (NULL |$compilingMap|) (NULL |$interpOnly|))
@@ -3515,7 +3515,7 @@ There are several special modes used in these functions:
   (PROG (|op| |args| |target| |m|)
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |u|)
+             ((NULL (AND (CONSP |u|)
                          (PROGN
                            (SPADLET |op| (QCAR |u|))
                            (SPADLET |args| (QCDR |u|))
@@ -3592,7 +3592,7 @@ There are several special modes used in these functions:
                                                (CONS |av| |bodyCode|)))))))))))
                               (SPADLET |code|
                                        (COND
-                                         ((AND (PAIRP |bodyCode|)
+                                         ((AND (CONSP |bodyCode|)
                                            (EQ (QCDR |bodyCode|) NIL)
                                            (PROGN
                                              (SPADLET |c|
@@ -3615,7 +3615,7 @@ There are several special modes used in these functions:
 ;  null l => upNullTuple(op,l,tar)
 ;  isTaggedUnion tar => upTaggedUnionConstruct(op,l,tar)
 ;  aggs := '(List)
-;  if tar and PAIRP(tar) and ^isPartialMode(tar) then
+;  if tar and CONSP(tar) and ^isPartialMode(tar) then
 ;    CAR(tar) in aggs =>
 ;      ud := CADR tar
 ;      for x in l repeat if not getTarget(x) then putTarget(x,ud)
@@ -3635,7 +3635,7 @@ There are several special modes used in these functions:
               |ISTMP#1| |ud| |mode| |tar|)
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |l| (QCDR |t|))
@@ -3649,7 +3649,7 @@ There are several special modes used in these functions:
                  (|upTaggedUnionConstruct| |op| |l| |tar|))
                 ('T (SPADLET |aggs| '(|List|))
                  (COND
-                   ((AND |tar| (PAIRP |tar|)
+                   ((AND |tar| (CONSP |tar|)
                          (NULL (|isPartialMode| |tar|)))
                     (COND
                       ((|member| (CAR |tar|) |aggs|)
@@ -3711,11 +3711,11 @@ There are several special modes used in these functions:
                                        (CONS (CAR |x|) G168244)))))))
                               |l|))
                  (COND
-                   ((AND (NULL (|isPartialMode| |tar|)) (PAIRP |tar|)
+                   ((AND (NULL (|isPartialMode| |tar|)) (CONSP |tar|)
                          (EQ (QCAR |tar|) '|Tuple|)
                          (PROGN
                            (SPADLET |ISTMP#1| (QCDR |tar|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |ud| (QCAR |ISTMP#1|))
@@ -3817,11 +3817,11 @@ There are several special modes used in these functions:
       (PROGN
         (SPADLET |defMode|
                  (COND
-                   ((AND |tar| (PAIRP |tar|)
+                   ((AND |tar| (CONSP |tar|)
                          (PROGN
                            (SPADLET |a| (QCAR |tar|))
                            (SPADLET |ISTMP#1| (QCDR |tar|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (SPADLET |b| (QCAR |ISTMP#1|))
@@ -3859,11 +3859,11 @@ There are several special modes used in these functions:
   (PROG (|op| |ISTMP#1| |arg| |LETTMP#1| |m| |t|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |form|)
+        ((NULL (AND (CONSP |form|)
                     (PROGN
                       (SPADLET |op| (QCAR |form|))
                       (SPADLET |ISTMP#1| (QCDR |form|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN (SPADLET |arg| (QCAR |ISTMP#1|)) 'T)))))
          NIL)
         ('T
@@ -3925,15 +3925,15 @@ There are several special modes used in these functions:
     (DECLARE (SPECIAL |$whereCacheList| |$env| |$e| |$genValue|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |t|)
+             ((NULL (AND (CONSP |t|)
                          (PROGN
                            (SPADLET |op| (QCAR |t|))
                            (SPADLET |ISTMP#1| (QCDR |t|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |tree| (QCAR |ISTMP#1|))
                                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                  (AND (PAIRP |ISTMP#2|)
+                                  (AND (CONSP |ISTMP#2|)
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (SPADLET |clause|
diff --git a/src/interp/i-util.lisp.pamphlet b/src/interp/i-util.lisp.pamphlet
index 532aabf..fb313b5 100644
--- a/src/interp/i-util.lisp.pamphlet
+++ b/src/interp/i-util.lisp.pamphlet
@@ -31,7 +31,7 @@ lisp code is unwrapped.
 ;isWrapped x == x is ['WRAPPED,:.] or NUMBERP x or FLOATP x or CVECP x
 
 (DEFUN |isWrapped| (|x|)
-  (OR (AND (PAIRP |x|) (EQ (QCAR |x|) 'WRAPPED)) (NUMBERP |x|)
+  (OR (AND (CONSP |x|) (EQ (QCAR |x|) 'WRAPPED)) (NUMBERP |x|)
       (FLOATP |x|) (stringp |x|)))
 
 ;unwrap x ==
@@ -44,7 +44,7 @@ lisp code is unwrapped.
     (RETURN
       (COND
         ((OR (NUMBERP |x|) (FLOATP |x|) (stringp |x|)) |x|)
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'WRAPPED)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'WRAPPED)
               (PROGN (SPADLET |y| (QCDR |x|)) 'T))
          |y|)
         ('T |x|)))))
@@ -57,7 +57,7 @@ lisp code is unwrapped.
   (PROG (|y|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'WRAPPED)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'WRAPPED)
               (PROGN (SPADLET |y| (QCDR |x|)) 'T))
          (MKQ |y|))
         ('T |x|)))))
@@ -70,10 +70,10 @@ lisp code is unwrapped.
   (PROG (|ISTMP#1| |y|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          (|wrap| |y|))
         ('T |x|)))))
@@ -86,10 +86,10 @@ lisp code is unwrapped.
   (PROG (|ISTMP#1| |y|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'QUOTE)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          |y|)
         ('T |x|)))))
@@ -326,7 +326,7 @@ lisp code is unwrapped.
         ((AND (QSGREATERP (QVSIZE |d|) 5)
               (PROGN
                 (SPADLET |ISTMP#1| (QREFELT |d| 3))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (EQ (QCAR |ISTMP#1|) '|Category|))))
          (QREFELT |d| 0))
         ((QSGREATERP (QVSIZE |d|) 0) (SPADLET |d'| (QREFELT |d| 0))
@@ -389,7 +389,7 @@ lisp code is unwrapped.
 (DEFUN |orderUnionEntries,split| (|l| |a| |b|)
   (PROG (|x| |l'|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |l|)
+      (SEQ (IF (AND (CONSP |l|)
                     (PROGN
                       (SPADLET |x| (QCAR |l|))
                       (SPADLET |l'| (QCDR |l|))
@@ -410,13 +410,13 @@ lisp code is unwrapped.
         (|$newCompilerUnionFlag| |l|)
         ((PROGN
            (SPADLET |ISTMP#1| (CAR |l|))
-           (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
+           (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
                 (PROGN
                   (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                  (AND (PAIRP |ISTMP#2|)
+                  (AND (CONSP |ISTMP#2|)
                        (PROGN
                          (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                         (AND (PAIRP |ISTMP#3|)
+                         (AND (CONSP |ISTMP#3|)
                               (EQ (QCDR |ISTMP#3|) NIL)))))))
          |l|)
         ('T
@@ -494,13 +494,13 @@ lisp code is unwrapped.
                                          G166340))))))))
              ((PROGN
                 (SPADLET |ISTMP#1| (CAR |listOfEntries|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
+                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|:|)
                      (PROGN
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCDR |ISTMP#3|) NIL)))))))
               (PROG (G166357)
                 (SPADLET G166357 NIL)
diff --git a/src/interp/info.lisp.pamphlet b/src/interp/info.lisp.pamphlet
index 951368f..d002283 100644
--- a/src/interp/info.lisp.pamphlet
+++ b/src/interp/info.lisp.pamphlet
@@ -73,10 +73,10 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
   (PROG (|ISTMP#1| |stuff|)
     (RETURN
       (SEQ (IF (ATOM |m|) (EXIT NIL))
-           (IF (AND (PAIRP |m|) (EQ (QCAR |m|) 'CATEGORY)
+           (IF (AND (CONSP |m|) (EQ (QCAR |m|) 'CATEGORY)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |m|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |stuff| (QCDR |ISTMP#1|))
                              'T))))
@@ -86,7 +86,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                               (PROGN (SETQ |u| (CAR G166079)) NIL))
                           NIL)
                        (SEQ (EXIT (|addInfo| |u|))))))
-           (IF (AND (PAIRP |m|) (EQ (QCAR |m|) '|Join|)
+           (IF (AND (CONSP |m|) (EQ (QCAR |m|) '|Join|)
                     (PROGN (SPADLET |stuff| (QCDR |m|)) 'T))
                (EXIT (DO ((G166088 |stuff| (CDR G166088))
                           (|u| NIL))
@@ -143,10 +143,10 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
     (RETURN
       (SEQ (COND
              ((ATOM |u|) |u|)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'SIGNATURE)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'SIGNATURE)
                    (PROGN (SPADLET |v| (QCDR |u|)) 'T))
               (CONS 'SIGNATURE (CONS '$ |v|)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'PROGN)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'PROGN)
                    (PROGN (SPADLET |l| (QCDR |u|)) 'T))
               (CONS 'PROGN
                     (PROG (G166159)
@@ -161,10 +161,10 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                           (SEQ (EXIT (SETQ G166159
                                       (CONS (|formatInfo| |v|)
                                        G166159)))))))))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'ATTRIBUTE)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'ATTRIBUTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |v| (QCAR |ISTMP#1|)) 'T))))
               (COND
                 ((AND (ATOM |v|)
@@ -174,18 +174,18 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                 ((|isCategoryForm| |v| |$e|)
                  (CONS '|has| (CONS '$ (CONS |v| NIL))))
                 ('T (CONS 'ATTRIBUTE (CONS '$ (CONS |v| NIL))))))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'IF)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'IF)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#3|))
@@ -225,7 +225,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
 (DEFUN |liftCond,lcAnd| (|pred| |conj|)
   (PROG (|ll|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |conj|) (EQ (QCAR |conj|) '|and|)
+      (SEQ (IF (AND (CONSP |conj|) (EQ (QCAR |conj|) '|and|)
                     (PROGN (SPADLET |ll| (QCDR |conj|)) 'T))
                (EXIT (CONS '|and| (CONS |pred| |ll|))))
            (EXIT (CONS '|and| (CONS |pred| (CONS |conj| NIL))))))))
@@ -237,7 +237,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
              (SPADLET |ante| (CAR |clause|))
              (SPADLET |conseq| (CADR |clause|))
              (COND
-               ((AND (PAIRP |conseq|) (EQ (QCAR |conseq|) 'COND)
+               ((AND (CONSP |conseq|) (EQ (QCAR |conseq|) 'COND)
                      (PROGN (SPADLET |l| (QCDR |conseq|)) 'T))
                 (PROG (G166216)
                   (SPADLET G166216 NIL)
@@ -281,14 +281,14 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
   (declare (special |$e|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|has|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|has|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -303,20 +303,20 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                              (CONS (CONS 'ATTRIBUTE (CONS |b| NIL))
                                    NIL))))
                 ((|isCategoryForm| |b| |$e|) |u|)
-                ((AND (PAIRP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
+                ((AND (CONSP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |b|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL))))
                  |u|)
-                ((AND (PAIRP |b|) (EQ (QCAR |b|) 'SIGNATURE)) |u|)
+                ((AND (CONSP |b|) (EQ (QCAR |b|) 'SIGNATURE)) |u|)
                 ('T
                  (CONS '|has|
                        (CONS |a|
                              (CONS (CONS 'ATTRIBUTE (CONS |b| NIL))
                                    NIL))))))
              ((ATOM |u|) |u|)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|and|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|and|)
                    (PROGN (SPADLET |v| (QCDR |u|)) 'T))
               (CONS '|and|
                     (PROG (G166262)
@@ -370,7 +370,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                      ((OR (ATOM G166301)
                           (PROGN (SETQ |u| (CAR G166301)) NIL))
                       NIL)
-                   (SEQ (EXIT (IF (AND (PAIRP |u|)
+                   (SEQ (EXIT (IF (AND (CONSP |u|)
                                        (EQ (QCAR |u|) 'COND)
                                        (PROGN
                                          (SPADLET |l| (QCDR |u|))
@@ -420,7 +420,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                                                        G166324)))))))))
                                            (IF
                                             (AND
-                                             (AND (PAIRP |ante|)
+                                             (AND (CONSP |ante|)
                                               (EQ (QCAR |ante|) '|and|)
                                               (PROGN
                                                 (SPADLET |ante'|
@@ -478,13 +478,13 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
         (SPADLET |a| (CADR |pred|))
         (SPADLET |b| (CADDR |pred|))
         (COND
-          ((AND (PAIRP |b|) (EQ (QCAR |b|) 'SIGNATURE)
+          ((AND (CONSP |b|) (EQ (QCAR |b|) 'SIGNATURE)
                 (PROGN (SPADLET |data| (QCDR |b|)) 'T))
            (CONS 'SIGNATURE (CONS |a| |data|)))
-          ((AND (PAIRP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
+          ((AND (CONSP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
                 (PROGN
                   (SPADLET |ISTMP#1| (QCDR |b|))
-                  (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                  (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                        (PROGN (SPADLET |c| (QCAR |ISTMP#1|)) 'T))))
            (CONS 'ATTRIBUTE (CONS |a| (CONS |c| NIL))))
           ('T |pred|))))))
@@ -498,23 +498,23 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
   (PROG (|data| |ISTMP#1| |b| |ISTMP#2| |c|)
     (RETURN
       (COND
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) 'SIGNATURE)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) 'SIGNATURE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |b| (QCAR |ISTMP#1|))
                        (SPADLET |data| (QCDR |ISTMP#1|))
                        'T))))
          (CONS '|has| (CONS |b| (CONS (CONS 'SIGNATURE |data|) NIL))))
-        ((AND (PAIRP |a|) (EQ (QCAR |a|) 'ATTRIBUTE)
+        ((AND (CONSP |a|) (EQ (QCAR |a|) 'ATTRIBUTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |a|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |b| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |c| (QCAR |ISTMP#2|)) 'T))))))
          (CONS '|has|
                (CONS |b| (CONS (CONS 'ATTRIBUTE (CONS |c| NIL)) NIL))))
@@ -584,7 +584,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
              ((BOOT-EQUAL |pred| 'T) 'T)
              ((|member| |pred| (|get| '|$Information| 'special |$e|))
               'T)
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'OR)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'OR)
                    (PROGN (SPADLET |l| (QCDR |pred|)) 'T))
               (PROG (G166500)
                 (SPADLET G166500 NIL)
@@ -596,7 +596,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                        G166500)
                     (SEQ (EXIT (SETQ G166500
                                      (OR G166500 (|knownInfo| |u|)))))))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'AND)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
                    (PROGN (SPADLET |l| (QCDR |pred|)) 'T))
               (PROG (G166514)
                 (SPADLET G166514 'T)
@@ -608,7 +608,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                        G166514)
                     (SEQ (EXIT (SETQ G166514
                                      (AND G166514 (|knownInfo| |u|)))))))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|or|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|or|)
                    (PROGN (SPADLET |l| (QCDR |pred|)) 'T))
               (PROG (G166528)
                 (SPADLET G166528 NIL)
@@ -620,7 +620,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                        G166528)
                     (SEQ (EXIT (SETQ G166528
                                      (OR G166528 (|knownInfo| |u|)))))))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|and|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|and|)
                    (PROGN (SPADLET |l| (QCDR |pred|)) 'T))
               (PROG (G166542)
                 (SPADLET G166542 'T)
@@ -632,14 +632,14 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                        G166542)
                     (SEQ (EXIT (SETQ G166542
                                      (AND G166542 (|knownInfo| |u|)))))))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'ATTRIBUTE)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'ATTRIBUTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |name| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |attr| (QCAR |ISTMP#2|))
@@ -665,26 +665,26 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                    ((SPADLET |x| (|assoc| |attr| (ELT |vv| 2)))
                     (|knownInfo| (CADR |x|)))
                    ('T NIL)))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|has|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|has|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |name| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |cat| (QCAR |ISTMP#2|))
                                    'T))))))
               (COND
-                ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'ATTRIBUTE)
+                ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'ATTRIBUTE)
                       (PROGN (SPADLET |a| (QCDR |cat|)) 'T))
                  (|knownInfo| (CONS 'ATTRIBUTE (CONS |name| |a|))))
-                ((AND (PAIRP |cat|) (EQ (QCAR |cat|) 'SIGNATURE)
+                ((AND (CONSP |cat|) (EQ (QCAR |cat|) 'SIGNATURE)
                       (PROGN (SPADLET |a| (QCDR |cat|)) 'T))
                  (|knownInfo| (CONS 'SIGNATURE (CONS |name| |a|))))
-                ((AND (PAIRP |name|) (EQ (QCAR |name|) '|Union|)) NIL)
+                ((AND (CONSP |name|) (EQ (QCAR |name|) '|Union|)) NIL)
                 ('T
                  (SPADLET |v| (|compForMode| |name| |$EmptyMode| |$e|))
                  (COND
@@ -696,7 +696,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                    ('T (SPADLET |vmode| (CADR |v|))
                     (COND
                       ((BOOT-EQUAL |cat| |vmode|) 'T)
-                      ((AND (PAIRP |vmode|) (EQ (QCAR |vmode|) '|Join|)
+                      ((AND (CONSP |vmode|) (EQ (QCAR |vmode|) '|Join|)
                             (PROGN (SPADLET |l| (QCDR |vmode|)) 'T)
                             (|member| |cat| |l|))
                        'T)
@@ -738,18 +738,18 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                                             (LIST (CAR |u|))))))))))))
                           'T)
                          ('T NIL)))))))))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) 'SIGNATURE)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) 'SIGNATURE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |name| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |op| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (PROGN
                                       (SPADLET |sig| (QCAR |ISTMP#3|))
                                       'T))))))))
@@ -845,7 +845,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
     (RETURN
       (SEQ (COND
              ((NULL |u|) |$e|)
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'PROGN)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'PROGN)
                    (PROGN (SPADLET |l| (QCDR |u|)) 'T))
               (DO ((G166754 |l| (CDR G166754)) (|v| NIL))
                   ((OR (ATOM G166754)
@@ -862,7 +862,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                                          'special |$e|)))
                               |$e|))
               (COND
-                ((AND (PAIRP |u|) (EQ (QCAR |u|) 'COND)
+                ((AND (CONSP |u|) (EQ (QCAR |u|) 'COND)
                       (PROGN (SPADLET |l| (QCDR |u|)) 'T))
                  (DO ((G166764 |l| (CDR G166764)) (G166624 NIL))
                      ((OR (ATOM G166764)
@@ -890,14 +890,14 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                                       (|actOnInfo| |v| |$e|))))))
                                 ('T NIL)))))
                  |$e|)
-                ((AND (PAIRP |u|) (EQ (QCAR |u|) 'ATTRIBUTE)
+                ((AND (CONSP |u|) (EQ (QCAR |u|) 'ATTRIBUTE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |u|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |name| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |att| (QCAR |ISTMP#2|))
@@ -925,20 +925,20 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                                        (CONS (|mkJoin| |cat| |vmode|)
                                         (CONS |venv| NIL)))
                                  |$e|)))
-                ((AND (PAIRP |u|) (EQ (QCAR |u|) 'SIGNATURE)
+                ((AND (CONSP |u|) (EQ (QCAR |u|) 'SIGNATURE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |u|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |name| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |operator|
                                        (QCAR |ISTMP#2|))
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL)
                                        (PROGN
                                          (SPADLET |modemap|
@@ -987,14 +987,14 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                                        (CONS (|mkJoin| |cat| |vmode|)
                                         (CONS |venv| NIL)))
                                  |$e|)))
-                ((AND (PAIRP |u|) (EQ (QCAR |u|) '|has|)
+                ((AND (CONSP |u|) (EQ (QCAR |u|) '|has|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |u|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |name| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |cat| (QCAR |ISTMP#2|))
@@ -1018,16 +1018,16 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                              (SPADLET |ISTMP#1|
                                       (|assoc| |cat|
                                        (CADR (ELT |ocatvec| 4))))
-                             (AND (PAIRP |ISTMP#1|)
+                             (AND (CONSP |ISTMP#1|)
                                   (PROGN
                                     (SPADLET |ISTMP#2|
                                      (QCDR |ISTMP#1|))
-                                    (AND (PAIRP |ISTMP#2|)
+                                    (AND (CONSP |ISTMP#2|)
                                      (EQ (QCAR |ISTMP#2|) 'T)
                                      (PROGN
                                        (SPADLET |ISTMP#3|
                                         (QCDR |ISTMP#2|))
-                                       (AND (PAIRP |ISTMP#3|)
+                                       (AND (CONSP |ISTMP#3|)
                                         (EQ (QCDR |ISTMP#3|) NIL))))))))
                        |$e|)
                       ('T
@@ -1068,7 +1068,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
   (PROG (|cats|)
     (RETURN
       (COND
-        ((AND (PAIRP |mode|) (EQ (QCAR |mode|) '|Join|)
+        ((AND (CONSP |mode|) (EQ (QCAR |mode|) '|Join|)
               (PROGN (SPADLET |cats| (QCDR |mode|)) 'T))
          (CONS '|Join| (CONS |cat| |cats|)))
         ('T (CONS '|Join| (CONS |cat| (CONS |mode| NIL))))))))
diff --git a/src/interp/interop.lisp.pamphlet b/src/interp/interop.lisp.pamphlet
index e256109..50ecb64 100644
--- a/src/interp/interop.lisp.pamphlet
+++ b/src/interp/interop.lisp.pamphlet
@@ -281,13 +281,13 @@
          (NCONC |dd| |dd|) |dd|)))))
 
 ;makeOldAxiomDispatchDomain dom ==
-;  PAIRP dom => dom
+;  CONSP dom => dom
 ;  [$oldAxiomDomainDispatch,hashTypeForm(dom.0,0),:dom]
 
 (DEFUN |makeOldAxiomDispatchDomain| (|dom|)
   (declare (special |$oldAxiomDomainDispatch|))
   (COND
-    ((PAIRP |dom|) |dom|)
+    ((CONSP |dom|) |dom|)
     ('T
      (CONS |$oldAxiomDomainDispatch|
            (CONS (|hashTypeForm| (ELT |dom| 0) 0) |dom|)))))
@@ -948,21 +948,21 @@
                                      NIL))
                                (NREVERSE0 G166519))
                             (SEQ (EXIT (COND
-                                         ((AND (PAIRP |x|)
+                                         ((AND (CONSP |x|)
                                            (PROGN
                                              (SPADLET |sig| (QCAR |x|))
                                              (SPADLET |ISTMP#1|
                                               (QCDR |x|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (PROGN
                                                 (SPADLET |ISTMP#2|
                                                  (QCAR |ISTMP#1|))
-                                                (AND (PAIRP |ISTMP#2|)
+                                                (AND (CONSP |ISTMP#2|)
                                                  (PROGN
                                                    (SPADLET |ISTMP#3|
                                                     (QCDR |ISTMP#2|))
                                                    (AND
-                                                    (PAIRP |ISTMP#3|)
+                                                    (CONSP |ISTMP#3|)
                                                     (EQ
                                                      (QCDR |ISTMP#3|)
                                                      NIL)
@@ -976,19 +976,19 @@
                                                 'T)))
                                            (|hasCorrectTarget| |m2|
                                             |sig|)
-                                           (PAIRP |sig|)
+                                           (CONSP |sig|)
                                            (PROGN
                                              (SPADLET |dc|
                                               (QCAR |sig|))
                                              (SPADLET |ISTMP#1|
                                               (QCDR |sig|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (PROGN
                                                 (SPADLET |targ|
                                                  (QCAR |ISTMP#1|))
                                                 (SPADLET |ISTMP#2|
                                                  (QCDR |ISTMP#1|))
-                                                (AND (PAIRP |ISTMP#2|)
+                                                (AND (CONSP |ISTMP#2|)
                                                  (EQ (QCDR |ISTMP#2|)
                                                   NIL)
                                                  (PROGN
diff --git a/src/interp/iterator.lisp.pamphlet b/src/interp/iterator.lisp.pamphlet
index 31abeed..b5a393d 100644
--- a/src/interp/iterator.lisp.pamphlet
+++ b/src/interp/iterator.lisp.pamphlet
@@ -22,7 +22,7 @@
       (SEQ (COND
              ((PROGN
                 (SPADLET |ISTMP#1| (GETL |x| 'THETA))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T)))
               (EXIT |y|)))))))
 
@@ -55,11 +55,11 @@
   (PROG (|a| |ISTMP#1| |b|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |a| (QCAR |x|))
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |b| (QCAR |ISTMP#1|)) 'T)))
                    (|member| |a| '(|PrimitiveArray| |Vector| |List|)))
               (EXIT |b|)))))))
@@ -147,14 +147,14 @@
                     |$NonNegativeInteger| |$SmallInteger| |$formalArgList|))
     (RETURN
       (COND
-        ((AND (PAIRP |it|) (EQ (QCAR |it|) 'IN)
+        ((AND (CONSP |it|) (EQ (QCAR |it|) 'IN)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |it|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |x| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) 'T))))))
          (SPADLET |LETTMP#1|
                   (OR (|comp| |y| |$EmptyMode| |e|) (RETURN NIL)))
@@ -194,14 +194,14 @@
          (SPADLET |m''| (CADR |LETTMP#1|))
          (SPADLET |e| (CADDR |LETTMP#1|))
          (CONS (CONS 'IN (CONS |x| (CONS |y''| NIL))) (CONS |e| NIL)))
-        ((AND (PAIRP |it|) (EQ (QCAR |it|) 'ON)
+        ((AND (CONSP |it|) (EQ (QCAR |it|) 'ON)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |it|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |x| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) 'T))))))
          (SPADLET |$formalArgList| (CONS |x| |$formalArgList|))
          (SPADLET |LETTMP#1|
@@ -241,18 +241,18 @@
          (SPADLET |m''| (CADR |LETTMP#1|))
          (SPADLET |e| (CADDR |LETTMP#1|))
          (CONS (CONS 'ON (CONS |x| (CONS |y''| NIL))) (CONS |e| NIL)))
-        ((AND (PAIRP |it|) (EQ (QCAR |it|) 'STEP)
+        ((AND (CONSP |it|) (EQ (QCAR |it|) 'STEP)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |it|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |index| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |start| (QCAR |ISTMP#2|))
                               (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (PROGN
                                      (SPADLET |inc| (QCAR |ISTMP#3|))
                                      (SPADLET |optFinal|
@@ -266,7 +266,7 @@
                  (SPADLET |inc'|
                           (|comp| |inc| |$NonNegativeInteger|
                                   (CADDR |start'|)))
-                 (OR (NULL (AND (PAIRP |optFinal|)
+                 (OR (NULL (AND (CONSP |optFinal|)
                                 (EQ (QCDR |optFinal|) NIL)
                                 (PROGN
                                   (SPADLET |final| (QCAR |optFinal|))
@@ -324,7 +324,7 @@
             (SPADLET |inc| (CAR |LETTMP#1|))
             (SPADLET |e| (CADDR |LETTMP#1|))
             (COND
-              ((AND (PAIRP |optFinal|) (EQ (QCDR |optFinal|) NIL)
+              ((AND (CONSP |optFinal|) (EQ (QCDR |optFinal|) NIL)
                     (PROGN (SPADLET |final| (QCAR |optFinal|)) 'T))
                (SPADLET |LETTMP#1|
                         (OR (|comp| |final| |$Integer| |e|)
@@ -361,10 +361,10 @@
                         (CONS |index|
                               (CONS |start| (CONS |inc| |optFinal|))))
                   (CONS |e| NIL)))))
-        ((AND (PAIRP |it|) (EQ (QCAR |it|) 'WHILE)
+        ((AND (CONSP |it|) (EQ (QCAR |it|) 'WHILE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |it|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T))))
          (SPADLET |LETTMP#1|
                   (OR (|comp| |p| |$Boolean| |e|)
@@ -378,16 +378,16 @@
          (SPADLET |m| (CADR |LETTMP#1|))
          (SPADLET |e| (CADDR |LETTMP#1|))
          (CONS (CONS 'WHILE (CONS |p'| NIL)) (CONS |e| NIL)))
-        ((AND (PAIRP |it|) (EQ (QCAR |it|) 'UNTIL)
+        ((AND (CONSP |it|) (EQ (QCAR |it|) 'UNTIL)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |it|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) 'T))))
          (SPADLET |$until| |p|) (CONS '|$until| (CONS |e| NIL)))
-        ((AND (PAIRP |it|) (EQ (QCAR |it|) '|\||)
+        ((AND (CONSP |it|) (EQ (QCAR |it|) '|\||)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |it|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T))))
          (SPADLET |u|
                   (OR (|comp| |x| |$Boolean| |e|)
@@ -487,13 +487,13 @@
              R)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |m|) (EQUAL (QCAR |m|) |ListOrVector|)
+             ((AND (CONSP |m|) (EQUAL (QCAR |m|) |ListOrVector|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |m|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET R (QCAR |ISTMP#1|)) 'T))))
               (CONS |m| (CONS R NIL)))
-             ((AND (PAIRP |m|) (EQ (QCAR |m|) '|Union|)
+             ((AND (CONSP |m|) (EQ (QCAR |m|) '|Union|)
                    (PROGN (SPADLET |l| (QCDR |m|)) 'T))
               (SPADLET |mList|
                        (PROG (G166653)
@@ -516,7 +516,7 @@
              ('T
               (SPADLET |name|
                        (COND
-                         ((AND (PAIRP |m|)
+                         ((AND (CONSP |m|)
                                (PROGN (SPADLET |fn| (QCAR |m|)) 'T))
                           |fn|)
                          ((BOOT-EQUAL |m| '$) '|Rep|)
@@ -524,14 +524,14 @@
               (COND
                 ((PROGN
                    (SPADLET |ISTMP#1| (|get| |name| '|value| |e|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (EQUAL (QCAR |ISTMP#2|) |ListOrVector|)
                                (PROGN
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET R (QCAR |ISTMP#3|))
diff --git a/src/interp/lisplib.lisp.pamphlet b/src/interp/lisplib.lisp.pamphlet
index 0a27a0d..eb863e0 100644
--- a/src/interp/lisplib.lisp.pamphlet
+++ b/src/interp/lisplib.lisp.pamphlet
@@ -139,7 +139,7 @@
   (PROG (|op| |argl|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |op| (QCAR |form|))
                      (SPADLET |argl| (QCDR |form|))
@@ -836,23 +836,23 @@
                                            (SETQ G166911
                                             (OR G166911 |r|))))))))))
               (COND
-                ((AND (PAIRP |tail|)
+                ((AND (CONSP |tail|)
                       (PROGN
                         (setq |ISTMP#1| (QCDR |tail|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (setq |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCAR |ISTMP#2|) 'ELT)
                                     (PROGN
                                       (setq |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (PROGN
                                          (setq |ISTMP#4|
                                           (QCDR |ISTMP#3|))
-                                         (AND (PAIRP |ISTMP#4|)
+                                         (AND (CONSP |ISTMP#4|)
                                           (EQ (QCDR |ISTMP#4|) NIL)
                                           (PROGN
                                             (setq |n|
@@ -869,14 +869,14 @@
   (PROG (|ISTMP#1| |domain| |ISTMP#2| |utype|)
     (RETURN
       (COND
-        ((AND (PAIRP |d|) (EQ (QCAR |d|) '|Union|)
+        ((AND (CONSP |d|) (EQ (QCAR |d|) '|Union|)
               (PROGN
                 (setq |ISTMP#1| (QCDR |d|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (setq |domain| (QCAR |ISTMP#1|))
                        (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (setq |utype| (QCAR |ISTMP#2|))
                               'T)))))
@@ -1060,22 +1060,22 @@
                                           (SETQ G167073
                                            (OR G167073 |r|))))))))))
              (COND
-               ((AND (PAIRP |tail|)
+               ((AND (CONSP |tail|)
                      (PROGN
                        (setq |ISTMP#1| (QCDR |tail|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (setq |ISTMP#2| (QCAR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCAR |ISTMP#2|) 'ELT)
                                    (PROGN
                                      (setq |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (PROGN
                                         (setq |ISTMP#4|
                                          (QCDR |ISTMP#3|))
-                                        (AND (PAIRP |ISTMP#4|)
+                                        (AND (CONSP |ISTMP#4|)
                                          (EQ (QCDR |ISTMP#4|) NIL)
                                          (PROGN
                                            (setq |n|
diff --git a/src/interp/match.lisp.pamphlet b/src/interp/match.lisp.pamphlet
index 1bd7815..7e015f6 100644
--- a/src/interp/match.lisp.pamphlet
+++ b/src/interp/match.lisp.pamphlet
@@ -213,7 +213,7 @@
   (PROG (|op| |argl|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pattern|)
+             ((AND (CONSP |pattern|)
                    (PROGN
                      (SPADLET |op| (QCAR |pattern|))
                      (SPADLET |argl| (QCDR |pattern|))
diff --git a/src/interp/msgdb.lisp.pamphlet b/src/interp/msgdb.lisp.pamphlet
index 5c7e0b8..ed6f74e 100644
--- a/src/interp/msgdb.lisp.pamphlet
+++ b/src/interp/msgdb.lisp.pamphlet
@@ -29,12 +29,12 @@
                  (DO ()
                      ((NULL (PROGN
                               (SPADLET |ISTMP#1| (|wordFrom| |l| |i|))
-                              (AND (PAIRP |ISTMP#1|)
+                              (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (SPADLET |w| (QCAR |ISTMP#1|))
                                      (SPADLET |ISTMP#2|
                                       (QCDR |ISTMP#1|))
-                                     (AND (PAIRP |ISTMP#2|)
+                                     (AND (CONSP |ISTMP#2|)
                                       (EQ (QCDR |ISTMP#2|) NIL)
                                       (PROGN
                                         (SPADLET |i| (QCAR |ISTMP#2|))
@@ -204,7 +204,7 @@
 ;  nargs := #args
 ;  for x in segmentedMsgPreprocess msg repeat
 ;    -- x is a list
-;    PAIRP x =>
+;    CONSP x =>
 ;      l := cons(substituteSegmentedMsg(x,args),l)
 ;    c := x.0
 ;    n := STRINGLENGTH x
@@ -226,7 +226,7 @@
 ;      -- Note 'f processing must come first.
 ;      if MEMQ(char 'f,q) then
 ;          arg :=
-;              PAIRP arg => APPLY(first arg, rest arg)
+;              CONSP arg => APPLY(first arg, rest arg)
 ;              arg
 ;      if MEMQ(char 'm,q) then arg := [['"%m",:arg]]
 ;      if MEMQ(char 's,q) then arg := [['"%s",:arg]]
@@ -246,7 +246,7 @@
 ;      --stifled after the first item in the list until the
 ;      --end of the list. (using %n and %y)
 ;      l :=
-;         PAIRP(arg) =>
+;         CONSP(arg) =>
 ;           MEMQ(char 'y,q) or (CAR arg = '"%y") or ((LENGTH arg) = 1)  =>
 ;             APPEND(REVERSE arg, l)
 ;           head := first arg
@@ -274,7 +274,7 @@
                       (PROGN (SETQ |x| (CAR G166215)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((PAIRP |x|)
+                            ((CONSP |x|)
                              (SPADLET |l|
                                       (CONS
                                        (|substituteSegmentedMsg| |x|
@@ -320,7 +320,7 @@
                                   ((member (|char| '|f|) |q|)
                                    (SPADLET |arg|
                                     (COND
-                                      ((PAIRP |arg|)
+                                      ((CONSP |arg|)
                                        (APPLY (CAR |arg|) (CDR |arg|)))
                                       ('T |arg|)))))
                                 (COND
@@ -417,7 +417,7 @@
                                     (CONS "%b" |l|))))
                                 (SPADLET |l|
                                          (COND
-                                           ((PAIRP |arg|)
+                                           ((CONSP |arg|)
                                             (COND
                                               ((OR
                                                 (member (|char| '|y|)
@@ -462,7 +462,7 @@
 
 ;addBlanks msg ==
 ;  -- adds proper blanks
-;  null PAIRP msg => msg
+;  null CONSP msg => msg
 ;  null msg => msg
 ;  LENGTH msg = 1 => msg
 ;  blanksOff := false
@@ -487,7 +487,7 @@
   (PROG (|blank| |blanksOff| |msg1| |x|)
     (RETURN
       (SEQ (COND
-             ((NULL (PAIRP |msg|)) |msg|)
+             ((NULL (CONSP |msg|)) |msg|)
              ((NULL |msg|) |msg|)
              ((EQL (LENGTH |msg|) 1) |msg|)
              ('T (SPADLET |blanksOff| NIL) (SPADLET |x| (CAR |msg|))
@@ -529,7 +529,7 @@
 ;    if CVECP word and SIZE word > 1 then
 ;       word.0 = char '% and word.1 = char 'x => return true
 ;       word.0 = char " " => return true
-;    (PAIRP word) and (CAR word in $msgdbListPrims) => true
+;    (CONSP word) and (CAR word in $msgdbListPrims) => true
 ;    false
 
 (DEFUN |noBlankBeforeP| (|word|)
@@ -548,7 +548,7 @@
                (RETURN 'T))
               ((BOOT-EQUAL (ELT |word| 0) (|char| '| |)) (RETURN 'T)))))
          (COND
-           ((AND (PAIRP |word|)
+           ((AND (CONSP |word|)
                  (|member| (CAR |word|) |$msgdbListPrims|))
             'T)
            ('T NIL)))))))
@@ -559,7 +559,7 @@
 ;    if CVECP word and (s := SIZE word) > 1 then
 ;       word.0 = char '% and word.1 = char 'x => return true
 ;       word.(s-1) = char " " => return true
-;    (PAIRP word) and (CAR word in $msgdbListPrims) => true
+;    (CONSP word) and (CAR word in $msgdbListPrims) => true
 ;    false
 
 (DEFUN |noBlankAfterP| (|word|)
@@ -580,7 +580,7 @@
                    (|char| '| |))
                (RETURN 'T)))))
          (COND
-           ((AND (PAIRP |word|)
+           ((AND (CONSP |word|)
                  (|member| (CAR |word|) |$msgdbListPrims|))
             'T)
            ('T NIL)))))))
@@ -588,7 +588,7 @@
 ;cleanUpSegmentedMsg msg ==
 ;  -- removes any junk like double blanks
 ;  -- takes a reversed msg and puts it in the correct order
-;  null PAIRP msg => msg
+;  null CONSP msg => msg
 ;  blanks := ['" "," "]
 ;  haveBlank := NIL
 ;  prims :=
@@ -606,7 +606,7 @@
   (PROG (|blanks| |prims| |msg1| |haveBlank|)
     (RETURN
       (SEQ (COND
-             ((NULL (PAIRP |msg|)) |msg|)
+             ((NULL (CONSP |msg|)) |msg|)
              ('T
               (SPADLET |blanks|
                        (CONS " " (CONS '| | NIL)))
@@ -1050,7 +1050,7 @@
 ;  off := (offset <= 0 => '""; fillerSpaces(offset,'" "))
 ;  off1:= (offset <= 1 => '""; fillerSpaces(offset-1,'" "))
 ;  firstLine := true
-;  PAIRP msg =>
+;  CONSP msg =>
 ;    lnl := offset
 ;    if msg is [a,:.] and a in '(%b %d _  "%b" "%d" " ") then
 ;      nl :=  [off1]
@@ -1061,14 +1061,14 @@
 ;        actualMarg := potentialMarg
 ;        if lnl = 99999 then nl := ['%l,:nl]
 ;        lnl := 99999
-;      PAIRP(f) and CAR(f) in '("%m" %m '%ce "%ce" %rj "%rj") =>
+;      CONSP(f) and CAR(f) in '("%m" %m '%ce "%ce" %rj "%rj") =>
 ;        actualMarg := potentialMarg
 ;        nl := [f,'%l,:nl]
 ;        lnl := 199999
 ;      f in '("%i" %i ) =>
 ;        potentialMarg := potentialMarg + 3
 ;        nl := [f,:nl]
-;      PAIRP(f) and CAR(f) in '("%t" %t) =>
+;      CONSP(f) and CAR(f) in '("%t" %t) =>
 ;        potentialMarg := potentialMarg + CDR f
 ;        nl := [f,:nl]
 ;      sbl := sayBrightlyLength f
@@ -1097,18 +1097,18 @@
   (declare (special |$texFormatting|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |msg|) (EQ (QCDR |msg|) NIL)
+             ((AND (CONSP |msg|) (EQ (QCDR |msg|) NIL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |msg|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |ce| (QCAR |ISTMP#1|)) 'T)))
                    (|member| |ce| '(|%ce| "%ce" |%rj| "%rj")))
               |msg|)
              (|$texFormatting| |msg|)
-             ((AND (PAIRP |msg|) (EQ (QCDR |msg|) NIL)
+             ((AND (CONSP |msg|) (EQ (QCDR |msg|) NIL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |msg|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |ce| (QCAR |ISTMP#1|)) 'T)))
                    (member |ce| '(|%ce| "%ce") :test #'equal))
               |msg|)
@@ -1126,9 +1126,9 @@
                               " "))))
               (SPADLET |firstLine| 'T)
               (COND
-                ((PAIRP |msg|) (SPADLET |lnl| |offset|)
+                ((CONSP |msg|) (SPADLET |lnl| |offset|)
                  (COND
-                   ((AND (PAIRP |msg|)
+                   ((AND (CONSP |msg|)
                          (PROGN (SPADLET |a| (QCAR |msg|)) 'T)
                          (|member| |a| '(|%b| |%d| | | "%b" "%d" " ")))
                     (SPADLET |nl| (CONS |off1| NIL))
@@ -1145,7 +1145,7 @@
                                    ((EQL |lnl| 99999)
                                     (SPADLET |nl| (CONS '|%l| |nl|))))
                                  (SPADLET |lnl| 99999))
-                                ((AND (PAIRP |f|)
+                                ((AND (CONSP |f|)
                                       (|member| (CAR |f|)
                                        '("%m" |%m| '|%ce| "%ce" |%rj|
                                          "%rj")))
@@ -1157,7 +1157,7 @@
                                  (SPADLET |potentialMarg|
                                           (PLUS |potentialMarg| 3))
                                  (SPADLET |nl| (CONS |f| |nl|)))
-                                ((AND (PAIRP |f|)
+                                ((AND (CONSP |f|)
                                       (|member| (CAR |f|) '("%t" |%t|)))
                                  (SPADLET |potentialMarg|
                                           (PLUS |potentialMarg|
@@ -1285,20 +1285,20 @@
              (CONS |t1| (CONS |t2| (CONS |val'| NIL)))))))))
 
 ;--% Some Standard Message Printing Functions
-;bright x == ['"%b",:(PAIRP(x) and NULL CDR LASTNODE x => x; [x]),'"%d"]
+;bright x == ['"%b",:(CONSP(x) and NULL CDR LASTNODE x => x; [x]),'"%d"]
 
 (defun |bright| (|x|)
- (if (pairp |x|) `(" " ,@|x| " ")  `(" " ,|x| " ")))
+ (if (consp |x|) `(" " ,@|x| " ")  `(" " ,|x| " ")))
 
 ;--bright x == ['%b,:(ATOM x => [x]; x),'%d]
 ;mkMessage msg ==
-;  msg and (PAIRP msg) and ((first msg) in '(%l "%l"))  and
+;  msg and (CONSP msg) and ((first msg) in '(%l "%l"))  and
 ;    ((last msg) in '(%l "%l")) => concat msg
 ;  concat('%l,msg,'%l)
 
 (DEFUN |mkMessage| (|msg|)
   (COND
-    ((AND |msg| (PAIRP |msg|) (|member| (CAR |msg|) '(|%l| "%l"))
+    ((AND |msg| (CONSP |msg|) (|member| (CAR |msg|) '(|%l| "%l"))
           (|member| (|last| |msg|) '(|%l| "%l")))
      (|concat| |msg|))
     ('T (|concat| '|%l| |msg| '|%l|))))
@@ -1323,7 +1323,7 @@
       (PROGN
         (TERPRI)
         (COND
-          ((AND (PAIRP |margin|) (EQ (QCDR |margin|) NIL)
+          ((AND (CONSP |margin|) (EQ (QCDR |margin|) NIL)
                 (PROGN (SPADLET |n| (QCAR |margin|)) 'T))
            (BLANKS |n|)))
         NIL))))
@@ -2084,7 +2084,7 @@
   (PROG (|x| |l'|)
     (RETURN
       (COND
-        ((AND (PAIRP |l|)
+        ((AND (CONSP |l|)
               (PROGN
                 (SPADLET |x| (QCAR |l|))
                 (SPADLET |l'| (QCDR |l|))
@@ -2110,11 +2110,11 @@
         ((AND (> (|sayWidth| |x|) $LINELENGTH)
               (PROGN
                 (SPADLET |ISTMP#1| (|splitListOn| |x| '|if|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |front| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN
                               (SPADLET |back| (QCAR |ISTMP#2|))
                               'T))))))
@@ -2179,7 +2179,7 @@
   (COND ((NULL |x|) 0) ('T (|sayDisplayWidth| |x|))))
 
 ;sayDisplayWidth x ==
-;  PAIRP x =>
+;  CONSP x =>
 ;    +/[fn y for y in x] where fn y ==
 ;      y in '(%b %d "%b" "%d") or y=$quadSymbol => 1
 ;      k := blankIndicator y => k
@@ -2202,7 +2202,7 @@
   (PROG ()
     (RETURN
       (SEQ (COND
-             ((PAIRP |x|)
+             ((CONSP |x|)
               (PROG (G167123)
                 (SPADLET G167123 0)
                 (RETURN
@@ -2461,7 +2461,7 @@
                   ((NULL (PROGN
                            (SPADLET |ISTMP#1|
                                     (|splitListSayBrightly| |u|))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (PROGN
                                   (SPADLET |head| (QCAR |ISTMP#1|))
                                   (SPADLET |u| (QCDR |ISTMP#1|))
diff --git a/src/interp/newfort.lisp.pamphlet b/src/interp/newfort.lisp.pamphlet
index 1f91650..d89c3e1 100644
--- a/src/interp/newfort.lisp.pamphlet
+++ b/src/interp/newfort.lisp.pamphlet
@@ -243,26 +243,26 @@
       (SEQ (COND
              ((NULL |e|) NIL)
              ((ATOM |e|) (CONS (|object2String| |e|) NIL))
-             ((OR (AND (PAIRP |e|) (EQ (QCAR |e|) '=)
+             ((OR (AND (CONSP |e|) (EQ (QCAR |e|) '=)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |e|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |lhs| (QCAR |ISTMP#1|))
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)
                                      (PROGN
                                        (SPADLET |rhs| (QCAR |ISTMP#2|))
                                        'T))))))
-                  (AND (PAIRP |e|) (EQUAL (QCAR |e|) '"=")
+                  (AND (CONSP |e|) (EQUAL (QCAR |e|) '"=")
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |e|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |lhs| (QCAR |ISTMP#1|))
                                 (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                (AND (PAIRP |ISTMP#2|)
+                                (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)
                                      (PROGN
                                        (SPADLET |rhs| (QCAR |ISTMP#2|))
@@ -379,11 +379,11 @@
                       (SEQ (EXIT (COND
                                    ((AND
                                      (BOOT-EQUAL |op| "+")
-                                     (PAIRP |arg|)
+                                     (CONSP |arg|)
                                      (PROGN
                                        (SPADLET |m| (QCAR |arg|))
                                        (SPADLET |ISTMP#1| (QCDR |arg|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (EQ (QCDR |ISTMP#1|) NIL)
                                         (PROGN
                                           (SPADLET |a|
@@ -527,7 +527,7 @@
 ;      fun = 'CAR =>
 ;        RPLACA(loc,var)
 ;      fun = 'CDR =>
-;        if PAIRP QCDR loc
+;        if CONSP QCDR loc
 ;          then RPLACD(loc,[var])
 ;          else RPLACD(loc,var)
 ;      SAY '"whoops"
@@ -557,7 +557,7 @@
                    ((BOOT-EQUAL |fun| 'CAR) (RPLACA |loc| |var|))
                    ((BOOT-EQUAL |fun| 'CDR)
                     (COND
-                      ((PAIRP (QCDR |loc|))
+                      ((CONSP (QCDR |loc|))
                        (RPLACD |loc| (CONS |var| NIL)))
                       ('T (RPLACD |loc| |var|))))
                    ('T (SAY "whoops")))))
@@ -615,11 +615,11 @@
       (SEQ (COND
              ((OR (ATOM |e|) (AND (ATOM (CAR |e|)) (NULL (CDR |e|))))
               |e|)
-             ((AND (PAIRP |e|)
+             ((AND (CONSP |e|)
                    (PROGN
                      (SPADLET |op| (QCAR |e|))
                      (SPADLET |ISTMP#1| (QCDR |e|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |arg| (QCAR |ISTMP#1|)) 'T)))
                    (BOOT-EQUAL (|object2Identifier| |op|) '-)
                    (ATOM |arg|))
@@ -690,10 +690,10 @@
               (SEQ (COND
                      ((|member| |op1| '(BRACE BRACKET))
                       (COND
-                        ((AND (PAIRP |args|) (EQ (QCDR |args|) NIL)
+                        ((AND (CONSP |args|) (EQ (QCDR |args|) NIL)
                               (PROGN
                                 (SPADLET |ISTMP#1| (QCAR |args|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (EQ (QCAR |ISTMP#1|) 'AGGLST)
                                      (PROGN
                                        (SPADLET |elts|
@@ -969,7 +969,7 @@
       (PROGN
         (COND
           ((OR (ATOM |x|)
-               (AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
+               (AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
                     (NULL (|member| (|object2Identifier| |op|)
                               '(= MATRIX |construct|)))))
            (SPADLET |var|
@@ -1222,15 +1222,15 @@
               (|mkFortFn| (CAR |args|) (CDR |args|) (|#| (CDR |args|))))
              ((|member| |op| (CONS 'BRACE (CONS 'BRACKET NIL)))
               (COND
-                ((AND (PAIRP |args|)
+                ((AND (CONSP |args|)
                       (PROGN
                         (SPADLET |var| (QCAR |args|))
                         (SPADLET |ISTMP#1| (QCDR |args|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCAR |ISTMP#2|) 'AGGLST)
                                     (PROGN
                                       (SPADLET |elts| (QCDR |ISTMP#2|))
@@ -1243,7 +1243,7 @@
                         ((AND (LISTP (CAR |elts|)) (EQL (|#| |elts|) 1)
                               (PROGN
                                 (SPADLET |ISTMP#1| (CAR |elts|))
-                                (AND (PAIRP |ISTMP#1|)
+                                (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |sOp| (QCAR |ISTMP#1|))
                                        (SPADLET |sArgs|
@@ -1311,11 +1311,11 @@
              ((|member| |op|
                   (CONS "MATRIX" (CONS 'MATRIX NIL)))
               (COND
-                ((AND (PAIRP |args|)
+                ((AND (CONSP |args|)
                       (PROGN
                         (SPADLET |var| (QCAR |args|))
                         (SPADLET |ISTMP#1| (QCDR |args|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQUAL (QCAR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |rows| (QCDR |ISTMP#1|))
@@ -2473,16 +2473,16 @@
                          ((AND (|member| |op|
                                    (CONS '+
                                     (CONS "+" NIL)))
-                               (PAIRP |arg2|)
+                               (CONSP |arg2|)
                                (PROGN
                                  (SPADLET |mop| (QCAR |arg2|))
                                  (SPADLET |ISTMP#1| (QCDR |arg2|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (PROGN
                                         (SPADLET |m1| (QCAR |ISTMP#1|))
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (SPADLET |m2|
@@ -2507,16 +2507,16 @@
                          ((AND (|member| |op|
                                    (CONS '+
                                     (CONS "+" NIL)))
-                               (PAIRP |arg1|)
+                               (CONSP |arg1|)
                                (PROGN
                                  (SPADLET |mop| (QCAR |arg1|))
                                  (SPADLET |ISTMP#1| (QCDR |arg1|))
-                                 (AND (PAIRP |ISTMP#1|)
+                                 (AND (CONSP |ISTMP#1|)
                                       (PROGN
                                         (SPADLET |m1| (QCAR |ISTMP#1|))
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCDR |ISTMP#2|) NIL)
                                          (PROGN
                                            (SPADLET |m2|
diff --git a/src/interp/nruncomp.lisp.pamphlet b/src/interp/nruncomp.lisp.pamphlet
index 4e3591d..ea200e2 100644
--- a/src/interp/nruncomp.lisp.pamphlet
+++ b/src/interp/nruncomp.lisp.pamphlet
@@ -66,7 +66,7 @@
                      (COND
                        (|$NRTaddForm|
                            (COND
-                             ((AND (PAIRP |$NRTaddForm|)
+                             ((AND (CONSP |$NRTaddForm|)
                                    (EQ (QCAR |$NRTaddForm|) '|@Tuple|)
                                    (PROGN
                                      (SPADLET |y| (QCDR |$NRTaddForm|))
@@ -99,10 +99,10 @@
   (declare (special |$formalArgList| |$FormalMapVariableList|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |item|) (EQ (QCAR |item|) '|domain|)
+             ((AND (CONSP |item|) (EQ (QCAR |item|) '|domain|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |item|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |lhs| (QCAR |ISTMP#1|)) 'T))))
               (|NRTencode| |lhs| |compItem|))
              ('T (SPADLET |op| (CAR |item|))
@@ -162,7 +162,7 @@
 ;  --the operation name should be assigned a slot
 ;  null firstTime and (k:= NRTassocIndex x) => k
 ;  VECP x => systemErrorHere '"NRTencode"
-;  PAIRP x =>
+;  CONSP x =>
 ;    QCAR x='Record or x is ['Union,['_:,a,b],:.] =>
 ;      [QCAR x,:[['_:,a,encode(b,c,false)]
 ;        for [.,a,b] in QCDR x for [.,=a,c] in CDR compForm]]
@@ -186,29 +186,29 @@
                (EXIT |k|))
            (IF (VECP |x|)
                (EXIT (|systemErrorHere| "NRTencode")))
-           (IF (PAIRP |x|)
+           (IF (CONSP |x|)
                (EXIT (SEQ (IF (OR (BOOT-EQUAL (QCAR |x|) '|Record|)
-                                  (AND (PAIRP |x|)
+                                  (AND (CONSP |x|)
                                        (EQ (QCAR |x|) '|Union|)
                                        (PROGN
                                          (SPADLET |ISTMP#1| (QCDR |x|))
-                                         (AND (PAIRP |ISTMP#1|)
+                                         (AND (CONSP |ISTMP#1|)
                                           (PROGN
                                             (SPADLET |ISTMP#2|
                                              (QCAR |ISTMP#1|))
-                                            (AND (PAIRP |ISTMP#2|)
+                                            (AND (CONSP |ISTMP#2|)
                                              (EQ (QCAR |ISTMP#2|) '|:|)
                                              (PROGN
                                                (SPADLET |ISTMP#3|
                                                 (QCDR |ISTMP#2|))
-                                               (AND (PAIRP |ISTMP#3|)
+                                               (AND (CONSP |ISTMP#3|)
                                                 (PROGN
                                                   (SPADLET |a|
                                                    (QCAR |ISTMP#3|))
                                                   (SPADLET |ISTMP#4|
                                                    (QCDR |ISTMP#3|))
                                                   (AND
-                                                   (PAIRP |ISTMP#4|)
+                                                   (CONSP |ISTMP#4|)
                                                    (EQ (QCDR |ISTMP#4|)
                                                     NIL)
                                                    (PROGN
@@ -652,14 +652,14 @@
   (PROG (|ISTMP#1| |y| |ISTMP#2| |z|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) '|:|)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) '|:|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |x|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |y| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
+                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
                             (PROGN (SPADLET |z| (QCAR |ISTMP#2|)) 'T))))))
          (CONS '|:| (CONS |y| (CONS (|genDeltaSig| |z|) NIL))))
         ('T (|genDeltaSig| |x|))))))
@@ -942,17 +942,17 @@
              ((BOOT-EQUAL |x| |dc|) ''$)
              ((BOOT-EQUAL |x| '$) ''$)
              ((BOOT-EQUAL |x| '$$) (CONS '|devaluate| (CONS '$ NIL)))
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
                      'T))
               (COND
                 ((OR (BOOT-EQUAL |op| '|Record|)
-                     (AND (BOOT-EQUAL |op| '|Union|) (PAIRP |argl|)
+                     (AND (BOOT-EQUAL |op| '|Union|) (CONSP |argl|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCAR |argl|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (EQ (QCAR |ISTMP#1|) '|:|)))))
                  (|mkList|
                      (CONS (MKQ |op|)
@@ -1034,17 +1034,17 @@
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |x| '$) '$)
-             ((AND (PAIRP |x|)
+             ((AND (CONSP |x|)
                    (PROGN
                      (SPADLET |op| (QCAR |x|))
                      (SPADLET |argl| (QCDR |x|))
                      'T))
               (COND
-                ((AND (BOOT-EQUAL |op| '|:|) (PAIRP |argl|)
+                ((AND (BOOT-EQUAL |op| '|:|) (CONSP |argl|)
                       (PROGN
                         (SPADLET |tag| (QCAR |argl|))
                         (SPADLET |ISTMP#1| (QCDR |argl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |value| (QCAR |ISTMP#1|))
@@ -1247,13 +1247,13 @@
              (SPADLET |name| (CAR |$definition|))
              (SPADLET |args| (CDR |$definition|))
              (COND
-               ((AND (PAIRP |code|) (EQ (QCAR |code|) '|add|)
+               ((AND (CONSP |code|) (EQ (QCAR |code|) '|add|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |code|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |newstuff|
@@ -2278,7 +2278,7 @@
   (declare (special |$hasCategoryAlist|))
     (RETURN
       (COND
-        ((AND (PAIRP |u|)
+        ((AND (CONSP |u|)
               (PROGN
                 (SPADLET |a| (QCAR |u|))
                 (SPADLET |b| (QCDR |u|))
@@ -2366,11 +2366,11 @@
                                           (|insert| |pred|
                                            |$NRTslot1PredicateList|))))
                       NIL)
-                  (IF (AND (AND (PAIRP |fnsel|)
+                  (IF (AND (AND (CONSP |fnsel|)
                                 (PROGN
                                   (SPADLET |op| (QCAR |fnsel|))
                                   (SPADLET |ISTMP#1| (QCDR |fnsel|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |a| (QCAR |ISTMP#1|))
                                          'T))))
@@ -2411,18 +2411,18 @@
                            (EXIT (SPADLET |$lastPred| |pred|)))
                       NIL)
                   (SPADLET |newfnsel|
-                           (SEQ (IF (AND (PAIRP |fnsel|)
+                           (SEQ (IF (AND (CONSP |fnsel|)
                                      (EQ (QCAR |fnsel|) '|Subsumed|)
                                      (PROGN
                                        (SPADLET |ISTMP#1|
                                         (QCDR |fnsel|))
-                                       (AND (PAIRP |ISTMP#1|)
+                                       (AND (CONSP |ISTMP#1|)
                                         (PROGN
                                           (SPADLET |op1|
                                            (QCAR |ISTMP#1|))
                                           (SPADLET |ISTMP#2|
                                            (QCDR |ISTMP#1|))
-                                          (AND (PAIRP |ISTMP#2|)
+                                          (AND (CONSP |ISTMP#2|)
                                            (EQ (QCDR |ISTMP#2|) NIL)
                                            (PROGN
                                              (SPADLET |sig1|
@@ -2521,9 +2521,9 @@
   (PROG (|preds| |ISTMP#1| |pred1|)
     (RETURN
       (SEQ (COND
-             ((OR (AND (PAIRP |pred|) (EQ (QCAR |pred|) 'AND)
+             ((OR (AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
                        (PROGN (SPADLET |preds| (QCDR |pred|)) 'T))
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) '|and|)
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) '|and|)
                        (PROGN (SPADLET |preds| (QCDR |pred|)) 'T)))
               (DO ((G167619 |preds| (CDR G167619)) (|p| NIL))
                   ((OR (ATOM G167619)
@@ -2532,24 +2532,24 @@
                 (SEQ (EXIT (SPADLET |$e|
                                     (|deepChaseInferences| |p| |$e|)))))
               |$e|)
-             ((OR (AND (PAIRP |pred|) (EQ (QCAR |pred|) 'OR)
+             ((OR (AND (CONSP |pred|) (EQ (QCAR |pred|) 'OR)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |pred|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |pred1| (QCAR |ISTMP#1|))
                                 'T))))
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) '|or|)
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) '|or|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |pred|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (PROGN
                                 (SPADLET |pred1| (QCAR |ISTMP#1|))
                                 'T)))))
               (|deepChaseInferences| |pred1| |$e|))
              ((OR (EQ |pred| 'T)
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) 'NOT))
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) '|not|)))
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) 'NOT))
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) '|not|)))
               |$e|)
              ('T (|chaseInferences| |pred| |$e|)))))))
 
@@ -2579,16 +2579,16 @@
                                      NIL))
                                G167647)
                             (SEQ (EXIT (COND
-                                         ((AND (PAIRP |u|)
+                                         ((AND (CONSP |u|)
                                            (EQUAL (QCAR |u|) |op|)
                                            (PROGN
                                              (SPADLET |ISTMP#1|
                                               (QCDR |u|))
-                                             (AND (PAIRP |ISTMP#1|)
+                                             (AND (CONSP |ISTMP#1|)
                                               (PROGN
                                                 (SPADLET |ISTMP#2|
                                                  (QCAR |ISTMP#1|))
-                                                (AND (PAIRP |ISTMP#2|)
+                                                (AND (CONSP |ISTMP#2|)
                                                  (EQUAL
                                                   (QCAR |ISTMP#2|) '$)
                                                  (PROGN
@@ -2746,14 +2746,14 @@
     (RETURN
       (SEQ (COND
              ((ATOM |bod|) |bod|)
-             ((AND (PAIRP |bod|) (EQ (QCAR |bod|) 'SPADCALL)
+             ((AND (CONSP |bod|) (EQ (QCAR |bod|) 'SPADCALL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |bod|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|))
                             'T)
-                          (PAIRP |ISTMP#2|)
+                          (CONSP |ISTMP#2|)
                           (PROGN
                             (SPADLET |fn| (QCAR |ISTMP#2|))
                             (SPADLET |args| (QCDR |ISTMP#2|))
@@ -2763,15 +2763,15 @@
                             'T))))
               (|NRTputInTail| (CDR |bod|))
               (COND
-                ((AND (PAIRP |fn|)
+                ((AND (CONSP |fn|)
                       (PROGN
                         (SPADLET |elt| (QCAR |fn|))
                         (SPADLET |ISTMP#1| (QCDR |fn|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |dom| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |ind| (QCAR |ISTMP#2|))
@@ -2784,7 +2784,7 @@
                             (CONS |$elt| (CONS '$ (CONS |k| NIL)))))
                    ('T NIL)))
                 ('T (|NRTputInHead| |fn|) |bod|)))
-             ((AND (PAIRP |bod|) (EQ (QCAR |bod|) 'COND)
+             ((AND (CONSP |bod|) (EQ (QCAR |bod|) 'COND)
                    (PROGN (SPADLET |clauses| (QCDR |bod|)) 'T))
               (DO ((G167797 |clauses| (CDR G167797)) (|cc| NIL))
                   ((OR (ATOM G167797)
@@ -2792,16 +2792,16 @@
                    NIL)
                 (SEQ (EXIT (|NRTputInTail| |cc|))))
               |bod|)
-             ((AND (PAIRP |bod|) (EQ (QCAR |bod|) 'QUOTE)) |bod|)
-             ((AND (PAIRP |bod|) (EQ (QCAR |bod|) 'CLOSEDFN)) |bod|)
-             ((AND (PAIRP |bod|) (EQ (QCAR |bod|) 'SPADCONST)
+             ((AND (CONSP |bod|) (EQ (QCAR |bod|) 'QUOTE)) |bod|)
+             ((AND (CONSP |bod|) (EQ (QCAR |bod|) 'CLOSEDFN)) |bod|)
+             ((AND (CONSP |bod|) (EQ (QCAR |bod|) 'SPADCONST)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |bod|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |dom| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |ind| (QCAR |ISTMP#2|))
diff --git a/src/interp/nrunfast.lisp.pamphlet b/src/interp/nrunfast.lisp.pamphlet
index b346d6f..a788046 100644
--- a/src/interp/nrunfast.lisp.pamphlet
+++ b/src/interp/nrunfast.lisp.pamphlet
@@ -116,7 +116,7 @@
 ;  goGetDomain :=
 ;     goGetDomainSlotIndex = 0 => thisDomain
 ;     thisDomain.goGetDomainSlotIndex
-;  if PAIRP goGetDomain and SYMBOLP CAR goGetDomain then
+;  if CONSP goGetDomain and SYMBOLP CAR goGetDomain then
 ;     goGetDomain := lazyDomainSet(goGetDomain,thisDomain,goGetDomainSlotIndex)
 ;  sig :=
 ;    [newExpandTypeSlot(bytevec.(index := QSADD1 index),thisDomain,thisDomain)
@@ -160,7 +160,7 @@
                         ((EQL |goGetDomainSlotIndex| 0) |thisDomain|)
                         ('T (ELT |thisDomain| |goGetDomainSlotIndex|))))
              (COND
-               ((AND (PAIRP |goGetDomain|)
+               ((AND (CONSP |goGetDomain|)
                      (SYMBOLP (CAR |goGetDomain|)))
                 (SPADLET |goGetDomain|
                          (|lazyDomainSet| |goGetDomain| |thisDomain|
@@ -330,7 +330,7 @@
 ;  NE(success,'failed) and success =>
 ;    if $monitorNewWorld then
 ;      sayLooking1('"<----",uu) where uu ==
-;        PAIRP success => [first success,:devaluate rest success]
+;        CONSP success => [first success,:devaluate rest success]
 ;        success
 ;    success
 ;  subsumptionSig and (u:= basicLookup(op,subsumptionSig,domain,dollar)) => u
@@ -485,7 +485,7 @@
                      (|$monitorNewWorld|
                          (|sayLooking1| "<----"
                              (COND
-                               ((PAIRP |success|)
+                               ((CONSP |success|)
                                 (CONS (CAR |success|)
                                       (|devaluate| (CDR |success|))))
                                ('T |success|)))))
@@ -505,7 +505,7 @@
 (DEFUN |isDefaultPackageForm?| (|x|)
   (PROG (|op| |s|)
     (RETURN
-      (AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
+      (AND (CONSP |x|) (PROGN (SPADLET |op| (QCAR |x|)) 'T)
            (IDENTP |op|)
            (BOOT-EQUAL (ELT (SPADLET |s| (PNAME |op|)) (MAXINDEX |s|))
                '&)))))
@@ -600,7 +600,7 @@
 ;  NE(success,'failed) and success =>
 ;    if $monitorNewWorld then
 ;      sayLooking1('"<----",uu) where uu ==
-;        PAIRP success => [first success,:devaluate rest success]
+;        CONSP success => [first success,:devaluate rest success]
 ;        success
 ;    success
 ;  subsumptionSig and (u:= basicLookup(op,subsumptionSig,domain,dollar)) => u
@@ -804,7 +804,7 @@
                         (|$monitorNewWorld|
                             (|sayLooking1| "<----"
                                 (COND
-                                  ((PAIRP |success|)
+                                  ((CONSP |success|)
                                    (CONS (CAR |success|)
                                     (|devaluate| (CDR |success|))))
                                   ('T |success|)))))
@@ -1990,10 +1990,10 @@
            (COND
              ((STRINGP |s|) (BOOT-EQUAL |a| |s|))
              ('T
-              (AND (PAIRP |s|) (EQ (QCAR |s|) 'QUOTE)
+              (AND (CONSP |s|) (EQ (QCAR |s|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |s|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T)))
                    (BOOT-EQUAL (PNAME |y|) |a|))
               (AND (IDENTP |s|) (BOOT-EQUAL (PNAME |s|) |a|)))))
@@ -2034,7 +2034,7 @@
               |ISTMP#2| |slotNum| |l|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |lazyt|)
+             ((AND (CONSP |lazyt|)
                    (PROGN
                      (SPADLET |op| (QCAR |lazyt|))
                      (SPADLET |argl| (QCDR |lazyt|))
@@ -2047,7 +2047,7 @@
                 ((AND (member |op| '(|Record| |Union|))
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |argl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) '|:|))))
                  (PROG (G166783)
                    (SPADLET G166783 'T)
@@ -2133,32 +2133,32 @@
                                       (AND G166825
                                        (|lazyMatchArg2| |s| |a|
                                         |dollar| |domain| |flag|)))))))))))))
-             ((AND (STRINGP |source|) (PAIRP |lazyt|)
+             ((AND (STRINGP |source|) (CONSP |lazyt|)
                    (EQ (QCAR |lazyt|) 'QUOTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |lazyt|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (EQUAL (QCAR |ISTMP#1|) |source|))))
               'T)
              ((NUMBERP |source|)
               (COND
-                ((AND (PAIRP |lazyt|) (EQ (QCAR |lazyt|) '|#|)
+                ((AND (CONSP |lazyt|) (EQ (QCAR |lazyt|) '|#|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |lazyt|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (SPADLET |slotNum| (QCAR |ISTMP#1|))
                                'T))))
                  (BOOT-EQUAL |source| (|#| (ELT |domain| |slotNum|))))
-                ((AND (PAIRP |lazyt|) (EQ (QCAR |lazyt|) '|call|)
+                ((AND (CONSP |lazyt|) (EQ (QCAR |lazyt|) '|call|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |lazyt|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) 'LENGTH)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |slotNum|
@@ -2166,7 +2166,7 @@
                                       'T))))))
                  (BOOT-EQUAL |source| (|#| (ELT |domain| |slotNum|))))
                 ('T NIL)))
-             ((AND (PAIRP |source|) (EQ (QCAR |source|) '|construct|)
+             ((AND (CONSP |source|) (EQ (QCAR |source|) '|construct|)
                    (PROGN (SPADLET |l| (QCDR |source|)) 'T))
               (BOOT-EQUAL |l| |lazyt|))
              ('T NIL))))))
@@ -2232,18 +2232,18 @@
                                      (AND G166912
                                       (COND
                                         ((BOOT-EQUAL |x| |arg|) 'T)
-                                        ((AND (PAIRP |x|)
+                                        ((AND (CONSP |x|)
                                           (EQ (QCAR |x|) '|elt|)
                                           (PROGN
                                             (SPADLET |ISTMP#1|
                                              (QCDR |x|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (PROGN
                                                (SPADLET |someDomain|
                                                 (QCAR |ISTMP#1|))
                                                (SPADLET |ISTMP#2|
                                                 (QCDR |ISTMP#1|))
-                                               (AND (PAIRP |ISTMP#2|)
+                                               (AND (CONSP |ISTMP#2|)
                                                 (EQ (QCDR |ISTMP#2|)
                                                  NIL)
                                                 (PROGN
@@ -2395,11 +2395,11 @@
         ((VECP |lazyt|) (ELT |lazyt| 0))
         ((|isDomain| |lazyt|) (|devaluate| |lazyt|))
         ((ATOM |lazyt|) |lazyt|)
-        ((AND (PAIRP |lazyt|)
+        ((AND (CONSP |lazyt|)
               (PROGN
                 (SPADLET |vec| (QCAR |lazyt|))
                 (SPADLET |ISTMP#1| (QCDR |lazyt|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN (SPADLET |lazyForm| (QCDR |ISTMP#1|)) 'T)))
               (VECP |vec|))
          (|newExpandLocalTypeForm| |lazyForm| |dollar| |domain|))
@@ -2427,7 +2427,7 @@
                ((AND (member |functorName| '(|Record| |Union|))
                      (PROGN
                        (SPADLET |ISTMP#1| (CAR |argl|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQ (QCAR |ISTMP#1|) '|:|))))
                 (CONS |functorName|
                       (PROG (G167036)
@@ -2527,16 +2527,16 @@
          (COND
            (|typeFlag| (|newExpandTypeSlot| |u| |dollar| |domain|))
            ('T (ELT |domain| |u|))))
-        ((AND (PAIRP |u|) (EQ (QCAR |u|) 'NRTEVAL)
+        ((AND (CONSP |u|) (EQ (QCAR |u|) 'NRTEVAL)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |u|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          (|nrtEval| |y| |domain|))
-        ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)
+        ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |u|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          |y|)
         ((BOOT-EQUAL |u| '$$) (ELT |domain| 0))
@@ -2664,13 +2664,13 @@
                (EXIT (|assoc| |b| (|ancestorsOf| |a| NIL))))
            (IF (|isPartialMode| |a|)
                (EXIT (|throwKeyedMsg| 'S2IS0025 NIL)))
-           (IF (AND (PAIRP |b|) (EQ (QCAR |b|) 'SIGNATURE)
+           (IF (AND (CONSP |b|) (EQ (QCAR |b|) 'SIGNATURE)
                     (PROGN (SPADLET |opSig| (QCDR |b|)) 'T))
                (EXIT (|HasSignature| (|evalDomain| |a|) |opSig|)))
-           (IF (AND (PAIRP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
+           (IF (AND (CONSP |b|) (EQ (QCAR |b|) 'ATTRIBUTE)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |b|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN
                              (SPADLET |attr| (QCAR |ISTMP#1|))
                              'T))))
@@ -2687,38 +2687,38 @@
              (SPADLET |l| (CDR |x|))
              |x|)
            (IF (BOOT-EQUAL |pred| '|has|)
-               (EXIT (SEQ (IF (AND (PAIRP |l|)
+               (EXIT (SEQ (IF (AND (CONSP |l|)
                                    (PROGN
                                      (SPADLET |w1| (QCAR |l|))
                                      (SPADLET |ISTMP#1| (QCDR |l|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |ISTMP#2|
                                          (QCAR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCAR |ISTMP#2|)
                                           'ATTRIBUTE)
                                          (PROGN
                                            (SPADLET |ISTMP#3|
                                             (QCDR |ISTMP#2|))
-                                           (AND (PAIRP |ISTMP#3|)
+                                           (AND (CONSP |ISTMP#3|)
                                             (EQ (QCDR |ISTMP#3|) NIL)
                                             (PROGN
                                               (SPADLET |w2|
                                                (QCAR |ISTMP#3|))
                                               'T))))))))
                               (EXIT (|newHasTest| |w1| |w2|)))
-                          (IF (AND (PAIRP |l|)
+                          (IF (AND (CONSP |l|)
                                    (PROGN
                                      (SPADLET |w1| (QCAR |l|))
                                      (SPADLET |ISTMP#1| (QCDR |l|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (EQ (QCDR |ISTMP#1|) NIL)
                                       (PROGN
                                         (SPADLET |ISTMP#2|
                                          (QCAR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (EQ (QCAR |ISTMP#2|)
                                           'SIGNATURE)
                                          (PROGN
@@ -2768,7 +2768,7 @@
   (declare (special |$FormalMapVariableList|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |domform|)
+             ((AND (CONSP |domform|)
                    (PROGN (SPADLET |dom| (QCAR |domform|)) 'T)
                    (|member| |dom|
                        '(|Union| |Record| |Mapping| |Enumeration|)))
@@ -2792,19 +2792,19 @@
                        (SEQ (EXIT (SETQ G167279
                                         (AND G167279
                                          (|newHasTest| |domform| |x|)))))))))
-                ((AND (PAIRP |catOrAtt|) (EQ (QCAR |catOrAtt|) '|:|)
+                ((AND (CONSP |catOrAtt|) (EQ (QCAR |catOrAtt|) '|:|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |catOrAtt|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |fun| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#3|
                                        (QCAR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCAR |ISTMP#3|) '|Mapping|)
                                        (PROGN
                                          (SPADLET |sig1|
@@ -2815,7 +2815,7 @@
                       (SPADLET |ISTMP#1|
                                (|evaluateType|
                                    (CONS '|Mapping| |sig1|)))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (EQ (QCAR |ISTMP#1|) '|Mapping|)
                            (PROGN
                              (SPADLET |sig2| (QCDR |ISTMP#1|))
@@ -3118,13 +3118,13 @@
   (PROG (|ISTMP#1| |f| |catform| |domain0| |slot4| |catlist|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |catform'|) (EQ (QCAR |catform'|) 'SIGNATURE)
+             ((AND (CONSP |catform'|) (EQ (QCAR |catform'|) 'SIGNATURE)
                    (PROGN (SPADLET |f| (QCDR |catform'|)) 'T))
               (|HasSignature| |domain| |f|))
-             ((AND (PAIRP |catform'|) (EQ (QCAR |catform'|) 'ATTRIBUTE)
+             ((AND (CONSP |catform'|) (EQ (QCAR |catform'|) 'ATTRIBUTE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |catform'|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |f| (QCAR |ISTMP#1|)) 'T))))
               (|HasAttribute| |domain| |f|))
              ((|isDomain| |domain|)
diff --git a/src/interp/nrungo.lisp.pamphlet b/src/interp/nrungo.lisp.pamphlet
index 0d5f5e7..c6bb27a 100644
--- a/src/interp/nrungo.lisp.pamphlet
+++ b/src/interp/nrungo.lisp.pamphlet
@@ -22,7 +22,7 @@
 
 (DEFUN |NRTevalDomain| (|form|)
   (COND
-    ((AND (PAIRP |form|) (EQ (QCAR |form|) 'SETELT)) (|eval| |form|))
+    ((AND (CONSP |form|) (EQ (QCAR |form|) 'SETELT)) (|eval| |form|))
     ('T (|evalDomain| |form|))))
 
 ;compiledLookup(op, sig, dollar) ==
@@ -279,7 +279,7 @@
 ;   atom t =>
 ;     not INTEGERP t => t
 ;     t:= dom.t
-;     if PAIRP t then t:= NRTevalDomain t
+;     if CONSP t then t:= NRTevalDomain t
 ;     t.0
 ;   MEMQ(CAR t,'(Mapping Union Record _:)) =>
 ;      [CAR t,:[NRTreplaceLocalTypes(x,dom) for x in rest t]]
@@ -294,7 +294,7 @@
                 ((NULL (INTEGERP |t|)) |t|)
                 ('T (SPADLET |t| (ELT |dom| |t|))
                  (COND
-                   ((PAIRP |t|) (SPADLET |t| (|NRTevalDomain| |t|))))
+                   ((CONSP |t|) (SPADLET |t| (|NRTevalDomain| |t|))))
                  (ELT |t| 0))))
              ((member (CAR |t|) '(|Mapping| |Union| |Record| |:|))
               (CONS (CAR |t|)
@@ -393,13 +393,13 @@
                                           (|compareSig| |sig| |sig1|
                                            (ELT |dollar| 0) |domain|))
                                          NIL)
-                                        ((AND (PAIRP |code|)
+                                        ((AND (CONSP |code|)
                                           (EQ (QCAR |code|)
                                            '|subsumed|)
                                           (PROGN
                                             (SPADLET |ISTMP#1|
                                              (QCDR |code|))
-                                            (AND (PAIRP |ISTMP#1|)
+                                            (AND (CONSP |ISTMP#1|)
                                              (EQ (QCDR |ISTMP#1|) NIL)
                                              (PROGN
                                                (SPADLET |a|
@@ -509,14 +509,14 @@
   (PROG (|dom| |ISTMP#1| |packageName| |pname|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |op|)
+        ((NULL (AND (CONSP |op|)
                     (PROGN (SPADLET |dom| (QCDR |op|)) 'T)))
          NIL)
         ((NULL (VECP |dom|)) NIL)
         ((NULL (> (|#| |dom|) 0)) NIL)
         ((NULL (PROGN
                  (SPADLET |ISTMP#1| (ELT |dom| 0))
-                 (AND (PAIRP |ISTMP#1|)
+                 (AND (CONSP |ISTMP#1|)
                       (PROGN
                         (SPADLET |packageName| (QCAR |ISTMP#1|))
                         'T))))
@@ -565,7 +565,7 @@
              ('T NIL))))))
 
 ;lookupInDomainVector(op,sig,domain,dollar) ==
-;  PAIRP domain => basicLookupCheckDefaults(op,sig,domain,domain)
+;  CONSP domain => basicLookupCheckDefaults(op,sig,domain,domain)
 ;  slot1 := domain.1
 ;  SPADCALL(op,sig,dollar,slot1)
 
@@ -573,7 +573,7 @@
   (PROG (|slot1|)
     (RETURN
       (COND
-        ((PAIRP |domain|)
+        ((CONSP |domain|)
          (|basicLookupCheckDefaults| |op| |sig| |domain| |domain|))
         ('T (SPADLET |slot1| (ELT |domain| 1))
          (SPADCALL |op| |sig| |dollar| |slot1|))))))
@@ -721,9 +721,9 @@
       (SEQ (COND
              ((BOOT-EQUAL |pred| 'T) 'T)
              ((BOOT-EQUAL |pred| '|asserted|) NIL)
-             ((OR (AND (PAIRP |pred|) (EQ (QCAR |pred|) 'AND)
+             ((OR (AND (CONSP |pred|) (EQ (QCAR |pred|) 'AND)
                        (PROGN (SPADLET |pl| (QCDR |pred|)) 'T))
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) '|and|)
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) '|and|)
                        (PROGN (SPADLET |pl| (QCDR |pred|)) 'T)))
               (PROG (G166385)
                 (SPADLET G166385 'T)
@@ -737,9 +737,9 @@
                                      (AND G166385
                                       (|lookupPred| |p| |dollar|
                                        |domain|)))))))))
-             ((OR (AND (PAIRP |pred|) (EQ (QCAR |pred|) 'OR)
+             ((OR (AND (CONSP |pred|) (EQ (QCAR |pred|) 'OR)
                        (PROGN (SPADLET |pl| (QCDR |pred|)) 'T))
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) '|or|)
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) '|or|)
                        (PROGN (SPADLET |pl| (QCDR |pred|)) 'T)))
               (PROG (G166399)
                 (SPADLET G166399 NIL)
@@ -753,44 +753,44 @@
                                      (OR G166399
                                       (|lookupPred| |p| |dollar|
                                        |domain|)))))))))
-             ((OR (AND (PAIRP |pred|) (EQ (QCAR |pred|) 'NOT)
+             ((OR (AND (CONSP |pred|) (EQ (QCAR |pred|) 'NOT)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |pred|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCDR |ISTMP#1|) NIL)
                               (PROGN
                                 (SPADLET |p| (QCAR |ISTMP#1|))
                                 'T))))
-                  (AND (PAIRP |pred|) (EQ (QCAR |pred|) '|not|)
+                  (AND (CONSP |pred|) (EQ (QCAR |pred|) '|not|)
                        (PROGN
                          (SPADLET |ISTMP#1| (QCDR |pred|))
-                         (AND (PAIRP |ISTMP#1|)
+                         (AND (CONSP |ISTMP#1|)
                               (EQ (QCDR |ISTMP#1|) NIL)
                               (PROGN
                                 (SPADLET |p| (QCAR |ISTMP#1|))
                                 'T)))))
               (NULL (|lookupPred| |p| |dollar| |domain|)))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|is|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|is|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |dom1| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |dom2| (QCAR |ISTMP#2|))
                                    'T))))))
               (|domainEqual| |dom1| |dom2|))
-             ((AND (PAIRP |pred|) (EQ (QCAR |pred|) '|has|)
+             ((AND (CONSP |pred|) (EQ (QCAR |pred|) '|has|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |pred|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |b| (QCAR |ISTMP#2|))
@@ -860,7 +860,7 @@
 
 ;lazyCompareSigEqual(s,tslot,dollar,domain) ==
 ;  tslot = '$ => s = tslot
-;  INTEGERP tslot and PAIRP(lazyt:=domain.tslot) and PAIRP s =>
+;  INTEGERP tslot and CONSP(lazyt:=domain.tslot) and CONSP s =>
 ;      lazyt is [.,.,.,[.,item,.]] and
 ;        item is [.,[functorName,:.]] and functorName = CAR s =>
 ;          compareSigEqual(s,(NRTevalDomain lazyt).0,dollar,domain)
@@ -874,43 +874,43 @@
       (COND
         ((BOOT-EQUAL |tslot| '$) (BOOT-EQUAL |s| |tslot|))
         ((AND (INTEGERP |tslot|)
-              (PAIRP (SPADLET |lazyt| (ELT |domain| |tslot|)))
-              (PAIRP |s|))
+              (CONSP (SPADLET |lazyt| (ELT |domain| |tslot|)))
+              (CONSP |s|))
          (COND
-           ((AND (PAIRP |lazyt|)
+           ((AND (CONSP |lazyt|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |lazyt|))
-                   (AND (PAIRP |ISTMP#1|)
+                   (AND (CONSP |ISTMP#1|)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                 (AND (PAIRP |ISTMP#3|)
+                                 (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL)
                                       (PROGN
                                         (SPADLET |ISTMP#4|
                                          (QCAR |ISTMP#3|))
-                                        (AND (PAIRP |ISTMP#4|)
+                                        (AND (CONSP |ISTMP#4|)
                                          (PROGN
                                            (SPADLET |ISTMP#5|
                                             (QCDR |ISTMP#4|))
-                                           (AND (PAIRP |ISTMP#5|)
+                                           (AND (CONSP |ISTMP#5|)
                                             (PROGN
                                               (SPADLET |item|
                                                (QCAR |ISTMP#5|))
                                               (SPADLET |ISTMP#6|
                                                (QCDR |ISTMP#5|))
-                                              (AND (PAIRP |ISTMP#6|)
+                                              (AND (CONSP |ISTMP#6|)
                                                (EQ (QCDR |ISTMP#6|)
                                                 NIL)))))))))))))
-                 (PAIRP |item|)
+                 (CONSP |item|)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |item|))
-                   (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                   (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN
                           (SPADLET |ISTMP#2| (QCAR |ISTMP#1|))
-                          (AND (PAIRP |ISTMP#2|)
+                          (AND (CONSP |ISTMP#2|)
                                (PROGN
                                  (SPADLET |functorName|
                                           (QCAR |ISTMP#2|))
@@ -1229,7 +1229,7 @@
   (declare (special |$minivector| |$Integer|))
     (RETURN
       (SEQ (COND
-             ((NULL (AND (PAIRP |body|) (EQ (QCAR |body|) 'COND)
+             ((NULL (AND (CONSP |body|) (EQ (QCAR |body|) 'COND)
                          (PROGN (SPADLET |pcl| (QCDR |body|)) 'T)))
               NIL)
              ('T
@@ -1246,7 +1246,7 @@
                                 (NREVERSE0 G167057))
                              (SEQ (EXIT (COND
                                           ((NULL
-                                            (AND (PAIRP |x|)
+                                            (AND (CONSP |x|)
                                              (EQUAL (QCAR |x|) ''T)
                                              (PROGN
                                                (SPADLET |mess|
@@ -1281,34 +1281,34 @@
                          NIL))
                    NIL)
                 (SEQ (EXIT (COND
-                             ((AND (PAIRP |p|)
+                             ((AND (CONSP |p|)
                                    (EQ (QCAR |p|) 'SPADCALL)
                                    (PROGN
                                      (SPADLET |ISTMP#1| (QCDR |p|))
-                                     (AND (PAIRP |ISTMP#1|)
+                                     (AND (CONSP |ISTMP#1|)
                                       (PROGN
                                         (SPADLET |sharpVar|
                                          (QCAR |ISTMP#1|))
                                         (SPADLET |ISTMP#2|
                                          (QCDR |ISTMP#1|))
-                                        (AND (PAIRP |ISTMP#2|)
+                                        (AND (CONSP |ISTMP#2|)
                                          (PROGN
                                            (SPADLET |n1|
                                             (QCAR |ISTMP#2|))
                                            (SPADLET |ISTMP#3|
                                             (QCDR |ISTMP#2|))
-                                           (AND (PAIRP |ISTMP#3|)
+                                           (AND (CONSP |ISTMP#3|)
                                             (EQ (QCDR |ISTMP#3|) NIL)
                                             (PROGN
                                               (SPADLET |ISTMP#4|
                                                (QCAR |ISTMP#3|))
-                                              (AND (PAIRP |ISTMP#4|)
+                                              (AND (CONSP |ISTMP#4|)
                                                (EQ (QCAR |ISTMP#4|)
                                                 'ELT)
                                                (PROGN
                                                  (SPADLET |ISTMP#5|
                                                   (QCDR |ISTMP#4|))
-                                                 (AND (PAIRP |ISTMP#5|)
+                                                 (AND (CONSP |ISTMP#5|)
                                                   (EQUAL
                                                    (QCAR |ISTMP#5|)
                                                    |minivectorName|)
@@ -1316,7 +1316,7 @@
                                                     (SPADLET |ISTMP#6|
                                                      (QCDR |ISTMP#5|))
                                                     (AND
-                                                     (PAIRP |ISTMP#6|)
+                                                     (CONSP |ISTMP#6|)
                                                      (EQ
                                                       (QCDR |ISTMP#6|)
                                                       NIL)
@@ -1339,23 +1339,23 @@
                                        (CONS (CONS |p| (CONS |c| NIL))
                                         |miscList|)))))))
               (COND
-                ((OR (NULL (AND (PAIRP |miscList|)
+                ((OR (NULL (AND (CONSP |miscList|)
                                 (EQ (QCDR |miscList|) NIL)
                                 (PROGN
                                   (SPADLET |ISTMP#1| (QCAR |miscList|))
-                                  (AND (PAIRP |ISTMP#1|)
+                                  (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |generalPred|
                                           (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET |generalTerm|
                                              (QCAR |ISTMP#2|))
                                             'T)))))))
-                     (NULL (AND (PAIRP |sharpList|)
+                     (NULL (AND (CONSP |sharpList|)
                                 (EQ (QCDR |sharpList|) NIL)
                                 (PROGN
                                   (SPADLET |sharpArg|
@@ -1450,35 +1450,35 @@
                        (SPADLET |predOk|
                                 (COND
                                   ((EQUAL |generalPred| ''T) 'T)
-                                  ((AND (PAIRP |generalPred|)
+                                  ((AND (CONSP |generalPred|)
                                     (EQ (QCAR |generalPred|) 'SPADCALL)
                                     (PROGN
                                       (SPADLET |ISTMP#1|
                                        (QCDR |generalPred|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |m| (QCAR |ISTMP#1|))
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQUAL (QCAR |ISTMP#2|)
                                            |sharpArg|)
                                           (PROGN
                                             (SPADLET |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQ (QCDR |ISTMP#3|) NIL)
                                              (PROGN
                                                (SPADLET |ISTMP#4|
                                                 (QCAR |ISTMP#3|))
-                                               (AND (PAIRP |ISTMP#4|)
+                                               (AND (CONSP |ISTMP#4|)
                                                 (EQ (QCAR |ISTMP#4|)
                                                  'ELT)
                                                 (PROGN
                                                   (SPADLET |ISTMP#5|
                                                    (QCDR |ISTMP#4|))
                                                   (AND
-                                                   (PAIRP |ISTMP#5|)
+                                                   (CONSP |ISTMP#5|)
                                                    (EQUAL
                                                     (QCAR |ISTMP#5|)
                                                     |minivectorName|)
@@ -1486,7 +1486,7 @@
                                                      (SPADLET |ISTMP#6|
                                                       (QCDR |ISTMP#5|))
                                                      (AND
-                                                      (PAIRP |ISTMP#6|)
+                                                      (CONSP |ISTMP#6|)
                                                       (EQ
                                                        (QCDR |ISTMP#6|)
                                                        NIL)
@@ -1498,42 +1498,42 @@
                                     (EQ |lesspSlot|
                                      (ELT |$minivector| |slot|)))
                                    (PLUS |m| 1))
-                                  ((AND (PAIRP |generalPred|)
+                                  ((AND (CONSP |generalPred|)
                                     (EQ (QCAR |generalPred|) 'SPADCALL)
                                     (PROGN
                                       (SPADLET |ISTMP#1|
                                        (QCDR |generalPred|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |ISTMP#2|
                                           (QCAR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCAR |ISTMP#2|)
                                            'SPADCALL)
                                           (PROGN
                                             (SPADLET |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQUAL (QCAR |ISTMP#3|)
                                               |sharpArg|)
                                              (PROGN
                                                (SPADLET |ISTMP#4|
                                                 (QCDR |ISTMP#3|))
-                                               (AND (PAIRP |ISTMP#4|)
+                                               (AND (CONSP |ISTMP#4|)
                                                 (PROGN
                                                   (SPADLET |m|
                                                    (QCAR |ISTMP#4|))
                                                   (SPADLET |ISTMP#5|
                                                    (QCDR |ISTMP#4|))
                                                   (AND
-                                                   (PAIRP |ISTMP#5|)
+                                                   (CONSP |ISTMP#5|)
                                                    (EQ (QCDR |ISTMP#5|)
                                                     NIL)
                                                    (PROGN
                                                      (SPADLET |ISTMP#6|
                                                       (QCAR |ISTMP#5|))
                                                      (AND
-                                                      (PAIRP |ISTMP#6|)
+                                                      (CONSP |ISTMP#6|)
                                                       (EQ
                                                        (QCAR |ISTMP#6|)
                                                        'ELT)
@@ -1543,7 +1543,7 @@
                                                          (QCDR
                                                           |ISTMP#6|))
                                                         (AND
-                                                         (PAIRP
+                                                         (CONSP
                                                           |ISTMP#7|)
                                                          (EQUAL
                                                           (QCAR
@@ -1555,7 +1555,7 @@
                                                             (QCDR
                                                              |ISTMP#7|))
                                                            (AND
-                                                            (PAIRP
+                                                            (CONSP
                                                              |ISTMP#8|)
                                                             (EQ
                                                              (QCDR
@@ -1570,18 +1570,18 @@
                                        (PROGN
                                          (SPADLET |ISTMP#9|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#9|)
+                                         (AND (CONSP |ISTMP#9|)
                                           (EQ (QCDR |ISTMP#9|) NIL)
                                           (PROGN
                                             (SPADLET |ISTMP#10|
                                              (QCAR |ISTMP#9|))
-                                            (AND (PAIRP |ISTMP#10|)
+                                            (AND (CONSP |ISTMP#10|)
                                              (EQ (QCAR |ISTMP#10|)
                                               'ELT)
                                              (PROGN
                                                (SPADLET |ISTMP#11|
                                                 (QCDR |ISTMP#10|))
-                                               (AND (PAIRP |ISTMP#11|)
+                                               (AND (CONSP |ISTMP#11|)
                                                 (EQUAL
                                                  (QCAR |ISTMP#11|)
                                                  |minivectorName|)
@@ -1589,7 +1589,7 @@
                                                   (SPADLET |ISTMP#12|
                                                    (QCDR |ISTMP#11|))
                                                   (AND
-                                                   (PAIRP |ISTMP#12|)
+                                                   (CONSP |ISTMP#12|)
                                                    (EQ
                                                     (QCDR |ISTMP#12|)
                                                     NIL)
@@ -1602,43 +1602,43 @@
                                     (EQ |notpSlot|
                                      (ELT |$minivector| |notSlot|)))
                                    |m|)
-                                  ((AND (PAIRP |generalPred|)
+                                  ((AND (CONSP |generalPred|)
                                     (EQ (QCAR |generalPred|) 'NOT)
                                     (PROGN
                                       (SPADLET |ISTMP#1|
                                        (QCDR |generalPred|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (SPADLET |ISTMP#2|
                                           (QCAR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCAR |ISTMP#2|)
                                            'SPADCALL)
                                           (PROGN
                                             (SPADLET |ISTMP#3|
                                              (QCDR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQUAL (QCAR |ISTMP#3|)
                                               |sharpArg|)
                                              (PROGN
                                                (SPADLET |ISTMP#4|
                                                 (QCDR |ISTMP#3|))
-                                               (AND (PAIRP |ISTMP#4|)
+                                               (AND (CONSP |ISTMP#4|)
                                                 (PROGN
                                                   (SPADLET |m|
                                                    (QCAR |ISTMP#4|))
                                                   (SPADLET |ISTMP#5|
                                                    (QCDR |ISTMP#4|))
                                                   (AND
-                                                   (PAIRP |ISTMP#5|)
+                                                   (CONSP |ISTMP#5|)
                                                    (EQ (QCDR |ISTMP#5|)
                                                     NIL)
                                                    (PROGN
                                                      (SPADLET |ISTMP#6|
                                                       (QCAR |ISTMP#5|))
                                                      (AND
-                                                      (PAIRP |ISTMP#6|)
+                                                      (CONSP |ISTMP#6|)
                                                       (EQ
                                                        (QCAR |ISTMP#6|)
                                                        'ELT)
@@ -1648,7 +1648,7 @@
                                                          (QCDR
                                                           |ISTMP#6|))
                                                         (AND
-                                                         (PAIRP
+                                                         (CONSP
                                                           |ISTMP#7|)
                                                          (EQUAL
                                                           (QCAR
@@ -1660,7 +1660,7 @@
                                                             (QCDR
                                                              |ISTMP#7|))
                                                            (AND
-                                                            (PAIRP
+                                                            (CONSP
                                                              |ISTMP#8|)
                                                             (EQ
                                                              (QCDR
@@ -1788,7 +1788,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |body|) NIL)
-             ((AND (PAIRP |body|) (EQ (QCAR |body|) 'COND)
+             ((AND (CONSP |body|) (EQ (QCAR |body|) 'COND)
                    (PROGN (SPADLET |pl| (QCDR |body|)) 'T))
               (PROG (G167351)
                 (SPADLET G167351 NIL)
@@ -1811,7 +1811,7 @@
                                       (|mkDiffAssoc| |op| |c| |k|
                                        |sharpPosition| |sharpArg|
                                        |diffSlot| |vecname|)))))))))
-             ((AND (PAIRP |body|)
+             ((AND (CONSP |body|)
                    (PROGN
                      (SPADLET |fn| (QCAR |body|))
                      (SPADLET |argl| (QCDR |body|))
@@ -1823,38 +1823,38 @@
                                  (ELT |argl|
                                       (SPADDIFFERENCE |sharpPosition|
                                        1)))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) 'SPADCALL)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQUAL (QCAR |ISTMP#2|) |sharpArg|)
                                     (PROGN
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (PROGN
                                          (SPADLET |n| (QCAR |ISTMP#3|))
                                          (SPADLET |ISTMP#4|
                                           (QCDR |ISTMP#3|))
-                                         (AND (PAIRP |ISTMP#4|)
+                                         (AND (CONSP |ISTMP#4|)
                                           (EQ (QCDR |ISTMP#4|) NIL)
                                           (PROGN
                                             (SPADLET |ISTMP#5|
                                              (QCAR |ISTMP#4|))
-                                            (AND (PAIRP |ISTMP#5|)
+                                            (AND (CONSP |ISTMP#5|)
                                              (EQ (QCAR |ISTMP#5|) 'ELT)
                                              (PROGN
                                                (SPADLET |ISTMP#6|
                                                 (QCDR |ISTMP#5|))
-                                               (AND (PAIRP |ISTMP#6|)
+                                               (AND (CONSP |ISTMP#6|)
                                                 (EQUAL (QCAR |ISTMP#6|)
                                                  |vecname|)
                                                 (PROGN
                                                   (SPADLET |ISTMP#7|
                                                    (QCDR |ISTMP#6|))
                                                   (AND
-                                                   (PAIRP |ISTMP#7|)
+                                                   (CONSP |ISTMP#7|)
                                                    (EQ (QCDR |ISTMP#7|)
                                                     NIL)
                                                    (EQUAL
diff --git a/src/interp/nrunopt.lisp.pamphlet b/src/interp/nrunopt.lisp.pamphlet
index dfe9719..01ff0ef 100644
--- a/src/interp/nrunopt.lisp.pamphlet
+++ b/src/interp/nrunopt.lisp.pamphlet
@@ -254,13 +254,13 @@
                                         (|makeCompactSigCode| |sig|
                                          |$isOpPackageName|)
                                         (CONS 0 NIL))))))))
-           (IF (AND (PAIRP |r|)
+           (IF (AND (CONSP |r|)
                     (PROGN
                       (SPADLET |n| (QCAR |r|))
                       (SPADLET |s| (QCDR |r|))
                       'T))
                (SEQ (SPADLET |slot|
-                             (SEQ (IF (AND (PAIRP |n|)
+                             (SEQ (IF (AND (CONSP |n|)
                                        (PROGN
                                          (SPADLET |p| (QCAR |n|))
                                          'T))
@@ -269,7 +269,7 @@
                     (EXIT (SPADLET |predCode|
                                    (SEQ
                                     (IF
-                                     (AND (PAIRP |s|)
+                                     (AND (CONSP |s|)
                                       (PROGN
                                         (SPADLET |pred| (QCAR |s|))
                                         'T))
@@ -353,18 +353,18 @@
                   NIL)
                (SEQ (EXIT (COND
                             ((AND (NULL (member |$op| '(|Zero| |One|)))
-                                  (PAIRP |x|)
+                                  (CONSP |x|)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |x|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (PROGN
                                           (SPADLET |ISTMP#3|
                                            (QCDR |ISTMP#2|))
-                                          (AND (PAIRP |ISTMP#3|)
+                                          (AND (CONSP |ISTMP#3|)
                                            (EQ (QCDR |ISTMP#3|) NIL)
                                            (EQ (QCAR |ISTMP#3|)
                                             '|Subsumed|))))))))
@@ -577,36 +577,36 @@
               (COND
                 ((ATOM |item|)
                  (CONS (SYMBOL-FUNCTION |item|) |dollar|))
-                ((AND (PAIRP |item|)
+                ((AND (CONSP |item|)
                       (PROGN
                         (SPADLET |n| (QCAR |item|))
                         (SPADLET |op| (QCDR |item|))
                         'T)
                       (INTEGERP |n|))
                  (CONS '|newGoGet| (CONS |dollar| |item|)))
-                ((AND (PAIRP |item|) (EQ (QCAR |item|) 'CONS)
+                ((AND (CONSP |item|) (EQ (QCAR |item|) 'CONS)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |item|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |ISTMP#3|
                                        (QCAR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCAR |ISTMP#3|) 'FUNCALL)
                                        (PROGN
                                          (SPADLET |ISTMP#4|
                                           (QCDR |ISTMP#3|))
-                                         (AND (PAIRP |ISTMP#4|)
+                                         (AND (CONSP |ISTMP#4|)
                                           (PROGN
                                             (SPADLET |a|
                                              (QCAR |ISTMP#4|))
                                             (SPADLET |ISTMP#5|
                                              (QCDR |ISTMP#4|))
-                                            (AND (PAIRP |ISTMP#5|)
+                                            (AND (CONSP |ISTMP#5|)
                                              (EQ (QCDR |ISTMP#5|) NIL)
                                              (PROGN
                                                (SPADLET |b|
@@ -698,10 +698,10 @@
   (declare (special |$NRTslot1PredicateList|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |al|)
+             ((AND (CONSP |al|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCAR |al|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |a| (QCAR |ISTMP#1|))
                             (SPADLET |b| (QCDR |ISTMP#1|))
@@ -719,7 +719,7 @@
                                       NIL))
                                 (NREVERSE0 G166536))
                              (SEQ (EXIT (COND
-                                          ((AND (PAIRP |x|)
+                                          ((AND (CONSP |x|)
                                             (EQUAL (QCAR |x|) |a|)
                                             (PROGN
                                               (SPADLET |b| (QCDR |x|))
@@ -751,7 +751,7 @@
                                 (SEQ (EXIT
                                       (COND
                                         ((NULL
-                                          (AND (PAIRP |x|)
+                                          (AND (CONSP |x|)
                                            (EQUAL (QCAR |x|) |a|)
                                            (PROGN
                                              (SPADLET |b| (QCDR |x|))
@@ -828,7 +828,7 @@
   (declare (special |$NRTattributeAlist|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |p|)
+             ((AND (CONSP |p|)
                    (PROGN
                      (SPADLET |op| (QCAR |p|))
                      (SPADLET |argl| (QCDR |p|))
@@ -851,22 +851,22 @@
                                          (|predicateBitIndexRemop| |x|)
                                          G166657)))))))
                       |op|)))
-             ((AND (PAIRP |p|) (EQ (QCAR |p|) '|has|)
+             ((AND (CONSP |p|) (EQ (QCAR |p|) '|has|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |p|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '$)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '$)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCAR |ISTMP#3|) 'ATTRIBUTE)
                                     (PROGN
                                       (SPADLET |ISTMP#4|
                                        (QCDR |ISTMP#3|))
-                                      (AND (PAIRP |ISTMP#4|)
+                                      (AND (CONSP |ISTMP#4|)
                                        (EQ (QCDR |ISTMP#4|) NIL)
                                        (PROGN
                                          (SPADLET |a| (QCAR |ISTMP#4|))
@@ -1037,7 +1037,7 @@
   (PROG (|op| |r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|)
+             ((AND (CONSP |pred|)
                    (PROGN
                      (SPADLET |op| (QCAR |pred|))
                      (SPADLET |r| (QCDR |pred|))
@@ -1069,7 +1069,7 @@
   (PROG (|op| |r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |pred|)
+             ((AND (CONSP |pred|)
                    (PROGN
                      (SPADLET |op| (QCAR |pred|))
                      (SPADLET |r| (QCDR |pred|))
@@ -1121,7 +1121,7 @@
   (PROG (|op| |argl| |ISTMP#1| |ISTMP#2| |ISTMP#3| |ISTMP#4| |a|)
   (declare (special |$NRTattributeAlist|))
     (RETURN
-      (SEQ (IF (AND (AND (PAIRP |p|)
+      (SEQ (IF (AND (AND (CONSP |p|)
                          (PROGN
                            (SPADLET |op| (QCAR |p|))
                            (SPADLET |argl| (QCDR |p|))
@@ -1129,23 +1129,23 @@
                     (|member| |op| '(AND |and| OR |or| NOT |not|)))
                (EXIT (|makePrefixForm|
                          (|removeAttributePredicates,fnl| |argl|) |op|)))
-           (IF (AND (PAIRP |p|) (EQ (QCAR |p|) '|has|)
+           (IF (AND (CONSP |p|) (EQ (QCAR |p|) '|has|)
                     (PROGN
                       (SPADLET |ISTMP#1| (QCDR |p|))
-                      (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '$)
+                      (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '$)
                            (PROGN
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (PROGN
                                     (SPADLET |ISTMP#3|
                                      (QCAR |ISTMP#2|))
-                                    (AND (PAIRP |ISTMP#3|)
+                                    (AND (CONSP |ISTMP#3|)
                                      (EQ (QCAR |ISTMP#3|) 'ATTRIBUTE)
                                      (PROGN
                                        (SPADLET |ISTMP#4|
                                         (QCDR |ISTMP#3|))
-                                       (AND (PAIRP |ISTMP#4|)
+                                       (AND (CONSP |ISTMP#4|)
                                         (EQ (QCDR |ISTMP#4|) NIL)
                                         (PROGN
                                           (SPADLET |a|
@@ -1669,7 +1669,7 @@
     (RETURN
       (SEQ (COND
              ((SPADLET |y| (HGET |$depthAssocCache| |x|)) |y|)
-             ((OR (AND (PAIRP |x|) (EQ (QCAR |x|) '|Join|)
+             ((OR (AND (CONSP |x|) (EQ (QCAR |x|) '|Join|)
                        (PROGN (SPADLET |u| (QCDR |x|)) 'T))
                   (SPADLET |u| (|getCatAncestors| |x|)))
               (SPADLET |v| (|depthAssocList| |u|))
@@ -1730,7 +1730,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |form|) |form|)
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN
                      (SPADLET |op| (QCAR |form|))
                      (SPADLET |l| (QCDR |form|))
@@ -1754,7 +1754,7 @@
                 ((AND (BOOT-EQUAL |op| 'ATTRIBUTE)
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |l|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN (SPADLET |f| (QCAR |ISTMP#1|)) 'T)))
                       (|constructor?| |f|))
                  (CONS (CAR |l|) NIL))
@@ -1784,10 +1784,10 @@
     (RETURN
       (COND
         ((NULL |l|) NIL)
-        ((AND (PAIRP |l|)
+        ((AND (CONSP |l|)
               (PROGN
                 (SPADLET |ISTMP#1| (QCAR |l|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |op| (QCAR |ISTMP#1|))
                        (SPADLET |u| (QCDR |ISTMP#1|))
@@ -1798,22 +1798,22 @@
                     ((AND (BOOT-EQUAL |op| 'ATTRIBUTE)
                           (PROGN
                             (SPADLET |ISTMP#1| (CAR |u|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |f| (QCAR |ISTMP#1|))
                                    'T)))
                           (|constructor?| |f|))
                      (CONS (CAR |u|) NIL))
                     ((member |op| '(ATTRIBUTE SIGNATURE)) NIL)
-                    ((AND (BOOT-EQUAL |op| 'IF) (PAIRP |u|)
+                    ((AND (BOOT-EQUAL |op| 'IF) (CONSP |u|)
                           (PROGN
                             (SPADLET |pred| (QCAR |u|))
                             (SPADLET |ISTMP#1| (QCDR |u|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |conseq| (QCAR |ISTMP#1|))
                                    (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                                   (AND (PAIRP |ISTMP#2|)
+                                   (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |alternate|
@@ -1823,7 +1823,7 @@
                          |alternate|))
                     ('T (|categoryFormatError|))))
          (APPEND |firstItemList| (|listOfCategoryEntries| |v|)))
-        ((AND (PAIRP |l|) (EQ (QCAR |l|) 'PROGN)
+        ((AND (CONSP |l|) (EQ (QCAR |l|) 'PROGN)
               (PROGN (SPADLET |l| (QCDR |l|)) 'T))
          (|listOfCategoryEntries| |l|))
         ((EQUAL |l| '(NIL)) NIL)
@@ -1851,19 +1851,19 @@
       (SEQ (COND
              ((|member| |alternate| '(|noBranch| NIL))
               (COND
-                ((AND (PAIRP |conseq|) (EQ (QCAR |conseq|) 'IF)
+                ((AND (CONSP |conseq|) (EQ (QCAR |conseq|) 'IF)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |conseq|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |p| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#2|))
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL)
                                        (PROGN
                                          (SPADLET |a| (QCAR |ISTMP#3|))
@@ -1885,19 +1885,19 @@
                        (SEQ (EXIT (SETQ G167520
                                         (CONS
                                          (COND
-                                           ((AND (PAIRP |x|)
+                                           ((AND (CONSP |x|)
                                              (EQ (QCAR |x|) 'IF)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |x|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |a|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -1918,19 +1918,19 @@
                                          G167520))))))))))
              ('T (SPADLET |notPred| (|makePrefixForm| |pred| 'NOT))
               (COND
-                ((AND (PAIRP |conseq|) (EQ (QCAR |conseq|) 'IF)
+                ((AND (CONSP |conseq|) (EQ (QCAR |conseq|) 'IF)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |conseq|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |p| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (PROGN
                                       (SPADLET |c| (QCAR |ISTMP#2|))
                                       (SPADLET |ISTMP#3|
                                        (QCDR |ISTMP#2|))
-                                      (AND (PAIRP |ISTMP#3|)
+                                      (AND (CONSP |ISTMP#3|)
                                        (EQ (QCDR |ISTMP#3|) NIL)
                                        (PROGN
                                          (SPADLET |a| (QCAR |ISTMP#3|))
@@ -1952,19 +1952,19 @@
                        (SEQ (EXIT (SETQ G167549
                                         (CONS
                                          (COND
-                                           ((AND (PAIRP |x|)
+                                           ((AND (CONSP |x|)
                                              (EQ (QCAR |x|) 'IF)
                                              (PROGN
                                                (SPADLET |ISTMP#1|
                                                 (QCDR |x|))
-                                               (AND (PAIRP |ISTMP#1|)
+                                               (AND (CONSP |ISTMP#1|)
                                                 (PROGN
                                                   (SPADLET |a|
                                                    (QCAR |ISTMP#1|))
                                                   (SPADLET |ISTMP#2|
                                                    (QCDR |ISTMP#1|))
                                                   (AND
-                                                   (PAIRP |ISTMP#2|)
+                                                   (CONSP |ISTMP#2|)
                                                    (EQ (QCDR |ISTMP#2|)
                                                     NIL)
                                                    (PROGN
@@ -2062,7 +2062,7 @@
                             (|sayBrightlyNT| (|bright| |i|))
                             (SPADLET |item| (ELT |template| |i|))
                             (COND
-                              ((AND (PAIRP |item|)
+                              ((AND (CONSP |item|)
                                     (PROGN
                                       (SPADLET |n| (QCAR |item|))
                                       (SPADLET |op| (QCDR |item|))
@@ -2081,36 +2081,36 @@
                                (|sayBrightly|
                                    (CONS "fun  "
                                     (CONS |item| NIL))))
-                              ((AND (PAIRP |item|)
+                              ((AND (CONSP |item|)
                                     (EQ (QCAR |item|) 'CONS)
                                     (PROGN
                                       (SPADLET |ISTMP#1| (QCDR |item|))
-                                      (AND (PAIRP |ISTMP#1|)
+                                      (AND (CONSP |ISTMP#1|)
                                        (PROGN
                                          (SPADLET |ISTMP#2|
                                           (QCDR |ISTMP#1|))
-                                         (AND (PAIRP |ISTMP#2|)
+                                         (AND (CONSP |ISTMP#2|)
                                           (EQ (QCDR |ISTMP#2|) NIL)
                                           (PROGN
                                             (SPADLET |ISTMP#3|
                                              (QCAR |ISTMP#2|))
-                                            (AND (PAIRP |ISTMP#3|)
+                                            (AND (CONSP |ISTMP#3|)
                                              (EQ (QCAR |ISTMP#3|)
                                               'FUNCALL)
                                              (PROGN
                                                (SPADLET |ISTMP#4|
                                                 (QCDR |ISTMP#3|))
-                                               (AND (PAIRP |ISTMP#4|)
+                                               (AND (CONSP |ISTMP#4|)
                                                 (PROGN
                                                   (SPADLET |ISTMP#5|
                                                    (QCAR |ISTMP#4|))
                                                   (AND
-                                                   (PAIRP |ISTMP#5|)
+                                                   (CONSP |ISTMP#5|)
                                                    (PROGN
                                                      (SPADLET |ISTMP#6|
                                                       (QCDR |ISTMP#5|))
                                                      (AND
-                                                      (PAIRP |ISTMP#6|)
+                                                      (CONSP |ISTMP#6|)
                                                       (EQ
                                                        (QCDR |ISTMP#6|)
                                                        NIL)
@@ -2123,7 +2123,7 @@
                                                   (SPADLET |ISTMP#7|
                                                    (QCDR |ISTMP#4|))
                                                   (AND
-                                                   (PAIRP |ISTMP#7|)
+                                                   (CONSP |ISTMP#7|)
                                                    (EQ (QCDR |ISTMP#7|)
                                                     NIL)
                                                    (PROGN
@@ -2252,10 +2252,10 @@
                        NIL))
                 ('T (|formatSlotDomain| |val|))))
              ((ATOM |x|) |x|)
-             ((AND (PAIRP |x|) (EQ (QCAR |x|) 'NRTEVAL)
+             ((AND (CONSP |x|) (EQ (QCAR |x|) 'NRTEVAL)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |x|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
               (COND ((ATOM |y|) (CONS |y| NIL)) ('T |y|)))
              ('T
@@ -2617,7 +2617,7 @@
 ;  sayBrightly '"Operation data from slot 1"
 ;  PRINT_-FULL $infovec.1
 ;  vec := getCodeVector()
-;  vec := (PAIRP vec => CDR vec; vec)
+;  vec := (CONSP vec => CDR vec; vec)
 ;  sayBrightly ['"Information vector has ",SIZE vec,'" entries"]
 ;  dcData1 vec
 
@@ -2631,7 +2631,7 @@
         (|sayBrightly| "Operation data from slot 1")
         (PRINT-FULL (ELT |$infovec| 1))
         (SPADLET |vec| (|getCodeVector|))
-        (SPADLET |vec| (COND ((PAIRP |vec|) (CDR |vec|)) ('T |vec|)))
+        (SPADLET |vec| (COND ((CONSP |vec|) (CDR |vec|)) ('T |vec|)))
         (|sayBrightly|
             (CONS "Information vector has "
                   (CONS (SIZE |vec|)
@@ -3236,7 +3236,7 @@
   (PROG (|r|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |addForm|) (EQ (QCAR |addForm|) '|@Tuple|)
+             ((AND (CONSP |addForm|) (EQ (QCAR |addForm|) '|@Tuple|)
                    (PROGN (SPADLET |r| (QCDR |addForm|)) 'T))
               (PROG (G168278)
                 (SPADLET G168278 'T)
@@ -3275,7 +3275,7 @@
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |u| |v|) 'T)
-             ((AND (PAIRP |v|) (EQ (QCAR |v|) '|Join|)
+             ((AND (CONSP |v|) (EQ (QCAR |v|) '|Join|)
                    (PROGN (SPADLET |l| (QCDR |v|)) 'T))
               (PROG (G168335)
                 (SPADLET G168335 'T)
@@ -3288,10 +3288,10 @@
                     (SEQ (EXIT (SETQ G168335
                                      (AND G168335
                                       (|extendsCategory| |dom| |u| |x|)))))))))
-             ((AND (PAIRP |v|) (EQ (QCAR |v|) 'CATEGORY)
+             ((AND (CONSP |v|) (EQ (QCAR |v|) 'CATEGORY)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |v|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN (SPADLET |l| (QCDR |ISTMP#1|)) 'T))))
               (PROG (G168349)
                 (SPADLET G168349 'T)
@@ -3304,14 +3304,14 @@
                     (SEQ (EXIT (SETQ G168349
                                      (AND G168349
                                       (|extendsCategory| |dom| |u| |x|)))))))))
-             ((AND (PAIRP |v|) (EQ (QCAR |v|) '|SubsetCategory|)
+             ((AND (CONSP |v|) (EQ (QCAR |v|) '|SubsetCategory|)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |v|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |cat| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |d| (QCAR |ISTMP#2|))
@@ -3327,16 +3327,16 @@
                 ('T
                  (SPADLET |$why|
                           (COND
-                            ((AND (PAIRP |v|)
+                            ((AND (CONSP |v|)
                                   (EQ (QCAR |v|) 'SIGNATURE)
                                   (PROGN
                                     (SPADLET |ISTMP#1| (QCDR |v|))
-                                    (AND (PAIRP |ISTMP#1|)
+                                    (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (SPADLET |op| (QCAR |ISTMP#1|))
                                        (SPADLET |ISTMP#2|
                                         (QCDR |ISTMP#1|))
-                                       (AND (PAIRP |ISTMP#2|)
+                                       (AND (CONSP |ISTMP#2|)
                                         (EQ (QCDR |ISTMP#2|) NIL)
                                         (PROGN
                                           (SPADLET |sig|
@@ -3369,29 +3369,29 @@
   (declare (special |$EmptyEnvironment|))
     (RETURN
       (COND
-        ((AND (PAIRP |v|) (EQ (QCAR |v|) 'IF)
+        ((AND (CONSP |v|) (EQ (QCAR |v|) 'IF)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |v|))
-                (AND (PAIRP |ISTMP#1|)
+                (AND (CONSP |ISTMP#1|)
                      (PROGN
                        (SPADLET |p| (QCAR |ISTMP#1|))
                        (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (PAIRP |ISTMP#2|)
+                       (AND (CONSP |ISTMP#2|)
                             (PROGN
                               (SPADLET |ISTMP#3| (QCAR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#3|)
+                              (AND (CONSP |ISTMP#3|)
                                    (EQ (QCAR |ISTMP#3|) 'ATTRIBUTE)
                                    (PROGN
                                      (SPADLET |ISTMP#4|
                                       (QCDR |ISTMP#3|))
-                                     (AND (PAIRP |ISTMP#4|)
+                                     (AND (CONSP |ISTMP#4|)
                                       (EQ (QCDR |ISTMP#4|) NIL)
                                       (PROGN
                                         (SPADLET |c| (QCAR |ISTMP#4|))
                                         'T)))))
                             (PROGN
                               (SPADLET |ISTMP#5| (QCDR |ISTMP#2|))
-                              (AND (PAIRP |ISTMP#5|)
+                              (AND (CONSP |ISTMP#5|)
                                    (EQ (QCDR |ISTMP#5|) NIL))))))))
          (SPADLET |uVec|
                   (CAR (|compMakeCategoryObject| |u|
@@ -3400,10 +3400,10 @@
            ((AND (NULL (ATOM |c|)) (|isCategoryForm| |c| NIL))
             (SPADLET |slot4| (ELT |uVec| 4))
             (SPADLET |ISTMP#1| (LASSOC |c| (CADR |slot4|)))
-            (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |p|)))
+            (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |p|)))
            ('T (SPADLET |slot2| (ELT |uVec| 2))
             (SPADLET |ISTMP#1| (LASSOC |c| |slot2|))
-            (AND (PAIRP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |p|)))))
+            (AND (CONSP |ISTMP#1|) (EQUAL (QCAR |ISTMP#1|) |p|)))))
         ('T (|extendsCategoryBasic| |dom| |u| |v|))))))
 
 ;extendsCategoryBasic(dom,u,v) ==
@@ -3423,7 +3423,7 @@
   (declare (special |$EmptyEnvironment|))
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) '|Join|)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) '|Join|)
                    (PROGN (SPADLET |l| (QCDR |u|)) 'T))
               (PROG (G168483)
                 (SPADLET G168483 NIL)
@@ -3445,14 +3445,14 @@
               (COND
                 ((|isCategoryForm| |v| NIL)
                  (|catExtendsCat?| |u| |v| |uVec|))
-                ((AND (PAIRP |v|) (EQ (QCAR |v|) 'SIGNATURE)
+                ((AND (CONSP |v|) (EQ (QCAR |v|) 'SIGNATURE)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |v|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |op| (QCAR |ISTMP#1|))
                                (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                               (AND (PAIRP |ISTMP#2|)
+                               (AND (CONSP |ISTMP#2|)
                                     (EQ (QCDR |ISTMP#2|) NIL)
                                     (PROGN
                                       (SPADLET |sig| (QCAR |ISTMP#2|))
@@ -3469,29 +3469,29 @@
                                          (PROGN
                                            (SPADLET |ISTMP#1|
                                             (ELT |uVec| |i|))
-                                           (AND (PAIRP |ISTMP#1|)
+                                           (AND (CONSP |ISTMP#1|)
                                             (PROGN
                                               (SPADLET |ISTMP#2|
                                                (QCAR |ISTMP#1|))
-                                              (AND (PAIRP |ISTMP#2|)
+                                              (AND (CONSP |ISTMP#2|)
                                                (EQUAL (QCAR |ISTMP#2|)
                                                 |op|)
                                                (PROGN
                                                  (SPADLET |ISTMP#3|
                                                   (QCDR |ISTMP#2|))
-                                                 (AND (PAIRP |ISTMP#3|)
+                                                 (AND (CONSP |ISTMP#3|)
                                                   (EQ (QCDR |ISTMP#3|)
                                                    NIL)
                                                   (EQUAL
                                                    (QCAR |ISTMP#3|)
                                                    |sig|)))))))))))))))
-                ((AND (PAIRP |u|) (EQ (QCAR |u|) 'CATEGORY)
+                ((AND (CONSP |u|) (EQ (QCAR |u|) 'CATEGORY)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |u|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN (SPADLET |l| (QCDR |ISTMP#1|)) 'T))))
                  (COND
-                   ((AND (PAIRP |v|) (EQ (QCAR |v|) 'IF))
+                   ((AND (CONSP |v|) (EQ (QCAR |v|) 'IF))
                     (|member| |v| |l|))
                    ('T NIL)))
                 ('T NIL))))))))
@@ -3562,18 +3562,18 @@
   (PROG (|op| |ISTMP#2| |sig| |ISTMP#1| |k| |u|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |form|)
+             ((AND (CONSP |form|)
                    (PROGN (SPADLET |op| (QCAR |form|)) 'T)
                    (member |op| (|allConstructors|)))
               (|expandType| |form| |template| |domain|))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) 'SIGNATURE)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) 'SIGNATURE)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |op| (QCAR |ISTMP#1|))
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (EQ (QCDR |ISTMP#2|) NIL)
                                  (PROGN
                                    (SPADLET |sig| (QCAR |ISTMP#2|))
@@ -3599,10 +3599,10 @@
                                            |template| |domain|)
                                           G168585)))))))
                                 NIL))))
-             ((AND (PAIRP |form|) (EQ (QCAR |form|) 'CATEGORY)
+             ((AND (CONSP |form|) (EQ (QCAR |form|) 'CATEGORY)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |form|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |k| (QCAR |ISTMP#1|))
                             (SPADLET |u| (QCDR |ISTMP#1|))
@@ -3651,7 +3651,7 @@
                 ((AND (member |functorName| '(|Record| |Union|))
                       (PROGN
                         (SPADLET |ISTMP#1| (CAR |argl|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCAR |ISTMP#1|) '|:|))))
                  (CONS |functorName|
                        (PROG (G168644)
@@ -3681,10 +3681,10 @@
                                               |template| |domform|)
                                              NIL)))
                                           G168644)))))))))
-                ((AND (PAIRP |lazyt|) (EQ (QCAR |lazyt|) '|local|)
+                ((AND (CONSP |lazyt|) (EQ (QCAR |lazyt|) '|local|)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |lazyt|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) 'T))))
                  (SPADLET |n| (POSN1 |x| |$FormalMapVariableList|))
@@ -3723,16 +3723,16 @@
         ((INTEGERP |u|)
          (|expandType| (|templateVal| |template| |domform| |u|)
              |template| |domform|))
-        ((AND (PAIRP |u|) (EQ (QCAR |u|) 'NRTEVAL)
+        ((AND (CONSP |u|) (EQ (QCAR |u|) 'NRTEVAL)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |u|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          |y|)
-        ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)
+        ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
               (PROGN
                 (SPADLET |ISTMP#1| (QCDR |u|))
-                (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                      (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
          |y|)
         ((ATOM |u|) |u|)
diff --git a/src/interp/parsing.lisp.pamphlet b/src/interp/parsing.lisp.pamphlet
index 04a9cd6..336ece5 100644
--- a/src/interp/parsing.lisp.pamphlet
+++ b/src/interp/parsing.lisp.pamphlet
@@ -1031,7 +1031,7 @@ parse
 
 ;;;     ***       |transUnCons| REDEFINED
 
-(DEFUN |transUnCons| (|u|) (PROG (|ISTMP#1| |x| |ISTMP#2| |y|) (RETURN (COND ((ATOM |u|) (|systemErrorHere| "transUnCons")) ((AND (PAIRP |u|) (EQ (QCAR |u|) (QUOTE APPEND)) (PROGN (SPADLET |ISTMP#1| (QCDR |u|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) (QUOTE T))))))) (COND ((NULL |y|) |x|) ((QUOTE T) (|systemErrorHere| "transUnCons")))) ((AND (PAIRP |u|) (EQ (QCAR |u|) (QUOTE CONS)) (PROGN (SPADLET |ISTMP#1| (QCDR |u|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) (QUOTE T))))))) (COND ((ATOM |y|) (CONS |x| |y|)) ((QUOTE T) (CONS |x| (|transUnCons| |y|))))))))) 
+(DEFUN |transUnCons| (|u|) (PROG (|ISTMP#1| |x| |ISTMP#2| |y|) (RETURN (COND ((ATOM |u|) (|systemErrorHere| "transUnCons")) ((AND (CONSP |u|) (EQ (QCAR |u|) (QUOTE APPEND)) (PROGN (SPADLET |ISTMP#1| (QCDR |u|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) (QUOTE T))))))) (COND ((NULL |y|) |x|) ((QUOTE T) (|systemErrorHere| "transUnCons")))) ((AND (CONSP |u|) (EQ (QCAR |u|) (QUOTE CONS)) (PROGN (SPADLET |ISTMP#1| (QCDR |u|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |x| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |y| (QCAR |ISTMP#2|)) (QUOTE T))))))) (COND ((ATOM |y|) (CONS |x| |y|)) ((QUOTE T) (CONS |x| (|transUnCons| |y|))))))))) 
 ;
 ;parseTypeEvaluate form ==
 ;  form is [op,:argl] =>
@@ -1058,7 +1058,7 @@ parse
 
 ;;;     ***       |parseTypeEvaluate| REDEFINED
 
-(DEFUN |parseTypeEvaluate| (|form|) (PROG (|$op| |op| |argl| |sel| |type| |fn| |p| |cmm| |ISTMP#1| |ISTMP#2| |argml|) (DECLARE (SPECIAL |$op|)) (RETURN (SEQ (COND ((AND (PAIRP |form|) (PROGN (SPADLET |op| (QCAR |form|)) (SPADLET |argl| (QCDR |form|)) (QUOTE T))) (COND ((|newType?| |op|) |form|) ((QUOTE T) (SPADLET |$op| |op|) (COND ((BOOT-EQUAL |op| (QUOTE |Mapping|)) (CONS |op| (PROG (#0=#:G166484) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G166489 |argl| (CDR #1#)) (|a| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |a| (CAR #1#)) NIL)) (NREVERSE0 #0#)) (SEQ (EXIT (SETQ #0# (CONS (|parseTypeEvaluate| |a|) #0#))))))))) ((BOOT-EQUAL |op| (QUOTE |Union|)) (COND ((|isTaggedUnion| |form|) (CONS |op| (PROG (#2=#:G166500) (SPADLET #2# NIL) (RETURN (DO ((#3=#:G166506 |argl| (CDR #3#)) (#4=#:G166457 NIL)) ((OR (ATOM #3#) (PROGN (SETQ #4# (CAR #3#)) NIL) (PROGN (PROGN (SPADLET |sel| (CADR #4#)) (SPADLET |type| (CADDR #4#)) #4#) NIL)) (NREVERSE0 #2#)) (SEQ (EXIT (SETQ #2# (CONS (CONS (QUOTE |:|) (CONS |sel| (CONS (|parseTypeEvaluate| |type|) NIL))) #2#))))))))) ((QUOTE T) (CONS |op| (PROG (#5=#:G166517) (SPADLET #5# NIL) (RETURN (DO ((#6=#:G166522 |argl| (CDR #6#)) (|a| NIL)) ((OR (ATOM #6#) (PROGN (SETQ |a| (CAR #6#)) NIL)) (NREVERSE0 #5#)) (SEQ (EXIT (SETQ #5# (CONS (|parseTypeEvaluate| |a|) #5#))))))))))) ((BOOT-EQUAL |op| (QUOTE |Record|)) (CONS |op| (PROG (#7=#:G166533) (SPADLET #7# NIL) (RETURN (DO ((#8=#:G166539 |argl| (CDR #8#)) (#9=#:G166462 NIL)) ((OR (ATOM #8#) (PROGN (SETQ #9# (CAR #8#)) NIL) (PROGN (PROGN (SPADLET |sel| (CADR #9#)) (SPADLET |type| (CADDR #9#)) #9#) NIL)) (NREVERSE0 #7#)) (SEQ (EXIT (SETQ #7# (CONS (CONS (QUOTE |:|) (CONS |sel| (CONS (|parseTypeEvaluate| |type|) NIL))) #7#))))))))) ((QUOTE T) (SPADLET |cmm| (SEQ (COND ((SPADLET |fn| (|constructor?| |op|)) (COND ((SPADLET |p| (|pathname| (CONS |fn| (CONS |$spadLibFT| (CONS "*" NIL))))) (EXIT (COND ((|isExistingFile| |p|) (|getConstructorModemap| (|abbreviation?| |fn|))) ((QUOTE T) NIL)))))) ((QUOTE T) NIL)))) (COND ((AND (PAIRP |cmm|) (PROGN (SPADLET |ISTMP#1| (QCAR |cmm|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (PROGN (SPADLET |argml| (QCDR |ISTMP#2|)) (QUOTE T))))))) (CONS |op| (|parseTypeEvaluateArgs| |argl| |argml|))) ((QUOTE T) (|throwKeyedMsg| (QUOTE S2IL0015) (CONS |op| NIL))))))))) ((QUOTE T) |form|)))))) 
+(DEFUN |parseTypeEvaluate| (|form|) (PROG (|$op| |op| |argl| |sel| |type| |fn| |p| |cmm| |ISTMP#1| |ISTMP#2| |argml|) (DECLARE (SPECIAL |$op|)) (RETURN (SEQ (COND ((AND (CONSP |form|) (PROGN (SPADLET |op| (QCAR |form|)) (SPADLET |argl| (QCDR |form|)) (QUOTE T))) (COND ((|newType?| |op|) |form|) ((QUOTE T) (SPADLET |$op| |op|) (COND ((BOOT-EQUAL |op| (QUOTE |Mapping|)) (CONS |op| (PROG (#0=#:G166484) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G166489 |argl| (CDR #1#)) (|a| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |a| (CAR #1#)) NIL)) (NREVERSE0 #0#)) (SEQ (EXIT (SETQ #0# (CONS (|parseTypeEvaluate| |a|) #0#))))))))) ((BOOT-EQUAL |op| (QUOTE |Union|)) (COND ((|isTaggedUnion| |form|) (CONS |op| (PROG (#2=#:G166500) (SPADLET #2# NIL) (RETURN (DO ((#3=#:G166506 |argl| (CDR #3#)) (#4=#:G166457 NIL)) ((OR (ATOM #3#) (PROGN (SETQ #4# (CAR #3#)) NIL) (PROGN (PROGN (SPADLET |sel| (CADR #4#)) (SPADLET |type| (CADDR #4#)) #4#) NIL)) (NREVERSE0 #2#)) (SEQ (EXIT (SETQ #2# (CONS (CONS (QUOTE |:|) (CONS |sel| (CONS (|parseTypeEvaluate| |type|) NIL))) #2#))))))))) ((QUOTE T) (CONS |op| (PROG (#5=#:G166517) (SPADLET #5# NIL) (RETURN (DO ((#6=#:G166522 |argl| (CDR #6#)) (|a| NIL)) ((OR (ATOM #6#) (PROGN (SETQ |a| (CAR #6#)) NIL)) (NREVERSE0 #5#)) (SEQ (EXIT (SETQ #5# (CONS (|parseTypeEvaluate| |a|) #5#))))))))))) ((BOOT-EQUAL |op| (QUOTE |Record|)) (CONS |op| (PROG (#7=#:G166533) (SPADLET #7# NIL) (RETURN (DO ((#8=#:G166539 |argl| (CDR #8#)) (#9=#:G166462 NIL)) ((OR (ATOM #8#) (PROGN (SETQ #9# (CAR #8#)) NIL) (PROGN (PROGN (SPADLET |sel| (CADR #9#)) (SPADLET |type| (CADDR #9#)) #9#) NIL)) (NREVERSE0 #7#)) (SEQ (EXIT (SETQ #7# (CONS (CONS (QUOTE |:|) (CONS |sel| (CONS (|parseTypeEvaluate| |type|) NIL))) #7#))))))))) ((QUOTE T) (SPADLET |cmm| (SEQ (COND ((SPADLET |fn| (|constructor?| |op|)) (COND ((SPADLET |p| (|pathname| (CONS |fn| (CONS |$spadLibFT| (CONS "*" NIL))))) (EXIT (COND ((|isExistingFile| |p|) (|getConstructorModemap| (|abbreviation?| |fn|))) ((QUOTE T) NIL)))))) ((QUOTE T) NIL)))) (COND ((AND (CONSP |cmm|) (PROGN (SPADLET |ISTMP#1| (QCAR |cmm|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (PROGN (SPADLET |argml| (QCDR |ISTMP#2|)) (QUOTE T))))))) (CONS |op| (|parseTypeEvaluateArgs| |argl| |argml|))) ((QUOTE T) (|throwKeyedMsg| (QUOTE S2IL0015) (CONS |op| NIL))))))))) ((QUOTE T) |form|)))))) 
 ;
 ;parseTypeEvaluateArgs(argl,argml) ==
 ;  [argVal for arg in argl for md in argml for i in 1..] where argVal ==
@@ -1128,7 +1128,7 @@ parse
 
 ;;;     ***       |specialModeTran| REDEFINED
 
-(DEFUN |specialModeTran| (|form|) (PROG (|op| |argl| |sop| |s0| |argKey| |numArgs| |zeroOrOne| |isDmp| |LETTMP#1| |vl| |extraDomain| |s3| |isUpOrMp| |domainPart| |argPart| |n| |polyForm|) (RETURN (SEQ (COND ((AND (PAIRP |form|) (PROGN (SPADLET |op| (QCAR |form|)) (SPADLET |argl| (QCDR |form|)) (QUOTE T))) (COND ((NULL (ATOM |op|)) |form|) ((BOOT-EQUAL (SPADLET |s0| (ELT (SPADLET |sop| (PNAME |op|)) 0)) (QUOTE *)) (SPADLET |n| (|#| |sop|)) (COND ((EQL |n| 1) |form|) ((QUOTE T) (SPADLET |argKey| (ELT |sop| 1)) (SPADLET |numArgs| (SPADDIFFERENCE (|#| |argl|) (COND ((BOOT-EQUAL |argKey| (QUOTE |1|)) 1) ((QUOTE T) 0)))) (SPADLET |zeroOrOne| (OR (BOOT-EQUAL |argKey| (QUOTE |0|)) (BOOT-EQUAL |argKey| (QUOTE |1|)))) (SPADLET |isDmp| (COND ((> 10 |numArgs|) (AND (EQL |n| 6) (BOOT-EQUAL "DMP" (SUBSTRING |sop| 3 3)) |zeroOrOne|)) ((QUOTE T) (AND (EQL |n| 7) (BOOT-EQUAL "DMP" (SUBSTRING |sop| 4 3)) |zeroOrOne|)))) (COND (|isDmp| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) (SPADLET |extraDomain| |$EmptyMode|) (SPADLET |vl| |argl|)) ((QUOTE T) (SPADLET |LETTMP#1| (REVERSE |argl|)) (SPADLET |extraDomain| (CAR |LETTMP#1|)) (SPADLET |vl| (NREVERSE (CDR |LETTMP#1|))) |argl|)) (CONS (QUOTE |DistributedMultivariatePolynomial|) (CONS (CONS (QUOTE |construct|) |vl|) (CONS (|specialModeTran| |extraDomain|) NIL)))) ((AND (EQL |n| 4) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 3)) (QUOTE M)) |zeroOrOne|) (|specialModeTran| (PROGN (SPADLET |extraDomain| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) (CONS |$EmptyMode| NIL)) ((QUOTE T) NIL))) (COND ((EQL (SPADLET |n| (PARSE-INTEGER (PNAME (ELT |sop| 2)))) 1) (CONS (QUOTE |SquareMatrix|) (APPEND |argl| |extraDomain|))) ((EQL |n| 2) (CONS (QUOTE |RectangularMatrix|) (APPEND |argl| |extraDomain|))) ((QUOTE T) |form|))))) ((QUOTE T) (SPADLET |isUpOrMp| (COND ((> 10 |numArgs|) (OR (AND (EQL |n| 4) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 3)) (QUOTE P)) |zeroOrOne|) (AND (EQL |n| 5) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 3)) (QUOTE R)) (BOOT-EQUAL (ELT |sop| 4) (QUOTE F)) |zeroOrOne|))) ((QUOTE T) (OR (AND (EQL |n| 5) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 4)) (QUOTE P)) |zeroOrOne|) (AND (EQL |n| 6) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 4)) (QUOTE R)) (BOOT-EQUAL (ELT |sop| 5) (QUOTE F)) |zeroOrOne|))))) (COND (|isUpOrMp| (SPADLET |polyForm| (PROGN (SPADLET |domainPart| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) |$EmptyMode|) ((QUOTE T) (|last| |argl|)))) (SPADLET |argPart| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) |argl|) ((QUOTE T) (DROP (SPADDIFFERENCE 1) |argl|)))) (COND ((AND (> 10 |numArgs|) (EQL (SPADLET |n| (PARSE-INTEGER (PNAME (ELT |sop| 2)))) 1)) (CONS (QUOTE UP) (APPEND |argPart| (CONS |domainPart| NIL)))) ((QUOTE T) (CONS (QUOTE MP) (CONS (CONS (QUOTE |construct|) |argPart|) (CONS |domainPart| NIL))))))) (|specialModeTran| (COND ((BOOT-EQUAL |s3| (QUOTE R)) (CONS |$QuotientField| (CONS |polyForm| NIL))) ((QUOTE T) |polyForm|)))) ((QUOTE T) (CONS (CAR |form|) (PROG (#0=#:G166626) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G166631 (CDR |form|) (CDR #1#)) (|x| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |x| (CAR #1#)) NIL)) (NREVERSE0 #0#)) (SEQ (EXIT (SETQ #0# (CONS (|specialModeTran| |x|) #0#))))))))))))))) ((QUOTE T) (CONS (CAR |form|) (PROG (#2=#:G166641) (SPADLET #2# NIL) (RETURN (DO ((#3=#:G166646 (CDR |form|) (CDR #3#)) (|x| NIL)) ((OR (ATOM #3#) (PROGN (SETQ |x| (CAR #3#)) NIL)) (NREVERSE0 #2#)) (SEQ (EXIT (SETQ #2# (CONS (|specialModeTran| |x|) #2#))))))))))) ((QUOTE T) |form|)))))) 
+(DEFUN |specialModeTran| (|form|) (PROG (|op| |argl| |sop| |s0| |argKey| |numArgs| |zeroOrOne| |isDmp| |LETTMP#1| |vl| |extraDomain| |s3| |isUpOrMp| |domainPart| |argPart| |n| |polyForm|) (RETURN (SEQ (COND ((AND (CONSP |form|) (PROGN (SPADLET |op| (QCAR |form|)) (SPADLET |argl| (QCDR |form|)) (QUOTE T))) (COND ((NULL (ATOM |op|)) |form|) ((BOOT-EQUAL (SPADLET |s0| (ELT (SPADLET |sop| (PNAME |op|)) 0)) (QUOTE *)) (SPADLET |n| (|#| |sop|)) (COND ((EQL |n| 1) |form|) ((QUOTE T) (SPADLET |argKey| (ELT |sop| 1)) (SPADLET |numArgs| (SPADDIFFERENCE (|#| |argl|) (COND ((BOOT-EQUAL |argKey| (QUOTE |1|)) 1) ((QUOTE T) 0)))) (SPADLET |zeroOrOne| (OR (BOOT-EQUAL |argKey| (QUOTE |0|)) (BOOT-EQUAL |argKey| (QUOTE |1|)))) (SPADLET |isDmp| (COND ((> 10 |numArgs|) (AND (EQL |n| 6) (BOOT-EQUAL "DMP" (SUBSTRING |sop| 3 3)) |zeroOrOne|)) ((QUOTE T) (AND (EQL |n| 7) (BOOT-EQUAL "DMP" (SUBSTRING |sop| 4 3)) |zeroOrOne|)))) (COND (|isDmp| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) (SPADLET |extraDomain| |$EmptyMode|) (SPADLET |vl| |argl|)) ((QUOTE T) (SPADLET |LETTMP#1| (REVERSE |argl|)) (SPADLET |extraDomain| (CAR |LETTMP#1|)) (SPADLET |vl| (NREVERSE (CDR |LETTMP#1|))) |argl|)) (CONS (QUOTE |DistributedMultivariatePolynomial|) (CONS (CONS (QUOTE |construct|) |vl|) (CONS (|specialModeTran| |extraDomain|) NIL)))) ((AND (EQL |n| 4) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 3)) (QUOTE M)) |zeroOrOne|) (|specialModeTran| (PROGN (SPADLET |extraDomain| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) (CONS |$EmptyMode| NIL)) ((QUOTE T) NIL))) (COND ((EQL (SPADLET |n| (PARSE-INTEGER (PNAME (ELT |sop| 2)))) 1) (CONS (QUOTE |SquareMatrix|) (APPEND |argl| |extraDomain|))) ((EQL |n| 2) (CONS (QUOTE |RectangularMatrix|) (APPEND |argl| |extraDomain|))) ((QUOTE T) |form|))))) ((QUOTE T) (SPADLET |isUpOrMp| (COND ((> 10 |numArgs|) (OR (AND (EQL |n| 4) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 3)) (QUOTE P)) |zeroOrOne|) (AND (EQL |n| 5) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 3)) (QUOTE R)) (BOOT-EQUAL (ELT |sop| 4) (QUOTE F)) |zeroOrOne|))) ((QUOTE T) (OR (AND (EQL |n| 5) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 4)) (QUOTE P)) |zeroOrOne|) (AND (EQL |n| 6) (BOOT-EQUAL (SPADLET |s3| (ELT |sop| 4)) (QUOTE R)) (BOOT-EQUAL (ELT |sop| 5) (QUOTE F)) |zeroOrOne|))))) (COND (|isUpOrMp| (SPADLET |polyForm| (PROGN (SPADLET |domainPart| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) |$EmptyMode|) ((QUOTE T) (|last| |argl|)))) (SPADLET |argPart| (COND ((BOOT-EQUAL |argKey| (QUOTE |0|)) |argl|) ((QUOTE T) (DROP (SPADDIFFERENCE 1) |argl|)))) (COND ((AND (> 10 |numArgs|) (EQL (SPADLET |n| (PARSE-INTEGER (PNAME (ELT |sop| 2)))) 1)) (CONS (QUOTE UP) (APPEND |argPart| (CONS |domainPart| NIL)))) ((QUOTE T) (CONS (QUOTE MP) (CONS (CONS (QUOTE |construct|) |argPart|) (CONS |domainPart| NIL))))))) (|specialModeTran| (COND ((BOOT-EQUAL |s3| (QUOTE R)) (CONS |$QuotientField| (CONS |polyForm| NIL))) ((QUOTE T) |polyForm|)))) ((QUOTE T) (CONS (CAR |form|) (PROG (#0=#:G166626) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G166631 (CDR |form|) (CDR #1#)) (|x| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |x| (CAR #1#)) NIL)) (NREVERSE0 #0#)) (SEQ (EXIT (SETQ #0# (CONS (|specialModeTran| |x|) #0#))))))))))))))) ((QUOTE T) (CONS (CAR |form|) (PROG (#2=#:G166641) (SPADLET #2# NIL) (RETURN (DO ((#3=#:G166646 (CDR |form|) (CDR #3#)) (|x| NIL)) ((OR (ATOM #3#) (PROGN (SETQ |x| (CAR #3#)) NIL)) (NREVERSE0 #2#)) (SEQ (EXIT (SETQ #2# (CONS (|specialModeTran| |x|) #2#))))))))))) ((QUOTE T) |form|)))))) 
 ;
 ;
 ;
@@ -1142,7 +1142,7 @@ parse
 
 ;;;     ***       |parseCases,casefn| REDEFINED
 
-(DEFUN |parseCases,casefn| (|x| |ifExpr|) (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |ISTMP#3| |c|) (RETURN (SEQ (IF (BOOT-EQUAL |ifExpr| (QUOTE |noBranch|)) (EXIT (CONS (QUOTE |ifClauseError|) (CONS |x| NIL)))) (IF (AND (PAIRP |ifExpr|) (EQ (QCAR |ifExpr|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#1| (QCDR |ifExpr|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) (SPADLET |ISTMP#3| (QCDR |ISTMP#2|)) (AND (PAIRP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL) (PROGN (SPADLET |c| (QCAR |ISTMP#3|)) (QUOTE T))))))))) (EXIT (CONS (QUOTE IF) (CONS (|parseTran| |a|) (CONS (|parseTran| |b|) (CONS (|parseCases,casefn| |x| |c|) NIL)))))) (EXIT (|postError| (CONS "   CASES format error: cases " (CONS |x| (CONS (QUOTE | of |) (CONS |ifExpr| NIL)))))))))) 
+(DEFUN |parseCases,casefn| (|x| |ifExpr|) (PROG (|ISTMP#1| |a| |ISTMP#2| |b| |ISTMP#3| |c|) (RETURN (SEQ (IF (BOOT-EQUAL |ifExpr| (QUOTE |noBranch|)) (EXIT (CONS (QUOTE |ifClauseError|) (CONS |x| NIL)))) (IF (AND (CONSP |ifExpr|) (EQ (QCAR |ifExpr|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#1| (QCDR |ifExpr|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) (SPADLET |ISTMP#3| (QCDR |ISTMP#2|)) (AND (CONSP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL) (PROGN (SPADLET |c| (QCAR |ISTMP#3|)) (QUOTE T))))))))) (EXIT (CONS (QUOTE IF) (CONS (|parseTran| |a|) (CONS (|parseTran| |b|) (CONS (|parseCases,casefn| |x| |c|) NIL)))))) (EXIT (|postError| (CONS "   CASES format error: cases " (CONS |x| (CONS (QUOTE | of |) (CONS |ifExpr| NIL)))))))))) 
 
 ;;;     ***       |parseCases| REDEFINED
 
@@ -1183,7 +1183,7 @@ parse
 
 ;;;     ***       |transSeq| REDEFINED
 
-(DEFUN |transSeq| (|l|) (PROG (|item| |tail| |ISTMP#7| |p| |ISTMP#8| |ISTMP#9| |ISTMP#10| |ISTMP#11| |q| |ISTMP#12| |a| |ISTMP#2| |ISTMP#3| |ISTMP#4| |ISTMP#5| |ISTMP#6| |b| |y| |ISTMP#1| |s|) (RETURN (SEQ (COND ((NULL |l|) NIL) ((NULL (CDR |l|)) (|decExitLevel| (CAR |l|))) ((QUOTE T) (SPADLET |item| (CAR |l|)) (SPADLET |tail| (CDR |l|)) (COND ((AND (PAIRP |item|) (EQ (QCAR |item|) (QUOTE SEQ)) (PROGN (SPADLET |ISTMP#1| (QCDR |item|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|)) (QUOTE T)) (PAIRP |ISTMP#2|) (PROGN (SPADLET |ISTMP#3| (QCAR |ISTMP#2|)) (AND (PAIRP |ISTMP#3|) (EQ (QCAR |ISTMP#3|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#4| (QCDR |ISTMP#3|)) (AND (PAIRP |ISTMP#4|) (EQUAL (QCAR |ISTMP#4|) 1) (PROGN (SPADLET |ISTMP#5| (QCDR |ISTMP#4|)) (AND (PAIRP |ISTMP#5|) (EQ (QCDR |ISTMP#5|) NIL) (PROGN (SPADLET |ISTMP#6| (QCAR |ISTMP#5|)) (AND (PAIRP |ISTMP#6|) (EQ (QCAR |ISTMP#6|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#7| (QCDR |ISTMP#6|)) (AND (PAIRP |ISTMP#7|) (PROGN (SPADLET |p| (QCAR |ISTMP#7|)) (SPADLET |ISTMP#8| (QCDR |ISTMP#7|)) (AND (PAIRP |ISTMP#8|) (PROGN (SPADLET |ISTMP#9| (QCAR |ISTMP#8|)) (AND (PAIRP |ISTMP#9|) (EQ (QCAR |ISTMP#9|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#10| (QCDR |ISTMP#9|)) (AND (PAIRP |ISTMP#10|) (EQUAL (QCAR |ISTMP#10|) 2) (PROGN (SPADLET |ISTMP#11| (QCDR |ISTMP#10|)) (AND (PAIRP |ISTMP#11|) (EQ (QCDR |ISTMP#11|) NIL) (PROGN (SPADLET |q| (QCAR |ISTMP#11|)) (QUOTE T)))))))) (PROGN (SPADLET |ISTMP#12| (QCDR |ISTMP#8|)) (AND (PAIRP |ISTMP#12|) (EQ (QCDR |ISTMP#12|) NIL) (EQ (QCAR |ISTMP#12|) (QUOTE |noBranch|)))))))))))))))) (PROGN (SPADLET |l| (QCDR |ISTMP#2|)) (QUOTE T)) (PROGN (SPADLET |l| (NREVERSE |l|)) (QUOTE T)))) (PROG (#0=#:G168041) (SPADLET #0# (QUOTE T)) (RETURN (DO ((#1=#:G168047 NIL (NULL #0#)) (#2=#:G168048 |l| (CDR #2#)) (|x| NIL)) ((OR #1# (ATOM #2#) (PROGN (SETQ |x| (CAR #2#)) NIL)) #0#) (SEQ (EXIT (SETQ #0# (AND #0# (AND (PAIRP |x|) (EQ (QCAR |x|) (QUOTE LET))))))))))) (CONS (QUOTE SEQ) (APPEND (PROG (#3=#:G168059) (SPADLET #3# NIL) (RETURN (DO ((#4=#:G168064 |l| (CDR #4#)) (|x| NIL)) ((OR (ATOM #4#) (PROGN (SETQ |x| (CAR #4#)) NIL)) (NREVERSE0 #3#)) (SEQ (EXIT (SETQ #3# (CONS (|decExitLevel| |x|) #3#))))))) (CONS (CONS (QUOTE |exit|) (CONS 1 (CONS (CONS (QUOTE IF) (CONS (|decExitLevel| |p|) (CONS (|decExitLevel| |q|) (CONS (|transSeq| |tail|) NIL)))) NIL))) NIL)))) ((AND (PAIRP |item|) (EQ (QCAR |item|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#1| (QCDR |item|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (PROGN (SPADLET |ISTMP#3| (QCAR |ISTMP#2|)) (AND (PAIRP |ISTMP#3|) (EQ (QCAR |ISTMP#3|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#4| (QCDR |ISTMP#3|)) (AND (PAIRP |ISTMP#4|) (EQUAL (QCAR |ISTMP#4|) 1) (PROGN (SPADLET |ISTMP#5| (QCDR |ISTMP#4|)) (AND (PAIRP |ISTMP#5|) (EQ (QCDR |ISTMP#5|) NIL) (PROGN (SPADLET |b| (QCAR |ISTMP#5|)) (QUOTE T)))))))) (PROGN (SPADLET |ISTMP#6| (QCDR |ISTMP#2|)) (AND (PAIRP |ISTMP#6|) (EQ (QCDR |ISTMP#6|) NIL) (EQ (QCAR |ISTMP#6|) (QUOTE |noBranch|))))))))) (CONS (QUOTE IF) (CONS (|decExitLevel| |a|) (CONS (|decExitLevel| |b|) (CONS (|transSeq| |tail|) NIL))))) ((AND (PAIRP |item|) (EQ (QCAR |item|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#1| (QCDR |item|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (EQ (QCAR |ISTMP#2|) (QUOTE |noBranch|)) (PROGN (SPADLET |ISTMP#3| (QCDR |ISTMP#2|)) (AND (PAIRP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL) (PROGN (SPADLET |ISTMP#4| (QCAR |ISTMP#3|)) (AND (PAIRP |ISTMP#4|) (EQ (QCAR |ISTMP#4|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#5| (QCDR |ISTMP#4|)) (AND (PAIRP |ISTMP#5|) (EQUAL (QCAR |ISTMP#5|) 1) (PROGN (SPADLET |ISTMP#6| (QCDR |ISTMP#5|)) (AND (PAIRP |ISTMP#6|) (EQ (QCDR |ISTMP#6|) NIL) (PROGN (SPADLET |b| (QCAR |ISTMP#6|)) (QUOTE T))))))))))))))) (CONS (QUOTE IF) (CONS (|decExitLevel| |a|) (CONS (|transSeq| |tail|) (CONS (|decExitLevel| |b|) NIL))))) ((PROGN (SPADLET |ISTMP#1| (SPADLET |y| (|transSeq| |tail|))) (AND (PAIRP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE SEQ)) (PROGN (SPADLET |s| (QCDR |ISTMP#1|)) (QUOTE T)))) (CONS (QUOTE SEQ) (CONS |item| |s|))) ((QUOTE T) (CONS (QUOTE SEQ) (CONS |item| (CONS (CONS (QUOTE |exit|) (CONS 1 (CONS (|incExitLevel| |y|) NIL))) NIL))))))))))) 
+(DEFUN |transSeq| (|l|) (PROG (|item| |tail| |ISTMP#7| |p| |ISTMP#8| |ISTMP#9| |ISTMP#10| |ISTMP#11| |q| |ISTMP#12| |a| |ISTMP#2| |ISTMP#3| |ISTMP#4| |ISTMP#5| |ISTMP#6| |b| |y| |ISTMP#1| |s|) (RETURN (SEQ (COND ((NULL |l|) NIL) ((NULL (CDR |l|)) (|decExitLevel| (CAR |l|))) ((QUOTE T) (SPADLET |item| (CAR |l|)) (SPADLET |tail| (CDR |l|)) (COND ((AND (CONSP |item|) (EQ (QCAR |item|) (QUOTE SEQ)) (PROGN (SPADLET |ISTMP#1| (QCDR |item|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |ISTMP#2| (REVERSE |ISTMP#1|)) (QUOTE T)) (CONSP |ISTMP#2|) (PROGN (SPADLET |ISTMP#3| (QCAR |ISTMP#2|)) (AND (CONSP |ISTMP#3|) (EQ (QCAR |ISTMP#3|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#4| (QCDR |ISTMP#3|)) (AND (CONSP |ISTMP#4|) (EQUAL (QCAR |ISTMP#4|) 1) (PROGN (SPADLET |ISTMP#5| (QCDR |ISTMP#4|)) (AND (CONSP |ISTMP#5|) (EQ (QCDR |ISTMP#5|) NIL) (PROGN (SPADLET |ISTMP#6| (QCAR |ISTMP#5|)) (AND (CONSP |ISTMP#6|) (EQ (QCAR |ISTMP#6|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#7| (QCDR |ISTMP#6|)) (AND (CONSP |ISTMP#7|) (PROGN (SPADLET |p| (QCAR |ISTMP#7|)) (SPADLET |ISTMP#8| (QCDR |ISTMP#7|)) (AND (CONSP |ISTMP#8|) (PROGN (SPADLET |ISTMP#9| (QCAR |ISTMP#8|)) (AND (CONSP |ISTMP#9|) (EQ (QCAR |ISTMP#9|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#10| (QCDR |ISTMP#9|)) (AND (CONSP |ISTMP#10|) (EQUAL (QCAR |ISTMP#10|) 2) (PROGN (SPADLET |ISTMP#11| (QCDR |ISTMP#10|)) (AND (CONSP |ISTMP#11|) (EQ (QCDR |ISTMP#11|) NIL) (PROGN (SPADLET |q| (QCAR |ISTMP#11|)) (QUOTE T)))))))) (PROGN (SPADLET |ISTMP#12| (QCDR |ISTMP#8|)) (AND (CONSP |ISTMP#12|) (EQ (QCDR |ISTMP#12|) NIL) (EQ (QCAR |ISTMP#12|) (QUOTE |noBranch|)))))))))))))))) (PROGN (SPADLET |l| (QCDR |ISTMP#2|)) (QUOTE T)) (PROGN (SPADLET |l| (NREVERSE |l|)) (QUOTE T)))) (PROG (#0=#:G168041) (SPADLET #0# (QUOTE T)) (RETURN (DO ((#1=#:G168047 NIL (NULL #0#)) (#2=#:G168048 |l| (CDR #2#)) (|x| NIL)) ((OR #1# (ATOM #2#) (PROGN (SETQ |x| (CAR #2#)) NIL)) #0#) (SEQ (EXIT (SETQ #0# (AND #0# (AND (CONSP |x|) (EQ (QCAR |x|) (QUOTE LET))))))))))) (CONS (QUOTE SEQ) (APPEND (PROG (#3=#:G168059) (SPADLET #3# NIL) (RETURN (DO ((#4=#:G168064 |l| (CDR #4#)) (|x| NIL)) ((OR (ATOM #4#) (PROGN (SETQ |x| (CAR #4#)) NIL)) (NREVERSE0 #3#)) (SEQ (EXIT (SETQ #3# (CONS (|decExitLevel| |x|) #3#))))))) (CONS (CONS (QUOTE |exit|) (CONS 1 (CONS (CONS (QUOTE IF) (CONS (|decExitLevel| |p|) (CONS (|decExitLevel| |q|) (CONS (|transSeq| |tail|) NIL)))) NIL))) NIL)))) ((AND (CONSP |item|) (EQ (QCAR |item|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#1| (QCDR |item|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (PROGN (SPADLET |ISTMP#3| (QCAR |ISTMP#2|)) (AND (CONSP |ISTMP#3|) (EQ (QCAR |ISTMP#3|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#4| (QCDR |ISTMP#3|)) (AND (CONSP |ISTMP#4|) (EQUAL (QCAR |ISTMP#4|) 1) (PROGN (SPADLET |ISTMP#5| (QCDR |ISTMP#4|)) (AND (CONSP |ISTMP#5|) (EQ (QCDR |ISTMP#5|) NIL) (PROGN (SPADLET |b| (QCAR |ISTMP#5|)) (QUOTE T)))))))) (PROGN (SPADLET |ISTMP#6| (QCDR |ISTMP#2|)) (AND (CONSP |ISTMP#6|) (EQ (QCDR |ISTMP#6|) NIL) (EQ (QCAR |ISTMP#6|) (QUOTE |noBranch|))))))))) (CONS (QUOTE IF) (CONS (|decExitLevel| |a|) (CONS (|decExitLevel| |b|) (CONS (|transSeq| |tail|) NIL))))) ((AND (CONSP |item|) (EQ (QCAR |item|) (QUOTE IF)) (PROGN (SPADLET |ISTMP#1| (QCDR |item|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (EQ (QCAR |ISTMP#2|) (QUOTE |noBranch|)) (PROGN (SPADLET |ISTMP#3| (QCDR |ISTMP#2|)) (AND (CONSP |ISTMP#3|) (EQ (QCDR |ISTMP#3|) NIL) (PROGN (SPADLET |ISTMP#4| (QCAR |ISTMP#3|)) (AND (CONSP |ISTMP#4|) (EQ (QCAR |ISTMP#4|) (QUOTE |exit|)) (PROGN (SPADLET |ISTMP#5| (QCDR |ISTMP#4|)) (AND (CONSP |ISTMP#5|) (EQUAL (QCAR |ISTMP#5|) 1) (PROGN (SPADLET |ISTMP#6| (QCDR |ISTMP#5|)) (AND (CONSP |ISTMP#6|) (EQ (QCDR |ISTMP#6|) NIL) (PROGN (SPADLET |b| (QCAR |ISTMP#6|)) (QUOTE T))))))))))))))) (CONS (QUOTE IF) (CONS (|decExitLevel| |a|) (CONS (|transSeq| |tail|) (CONS (|decExitLevel| |b|) NIL))))) ((PROGN (SPADLET |ISTMP#1| (SPADLET |y| (|transSeq| |tail|))) (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) (QUOTE SEQ)) (PROGN (SPADLET |s| (QCDR |ISTMP#1|)) (QUOTE T)))) (CONS (QUOTE SEQ) (CONS |item| |s|))) ((QUOTE T) (CONS (QUOTE SEQ) (CONS |item| (CONS (CONS (QUOTE |exit|) (CONS 1 (CONS (|incExitLevel| |y|) NIL))) NIL))))))))))) 
 ;
 ;transCategoryItem x ==
 ;  x is ['SIGNATURE,lhs,rhs] =>
@@ -1207,7 +1207,7 @@ parse
 
 ;;;     ***       |transCategoryItem| REDEFINED
 
-(DEFUN |transCategoryItem| (|x|) (PROG (|ISTMP#2| |y| |lhs| |ISTMP#1| |op| |argl| |m| |extra| |rhs|) (RETURN (SEQ (COND ((AND (PAIRP |x|) (EQ (QCAR |x|) (QUOTE SIGNATURE)) (PROGN (SPADLET |ISTMP#1| (QCDR |x|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |lhs| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |rhs| (QCAR |ISTMP#2|)) (QUOTE T))))))) (COND ((AND (PAIRP |lhs|) (EQ (QCAR |lhs|) (QUOTE LISTOF)) (PROGN (SPADLET |y| (QCDR |lhs|)) (QUOTE T))) (PROG (#0=#:G168138) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G168143 |y| (CDR #1#)) (|z| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |z| (CAR #1#)) NIL)) #0#) (SEQ (EXIT (SETQ #0# (APPEND #0# (|transCategoryItem| (CONS (QUOTE SIGNATURE) (CONS |z| (CONS |rhs| NIL)))))))))))) ((ATOM |lhs|) (COND ((STRINGP |lhs|) (SPADLET |lhs| (INTERN |lhs|)))) (COND ((AND (PAIRP |rhs|) (EQ (QCAR |rhs|) (QUOTE |Mapping|)) (PROGN (SPADLET |m| (QCDR |rhs|)) (QUOTE T))) (COND ((AND (PAIRP |m|) (PROGN (SPADLET |ISTMP#1| (QCDR |m|)) (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL) (EQ (QCAR |ISTMP#1|) (QUOTE |constant|))))) (LIST (CONS (QUOTE SIGNATURE) (CONS |lhs| (CONS (CONS (CAR |m|) NIL) (CONS (QUOTE |constant|) NIL)))))) ((QUOTE T) (LIST (CONS (QUOTE SIGNATURE) (CONS |lhs| (CONS |m| NIL))))))) ((QUOTE T) (SPADLET |$transCategoryAssoc| (CONS (CONS |lhs| |rhs|) |$transCategoryAssoc|)) NIL))) ((QUOTE T) (SPADLET |op| (CAR |lhs|)) (SPADLET |argl| (CDR |lhs|)) (SPADLET |extra| NIL) (COND ((AND (PAIRP |rhs|) (EQ (QCAR |rhs|) (QUOTE |Mapping|)) (PROGN (SPADLET |m| (QCDR |rhs|)) (QUOTE T))) (COND ((CDR |m|) (SPADLET |extra| (CDR |m|)))) (SPADLET |rhs| (CAR |m|)))) (LIST (CONS (QUOTE SIGNATURE) (CONS |op| (CONS (CONS |rhs| (SUBLIS |$transCategoryAssoc| |argl|)) |extra|))))))) ((QUOTE T) (LIST |x|))))))) 
+(DEFUN |transCategoryItem| (|x|) (PROG (|ISTMP#2| |y| |lhs| |ISTMP#1| |op| |argl| |m| |extra| |rhs|) (RETURN (SEQ (COND ((AND (CONSP |x|) (EQ (QCAR |x|) (QUOTE SIGNATURE)) (PROGN (SPADLET |ISTMP#1| (QCDR |x|)) (AND (CONSP |ISTMP#1|) (PROGN (SPADLET |lhs| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |rhs| (QCAR |ISTMP#2|)) (QUOTE T))))))) (COND ((AND (CONSP |lhs|) (EQ (QCAR |lhs|) (QUOTE LISTOF)) (PROGN (SPADLET |y| (QCDR |lhs|)) (QUOTE T))) (PROG (#0=#:G168138) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G168143 |y| (CDR #1#)) (|z| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |z| (CAR #1#)) NIL)) #0#) (SEQ (EXIT (SETQ #0# (APPEND #0# (|transCategoryItem| (CONS (QUOTE SIGNATURE) (CONS |z| (CONS |rhs| NIL)))))))))))) ((ATOM |lhs|) (COND ((STRINGP |lhs|) (SPADLET |lhs| (INTERN |lhs|)))) (COND ((AND (CONSP |rhs|) (EQ (QCAR |rhs|) (QUOTE |Mapping|)) (PROGN (SPADLET |m| (QCDR |rhs|)) (QUOTE T))) (COND ((AND (CONSP |m|) (PROGN (SPADLET |ISTMP#1| (QCDR |m|)) (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL) (EQ (QCAR |ISTMP#1|) (QUOTE |constant|))))) (LIST (CONS (QUOTE SIGNATURE) (CONS |lhs| (CONS (CONS (CAR |m|) NIL) (CONS (QUOTE |constant|) NIL)))))) ((QUOTE T) (LIST (CONS (QUOTE SIGNATURE) (CONS |lhs| (CONS |m| NIL))))))) ((QUOTE T) (SPADLET |$transCategoryAssoc| (CONS (CONS |lhs| |rhs|) |$transCategoryAssoc|)) NIL))) ((QUOTE T) (SPADLET |op| (CAR |lhs|)) (SPADLET |argl| (CDR |lhs|)) (SPADLET |extra| NIL) (COND ((AND (CONSP |rhs|) (EQ (QCAR |rhs|) (QUOTE |Mapping|)) (PROGN (SPADLET |m| (QCDR |rhs|)) (QUOTE T))) (COND ((CDR |m|) (SPADLET |extra| (CDR |m|)))) (SPADLET |rhs| (CAR |m|)))) (LIST (CONS (QUOTE SIGNATURE) (CONS |op| (CONS (CONS |rhs| (SUBLIS |$transCategoryAssoc| |argl|)) |extra|))))))) ((QUOTE T) (LIST |x|))))))) 
 ;
 ;superSub(name,x) ==
 ;  for u in x repeat y:= [:y,:u]
@@ -1218,7 +1218,7 @@ parse
 
 ;;;     ***       |superSub| REDEFINED
 
-(DEFUN |superSub| (|name| |x|) (PROG (|y| |ISTMP#1| |u| |code|) (RETURN (SEQ (PROGN (DO ((#0=#:G168177 |x| (CDR #0#)) (|u| NIL)) ((OR (ATOM #0#) (PROGN (SETQ |u| (CAR #0#)) NIL)) NIL) (SEQ (EXIT (SPADLET |y| (APPEND |y| |u|))))) (SPADLET |code| (COND ((AND (PAIRP |x|) (EQ (QCDR |x|) NIL) (PROGN (SPADLET |ISTMP#1| (QCAR |x|)) (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL) (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) (QUOTE T))))) |$quadSymbol|) ((QUOTE T) (STRCONC (QUOTE |(|) (|scriptTranRow| (CAR |x|)) (|scriptTran| (CDR |x|)) (QUOTE |)|))))) (CONS (INTERNL (PNAME |name|) (QUOTE $) |code|) |y|)))))) 
+(DEFUN |superSub| (|name| |x|) (PROG (|y| |ISTMP#1| |u| |code|) (RETURN (SEQ (PROGN (DO ((#0=#:G168177 |x| (CDR #0#)) (|u| NIL)) ((OR (ATOM #0#) (PROGN (SETQ |u| (CAR #0#)) NIL)) NIL) (SEQ (EXIT (SPADLET |y| (APPEND |y| |u|))))) (SPADLET |code| (COND ((AND (CONSP |x|) (EQ (QCDR |x|) NIL) (PROGN (SPADLET |ISTMP#1| (QCAR |x|)) (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL) (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) (QUOTE T))))) |$quadSymbol|) ((QUOTE T) (STRCONC (QUOTE |(|) (|scriptTranRow| (CAR |x|)) (|scriptTran| (CDR |x|)) (QUOTE |)|))))) (CONS (INTERNL (PNAME |name|) (QUOTE $) |code|) |y|)))))) 
 ;
 ;scriptTran x ==
 ;  null x => ""
diff --git a/src/interp/posit.lisp.pamphlet b/src/interp/posit.lisp.pamphlet
index 2c99b12..e6f844b 100644
--- a/src/interp/posit.lisp.pamphlet
+++ b/src/interp/posit.lisp.pamphlet
@@ -30,7 +30,7 @@
         ('T (|poNoPosition|))))))
 
 ;poIsPos? pos ==
-;    PAIRP pos and PAIRP CAR pos and LENGTH CAR pos = 5
+;    CONSP pos and CONSP CAR pos and LENGTH CAR pos = 5
  
 (DEFUN |poIsPos?| (|pos|)
   (PROG ()
diff --git a/src/interp/record.lisp.pamphlet b/src/interp/record.lisp.pamphlet
index bd0678a..27b186c 100644
--- a/src/interp/record.lisp.pamphlet
+++ b/src/interp/record.lisp.pamphlet
@@ -487,11 +487,11 @@
                      NIL)
                   (SEQ (EXIT (|maPrin| |x|))))))
              (COND
-               ((AND (PAIRP |typePart|)
+               ((AND (CONSP |typePart|)
                      (PROGN
                        (SPADLET |oldtype| (QCAR |typePart|))
                        (SPADLET |ISTMP#1| (QCDR |typePart|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN
                               (SPADLET |newtype| (QCAR |ISTMP#1|))
                               'T)))
@@ -728,7 +728,7 @@
 (DEFUN |recordAndPrintTest,fn| (|x|)
   (PROG (|y| |r| |k| |u|)
     (RETURN
-      (SEQ (IF (AND (PAIRP |x|)
+      (SEQ (IF (AND (CONSP |x|)
                     (PROGN
                       (SPADLET |y| (QCAR |x|))
                       (SPADLET |r| (QCDR |x|))
diff --git a/src/interp/simpbool.lisp.pamphlet b/src/interp/simpbool.lisp.pamphlet
index 4717ed1..c059e94 100644
--- a/src/interp/simpbool.lisp.pamphlet
+++ b/src/interp/simpbool.lisp.pamphlet
@@ -159,7 +159,7 @@
                                     (SPADLET |u|
                                      (|andReduce| (|dnf2pf| |y|)
                                       |world|)))
-                           (AND (PAIRP |ISTMP#1|)
+                           (AND (CONSP |ISTMP#1|)
                                 (EQ (QCAR |ISTMP#1|) 'AND)
                                 (PROGN
                                   (SPADLET |v| (QCDR |ISTMP#1|))
@@ -183,10 +183,10 @@
   (PROG (|r| |s|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|) (EQ (QCAR |x|) 'AND)
+        ((AND (CONSP |x|) (EQ (QCAR |x|) 'AND)
               (PROGN (SPADLET |r| (QCDR |x|)) 'T))
          (COND
-           ((AND (PAIRP |y|) (EQ (QCAR |y|) 'AND)
+           ((AND (CONSP |y|) (EQ (QCAR |y|) 'AND)
                  (PROGN (SPADLET |s| (QCDR |y|)) 'T))
             (MKPF (S- |r| |s|) 'AND))
            ('T (MKPF (S- |r| (CONS |s| NIL)) 'AND))))
@@ -304,7 +304,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |h| (QCAR |x|))
                 (SPADLET |t| (QCDR |x|))
@@ -320,7 +320,7 @@
   (PROG (|a| |b|)
     (RETURN
       (COND
-        ((AND (PAIRP |x|)
+        ((AND (CONSP |x|)
               (PROGN
                 (SPADLET |a| (QCAR |x|))
                 (SPADLET |b| (QCDR |x|))
@@ -365,7 +365,7 @@
         ((NULL |a|) |b|)
         ('T
          (BOOT-EQUAL
-             (AND (PAIRP |a|) (EQ (QCDR |a|) NIL)
+             (AND (CONSP |a|) (EQ (QCDR |a|) NIL)
                   (PROGN (SPADLET |c| (QCAR |a|)) 'T))
              (|coafOrDnf| |c| |b|))
          (|coafOrDnf| (CAR |a|) (|orDnf| (CDR |a|) |b|)))))))
@@ -391,7 +391,7 @@
         ((OR (BOOT-EQUAL |a| '|false|) (BOOT-EQUAL |b| '|false|))
          '|false|)
         ((NULL |a|) '|false|)
-        ((AND (PAIRP |a|) (EQ (QCDR |a|) NIL)
+        ((AND (CONSP |a|) (EQ (QCDR |a|) NIL)
               (PROGN (SPADLET |c| (QCAR |a|)) 'T))
          (|coafAndDnf| |c| |b|))
         ('T (SPADLET |x| (|coafAndDnf| (CAR |a|) |b|))
@@ -415,7 +415,7 @@
         ((BOOT-EQUAL |l| '|true|) '|false|)
         ((BOOT-EQUAL |l| '|false|) '|true|)
         ((NULL |l|) '|true|)
-        ((AND (PAIRP |l|) (EQ (QCDR |l|) NIL)
+        ((AND (CONSP |l|) (EQ (QCDR |l|) NIL)
               (PROGN (SPADLET |x| (QCAR |l|)) 'T))
          (|notCoaf| |x|))
         ('T (|andDnf| (|notCoaf| (CAR |l|)) (|notDnf| (CDR |l|))))))))
@@ -542,7 +542,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |l|)
+        ((NULL (AND (CONSP |l|)
                     (PROGN
                       (SPADLET |h| (QCAR |l|))
                       (SPADLET |t| (QCDR |l|))
@@ -560,7 +560,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |l|)
+        ((NULL (AND (CONSP |l|)
                     (PROGN
                       (SPADLET |h| (QCAR |l|))
                       (SPADLET |t| (QCDR |l|))
@@ -578,7 +578,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |l|)
+        ((NULL (AND (CONSP |l|)
                     (PROGN
                       (SPADLET |h| (QCAR |l|))
                       (SPADLET |t| (QCDR |l|))
@@ -598,7 +598,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((AND (PAIRP |l|)
+        ((AND (CONSP |l|)
               (PROGN
                 (SPADLET |h| (QCAR |l|))
                 (SPADLET |t| (QCDR |l|))
@@ -617,7 +617,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((AND (PAIRP |l|)
+        ((AND (CONSP |l|)
               (PROGN
                 (SPADLET |h| (QCAR |l|))
                 (SPADLET |t| (QCDR |l|))
@@ -637,13 +637,13 @@
   (PROG (|c| |r| |d| |s|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |a|)
+        ((NULL (AND (CONSP |a|)
                     (PROGN
                       (SPADLET |c| (QCAR |a|))
                       (SPADLET |r| (QCDR |a|))
                       'T)))
          |b|)
-        ((NULL (AND (PAIRP |b|)
+        ((NULL (AND (CONSP |b|)
                     (PROGN
                       (SPADLET |d| (QCAR |b|))
                       (SPADLET |s| (QCDR |b|))
@@ -662,7 +662,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |a|)
+        ((NULL (AND (CONSP |a|)
                     (PROGN
                       (SPADLET |h| (QCAR |a|))
                       (SPADLET |t| (QCDR |a|))
@@ -680,7 +680,7 @@
   (PROG (|h| |t|)
     (RETURN
       (COND
-        ((NULL (AND (PAIRP |b|)
+        ((NULL (AND (CONSP |b|)
                     (PROGN
                       (SPADLET |h| (QCAR |b|))
                       (SPADLET |t| (QCDR |b|))
diff --git a/src/interp/slam.lisp.pamphlet b/src/interp/slam.lisp.pamphlet
index f39b4b6..46e6927 100644
--- a/src/interp/slam.lisp.pamphlet
+++ b/src/interp/slam.lisp.pamphlet
@@ -153,7 +153,7 @@
                        (COND
                          ((NULL |argl|)
                           (CONS NIL (CONS (CONS |auxfn| NIL) NIL)))
-                         ((AND (PAIRP |argl|) (EQ (QCDR |argl|) NIL))
+                         ((AND (CONSP |argl|) (EQ (QCDR |argl|) NIL))
                           (CONS (CONS |g1| (CONS '|envArg| NIL))
                                 (CONS (CONS |auxfn|
                                        (CONS |g1| (CONS '|envArg| NIL)))
@@ -321,7 +321,7 @@
                     (CONS (CONS '|envArg| NIL)
                           (CONS (CONS |auxfn| (CONS '|envArg| NIL))
                                 NIL)))
-                   ((AND (PAIRP |argl|) (EQ (QCDR |argl|) NIL))
+                   ((AND (CONSP |argl|) (EQ (QCDR |argl|) NIL))
                     (CONS (CONS |g1| (CONS '|envArg| NIL))
                           (CONS (CONS |auxfn|
                                       (CONS |g1| (CONS '|envArg| NIL)))
@@ -555,7 +555,7 @@
 ;        tripleCode
 ;      cacheResetCode := ['SETQ,stateNam,initialValueCode]
 ;      ['COND,[['NULL,['AND,['BOUNDP,MKQ stateNam], _
-;                          ['PAIRP,stateNam]]],    _
+;                          ['CONSP,stateNam]]],    _
 ;                 ['LET,stateVar,cacheResetCode]], _
 ;             [''T, ['LET,stateVar,stateNam]]]
 ;
@@ -633,7 +633,7 @@
                                              (SETQ G166269
                                               (CONS |x| G166269))))))))))
                          (COND
-                           ((AND (PAIRP |extraArguments|)
+                           ((AND (CONSP |extraArguments|)
                                  (EQ (QCDR |extraArguments|) NIL)
                                  (PROGN
                                    (SPADLET |x|
@@ -873,7 +873,7 @@
                                          (CONS 'BOUNDP
                                           (CONS (MKQ |stateNam|) NIL))
                                          (CONS
-                                          (CONS 'PAIRP
+                                          (CONS 'CONSP
                                            (CONS |stateNam| NIL))
                                           NIL)))
                                        NIL))
diff --git a/src/interp/sys-pkg.lisp.pamphlet b/src/interp/sys-pkg.lisp.pamphlet
index 8777cb2..f3c1361 100644
--- a/src/interp/sys-pkg.lisp.pamphlet
+++ b/src/interp/sys-pkg.lisp.pamphlet
@@ -365,7 +365,7 @@ provides support for compiler code.
          VMLISP::GETFULLSTR VMLISP::I VMLISP::HREM
          VMLISP::*LISP-BIN-FILETYPE* VMLISP::INT2RNUM VMLISP::EBCDIC
          VMLISP::$INFILEP VMLISP::BFP VMLISP::NUMP VMLISP::UNEMBED
-         VMLISP::PAIRP VMLISP::BOOLEANP VMLISP::FIX VMLISP::REMAINDER
+         VMLISP::BOOLEANP VMLISP::FIX VMLISP::REMAINDER
          VMLISP::RE-ENABLE-INT VMLISP::QCAADDR VMLISP::QCDDADR
          VMLISP::$LISTFILE VMLISP::IVECP VMLISP::LIST2VEC
          VMLISP::|LAM,FILEACTQ| VMLISP::LISTOFQUOTES
@@ -719,7 +719,6 @@ provides support for compiler code.
 (lisp:import '(vmlisp::hkeys))
 (lisp:import '(vmlisp::$infilep))
 (lisp:import '(vmlisp::$findfile))
-(lisp:import '(vmlisp::pairp))
 (lisp:import '(vmlisp::cvec))
 (lisp:import '(vmlisp::uequal))
 (lisp:import '(vmlisp::id))
diff --git a/src/interp/template.lisp.pamphlet b/src/interp/template.lisp.pamphlet
index c4a79fe..816d379 100644
--- a/src/interp/template.lisp.pamphlet
+++ b/src/interp/template.lisp.pamphlet
@@ -68,18 +68,18 @@
                                        (SPADLET |sig| (CAR |LETTMP#1|))
                                        (SPADLET |r| (CDR |LETTMP#1|))
                                        (COND
-                                         ((AND (PAIRP |r|)
+                                         ((AND (CONSP |r|)
                                            (PROGN
                                              (SPADLET |s| (QCDR |r|))
                                              'T))
                                           (COND
-                                            ((AND (PAIRP |s|)
+                                            ((AND (CONSP |s|)
                                               (PROGN
                                                 (SPADLET |t|
                                                  (QCDR |s|))
                                                 'T))
                                              (COND
-                                               ((AND (PAIRP |t|)
+                                               ((AND (CONSP |t|)
                                                  (EQ (QCDR |t|) NIL))
                                                 NIL)
                                                ('T
@@ -167,9 +167,9 @@
                 (COND
                   ((VECP (SPADLET |y| (ELT |dollar| |u|))) |y|)
                   ((|isDomain| |y|) |y|)
-                  ((AND (PAIRP |y|) (EQ (QCAR |y|) 'SETELT))
+                  ((AND (CONSP |y|) (EQ (QCAR |y|) 'SETELT))
                    (|eval| |y|))
-                  ((AND (PAIRP |y|)
+                  ((AND (CONSP |y|)
                         (PROGN (SPADLET |v| (QCAR |y|)) 'T))
                    (COND
                      ((VECP |v|) (|lazyDomainSet| |y| |dollar| |u|))
@@ -178,22 +178,22 @@
                       (|lazyDomainSet| |y| |dollar| |u|))
                      ('T |y|)))
                   ('T |y|)))
-               ((AND (PAIRP |u|) (EQ (QCAR |u|) 'NRTEVAL)
+               ((AND (CONSP |u|) (EQ (QCAR |u|) 'NRTEVAL)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |u|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
                 (COND
-                  ((AND (PAIRP |y|) (EQ (QCAR |y|) 'ELT))
+                  ((AND (CONSP |y|) (EQ (QCAR |y|) 'ELT))
                    (|evalSlotDomain| |y| |dollar|))
                   ('T (|eval| |y|))))
-               ((AND (PAIRP |u|) (EQ (QCAR |u|) 'QUOTE)
+               ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |u|))
-                       (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET |y| (QCAR |ISTMP#1|)) 'T))))
                 |y|)
-               ((AND (PAIRP |u|) (EQ (QCAR |u|) '|Record|)
+               ((AND (CONSP |u|) (EQ (QCAR |u|) '|Record|)
                      (PROGN (SPADLET |argl| (QCDR |u|)) 'T))
                 (FUNCALL '|Record0|
                          (PROG (G166199)
@@ -222,19 +222,19 @@
                                         (|evalSlotDomain| |dom|
                                          |dollar|))
                                        G166199)))))))))
-               ((AND (PAIRP |u|) (EQ (QCAR |u|) '|Union|)
+               ((AND (CONSP |u|) (EQ (QCAR |u|) '|Union|)
                      (PROGN (SPADLET |argl| (QCDR |u|)) 'T)
                      (PROGN
                        (SPADLET |ISTMP#1| (CAR |argl|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (EQ (QCAR |ISTMP#1|) '|:|)
                             (PROGN
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (PROGN
                                      (SPADLET |ISTMP#3|
                                       (QCDR |ISTMP#2|))
-                                     (AND (PAIRP |ISTMP#3|)
+                                     (AND (CONSP |ISTMP#3|)
                                       (EQ (QCDR |ISTMP#3|) NIL))))))))
                 (APPLY '|Union|
                        (PROG (G166217)
@@ -264,28 +264,28 @@
                                               |dollar|)
                                              NIL)))
                                           G166217)))))))))
-               ((AND (PAIRP |u|) (EQ (QCAR |u|) '|spadConstant|)
+               ((AND (CONSP |u|) (EQ (QCAR |u|) '|spadConstant|)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |d| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |n| (QCAR |ISTMP#2|))
                                      'T))))))
                 (SPADLET |dom| (|evalSlotDomain| |d| |dollar|))
                 (SPADCALL (ELT |dom| |n|)))
-               ((AND (PAIRP |u|) (EQ (QCAR |u|) 'ELT)
+               ((AND (CONSP |u|) (EQ (QCAR |u|) 'ELT)
                      (PROGN
                        (SPADLET |ISTMP#1| (QCDR |u|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (SPADLET |d| (QCAR |ISTMP#1|))
                               (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                              (AND (PAIRP |ISTMP#2|)
+                              (AND (CONSP |ISTMP#2|)
                                    (EQ (QCDR |ISTMP#2|) NIL)
                                    (PROGN
                                      (SPADLET |n| (QCAR |ISTMP#2|))
@@ -293,11 +293,11 @@
                 (SPADLET |dom| (|evalSlotDomain| |d| |dollar|))
                 (SPADLET |slot| (ELT |dom| |n|))
                 (COND
-                  ((AND (PAIRP |slot|) (EQ (QCAR |slot|) '|newGoGet|)
+                  ((AND (CONSP |slot|) (EQ (QCAR |slot|) '|newGoGet|)
                         (PROGN (SPADLET |env| (QCDR |slot|)) 'T))
                    (|replaceGoGetSlot| |env|))
                   ('T |slot|)))
-               ((AND (PAIRP |u|)
+               ((AND (CONSP |u|)
                      (PROGN
                        (SPADLET |op| (QCAR |u|))
                        (SPADLET |argl| (QCDR |u|))
@@ -398,7 +398,7 @@
                             (SPADLET |item| (ELT |vec| |index|))
                             (COND
                               ((NULL |item|) NIL)
-                              ((AND (PAIRP |item|)
+                              ((AND (CONSP |item|)
                                     (EQ (QCAR |item|) '|local|))
                                NIL)
                               ('T
@@ -435,7 +435,7 @@
                                            (CONS |op|
                                             (CONS |uniqueSig|
                                              |sourceIndex|))))
-                                         ((AND (PAIRP |item|)
+                                         ((AND (CONSP |item|)
                                            (EQ (QCAR |item|) 'CONS))
                                           |item|)
                                          ('T (MKQ |item|))))))))))
@@ -472,33 +472,33 @@
              |y|)
            (SPADLET |uniqueSig| (|addConsDB| |sig|))
            (SPADLET |predCode| 0) (SPADLET |isConstant| NIL)
-           (IF (AND (PAIRP |r|)
+           (IF (AND (CONSP |r|)
                     (PROGN
                       (SPADLET |subSig| (QCAR |r|))
                       (SPADLET |ISTMP#1| (QCDR |r|))
-                      (AND (PAIRP |ISTMP#1|)
+                      (AND (CONSP |ISTMP#1|)
                            (PROGN
                              (SPADLET |pred| (QCAR |ISTMP#1|))
                              (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                             (AND (PAIRP |ISTMP#2|)
+                             (AND (CONSP |ISTMP#2|)
                                   (EQ (QCDR |ISTMP#2|) NIL)
                                   (EQ (QCAR |ISTMP#2|) '|Subsumed|))))))
                (EXIT (CONS |uniqueSig|
                            (CONS '|subsumed|
                                  (CONS (|addConsDB| |subSig|) NIL)))))
-           (IF (AND (PAIRP |r|)
+           (IF (AND (CONSP |r|)
                     (PROGN
                       (SPADLET |n| (QCAR |r|))
                       (SPADLET |s| (QCDR |r|))
                       'T))
                (SEQ (SPADLET |slot|
-                             (SEQ (IF (AND (PAIRP |n|)
+                             (SEQ (IF (AND (CONSP |n|)
                                        (PROGN
                                          (SPADLET |p| (QCAR |n|))
                                          'T))
                                       (EXIT |p|))
                                   (EXIT |n|)))
-                    (EXIT (IF (AND (PAIRP |s|)
+                    (EXIT (IF (AND (CONSP |s|)
                                    (PROGN
                                      (SPADLET |pred| (QCAR |s|))
                                      (SPADLET |t| (QCDR |s|))
@@ -510,7 +510,7 @@
                                      (EXIT (|mkUniquePred| |pred|))))
                                    (EXIT
                                     (IF
-                                     (AND (PAIRP |t|)
+                                     (AND (CONSP |t|)
                                       (EQUAL (QCAR |t|) 'CONST))
                                      (SPADLET |isConstant| 'T) NIL)))
                               NIL)))
@@ -595,7 +595,7 @@
     (RETURN
       (SEQ (PROGN
              (COND
-               ((AND (PAIRP |pred|)
+               ((AND (CONSP |pred|)
                      (PROGN
                        (SPADLET |op| (QCAR |pred|))
                        (SPADLET |u| (QCDR |pred|))
@@ -711,11 +711,11 @@
                                          (PROGN
                                            (|addConsDB| |sig|)
                                            (COND
-                                             ((AND (PAIRP |r|)
+                                             ((AND (CONSP |r|)
                                                (PROGN
                                                  (SPADLET |ISTMP#1|
                                                   (QCDR |r|))
-                                                 (AND (PAIRP |ISTMP#1|)
+                                                 (AND (CONSP |ISTMP#1|)
                                                   (PROGN
                                                     (SPADLET |pred|
                                                      (QCAR |ISTMP#1|))
@@ -745,7 +745,7 @@
 ;squeezeConsDB u ==
 ;  fn u where fn u ==
 ;    VECP u => for i in 0..MAXINDEX u repeat fn u.i
-;    PAIRP u =>
+;    CONSP u =>
 ;      EQ(x := QCAR u,'QUOTE) => RPLAC(CADR u,addConsDB CADR u)
 ;      squeezeConsDB x
 ;      squeezeConsDB QCDR u
@@ -760,7 +760,7 @@
                           (|i| 0 (QSADD1 |i|)))
                          ((QSGREATERP |i| G166614) NIL)
                        (SEQ (EXIT (|squeezeConsDB,fn| (ELT |u| |i|)))))))
-           (IF (PAIRP |u|)
+           (IF (CONSP |u|)
                (EXIT (SEQ (IF (EQ (SPADLET |x| (QCAR |u|)) 'QUOTE)
                               (EXIT (RPLAC (CADR |u|)
                                      (|addConsDB| (CADR |u|)))))
@@ -790,7 +790,7 @@
 ;    min x ==
 ;      y:=HGET($consDB,x)
 ;      y => y
-;      PAIRP x =>
+;      CONSP x =>
 ;        for z in tails x repeat
 ;          u:=min CAR z
 ;          if not EQ(u,CAR z) then RPLACA(z,u)
@@ -820,7 +820,7 @@
   (declare (special |$consDB|))
     (RETURN
       (SEQ (SPADLET |y| (HGET |$consDB| |x|)) (IF |y| (EXIT |y|))
-           (IF (PAIRP |x|)
+           (IF (CONSP |x|)
                (EXIT (SEQ (DO ((|z| |x| (CDR |z|))) ((ATOM |z|) NIL)
                             (SEQ (SPADLET |u|
                                           (|addConsDB,min| (CAR |z|)))
@@ -867,32 +867,32 @@
     (RETURN
       (SEQ (COND
              ((NULL |u|) NIL)
-             ((AND (PAIRP |u|) (EQ (QCDR |u|) NIL)
+             ((AND (CONSP |u|) (EQ (QCDR |u|) NIL)
                    (EQ (QCAR |u|) 'LIST))
               NIL)
-             ((AND (PAIRP |u|)
+             ((AND (CONSP |u|)
                    (PROGN
                      (SPADLET |op| (QCAR |u|))
                      (SPADLET |ISTMP#1| (QCDR |u|))
-                     (AND (PAIRP |ISTMP#1|)
+                     (AND (CONSP |ISTMP#1|)
                           (PROGN
                             (SPADLET |ISTMP#2| (QCDR |ISTMP#1|))
-                            (AND (PAIRP |ISTMP#2|)
+                            (AND (CONSP |ISTMP#2|)
                                  (PROGN
                                    (SPADLET |i| (QCAR |ISTMP#2|))
                                    (SPADLET |ISTMP#3| (QCDR |ISTMP#2|))
-                                   (AND (PAIRP |ISTMP#3|)
+                                   (AND (CONSP |ISTMP#3|)
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (SPADLET |a| (QCAR |ISTMP#3|))
                                       'T)))))))
                    (member |op| '(SETELT QSETREFV)))
               (COND
-                ((AND (NULL |condList|) (PAIRP |a|)
+                ((AND (NULL |condList|) (CONSP |a|)
                       (EQ (QCAR |a|) 'CONS)
                       (PROGN
                         (SPADLET |ISTMP#1| (QCDR |a|))
-                        (AND (PAIRP |ISTMP#1|)
+                        (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (SPADLET |fn| (QCAR |ISTMP#1|))
                                'T))))
@@ -900,11 +900,11 @@
                  (SETELT |$template| |i|
                          (COND
                            ((BOOT-EQUAL |fn| 'IDENTITY) |a|)
-                           ((AND (PAIRP |fn|)
+                           ((AND (CONSP |fn|)
                                  (EQ (QCAR |fn|) '|dispatchFunction|)
                                  (PROGN
                                    (SPADLET |ISTMP#1| (QCDR |fn|))
-                                   (AND (PAIRP |ISTMP#1|)
+                                   (AND (CONSP |ISTMP#1|)
                                     (EQ (QCDR |ISTMP#1|) NIL)
                                     (PROGN
                                       (SPADLET |fn'| (QCAR |ISTMP#1|))
@@ -912,7 +912,7 @@
                             |fn'|)
                            ('T |fn|))))
                 ('T NIL)))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'COND)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'COND)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (DO ((G166734 |c| (CDR G166734)) (G166724 NIL))
                   ((OR (ATOM G166734)
@@ -927,7 +927,7 @@
                 (SEQ (EXIT (COND
                              (|y| (|NRTdescendCodeTran| (CAR |y|)
                                       (CONS |pred| |condList|))))))))
-             ((AND (PAIRP |u|) (EQ (QCAR |u|) 'PROGN)
+             ((AND (CONSP |u|) (EQ (QCAR |u|) 'PROGN)
                    (PROGN (SPADLET |c| (QCDR |u|)) 'T))
               (DO ((G166744 |c| (CDR G166744)) (|x| NIL))
                   ((OR (ATOM G166744)
@@ -963,7 +963,7 @@
       (SEQ (PROGN
              (SEQ (COND
                     ((ATOM |x|) NIL)
-                    ((AND (PAIRP |x|) (EQ (QCAR |x|) '|Record|)
+                    ((AND (CONSP |x|) (EQ (QCAR |x|) '|Record|)
                           (PROGN (SPADLET |l| (QCDR |x|)) 'T))
                      (DO ((G166795 |l| (CDR G166795))
                           (G166767 NIL))
@@ -985,15 +985,15 @@
                               (PROGN (SETQ |y| (CAR G166811)) NIL))
                           NIL)
                        (SEQ (EXIT (COND
-                                    ((AND (PAIRP |y|)
+                                    ((AND (CONSP |y|)
                                       (EQ (QCAR |y|) '|:|)
                                       (PROGN
                                         (SPADLET |ISTMP#1| (QCDR |y|))
-                                        (AND (PAIRP |ISTMP#1|)
+                                        (AND (CONSP |ISTMP#1|)
                                          (PROGN
                                            (SPADLET |ISTMP#2|
                                             (QCDR |ISTMP#1|))
-                                           (AND (PAIRP |ISTMP#2|)
+                                           (AND (CONSP |ISTMP#2|)
                                             (EQ (QCDR |ISTMP#2|) NIL)
                                             (PROGN
                                               (SPADLET |z|
@@ -1001,10 +1001,10 @@
                                               'T))))))
                                      (|NRTinnerGetLocalIndex| |z|))
                                     ('T (|NRTinnerGetLocalIndex| |y|)))))))
-                    ((AND (PAIRP |x|) (EQ (QCAR |x|) '|SubDomain|)
+                    ((AND (CONSP |x|) (EQ (QCAR |x|) '|SubDomain|)
                           (PROGN
                             (SPADLET |ISTMP#1| (QCDR |x|))
-                            (AND (PAIRP |ISTMP#1|)
+                            (AND (CONSP |ISTMP#1|)
                                  (PROGN
                                    (SPADLET |y| (QCAR |ISTMP#1|))
                                    'T))))
@@ -1012,7 +1012,7 @@
                     ((PROGN
                        (SPADLET |ISTMP#1|
                                 (|getConstructorSignature| |x|))
-                       (AND (PAIRP |ISTMP#1|)
+                       (AND (CONSP |ISTMP#1|)
                             (PROGN (SPADLET |ml| (QCDR |ISTMP#1|)) 'T)))
                      (DO ((G166822 (CDR |x|) (CDR G166822))
                           (|y| NIL) (G166823 |ml| (CDR G166823))
@@ -1060,7 +1060,7 @@
   (PROG (|ISTMP#1| |u|)
     (RETURN
       (SEQ (COND
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'AND)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'AND)
                    (PROGN (SPADLET |u| (QCDR |cond|)) 'T))
               (CONS 'AND
                     (PROG (G166857)
@@ -1075,7 +1075,7 @@
                           (SEQ (EXIT (SETQ G166857
                                       (CONS (|assignSlotToPred| |x|)
                                        G166857)))))))))
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'OR)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'OR)
                    (PROGN (SPADLET |u| (QCDR |cond|)) 'T))
               (CONS 'OR
                     (PROG (G166872)
@@ -1090,10 +1090,10 @@
                           (SEQ (EXIT (SETQ G166872
                                       (CONS (|assignSlotToPred| |x|)
                                        G166872)))))))))
-             ((AND (PAIRP |cond|) (EQ (QCAR |cond|) 'NOT)
+             ((AND (CONSP |cond|) (EQ (QCAR |cond|) 'NOT)
                    (PROGN
                      (SPADLET |ISTMP#1| (QCDR |cond|))
-                     (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
+                     (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                           (PROGN (SPADLET |u| (QCAR |ISTMP#1|)) 'T))))
               (CONS 'NOT (CONS (|assignSlotToPred| |u|) NIL)))
              ('T (|thisNeedsTOBeFilledIn|)))))))
@@ -1124,7 +1124,7 @@
 ;    VECP u => +/[fn(u.i,0) for i in 0..MAXINDEX u]
 ;    HASH-TABLE-P u =>
 ;      +/[fn(key,0) + fn(HGET(u,key),0) for key in HKEYS u]
-;    PAIRP u =>
+;    CONSP u =>
 ;      HGET($table,u) => 0
 ;      m := fn(first u,0) + fn(rest u,0)
 ;      HGET($consDB,u) => 8 + m
@@ -1174,7 +1174,7 @@
                                            (|measureCommon,fn| |key| 0)
                                            (|measureCommon,fn|
                                             (HGET |u| |key|) 0)))))))))))
-                      (IF (PAIRP |u|)
+                      (IF (CONSP |u|)
                           (EXIT (SEQ (IF (HGET |$table| |u|) (EXIT 0))
                                      (SPADLET |m|
                                       (PLUS
diff --git a/src/interp/topics.lisp.pamphlet b/src/interp/topics.lisp.pamphlet
index 8333ca5..b3ee0e5 100644
--- a/src/interp/topics.lisp.pamphlet
+++ b/src/interp/topics.lisp.pamphlet
@@ -478,11 +478,11 @@
                                          (SEQ
                                           (EXIT
                                            (COND
-                                             ((AND (PAIRP |sigDoc|)
+                                             ((AND (CONSP |sigDoc|)
                                                (PROGN
                                                  (SPADLET |ISTMP#1|
                                                   (QCDR |sigDoc|))
-                                                 (AND (PAIRP |ISTMP#1|)
+                                                 (AND (CONSP |ISTMP#1|)
                                                   (EQ (QCDR |ISTMP#1|)
                                                    NIL))))
                                               (RPLACD (CDR |sigDoc|)
@@ -700,7 +700,7 @@
 (DEFUN |myLastAtom| (|x|)
   (SEQ (PROGN
          (DO ()
-             ((NULL (AND (PAIRP |x|)
+             ((NULL (AND (CONSP |x|)
                          (PROGN (SPADLET |x| (QCDR |x|)) 'T)))
               NIL)
            (SEQ (EXIT NIL)))
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 33b815b..9b7f4f8 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -178,8 +178,8 @@ documentclass{article}
       `(let ((,xx ,x))
          (if (consp ,xx) (qcar ,xx) ,xx)))))
 
-(defmacro pairp (x)
- `(consp ,x)) 
+;(defmacro pairp (x)
+; `(consp ,x)) 
 
 (defmacro plus (&rest args)
  `(+ ,@ args))
@@ -1624,7 +1624,7 @@ Camm issued a fix. This used to read:
         ( (NOT (LISTP LIST-OF-ITEMS-2))
           (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
   LP  (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+        ( (NOT (CONSP LIST-OF-ITEMS-1))
           (RETURN (QCDR H)) )
         ( (|member|
             (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
@@ -1643,7 +1643,7 @@ Camm issued a fix. This used to read:
         ( (NOT (LISTP LIST-OF-ITEMS-2))
           (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
   LP  (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+        ( (NOT (CONSP LIST-OF-ITEMS-1))
           (RETURN (QCDR H)) )
         ( (member
             (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
@@ -1662,9 +1662,9 @@ Camm issued a fix. This used to read:
         ( (NOT (LISTP LIST-OF-ITEMS-2))
           (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
   LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+        ( (NOT (CONSP LIST-OF-ITEMS-1))
           (COND
-            ( (PAIRP LIST-OF-ITEMS-2)
+            ( (CONSP LIST-OF-ITEMS-2)
               (SETQ LIST-OF-ITEMS-1 (RESETQ LIST-OF-ITEMS-2 NIL)) )
             ( 'T
               (RETURN (QCDR H)) ) ) )
@@ -1685,9 +1685,9 @@ Camm issued a fix. This used to read:
         ( (NOT (LISTP LIST-OF-ITEMS-2))
           (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
   LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+        ( (NOT (CONSP LIST-OF-ITEMS-1))
           (COND
-            ( (PAIRP LIST-OF-ITEMS-2)
+            ( (CONSP LIST-OF-ITEMS-2)
               (SETQ LIST-OF-ITEMS-1 (RESETQ LIST-OF-ITEMS-2 NIL)) )
             ( 'T
               (RETURN (QCDR H)) ) ) )
@@ -1708,7 +1708,7 @@ Camm issued a fix. This used to read:
         ( (NOT (LISTP LIST-OF-ITEMS-2))
           (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
   LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+        ( (NOT (CONSP LIST-OF-ITEMS-1))
           (RETURN (QCDR H)) )
         ( (|member|
             (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
@@ -1727,7 +1727,7 @@ Camm issued a fix. This used to read:
         ( (NOT (LISTP LIST-OF-ITEMS-2))
           (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
   LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+        ( (NOT (CONSP LIST-OF-ITEMS-1))
           (RETURN (QCDR H)) )
         ( (member
             (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
@@ -2859,17 +2859,17 @@ for primitive domains.        Also used by putInLocalDomainReferences and optCal
                 (setq endtest (POP L)))
                ((prog nil
                         (COND ((NULL VL) (GO TG5)) ((ATOM VL) (GO BADO)))
-                 G180   (AND (NOT (PAIRP (SETQ V (CAR VL)))) (SETQ V (LIST V)))
+                 G180   (AND (NOT (CONSP (SETQ V (CAR VL)))) (SETQ V (LIST V)))
                         (AND (NOT (IDENTP (CAR V))) (GO BADO))
                         (PUSH (CAR V) VARS)
-                        (PUSH (COND ((PAIRP (CDR V)) (CADR V))) INITS)
-                        (AND (PAIRP (CDR V))
-                             (PAIRP (CDDR V))
+                        (PUSH (COND ((CONSP (CDR V)) (CADR V))) INITS)
+                        (AND (CONSP (CDR V))
+                             (CONSP (CDDR V))
                              (SEQ (PUSH (CAR V) U-VARS)
                                   (PUSH (CADDR V) U-VALS)))
-                        (AND (PAIRP (progn (POP VL) VL)) (GO G180))
+                        (AND (CONSP (progn (POP VL) VL)) (GO G180))
                     TG5 (setq exitforms (POP L))
-                        (and (PAIRP EXITFORMS)
+                        (and (CONSP EXITFORMS)
                              (progn (setq endtest (POP EXITFORMS)) exitforms)))))
          (AND L
            (COND ((CDR L) (SETQ BODYFORMS (CONS 'SEQ L)))
@@ -3344,11 +3344,11 @@ LP  (COND ((NULL X)
         (SETQ HNFORM (SETQ NFORM (CONS () ())))
      LP    (RPLACD NFORM
                    (COND ((EQ FORM OLD) (SETQ FORM ()) NEW )
-                         ((NOT (PAIRP FORM)) FORM )
+                         ((NOT (CONSP FORM)) FORM )
                          ((EQ (SETQ ITEM (CAR FORM)) OLD) (CONS NEW ()) )
-                         ((PAIRP ITEM) (CONS (SUBSTEQ NEW OLD ITEM) ()) )
+                         ((CONSP ITEM) (CONS (SUBSTEQ NEW OLD ITEM) ()) )
                          ((CONS ITEM ()))))
-        (if (NOT (PAIRP FORM)) (RETURN (CDR HNFORM)))
+        (if (NOT (CONSP FORM)) (RETURN (CDR HNFORM)))
         (SETQ NFORM (CDR NFORM))
         (SETQ FORM (CDR FORM))
         (GO LP)))
@@ -4425,10 +4425,10 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
                      METAKEYLST DEFINITION-NAME |$sourceFileTypes|
                      $FUNCTION $BOOT $NEWSPAD $LINESTACK $LINENUMBER STACK STACKX BACK OK
                      |$InteractiveMode| TOK COUNT ERRCOL COLUMN *QUERY CHR LINE))
-        (if (PAIRP FN) (SETQ FN (QCAR FN)))
+        (if (CONSP FN) (SETQ FN (QCAR FN)))
         (SETQ INFILE (OR INFILE (|getFunctionSourceFile| FN)))
           ;; $FUNCTION is freely set in getFunctionSourceFile
-        (IF (PAIRP $FUNCTION) (SETQ $FUNCTION (QCAR $FUNCTION)))
+        (IF (CONSP $FUNCTION) (SETQ $FUNCTION (QCAR $FUNCTION)))
         (SETQ FN $FUNCTION)
         (SETQ /FN $FUNCTION)
    LOOP (SETQ SOURCEFILES
@@ -4580,7 +4580,7 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
       (RETURN (LIST /FN)) ) )
  
 (DEFUN FUNLOC (func &aux file)
-  (if (PAIRP func) (SETQ func (CAR func)))
+  (if (CONSP func) (SETQ func (CAR func)))
   (setq file (ifcar (findtag func)))
   (if file (list (pathname-name file) (pathname-type file) func)
     nil))
